
--BEFORE CODE 26.09.2016

ALTER TABLE [dbo].[SVOD_REP_CALC_DATA] alter column [DEP_CODE_DT] varchar(20) NULL 
ALTER TABLE [dbo].[SVOD_REP_CALC_DATA] alter column [DEP_CODE_KT] varchar(20) NULL 
GO

GO
-- DICTIONARY_PAY_DIRECTION
IF not exists(select * from sysobjects where id = object_id('[dbo].[DICTIONARY_PAY_DIRECTION]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
CREATE TABLE [dbo].[DICTIONARY_PAY_DIRECTION] (
	[LINK] int NOT NULL IDENTITY(1,1) ,
	[CODE] char(4) NOT NULL ,
	[NAME] varchar(50) NOT NULL ,
	[DATE_FACT] tinyint NOT NULL ,
	[DATE_ENUM] tinyint NOT NULL ,
	[COMMENT] varchar(50) NULL ,
	[Flag_SYS] tinyint NOT NULL )
GO

	GRANT SELECT, UPDATE, DELETE ON dbo.[DICTIONARY_PAY_DIRECTION] TO PUBLIC
	
GO

-- --
--

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_DICTIONARY_PAY_DIRECTION')
CREATE INDEX [IX_DICTIONARY_PAY_DIRECTION] ON [dbo].[DICTIONARY_PAY_DIRECTION] ([CODE]) ON [INDEX]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysindexes WHERE [name] = 'IX_DICTIONARY_PAY_DIRECTION1')
CREATE INDEX [IX_DICTIONARY_PAY_DIRECTION1] ON [dbo].[DICTIONARY_PAY_DIRECTION] ([CODE], [NAME]) ON [INDEX]
GO
--

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[PK_DICTIONARY_PAY_DIRECTION]'))
ALTER TABLE [dbo].[DICTIONARY_PAY_DIRECTION] 
ADD CONSTRAINT [PK_DICTIONARY_PAY_DIRECTION] PRIMARY KEY CLUSTERED ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_DICTIONARY_PAY_DIRECTION_DATE_FACT]'))
ALTER TABLE [dbo].[DICTIONARY_PAY_DIRECTION] 
ADD CONSTRAINT [DF_DICTIONARY_PAY_DIRECTION_DATE_FACT] DEFAULT ((1)) FOR [DATE_FACT]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_DICTIONARY_PAY_DIRECTION_DATE_ENUM]'))
ALTER TABLE [dbo].[DICTIONARY_PAY_DIRECTION] 
ADD CONSTRAINT [DF_DICTIONARY_PAY_DIRECTION_DATE_ENUM] DEFAULT ((1)) FOR [DATE_ENUM]
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[DF_DICTIONARY_PAY_DIRECTION_Flag_SYS]'))
ALTER TABLE [dbo].[DICTIONARY_PAY_DIRECTION] 
ADD CONSTRAINT [DF_DICTIONARY_PAY_DIRECTION_Flag_SYS] DEFAULT ((0)) FOR [Flag_SYS]
GO
--

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICTIONARY_PAY_DIRECTION_KIRDELETE]') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER dbo.[DICTIONARY_PAY_DIRECTION_KIRDELETE]

GO



/*
  (Keysystems), 2005
*/
CREATE TRIGGER [dbo].[DICTIONARY_PAY_DIRECTION_KIRDELETE] ON [dbo].[DICTIONARY_PAY_DIRECTION] 
FOR DELETE 
AS
	IF EXISTS(SELECT * FROM DELETED DEL, DICTIONARY_PAY_DIRECTION D WHERE D.LINK = DEL.LINK AND D.FLAG_SYS = 1) BEGIN
		RAISERROR('   ', 11, 1)
		ROLLBACK
	END




GO





---     
IF NOT EXISTS(SELECT * FROM dbo.dictionary_pay_DIrection WHERE code = '01' AND NAME = ' ')
BEGIN 
	INSERT INTO dbo.dictionary_pay_DIrection ([CODE],[NAME],[DATE_FACT],[DATE_ENUM],[Flag_SYS])
	VALUES ('01',' ', 1,2, 1) 
END 
IF NOT EXISTS(SELECT * FROM dbo.dictionary_pay_DIrection WHERE code = '02' AND NAME = ' ')
BEGIN 
	INSERT INTO dbo.dictionary_pay_DIrection ([CODE],[NAME],[DATE_FACT],[DATE_ENUM],[Flag_SYS]) 
	VALUES ('02',' ', 2,2, 1)
END 
IF NOT EXISTS(SELECT * FROM dbo.dictionary_pay_DIrection WHERE code = '03' AND NAME = ', ')
BEGIN 
	INSERT INTO dbo.dictionary_pay_DIrection ([CODE],[NAME],[DATE_FACT],[DATE_ENUM],[Flag_SYS]) 
	VALUES ('03',', ',2,1, 1)
END 
IF NOT EXISTS(SELECT * FROM dbo.dictionary_pay_DIrection WHERE code = '04' AND NAME =' ,    ')
BEGIN 	
	INSERT INTO dbo.dictionary_pay_DIrection ([CODE],[NAME],[DATE_FACT],[DATE_ENUM],[Flag_SYS]) 
	VALUES ('04',' ,    ',2,2, 1)
END 

GO


GO

DELETE A FROM [dbo].[TAX2_APP] A
WHERE A.LINK_DED IS NOT NULL AND NOT EXISTS (SELECT * FROM [dbo].[DICTIONARY_TYP_DEDUCTION] B WHERE B.LINK = A.LINK_DED)
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_TAX2_APP_LINK_DED]'))
ALTER TABLE [dbo].[TAX2_APP] 
ADD CONSTRAINT [FK_TAX2_APP_LINK_DED] FOREIGN KEY ([LINK_DED]) REFERENCES [dbo].[DICTIONARY_TYP_DEDUCTION] ([LINK])
GO

GO
/******   LINK_PD   [dbo].[SDOC_VEDOM]  ******/
IF COLUMNPROPERTY(object_id('[dbo].[SDOC_VEDOM]'), 'LINK_PD', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[SDOC_VEDOM] ADD [LINK_PD] int NULL 
GO

/******   LINK_NDFL   [dbo].[SDOC_VEDOM]  ******/
IF COLUMNPROPERTY(object_id('[dbo].[SDOC_VEDOM]'), 'LINK_NDFL', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[SDOC_VEDOM] ADD [LINK_NDFL] int NULL 
GO

/******   DATE_PAY   [dbo].[SDOC_VEDOM]  ******/
IF COLUMNPROPERTY(object_id('[dbo].[SDOC_VEDOM]'), 'DATE_PAY', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[SDOC_VEDOM] ADD [DATE_PAY] datetime NULL 
GO

GO

--  26.09.2016
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DICT_PAY_DIRECTION]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DICT_PAY_DIRECTION]

GO

/*
  (Keysystems), 2005
*/
CREATE     VIEW dbo.DICT_PAY_DIRECTION
AS
SELECT 
	[LINK]			= LINK,
	[CODE]			= CODE,
	[NAME]			= [NAME],
	[DATE_FACT]		= [DATE_FACT],
	[DATE_FACT_C]	= CASE WHEN [DATE_FACT] = 1 
						    	THEN '1.  '
	             		   ELSE  '2. ' end  ,
						   
	[DATE_ENUM]		= [DATE_ENUM],
	[DATE_ENUM_C]	= CASE WHEN [DATE_ENUM] = 1 
						 	THEN '1.  '
						   ELSE '2.    ' end  ,
	[Flag_SYS]		= [Flag_SYS],
	[COMMENT]       = COMMENT

FROM 
	 dbo.DICTIONARY_PAY_DIRECTION 


GO


GRANT SELECT ON dbo.[DICT_PAY_DIRECTION] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN]

GO
CREATE FUNCTION dbo.BK_VIEW_EXPORT_FORMAT_NALOG_FN (@YEAR INT = NULL)
RETURNS TABLE

RETURN

	--      --
	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.02 ( 01.01.2009 .)', PROC_NAME = 'BK_EXPORT_F1151006',
		PRG_SKRIPT = CONVERT(VARCHAR(100),''),
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR < 2011

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.03 ( 01.01.2011 .)', PROC_NAME = 'BK_EXPORT_F1151006_503',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR BETWEEN 2011 AND 2013

	UNION ALL

	SELECT FORM_CODE = 'ND_NP',
		FNAME = ' 5.05 ( 01.12.2013 .)', PROC_NAME = 'BK_EXPORT_F1151006_505',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2013

	UNION ALL
	--     --
	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)',
		PROC_NAME = 'BK_EXPORT_F1152004',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'
	WHERE @YEAR < 2012	

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.01 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_501',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2012

	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.02 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_502',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR = 2013
	
	UNION ALL

	SELECT
		FORM_CODE = 'ND_TN',
		FNAME = ' 5.03 ( 01.01.2015 .)',
		PROC_NAME = 'BK_EXPORT_F1152004_503',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''
	WHERE @YEAR >= 2014

	UNION ALL

	SELECT FORM_CODE = 'AV_TN',
		FNAME = ' 4.01 ( 01.01.2007 .)', PROC_NAME = 'BK_EXPORT_F1152027',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152027'

	UNION ALL

	---      ---
	SELECT FORM_CODE = 'AV_F1152028',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152028',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_ASS',
		FNAME = ' 5.00 ( 01.01.2008 .)',
		PROC_NAME = 'BK_EXPORT_F1152026',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = 'BK_TEST_EXP_F1152028'
	UNION ALL
	--   01.01.2012 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_502',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2013
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.02 ( 01.01.2012 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_502',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR < 2014		
	UNION ALL
	--   01.01.2013 --
	SELECT FORM_CODE = 'ND_IMU',
		FNAME = ' 5.03 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_F1152026_503',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	UNION ALL
	SELECT FORM_CODE = 'AV_IMU',
		FNAME = ' 5.03 ( 01.01.2014 .)',
		PROC_NAME = 'BK_EXPORT_F1152028_503',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = '' --'BK_TEST_EXP_F1152028'
	WHERE @YEAR >= 2014		

	UNION ALL
	--   4 --
	SELECT FORM_CODE = '4FSS',
		FNAME = ',      06.11.2009 n 871', PROC_NAME = 'SA_4FSS_EXPORT',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR <= 2010	
	UNION ALL	
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.3 ( 19  12.02.2010  .  21.03.2011 (53)', PROC_NAME = 'SA_4FSS_EXPORT_v03',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2011
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.4 (   22.11.2011)', PROC_NAME = 'SA_4FSS_EXPORT_v04',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2012
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.5 ( 107  19.03.2013)', PROC_NAME = 'SA_4FSS_EXPORT_v05',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2013	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.6 ( 107  19.03.2013  .  11.02.2014  94)', PROC_NAME = 'SA_4FSS_EXPORT_v05',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2014	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.7 (  59  26.02.2015)', PROC_NAME = 'SA_4FSS_EXPORT_v07',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR = 2015	
	UNION ALL
	SELECT FORM_CODE = '4FSS',
		FNAME = '  0.9 (  59  26.02.2015 (   25.02,04.07.2016))', PROC_NAME = 'SA_4FSS_EXPORT_v09',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_4FSS_EXPORT_TEST'
	WHERE
		@YEAR >= 2016	
	UNION ALL
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 (2011)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2011',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2011	
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2012',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2012			
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 15.03.2012 . 232)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2013',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR = 2013
	UNION ALL	
	
	--   -1 --
	SELECT FORM_CODE = '-1',
		FNAME = ' 07.00 ( 03.03.2014 . 25)', PROC_NAME = 'SA_RSV1_EXPORT_0700_2014',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = 'SA_RSV1_EXPORT_TEST'
	WHERE
		@YEAR >= 2014	
	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617005',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617005',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	--   -2 () --
	SELECT FORM_CODE = '0617004',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	-- -2 .  01.01.2011 --
	SELECT FORM_CODE = '0617004_11',
		FNAME = '   -2 ()  ', PROC_NAME = 'BK_EXPORT_F0617004_11',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	--   -2  () --
	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR < 2012	

	UNION ALL
	SELECT FORM_CODE = '2_',
		FNAME = '   -2()  ', PROC_NAME = 'BK_EXPORT_F0617010_2012',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE @YEAR >= 2012	

	UNION ALL
	--   -4 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE
		@YEAR <= 2012	
	UNION ALL
	--   -4 c 01.01.2013 --
	SELECT FORM_CODE = '0606010',
		FNAME = '   -4  ', PROC_NAME = 'SK_EXPORT_F0606010_13',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE
		@YEAR >= 2013		


	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1GS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1GS',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2GS_GZ',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2GS',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- --
	SELECT FORM_CODE = '1MS',
		FNAME = '   1-  ', PROC_NAME = 'KJ_EXPORT_1MS',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   2- --
	SELECT FORM_CODE = '2MS',
		FNAME = '   2-  ', PROC_NAME = 'KJ_EXPORT_2MS',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1-() --
	SELECT FORM_CODE = '1T_GMS',
		FNAME = '   1-()  ', PROC_NAME = 'KJ_EXPORT_1T_GMS',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '0607006',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   1- () --
	SELECT FORM_CODE = '1_',
		FNAME = '   1-  ', PROC_NAME = 'BK_EXPORT_F0607006_11',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	UNION ALL
	--   11  () --
	SELECT FORM_CODE = '0602002',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''

	UNION ALL
	SELECT FORM_CODE = '_11',
		FNAME = '   11-  ', PROC_NAME = 'BK_EXPORT_F0602002_2012',
		PRG_SKRIPT = '',
		DIR = 'RST',
		TEST_PROC = ''
	WHERE
		@YEAR >= 2012		
	
	--   ( 2013) --		
	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_REST',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_REST',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	UNION ALL
	SELECT
		FORM_CODE = 'AHD_EXPORT_PROV',
		FNAME = ' 1.00 ( 01.09.2013 .)',
		PROC_NAME = 'BK_EXPORT_AHD_PROV',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''
	

	--     --		
	UNION ALL
	SELECT
		FORM_CODE = 'EOD_EXPORT_INV1',
		FNAME = ' 1.00 ( 01.01.2013 .)',
		PROC_NAME = 'BK_EXPORT_INV1',
		PRG_SKRIPT = '',
		DIR = 'AHD',
		TEST_PROC = ''

	--  6- --		
	UNION ALL
	SELECT
		FORM_CODE = '6-',
		FNAME = ' 5.01 (  N-7-11/450@  14.10.2015.)',
		PROC_NAME = 'SA_6NDFL_EXPORT_v5_01',
		PRG_SKRIPT = '',
		DIR = 'IMNS',
		TEST_PROC = ''--'SA_6NDFL_EXPORT_TEST'
	--  - --		
	UNION ALL
	SELECT
		FORM_CODE = '-',
		FNAME = ' 2.40 ( 04.03.2016 .)',
		PROC_NAME = 'SA_SZVM_EXPORT_v2_40',
		PRG_SKRIPT = '',
		DIR = 'PF',
		TEST_PROC = ''--'SA_SZVM_EXPORT_TEST'
		









GO


GRANT SELECT ON dbo.[BK_VIEW_EXPORT_FORMAT_NALOG_FN] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[StrToLine]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[StrToLine]
GO

CREATE FUNCTION dbo.StrToLine(@STR NVARCHAR(4000), @SEPARATOR VARCHAR(10))
/*
      
SELECT * FROM dbo.StrToLine('201.11,201.21,201.27',',')
*/
RETURNS TABLE
AS RETURN

SELECT
	ROW = ROW_NUMBER() OVER (ORDER BY N),
	TXT = SUBSTRING(
					S,
					N+LEN(@SEPARATOR),
					PATINDEX(
							'%' + @SEPARATOR + '%',
							SUBSTRING(S,N+LEN(@SEPARATOR),LEN(S)-N)
							)-1
					)
FROM
	(SELECT S = @SEPARATOR+ISNULL(@STR,'')+@SEPARATOR) T1
	INNER JOIN dbo.[GetNums] (1,LEN(ISNULL(@STR,''))) T2 ON 1=1
WHERE
	SUBSTRING(S, N,LEN(@SEPARATOR)) = @SEPARATOR
	AND
	N+LEN(@SEPARATOR)*2 < LEN(S)

GO


GRANT SELECT ON dbo.[StrToLine] TO PUBLIC
GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZV4_SPR]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SA_SZV4_SPR]

GO


------------------------------------------------------------------------

CREATE VIEW [dbo].SA_SZV4_SPR
as

Select  
date = UI.WORKDATE, S.link, S.spr_code, spr_name = S1.[NAME], code = CONVERT(varchar(20),LEFT(S.code,20)), S.name, S.date1, S.date2,
	par1code = rtrim(ltrim(par1code)), par1name = rtrim(ltrim(COALESCE(par1name,par1code))),
	par2code = rtrim(ltrim(par2code)), par2name = rtrim(ltrim(COALESCE(par2name,par2code))),
	par3code = rtrim(ltrim(par3code)), par3name = rtrim(ltrim(COALESCE(par3name,par3code)))
from dbo.SZV4_SPR S left join dbo.SA_SZV4_SPR_SPR S1 on S.spr_code = S1.code, 
	USER_INFO UI 




GO


GRANT SELECT ON dbo.[SA_SZV4_SPR] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_G_PROV]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SALARY_G_PROV]

GO

CREATE  VIEW [dbo].SALARY_G_PROV 
AS
WITH 
SALARY_XO AS --   
(
	SELECT XO.LINK
	FROM
		dbo.XOZ_OPER XO
		INNER JOIN dbo.XOZ_OPER_GROUP XG ON XG.LINK = XO.GROUP_LINK
	WHERE
		XG.CODE='27' AND XO.CODE='01' OR XG.CODE='12' AND XO.CODE='16' OR XO.ZP = 1
),
SALARY_TEMPLATE AS --   ,    
(
	SELECT DISTINCT
		CONVERT(numeric(18,2),O.VALUE) AS LINK
	FROM 
		dbo.S_OPTIONS O
		INNER JOIN (SELECT * FROM dbo.S_OBJECTS
					WHERE
						CODE LIKE 'VEDOM_OPTIONS_OPT9'
					OR	CODE LIKE 'VEDOM_OPTIONS_OPT15'
					OR	CODE LIKE 'ESN_OPT2'
					OR	CODE LIKE 'ESN_OPT4'
					OR	CODE LIKE 'ESNTR_OPT1'
					OR	CODE LIKE 'ESNTR_OPT2'
					OR	CODE LIKE 'NDFL_OPT4'
					OR	CODE LIKE 'NDFL_OPT10'
					) SO ON SO.LINK = O.OBJECT AND dbo.CheckIsNumeric(O.VALUE) = 1 
	WHERE
		[SID] IS NULL		
)

SELECT G.LINK, G.[DATE], COUNT(*) as CNT_PROV
FROM 
	dbo.G_PROV G
	INNER JOIN dbo.S_OBJECTS SO ON SO.LINK = G.OBJECT
	LEFT JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	LEFT JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	LEFT JOIN SALARY_XO XO ON XO.LINK = G2.ECON_OPER
	LEFT JOIN dbo.sdoc_vedom_rko SVD ON SVD.LINK_RKO = G.LINK
	LEFT JOIN SALARY_TEMPLATE ST ON ST.LINK = G.LINK
WHERE
	SO.CODE LIKE 'DOCUMENTS_SALARY'
	OR
	XO.LINK IS NOT NULL
	OR
	SVD.LINK_RKO IS NOT NULL
	OR
	ST.LINK IS NOT NULL
	OR
	(G.DATE_PROV IS NULL AND G1.LINK IS NULL AND (SO.CODE LIKE 'BB_ZAYAVKA_KR' OR SO.CODE LIKE 'DOCUMENTS_PAY' OR SO.CODE LIKE 'DOCUMENTS_RKO'))
GROUP BY 
	G.LINK, G.[DATE]


GO


GRANT SELECT ON dbo.[SALARY_G_PROV] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ku_EmplExpirTable]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[ku_EmplExpirTable]

GO


/*
  (Keysystems), 2005
*/

CREATE       FUNCTION dbo.ku_EmplExpirTable (
	@empl_link int,
	@Date datetime = null, 
	@mode int=0 
)  
RETURNS @R TABLE (expir_link int, expir_code varchar(10), years INT, months INT, days INT)
AS  
BEGIN 

	DECLARE @result int, @nyears int, @nmonths int, @ndays int, @ndate datetime, @tdate datetime, @cstr varchar(7000), @fname varchar(20)
	DECLARE @T TABLE (expir_link int, expir_code varchar(10), date_begin datetime, date_end datetime, koeff numeric(4,1), years numeric(5,2), months numeric(5,2), days numeric(5,2), lastday int)
	DECLARE @R_TEMP TABLE (expir_link int, expir_code varchar(10), years numeric(6,2), months numeric(6,2), days numeric(6,2))

	SELECT @date = dis_date FROM item_dis_face WHERE empl_link=@empl_link and active=1 and dis_date<@date

	SELECT @tdate = WORKDATE FROM USER_INFO
	IF @Date is null
		SELECT @Date = dbo.kd_DateBeginWork(@empl_link, @tdate)-1

	IF @mode=1
		INSERT @T
		SELECT e.link, e.code, o.date_begin, case when o.date_end<@Date then o.date_end else @Date end,
			o.koef, 0, 0, 0, 0
		FROM expir e
			left join (select ok.expir_link, ok.koef, eo.date_begin, eo.date_end, eo.empl_link
					from oldwork_koef ok left join empl_oldwork eo on ok.oldwork_link=eo.link
					where eo.date_begin<=@Date and eo.empl_link=@empl_link) o
			on o.expir_link=e.link

	INSERT @T
	SELECT mk.expir_link, e.code, date_begin, 
		case when date_end>@Date then @Date else date_end end,
		mk.koef, 0, 0, 0, 0
	FROM dbo.KA_ONLY_MOVES im
		left join dbo.move_koef mk on mk.move_link=im.link
		left join dbo.expir e on mk.expir_link=e.link
	WHERE im.empl_link=@empl_link and im.date_begin<=@Date --and im.active=1

	UPDATE @T SET 
		years = year(date_end+1) - year(date_begin),
		months = month(date_end+1) - month(date_begin),
		days = day(date_end+1) - day(date_begin),
		lastday = 30/*datepart(day, dbo.DateBeginOfMonth(date_end+1) - 1)*/
				  /*case	when month(date_begin) = 2 then 30
						else datepart(day, dbo.DateBeginOfMonth(date_end+1) - 1)
				  end*/

	UPDATE @T SET years = convert(int, years), months = months + (years-convert(int, years)) * 12
	UPDATE @T SET months = convert(int, months), days = days + (months-convert(int, months)) * lastday
	UPDATE @T SET months = months - 1, days = days + lastday WHERE days<0
	UPDATE @T SET years = years - 1, months = months + 12 WHERE months<0

	IF @mode=0
		INSERT INTO @T (expir_link, expir_code, years, months, days, koeff)
		SELECT ee.expir_link, e.code, ee.years, ee.months, ee.days, 1
		FROM empl_expir ee LEFT JOIN expir e ON ee.expir_link=e.link
		WHERE empl_link = @empl_link

	INSERT @R_TEMP
	SELECT expir_link, expir_code, isnull(sum(years*koeff), 0), isnull(sum(months*koeff), 0), isnull(sum(days*koeff), 0)
	FROM @T GROUP BY expir_link, expir_code

	----   "  "
	UPDATE A SET
		A.[YEARS] = ISNULL([YEARS],0) + ISNULL(Y,0),
		A.[MONTHS] = ISNULL([MONTHS],0) + ISNULL(M,0),
		A.[DAYS] = ISNULL([DAYS],0) + ISNULL(D,0)
	FROM
		@R_TEMP A
		LEFT JOIN (SELECT EXPIR_LINK, Y=SUM([YEARS]), M=SUM([MONTHS]), D=SUM([DAYS]) 
					FROM dbo.EMPL_EXPIR_DOP T 
					WHERE T.EMPL_LINK = @empl_link AND T.DATE_BEGIN <=  @Date GROUP BY EXPIR_LINK) B
			ON A.EXPIR_LINK = B.EXPIR_LINK
	
	----
	UPDATE @R_TEMP SET months = months + case when convert(int, years) != 0 then 12*(years - convert(int, years)) else 12*years end, years = convert(int, years)
	UPDATE @R_TEMP SET days = days + case when convert(int, months) != 0 then 30*(months - convert(int, months)) else 30*months end, months = convert(int, months)

	WHILE exists(SELECT * FROM @R_TEMP WHERE days>=30)
		UPDATE @R_TEMP SET days = days - 30, months = months + 1 WHERE days>=30

	WHILE exists(SELECT * FROM @R_TEMP WHERE months>=12)
		UPDATE @R_TEMP SET months = months - 12, years = years + 1 WHERE months>=12
	
	INSERT INTO @R
	SELECT * FROM @R_TEMP

	RETURN			
				
END

GO


GRANT SELECT ON dbo.[ku_EmplExpirTable] TO PUBLIC

GO

--SELECT * FROM dbo.ku_EmplExpirTable(3,'20160624',DEFAULT)
--GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[CheckIsNumbers]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[CheckIsNumbers]

GO
CREATE FUNCTION dbo.CheckIsNumbers (@Value VARCHAR(8000) )

RETURNS INT
AS
BEGIN
	RETURN 1-ISNULL( (SELECT MAX(1) FROM dbo.[GetNums](1,LEN(@Value)) N WHERE ISNULL(ASCII(SUBSTRING(@Value,N.N,1)),48) NOT BETWEEN 48 AND 57),0)
END

GO


GRANT EXECUTE ON dbo.[CheckIsNumbers] TO PUBLIC

GO


GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FINANS_OPER_302]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[FINANS_OPER_302]
GO





--select * from FINANS_OPER_DOG 
--left(so.name,20), 

--        

CREATE             view dbo.FINANS_OPER_302
as

select  distinct  g.link, obj = so.name ,g.number, g2.summa, g.date, g.date_prov, 
				[dog_link]=bo.doc_link, g.comment, so.code 
from dbo.g_prov g
inner JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
inner JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
inner JOIN dbo.G_PROV_AP AP ON AP.LINK_UP = G2.LINK and AP.DB_KR = 1 and
				AP.ACCOUNT IN (select LINK from dbo.S_ACCOUNTS where CODE like '%.302.%')
inner JOIN dbo.S_OBJECTS SO ON SO.LINK = G.OBJECT 
JOIN dbo.bd_osnov bo ON ap.ap1 = bo.link and (bo.object='FINANS_CONTRACT' or bo.object='FINANS_CONTRACT_CHANGE')





GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GRANT all on FINANS_OPER_DOG to public
GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[sa_expected_vacation]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION dbo.[sa_expected_vacation]

GO
CREATE FUNCTION dbo.sa_expected_vacation (@dDate datetime)
--          
RETURNS TABLE
/*         ,    
: {    } + {  } + {      } */
RETURN

WITH 
ASL --ACTUAL_STAFF_LIST  
AS (
SELECT S.LINK, S.LINK_UP, S.DAYS_VAC_O, S.DAYS_VAC_D
FROM 
	dbo.staff s WITH (NOLOCK)
	CROSS APPLY (SELECT ISNULL(MIN(S2.DATE_BEGIN)-1,DATEADD(YEAR, DATEDIFF(YEAR, -1, @dDate), -1)) AS DATE_END 
					FROM dbo.staff S2 WITH (NOLOCK) WHERE S2.LINK_UP = S.LINK_UP AND S2.DATE_BEGIN > S.DATE_BEGIN) D
WHERE
	@dDate BETWEEN S.DATE_BEGIN AND D.DATE_END
),
GOS
AS (
	SELECT 
		empl_link, 
		CASE 
			WHEN years < 5 THEN 1
			WHEN years >= 5 AND years < 10 THEN 5
			WHEN years >= 10 AND years < 15 THEN 7
			ELSE 10
		END AS VAC_DS
	FROM dbo.sa_EmplExpirTable(DEFAULT,@dDate,0,DEFAULT) WHERE expir_code = 'GOS_NADB' AND years > 0
),
SPR 
AS	(
SELECT 
	NU.EMPL_LINK, 
	SUM((CASE WHEN VAC_V = 3 THEN [DAYS] ELSE 0 END)) AS D_MAIN, 
	SUM((CASE WHEN VAC_V = 2 THEN [DAYS] ELSE 0 END)) AS D_ADD 
FROM
	dbo.EMPL_VAC_NOTUSED NU
	INNER JOIN dbo.VACATION_VID	VV ON VV.LINK = NU.VAC_LINK
	CROSS APPLY (SELECT ISNULL(MIN(S2.[DATE])-1,DATEADD(YEAR, DATEDIFF(YEAR, -1, '20151231'), -1)) AS DATE_END 
					FROM dbo.EMPL_VAC_NOTUSED S2 WITH (NOLOCK) 
						WHERE YEAR(NU.[DATE]) = YEAR(@dDate) 
							AND S2.EMPL_LINK = NU.EMPL_LINK AND S2.[DATE] > NU.[DATE]) D
WHERE
	@dDate BETWEEN NU.[DATE] AND D.DATE_END
	AND
	(VAC_V = 2 OR VAC_V = 3)
	AND
	YEAR(NU.[DATE]) = YEAR(@dDate)
GROUP BY
	NU.EMPL_LINK
)
-- 
SELECT
	IM.EMPL_LINK,
	STAFF_HEAD = IM.STAFF_LINK,
	STAFF_LINK = ASL.LINK,
	VAC_MAIN = ASL.DAYS_VAC_O + ISNULL(SPR.D_MAIN,0),
	VAC_ADD = ISNULL(ASL.DAYS_VAC_D,0) + ISNULL(GOS.VAC_DS,0) + ISNULL(SPR.D_ADD,0)
FROM 
	dbo.sa_item_move IM WITH (NOLOCK)
	INNER JOIN ASL ON ASL.LINK_UP = IM.STAFF_LINK
	LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = IM.EMPL_LINK AND IDF.ACTIVE=1
	LEFT JOIN GOS WITH (NOLOCK) ON GOS.EMPL_LINK = IM.EMPL_LINK
	LEFT JOIN SPR WITH (NOLOCK) ON SPR.EMPL_LINK = IM.EMPL_LINK
WHERE
	@dDate BETWEEN (CASE WHEN IM.DATE_BEGIN < DATEADD(YEAR, DATEDIFF(YEAR, 0, @dDate), 0) THEN DATEADD(YEAR, DATEDIFF(YEAR, 0, @dDate), 0) ELSE IM.DATE_BEGIN END)
				AND (CASE WHEN ISNULL(IDF.DIS_DATE,DATEADD(YEAR, DATEDIFF(YEAR, -1, @dDate), -1)) < IM.date_end3 THEN ISNULL(IDF.DIS_DATE,DATEADD(YEAR, DATEDIFF(YEAR, -1, @dDate), -1)) ELSE IM.date_end3 END)
GO

GRANT SELECT ON dbo.[sa_expected_vacation] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BB_ZAYAVKA_KR]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[BB_ZAYAVKA_KR]

GO

CREATE VIEW dbo.BB_ZAYAVKA_KR
AS

SELECT	G.LINK,
		G.NUMBER,
		SUMMA		= G.SUMMA,
		SUMMA_P		= ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA),
		SUMMA_NDS	= P.SUMMA_NDS,--ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA) * isnull(P.NDS,0) / (100.0 + isnull(P.NDS,0)),
		G.COMMENT,
		G.DATE, 
		G.DATE_PROV,
		FLAG_JC		= CASE WHEN G.DATE_PROV IS NULL THEN 0 ELSE 1 END,
		DEP_LINK	= G.DEP,
		DEP_CODE	= SD.CODE,
		DEP_B_CODE	= SD.BUDG,
		DEP_UBP		= SD.CODE_UBP,
		DEP_NAME	= SD.NAME,
		DEP_FNAME	= left(rtrim(SD.prefix) + rtrim(SD.FULL_NAME) + case when charindex('(',SD.prefix,0) > 0 then ')' else '' end,254),
		DEP_TYPE	= SD.BUH_TYPE,
		GRBS_NAME	= VED.NAME,
		GRBS_CODE	= VED.CODE,
		BUDG_NAME	= BUDG.NAME,
		FO_NAME		= FO.FULL_NAME,
		FO_CODE		= FO.CODE,
		FO_OKPO		= FO.OKPO,
		ACC_LINK	= G.ACC,
		ACC_CODE	= SA.CODE,		
		ACC_NAME	= SA.ANAME,	
		TOFK_NAME	= SA.KAZN_F_NAME,
		TOFK_CODE	= SA.KAZN_CODE,
		UCHR_NAME	= UCHR.NAME,
		

		DBANK_LINK		= DA.ref_link_b,
		KOR_CODE		= DD.CODE,
		KOR_ACC_LINK	= P.D_Acc,
		KOR_ACC_CODE	= DA.code,
		KOR_LACC		= case DA.type when 1 then '' else DA.code end,
		KOR_RACC		= case DA.type when 1 then DA.code else TA.code end,
		KOR_BANK		= rtrim(isnull(DA.BANK_FNAME,TA.BANK_FNAME)) + case ZO.BANK_CITY when 1 then ' ' + isnull(DA.BANK_CITY,TA.BANK_CITY) else '' end,
		KOR_BIK			= isnull(DA.BANK_CODE,TA.BANK_CODE),
		KOR_KS			= DA.BANK_KS,
		KOR_ANAME		= DA.aname,
		KOR_FNAME		= left(rtrim(DD.prefix) + rtrim(DD.FULL_NAME) + case when charindex('(',DD.prefix,0) > 0 then ')' else '' end,254),
		KOR_INN			= DD.INN,
		KOR_KPP			= DD.KPP,
		KOR_LINK		= DD.Link,
		KOR_NAME		= DD.NAME,
		KBK_CODE		= KBK.CODE,  		
		P.AVANSE,	
		P.BK_IN_TGT,
		P.KIND,
		[ORDER]			= P.Order_Pay,
		P.PRINT_KPP,
		P.SROK,
		P.NDS,
		P.NDS_LINK,
		NDS_NAME	=	CONVERT(VARCHAR(50), NDS.NAME),
		NDS_SHABLON	=	CONVERT(VARCHAR(250), NDS.SHABLON),
		P.TARGETTEXT,
		OSN_NUM		= CONVERT (VARCHAR (25), GD.Number),
		OSN_DATE	= GD.DATE,
		OSN_NAME	= CONVERT (VARCHAR (254), GD.INFO),
		OSN_LINK	= GD.DOC_LINK,
		OSN_COM		= GD.COMMENT,
		OSN_VID		= GD.[TYPE],
		
		BO_NUM		= P.BO_NUM,

		TITLE		= ' ' + RTRIM(CONVERT(VARCHAR(25),G.NUMBER)) + '  ' + CONVERT(VARCHAR(10),G.[DATE], 104),
		S_TARGET	= CONVERT(VARCHAR(100),LEFT(TARGETTEXT,100)),
		DOH_CODE_L	= case isnull(ZO.KBK_DEL,0) when 0 then rtrim(K.Code) + '.' + S.Code else replace(rtrim(K.Code) + '.' + S.Code,'.','') end,
		[DOH_CODE] = K.Code,
		[DOH_LINK] = P.Link_Dohod,
		[DOH_NAME] = K.name,
		[SGU_CODE] = S.Code,
		[SGU_LINK] = P.Link_SGU,
		[SGU_NAME] = S.Name,
		P.OKATO,
		P.P_REASON,
		P.P_TYPE,
		[PERIOD] = P.Nal_PERIOD,
		P.STATUS,
		P.TREBDATE,
		P.TREBNUM,
		P.ZERODATE,
		P.SHORT,
		P.REG,
		P.UIN_CODE,
		[STATUS_EX] = GEX.[STATUS],
		[STATUS_EX_DATE] = GEX.[DATE],
		[STATUS_EX_NAME] = CONVERT(VARCHAR(23),GEX.[DATE], 120) ,	
		[ST_EX_COMMENT] = left(GEX.COMMENT,254)
FROM  dbo.G_PROV G 
left join dbo.FINANSE_PAYS P WITH (NOLOCK) on P.link = G.link
left join dbo.DICTIONARY_ACCOUNTS SA WITH (NOLOCK) on G.Acc = SA.link
left join dbo.DICTIONARY_ACCOUNTS DA WITH (NOLOCK) on P.D_Acc = DA.link
left join dbo.DICTIONARY_K_ACCOUNTS TA WITH (NOLOCK) on DA.K_Acc_LINK = TA.link
left join dbo.DEPARTMENTS SD WITH (NOLOCK) on G.DEP = SD.link
left join dbo.DEPARTMENTS FO WITH (NOLOCK) on SD.FO_LINK = FO.LINK
left join dbo.DEPARTMENTS UCHR WITH (NOLOCK) on SD.UCHR_LINK = UCHR.LINK
left join dbo.KL_ADMIN_BS VED WITH (NOLOCK) on VED.LINK = SD.VED_LINK
left join dbo.KL_BUDG_TYPE BUDG WITH (NOLOCK) on VED.Link_Budg = BUDG.LINK
left join dbo.DEPARTMENTS DD WITH (NOLOCK) on DA.REF_LINK_D = DD.link
left join dbo.BD_OSNOV GD on GD.link = P.link_dogovor 
left join dbo.G_PROV GD1 on P.link_invoice = GD1.link
left join dbo.kl_kbk K on P.link_dohod = K.link 
left join dbo.kosgu S on P.link_sgu = S.link
left join dbo.DICTIONARY_PAY_NDS NDS on P.NDS_Link = NDS.LINK
left join (select max(LINK_KBK) as LINK_KBK, LINK_UP from dbo.ZAYAVKA_KR_TABLE group by LINK_UP) ZT on ZT.LINK_UP = G.LINK
left join dbo.KL_KBK KBK on KBK.LINK = ZT.LINK_KBK 
left join dbo.BB_ZAYAVKA_KR_OPTIONS ZO on 1=1
LEFT JOIN dbo.GP_EXCH_STATUS GEX ON GEX.LINK_GP = G.LINK 

WHERE G.OBJECT = (select link from s_objects where code = 'BB_ZAYAVKA_KR')





GO


GRANT SELECT ON dbo.[BB_ZAYAVKA_KR] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_PAY]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DOCUMENTS_PAY]

GO

CREATE
VIEW dbo.DOCUMENTS_PAY
AS

 SELECT 	
		G.LINK,
		G.NUMBER,
		--SUMMA = case left(G.NUMBER,1) when '' then ISNULL(dbo.CalcDocSummaOneProv(G.LINK), G.SUMMA) else ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA) end,
		SUMMA = ISNULL(dbo.CalcDocSummaOneProv(G.LINK), G.SUMMA), --ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA),
		SUMMA_NDS	= P.SUMMA_NDS,
		G.COMMENT,
		G.DATE, 
		G.DATE_PROV,
		DEP_LINK	=	G.DEP, --  x_list_documents_zb
		FLAG_JC = CASE WHEN G.DATE_PROV IS NULL THEN 0 ELSE 1 END,

		--		
		S_LINK	= G.DEP,
		S_CODE	= SD.CODE,
		S_BUDG	= SD.BUDG,
		S_INN =	SD.INN,
		S_KPP =	SD.KPP,
		S_NAME	= CONVERT(varchar(100),SD.NAME),
		S_FNAME = SD.FULL_NAME,
		
		--  
		S_ACC_LINK	= G.ACC,
		S_ACC_NUM	= SA.CODE,		
		S_ACC_TYPE = SA.[TYPE],
		S_ANAME = SA.aname,
		SBANK_LINK = isnull(SA.REF_LINK_B,STA.BANK_LINK), 
		S_BIK = rtrim(isnull(SA.BANK_CODE,STA.BANK_CODE)), 
		S_BANK = rtrim(isnull(sA.BANK_NAME,STA.BANK_NAME)), 
		S_BANK_CITY = isnull(sA.BANK_CITY,STA.BANK_CITY), 
		S_BANK_FILIAL = isnull(SA.BANK_FILIAL,STA.FILIAL), 
		S_FBANK = isnull(SA.BANK_FNAME,STA.BANK_FNAME), 
		S_SCH_B = isnull(SA.BANK_KS,STA.BANK_KS),
		S_KAZN = SA.KAZN_NAME, 
		S_KAZN_CODE = SA.KAZN_CODE, 
		S_KAZN_INN = SA.KAZN_INN, 
		S_SCH_K = SA.K_ACC_CODE,
		S_SCH_K_LINK = SA.K_ACC_LINK,
		
		--
		D_LINK = DD.Link,
		D_CODE = DD.CODE,
		D_INN =	DD.INN,
		D_KPP =	DD.KPP,
		D_NAME = DD.NAME,
		D_FNAME = DD.FULL_NAME,
		
		--  
		D_ACC_LINK = P.D_Acc,
		D_ACC_NUM =	DA.code,
		D_ACC_TYPE = DA.[TYPE],
		D_ANAME = DA.aname,
		DBANK_LINK = DA.REF_LINK_B, 
		D_BIK = rtrim(isnull(DA.BANK_CODE,DTA.BANK_CODE)), 
		D_BANK = rtrim(isnull(DA.BANK_NAME,DTA.BANK_NAME)), 
		D_BANK_CITY = isnull(DA.BANK_CITY,DTA.BANK_CITY), 
		D_BANK_FILIAL = isnull(DA.BANK_FILIAL,DTA.FILIAL), 
		D_FBANK = isnull(DA.BANK_FNAME,DTA.BANK_FNAME), 
		D_SCH_B = isnull(DA.BANK_KS,DTA.BANK_KS),
		D_KAZN = DA.KAZN_NAME, 
		D_KAZN_CODE = DA.KAZN_CODE, 
		D_KAZN_INN = DA.KAZN_INN, 
		D_SCH_K = DA.K_ACC_CODE,
		D_SCH_K_LINK = DA.K_ACC_LINK,
		
		P.BK_IN_TGT,
		P.KIND,
		[ORDER]= P.Order_Pay,
		P.PAYKIND,
		P.PRINT_KPP,
		P.REASON,
		P.SROK,
		P.NDS,
		P.NDS_LINK,
		NDS_NAME=	CONVERT(VARCHAR(254),	(SELECT NAME FROM dbo.DICTION as D WITH (NOLOCK) WHERE D.LINK = P.NDS_LINK)),
		NDSKIND = convert(varchar(100),''), 
		P.TARGETTEXT,
		
		DOG_CODE = GD.Number,
		DOG_NAME = CONVERT (VARCHAR (254), GD.INFO),
		DOG_LINK = GD.DOC_LINK,
		DOG_OBJ = cast('' as char(100)),
		DOG_OSNOV = P.link_dogovor,

		BO_NUM = P.BO_NUM,
		
		REG = P.REG,
		REG_CODE = REG.CODE,
		REG_NAME = REG.NAME,
		
		INV_LINK = P.link_invoice,
		INV_CODE = GD1.Number,
		TITLE	= '. ' + RTRIM(CONVERT(VARCHAR(20),G.NUMBER)) + '  ' + CONVERT(VARCHAR(10),G.[DATE], 104),
		S_TARGET = CONVERT(VARCHAR(100),LEFT(TARGETTEXT,100)),
		P.OKATO,
		[PERIOD] = P.Nal_PERIOD,
		BK = dbo.BB_GET_PAY_BK(G.LINK),
		[STATUS_EX] = GEX.[STATUS],
		[STATUS_EX_DATE] = GEX.[DATE],
		[STATUS_EX_NAME] = CONVERT(VARCHAR(23),GEX.[DATE], 120),	
		[ST_EX_COMMENT] = left(GEX.COMMENT,254)
	
	FROM  dbo.G_PROV G 
	inner join dbo.FINANSE_PAYS P WITH (NOLOCK) on P.link = G.link
	inner join dbo.DICTIONARY_ACCOUNTS  SA WITH (NOLOCK) on P.S_ACC = SA.LINK
	inner join dbo.DICTIONARY_ACCOUNTS DA WITH (NOLOCK) on P.D_ACC = DA.LINK
	left join dbo.DICTIONARY_K_ACCOUNTS STA WITH (NOLOCK) on SA.K_Acc_LINK = STA.link
	left join dbo.DICTIONARY_K_ACCOUNTS DTA WITH (NOLOCK) on DA.K_Acc_LINK = DTA.link
	inner join dbo.DEPARTMENTS SD WITH (NOLOCK) on SA.REF_LINK_D = SD.link
	inner join dbo.DEPARTMENTS DD WITH (NOLOCK) on DA.REF_LINK_D = DD.link
	left join dbo.BD_OSNOV GD on GD.link = P.link_dogovor 
	left join dbo.g_prov GD1 on P.link_invoice = GD1.link
	left join dbo.KL_REG REG on P.REG = REG.link
	LEFT JOIN dbo.GP_EXCH_STATUS GEX ON GEX.LINK_GP = G.LINK 
	
	WHERE G.OBJECT = (select link from s_objects where code = 'DOCUMENTS_PAY')





GO


GRANT SELECT ON dbo.[DOCUMENTS_PAY] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_DED_PR]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DOCUMENTS_DED_PR]

GO

CREATE VIEW dbo.DOCUMENTS_DED_PR
AS
SELECT 
	[LINK]		= S.LINK,
	[NUMBER]	= S.NUMBER,
	[DATE]		= S.[DATE],
	[COMMENTARY]	= S.[COMMENTARY],
	[FLAG_JC]	= S.FLAG_JC,
	[SUMMA]		= S.SUMMA_T,
	[REF_PAY]	= SD.LINK_PAY,
	[CODE_PAY]	= P.CODE,
	[NAME_PAY]	= P.[NAME],
	[LINK_VKR]	= SD.LINK_VKR,
	[NAME_VKR]	= COALESCE(F.CODE,''),
	[REF_BASE]	= S.DATE_CALC,
	[MONTH_BASE]	= MONTH(S.DATE_CALC),
	[YEAR_BASE]	= YEAR(S.DATE_CALC),
	[NUMBER_PAYROLL]= SD.NUMBER_PR,
	[NAME_PAYROLL]	= SD.NAME_PR,
	[TYP_PAYMENT]	= SD.TYP_PAYMENT,
	[TYP_CALC]	= SD.TYP_CALC,
	[CODE_EMPL]	= E.TAB,
	[NAME_EMPL]	= dbo.sd_GetEmplName(SD.REF_KASSIR),
	[REF_EMPL] 	= SD.REF_KASSIR,
	[TYP_ROUND]	= SD.TYP_ROUND,
	[TypOkr]	= SD.TypOkr,
	[TYP_CALC_TAX]	= SD.TYP_TAX,
	[CARD_LINK]	= SD.LINK_CARD,
	[CARD_CODE] 	= C.CODE,
	[CARD_NAME] 	= C.[NAME],
	[LINK_DEP]  	= S.LINK_DEP,
	RKO = ISNULL(CONVERT(VARCHAR(2),BD.CNT) + ' ..',''),
	SD.LINK_EKR,
	CODE_EKR= COALESCE(DI.CODE,''),
	dep.NAME as name_dep,
	exported,
	exported_c = case when ISNULL(exported,0) = 1 then ISNULL(EXPORT_INFO,'.') else '' END,
	DATE_PAY = sd.date_pay,
	LINK_PD = sd.link_PD,
	CODE_PD = pd.CODE,
	NAME_PD = pd.NAME,
	LINK_NDFL = case when sd.link_NDFL  = dt.link THEN  sd.link_NDFL ELSE NULL END ,
	NUM_NDFL = DT.NUMBER,
	--date_NDFL = DT.[DATE],
	NDFL_C = ''+LTRIM(RTRIM(dT.NUMBER))+'  ' +CONVERT(VARCHAR(10),DT.[DATE],104)+ ', '+LTRIM(RTRIM(DT.NAME_PAY))+',  :' +LTRIM(RTRIM(STR(DT.MONTH_BASE)))+' .'+LTRIM(RTRIM(STR(DT.year_base)))+' ' 
FROM dbo.SDOC S INNER JOIN dbo.SDOC_VEDOM SD ON S.LINK = SD.LINK_UP
	INNER JOIN dbo.DEPARTMENTS dep ON dep.link = s.LINK_DEP
	LEFT JOIN dbo.DICTIONARY_ITEM DI on DI.link = SD.LINK_EKR
	LEFT JOIN dbo.PAYS P On SD.LINK_PAY = P.LINK
	LEFT JOIN dbo.SAL_SFIN F ON F.LINK = SD.LINK_VKR
	LEFT JOIN dbo.CARDS C ON SD.LINK_CARD = C.LINK
	LEFT JOIN dbo.EMPL E ON E.LINK = SD.REF_KASSIR
	LEFT JOIN (Select LINK_VEDOM, CNT = COUNT(*) 
				FROM DBO.SDOC_VEDOM_RKO R
					INNER JOIN dbo.G_PROV G ON R.LINK_RKO = G.LINK
					INNER JOIN dbo.S_OBJECTS O ON O.LINK = G.[OBJECT]
				WHERE
					O.CODE IN ('DOCUMENTS_RKO', 'DOCUMENTS_PAY', 'BB_ZAYAVKA_KR')	
				GROUP BY LINK_VEDOM ) BD ON BD.LINK_VEDOM = S.LINK
	LEFT JOIN dbo.DICTIONARY_PAY_DIRECTION  pd ON pd.link = sd.link_PD			
	LEFT JOIN dbo.DOCUMENTS_INCTAX  DT ON dT.link = sd.link_ndfl



GO


GRANT SELECT ON dbo.[DOCUMENTS_DED_PR] TO PUBLIC

GO



GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_RKO]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[DOCUMENTS_RKO]

GO





CREATE     
--    BK_FORM_VIEW_DOCUMENT ( ..)
--Oct 20 2005  4:56PM           
VIEW dbo.DOCUMENTS_RKO
AS
  SELECT  
    G.LINK,
    G.NUMBER,
    [SUMMA] = ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA),
    G.COMMENT,
    G.DATE, 
    G.DATE_PROV,
    [FLAG_JC] = CASE WHEN DATE_PROV IS NULL THEN 0 ELSE 1 END,

  [DEP_LINK]  = G.DEP,
  [DEP_CODE]  = CONVERT(VARCHAR(10),(SELECT CODE FROM dbo.DEPARTMENTS AS D WHERE D.LINK = G.DEP)),
  [DEP_NAME]  = CONVERT(varchar(100),(SELECT NAME FROM dbo.DEPARTMENTS AS D WHERE D.LINK = G.DEP)),
  [S_ACC_LINK]  =   G.ACC,
  [S_ACC_NUM]   =  CONVERT(char(20), (SELECT CODE FROM DICTIONARY_ACCOUNTS WHERE LINK = G.ACC)),    
  [BANK_NAME] =   CONVERT(varchar(254), (SELECT ANAME FROM DICTIONARY_ACCOUNTS WHERE LINK = G.ACC)),  

  [ADDTEXT] = CONVERT(varchar(100), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_ADDTEXT'))),
  [BUH_NAME] = CONVERT(varchar(100), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_BUH_NAME'))),
  [S_CODE]= CONVERT(char(10),  (SELECT CODE FROM dbo.DEPARTMENTS as D WITH (NOLOCK), dbo.G_PROV_DEPARTMENT GPD WHERE GPD.DOC_LINK = G.LINK AND GPD.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_D_LINK') AND D.LINK = GPD.DEPARTMENT)),
  [S_LINK]=   (SELECT GPDA.DEPARTMENT FROM dbo.G_PROV_DEPARTMENT GPDA WHERE GPDA.DOC_LINK = G.LINK AND GPDA.OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_D_LINK')),
  [DOCUM] = CONVERT(varchar(254), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_DOCUM'))),
  [FACE_CODE]=  CONVERT(Char(10),  (SELECT TAB FROM dbo.EMPL as D WITH (NOLOCK), dbo.G_PROV_EMPL GPE WHERE GPE.DOC_LINK = G.LINK AND GPE.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK') AND D.LINK = GPE.EMPL)),
  [FACE_CODE2]= CONVERT(Char(10),  (SELECT TAB FROM dbo.EMPL as D WITH (NOLOCK), dbo.G_PROV_EMPL GPE WHERE GPE.DOC_LINK = G.LINK AND GPE.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK_2') AND D.LINK = GPE.EMPL)),
  [FACE_FAMF] = CONVERT(Char(25), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_FAM_F'))),
  [FACE_LINKF] =     CONVERT(int, (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK_F'))),

  [FACE_LINK]=    (SELECT GPEM.EMPL FROM dbo.G_PROV_EMPL GPEM WHERE GPEM.DOC_LINK = G.LINK AND GPEM.OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK')),
  [FACE_LINK2]=   (SELECT GPEM.EMPL FROM dbo.G_PROV_EMPL GPEM WHERE GPEM.DOC_LINK = G.LINK AND GPEM.OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK_2')),

  [FACE_NAME]=  CONVERT(Varchar(100), (SELECT dbo.sd_GetEmplName (GPE.EMPL) FROM dbo.G_PROV_EMPL GPE WHERE GPE.DOC_LINK = G.LINK AND GPE.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK'))),
  [FACE_NAME2]= CONVERT(Varchar(100), (SELECT dbo.sd_GetEmplName (GPE.EMPL) FROM dbo.G_PROV_EMPL GPE WHERE GPE.DOC_LINK = G.LINK AND GPE.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_FACE_LINK_2'))),
  [KAS_NAME] = CONVERT(varchar(100), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_KAS_NAME'))),
  [OPTION] = CONVERT(TINYINT, (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_OPTION'))),
  [OTDEL_LINK]=   (SELECT GPDA.SUBDIV FROM dbo.G_PROV_SUBDIV GPDA WHERE GPDA.DOC_LINK = G.LINK AND GPDA.OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_OTDEL_LINK')),
  [OTDEL_NAME]= CONVERT(varchar(250), (SELECT NAME FROM dbo.SUBDIV as D WITH (NOLOCK), dbo.G_PROV_SUBDIV GPD WHERE GPD.DOC_LINK = G.LINK AND GPD.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_OTDEL_LINK') AND D.LINK = GPD.SUBDIV)),
  [PAYER] = convert(varchar(254), dbo.DOCUMENTS_RKO_GET_PAYER(liNK)),
  [RUK_NAME] = CONVERT(varchar(100), (SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_RUK_NAME'))),
  [S_NAME]= CONVERT(varchar(254), (SELECT NAME FROM dbo.DEPARTMENTS as D WITH (NOLOCK), dbo.G_PROV_DEPARTMENT GPD WHERE GPD.DOC_LINK = G.LINK AND GPD.OBJECT= (SELECT LINK FROM S_OBJECTS WHERE CODE ='COLUMN_DOC_RKO_D_LINK') AND D.LINK = GPD.DEPARTMENT)),
  [OTDEL_CODE]= CONVERT(Char(7),  (SELECT CODE FROM dbo.SUBDIV as D WITH (NOLOCK), dbo.G_PROV_SUBDIV GPD WHERE GPD.DOC_LINK = G.LINK AND GPD.OBJECT= (SELECT LINK FROM S_OBJECTS WHERE CODE = 'COLUMN_DOC_RKO_OTDEL_LINK') AND D.LINK = GPD.SUBDIV)),
  [REASON] = CONVERT(varchar(100),(SELECT VALUE FROM G_PROV_VALUE as GPV WITH (NOLOCK)  WHERE GPV.DOC_LINK = G.LINK AND GPV.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE ='COLUMN_DOC_RKO_REASON'))),
  [STATUS_EX] = GEX.[STATUS],
  [STATUS_EX_DATE] = GEX.[DATE],
  [STATUS_EX_NAME] = CONVERT(VARCHAR(23),GEX.[DATE], 120),	
  [ST_EX_COMMENT] = left(GEX.COMMENT,254)
  FROM dbo.G_PROV as G 
  WITH (NOLOCK)
  LEFT JOIN dbo.GP_EXCH_STATUS GEX ON GEX.LINK_GP = G.LINK 
  WHERE G.OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_RKO')








GO


GRANT SELECT ON dbo.[DOCUMENTS_RKO] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_ALL_PROV]') AND OBJECTPROPERTY(id, N'IsView') = 1)
DROP VIEW dbo.[SALARY_ALL_PROV]

GO

CREATE  VIEW dbo.SALARY_ALL_PROV
AS

Select  
--[LINK]= DOC_LINK,
[DOC_LINK]= UP.DOC_LINK,
[LINK]= UP.LINK,
[FLAG_JC] = CASE WHEN UP.DATE_PROV IS NULL THEN 0 ELSE 1 END,
[DATE] = CONVERT(DATETIME,SD.[DATE], 112),
[DATE_PROV] = CONVERT(DATETIME,UP.DATE_PROV, 112),
[NUMBER] = UP.NUMDOC,
[COMMENTARY] = UP.NAME_OPER, 
[KBK_CODE] = UP.KBK_CODE,
[EKR_CODE] = UP.EKR_CODE,
[DEB_CODE] = UP.DEB_CODE, 
[DEB_NAME] = UP.DEB_NAME, 
[CRE_CODE] = UP.CRE_CODE,
[CRE_NAME] = UP.CRE_NAME,
[SUMMA]    = UP.SUMMA,
[LINK_DEP] = UP.LINK_DEP,
[DEP_NAME] = (SELECT NAME FROM dbo.DEPARTMENTS WHERE LINK = UP.LINK_DEP),
[ACC_LINK] = (SELECT ACC FROM G_PROV WHERE LINK = UP.DOC_LINK),
[ACC_CODE] = ISNULL((SELECT CODE FROM dbo.DICTIONARY_ACCOUNTS WHERE LINK = (SELECT ACC FROM G_PROV WHERE LINK = UP.DOC_LINK)),''),
[STATUS_EX] = CASE WHEN UP.STATUS_EXCH IS NULL THEN 0 ELSE UP.STATUS_EXCH end,
[STATUS_EX_DATE] = UP.STATUS_EX_DATE, 
[STATUS_EX_NAME] = CONVERT(VARCHAR(23),UP.STATUS_EX_DATE , 120),	
[ST_EX_COMMENT]	= LEFT(UP.ST_EX_COMMENT,254)					
FROM 
	dbo.xk_user_prov(NULL, DEFAULT) UP 
	INNER JOIN [dbo].SALARY_G_PROV SD ON SD.LINK = UP.DOC_LINK AND CNT_PROV <> 0

GO


GRANT SELECT ON dbo.[SALARY_ALL_PROV] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ZP_SUM_PROV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ZP_SUM_PROV]

GO
CREATE PROCEDURE dbo.ZP_SUM_PROV (
	@SUMMA NUMERIC(18,2)= NULL OUTPUT, --    
	@PERIOD_BEG DATETIME=NULL, --   
	@PERIOD_END DATETIME=NULL, --  
	@NAL_PERIOD_BEG DATETIME=NULL, --   ( " ")
	@NAL_PERIOD_END DATETIME=NULL, 	--   ( " ")
	@DEP_LINK INT, --  
	@sDT_ACC_LINE VARCHAR(1000)=NULL, --     (  )   (: '_.303.07')
	@sKT_ACC_LINE VARCHAR(1000)=NULL, --     (  )   (: '_.304.05:_.201.11')
	@sDT_KAU_LINE VARCHAR(1000)=NULL, --     (  )   (: '555:666:444')
	@sKT_KAU_LINE VARCHAR(1000)=NULL, --     (  )   (: '555:666:444')
	@sDT_DOP_LINE VARCHAR(1000)=NULL, --    . (  )   (: '123:456:789')
	@sKT_DOP_LINE VARCHAR(1000)=NULL, --    . (  )   (: '123:456:789')
	@sDT_SGU_FILTER VARCHAR(1000)=NULL, --- (SQL)      (: CODE > 210 AND CODE < 290)
	@sKT_SGU_FILTER VARCHAR(1000)=NULL, --- (SQL)      (: CODE > 210 AND CODE < 290)
	@sDT_EKR_FILTER VARCHAR(1000)=NULL, --- (SQL)      (: CODE > 210 AND CODE < 290)
	@sKT_EKR_FILTER VARCHAR(1000)=NULL	--- (SQL)      (: CODE > 210 AND CODE < 290)
	)
--      
--      :    (,)  
--  -  -1, 4, 2-
--               -,    
---\   -\    -

--CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT)

--DECLARE @SUMMA NUMERIC(18,2)
--EXEC dbo.ZP_SUM_PROV @SUMMA=@SUMMA OUTPUT, @PERIOD_BEG='2016-01-01 00:00:00.000', @PERIOD_END='2016-06-30 00:00:00.000', @DEP_LINK=74578, @sDT_ACC_LINE='_.303.07', @sKT_ACC_LINE='_.304.05', @sDT_KAU_LINE=NULL, @sKT_KAU_LINE=NULL, @sDT_DOP_LINE=NULL, @sKT_DOP_LINE=NULL, @sDT_SGU_FILTER=NULL, @sKT_SGU_FILTER=NULL
--SELECT @SUMMA

--SELECT * FROM #PLAT

AS
BEGIN

	SET	@sDT_ACC_LINE = CASE WHEN @sDT_ACC_LINE IN ('','NULL') THEN NULL ELSE @sDT_ACC_LINE END
	SET	@sKT_ACC_LINE = CASE WHEN @sKT_ACC_LINE IN ('','NULL') THEN NULL ELSE @sKT_ACC_LINE END
	SET	@sDT_KAU_LINE = CASE WHEN @sDT_KAU_LINE IN ('','NULL') THEN NULL ELSE @sDT_KAU_LINE END
	SET	@sKT_KAU_LINE = CASE WHEN @sKT_KAU_LINE IN ('','NULL') THEN NULL ELSE @sKT_KAU_LINE END
	SET	@sDT_DOP_LINE = CASE WHEN @sDT_DOP_LINE IN ('','NULL') THEN NULL ELSE @sDT_DOP_LINE END
	SET	@sKT_DOP_LINE = CASE WHEN @sKT_DOP_LINE IN ('','NULL') THEN NULL ELSE @sKT_DOP_LINE END
	SET	@sDT_SGU_FILTER = CASE WHEN @sDT_SGU_FILTER IN ('','NULL') THEN NULL ELSE @sDT_SGU_FILTER END
	SET	@sKT_SGU_FILTER = CASE WHEN @sKT_SGU_FILTER IN ('','NULL') THEN NULL ELSE @sKT_SGU_FILTER END
	SET	@sDT_EKR_FILTER = CASE WHEN @sDT_EKR_FILTER IN ('','NULL') THEN NULL ELSE @sDT_EKR_FILTER END
	SET	@sKT_EKR_FILTER = CASE WHEN @sKT_EKR_FILTER IN ('','NULL') THEN NULL ELSE @sKT_EKR_FILTER END


	DECLARE @DT_ACC TABLE (CODE VARCHAR(10))
	INSERT INTO @DT_ACC SELECT TXT FROM dbo.StrToLine(@sDT_ACC_LINE,':')

	DECLARE @KT_ACC TABLE (CODE VARCHAR(10))
	INSERT INTO @KT_ACC SELECT TXT FROM dbo.StrToLine(@sKT_ACC_LINE,':')
	----
	DECLARE @DT_KAU TABLE (CODE VARCHAR(30))
	INSERT INTO @DT_KAU SELECT [TXT] FROM dbo.StrToLine(@sDT_KAU_LINE,':')

	DECLARE @KT_KAU TABLE (CODE VARCHAR(30))
	INSERT INTO @KT_KAU SELECT TXT FROM dbo.StrToLine(@sKT_KAU_LINE,':')
	--
	DECLARE @DT_DOP TABLE (CODE VARCHAR(20))
	INSERT INTO @DT_DOP SELECT TXT FROM dbo.StrToLine(@sDT_DOP_LINE,':')

	DECLARE @KT_DOP TABLE (CODE VARCHAR(20))
	INSERT INTO @KT_DOP SELECT TXT FROM dbo.StrToLine(@sKT_DOP_LINE,':')

	--
	CREATE TABLE #DT_SGU (LINK INT)
	IF LTRIM(RTRIM(ISNULL(@sDT_SGU_FILTER,'NULL'))) <> 'NULL'
		EXECUTE ('
        SELECT * INTO #KOSGU FROM dbo.KOSGU WHERE ISNUMERIC(CODE) = 1 AND patindex(''%[A-Z-]%'', code) = 0        
        INSERT INTO #DT_SGU(LINK) SELECT LINK FROM #KOSGU A WHERE '+ @sDT_SGU_FILTER)

	--
	CREATE TABLE #KT_SGU (LINK INT)
	IF LTRIM(RTRIM(ISNULL(@sKT_SGU_FILTER,'NULL'))) <> 'NULL'
		EXECUTE ('
        SELECT * INTO #KOSGU FROM dbo.KOSGU WHERE ISNUMERIC(CODE) = 1 AND patindex(''%[A-Z-]%'', code) = 0        
        INSERT INTO #KT_SGU(LINK) SELECT LINK FROM #KOSGU A WHERE '+ @sKT_SGU_FILTER)        

	--
	CREATE TABLE #DT_EKR (LINK INT)
	IF LTRIM(RTRIM(ISNULL(@sDT_EKR_FILTER,'NULL'))) <> 'NULL'
		EXECUTE ('
        SELECT * INTO #KOSGU FROM dbo.KOSGU WHERE ISNUMERIC(CODE) = 1 AND patindex(''%[A-Z-]%'', code) = 0        
        INSERT INTO #DT_EKR(LINK) SELECT LINK FROM #KOSGU A WHERE '+ @sDT_EKR_FILTER)

	--
	CREATE TABLE #KT_EKR (LINK INT)
	IF LTRIM(RTRIM(ISNULL(@sKT_EKR_FILTER,'NULL'))) <> 'NULL'
		EXECUTE ('
        SELECT * INTO #KOSGU FROM dbo.KOSGU WHERE ISNUMERIC(CODE) = 1 AND patindex(''%[A-Z-]%'', code) = 0        
        INSERT INTO #KT_EKR(LINK) SELECT LINK FROM #KOSGU A WHERE '+ @sKT_EKR_FILTER) 
   	
	IF (@PERIOD_BEG IS NOT NULL AND @PERIOD_END IS NOT NULL) OR (@NAL_PERIOD_BEG IS NOT NULL AND @NAL_PERIOD_END IS NOT NULL) 
	BEGIN

		/*
		          ANSI_NULLS  ANSI_WARNINGS. 
		    .       .
		*/
		
		SET ANSI_NULLS ON
		SET ANSI_WARNINGS ON
		
		--***
		/*     -*/
		DECLARE @SQL NVARCHAR(4000), @STATUS INT, @BASE VARCHAR(254), @ERR_MSG VARCHAR(254)
		EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_IPROV @BASE = @BASE OUTPUT, @DEP_LINK = @DEP_LINK OUTPUT, @ERR_MSG = @ERR_MSG OUTPUT

		SET ANSI_NULLS OFF
		SET ANSI_WARNINGS OFF
			
		IF @STATUS = 0 --   	
		BEGIN
  
			DECLARE @PAYS_LINE VARCHAR(4000)
		
			--    
			SET @SQL = 'EXEC ' + @BASE 
			+ 'dbo.ZP_SUM_PROV 
				@SUMMA=@SUMMA OUTPUT,
				@PAYS_LINE = @PAYS_LINE OUTPUT,	
				@DEP_LINK = @DEP_LINK,
				@PERIOD_BEG = @PERIOD_BEG, 
				@PERIOD_END = @PERIOD_END,
				@NAL_PERIOD_BEG = @NAL_PERIOD_BEG, 
				@NAL_PERIOD_END = @NAL_PERIOD_END,
				@sDT_ACC_LINE = @sDT_ACC_LINE,
				@sKT_ACC_LINE = @sKT_ACC_LINE,
				@sDT_KAU_LINE = @sDT_KAU_LINE,
				@sKT_KAU_LINE = @sKT_KAU_LINE,
				@sDT_DOP_LINE = @sDT_DOP_LINE,
				@sKT_DOP_LINE = @sKT_DOP_LINE,
				@sDT_SGU_FILTER = @sDT_SGU_FILTER,
				@sKT_SGU_FILTER = @sKT_SGU_FILTER,
				@sDT_EKR_FILTER = @sDT_EKR_FILTER,
				@sKT_EKR_FILTER = @sKT_EKR_FILTER'
		
			SET ANSI_NULLS ON
			SET ANSI_WARNINGS ON		

			EXEC SP_EXECUTESQL @SQL, N'@SUMMA NUMERIC(18,2) OUTPUT, @PAYS_LINE VARCHAR(4000)=NULL OUTPUT, @DEP_LINK INT, 
										@PERIOD_BEG DATETIME, @PERIOD_END DATETIME, @NAL_PERIOD_BEG DATETIME, @NAL_PERIOD_END DATETIME,
										@sDT_ACC_LINE VARCHAR(1000), @sKT_ACC_LINE VARCHAR(1000),
										@sDT_KAU_LINE VARCHAR(1000), @sKT_KAU_LINE VARCHAR(1000),
										@sDT_DOP_LINE VARCHAR(1000), @sKT_DOP_LINE VARCHAR(1000),
										@sDT_SGU_FILTER VARCHAR(1000), @sKT_SGU_FILTER VARCHAR(1000),
										@sDT_EKR_FILTER VARCHAR(1000), @sKT_EKR_FILTER VARCHAR(1000)', 
										@SUMMA=@SUMMA OUTPUT,
										@PAYS_LINE = @PAYS_LINE OUTPUT,	
										@DEP_LINK = @DEP_LINK,
										@PERIOD_BEG = @PERIOD_BEG, 
										@PERIOD_END = @PERIOD_END,
										@NAL_PERIOD_BEG = @NAL_PERIOD_BEG, 
										@NAL_PERIOD_END = @NAL_PERIOD_END,
										@sDT_ACC_LINE = @sDT_ACC_LINE,
										@sKT_ACC_LINE = @sKT_ACC_LINE,
										@sDT_KAU_LINE = @sDT_KAU_LINE,
										@sKT_KAU_LINE = @sKT_KAU_LINE,
										@sDT_DOP_LINE = @sDT_DOP_LINE,
										@sKT_DOP_LINE = @sKT_DOP_LINE,
										@sDT_SGU_FILTER = @sDT_SGU_FILTER,
										@sKT_SGU_FILTER = @sKT_SGU_FILTER,
										@sDT_EKR_FILTER = @sDT_EKR_FILTER,
										@sKT_EKR_FILTER = @sKT_EKR_FILTER


			----    
			IF OBJECT_ID('TEMPDB..#PLAT','U') IS NOT NULL
				INSERT INTO #PLAT (VID, Y, MON, SUMMA, Y_p, MON_p, NUMBER)
				SELECT 
					VID = 1,
					Y = CONVERT(INT,(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 1)),
					MON = CONVERT(INT,(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 2)),
					SUMMA = CONVERT(NUMERIC(18,2),(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 5)),
					Y_p = CONVERT(INT,(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 3)),
					MON_p = CONVERT(INT,(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 4)),
					NUMBER = CONVERT(INT,(SELECT TOP 1 [TXT] FROM dbo.StrToLine(T.DATA,';') WHERE ROW = 6))
				FROM 
					(SELECT ROW, DATA = [TXT] FROM dbo.StrToLine(@PAYS_LINE,'|')) T
			
			SET ANSI_NULLS OFF
			SET ANSI_WARNINGS OFF
											
		END	

		ELSE
		BEGIN

			CREATE TABLE #TAB (Y INT, MON INT, Y_P INT, MON_P INT, SUMMA NUMERIC(18,2), NUMBER VARCHAR(30))

			INSERT INTO #TAB (Y, MON, Y_P, MON_P, SUMMA, NUMBER)
			SELECT 
				Y = YEAR(G.DATE_PROV) 
				,MON = MONTH(G.DATE_PROV)
				,Y_P = dbo.SA_GET_WORD_NUM(Nal_Period,3,'.')
				,MON_P = dbo.SA_GET_WORD_NUM(Nal_Period,2,'.')
				,SUMMA = G2.SUMMA
				,NUMBER = G.NUMBER
			FROM 
				dbo.G_PROV G 
				INNER JOIN dbo.G_PROV1 G1 ON G.LINK = G1.LINK_UP
				INNER JOIN dbo.G_PROV2 G2 ON (G2.LINK_UP = G1.LINK)
				INNER JOIN dbo.G_PROV_AP DT ON (DT.LINK_UP = G2.LINK AND DT.DB_KR = 0)
				INNER JOIN dbo.G_PROV_AP KT ON (KT.LINK_UP = G2.LINK AND KT.DB_KR = 1)
				LEFT JOIN dbo.FINANSE_PAYS PA on G.LINK = PA.LINK
			WHERE  
				G.DEP = @DEP_LINK
				AND 
				G.DATE_PROV is not null 
				AND (@sDT_ACC_LINE IS NULL OR EXISTS (SELECT * FROM @DT_ACC T INNER JOIN dbo.s_accounts SA ON LTRIM(rtrim(SA.[CODE])) LIKE T.CODE where SA.LINK = DT.ACCOUNT ))
				AND (@sKT_ACC_LINE IS NULL OR EXISTS (SELECT * FROM @KT_ACC T INNER JOIN dbo.s_accounts SA ON LTRIM(rtrim(SA.[CODE])) LIKE T.CODE where SA.LINK = KT.ACCOUNT ))
				AND (@sDT_KAU_LINE IS NULL OR EXISTS (SELECT * FROM @DT_KAU T INNER JOIN dbo.KAU K ON LTRIM(rtrim(K.[CODE])) LIKE T.CODE where K.LINK = DT.KAU)) 
				AND (@sKT_KAU_LINE IS NULL OR EXISTS (SELECT * FROM @KT_KAU T INNER JOIN dbo.KAU K ON LTRIM(rtrim(K.[CODE])) LIKE T.CODE where K.LINK = KT.KAU)) 
				AND (@sDT_DOP_LINE IS NULL OR EXISTS (SELECT * FROM @DT_DOP T INNER JOIN dbo.DOP_CLASSIF K ON LTRIM(rtrim(K.[CODE])) LIKE T.CODE where K.LINK = DT.AP2)) 
				AND (@sKT_DOP_LINE IS NULL OR EXISTS (SELECT * FROM @KT_DOP T INNER JOIN dbo.DOP_CLASSIF K ON LTRIM(rtrim(K.[CODE])) LIKE T.CODE where K.LINK = KT.AP2)) 
				AND (@sDT_SGU_FILTER IS NULL OR EXISTS (SELECT * FROM #DT_SGU T WHERE T.LINK = DT.SGU))
				AND (@sKT_SGU_FILTER IS NULL OR EXISTS (SELECT * FROM #KT_SGU T WHERE T.LINK = KT.SGU))
				AND (@sDT_EKR_FILTER IS NULL OR EXISTS (SELECT * FROM #DT_EKR T WHERE T.LINK = DT.EKR))
				AND (@sKT_EKR_FILTER IS NULL OR EXISTS (SELECT * FROM #KT_EKR T WHERE T.LINK = KT.EKR))			
				AND
				(
					@PERIOD_BEG IS NULL
					OR
					(
						DT.INDATE is null and KT.INDATE is null and G.DATE_PROV BETWEEN @PERIOD_BEG AND @PERIOD_END or 
						DT.INDATE is null and KT.INDATE is not null and KT.INDATE BETWEEN @PERIOD_BEG AND @PERIOD_END or 
						DT.INDATE is not null and KT.INDATE is null and DT.INDATE BETWEEN @PERIOD_BEG AND @PERIOD_END or 
						DT.INDATE is not null and KT.INDATE is not null and DT.INDATE BETWEEN @PERIOD_BEG AND @PERIOD_END and KT.INDATE BETWEEN @PERIOD_BEG AND @PERIOD_END
					 )
				)	 
				AND
				(
					@NAL_PERIOD_BEG IS NULL
					OR
					(
						CONVERT(INT,dbo.SA_GET_WORD_NUM(Nal_Period,2,'.')) BETWEEN MONTH(@NAL_PERIOD_BEG) AND MONTH(@NAL_PERIOD_END)
						AND
						CONVERT(INT,dbo.SA_GET_WORD_NUM(Nal_Period,3,'.')) = YEAR(@NAL_PERIOD_BEG)
					 )
				)

			--    
			IF OBJECT_ID('TEMPDB..#PLAT','U') IS NOT NULL
				INSERT INTO #PLAT (VID, Y, MON, SUMMA, Y_p, MON_p, NUMBER)
				SELECT 1, Y, MON, Y_P, MON_P, SUM(SUMMA), NUMBER
				FROM #TAB
				GROUP BY
					NUMBER, Y, MON, Y_P, MON_P
					
			-- 		
			SET @SUMMA = ISNULL((SELECT SUM(SUMMA) FROM #TAB),0)

		END	--IF @STATUS = 0 --   		

	END --IF (@PERIOD_BEG IS NOT NULL AND @PERIOD_END IS NOT NULL) OR (@NAL_PERIOD_BEG IS NOT NULL AND @NAL_PERIOD_END IS NOT NULL) 
	
END

RETURN 0	

GO

GRANT EXECUTE ON dbo.[ZP_SUM_PROV] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_VEDOM_SAVE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_VEDOM_SAVE]

GO

/*
  (Keysystems), 2005
*/
CREATE  PROCEDURE [dbo].SD_U_VEDOM_SAVE
	@varKSparLINK		int	OUTPUT,
	@varKSparNumber		varchar(15) = null,
	@varKSparDate		datetime = null,
	@varKSparDateS		datetime = null,
	@varKSparDATE_PAY   DATETIME = NULL,
	@varKSparRefPay		int = null,
	@varKSparComments	varchar(100) = '',
	@varKSparFlag		tinyint	= 0,
	@varKSparNUM_PR		varchar(10),
	@varKSparNAME_PR		varchar(60),
	@varKSparTYP_PAYMENT	int = null,
	@varKSparlink_PD    INT = NULL,
	@varKSparTYP_CALC	int = null,
	@varKSparTYP_ROUND	int = null,
	@varKSparTypOkr		tinyint = null,
	@varKSparSumma		numeric(15,2) = 0.0,	
	@varKSparREF_EMPL 	int = null,
	@varKSparTYP_CALC_TAX int = null,
	@varKSparLINK_NDFL INT = NULL,
	@varKSparVKR int,
	@varKSparCARD_LINK int,	
	@varKSparEKR int,
	@LINK_DEP INT = NULL
AS

DECLARE @varKSERROR	tinyint,
		@varKSstrVALUE	varchar(7000),
		@varKStrancount	int,	@varKSsoLink int, @varKSRowCount int

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


IF @varKSparNumber IS NULL OR @varKSparNumber = '' or  @varKSparDate IS NULL  or @varKSparDateS IS NULL
BEGIN
	ROLLBACK
	RETURN 5
END

SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = 'DOCUMENTS_DED_PAYROLL'

IF @varKSparREF_EMPL = 0
	SET @varKSparREF_EMPL = NULL

EXECUTE @varKSERROR = SALARY_UPD_SDOC @varKSparLINK OUTPUT, @varKSsoLink, @varKSparNumber,@varKSparDate,@varKSparComments,@varKSparFlag,@varKSparDateS,@varKSparSumma, @LINK_DEP
IF @varKSERROR <> 0
	RETURN @varKSERROR
	

IF not exists(select link_up from sdoc_vedom where link_up =@varKSparLINK)
	BEGIN
		INSERT INTO SDOC_VEDOM WITH (ROWLOCK) (LINK_UP,LINK_PAY,LINK_VKR, NUMBER_PR, NAME_PR,TYP_PAYMENT,TYP_CALC,REF_KASSIR,TYP_ROUND,TypOkr,TYP_TAX,LINK_CARD,LINK_EKR, DATE_PAY,link_PD,LINK_NDFL ) 
			VALUES (@varKSparLINK, @varKSparRefPay, @varKSparVKR,@varKSparNUM_PR,@varKSparNAME_PR, 
                    @varKSparTYP_PAYMENT,@varKSparTYP_CALC,@varKSparREF_EMPL,
                    @varKSparTYP_ROUND,@varKSparTypOkr,@varKSparTYP_CALC_TAX,@varKSparCARD_LINK,@varKSparEKR ,@varKSparDATE_PAY, @varKSparlink_PD, @varKSparLINK_NDFL)
		SELECT @varKSERROR = @@ERROR
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
ELSE
	BEGIN
		UPDATE SDOC_VEDOM WITH (ROWLOCK) 
		SET 	LINK_PAY =@varKSparRefPay,
				LINK_VKR = @varKSparVKR, 
				NUMBER_PR= @varKSparNUM_PR, 
				NAME_PR = @varKSparNAME_PR,
				TYP_PAYMENT =@varKSparTYP_PAYMENT,
				TYP_CALC =@varKSparTYP_CALC,
				REF_KASSIR = @varKSparREF_EMPL,
				TYP_ROUND =@varKSparTYP_ROUND,
				TypOkr = @varKSparTypOkr,
				TYP_TAX = @varKSparTYP_CALC_TAX,
				LINK_CARD = @varKSparCARD_LINK,
				LINK_EKR = @varKSparEKR,
				DATE_PAY = @varKSparDATE_PAY, 
				link_PD = @varKSparlink_PD, 
				LINK_NDFL = @varKSparLINK_NDFL
		WHERE LINK_UP=@varKSparLINK
		SELECT @varKSERROR = @@ERROR, @varKSRowCount = @@ROWCOUNT
		IF @varKSERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
		IF @varKSRowCount = 0
		BEGIN
			ROLLBACK
			RETURN 2
		END
	END

DELETE FROM SDOC_VEDOM_TABLE1 WHERE LINK_UP = @varKSparLINK
DELETE FROM SDOC_VEDOM_TABLE2 WHERE LINK_UP = @varKSparLINK
DELETE FROM SDOC_VEDOM_TABLE3 WHERE LINK_UP = @varKSparLINK
DELETE FROM SDOC_VEDOM_TABLE_TAX WHERE LINK_UP = @varKSparLINK



declare @varKSEventText varchar(200)
SET @varKSEventText = '   ' + RTRIM(LTRIM(convert(varchar(10),@varKSparNumber))) + '  ' + CONVERT(VARCHAR(10),@varKSparDate,104)
EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSsoLink, 'SDOC',@varKSparLINK
WHILE @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

RETURN 0




GO


GRANT EXECUTE ON dbo.[SD_U_VEDOM_SAVE] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_SMETA_SMART]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_SMETA_SMART]

GO
CREATE PROCEDURE dbo.SYNCH_SMETA_SMART (@LINK_JOURN_TAB INT, @COMENT VARCHAR(1000) OUTPUT, @STATUS INT OUTPUT)
AS
/*
declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 59,@p2 output,@p3 output
select @p2, @p3
*/

DECLARE @SQL NVARCHAR(4000), @BASE VARCHAR(254)

IF @LINK_JOURN_TAB IS NULL
	OR
	NOT EXISTS (SELECT * FROM dbo.SYNCH_SMETA_SMART_TAB WHERE LINK = @LINK_JOURN_TAB)
BEGIN
	SELECT @STATUS = 3, @COMENT = ' .'
	RETURN 1
END	

--  
EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_BASE @BASE OUTPUT, @COMENT OUTPUT

IF @STATUS > 0
BEGIN

	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET COMENT = @COMENT, [STATUS] = @STATUS WHERE LINK = @LINK_JOURN_TAB
	
	RETURN @STATUS
	
END

--------------------
DECLARE @COM NVARCHAR(254)

SET @COM = 
	(SELECT TOP 1 command
		FROM 
			dbo.SYNCH_SMETA_SMART_TAB T
			INNER JOIN dbo.SYNCH_SMETA_SMART_OPT2 O ON O.LINK = T.[LINK_OPT2]
		WHERE T.LINK = @LINK_JOURN_TAB)

IF LTRIM(RTRIM(ISNULL(@COM,''))) = ''
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = '   '
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	SELECT @STATUS = [STATUS], @COMENT = COMENT FROM dbo.SYNCH_SMETA_SMART_TAB WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END	

--------------------
SET @SQL = 'EXEC ' + @COM + ' @DB = @PAR1,  @LINK_JOURN_TAB = @PAR2'
PRINT @SQL
EXEC SP_EXECUTESQL @SQL, N'@PAR1 VARCHAR(254), @PAR2 INT', @PAR1 = @BASE, @PAR2 = @LINK_JOURN_TAB

SELECT @STATUS = [STATUS], @COMENT = COMENT FROM dbo.SYNCH_SMETA_SMART_TAB WHERE LINK = @LINK_JOURN_TAB

RETURN @STATUS

GO


GRANT EXECUTE ON dbo.[SYNCH_SMETA_SMART] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BB_ZAYAVKA_KR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BB_ZAYAVKA_KR]

GO

CREATE  PROCEDURE [dbo].[SYNCH_BB_ZAYAVKA_KR] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
EXEC [dbo].[SYNCH_BB_ZAYAVKA_KR] 'bs_sinhron.', 41
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD

--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.LINK_DT_ACC
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK
UNION
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = P.[Link_Dohod]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK]
UNION	
SELECT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = T.[LINK_KBK_D]

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU
UNION
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = P.Link_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU
UNION	
SELECT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = T.LINK_SGU_D

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = KAU
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL
UNION	
SELECT G.DEP, LTRIM(RTRIM(DOP.CODE)), DOP.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON T.LINK_UP = G.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] DOP ON DOP.LINK = T.LINK_DCL_D	
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = DEP_ACC	
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV G_2 ON G_2.LINK_INS = G_1.LINK
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + '[dbo].[FINANSE_PAYS]
([Link],[kind],[S_Acc],[D_Acc],[srok],[order_pay],[PAYKIND],[REASON],[TARGETTEXT],[BK_IN_TGT],[PRINT_KPP],[NDS],[NDS_LINK],[Link_Dohod],[Link_SGU],[OKATO],
[P_Reason],[P_Type],[Nal_Period],[TrebDate],[TrebNum],[ZeroDate],[Filial_Pay],[Filial_Rcp],[INN_OK_Pay],[INN_OK_Rcp],[Kod_FP],[LS_Rcp],[Nm_OK_Pay],[Nm_OK_Rcp],
[Time_Pay],[Link_Dogovor],[Link_Invoice],[BO_NUM],[avanse],[SUMMA_NDS],[SHORT],[STATUS],[NALOG_PAY],[TARGET_LINK],[PAY_PURPOSE],[KBK_KREDIT],[SUMMA_P],
[CODE_DOHOD],[NAME_DOHOD],[UIN_CODE],[EMPL_LINK],[FIELD_SHABLON],[USR_TXT],[KT_ACC])

SELECT
	[Link] = T.LINK2
	,[kind] = P.[kind]
	,[S_Acc] = sacc.LINK2
	,[D_Acc] = dacc.LINK2
	,[srok] = P.[srok]
	,[order_pay] = P.[order_pay]
	,[PAYKIND] = P.[PAYKIND]
	,[REASON] = P.[REASON]
	,[TARGETTEXT] = P.[TARGETTEXT]
	,[BK_IN_TGT] = P.[BK_IN_TGT]
	,[PRINT_KPP] = P.[PRINT_KPP]
	,[NDS] = P.[NDS]
	,[NDS_LINK] = NS.LINK	-- /  !
	,[Link_Dohod] = kksk.LINK2
	,[Link_SGU] = sgu.LINK2
	,[OKATO] = P.[OKATO]
	,[P_Reason] = P.[P_Reason]
	,[P_Type] = P.[P_Type]
	,[Nal_Period] = P.[Nal_Period]
	,[TrebDate] = P.[TrebDate]
	,[TrebNum] = P.[TrebNum]
	,[ZeroDate] = P.[ZeroDate]
	,[Filial_Pay] = P.[Filial_Pay]
	,[Filial_Rcp] = P.[Filial_Rcp]
	,[INN_OK_Pay] = P.[INN_OK_Pay]
	,[INN_OK_Rcp] = P.[INN_OK_Rcp]
	,[Kod_FP] = P.[Kod_FP]
	,[LS_Rcp] = P.[LS_Rcp]
	,[Nm_OK_Pay] = P.[Nm_OK_Pay]
	,[Nm_OK_Rcp] = P.[Nm_OK_Rcp]
	,[Time_Pay] = P.[Time_Pay]
	,[Link_Dogovor] = NULL
	,[Link_Invoice] = NULL -- / - 
	,[BO_NUM] = P.[BO_NUM]
	,[avanse] = P.[avanse]
	,[SUMMA_NDS] = P.[SUMMA_NDS]
	,[SHORT] = P.[SHORT]
	,[STATUS] = ST.[LINK]
	,[NALOG_PAY] = NULL
	,[TARGET_LINK] = NULL
	,[PAY_PURPOSE] = NULL
	,[KBK_KREDIT] = NULL
	,[SUMMA_P] = G.SUMMA
	,[CODE_DOHOD] = NULL --   ,   
	,[NAME_DOHOD] = NULL --   ,   
	,[UIN_CODE] = P.[UIN_CODE]
------------------------------------------------
--   [EMPL_LINK]
------------------------------------------------
	,[EMPL_LINK] = NULL
------------------------------------------------
--   [FIELD_SHABLON]
------------------------------------------------
	,[FIELD_SHABLON] = NULL
	,[USR_TXT] = P.[TARGETTEXT]
------------------------------------------------
--   [KT_ACC]
------------------------------------------------
	,[KT_ACC] = NULL
FROM
	#G_PROV T
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON T.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = T.LINK1
	INNER JOIN dbo.[FINANSE_PAYS] P ON P.[Link] = T.LINK1
	LEFT JOIN #DEP_ACCOUNTS sacc ON sacc.LINK1 = P.S_Acc AND sacc.DEP = T.[DEP1]
	LEFT JOIN #DEP_ACCOUNTS dacc ON dacc.LINK1 = P.D_Acc AND dacc.DEP = T.[DEP1]
	LEFT JOIN #KBK kksk ON kksk.LINK1 = P.[Link_Dohod] AND kksk.DEP = T.DEP1
	LEFT JOIN #SGU sgu ON sgu.LINK1 = P.Link_SGU AND SGU.DEP = T.DEP1
	LEFT JOIN ' + @DB + '[dbo].[PAY_STATUS] ST ON P.[Status] ' + @COLLATE + ' = ST.[CODE]
	LEFT JOIN [dbo].[DICTION] N ON P.NDS_LINK = N.LINK
	LEFT JOIN ' + @DB + '[dbo].[NDS_SHABLON] NS ON NS.LINK_DEP = VD.LINK_CB AND NS.[NAME] ' + @COLLATE + ' = N.[NAME]
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @iTABLE_OBJ_ID INT
SELECT @iTABLE_OBJ_ID = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''BB_ZAYAVKA_KR_TABSUM''

INSERT ' + @DB + '[dbo].[OUT_TABLE_ROW] ([LINK_UP],[OBJECT],[ORDERS],[LINK_OPER],[COMMENT],[LINK_INS])
SELECT
	[LINK_UP] = C.LINK2
	,[OBJECT] = @iTABLE_OBJ_ID
	,[ORDERS] = 0
	,[LINK_OPER] = NULL
	,[COMMENT] = NULL
	,T.LINK
FROM
	#G_PROV C
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON C.LINK1 = T.LINK_UP
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT ' + @DB + '[dbo].[ZAYAVKA_KR_TABLE]
([LINK_UP],[LINK_KBK],[LINK_SGU],[LINK_DCL],[LINK_KBK_D],[LINK_SGU_D],[LINK_DCL_D],[TARGET],[TITLE],[SUMMA],[VYD_SR],[LINK_DT_ACC],[SOURCE],[LINK_KAU],[DCL_LINK_DBT])
SELECT
	[LINK_UP] = O.LINK
	,[LINK_KBK] = kksk.LINK2
	,[LINK_SGU] = sgu.LINK2
	,[LINK_DCL] = DCL.LINK2
	,[LINK_KBK_D] = kkskd.LINK2
	,[LINK_SGU_D] = sgud.LINK2
	,[LINK_DCL_D] = DCLD.LINK2
	,[TARGET] = T.[TARGET]
	,[TITLE] = T.[TITLE]
	,[SUMMA] = T.[SUMMA]
	,[VYD_SR] = T.[VYD_SR]
	,[LINK_DT_ACC] = accks.LINK2
	,[SOURCE] = fins.LINK
	,[LINK_KAU] = NULL
	,[DCL_LINK_DBT] = NULL

FROM
	#G_PROV C
	INNER JOIN (SELECT ROW_NUMBER() OVER(PARTITION BY [LINK_INS] ORDER BY [LINK]) [ORDER],* FROM ' + @DB + '[dbo].[OUT_TABLE_ROW]) O ON C.LINK2=O.LINK_UP
	INNER JOIN [dbo].[ZAYAVKA_KR_TABLE] T ON O.[LINK_INS]=T.[LINK]
	
	LEFT JOIN #KBK kksk ON kksk.LINK1 = T.[LINK_KBK] AND kksk.DEP = C.[DEP1]
	LEFT JOIN #KBK kkskd ON kkskd.LINK1 = T.[LINK_KBK_D] AND kkskd.DEP = C.[DEP1]

	LEFT JOIN #SGU sgu ON sgu.LINK1 = T.LINK_SGU AND sgu.DEP = C.[DEP1]
	LEFT JOIN #SGU sgud ON sgud.LINK1 = T.LINK_SGU_D AND sgud.DEP = C.[DEP1]

	LEFT JOIN #DOP DCL ON DCL.LINK1 = T.LINK_DCL AND DCL.DEP = C.[DEP1]
	LEFT JOIN #DOP DCLD ON DCLD.LINK1 = T.LINK_DCL_D AND DCLD.DEP = C.[DEP1]

	LEFT JOIN #ACCOUNT accks ON accks.LINK1 = T.LINK_DT_ACC AND accks.DEP = C.[DEP1]

	LEFT JOIN dbo.FIN_SOURCE fins1 ON fins1.LINK = T.[SOURCE]
	LEFT JOIN
	(SELECT  RowNumber = row_number () OVER ( PARTITION BY CODE ORDER BY CODE), *
	 FROM ' + @DB + 'dbo.FIN_SOURCE) fins ON fins1.CODE = fins.CODE ' + @COLLATE + ' AND fins.RowNumber = 1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'	
	

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1_2 ON G1_2.LINK_INS = G1_1.LINK
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2_2 ON G2_2.LINK_INS = G2_1.LINK
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	LEFT JOIN ' + @DB + 'dbo.KOSGU KSGU ON KSGU.LINK = GAPK.SGU
	INNER JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  206.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_ADV_POST''
			--2.  302.21-26,29   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-6,9]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_PAY_POST''			
			--3.  304.03   304.05(201.11)  -    /(304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_ZARP''			
			--4.  302.11-13 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_ZARPLATY''				
			--5.  208   304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''208''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_PODOTCHET''	
'
INSERT INTO #EXEC ([text]) SELECT '							
			--6.  206.41,51   304.05  -   ()
			WHEN SAD.cSinth LIKE ''206'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER_AVANCE''			
			--7.  302.41,51   304.05  -  
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''[4,5]1'' 
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'')
					THEN ''BB_ZKR_PAY_TRANSFER''				
			--8.  303.01-03, 06-13  304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND (SAD.cAnalit LIKE ''0[1-3,6-9]'' OR SAD.cAnalit LIKE ''1[0-3]'')
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG''			
			--9.  303.04   304.05(201.11)  -  
			WHEN SAD.cSinth LIKE ''303'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_NALOG_NDS''			
			--10.  304.04    304.05(201.11)  -  () 
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''04''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UCHR''			
			--11.  210.02   201.11  -   (210.02)
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''02''
					AND SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11''
					THEN ''BB_ZKR_TRANS_DOHOD''			
			--12.  302.62 304.05(201.11)  -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''62''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_UDER_RODPLATA''		
'
INSERT INTO #EXEC ([text]) SELECT '						
			--13.  302.61,63   304.05(201.11)  -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[1,3]''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_POSOBIE''			
			--14.  304.01   304.05(201.11)  -      
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''01''
					AND (SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' OR SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''11'')
					THEN ''BB_ZKR_TRANS_VREM_RASPOR''			
			--15.  301    304.05(810)  -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''810''
					THEN ''SUM_UPL_CREDIT''				
			--16.  301   304.05 (231-232) -  
			WHEN SAD.cSinth LIKE ''301''
					AND SAK.cSinth LIKE ''304'' AND SAK.cAnalit LIKE ''05'' AND ISNULL(KSGU.CODE,'''') LIKE ''23[1-2]''
					THEN ''SUM_UPL_PROC''				
			--    
			ELSE ''BB_ZKR_TRANS_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_PAY'' OR SO.CODE = ''BB_ZAYAVKA_KR''
) T	
WHERE
	T.NUM = 1

----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_BB_ZAYAVKA_KR] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_RKO]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_RKO]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_RKO] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
EXEC [dbo].[SYNCH_DOCUMENTS_RKO] '[KSDB2\SQL2008R2].bs_kirov_depfin.', 1130
SELECT * FROM [SYNCH_SMETA_SMART_TAB] WHERE LINK = 1130
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @OBJECT_CODE VARCHAR(254)
SET @OBJECT_CODE = 
(
	SELECT TOP 1 B.CODE
	FROM
		dbo.SYNCH_SMETA_SMART_TAB A
		INNER JOIN dbo.[SYNCH_SMETA_SMART_OPT2] B ON A.LINK_OPT2 = B.LINK
	WHERE
		A.LINK = @LINK_JOURN_TAB
)	

IF @OBJECT_CODE IS NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('     /.',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

DECLARE @iOBJECT INT
SET @SQL = 
N'SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''' + @OBJECT_CODE + ''''	

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = @OBJECT_CODE)

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
	INNER JOIN dbo.SDOC_VEDOM_RKO D ON D.LINK_RKO = G.LINK
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT, DEP INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2, DEP)
SELECT D1.LINK, D2.LINK, D1.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL

---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
/***********************************************************************/
/**********************     ************************/
/***********************************************************************/
--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'

EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD


--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT
UNION	
SELECT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN [dbo].[DOCUMENTS_RKO] T ON T.LINK = G.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = T.S_ACC_LINK
	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT
				
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU.LINK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #DOP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #DOP (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DOP_CLASSIF] KAU ON KAU.LINK = KAU


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[DOP_CLASSIF] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#DOP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  ..: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#DOP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[DOP_CLASSIF] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


----------------
--
CREATE TABLE #EMP (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, NAME VARCHAR(254), SUBDIV2 INT)
INSERT INTO #EMP (DEP, CODE, LINK1, NAME)
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[EMPL] E ON E.LINK = EMP
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK
UNION	
SELECT G.DEP, LTRIM(RTRIM(E.TAB)), E.LINK, RTRIM(P.FM) + ' ' + RTRIM(P.IM) + ' ' + RTRIM(P.OT)
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link] 
	INNER JOIN [dbo].[EMPL] E ON E.LINK = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	INNER JOIN DBO.PERSON P ON P.LINK = E.PERS_LINK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[V_EMPL] A WHERE A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
					)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE + '' '' + K.NAME
			FROM
				#EMP K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 
					AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE
					AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
			GROUP BY
				K.CODE,K.NAME
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK, SUBDIV2 = EP.SUBDIV_LINK
FROM
	#EMP K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.[V_EMPL] A ON A.DEP_LINK = T.LINK2 AND LTRIM(RTRIM(A.TAB ' + @COLLATE + ' )) = K.CODE AND LTRIM(RTRIM(A.FIO ' + @COLLATE + ' )) = K.NAME
	LEFT JOIN 
		(SELECT LINK_EMPL=LINK_UP, MAX_DATE_BEG = MAX(DATE_BEG), MIN_DATE_BEG = MIN(DATE_BEG) FROM ' + @DB + 'dbo.EMPL_POST WHERE DATE_BEG <= @DATE GROUP BY LINK_UP) EI ON EI.LINK_EMPL = A.LINK
	LEFT JOIN ' + @DB + 'dbo.EMPL_POST EP WITH (NOLOCK) ON EP.LINK_UP = EI.LINK_EMPL AND EP.DATE_BEG = EI.MAX_DATE_BEG	
'	
EXEC SP_EXECUTESQL @SQL, N'@DATE DATETIME', @DATE = @PERIOD

----------------

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END
----------

/* */
CREATE TABLE #DEP_ACCOUNTS (COR INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT, DEP INT)
INSERT INTO #DEP_ACCOUNTS (COR, CODE, LINK1, DEP)
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[S_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP 
FROM
	#DOC A
	INNER JOIN [dbo].[FINANSE_PAYS] T1 ON T1.LINK = A.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = T1.[D_Acc]
UNION
SELECT T2.LINK_UP, LTRIM(RTRIM(T2.CODE)),T2.LINK, A.DEP
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[DEPARTMENT_ACCOUNTS] T2 ON T2.LINK = DEP_ACC	
--

/**/
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, DEP)
SELECT A.COR, B.DEP
FROM 
	#DEP_ACCOUNTS A
	INNER JOIN #DEPARTMENTS_SMETA_KS B ON A.DEP = B.LINK1
WHERE NOT EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS D WHERE D.LINK1 = A.COR AND D.DEP = B.DEP)

/* */
--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
				SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)
				FROM
					dbo.DEPARTMENTS D --
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1
				WHERE
					G.LINK2 IS NULL
					AND
					NOT EXISTS (
						SELECT * FROM
							#DEPARTMENTS_SMETA_KS DD --
							INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DD.LINK2
							INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
						WHERE
							DD.LINK1 = G.DEP
						)
				GROUP BY D.INN, D.KPP, D.NAME
				ORDER BY '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50)	
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP))+ ''/'' + LEFT(LTRIM(RTRIM(D.NAME)),50) AS CODE, A.LINK_DEP, A.LINK
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
					INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
					INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
					INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
				WHERE
					G.LINK2 IS NULL
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING COUNT(*) > 1
			ORDER BY T.CODE	
			FOR XML PATH('''')
		), 2, 3000)
'
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	RETURN 1
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE G SET G.LINK2 = A.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS G ON D.LINK = G.LINK1 --
	INNER JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = G.DEP --
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = DEP.LINK2
	INNER JOIN ' + @DB + 'dbo.[DEPARTMENTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.INN ' + @COLLATE + ' )) = D.INN AND LTRIM(RTRIM(A.KPP ' + @COLLATE + ' )) = D.KPP
WHERE
	G.LINK2 IS NULL
'	
EXEC SP_EXECUTESQL @SQL

------------
/* */
--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
	
			SELECT DISTINCT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS WHERE DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE)	
		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--    
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT '','' + LTRIM(RTRIM(D.INN)) + ''/'' + LTRIM(RTRIM(D.KPP)) + ''/'' + LTRIM(RTRIM(DA.CODE))
			FROM
				dbo.DEPARTMENTS D
				INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
				INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
				INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
				INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + '  = DA.CODE
			GROUP BY
				D.INN,D.KPP, DA.CODE 
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE T2 SET T2.LINK2 = DA_SS.LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_SMETA_KS T1 ON D.LINK = T1.LINK1
	INNER JOIN #DEP_ACCOUNTS T2 ON T2.COR = D.LINK AND T2.DEP = T1.DEP
	INNER JOIN dbo.DEPARTMENT_ACCOUNTS DA ON DA.LINK = T2.LINK1
	INNER JOIN ' + @DB + 'dbo.DEPARTMENT_ACCOUNTS DA_SS ON DA_SS.LINK_UP = T1.LINK2 AND DA_SS.CODE ' + @COLLATE + ' = DA.CODE
'	
EXEC SP_EXECUTESQL @SQL


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 1
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

create table #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])	

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV G_2 ON G_2.LINK_INS = G_1.LINK
WHERE
	 G_2.[OBJECT] IS NOT NULL 	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
---
INSERT INTO ' + @DB + '[dbo].[KO]
([LINK_UP],[SUBDIV],[DEP],[EMPL],[ACC],[REASON],[ADDTEXT],[NDS],[FOND],[ALSO],[USE_NDS],[OTHER_PAY],[DOC_NAME],
[NDS_LINK],[PR_F_DOC],[REASON_SH_LINK],[DOCBASE_LINK],[KBK_LINK],[FIELD_SHABLON])
SELECT
	[LINK_UP] = A.LINK2
	,[SUBDIV] = E.SUBDIV2
	,[DEP] = A.[DEP2]
	,[EMPL] = E.LINK2
	,[ACC] = sacc.LINK2
	,[REASON] = ISNULL(T.[REASON],'''')
	,[ADDTEXT] = T.[ADDTEXT]
	,[NDS] = NULL
	,[FOND] = 0
	,[ALSO] = ''''
	,[USE_NDS] = 0
	,[OTHER_PAY] = CASE WHEN T.[OPTION]=4 OR (T.[DOCUM] IS NOT NULL AND T.[DOCUM]<>'''') THEN T.[PAYER] END
	,[DOC_NAME] = T.[DOCUM]
	,[NDS_LINK] = NULL
	,[PR_F_DOC] = NULL
	,[REASON_SH_LINK] = NULL
	,[DOCBASE_LINK] = NULL
	,[KBK_LINK] = NULL
	,[FIELD_SHABLON] = NULL
FROM
	#G_PROV A
	INNER JOIN ' + @DB + '[dbo].[V_DEP] VD ON A.[DEP2] = VD.[LINK]
	INNER JOIN dbo.[G_PROV] G ON G.[Link] = A.LINK1
	INNER JOIN dbo.[DOCUMENTS_RKO] T ON T.[Link] = G.[Link]
	LEFT JOIN #EMP E ON E.DEP = A.DEP1 AND E.LINK1 = CASE T.[OPTION] WHEN 1 THEN T.FACE_LINK WHEN 3 THEN T.FACE_LINK2 ELSE NULL END
	LEFT JOIN #ACCOUNT sacc ON sacc.LINK1 = T.S_ACC_LINK AND sacc.DEP = A.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1_2 ON G1_2.LINK_INS = G1_1.LINK
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2_2 ON G2_2.LINK_INS = G2_1.LINK
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU, AP2, EMP, SUB)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
	,AP2		= DOP.LINK2
	,EMP		= EMP.LINK2
	,SUB		= EMP.SUBDIV2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DOP DOP ON DOP.LINK1 = GAP.AP2 AND DOP.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP AND DEP.DEP = T.DEP1
	LEFT JOIN #EMP EMP ON EMP.LINK1 = GAP.EMP AND EMP.DEP = T.DEP1
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

/*      ,  */
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT '
INSERT INTO ' + @DB + 'dbo.G_PROV_DOC_OPER (LINK_UP, DOC_OPER)
SELECT LINK2, LINK
FROM
(SELECT DISTINCT D.LINK2, DO.LINK, ROW_NUMBER() OVER (PARTITION BY D.LINK2 ORDER BY (CASE WHEN DO.NAME LIKE ''%'' THEN 1 ELSE 0 END), DO.LINK) AS NUM
FROM
	#G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV G ON D.[LINK2] = G.LINK
	LEFT JOIN ' + @DB + 'dbo.KO KO ON KO.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.S_OBJECTS SO ON G.[OBJECT] = SO.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPD ON GAPD.LINK_UP = G2.LINK AND GAPD.DB_KR = 0
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAD ON SAD.LINK = GAPD.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAPK ON GAPK.LINK_UP = G2.LINK AND GAPK.DB_KR = 1
	INNER JOIN ' + @DB + 'dbo.S_ACCOUNTS SAK ON SAK.LINK = GAPK.ACCOUNT
	INNER JOIN ' + @DB + 'dbo.V_DOC_OPERS DO ON DO.OBJ_CODE = SO.CODE AND DO.CODE =
		CASE 
			--1.  210.03   201.34 - 
			WHEN SAD.cSinth LIKE ''210'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_BANK'' 
			--2.  201.23   201.34 -  /  (201.23)
			WHEN SAD.cSinth LIKE ''201'' AND SAD.cAnalit LIKE ''23'' THEN ''DOCUMENTS_KO_KARTA'' 
			--3.  205        201.34 -  
			WHEN SAD.cSinth LIKE ''205'' THEN ''DOCUMENTS_KO_VOZVRAT_DOHOD''
			--4.  304.02   201.34 -   
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''02'' THEN ''DOCUMENTS_KO_DEPONENT'' 
			--5.  302.11-13  201.34 -   
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''1[1-3]'' THEN ''DOCUMENTS_KO_ZARPLATA'' 
			--6.  302.25-26   201.34 -    
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[5-6]'' THEN ''DOCUMENTS_KO_ZARPLATA_VNESHTAT'' 
			--7.  302.62-63   201.34 -  ,   .
			WHEN SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''6[2-3]'' THEN ''DOCUMENTS_KO_POSOBIE'' 
			--8.  304.03      201.34  -    / (304.03)
			WHEN SAD.cSinth LIKE ''304'' AND SAD.cAnalit LIKE ''03'' THEN ''DOCUMENTS_KO_UDERZANIY'' 
			--9.  302.21-24,29, 206   201.34 - 
			WHEN (SAD.cSinth LIKE ''302'' AND SAD.cAnalit LIKE ''2[1-4,9]'') OR SAD.cSinth LIKE ''206'' THEN ''DOCUMENTS_KO_DEP'' 
			--10.  208    201.34  - 
			WHEN SAD.cSinth LIKE ''208'' THEN ''DOCUMENTS_KO_EMPL'' 
			--11.  201.34    - 
			ELSE ''DOCUMENTS_KO_OTHER''
		END
WHERE
	SO.CODE = ''DOCUMENTS_RKO'' AND ISNULL(KO.FOND,0) = 0
	AND
	SAK.cSinth LIKE ''201'' AND SAK.cAnalit LIKE ''34''
) T	
WHERE
	T.NUM = 1
	
----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		

	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_RKO] TO PUBLIC

GO

GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_NDFL_PLAT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_NDFL_PLAT]

GO
CREATE PROCEDURE DBO.SA_NDFL_PLAT (@PERIOD_BEG DATETIME, @PERIOD_END DATETIME, @DEP_LINK INT, @SUMMA NUMERIC(18,2) OUTPUT)
--            
--DECLARE @SUMMA NUMERIC(18,2)
--exec DBO.SA_NDFL_PLAT @SUMMA=@SUMMA OUTPUT, @PERIOD_BEG='20160101', @PERIOD_END='20160630', @DEP_LINK=74578
--SELECT @SUMMA
AS
BEGIN

	IF @PERIOD_BEG IS NULL OR @PERIOD_END IS NULL
		RETURN 0

	EXEC dbo.ZP_SUM_PROV 
		@SUMMA=@SUMMA OUTPUT, 
		@NAL_PERIOD_BEG = @PERIOD_BEG, 
		@NAL_PERIOD_END = @PERIOD_END, 
		@DEP_LINK = @DEP_LINK, 
		@sDT_ACC_LINE = '_.303.01', 
		@sKT_ACC_LINE = '_.304.05:_.201.11:_.201.21:_.201.27'

	RETURN 0
	
END

GO


GRANT EXECUTE ON dbo.[SA_NDFL_PLAT] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[DOCUMENTS_REESTR_FSS_LIST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[DOCUMENTS_REESTR_FSS_LIST]

GO


CREATE PROCEDURE [dbo].[DOCUMENTS_REESTR_FSS_LIST]
				@BUFFER_ID VARCHAR(20) = NULL,
				@MODE TINYINT = 0 -- 1-- .  , 0 -     
AS
BEGIN

SET NOCOUNT ON

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output


DECLARE @FIO_RUK VARCHAR(254), @DOLG_RUK VARCHAR(254), @FIO_BUH VARCHAR(254), @LINK_EMPL_RUK INT

SET @FIO_RUK = ISNULL((select FACE_NAME from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK= @DEP_LINK and name = ''),'')
SET @LINK_EMPL_RUK = (select FACE_LINK  from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK=@DEP_LINK and name = '')
SET @DOLG_RUK = ISNULL((select POST_NAME from dbo.SD_EMPL_FN(@LINK_EMPL_RUK,DEFAULT,DEFAULT,@DEP_LINK) ),'')
SET @FIO_BUH = ISNULL((select FACE_NAME from dbo.DICTIONARY_OTV_FACE_ALL WHERE Dep_LINK= @DEP_LINK and name = ' '),'')

--
DECLARE @SC_DATE DATETIME
SELECT @SC_DATE = SC_DATE FROM dbo.SALARY_CALC_PERIOD SCP

--
IF OBJECT_ID('tempdb..#REC') IS NOT NULL
	DROP TABLE #REC
	
CREATE TABLE #REC (LINK INT)
CREATE INDEX #TMP_IDX_REC ON #REC (LINK)

IF ISNULL(@BUFFER_ID,'') <> ''
	INSERT INTO #REC (LINK)
	SELECT LINK FROM dbo.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER_ID

-- :
DECLARE @BUF_ID VARCHAR(20)
EXEC DBO.GETRANDSTR 20, @BUF_ID OUT

INSERT INTO dbo.BUFFER (LINK, ID)

SELECT LINK_EMPL , @BUF_ID
FROM (SELECT SD.LINK_EMPL
		FROM
			dbo.SDOC S
			INNER JOIN dbo.SDOC_DIS SD ON  S.LINK = SD.LINK_UP 
			INNER JOIN dbo.USER_INFO UI ON S.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE AND S.LINK_DEP = @DEP_LINK 
		WHERE
			ISNULL(@BUFFER_ID,'') = ''
			OR 
			ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)	
			
	UNION ALL 
	
	SELECT LINK_EMPL = ivd.EMPL_LINK   
		FROM 
		dbo.orders o
		INNER JOIN dbo.ITEM_VACATION ivd ON ivd.order_link =o.LINK 
		INNER JOIN dbo.VAC_CHILD AS vc ON vc.LINK = ivd.LINK
		--INNER JOIN dbo.DICTIONARY_VAC_CHILD dc ON dc.LINK = ivd.link
		----INNER JOIN dbo.USER_INFO UI ON o.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE
		WHERE ivd.ACTIVE = 1 
			AND o.dep_link = @DEP_LINK 	
	) AS s1 
	GROUP BY s1.link_empl
	
	
	--           ,        
	/*SELECT * FROM dbo.orders o
	INNER JOIN dbo.ITEM_VACATION ivd ON ivd.order_link =o.LINK 
	INNER JOIN dbo.DICTIONARY_VAC_CHILD dc ON dc.LINK = ivd.link
	INNER JOIN dbo.VAC_CHILD AS vc ON vc.LINK = ivd.LINK
	INNER JOIN dbo.USER_INFO UI ON o.[DATE] BETWEEN UI.BEGINDATE AND UI.ENDDATE
	WHERE ivd.ACTIVE = 1 
		AND o.dep_link = @DEP_LINK 		
*/
-- 
IF OBJECT_ID('tempdb..#EMPL_OKLAD') IS NOT NULL
	DROP TABLE #EMPL_OKLAD

CREATE TABLE #EMPL_OKLAD (LINK_EMPL INT, OKLAD NUMERIC(18,2))
CREATE INDEX #TMP_IDX_EMPL_OKLAD ON #EMPL_OKLAD (LINK_EMPL)

IF @MODE = 1
	INSERT INTO #EMPL_OKLAD (LINK_EMPL, OKLAD) 
	SELECT LINK_EMPL, OKLAD = SUM(VALUE) 
	FROM dbo.DICTIONARY_PAYS_EMPL_FN(DEFAULT, DEFAULT, 0, @BUF_ID, @DEP_LINK,1) D
		INNER JOIN dbo.WAY_CALC W ON W.CODE = D.WAY_CALC AND W.[TYPE] = 1
	WHERE
		W.OKLAD = 1	
	GROUP BY
		LINK_EMPL	

---  
IF OBJECT_ID('tempdb..#EMPL') IS NOT NULL
	DROP TABLE #EMPL
CREATE TABLE #EMPL(LINK INT, PERS_LINK INT, TAB VARCHAR(10), STATUS_EMPL TINYINT, DATE_BEGIN DATETIME, DATE_END DATETIME, NO_RAION TINYINT, SYST_PAY TINYINT)
CREATE INDEX #TMP_IDX_EMPL ON #EMPL (LINK)

INSERT INTO #EMPL (LINK, PERS_LINK, TAB, STATUS_EMPL, DATE_BEGIN, DATE_END, NO_RAION, SYST_PAY)
SELECT LINK, PERS_LINK, TAB, STATUS_EMPL, DATE_BEGIN, DATE_END, NO_RAION, SYST_PAY 
FROM dbo.SD_EMPL_FN(DEFAULT,DEFAULT,@BUF_ID,@DEP_LINK)

--    
IF OBJECT_ID('tempdb..#DICT_PAYS_EMPL') IS NOT NULL
	DROP TABLE #DICT_PAYS_EMPL
	
CREATE TABLE #DICT_PAYS_EMPL (LINK_EMPL INT, DATE_BEG DATETIME, DATE_END DATETIME, SUMMA NUMERIC(18,4))
CREATE INDEX #TMP_IDX_DICT_PAYS_EMPL ON #DICT_PAYS_EMPL (LINK_EMPL)

IF @MODE = 1
	INSERT INTO #DICT_PAYS_EMPL (LINK_EMPL, DATE_BEG, DATE_END, SUMMA)
	SELECT LINK_EMPL, DATE_BEG, DATE_END, SUMMA FROM dbo.SA_DICT_PAYS_EMPL0(DEFAULT, 0, @BUF_ID)
	WHERE LINK_PAYS = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPTIONS3_1')
--
DELETE FROM DBO.BUFFER WHERE ID = @BUF_ID

IF OBJECT_ID('tempdb..#T3') IS NOT NULL
	DROP TABLE #T3

CREATE TABLE #T3 (
					[LINK_R] INT,
					[NUMBER_R] VARCHAR(30),
					[DATE_R] DATETIME,
					[COMMENTARY_R] VARCHAR(254),
					[CODE_PAY_R] VARCHAR(10),
					[NAME_PAY_R] VARCHAR(60),
					[REF_PAY_R]	INT,
					[FLAG_JC_R]	TINYINT,
					SYST_PAY TINYINT,
					[SUMMA_R] NUMERIC(18,2),
					[SR_PREM_R] NUMERIC(18,2),
					[TYP_PER_R] TINYINT,
					[DATE1_R] DATETIME,
					[DATE2_R] DATETIME,
					[DATE_B_R] DATETIME,
					[DATE_E_R] DATETIME,
					[LIMIT_R] TINYINT,
					[REF_ARHE_R] INT,
					[STAG_R] INT,
					[STAG_MONTH_R] INT,
					[SUMA_BASE0_R]	 NUMERIC(18,2),
					[LINK_DEP_R] INT,
					RAB_SUM_R NUMERIC(18,2),
					RAB_DAYS_R NUMERIC(18,2),
					FSS_SUM_R NUMERIC(18,2),
					FSS_DAYS_R NUMERIC(18,2),
					DOHOD_R NUMERIC(18,2),
					ITOGO_DNI_R NUMERIC(18,2),
					ITOGO_CH_R NUMERIC(18,2),
					RP_DAYS_R NUMERIC(18,2),
					RP_HOURS_R NUMERIC(18,2),
					RP_DAYS_N_R NUMERIC(18,2),
					RP_HOURS_N_R NUMERIC(18,2),
					RP_SUMMA_PREM_R	NUMERIC(18,2),
					RP_SUMMA_R NUMERIC(18,2),
					DEKRET TINYINT,
					INSTRUCT TINYINT
				)	
CREATE INDEX #TMP_IDX_T3 ON #T3 (REF_ARHE_R)				

INSERT INTO #T3 (LINK_R,NUMBER_R,DATE_R,COMMENTARY_R,CODE_PAY_R,NAME_PAY_R,REF_PAY_R,
				FLAG_JC_R,SYST_PAY,SUMMA_R,SR_PREM_R,TYP_PER_R,DATE1_R,DATE2_R,DATE_B_R,DATE_E_R,LIMIT_R,
				REF_ARHE_R,STAG_R,STAG_MONTH_R,SUMA_BASE0_R,LINK_DEP_R,RAB_SUM_R,RAB_DAYS_R,FSS_SUM_R,FSS_DAYS_R,
				DOHOD_R,ITOGO_DNI_R,ITOGO_CH_R,RP_DAYS_R,RP_HOURS_R,RP_DAYS_N_R,RP_HOURS_N_R,RP_SUMMA_PREM_R,RP_SUMMA_R,DEKRET,INSTRUCT)					

SELECT DISTINCT 
	[LINK_R]			= S.LINK,
	[NUMBER_R]		= S.NUMBER,
	[DATE_R]			= S.[DATE],
	[COMMENTARY_R]	= S.[COMMENTARY],
	[CODE_PAY_R]		= P.CODE,
	[NAME_PAY_R]	 	= P.NAME,
	[REF_PAY_R]		= SD.LINK_PAY,
	[FLAG_JC_R]		= S.FLAG_JC,
	e.SYST_PAY,
	[SUMMA_R]			= COALESCE(SUM(ST.SUMMA),0),
	[SR_PREM_R]		= SD.SR_PREM,
	[TYP_PER_R]	= SD.TYP_PERIOD,
	[DATE1_R]			= DIS.DATE1,
	[DATE2_R]			= DIS.DATE2,
	[DATE_B_R]	= SD.DATE_BEGIN,
	[DATE_E_R]	= CASE WHEN SD.TYP_PERIOD = 1 THEN dateadd(MONTH,1,SD.DATE_BEGIN) 
						WHEN SD.TYP_PERIOD = 2 THEN dateadd(MONTH,2,SD.DATE_BEGIN)
						WHEN SD.TYP_PERIOD = 3 THEN dateadd(MONTH,12,SD.DATE_BEGIN)
						WHEN SD.TYP_PERIOD = 4 THEN dateadd(YEAR,2,SD.DATE_BEGIN)
						END ,
	[LIMIT_R]			= SD.LIMIT,
	[REF_ARHE_R]		= SD.REF_DOC,
	[STAG_R]			= DIS.NEPR_YEAR,
	[STAG_MONTH_R]		= DIS.NEPR_MONTH,
	[SUMA_BASE0_R]		= SD.SR_ZAR,
	[LINK_DEP_R]  		= S.LINK_DEP,
	RAB_SUM_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 1 then ST.SUMMA else 0 end),0),
	RAB_DAYS_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 1 then ST.DAYS else 0 end),0),
	FSS_SUM_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 0 then ST.SUMMA else 0 end),0),
	FSS_DAYS_R		= COALESCE(SUM(CASE WHEN COALESCE(PAYER,0) = 0 then ST.DAYS else 0 end),0),
	DOHOD_R			= COALESCE((Select SUM(T3.SUMMA1) + SUM(T3.SUMMA2) + SUM(T3.SUMMA3) 
					+ SUM(T3.SUMMA4) + SUM(T3.SUMMA5) + SUM(T3.SUMMA6) 
					+ SUM(T3.SUMMA7) + SUM(T3.SUMMA8) + SUM(T3.SUMMA9) 
					+ SUM(T3.SUMMA10) + SUM(T3.SUMMA11) + SUM(T3.SUMMA12)
				FROM dbo.SDOC_ADIS_TABLE3 T3  WHERE LINK_UP = S.LINK),0),
	ITOGO_DNI_R 		= COALESCE(SUM(ST.DAYS),0),
	ITOGO_CH_R 		= COALESCE(SUM(ST.HOURS),0),
	RP_DAYS_R			= COALESCE(MAX(T2.DAYS),0),
	RP_HOURS_R		= COALESCE(MAX(T2.HOURS),0),
	RP_DAYS_N_R		= COALESCE(MAX(T2.DAYS_N),0),
	RP_HOURS_N_R		= COALESCE(MAX(T2.HOURS_N),0),
	RP_SUMMA_PREM_R		= COALESCE(MAX(T2.SUMMA_PREM),0),
	RP_SUMMA_R		= COALESCE(MAX(T2.SUMMA),0),
	DIS.DEKRET,
	SD.INSTRUCT as INSTRUCT_R
FROM 
	dbo.SDOC S 
	INNER JOIN dbo.SDOC_ADIS SD ON (S.LINK = SD.LINK_UP AND S.OBJECT =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_ADD_ARCHE')) and SD.REF_DOC is not null  /*and s.flag_jc = 1*/
	INNER JOIN dbo.PAYS P ON SD.LINK_PAY = P.LINK
	INNER JOIN #EMPL E ON e.LINK = SD.LINK_EMPL 
	INNER JOIN dbo.DEPARTMENTS dep ON dep.link = s.LINK_DEP
	LEFT JOIN dbo.DIS ON SD.REF_DOC = DIS.LINK
		left join (
			Select LINK_UP, DATE1, PAYER = MAX(PAYER), DAYS = MAX(T1.DAYS), HOURS = MAX(T1.HOURS), SUMMA = SUM(T1.SUMMA) from dbo.SDOC_ADIS_TABLE1 T1 GROUP BY LINK_UP, DATE1
			) ST on ST.LINK_UP = S.LINK
		LEFT JOIN (
			SELECT LINK_UP, SUMMA = SUM(SUMMA), SUMMA_PREM = SUM(SUMMA_PREM), 
				 DAYS = SUM(DAYS), HOURS = SUM(HOURS), DAYS_N = SUM(DAYS_N), HOURS_N = SUM(HOURS_N) 
			FROM (
				Select LINK_UP, PERIOD, SUMMA = SUM(SUMMA), SUMMA_PREM = SUM(SUMMA_PREM), 
				 DAYS = MAX(DAYS), HOURS = MAX(HOURS), DAYS_N = MAX(DAYS_N), HOURS_N = MAX(HOURS_N) 
				from dbo.SDOC_ADIS_TABLE2 GROUP BY LINK_UP, PERIOD) T2_1 
			GROUP BY LINK_UP ) T2 ON T2.LINK_UP = S.LINK
WHERE
	ISNULL(@BUFFER_ID,'') = ''
	OR 
	ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)				 
group by 
		S.link, S.NUMBER, S.[DATE], S.[COMMENTARY], P.CODE,  P.[NAME],SD.LINK_PAY, S.FLAG_JC, E.SYST_PAY, SD.SR_PREM,
	    SD.TYP_PERIOD, DIS.DATE1, DIS.DATE2, SD.DATE_BEGIN, SD.LIMIT, SD.REF_DOC, DIS.NEPR_YEAR, DIS.NEPR_MONTH, SD.SR_ZAR,
	    S.LINK_DEP,DIS.DEKRET,dep.NAME, E.[STATUS_EMPL], SD.INSTRUCT

--     
SELECT DISTINCT		
		0 as CHECKED, 
		0 as UPD, 
		0 as DEL, 
		convert(bit, 0) as LOCKED,
		[LINK]   = S.LINK,
		[NUMBER] = S.NUMBER,
		[DATE]	 = S.DATE,
		[COMMENTARY] = S.COMMENTARY,
		[FLAG_JC]  = COALESCE(R.ref_doc,0)/COALESCE(R.ref_doc,1),
		[LINK_DEP] = S.LINK_DEP,
		dep.NAME as name_dep,
		[MDEP_NAME] = SD.MDEP_NAME ,
		[MDEP_ADDR] = SD.MDEP_ADDR,
		[ADR_MED_DEP_LINK] = '',
		[HOUSE_MED_DEP] = '',
		[INDEX_MED_DEP] = '',
		[OGRN_MED_DEP]	= '',
		[TAB_NUMER]  = sde.TAB,
		[NAME_EMPL]	 = KU.NAME_PERS,
		[REF_EMPL]	 = SD.LINK_EMPL,
		[BIRTH_EMPL] = KU.BIRTHDATE,
		[SEX]	= KU.SEX,
		[DAYS]	= SD.days,
		[HOURS] = SD.HOURS,
		[DATE1] = SD.DATE1,
		[DATE2] = SD.DATE2,
		[NEPR_YEAR]  = SD.NEPR_YEARS,
		[NEPR_MONTH] = SD.NEPR_MONTH,
		[NEPR_DAY]	 = SD.NEPR_DAY,
		[CODE_TYP_ARHE] = N.CODE,
		[NAME_TYP_ARHE] = N.NAME,
		[REF_TYP_ARHE] 	= N.LINK,
		[DOC_TYPE] = case 
						when substring(ltrim(rtrim(N.CODE)),2,2) IN ('01','04') then '1'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '05' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '06' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '07' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '08' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '09' 
							or substring(ltrim(rtrim(N.CODE)),2,2) = '10'  
						then '5'	 
						when substring(ltrim(rtrim(N.CODE)),2,2) = '02' then '2'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '03' then '6'
						when substring(ltrim(rtrim(N.CODE)),2,2) = '11' then '3' 
						else '1'
					 END, 
		[NUM_DOC] 		= isnull(S2.NUMBER,''),
		[REF_DOC] 		= isnull(SD.REF_DOC,''),
		[DECRET]  = N.DEKRET,
		LINK_PAYS = COALESCE(N.LINK_PAYS,0),
		CODE_PAYS = COALESCE(P.CODE,''),
		NAME_PAYS = COALESCE(P.[NAME],''),
		KIDS_FLAG = COALESCE(N.KIDS,0),
		REF_PERS_KID = COALESCE(SD.REF_PERS_KID,''),
		[PERS_KID] = LEFT(ISNULL(F.FIO,''),150),
		FAMILY_NAME = LEFT(ISNULL(F.FAMILY_NAME,''),20),
		BIRTHDATE = F.BIRTHDATE,
		AGE_E = case when F.BIRTHDATE is not null then 
												convert(varchar(3),((datediff(year, f.BIRTHDATE,S.[DATE] )*12 ) - (month(f.BIRTHDATE) -  month(s.[DATE])))/12) 
											  else '' END,
		AGE_M = case when F.BIRTHDATE is not null then 
											 convert(varchar(3),(case when (month(s.[DATE]) - month(F.BIRTHDATE))  < 0 then  12 - ABS(month(s.[DATE]) - month(F.BIRTHDATE))  else  (month(s.[DATE]) - month(F.BIRTHDATE)) end))
											 else '' END,
		sde.PERS_LINK,
		[INSTRUCT] = N.INSTRUCT,
		INSUR_NUM = isnull(KU.INSUR_NUM,''),
		KU.INN,
		KU.FM,
		KU.IM,
		KU.OT,
		KU.RESIDENT, 
		KU.DOC_CODE,
		[DOC_NAME] = (SELECT TOP 1 NAME FROM FACE_DOCUMENT WHERE ltrim(rtrim(code)) = ltrim(rtrim(KU.DOC_CODE))),
		KU.DOC_NUM,
		KU.DOC_DATE,
		KU.DOC_WHOM,
		[ADR_REAL_LINK] = isnull(KU.ADR_REAL_LINK,'') ,
		[ADR_REAL] = isnull((SELECT address=dbo.GetAddressByKladr( KU.ADR_REAL_LINK)),''),
		[REGION_REAL] = isnull(dbo.GetRegionByKladr(KU.ADR_REAL_LINK),''),
		[HOUSE_REAL] = isnull(KU.HOUSE_REAL,''),
		[CORP_REAL] = isnull(KU.CORP_REAL,''),
		[FLAT_REAL] = isnull(KU.FLAT_REAL,''),
		[INDEX_REAL] = isnull((SELECT address=left(dbo.GetAddressByKladr( KU.ADR_REAL_LINK),6)),''),
		[BIK] = isnull(DB.BIK,'') , 
		[BANK_NAME] = isnull(PC.BANK_NAME,''),
		[LIC_SCHET] = isnull(PC.LIC_SCHET, ''),	
		[ADR_OFIC_LINK] = isnull(KU.ADR_OFIC_LINK,'') ,
		[ADR_OFIC] = isnull((SELECT address=dbo.GetAddressByKladr( KU.ADR_OFIC_LINK)),''),
		[REGION_OFIC]= isnull(dbo.GetRegionByKladr(KU.ADR_OFIC_LINK),''),
		[HOUSE_OFIC] = isnull(KU.HOUSE_OFIC,''),
		[CORP_OFIC] = isnull(KU.CORP_OFIC,''),
		[FLAT_OFIC] = isnull(KU.FLAT_OFIC,''),
		[INDEX_OFIC] = isnull((SELECT address=left(dbo.GetAddressByKladr( KU.ADR_OFIC_LINK),6)),'') ,
		[STATUS_EMPL] = case when SDE.STATUS_EMPL  = 1 then 1 else 0 end, --select * from empl
		[STATUSC_EMPL] = CASE SDE.STATUS_EMPL WHEN 1 THEN '' WHEN 2 THEN '' ELSE '. ' END,
		[OGRN] = isnull(dep.OGRN,''),
		[FSS_REG_NUM] = dep.FSS_REG_NUM,
		[FSS_KOD_P] = isnull(dep.FSS_KOD_P,''),  
		[KPP_dep] = isnull(dep.KPP,''), 
		[INN_dep] = isnull(dep.INN,''), 
		[DEP_TEL] = ISNULL(dep.phone,''),
		[DEP_eMail] = ISNULL(DEP.eMail,''),
		[FIO_RUK] = @FIO_RUK,
		[DOLG_RUK] = @DOLG_RUK,
		[FIO_BUH] = @FIO_BUH,
		[DATE_BEGIN] = SDE.DATE_BEGIN,
		[DATE_END] = SDE.DATE_END, --select * from sd_empl
		[OKLAD] = isnull(EO.OKLAD,0),
		[REG_KOEF] = CASE WHEN ISNULL(sde.NO_RAION,0) = 0 THEN (1+ ISNULL(ISNULL(DP.[SUMMA],DEF.KOF),0)/100)*100 ELSE 0 END ,
		LINK_EXCH = isnull(I.link,''),
		REF_BL = isnull(I.REF_BL,''),
		REF_RBL = isnull(I.REF_RBL,''), 
		LINK_SOST = isnull(I.LINK_SOST,''),
		FIO_SOST = isnull(I.FIO_SOST,''),
		EMAIL_SOST = isnull(I.EMAIL_SOST,''),
		TEL_SOST = isnull(I.TEL_SOST,''),
		STAT_EXCH = isnull(I.STATUS,0),
		STAT_NAME = isnull(I.STAT_NAME,''),
		DATE_OUT = isnull(I.DATE_OUT,''),
		TYPE_INFO  = isnull(I.TYPE_INFO, 0),
		RECALC_REASON_CODE = I.RECALC_REASON_CODE,
		OWNER_FLAG = isnull(I.OWNER_FLAG , 1),
		PAYMENT_TYPE = isnull(I.PAYMENT_TYPE , 1),
		YEAR_CHANGE_FLAG = isnull(I.YEAR_CHANGE_FLAG , null),
		FILE_NUMBER = isnull(I.FILE_NUMBER , 0),
		[YEAR1_OLD] =  '',
		[YEAR2_OLD] = '',
		[YEAR1] = year(t3.date_b_r),
		[YEAR2] = year(t3.date_b_r)+1,
		[BASE_SUM1] = isnull((select top 1 SUMMA from dbo.DOCUMENTS_ADD_ARCHE_TABLE1 where [year] = year(t3.date_b_r) and link = t3.LINK_R),0),
		[BASE_SUM2] = isnull((select top 1 SUMMA from dbo.DOCUMENTS_ADD_ARCHE_TABLE1 where [year] = (year(t3.date_b_r)+1) and link = t3.LINK_R),0),
		t3.*
	FROM 
		dbo.SDOC S
		INNER JOIN dbo.SDOC_DIS SD ON  S.LINK = SD.LINK_UP 
		inner join dbo.USER_INFO UI  on  S.DATE BETWEEN UI.BEGINDATE AND UI.ENDDATE AND S.LINK_DEP =    @DEP_LINK 
		INNER JOIN dbo.NETRUD N ON SD.TYPE = N.LINK
		inner join #EMPL SDE on SDE.LINK = SD.LINK_EMPL   
		inner join dbo.KU_PERSON KU on KU.LINK = SDE.PERS_LINK  
		inner JOIN dbo.DEPARTMENTS dep on dep.link = s.LINK_DEP
		LEFT join #EMPL_OKLAD EO on EO.LINK_EMPL =  SD.LINK_EMPL 
		left join dbo.SD_PERSON_ECARD PC on KU.LINK = PC.PERS_LINK
		left join dbo.DICTIONARY_BANK DB on DB.LINK = PC.BANK_LINK
		LEFT JOIN dbo.SDOC S2 ON SD.REF_DOC = S2.LINK
		LEFT JOIN dbo.PAYS P ON P.LINK = N.LINK_PAYS
		LEFT JOIN dbo.KU_PERS_FAMILY F ON F.LINK = SD.REF_PERS_KID
		LEFT JOIN ( 
				select distinct sd.ref_doc  from dbo.SDOC S INNER JOIN dbo.sdoc_adis SD ON S.LINK = SD.LINK_UP
			) R ON R.ref_doc = s.link
		LEFT JOIN #DICT_PAYS_EMPL DP ON DP.LINK_EMPL = sde.LINK 
					AND @SC_DATE BETWEEN DP.DATE_BEG AND ISNULL(DP.DATE_END,'29990101')
		LEFT JOIN (
					SELECT (KOEF - 1) * 100 AS KOF FROM dbo.MINROT
					WHERE KOEF > 0 AND PERIOD = (SELECT MAX(PERIOD) FROM dbo.MINROT WHERE PERIOD <= @SC_DATE)
				   ) DEF ON 1=1
		
		LEFT JOIN #T3 T3 on T3.REF_ARHE_R = S.LINK
		LEFT JOIN dbo.REESTR_FSS_EXCH_INFO I on  I.REF_BL = S.LINK 
WHERE
	ISNULL(@BUFFER_ID,'') = ''
	OR 
	ISNULL(@BUFFER_ID,'') <> '' AND EXISTS (SELECT * FROM #REC R WHERE R.LINK = S.LINK)			
		
drop table #EMPL
drop table #DICT_PAYS_EMPL
drop table #T3
drop table #EMPL_OKLAD

END



GO


GRANT EXECUTE ON dbo.[DOCUMENTS_REESTR_FSS_LIST] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_SMETA_SMART_CHK_IPROV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_SMETA_SMART_CHK_IPROV]

GO
CREATE PROCEDURE dbo.SYNCH_SMETA_SMART_CHK_IPROV(@BASE VARCHAR(254) OUTPUT, @DEP_LINK INT OUTPUT, @ERR_MSG  VARCHAR(254) OUTPUT) 
AS

/*    
:
0 -  
2 -  
3 -   
@BASE -  :     
@DEP_LINK . -    -; :    -
@ERR_MSG -   
*/
DECLARE @SQL NVARCHAR(4000), @STATUS INT, @COLLATE VARCHAR(254) 

--  
EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_BASE @BASE OUTPUT, @ERR_MSG OUTPUT
IF @STATUS > 0
	RETURN @STATUS --   

/*  '    -'*/
IF NOT EXISTS (SELECT * FROM dbo.SYNCH_SMETA_SMART_OPT WHERE OPT_CODE = 'SAL_OPT_INTEGR_PROV_PERECH_IMP' AND ACTIVE = 1)
BEGIN
	SET @ERR_MSG = '    "    -"!'
	RETURN 3
END

/*    -  '*/
SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @BASE + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[DEP_LINK] INT,
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([DEP_LINK], [CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.LINK, D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @BASE + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @BASE + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @DEP_LINK = (
SELECT DD.DEP_LINK
FROM
	dbo.DEPARTMENTS D
	INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
WHERE
	LINK = @DEP_LINK)

IF @DEP_LINK IS NULL
BEGIN
	SET @ERR_MSG = '  -   !'
	RETURN 3
END

/* !     -*/
RETURN 0


GO


GRANT EXECUTE ON dbo.[SYNCH_SMETA_SMART_CHK_IPROV] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_REPORT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_REPORT]

GO
-- exec  SA_6NDFL_REPORT '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_REPORT @cYear1 VARCHAR(4)/*  */,
									 @nQuarter1 INT 	/*  */,
									 @nMonth INT = 0 /**/,
									 @nCheck1 INT = 0	/*      */,
									 @cVal1 CHAR(1), @nOtborLink1 int  	/*  */
AS

DECLARE
	@DEP_LINK INT,
	@nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SET DATEFIRST 7

exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @SUBDIV TABLE (LINK INT)

IF ISNULL(@cVal1,'0') <> '0' 
BEGIN
	INSERT INTO @SUBDIV (LINK) 
	SELECT RECORD FROM DBO.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOtborLink1
	
END


/*****************************************/
--       - 

CREATE TABLE #FACES (LINK int,PERS_LINK int)

	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl e WHERE e.DEP_LINK = @DEP_LINK 
			AND (
		ISNULL(@cVal1,'0') = '0'
			OR 
		ISNULL(@cVal1,'0') <> '0' AND  EXISTS(SELECT LINK FROM @SUBDIV WHERE link = e.SUBDIV_head )
		)
	
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH s WHERE s.DEP_LINK = @DEP_LINK
		AND NOT exists(SELECT PERS_LINK FROM #FACES WHERE pers_link = s.PERS_LINK )		



-----------------------------

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP6NDFL', 'pers_link'


IF @nQuarter1 = 1 
SELECT
	@nMONTH1 = 1,
	@nMONTH2 = 2,
	@nMONTH3 = 3
IF @nQuarter1 = 2
SELECT
	@nMONTH1 = 4,
	@nMONTH2 = 5,
	@nMONTH3 = 6	
IF @nQuarter1 = 3
SELECT
	@nMONTH1 = 7,
	@nMONTH2 = 8,
	@nMONTH3 = 9	
IF @nQuarter1 = 4
SELECT
	@nMONTH1 = 10,
	@nMONTH2 = 11,
	@nMONTH3 = 12			
	
DECLARE @BDATE DATETIME , @EDATE DATETIME

IF @nCheck1 = 0 
BEGIN
	SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH1,@cYear1)
	SET @EDATE = dbo.dateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@cYear1))
END 
ELSE BEGIN 
		SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH,@cYear1)
		SET @EDATE = dbo.dateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH,@cYear1))
	END 

--------------------------------------------
IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL DROP TABLE #FIZ_VID_DOH
CREATE TABLE #FIZ_VID_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME
							, VID_DOH CHAR(3), mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED tinyint , LINK_VED INT, SUM_DED NUMERIC(18,2))


--INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, link_doc  ,OBJ_CODE, OBJ_NAME, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED)
EXEC dbo.SA_6NDFL_PREPARE_R2 @BDATE, @EDATE,'REP6NDFL', @DEP_LINK


-- EXECUTE KIR_EXEC_QUERY 20179,'''2016'',1,20185'

SELECT 
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'ZP'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  


SELECT 
	  PERS_LINK
	  ,link_EMPL = null
	  , DGH  = 1
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_DZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DZP'
GROUP BY  link_FACE,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_UV	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'UV'
GROUP BY link_FACE,LINK_EMPL,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  ,LINK_EMPL
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
	  ,DED
INTO #TAB_DR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DR'
GROUP BY link_FACE,LINK_EMPL,DIS, INOSTR, VID_DOH, mon, DATE_DOH, DATE_NAL, DATE_ISCH,DED





CREATE TABLE #PAYS_TMP (VID_DOH CHAR(3), SUMMA_DOH NUMERIC(18,2), SUMMA_NAL NUMERIC(18,2), MON tinyint, DATE_DOH datetime, DATE_NAL datetime, DATE_ISCH DATETIME)
INSERT INTO #PAYS_TMP(VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH)

--SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
--FROM #TAB_DR TDR

SELECT TB.VID_DOH, SUMMA_DOH = SUM(TB.SUMMA_DOH), SUMMA_NAL = SUM(TB.SUMMA_NAL),MON,TB.DATE_DOH,TB.DATE_NAL, TB.DATE_ISCH
FROM 
(SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_ZP TZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DZP TDZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_UV TUV
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DR TDR) TB
GROUP BY TB.VID_DOH,MON, TB.DATE_DOH, TB.DATE_NAL, TB.DATE_ISCH--, TB.SUMMA_DOH, TB.SUMMA_NAL


CREATE TABLE #RAZD2 (LINK INT IDENTITY (1,1), COL2 VARCHAR(10),COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 NUMERIC(18,2), COL6 NUMERIC(18,2))
INSERT INTO #RAZD2 ( COL2, COL3, COL4, COL5, COL6)
SELECT
	CONVERT (VARCHAR (10), A.DATE_DOH,104),
	CONVERT(VARCHAR (10), A.DATE_NAL,104),
	CONVERT(VARCHAR (10), A.DATE_ISCH,104),
	sum(A.SUMMA_DOH),
	SUM(A.SUMMA_NAL)
FROM 
	#PAYS_TMP  A
GROUP BY A.[mon],A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH /*, B.PERIOD_ndfl*/
ORDER BY
	A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH
	
/*SELECT
	CODE = REPLICATE( '0', 3-len(CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ))+CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ,
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6
FROM
	#RAZD2 E
ORDER BY
	month(convert(datetime,COL2,104))
*/

--      #TAB_nn     #Razd2 . 
--                 #Razd2 
SELECT CODE =  CONVERT(VARCHAR(4),REPLICATE( '0', 3-LEN(CONVERT(VARCHAR(4),r.link)))+ CONVERT(VARCHAR(4),r.link)),
	   PERS_LINK = CASE WHEN F.VID_DOH = 'DZP' THEN F.PERS_LINK ELSE F.LINK_FACE END,
	   LINK_EMPL = F.LINK_EMPL,
	   DGH  = CASE WHEN F.VID_DOH = 'DZP' THEN 1 ELSE 0 END,
	   FIO  = CASE WHEN F.VID_DOH = 'DZP' 
					THEN (p.FM+' '+p.IM +' '+ p.OT) 
					ELSE (SE.FM+' '+se.IM +' '+ se.OT) 
	          END ,
	   TAB  = CASE WHEN F.VID_DOH = 'DZP' 
					THEN '' 
					ELSE SE.TAB 
	          END ,
	   F.INOSTR,
	   F.DIS,
	   KAT = CASE WHEN F.VID_DOH = 'DZP' THEN '  '
				  WHEN F.VID_DOH = 'ZP' THEN ''
				  WHEN F.VID_DOH = 'UV' THEN ' '
				  WHEN F.VID_DOH = 'DR' THEN ' '
			 END,	  
--	   DOC_INF = LTRIM(RTRIM(SUBSTRING ((SELECT
--							', '+ isnull(so1.NAME,'') + ' ' + ISNULL (sd1.number, '') +'  '+ ISNULL(convert(varchar(10),sd1.[DATE],104),'')
--							FROM dbo.SDOC sd1
--							LEFT JOIN dbo.s_objects so1 ON so1.LINK = sd1.[OBJECT]
--	                        WHERE sd1.link =F.link_doc 
--	                        FOR XML PATH ('')),
--							2,
--							1000) )) ,
							--sd.NUMBER,
	  -- DOC_DATE = sd.[DATE],
	  -- DOC_CODE = so.CODE,
	  -- DOC_NAME = so.NAME,
	   F.VID_DOH,
	   ved_TYPE = CASE WHEN F.VID_DOH = 'DZP'
	                   THEN (case when sdV2.TYP_PAYMENT = 1 THEN ''
								when sdV2.TYP_PAYMENT = 2 THEN ''
								when sdV2.TYP_PAYMENT = 3 THEN ' ' 
								END)
	                   ELSE 
	                       (case when sdV1.TYP_PAYMENT = 1 THEN ''
								when sdV1.TYP_PAYMENT = 2 THEN ''
								when sdV1.TYP_PAYMENT = 3 THEN ' ' 
								END)
						END	,
	   VED_NUM = sdV.NUMBER,
	   VED_DATE = sdV.[DATE],
	   SUMMA_DOH = sum(F.SUMMA_DOH),
	   SUMMA_NAL = SUM(F.SUMMA_NAL),
	   F.MON,
	   DATE_DOH = CONVERT (VARCHAR (10),F.DATE_DOH,104),
	   DATE_NAL = CONVERT (VARCHAR (10),F.DATE_NAL,104),
	   DATE_ISCH = CONVERT (VARCHAR (10),F.DATE_ISCH,104),
	   SUM_DOH_GR = r.COL5,
	   SUM_NAL_GR = r.COL6,
 	   SUM_DED_GR = sum(F.SUM_DED)
INTO #FIZ_VID_DOH_RES
FROM #FIZ_VID_DOH F
INNER JOIN #RAZD2 r ON  r.COL2 = CONVERT (VARCHAR (10),F.DATE_DOH,104) AND r.COL3 = CONVERT (VARCHAR (10),F.DATE_NAL,104) AND r.COL4 = CONVERT (VARCHAR (10),F.DATE_ISCH,104)
LEFT JOIN dbo.SD_EMPL se ON se.pers_link = F.LINK_FACE AND se.link= f.link_empl  AND (se.DATE_END IS NULL OR se.DATE_END >=@BDATE) AND se.DATE_BEGIN IS NOT null 
LEFT JOIN dbo.PERSON  p  ON p.link = f.PERS_LINK 
--LEFT JOIN dbo.SDOC    sd ON sd.link =F.link_doc 
--LEFT JOIN dbo.s_objects so ON so.LINK = sd.[OBJECT]
LEFT JOIN dbo.SDOC    sdV ON sdV.link = F.link_ved
left JOIN dbo.SDOC_VEDOM sdV1 ON sdV1.LINK_UP = sdv.LINK
left JOIN dbo.SDOC_VEDOM_DGH sdV2 ON sdV2.LINK_UP = sdv.LINK
GROUP BY r.link , F.LINK_FACE,  F.PERS_LINK , F.LINK_EMPL , F.DATE_DOH,
		 p.FM,p.IM,p.OT,SE.FM,se.IM,se.OT,SE.TAB,F.INOSTR, 
		 F.DIS,  f.VID_DOH,sdV1.TYP_PAYMENT,sdV2.TYP_PAYMENT,sdV.NUMBER,sdV.[DATE],F.MON,F.DATE_DOH,F.DATE_NAL,F.DATE_ISCH,r.COL5,r.COL6
ORDER BY r.link,  se.FM /*,F.VID_DOH*/, f.PERS_LINK,f.link_empl, F.DATE_DOH --, so.CODE


-- EXECUTE KIR_EXEC_QUERY 20582,'''2016'',1,0,0,20586'
SELECT CODE,
	   PERS_LINK ,
	   LINK_EMPL,
	   DGH  ,
	   FIO,  
	   TAB ,
	   INOSTR,
	   DIS,
	   KAT ,	  
	  -- LINK_DOC,
	  -- DOC_INF = LTRIM(RTRIM(SUBSTRING ((SELECT
		--					', '+ isnull(f1.DOC_INF,'') 
		--					FROM #FIZ_VID_DOH_RES f1
		--					WHERE f1.FIO =F.FIO AND  f1.TAB = f.TAB AND f1.KAT = f.KAT AND f1.VED_NUM = f.VED_NUM AND  f1.VED_DATE = f.ved_date
	      --                  FOR XML PATH ('')),
			--				2,
			--				1000) )) ,
							--sd.NUMBER,
	  -- DOC_DATE = sd.[DATE],
	  -- DOC_CODE = so.CODE,
	  -- DOC_NAME = so.NAME,
	   VID_DOH,
	   ved_TYPE,
	   VED_NUM ,
	   VED_DATE,
	   SUMMA_DOH = SUM(SUMMA_DOH),
	   SUMMA_NAL = SUM(SUMMA_NAL),
	   MON,
	   DATE_DOH ,
	   DATE_NAL,
	   DATE_ISCH,
	   SUM_DOH_GR,
	   SUM_NAL_GR,
 	   SUM_DED_GR = sum(SUM_DED_GR)
FROM #FIZ_VID_DOH_RES f
GROUP BY f.CODE,f.PERS_LINK,f.LINK_EMPL,f.DGH,f.FIO,f.TAB,f.INOSTR,f.DIS,f.KAT,
		 f.VID_DOH,f.ved_TYPE,f.VED_NUM,f.VED_DATE,f.MON,f.DATE_DOH,f.DATE_NAL,
		 f.DATE_ISCH,f.SUM_DOH_GR,f.SUM_NAL_GR
ORDER BY f.CODE,f.KAT,f.FIO,f.TAB,f.VED_NUM,f.DATE_DOH	 

DROP TABLE #FIZ_VID_DOH
DROP TABLE #RAZD2

-- EXECUTE KIR_EXEC_QUERY 20582,'''2016'',2,0,0,20586'
	

RETURN 0




GO


GRANT EXECUTE ON dbo.[SA_6NDFL_REPORT] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_4FSS_20032015_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_4FSS_20032015_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_4FSS_20032015_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20150101', @vardEnd datetime = '20151231', @variCol int, @variRow int, @variLSF int
AS 

EXEC dbo.BufferClear

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT

DECLARE --  
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)


select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT 
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(18,6) default 0.00, DED_M numeric(18,6) default 0.00, INV_M numeric(18,6) default 0.00, SUMMA numeric(18,6) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, RESIDENT int default 2, KATEG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS , RESIDENT, KATEG)
Select s.[MONTH_BASE], s.SUMMA_BASE, s.DED_M, s.INV_M, s.SUMMA, s.WAY_CALC, s.REF_PHYS_PERS, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , s.KATEG
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) s
left join dbo.person p on p.link = s.REF_PHYS_PERS
left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK
WHERE s.WAY_CALC = 2

---  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, resident, KATEG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, P.WAY_CALC, GT.PERS_LINK, (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , 
	KATEG = (CASE WHEN I.LINK IS NULL THEN (F.ENVD + 1) ELSE 3 END)
FROM 
	dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP
	INNER JOIN dbo.PAYS P ON P.LINK = GT.LINK_PAY
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = GT.LINK_VKR
	left JOIN DBO.PERSON Pe on Pe.LINK = GT.PERS_LINK
	LEFT JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
	LEFT JOIN dbo.pers_invalid I ON GT.PERS_LINK = I.PERS_LINK 
	AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(G.[DATE]),@nYEAR)) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')
WHERE
	G.[OBJECT] =(SELECT LINK FROM S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH')
	AND GT.[OBJECT] = 3
	AND FLAG_JC = 1
	AND P.WAY_CALC = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


/* 2.1*/
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

CREATE TABLE #RES2(CODE_STR VARCHAR(10), BASE_FSS NUMERIC(18,6), CNT_FSS INT, CNT_FEM INT , NUM_PP Varchar(50) default '')

DECLARE @REST NUMERIC(18,2)

--  ר 303.02   
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @BYearDate, @ACC_LINE = '%303.02%'

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0101', @REST, 0, 0 WHERE @REST > 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0112', -@REST, 0, 0 WHERE @REST < 0

--  ר 303.02    
DECLARE @QV_DATE DATETIME
SELECT @REST = 0, @QV_DATE = @END_DATE+1
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @QV_DATE, @ACC_LINE = '%303.02%'

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0109', -@REST, 0, 0 WHERE @REST < 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0119', @REST, 0, 0 WHERE @REST > 0

---   
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.02', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''

	
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '01163', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH1), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '01164', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '01165', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3), 
		'', 
		0   

---    
SELECT  VID,
		Y , 
		MON ,
		NUMBER	
INTO #PLAT_PP
FROM #PLAT 
GROUP  BY VID , Y , MON, NUMBER

BEGIN 
	declare @Cur cursor , @VID tinyint , @Y INT, @MON TINYINT, @NUMBER VARCHAR(10)

	SET @Cur = CURSOR FORWARD_ONLY
	FOR 
		select VID, Y, MON, NUMBER from #PLAT_PP order by VID, Y, MON, NUMBER
	OPEN @Cur
	FETCH NEXT FROM @Cur INTO @VID, @Y, @MON, @NUMBER
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	
			if  @Y = @nYEAR and @MON = @nMONTH1
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER)) end )
				where code_str = '01163' 

			if  @Y = @nYEAR and @MON = @nMONTH2
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER)) end )
				where code_str = '01164'

			if  @Y = @nYEAR and @MON = @nMONTH3
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER)) end )
				where code_str = '01165'				

		end
		FETCH NEXT FROM @Cur INTO @VID, @Y, @MON, @NUMBER
	end

CLOSE @Cur
DEALLOCATE @Cur

END 

drop table #PLAT_PP


/******** **********/

/*     */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))
INSERT INTO #RES2
SELECT '3', 0, @NAvgCount, 0, ''

/*      */ ---  
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
INSERT INTO #RES2
SELECT '1', 0, @NAvgCount, 0, ''

/*    */  ---  
INSERT INTO #RES2
SELECT '2', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 2, 1, 0, DEFAULT)), 0 , ''

/*       */ ---  
INSERT INTO #RES2
SELECT '4', 0, convert(numeric(18,0), dbo.sa_ssch_empls_4fss(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 2, DEFAULT)), 0 , ''



--1. 1
-- .   
INSERT INTO #RES2 --=. 02,  2_1
SELECT '0121', ISNULL(SUM(SUMMA),0), 0, 0 , '' FROM #SPR_ESN WHERE MONTH_BASE < @nMONTH1  

-- . 1 
INSERT INTO #RES2 --=. 02,  2_3
SELECT '0123', ISNULL(SUM(SUMMA),0), 0, 0 , '' FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH1

-- . 2 
INSERT INTO #RES2 --=. 02,  2_4
SELECT '0124', ISNULL(SUM(SUMMA),0), 0, 0, '' FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH2
--
-- . 3 
INSERT INTO #RES2 --=. 02,  2_5
SELECT '0125', ISNULL(SUM(SUMMA),0), 0, 0, '' FROM #SPR_ESN WHERE MONTH_BASE = @nMONTH3


--1. 2

DECLARE 
	@P02010 INT, -- 
	@P02013 NUMERIC(18,2),  --   
	@P02014 NUMERIC(18,2), --     

	@P02020 INT, --    
	@P02023 NUMERIC(18,2),  --     
	@P02024 NUMERIC(18,2), --        
	
	@P02030 INT, --    
	@P02033 NUMERIC(18,2),  --    
	@P02034 NUMERIC(18,2), --      
	
	@P02040 INT, --        
	@P02043 NUMERIC(18,2),  --       
	@P02044 NUMERIC(18,2),  --         
	
	@P02050 INT, --     
	@P02053 NUMERIC(18,2),  --     
	@P02054 NUMERIC(18,2), --       

	@P02060 INT, --         
	@P02063 NUMERIC(18,2),  --        
	@P02064 NUMERIC(18,2),  --          

	--            
	@P02100 INT, -- 
	@P02103 NUMERIC(18,2),  --   
	@P02104 NUMERIC(18,2), --  

	--              
	@P02110 INT, -- 
	@P02113 NUMERIC(18,2),  --   
	@P02114 NUMERIC(18,2) --  

---	
SELECT 
	@P02010 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 or  (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN NULL ELSE A.LINK END) ),
	@P02020 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) = 2 THEN A.LINK ELSE NULL END), 
	@P02030 = COUNT(DISTINCT (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END) ), 
	@P02040 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 0 AND (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) <> 2 THEN A.LINK ELSE NULL END), 
	@P02050 = COUNT(DISTINCT (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) ), 
	@P02060 = COUNT( DISTINCT CASE WHEN STATUS_EMPL = 3 AND COALESCE(A.DEKRET,0) = 1 THEN A.LINK ELSE NULL END) 
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK
	INNER JOIN DBO.SDOC_ADIS_TABLE1 T ON T.LINK_UP = A.LINK AND T.PAYER = 0
	inner join dbo.DIS d on d.link = a.ref_arhe 
	left  JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left  JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	A.LINK_DEP = @DEP_LINK 
	AND A.FLAG_JC = 1 --
	AND YEAR(A.[DATE]) = YEAR(@BYearDate) --   
	AND MONTH(A.[DATE]) <= MONTH(@END_DATE) --   
	and isnull(D.REF_DOC,0) = 0


---	
SELECT 
	---    (        )
	@P02013 = SUM( (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END) * ISNULL(A.FSS_DAYS,0)), --(DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	@P02023 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	

	--      ,    ,     
	@P02033 = SUM(  (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--      ,    ,     
	@P02043 = SUM( (CASE WHEN STATUS_EMPL = 3 THEN 1 ELSE 0 END) * (CASE WHEN COALESCE(A.DEKRET,0) = 1 THEN 0 ELSE 1 END) * (CASE WHEN (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) =2  THEN 0 ELSE 1 END) * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	

	--       ,    ,     
	@P02053 = SUM(  COALESCE(A.DEKRET,0)  * ISNULL(A.FSS_DAYS,0)),--* (DATEDIFF(DAY,T.DATE1,T.DATE2)+1) ),	
	--       ,    ,     
	@P02063 = SUM( (CASE WHEN STATUS_EMPL = 3  AND COALESCE(A.DEKRET,0) = 1 THEN 1 ELSE 0 END)  * ISNULL(A.FSS_DAYS,0))--* (DATEDIFF(DAY,T.DATE1, T.DATE2)+1) )	
FROM 
	DBO.DOCUMENTS_ADD_ARCHE A INNER JOIN dbo.SD_EMPL E ON A.REF_EMPL = E.LINK 
		INNER JOIN dbo.person P ON p.LINK = e.PERS_LINK
	left JOIN dbo.CITIZENSHIP c ON c.LINK = p.CITIZ_LINK 
WHERE 
	LINK_DEP = @DEP_LINK 
	AND FLAG_JC = 1 --
	AND YEAR(DATE) = YEAR(@BYearDate) --   
	AND MONTH(DATE) <= MONTH(@END_DATE) --   


/*declare @Res float
set @Res = 0
 exec dbo.RSA_4FSS_20032015_PREPARE @Res output, '', '20150101', '20150331', 2, 1,  2193
*/

SELECT P.F4FSS, E.[STATUS], RESIDENT = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) , CNT_EMPL = COUNT(DISTINCT J.LINK_EMPL), CNT = COUNT( J.LINK_EMPL),SUMMA = SUM(SUMMA), CNT_DAYS = SUM([DAYS])
INTO #ATR_4FSS
FROM 
	dbo.ATRIBUT_F4FSS A
	INNER JOIN dbo.PAYS P ON A.LINK = P.F4FSS
	INNER JOIN dbo.CALCULATE_JURNAL J ON P.LINK = J.LINK_PAYS
	INNER JOIN DBO.SA_EMPLS_INFO(@END_DATE, DEFAULT) E ON E.EMPL_LINK = J.LINK_EMPL 	
	INNER JOIN dbo.sd_empl se ON  sE.LINK = E.EMPL_LINK 
	INNER JOIN dbo.PERSON pe ON pe.LINK=se.PERS_LINK
	INNER JOIN dbo.CITIZENSHIP c ON c.LINK = pe.CITIZ_LINK
WHERE
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3
	and J.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1	
	and P.F4FSS > 1
	AND J.LINK_EKR = (SELECT LINK FROM KOSGU WHERE CODE = '213')	
GROUP BY 	
	P.F4FSS, E.[STATUS],c.CODE 


--    
-----   
INSERT INTO #RES2 --=. 02,  01
SELECT '0201', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2  AND  RESIDENT = 2 ),0), --ISNULL(@P02014,0), 
	@P02013, @P02010, ''
	

-----      
INSERT INTO #RES2 --=. 02,  02
SELECT '0202', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND  RESIDENT = 2),0),--ISNULL(@P02024,0), 
	@P02023, @P02020, ''
/**/
-----    
INSERT INTO #RES2 --=. 02,  03
SELECT '0203', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND RESIDENT <>2),0),--@P02034, 
	@P02033, @P02030, ''


-----       
INSERT INTO #RES2 --=. 02,  04
SELECT '0204', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 2 AND [STATUS] = 3 AND RESIDENT <>2),0),--@P02044, 
	@P02043, @P02040, ''
/**/


-----     
INSERT INTO #RES2 --=. 02,  05
SELECT '0205', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3),0),--@P02054, 
	@P02053, @P02050, ''


-----        
INSERT INTO #RES2 --=. 02,  06
SELECT '0206', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 3 AND [STATUS] = 3),0),--@P02064, 
	@P02063, @P02060, ''



---   ,   
INSERT INTO #RES2
SELECT '0207', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 4),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 4),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 4),0)	, ''
--    
INSERT INTO #RES2
SELECT '0208', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 5),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 5),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 5),0)	, ''

----          
INSERT INTO #RES2
SELECT '0210',
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 6),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 6),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 6),0)	, ''
----        
INSERT INTO #RES2
SELECT '0211',
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 7),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 7),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 7),0)	, ''
--       -
INSERT INTO #RES2
SELECT '0212', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 8),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 8),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 8),0)	, ''

--       ,          -
---<<<<<<<<<<<
/**/
INSERT INTO #RES2
SELECT '0213', 0 , 0, 0 , '' 
	 --ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0),
	 --ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	 --ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	, ''	
/**/
---->>>>>>>>>>>>>>>>
--   	
INSERT INTO #RES2
SELECT '0214', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	, ''		

--  ,     
---<<<<<<<<<<<
/**/
INSERT INTO #RES2
SELECT '0216', 0,0,0,''
	/*ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 9),0),
	ISNULL((SELECT SUM(CNT) FROM #ATR_4FSS WHERE F4FSS = 9),0),	
	ISNULL((SELECT SUM(CNT_EMPL) FROM #ATR_4FSS WHERE F4FSS = 9),0)	, ''
	*/	
/**/
---->>>>>>>>>>>>>>>>



--1. 3

Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 2)

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213                                                     
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(GT.SUMMA_BASE) , resident  = (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end) 
INTO #DGH_FAKT_BASE
FROM 
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.person p on p.link = GT.PERS_LINK
	left join CITIZENSHIP c ON c.LINK= p.CITIZ_LINK
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  = 2
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY GT.PERS_LINK, MONTH(G.[DATE]), c.code

CREATE TABLE #DGH_CJ (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA NUMERIC(18,6), RESIDENT int )
INSERT INTO #DGH_CJ (PERS_LINK, PERIOD_BEGIN, SUMMA, resident)
SELECT PERS_LINK, PERIOD_BEGIN, SUM(SUMMA), (CASE c.CODE WHEN '1' then 2 when '2' then 2 ELSE 1 end)   
FROM dbo.CALCULATE_JURNAL CJ
	inner JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	INNER JOIN DBO.PAYS P ON P.LINK = CJ.LINK_PAYS
	left join CITIZENSHIP c ON c.LINK= P1.CITIZ_LINK
WHERE
	yEAR(CJ.period_begin) = @nYEAR
	AND CJ.LINK_DEP = @DEP_LINK
	AND P.[OBJECT] = 1
GROUP BY
	PERS_LINK, PERIOD_BEGIN, c.CODE


---------
SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO)
INTO #SALARY_SUM2
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END) --     
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
where 	
	Year(CJ.period_begin) = @nYEAR and Month(CJ.period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA - ISNULL(B.SUMMA_BASE,0)) --     
from 
	#DGH_CJ CJ
	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
where 	
	Month(CJ.period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON
	
--    ,     ,    .7    24  2009 .  212-
INSERT INTO #RES2 SELECT '030103', SUM(SUMMA_ALL), 0, 0, '' FROM #SALARY_SUM2
INSERT INTO #RES2 SELECT '030104', SUM(SUMMA_ALL), 0, 0, '' FROM #SALARY_SUM2 WHERE MON = @nMONTH1
INSERT INTO #RES2 SELECT '030105', SUM(SUMMA_ALL), 0, 0, '' FROM #SALARY_SUM2 WHERE MON = @nMONTH2
INSERT INTO #RES2 SELECT '030106', SUM(SUMMA_ALL), 0, 0, '' FROM #SALARY_SUM2 WHERE MON = @nMONTH3


--select * from #RES2 where CODE_STR in ('030103', '030104', '030105', '030106')
DECLARE @TMP_VAL NUMERIC(18,2)
--,         .9    24  2009 .  212-
--INV_M     (100    )
SET @TMP_VAL = ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN ) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2),0)
INSERT INTO #RES2 VALUES('030203', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)
INSERT INTO #RES2 VALUES('030204', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)
INSERT INTO #RES2 VALUES('030205', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN  WHERE MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0)
INSERT INTO #RES2 VALUES('030206', @TMP_VAL, 0, 0, '')

--select * from #RES2 where CODE_STR in ('030203', '030204', '030205', '030206')



DECLARE @LIMIT NUMERIC(18,2)

SELECT @LIMIT = MAX(S.PREDEL)
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0

SET @LIMIT = ISNULL(@LIMIT,0)


--  ,        (%)
DECLARE 
	@PERCENT1 NUMERIC(18,2)--,
/*	@PERCENT1_IN NUMERIC(18,2)*/
--	@PERCENT_FSS NUMERIC(18,2)

--  	
SELECT @PERCENT1 = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	predel = @LIMIT
	and tarif =1
	and 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
/*-- 
SELECT @PERCENT1_IN = S.PERCENT1
FROM 
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2
WHERE 
	predel = @LIMIT
	and tarif =3
	and 
	DATE = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3 AND P.WAY_CALC = 2 AND DATE < @END_DATE ORDER BY [DATE] DESC) 
	AND
	S.PERCENT1 > 0
*/
SET @PERCENT1 = ISNULL(@PERCENT1,0)
/*SET @PERCENT1_IN = ISNULL(@PERCENT1_IN,0)*/

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM 
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

--,        ,     . 8    24 
INSERT INTO #RES2 SELECT '030303', SUM(SUMMA), 0, 0, '' FROM #SPR_ESN2 WHERE M <= @nMONTH3
INSERT INTO #RES2 SELECT '030304', SUM(SUMMA), 0, 0, '' FROM #SPR_ESN2 WHERE M = @nMONTH1
INSERT INTO #RES2 SELECT '030305', SUM(SUMMA), 0, 0, '' FROM #SPR_ESN2 WHERE M = @nMONTH2
INSERT INTO #RES2 SELECT '030306', SUM(SUMMA), 0, 0, '' FROM #SPR_ESN2 WHERE M = @nMONTH3
-----<<<<<<<<<<<<<<<<<<<


-- :                    
SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1Res FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1Res SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE resident <> 2 AND MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS


SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2Res
FROM 
	#SPR_ESN1Res T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1Res T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1Res T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
WHERE
	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


SET @TMP_VAL = ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN WHERE resident <> 2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res WHERE M <= @nMONTH3),0)
INSERT INTO #RES2 VALUES('030803', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE resident <> 2 AND MONTH_BASE = @nMONTH1) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res WHERE M = @nMONTH1),0)
INSERT INTO #RES2 VALUES('030804', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE resident <> 2 AND MONTH_BASE = @nMONTH2) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res WHERE M = @nMONTH2),0)
INSERT INTO #RES2 VALUES('030805', @TMP_VAL, 0, 0, '')

SET @TMP_VAL = ISNULL( (SELECT SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M) FROM #SPR_ESN  WHERE resident <> 2 AND MONTH_BASE = @nMONTH3) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN2Res WHERE M = @nMONTH3),0)
INSERT INTO #RES2 VALUES('030806', @TMP_VAL, 0, 0, '')


--    
/*
--   
 1.           4-       . 
 2.        ,   . 
 3.        ,   . 
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT5_1 INT 
SET @SALARY_OPTIONS_OPT5_1 = dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT5_1')

---------------------------------------------------------

IF ISNULL(@PERCENT1,0) > 0
BEGIN

	--    	
	SELECT 
		@C3N = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '030103' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030203' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030303' THEN BASE_FSS  ELSE 0 END)
			--	 	-(CASE WHEN CODE_STR = '030803' THEN BASE_FSS  ELSE 0 END) --     
				) * @PERCENT1/100
			/*	+ SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '030803' THEN BASE_FSS  ELSE 0 END) --   
				) * 1.8/100		*/		
				- (SELECT SUM(BASE_FSS) FROM #RES2 WHERE CODE_STR in ('0121','0123', '0124','0125'))
			) / @PERCENT1/100
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '030103' THEN BASE_FSS  ELSE 0 END) 
					-(CASE WHEN CODE_STR = '030203' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030303' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030803' THEN BASE_FSS  ELSE 0 END) --     
				) * @PERCENT1/100
				+
				SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '030803' THEN BASE_FSS  ELSE 0 END)  --   
				) * 1.8/100			
			)
		),		
		@C4N = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030104' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030204' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030304' THEN BASE_FSS  ELSE 0 END)
				--	-(CASE WHEN CODE_STR = '030804' THEN BASE_FSS  ELSE 0 END) --     
				) * @PERCENT1/100
				/*+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030804' THEN BASE_FSS  ELSE 0 END) --   
				) * 1.8/100		*/		
				- (SELECT SUM(BASE_FSS) FROM #RES2 WHERE CODE_STR = '0123')
			) / @PERCENT1/100	
		),
		@C4NS = CONVERT(NUMERIC(18,2), 
			(
				SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030104' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030204' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030304' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030804' THEN BASE_FSS  ELSE 0 END) --     		
				) * @PERCENT1/100
				+ SUM( -- 4 (030403)  = 
					(CASE WHEN CODE_STR = '030804' THEN BASE_FSS  ELSE 0 END) --   
				) * 1.8/100		
			)
		),		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '030105' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030205' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030305' THEN BASE_FSS  ELSE 0 END)
				--	-(CASE WHEN CODE_STR = '030805' THEN BASE_FSS  ELSE 0 END) --     		
				) * @PERCENT1/100
				/*+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030805' THEN BASE_FSS  ELSE 0 END) --   
				) * 1.8/100	*/
				- (SELECT SUM(BASE_FSS) FROM #RES2 WHERE CODE_STR = '0124')
			) / @PERCENT1/100			
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '030105' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030205' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030305' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030805' THEN BASE_FSS  ELSE 0 END) --     			
				) * @PERCENT1/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030805' THEN BASE_FSS  ELSE 0 END) --   
				) * 1.8/100			
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '030106' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030206' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030306' THEN BASE_FSS  ELSE 0 END)
				--	-(CASE WHEN CODE_STR = '030806' THEN BASE_FSS  ELSE 0 END) --     	
				) * @PERCENT1/100
				/*+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030806' THEN BASE_FSS  ELSE 0 END) --     	
				) * 1.8/100		*/	
				- (SELECT SUM(BASE_FSS) FROM #RES2 WHERE CODE_STR = '0125')
			) / @PERCENT1/100							
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 4 (030405)  = 
					(CASE WHEN CODE_STR = '030106' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030206' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030306' THEN BASE_FSS  ELSE 0 END)
					-(CASE WHEN CODE_STR = '030806' THEN BASE_FSS  ELSE 0 END) --     				
				) * @PERCENT1/100
				+ SUM( -- 4 (030404)  = 
					(CASE WHEN CODE_STR = '030806' THEN BASE_FSS  ELSE 0 END) --     	
				) * 1.8/100				
			)
		)		
	FROM #RES2
	WHERE
		CODE_STR IN ('030103', '030203', '030303', '030803','030104', '030204', '030304', '030804','030105', '030205', '030305', '030805','030106', '030206', '030306', '030806')

	IF @SALARY_OPTIONS_OPT5_1 = 1
	BEGIN
		-- . 1 
		UPDATE #RES2
		SET BASE_FSS = ISNULL(@C4NS,0)			 
		WHERE 
			CODE_STR = '0123'
		
		UPDATE #RES2
		SET BASE_FSS = ISNULL(@C5NS,0)		 
		WHERE 
			CODE_STR = '0124'
			
		UPDATE #RES2
		SET BASE_FSS = ISNULL(@C6NS,0)		 
		WHERE 
			CODE_STR = '0125'
	
	END

	IF @SALARY_OPTIONS_OPT5_1 = 3
	BEGIN
	
		UPDATE #RES2
		SET BASE_FSS = BASE_FSS + ISNULL(@C3N,0)			 
		WHERE 
			CODE_STR = '030203'
		
		UPDATE #RES2
		SET BASE_FSS = BASE_FSS + ISNULL(@C4N,0)			 
		WHERE 
			CODE_STR = '030204'
			
		UPDATE #RES2
		SET BASE_FSS = BASE_FSS + ISNULL(@C5N,0)			 
		WHERE 
			CODE_STR = '030205'
			
		UPDATE #RES2
		SET BASE_FSS = BASE_FSS + ISNULL(@C6N,0)			 
		WHERE 
			CODE_STR = '030206'
	
	END

end



---   
CREATE TABLE #RAZD31 (LINK INT, COL2 NUMERIC(18,2), COL3 NUMERIC(18,2), COL4 NUMERIC(18,2), COL5 NUMERIC(18,2))
INSERT INTO #RAZD31 (LINK)
SELECT DISTINCT 
	P.REF_PHYS_PERS
FROM 
	#SPR_ESN P
WHERE  RESIDENT <> 2

DECLARE @Table_Razd31 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd31 OUTPUT
EXEC ('select * INTO ' + @Table_Razd31 + ' from #RAZD31')
EXEC dbo.BufferPush -116, @Table_Razd31



---P2. 7
--  ר 303.06   

SELECT @REST = 0, @QV_DATE = @END_DATE+1

--  ר 303.02   
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @BYearDate, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0701', @REST, 0, 0 WHERE @REST > 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0712', -@REST, 0, 0 WHERE @REST < 0

--  ר 303.06    
EXEC dbo.SA_BUH_REST @SUM = @REST OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @QV_DATE, @ACC_LINE = '%303.06%'
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0709', -@REST, 0, 0 WHERE @REST < 0
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM) SELECT '0719', @REST, 0, 0 WHERE @REST > 0



--   SA_4FSS_28022011_PREPARE_INV

--3. 9

Declare @StBase5 table (link int)
Insert into @StBase5 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 5)

--   
SELECT GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, SUMMA_BASE = sum(CASE WHEN GT.WAY_CALC  = 5 THEN GT.SUMMA_BASE ELSE 0 END)
INTO #DGH_FAKT_BASE2
FROM 
	dbo.DOCUMENTS_DGH G 
	--INNER JOIN dbo.DOCUMENTS_DGH_T1 T1 ON T1.LINK = G.LINK
	--INNER JOIN dbo.REESTR_DGH R ON R.LINK = T1.LINK_DOG  --AND FLAG_TRAVMA = 1	
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK --AND T1.PERS_LINK = GT.PERS_LINK 
WHERE 
	G.LINK_DEP = @DEP_LINK
	AND FLAG_JC = 1
	--AND GT.WAY_CALC  = 5
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3 
GROUP BY   GT.PERS_LINK,  MONTH(G.[DATE]) /*, GT.WAY_CALC*/


SELECT MON, SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO), SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I)
INTO #SALARY_SUM
FROM 
(
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) AND I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END)
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase5 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN DBO.PERS_INVALID I ON I.PERS_LINK = E.PERS_LINK 
			AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
			--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and P.[OBJECT] = 1
GROUP BY
	Month(CJ.PERIOD_BEGIN)
UNION ALL	
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA_ALL = SUM(CJ.SUMMA),
	SUMMA_NO = SUM( CJ.SUMMA - ISNULL(B.SUMMA_BASE,0)), --     
	SUMMA_ALL_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA ELSE 0 END),
	SUMMA_NO_I = SUM(CASE WHEN I.LINK IS NOT NULL AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN COALESCE(I.DATE_BEGIN,CJ.PERIOD_BEGIN) AND  COALESCE(I.DATE_END,dbo.DateEndOfMonth(CJ.PERIOD_BEGIN)) THEN SUMMA - ISNULL(B.SUMMA_BASE,0) ELSE 0 END)
from 
	#DGH_CJ CJ
	INNER JOIN #DGH_FAKT_BASE2 B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN DBO.KU_PERS_INVALID I ON I.PERS_LINK = CJ.PERS_LINK 
		AND dbo.DateEndOfMonth(CJ.PERIOD_BEGIN) BETWEEN I.DATE_BEGIN AND ISNULL(I.DATE_END,'29990101')
		--AND COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate
where 	
	Month(period_begin) <= @nMONTH3 
GROUP BY
	Month(CJ.PERIOD_BEGIN)
) AS T
GROUP BY 
	MON
------------------------

--  
DECLARE @LINK_S_OBJ INT
SET @LINK_S_OBJ = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_CLOSE_MONTH')

CREATE TABLE #TRAVM_LGOTY (I TINYINT, M TINYINT, SUMMA NUMERIC(18,2))
--  
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])
	
----  	
INSERT INTO #TRAVM_LGOTY (I, M, SUMMA)
SELECT I = (CASE WHEN ISNULL(I.PERS_LINK,0) = 0 THEN 0 ELSE 1 END), MONTH(D.[DATE]), SUM(SUMMA)
FROM
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
	LEFT JOIN dbo.pers_invalid I ON S.LINK_PERS = I.PERS_LINK 
		AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH(D.[DATE]),YEAR(D.[DATE]))) BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	
WHERE
	D.[OBJECT] = @LINK_S_OBJ AND D.FLAG_JC = 1 AND D.LINK_DEP = @DEP_LINK
	AND YEAR(D.[DATE]) = @nYEAR AND MONTH(D.[DATE]) <= @nMONTH3
GROUP BY
	ISNULL(I.PERS_LINK,0), MONTH(D.[DATE])	

--   6
CREATE TABLE #TABLE6 (MON TINYINT, SUMMA3 NUMERIC(18,2), SUMMA4 NUMERIC(18,2), SUMMA5 NUMERIC(18,2) )
INSERT INTO #TABLE6 (MON, SUMMA3, SUMMA4, SUMMA5)
SELECT 
	M.NUM, 
	SUMMA3 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL)/*-SUM(SUMMA_NO)*/ FROM #SALARY_SUM WHERE MON = M.NUM) ,0) /*- ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0)*/ /*,0)*/,
	SUMMA4 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_ALL_I)-SUM(SUMMA_NO_I) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) - ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE I = 1 AND M = M.NUM),0) /*,0)*/,
	SUMMA5 = /*ROUND(*/ ISNULL( (SELECT SUM(SUMMA_NO) FROM #SALARY_SUM WHERE MON = M.NUM) ,0) + ISNULL((SELECT SUM(SUMMA) FROM #TRAVM_LGOTY WHERE M = M.NUM),0) /*,0)*/
FROM
	dbo.MONTHS M
	
	
INSERT INTO #RES2 SELECT '060103', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE6) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '060104', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE6) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '060105', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE6) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '060303', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE6 WHERE MON = @nMONTH1) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '060304', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE6 WHERE MON = @nMONTH1) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '060305', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE6 WHERE MON = @nMONTH1) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '060403', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE6 WHERE MON = @nMONTH2) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '060404', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE6 WHERE MON = @nMONTH2) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '060405', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE6 WHERE MON = @nMONTH2) ,0), 0, 0, ''
---
INSERT INTO #RES2 SELECT '060503', ISNULL( (SELECT SUM(SUMMA3) FROM #TABLE6 WHERE MON = @nMONTH3) ,0) , 0, 0, ''
INSERT INTO #RES2 SELECT '060504', ISNULL( (SELECT SUM(SUMMA4) FROM #TABLE6 WHERE MON = @nMONTH3) ,0), 0, 0, ''
INSERT INTO #RES2 SELECT '060505', ISNULL( (SELECT SUM(SUMMA5) FROM #TABLE6 WHERE MON = @nMONTH3) ,0), 0, 0, ''

--3. 10
select 
	MON = Month(CJ.PERIOD_BEGIN),
	SUMMA = SUM(SUMMA)
INTO 
	#SALARY_SUM1
from 
	dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
where 	
	Year(period_begin) = @nYEAR and Month(period_begin) <= @nMONTH3 
	and CJ.LINK_DEP = @DEP_LINK
	and CJ.LINK_PAYS = (select top 1 link from pays where object = 3 and way_calc = 5)
GROUP BY
	Month(CJ.PERIOD_BEGIN)

INSERT INTO #RES2 SELECT '1021', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON < @nMONTH1
INSERT INTO #RES2 SELECT '1023', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH1
INSERT INTO #RES2 SELECT '1024', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH2
INSERT INTO #RES2 SELECT '1025', SUM(SUMMA), 0, 0, '' FROM #SALARY_SUM1 WHERE MON = @nMONTH3

---   
DELETE #PLAT

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.06', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''
	
INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '10163', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH1), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '10164', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2), 
		'', 
		0   

INSERT INTO #RES2 (CODE_STR, BASE_FSS, CNT_FSS, CNT_FEM)
SELECT '10165', 
		(SELECT ISNULL(SUM(SUMMA),0) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3), 
		'', 
		0   

---    
SELECT  VID,
		Y , 
		MON ,
		NUMBER	
INTO #PLAT_PP1
FROM #PLAT 
GROUP  BY VID , Y , MON, NUMBER

DROP TABLE #PLAT

BEGIN 
	declare @Cur_1 cursor , @VID1 tinyint , @Y1 INT, @MON1 TINYINT, @NUMBER1 VARCHAR(10)

	SET @Cur_1 = CURSOR FORWARD_ONLY
	FOR 
		select VID, Y, MON, NUMBER from #PLAT_PP1 order by VID, Y, MON, NUMBER
	OPEN @Cur_1
	FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	
	WHILE (@@fetch_status <> -1)
	BEGIN
		
		IF (@@fetch_status <> -2)
		BEGIN	
			if  @Y1 = @nYEAR and @MON1 = @nMONTH1
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '10163' 

			if  @Y1 = @nYEAR and @MON1 = @nMONTH2
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '10164'

			if  @Y1 = @nYEAR and @MON1 = @nMONTH3
				UPDATE #RES2
					set NUM_PP = (case when NUM_PP is null or NUM_PP= '' then ltrim(RTRIM(@NUMBER1)) else ltrim(RTRIM(NUM_PP))+','+ ltrim(RTRIM(@NUMBER1)) end )
				where code_str = '10165'				

		end
		FETCH NEXT FROM @Cur_1 INTO @VID1, @Y1, @MON1, @NUMBER1
	end

CLOSE @Cur_1
DEALLOCATE @Cur_1

END 

drop table #PLAT_PP1

-- 8

INSERT INTO #RES2
SELECT '1101', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10),0),	
	0, ''

INSERT INTO #RES2
SELECT '1102', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 10 AND [STATUS] = 3),0),	
	0, ''	
	
INSERT INTO #RES2
SELECT '1104', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11),0),	
	0, ''

INSERT INTO #RES2
SELECT '1105', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 11 AND [STATUS] = 3),0),	
	0, ''		

INSERT INTO #RES2
SELECT '1107', 
	ISNULL((SELECT SUM(SUMMA) FROM #ATR_4FSS WHERE F4FSS = 12),0),
	ISNULL((SELECT SUM(CNT_DAYS) FROM #ATR_4FSS WHERE F4FSS = 12),0),	
	0, ''

DECLARE  @SPO4 INT
SELECT @SPO4 = (SELECT distinct LINK FROM dbo.SA_SZV4_SPR WHERE code = '4' AND spr_code = 'SPO_USL_TRUDA' )




-----    
--2. 10
select [KOL_ALL] = SUM(S.NUM_STAKE),
		[KOL_SPO_ALL] = SUM(CASE WHEN S.COD_SPO_USL_TRUD IS NOT NULL THEN S.NUM_STAKE ELSE 0 END ),
		[KOL_SPO_3] =  SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD = @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) ,	   
		[KOL_SPO_4] = SUM(CASE WHEN (ISNULL(S.COD_SPO_USL_TRUD, 0) <> 0 
							AND S.COD_SPO_USL_TRUD <> @SPO4 
							)  
					   THEN  S.NUM_STAKE 
					   ELSE 0 END) 	  
	
INTO 
	#STAF_ALL
from 
	dbo.staff s inner join dbo.staff_head sh on s.link_up = sh.LINK
where 	
	sh.DEP_LINK = @DEP_LINK
	and @vardEnd between s.date_begin and s.date_end 




INSERT INTO #RES2 SELECT '100103', KOL_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '100104', KOL_SPO_ALL, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '100105', KOL_SPO_3, 0, 0, '' FROM #STAF_ALL 
INSERT INTO #RES2 SELECT '100106', KOL_SPO_4, 0, 0, '' FROM #STAF_ALL 


/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -115, @Table_Razd1


DROP TABLE #RES2
DROP TABLE #SPR_ESN
DROP TABLE #ATR_4FSS
DROP TABLE #DGH_FAKT_BASE
DROP TABLE #SALARY_SUM2
DROP TABLE #SPR_ESN1
DROP TABLE #SPR_ESN2
--DROP TABLE #SPR_ESN1KATEG3
--DROP TABLE #SPR_ESN2KATEG3
DROP TABLE #SPR_ESN1Res
DROP TABLE #SPR_ESN2Res
DROP TABLE #RAZD31
DROP TABLE #DGH_FAKT_BASE2
DROP TABLE #SALARY_SUM
DROP TABLE #SALARY_SUM1
DROP TABLE #TRAVM_LGOTY
DROP TABLE #TABLE6







GO


GRANT EXECUTE ON dbo.[RSA_4FSS_20032015_PREPARE] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SPR_SZP_REP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SPR_SZP_REP]

GO
CREATE PROC dbo.SS_SPR_SZP_REP 
	@varKSdDate1 DATETIME, /* */
	@varKSdDate2 DATETIME, /* */
	@Date1 datetime,
	@LINK_EMPL int = NULL, /**/
	@cNum_SPR varchar(20),	/* */
	@Link_GR_PAY int = null	/* */

	
AS
BEGIN
declare @DEP_LINK int,
		@Date_3mAGO datetime,
		/*@LINK_EMPL INT ,  /**/ */
		/*@LINK_PERSON INT , /* */*/
		@varKSnYear INT
exec dbo.xd_whats_zb @DEP_LINK output		
CREATE TABLE #EMPLS(LINK_EMPL INT, PERS_LINK INT, SYST_PAY TINYINT)

if @Date1 = dbo.DateEndOfMonth(@Date1)  
begin
	set @Date_3mAGO = dbo.DateBeginOfMonth(dateadd(MONTH, - 2, @Date1))	
end
else 
begin
	set @Date_3mAGO = dbo.DateBeginOfMonth(dateadd(MONTH, - 3, @Date1))	
end

if isnull(@LINK_EMPL,0) > 0
BEGIN
	INSERT INTO #EMPLS (PERS_LINK, LINK_EMPL, SYST_PAY)
	SELECT PERS_LINK, LINK, SYST_PAY FROM dbo.EMPL A
	WHERE 
		DEP_LINK = @DEP_LINK
		AND EXISTS ( SELECT * FROM dbo.EMPL E WHERE E.LINK = @LINK_EMPL AND E.PERS_LINK = A.PERS_LINK)
	
END

SELECT DISTINCT E.PERS_LINK INTO #PERS FROM #EMPLS E1 INNER JOIN dbo.EMPL E ON E1.LINK_EMPL = E.LINK
	
DECLARE @DEP_NAME VARCHAR(254), @DEP_FN VARCHAR(254), @INN VARCHAR(20), @KPP VARCHAR(20), @OKPO VARCHAR(40),@NOM_PF VARCHAR(20)	
SELECT TOP 1 @DEP_NAME = NAME, @DEP_FN = FULL_NAME, @INN = INN, @KPP = KPP , @OKPO = OKPO, @NOM_PF = PFNUMBER FROM dbo.DEPARTMENTS WHERE LINK = @DEP_LINK

--==========================================================
CREATE TABLE #RES(
	ORD TINYINT,
	LINK_FACE INT,
	[YEAR] int, 
	[MONTH] int,
	MONTH_NAME VARCHAR(20), 
	WORK NUMERIC(18,2),
	NORM NUMERIC(18,2),
	COMMENT varchar(1000), 
	SUMMA NUMERIC(20, 2),
	qprem numeric(20,2)
)

DECLARE @months_ex table (y int, m int, mname varchar(15))

DECLARE @y int
set @y =year(@varKSdDate1)

insert into @months_ex (y,m,mname)
select y,m,mname from DBO.months_ex(@varKSdDate1,@varKSdDate2)

--    
declare @qprem_sum numeric(18,2)

CREATE TABLE #QPREM (month_end int,year_end int, date1 datetime,date2 datetime, summa numeric(18,2) )
insert into #QPREM 
select j.month_end, j.year_end, j.date1, j.date2, sum(j.summa)
from
	#PERS as E
	inner join dbo.empl em  on EM.PERS_LINK = E.PERS_LINK
	inner join 	dbo.S_J_C_Short j on (J.LINK_EMPL = EM.LINK OR EM.PERS_LINK = J.LINK_FACE)
	inner join dbo.PAYS_REF PR on PR.LINK_PAYS = j.LINK_PAYS
where
	em.link = @LINK_EMPL
	and 
	PR.LINK_GROUPS = @Link_GR_PAY
	AND
	(year(j.date1) * 100 + month(j.date1)) between (year(@varKSdDate1) *100 +month(@varKSdDate1)) AND (year(@varKSdDate2) *100 + month(@varKSdDate2))
	AND
	(year(j.date2) * 100 + month(j.date2)) between (year(@varKSdDate1) *100 +month(@varKSdDate1)) AND (year(@varKSdDate2) *100 + month(@varKSdDate2))
	AND
	j.date2 = (select max(date2) from dbo.S_J_C_Short j 
									where e.PERS_LINK = J.LINK_FACE 
									and PR.LINK_PAYS = j.LINK_PAYS
									AND
										(year(j.date1) * 100 + month(j.date1)) between (year(@varKSdDate1) *100 +month(@varKSdDate1)) AND (year(@varKSdDate2) *100 + month(@varKSdDate2))
									AND
										(year(j.date2) * 100 + month(j.date2)) between (year(@varKSdDate1) *100 +month(@varKSdDate1)) AND (year(@varKSdDate2) *100 + month(@varKSdDate2))
									AND
										J.TYP_OPER = 1
									AND
										J.LINK_DEP = @DEP_LINK
									and J.WAY_CALC in (6,7)
									)
	AND
	J.TYP_OPER = 1
	AND
	J.LINK_DEP = @DEP_LINK
	and J.WAY_CALC in (6,7)
group by
	j.month_end,j.year_end, j.date1, j.date2





INSERT INTO #RES
SELECT ORD = ROW_NUMBER() OVER (PARTITION BY a.PERS_LINK ORDER BY a.y, a.m),
		LINK_FACE = a.PERS_LINK,
		[YEAR]= a.y, [MONTH] = a.m, MONTH_NAME = a.mname,
		WORK = sum(a.WORK),
		a.NORM,
		a.COMMENT,
		a.SUMMA,
		a.qprem
FROM 	
	(SELECT
		--ORD = ROW_NUMBER() OVER (PARTITION BY E.PERS_LINK ORDER BY MM.y, MM.m),
		E.PERS_LINK,
		MM.y, MM.m, MM.mname,
		work = 	MAX(
					(CASE WHEN e.SYST_PAY = 1 THEN 
					dbo.SA_GET_EMPL_WD (e.LINK_EMPL, 0, DEFAULT, dbo.ConvertDMY2Date(1,MM.m,MM.y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MM.m,MM.y)), DEFAULT, 0)
					ELSE 
					dbo.SA_GET_EMPL_WH (e.LINK_EMPL, 0, DEFAULT,  dbo.ConvertDMY2Date(1,MM.m,MM.y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MM.m,MM.y)), DEFAULT, 0)
					END)
					),
		NORM =	MAX(
					(CASE WHEN e.SYST_PAY = 1 THEN 
					dbo.NORM_DAY_DH (e.LINK_EMPL,  dbo.ConvertDMY2Date(1,MM.m,MM.y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MM.m,MM.y)))
					ELSE 
					dbo.NORM_HOUR_DH (e.LINK_EMPL,  dbo.ConvertDMY2Date(1,MM.m,MM.y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MM.m,MM.y)))
					END)
					),
		COMMENT   =  MAX(
						dbo.SA_GET_EMPL_NWD_COMMENT (e.LINK_EMPL,  DEFAULT,  dbo.ConvertDMY2Date(1,MM.m,MM.y), dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MM.m,MM.y)))
						),
		summa = MAX(ISNULL(SUMMA,0)),
		qprem = CAST( 0 AS numeric(18,2))
		
	from 	
		@months_ex MM
		INNER JOIN #EMPLS E ON 1=1
		LEFT JOIN 
			(SELECT 
				PERS_LINK = ISNULL(EM.PERS_LINK,JC.PERS_LINK),
				y, m,
				SUMMA = SUM(JC.SUMMA)
			FROM
				@months_ex M
				INNER JOIN dbo.CALCULATE_JURNAL JC ON M.y = YEAR(JC.PERIOD_BEGIN) AND M.m = MONTH(JC.PERIOD_BEGIN) 
				INNER JOIN dbo.PAYS P ON P.LINK = JC.LINK_PAYS
				INNER JOIN #EMPLS EM ON (EM.LINK_EMPL = JC.LINK_EMPL OR EM.PERS_LINK = JC.PERS_LINK)
			WHERE
				JC.LINK_DEP = @DEP_LINK
				AND EXISTS (SELECT * FROM dbo.PAYS_REF PR WHERE PR.LINK_GROUPS = @Link_GR_PAY AND PR.LINK_PAYS = JC.LINK_PAYS)			
				AND P.[OBJECT] = 1
				AND P.WAY_CALC not in (13, 14, 15, 6, 7) 
			group by
				ISNULL(EM.PERS_LINK,JC.PERS_LINK), y, m
			) T ON MM.y = T.y AND MM.m = T.M AND E.PERS_LINK = T.PERS_LINK
	GROUP BY
		E.PERS_LINK, MM.y, MM.m, MM.mname, E.SYST_PAY, E.LINK_EMPL) as a
GROUP BY a.PERS_LINK,a.y,a.m,a.mname,
		  a.NORM,a.COMMENT,a.SUMMA,a.qprem

--      3 
declare @Count_rows3 int,
		@Count_rows2 int,
		@Count_rows1 int,
		@SUMMA1 NUMERIC(20, 2),
		@SUMMA2 NUMERIC(20, 2),
		@SUMMA3 NUMERIC(20, 2),
		@DF1  NUMERIC(18, 2),
		@DF2  NUMERIC(18, 2),
		@dF3  NUMERIC(18, 2),
		@DR1  NUMERIC(18, 2),
		@DR2  NUMERIC(18, 2),
		@dR3  NUMERIC(18, 2),
		@SR_SUM_3MONTH NUMERIC(20, 2),
		@QPREM_SUMM NUMERIC(20,2),
		@QPREM_MON1 INT,
		@QPREM_MON2 INT,
		@QPREM_MON3 INT,
		@QPREM_S1 NUMERIC(20, 3), 
		@QPREM_S2 NUMERIC(20, 3),
		@QPREM_S3 NUMERIC(20, 3)

if @Date1 = dbo.DateEndOfMonth(@Date1)  
	begin	
		set @Count_rows3 = (select count(*) from #RES)
		set @Count_rows2 = (@Count_rows3 - 1)
		SET @Count_rows1 = (@Count_rows3 - 2)
	end
else 
	begin
		set @Count_rows3 = ((select count(*) from #RES)-1)
 		set @Count_rows2 = (@Count_rows3 - 1)
		SET @Count_rows1 = (@Count_rows3 - 2)
 	end

--1.      3  
SET @DF1 = (SELECT WORK FROM #RES WHERE ORD = @Count_rows1)
SET @DF2 = (SELECT WORK FROM #RES WHERE ORD = @Count_rows2)
SET @DF3 = (SELECT WORK FROM #RES WHERE ORD = @Count_rows3)

--2.      3 
SET @DR1 = (SELECT NORM FROM #RES WHERE ORD = @Count_rows1)
SET @DR2 = (SELECT NORM FROM #RES WHERE ORD = @Count_rows2)
SET @DR3 = (SELECT NORM FROM #RES WHERE ORD = @Count_rows3)

-- 3.           
if @Date1 = dbo.DateEndOfMonth(@Date1)  
	begin	
	   set @QPREM_SUMM = isnull((select Sum(summa) from #QPREM where month(date2) = convert( int ,(select  max([month]) from #RES  where [year] = year(@Date1)and [month] = (select  month(max(date2)) from #QPREM  )))),0)
	   set @QPREM_MON3 = convert( int ,(select  max([month]) from #RES  where [year] = year(@Date1) and [month] = (select  month(max(date2)) from #QPREM  )))
	   set @QPREM_MON2 = @QPREM_MON3 - 1 
	   set @QPREM_MON1 = @QPREM_MON3 - 2 	
	end
else 
	begin
	   set @QPREM_SUMM = isnull((select sum(summa) from #QPREM where month(date2) = convert( int ,(select  max([month]-1) from #RES  where [year] = year(@Date1) and [month] = (select  month(max(date2)) from #QPREM  )))),0)
	   set @QPREM_MON3 = convert( int ,(select  max([month]-1) from #RES  where [year] = year(@Date1) and [month] = (select  month(max(date2)) from #QPREM  )))	
 	   set @QPREM_MON2 = @QPREM_MON3 - 1 
 	   set @QPREM_MON1 = @QPREM_MON3 - 2 
 	end


--     
IF ISNULL((@dR1 + @dR2 + @dR3),0)> 0
	begin
		SET @QPREM_S1  = isnull(((@QPREM_SUMM / (@dR1 + @dR2 + @dR3)) * @dR1),0)
	end	
ELSE 
	BEGIN
		SET @QPREM_S1 = isnull((@QPREM_SUMM * @dR1) ,0) 
	END	
--     
IF ISNULL((@dR1 + @dR2 + @dR3),0)> 0
	begin
		SET @QPREM_S2  = isnull(((@QPREM_SUMM / (@dR1 + @dR2 + @dR3)) * @dR2),0)	
	end	
ELSE 
	BEGIN
		SET @QPREM_S2 = isnull((@QPREM_SUMM * @dR2) ,0) 
	END	
--     
IF ISNULL((@dR1 + @dR2 + @dR3),0)> 0
	begin
		SET @QPREM_S3  = isnull(((@QPREM_SUMM / (@dR1 + @dR2 + @dR3)) * @dR3),0)	
	end	
ELSE 
	BEGIN
		SET @QPREM_S3 = isnull((@QPREM_SUMM * @dR3) ,0) 
	END	
--   -      ,     
update #RES 
	set SUMMA =  case when SUMMA = 0 then 0 else (SUMMA + @QPREM_S1) end
from #RES where [month] = @QPREM_MON1 and [year] = year(@Date1)
update #RES 
	set SUMMA =  case when SUMMA = 0 then 0 else (SUMMA + @QPREM_S2) end
from #RES where [month] = @QPREM_MON2 and [year] = year(@Date1)
update #RES 
	set SUMMA =  case when SUMMA = 0 then 0 else  (SUMMA + @QPREM_S3) end 
from #RES where [month] = @QPREM_MON3 and [year] = year(@Date1)
---

--4.   3  		
SET @SUMMA1 = (SELECT SUMMA FROM #RES WHERE ORD = @Count_rows1)
SET @SUMMA2 = (SELECT SUMMA FROM #RES WHERE ORD = @Count_rows2)
SET @SUMMA3 = (SELECT SUMMA FROM #RES WHERE ORD = @Count_rows3)

--       3       

if  isnull ((@dF1 + @dF2 + @dF3) , 0  ) > 0 AND ISNULL((@dR1 + @dR2 + @dR3) , 0) > 0 AND  ISNULL( (@SUMMA1 + @SUMMA2 + @SUMMA3),0) > 0 
	begin
		SET @SR_SUM_3MONTH  = (((@SUMMA1 + @SUMMA2 + @SUMMA3)/ (@dF1 + @dF2 + @dF3)) * (@dR1 + @dR2 + @dR3)) /3	
	end
else 
	BEGIN 
		IF ISNULL((@SUMMA1 + @SUMMA2 + @SUMMA3),0) > 0
			begin
				set @SR_SUM_3MONTH = (@SUMMA1 + @SUMMA2 + @SUMMA3) / 3 
			end	
		ELSE
			BEGIN  	
				set @SR_SUM_3MONTH = 0
			end	
	end
---
declare @work_date datetime
set @work_date = (select workdate from user_info)
------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------
SELECT	RR.*,
	[NUM_SPR]	= @cNum_SPR,
	[fio] 		= KU_EM.FIO,
	[date_beg] 	= KU_EM.DATE_BEGIN,
	[PERS_INN]	= KU_EM.INN,
	[subdiv] 	= KU_EM.SUBDIV_NAME,
	[link] 		= D.LINK,
	[dep_name] 	= D.FULL_NAME,
	[dep_inn] 	= case
				WHEN D.INN IS NOT NULL THEN D.INN
				ELSE NULL
			  end,
	[dep_buhph]	= (SELECT TOP 1 PHONE FROM DEPARTMENT_FACES WHERE LINK_UP = D.LINK AND NAME LIKE '% %'),
	[dep_kadph]	= (SELECT TOP 1 PHONE FROM DEPARTMENT_FACES WHERE LINK_UP = D.LINK AND NAME LIKE '%. %'),
	[DATE_FROM] = @varKSdDate1 ,
	[DATE_THRU] = @Date1,
	[DATE_DOC] = Getdate()		  
	FROM	(
	SELECT	@LINK_EMPL as empl_link,
		R.LINK_FACE,
		R.MONTH_NAME,
		R.[YEAR],
		R.SUMMA AS NACH,
		@SR_SUM_3MONTH as SR_SUMM,
		r.work ,
		r.norm,
		r.COMMENT
	FROM	#RES R 
	) RR  left join dbo.ku_empl_placing_fn(@work_date) KU_EM
	ON RR.empl_link = KU_EM.LINK left join DEPARTMENTS D
	ON D.LINK = KU_EM.DEP_LINK left join department_accounts DA
	ON D.MAIN_LINK = DA.LINK
--=====================================================================

END

RETURN 0




GO


GRANT EXECUTE ON dbo.[SS_SPR_SZP_REP] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_RSV_1_15_PFR_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_RSV_1_15_PFR_PREPARE]
GO


CREATE PROCEDURE dbo.RSA_RSV_1_15_PFR_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20150101', @vardEnd datetime = '20151231', @variCol int, @variRow int, @variLSF int
AS

DECLARE @OUT_VAL NUMERIC(20), @START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @TFOMS_KT int

DECLARE --  
	@C3S NUMERIC(18,6), @C4S NUMERIC(18,6), @C5S NUMERIC(18,6), @C6S NUMERIC(18,6),
	@C3N NUMERIC(18,6), @C4N NUMERIC(18,6), @C5N NUMERIC(18,6), @C6N NUMERIC(18,6),
	@C3SS NUMERIC(18,6), @C4SS NUMERIC(18,6), @C5SS NUMERIC(18,6), @C6SS NUMERIC(18,6),
	@C3NS NUMERIC(18,6), @C4NS NUMERIC(18,6), @C5NS NUMERIC(18,6), @C6NS NUMERIC(18,6)	

select @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF


set @TFOMS_KT = (select  (case when TFOMS_KT = '' then '01' else TFOMS_KT end)  from dictionary_department where link = @DEP_LINK)

set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

DECLARE @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE),
	@nMONTH2 = MONTH(@START_DATE)+1,
	@nMONTH3 = MONTH(@START_DATE)+2

create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, FACE_GROUP TINYINT, I TINYINT, E TINYINT , SP VARCHAR(4))

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E, SP)
Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS,
	( CASE WHEN P.RESIDENT = 0 THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END ) AS FACE_GROUP,
	1,---   dbo.is_invalid(REF_PHYS_PERS,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,MONTH_BASE,@nYEAR))),
	F.ENVD,
	SP = isnull(s4.code,'')
from dbo.SA_ESN_VIEW(@nYEAR, @nMONTH3, @DEP_LINK, 0) S
	inner join PERSON P on S.REF_PHYS_PERS = P.link
	inner join dbo.SAL_SFIN F on F.LINK = S.LINK_VKR
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = S.SPECO  AND s4.spr_code = 'SPO_USL_TRUDA'
WHERE  WAY_CALC not in (5)

--  
INSERT INTO #SPR_ESN
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, FACE_GROUP, I, E)
SELECT
	MONTH(G.[DATE]) AS MONTH_BASE, GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK,
	( CASE WHEN P.RESIDENT = 0  THEN 3
		   WHEN YEAR(birthdate)<= 1966 THEN 1
		   WHEN YEAR(birthdate)>= 1967 THEN 2 END) AS FACE_GROUP ,
	1,---   dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@nYEAR))),
	F.ENVD
	
FROM
	DOCUMENTS_DGH G INNER JOIN DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join PERSON P on GT.PERS_LINK = P.link
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  not in (5)
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK


DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0)


CREATE TABLE #RES2(CODE_STR VARCHAR(10), C1 NUMERIC(18,2), C2 NUMERIC(18,2),  C3 NUMERIC(18,2), C4 NUMERIC(18,2), C5 NUMERIC(18,2), C6 NUMERIC(18,2), C7 NUMERIC(18,2), C8 NUMERIC(18,2))
/*
   "  ",    ,
       ()    .
*/

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @C1_PERIOD_BEG DATETIME, @C1_PERIOD_END DATETIME

SELECT @C1_PERIOD_BEG = @START_DATE,
	   @C1_PERIOD_END = @END_DATE
		
--------------
DECLARE @BDate datetime, @EndDate datetime, @EDate datetime, @NAvgCount int
SELECT @NAvgCount = COUNT(pers_link)
FROM
(
	SELECT DISTINCT E.pers_link
	FROM
		dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		P.DATE_BEGIN <= @C1_PERIOD_END
		and
		coalesce(U.DIS_DATE,'20990101') >= @C1_PERIOD_BEG
		And
		E.DEP_LINK = @DEP_LINK
	UNION
	Select DISTINCT
		DFG.link
	FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
	WHERE
		DGH.DATE1 = (
			Select max(DATE1)  from SALARY_REESTR_DGH as DGH0
					where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
						AND
						(
							ISNULL(DATE1, '19000101') between  @C1_PERIOD_BEG and @C1_PERIOD_END
							or ISNULL(DATE2, '20990101') between @C1_PERIOD_BEG and @C1_PERIOD_END
						)
					)
		And
		DGH.DEP_LINK = @DEP_LINK
) AS T		


--
INSERT INTO #RES2(CODE_STR, C1)
SELECT '1', ISNULL(@NAvgCount,0)



/******** **********/
SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

/*      */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))
--
UPDATE #RES2 SET C2 = ISNULL(@NAvgCount,0) WHERE CODE_STR = '1'
-- 2.     ,     
Declare @StBase2 table (link int)
Insert into @StBase2 (link)
select distinct link_pays from tax_ref where link_tax = (select top 1 link from pays where object = 3 and way_calc = 6)


--   
SELECT
	GT.PERS_LINK, MONTH(G.[DATE]) AS MONTH_BASE, F.ENVD, SUMMA_BASE = sum(GT.SUMMA_BASE)
INTO #DGH_FAKT_BASE
FROM
	dbo.DOCUMENTS_DGH G INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	INNER JOIN dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE
	FLAG_JC = 1
	AND GT.WAY_CALC  = 6
	AND YEAR(G.[DATE]) = @nYEAR
	AND MONTH(G.[DATE]) <= @nMONTH3
	AND LINK_DEP = @DEP_LINK
GROUP BY
	GT.PERS_LINK, MONTH(G.[DATE]), F.ENVD

SELECT  PERS_LINK, MONTH_BASE, SUMMA_BASE = SUM(SUMMA_BASE)
INTO #DGH_FAKT_BASE1
FROM #DGH_FAKT_BASE
GROUP BY PERS_LINK, MONTH_BASE

DECLARE @LINK_EKR213 INT
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @ESN_213 INT --      213 
SET @ESN_213 = dbo.SA_GET_OPTION_BY_CODE('ESN_OPTIONS_5')

------
CREATE TABLE #CALCULATE_JURNAL (LINK_PAYS INT, PERIOD_BEGIN DATETIME, LINK_DOC INT, PERS_LINK INT, LINK_VKR INT, LINK_EKR INT, LINK_EMPL INT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT , SPECO int)
INSERT INTO #CALCULATE_JURNAL (LINK_PAYS, PERIOD_BEGIN, LINK_DOC, PERS_LINK, LINK_VKR, LINK_EKR, LINK_EMPL, SUMMA,way_calc , SPECO)
SELECT CJ.LINK_PAYS, CJ.PERIOD_BEGIN, CJ.LINK_DOC, CJ.PERS_LINK, CJ.LINK_VKR, cj.LINK_EKR, CJ.LINK_EMPL, SUMMA = SUM(CJ.SUMMA), p.way_calc , SPECO
FROM dbo.CALCULATE_JURNAL CJ INNER JOIN dbo.PAYS P ON  CJ.LINK_PAYS = p.link
WHERE
	Year(period_begin) = @nYEAR
	and Month(period_begin) <= @nMONTH3
	and CJ.LINK_DEP = @DEP_LINK
GROUP BY
	cj.LINK_PAYS, cj.PERIOD_BEGIN, cj.LINK_DOC, cj.PERS_LINK, cj.LINK_VKR, cj.LINK_EKR, cj.LINK_EMPL, P.WAY_CALC,cj.SPECO


------	      
CREATE TABLE #PERS_INV (PERS_LINK INT)
--SELECT DISTINCT PERS_LINK
--INTO #PERS_INV
--FROM dbo.PERS_INVALID I
--WHERE COALESCE(I.DATE_BEGIN,@BYearDate) <= @EndYear AND COALESCE(I.DATE_END,@EndYear) >= @BYearDate

------	            
SELECT DISTINCT sd.LINK, DOP = (CASE when S.COD_POS_SPISOK is NOT NULL then 1 else 2 end) , SPO = isnull(s4.code,'')
INTO #EMPL_DT
FROM DBO.KU_EMPL_PLACING SD
	left JOIN (select * from STAFF WHERE dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR)) BETWEEN DATE_BEGIN AND DATE_END  ) S ON S.LINK_up = SD.STAFF_HEAD  AND dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@nMONTH3,@nYEAR )) BETWEEN S.DATE_BEGIN AND S.DATE_END
	LEFT JOIN SA_SZV4_SPR  s4 ON  s4.link = s.COD_SPO_USL_TRUD  AND s4.spr_code = 'SPO_USL_TRUDA'
	WHERE
		(S.COD_POS_SPISOK is NOT NULL OR S.COD_POS_SPISOK2 is NOT NULL)


--  #SALARY_SUM2
CREATE TABLE #SALARY_SUM_DATA (PERS_LINK INT, PERIOD_BEGIN DATETIME, SUMMA_ALL NUMERIC(18,2), SUMMA_NO NUMERIC(18,2), SUMMA_ALL_I NUMERIC(18,2), SUMMA_NO_I NUMERIC(18,2), SUMMA_ALL_E NUMERIC(18,2), SUMMA_NO_E NUMERIC(18,2), INV TINYINT
		/*,SUMMA_ALL_D1 NUMERIC(18,2)*/, SUMMA_NO_D1 NUMERIC(18,2)/*, SUMMA_ALL_D2 NUMERIC(18,2)*/, SUMMA_NO_D2 NUMERIC(18,2),
	SUM_NO_D1_O4 NUMERIC(18,2) ,SUM_NO_D1_B34 NUMERIC(18,2) ,SUM_NO_D1_B33 NUMERIC(18,2),SUM_NO_D1_B32 NUMERIC(18,2), SUM_NO_D1_B31 NUMERIC(18,2),
		SUM_NO_D2_O4 NUMERIC(18,2) ,SUM_NO_D2_B34 NUMERIC(18,2) ,SUM_NO_D2_B33 NUMERIC(18,2),SUM_NO_D2_B32 NUMERIC(18,2), SUM_NO_D2_B31 NUMERIC(18,2)
		)
--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV
		/*,SUMMA_ALL_D1*/, SUMMA_NO_D1/*, SUMMA_ALL_D2*/, SUMMA_NO_D2,SUM_NO_D1_O4,SUM_NO_D1_B34,SUM_NO_D1_B33, SUM_NO_D1_B32, SUM_NO_D1_B31,
		SUM_NO_D2_O4,SUM_NO_D2_B34,SUM_NO_D2_B33, SUM_NO_D2_B32, SUM_NO_D2_B31
	)
select
	E.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(CASE WHEN B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0 THEN SUMMA ELSE 0 END), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 AND (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) THEN SUMMA ELSE 0 END),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END,

	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D1 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 1 AND isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),

	----SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	SUMMA_NO_D2 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and ED.DOP = 2 and  isnull(SPO,'') ='' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='4'  THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D1_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =1 AND SPO ='3.1' THEN SUMMA ELSE 0 END),	
	SUM_NO_D2_O4 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B34 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.4' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B33 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.3' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B32 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.2' THEN SUMMA ELSE 0 END),
	SUM_NO_D2_B31 = SUM(CASE WHEN (B.LINK IS NULL OR CJ.LINK_EKR = @LINK_EKR213 AND @ESN_213 = 0) and CJ.LINK_EMPL = ED.link and DOP =2 AND SPO ='3.1' THEN SUMMA ELSE 0 END)

from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	LEFT JOIN @StBase2 B ON B.LINK = cj.LINK_PAYS
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = E.PERS_LINK
	LEFT JOIN #EMPL_DT ED ON ED.link = CJ.LINK_EMPL
where 	
	P.[OBJECT] = 1
GROUP BY
	E.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN


--
INSERT INTO #SALARY_SUM_DATA (PERS_LINK, PERIOD_BEGIN, SUMMA_ALL, SUMMA_NO, SUMMA_ALL_I, SUMMA_NO_I, SUMMA_ALL_E, SUMMA_NO_E, INV
		--,SUMMA_ALL_D1, SUMMA_NO_D1, SUMMA_ALL_D2, SUMMA_NO_D2
		)
select
	CJ.PERS_LINK,
	CJ.PERIOD_BEGIN,
	SUMMA_ALL = SUM(SUMMA),
	SUMMA_NO = SUM(SUMMA) - ISNULL((SELECT SUM(B1.SUMMA_BASE) FROM #DGH_FAKT_BASE1 B1 WHERE B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)),0), --     
	SUMMA_ALL_I = 0,
	SUMMA_NO_I = 0,
	SUMMA_ALL_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END),
	SUMMA_NO_E = SUM(CASE WHEN F.ENVD = 1 THEN SUMMA ELSE 0 END)  - ISNULL((SELECT SUM(B.SUMMA_BASE) FROM #DGH_FAKT_BASE B WHERE B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1),0),
	INV = CASE WHEN I.PERS_LINK IS NULL THEN 0 ELSE 1 END

	--SUMMA_ALL_D1 = SUM(CASE WHEN CJ.way_calc = 10 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D1 = 0,

	--SUMMA_ALL_D2 = SUM(CASE WHEN CJ.way_calc = 11 then  SUMMA ELSE 0 end ),
	--SUMMA_NO_D2 = 0
		
from
	#CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F on F.LINK = CJ.LINK_VKR
	INNER JOIN DBO.PERSON P1 ON P1.LINK = CJ.PERS_LINK
	--     
--	LEFT JOIN #DGH_FAKT_BASE B ON B.PERS_LINK = CJ.PERS_LINK AND B.MONTH_BASE = Month(CJ.PERIOD_BEGIN) AND B.ENVD = 1
	--   
--	LEFT JOIN #DGH_FAKT_BASE1 B1 ON B1.PERS_LINK = CJ.PERS_LINK AND B1.MONTH_BASE = Month(CJ.PERIOD_BEGIN)
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = CJ.PERS_LINK
where 	
	P.[OBJECT] = 1
GROUP BY
	CJ.PERS_LINK, I.PERS_LINK, CJ.PERIOD_BEGIN, P1.RESIDENT, p1.birthdate


/*
--    ,      
UPDATE D SET
	SUMMA_ALL_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL ELSE 0 END),
	SUMMA_NO_I = (CASE WHEN EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO ELSE 0 END),
	SUMMA_ALL_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_ALL_E ELSE 0 END),
	SUMMA_NO_E = (CASE WHEN NOT EXISTS (SELECT * FROM dbo.PERS_INVALID I1 WHERE I1.PERS_LINK = D.PERS_LINK AND dbo.DateEndOfMonth(PERIOD_BEGIN) BETWEEN ISNULL(I1.DATE_BEGIN,PERIOD_BEGIN) AND  ISNULL(I1.DATE_END,dbo.DateEndOfMonth(PERIOD_BEGIN))) THEN SUMMA_NO_E ELSE 0 END)
FROM #SALARY_SUM_DATA D
WHERE INV = 1 --    -  	
*/

--   
SELECT MON = Month(PERIOD_BEGIN),
	SUMMA_ALL = SUM(SUMMA_ALL), SUMMA_NO = SUM(SUMMA_NO),
	SUMMA_ALL_I = SUM(SUMMA_ALL_I), SUMMA_NO_I = SUM(SUMMA_NO_I),
	SUMMA_ALL_E = SUM(SUMMA_ALL_E), SUMMA_NO_E = SUM(SUMMA_NO_E),
	SUMMA_NO_D1 = SUM(SUMMA_NO_D1), SUMMA_NO_D2 = SUM(SUMMA_NO_D2),
	SUM_NO_D1_O4  = SUM(SUM_NO_D1_O4), SUM_NO_D1_B34 = SUM(SUM_NO_D1_B34),
	SUM_NO_D1_B33 = SUM(SUM_NO_D1_B33), SUM_NO_D1_B32 = SUM(SUM_NO_D1_B32), SUM_NO_D1_B31 = SUM(SUM_NO_D1_B31),
	SUM_NO_D2_O4  = SUM(SUM_NO_D2_O4), SUM_NO_D2_B34 = SUM(SUM_NO_D2_B34),
	SUM_NO_D2_B33 = SUM(SUM_NO_D2_B33), SUM_NO_D2_B32 = SUM(SUM_NO_D2_B32), SUM_NO_D2_B31 = SUM(SUM_NO_D2_B31)

INTO #SALARY_SUM2
FROM #SALARY_SUM_DATA
GROUP BY
	Month(PERIOD_BEGIN)

--
DROP TABLE #SALARY_SUM_DATA	

--          1
DECLARE @SUM_6 NUMERIC(18,2),@SUM_7 NUMERIC(18,2)

EXEC dbo.SA_BUH_REST @SUM = @SUM_6 OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @START_DATE, @ACC_LINE = '%303.09%', @KAU_CODE = 'kau_RSV1_s1'
EXEC dbo.SA_BUH_REST @SUM = @SUM_7 OUTPUT, @ACT_PAS = 1, @LINK_DEP = @DEP_LINK, @DATE = @START_DATE, @ACC_LINE = '%303.09%', @KAU_CODE = 'kau_RSV1_s2'

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '100',
	C3 = 0,
	0,0,
	6 = @SUM_6,
	7 = @SUM_7,
	C8 = 0

/* */
CREATE TABLE #PLAT (VID TINYINT, Y INT, MON TINYINT, SUMMA NUMERIC(18,2), Y_p INT, MON_p TINYINT, NUMBER VARCHAR(30))

EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.10', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE <> ''290'''

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '140',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and (Y_p >= 2014 OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 and Y_p>=2010 AND Y_p<=2013 AND Y_p <> 0),0),
	 0, 0,0, 0

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '141',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR  and MON = @nMONTH1  and (Y_p >= 2014 OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 and Y_p>=2010 AND Y_p<=2013 AND Y_p <> 0),0),
	 0, 0,0,0
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '142',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH2 and (Y_p >= 2014 OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2 and Y_p>=2010 AND Y_p<=2013 AND Y_p <> 0),0),
	 0, 0,0,0	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6, C7, C8)
SELECT '143',
	3 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y >= @nYEAR and MON = @nMONTH3 and (Y_p >= 2014 OR Y_p = 0 )),0),
	4 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 and Y_p>=2010 AND Y_p<=2013 AND Y_p <> 0),0),
	 0, 0,0,0
	
/*  (   2014)*/
DELETE #PLAT
EXEC dbo.ZP_SUM_PROV 
	@PERIOD_BEG = @BYearDate,
	@PERIOD_END = @end_date,
	@DEP_LINK = @DEP_LINK, 
	@sDT_ACC_LINE='_.303.11', 
	@sKT_ACC_LINE='_.304.05:_.201.11:_.201.21:_.201.27', 
	@sDT_EKR_FILTER='CODE > ''211'' AND CODE < ''290'''

UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '140'

UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH1 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '141'
UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH2 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '142'
UPDATE #RES2
SET C5 = ISNULL((SELECT SUM(SUMMA) FROM #PLAT WHERE Y = @nYEAR AND Y <> 0 AND MON = @nMONTH3 and Y_p < @nYEAR AND Y_p <> 0),0)
FROM #RES2
WHERE code_str = '143'

DROP TABLE #PLAT

--    ,     ,  -  . 7    24  2009 .  212-
--  2012       ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '200',
			
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '201',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))





-----  ,   ,     7  8    24  2009  212-
----- (       ,    ,
-----      ,        , ,
-----  ,   ,        ,
-----  ,    ,          )
-----    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '202',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)

-----

--,        
DECLARE @LIMIT NUMERIC(18,2)

SELECT
	@LIMIT  = MIN(S.PREDEL)
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	tarif =1
	and
	[DATE] =  (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT = ISNULL(@LIMIT,0)



--,        
DECLARE @LIMIT_OMS NUMERIC(18,2)

SELECT @LIMIT_OMS = MAX(S.PREDEL)
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
	
SET @LIMIT_OMS = ISNULL(@LIMIT_OMS,0)


--  ,        (%)
--   
--    2014         ,      " 1967"
DECLARE
	@PERCENT NUMERIC(18,2),
	--    2014  
	-- @PERCENT_N NUMERIC(18,2)  --
	@PERCENT_OMS NUMERIC(18,2), @IPERCENT_OMS NUMERIC(18,2)
	
SELECT
	@PERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT3 > 0
	
SET @PERCENT = ISNULL(@PERCENT,0)	


--
SELECT @PERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0

--
SELECT @IPERCENT_OMS = S.PERCENT1
FROM
	dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3
WHERE
	predel = @LIMIT_OMS
	and tarif =3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 3 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT_OMS
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0	

SET @PERCENT_OMS = ISNULL(@PERCENT_OMS,0)	
SET @IPERCENT_OMS = ISNULL(@IPERCENT_OMS,0)

--  
---  
DECLARE @IPERCENT NUMERIC(28,2)
SELECT @IPERCENT = S.PERCENT3
FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel = @LIMIT
	and tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel = @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERCENT = ISNULL(@IPERCENT,0)

	
---     2014  
/*   */
-----

SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 1  GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2
FROM
	#SPR_ESN1 T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '203',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))

--    -  
-- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '205',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL((SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))


DECLARE @PERC1 NUMERIC(28,2), @IPERC1 NUMERIC(28,2)
--  
SELECT @PERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 1
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @PERC1 = ISNULL(@PERC1,0)	
--  
SELECT @IPERC1 = S.PERCENT1

FROM
	dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6
WHERE
	predel > @LIMIT
	and
	tarif = 3
	and
	[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P ON S1.LINK_PAYS = P.LINK AND P.[OBJECT] = 3 AND P.WAY_CALC = 6 AND [DATE] < @END_DATE where 	s1.predel > @LIMIT
	 ORDER BY [DATE] DESC)
	AND
	S.PERCENT1 > 0
SET @IPERC1 = ISNULL(@IPERC1,0)	


---  ,    	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '206',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2) ,0)) * @PERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0))) * @PERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH1) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH2) ,0)) * @PERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2 WHERE M = @nMONTH3) ,0)) * @PERC1)/100	

update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '206' )) ,
	C4 = (c4 - (select c4 from #RES2 where code_str = '206' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '206' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '206' ))
from #RES2
where code_str = '205'



--SELECT * FROM #SPR_ESN WHERE  MONTH_BASE >= @nMONTH1 AND I = 1
--SELECT * FROM #SPR_ESN WHERE  MONTH_BASE >= @nMONTH1 AND I = 2

--   ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '207',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 		


--   ,   
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '208',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2 where summa != 0 and  M = @nMONTH3) ,0) 	
	
-----    
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '210',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL - SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
FROM #SALARY_SUM2		


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '211',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '212',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END INTO #SPR_ESN1M FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1M SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2M
FROM
	#SPR_ESN1M T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1M T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1M T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

	

/*---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '213',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2M WHERE M = @nMONTH3) ,0))
*/
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '214',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  AND I = 1) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 1 AND MONTH_BASE = @nMONTH3) ,0))	


--   ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '215',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 1 and MONTH_BASE = @nMONTH3) ,0) 


--    
/*
--   
 1.           -1       .
 2.        ,   .
 3.        ,   .
    ,      ,    .
*/
DECLARE @SALARY_OPTIONS_OPT6_1 INT
SET @SALARY_OPTIONS_OPT6_1 =  dbo.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT6_1')

------------------------------------------------------------------------------------
-----    2014 
	IF ISNULL(@PERCENT,0) > 0
	BEGIN
		--    	
		SELECT
			@C3S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '205'))
				) / (@PERCENT/100)	
			),

			@C3SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C3 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C3 ELSE 0 END)
					)) * @PERCENT/100
				)
			),

			@C4S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '205'))
				) / (@PERCENT/100)	
			),

			@C4SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C4 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C4 ELSE 0 END)
					)) * @PERCENT/100
				)
			),			
			
			@C5S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '205'))
				) / (@PERCENT/100)	
			),		

			@C5SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C5 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C5 ELSE 0 END)
					)) * @PERCENT/100
				)
			),					

			@C6S = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
					- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '205'))
				) / (@PERCENT/100)						
			),

			@C6SS = CONVERT(NUMERIC(18,2),
				(
					CONVERT(NUMERIC(18,6), SUM( -- 204 =
						(CASE WHEN CODE_STR = '200' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '201' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '202' THEN C6 ELSE 0 END)
						-(CASE WHEN CODE_STR = '203' THEN C6 ELSE 0 END)
					)) * @PERCENT/100
				)
			)	
			
		FROM #RES2
		WHERE
			CODE_STR IN ('200', '201', '202', '203' )

		IF @SALARY_OPTIONS_OPT6_1 = 1
		BEGIN
			UPDATE #RES2
			SET
				C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0)
						ELSE ISNULL(@C3SS,0)
					END,			
				C4 = ISNULL(@C4SS,0),
				C5 = ISNULL(@C5SS,0),
				C6 = ISNULL(@C6SS,0)
			WHERE
				CODE_STR = '205'
			
		END
------------------------------------------------------------------------------------
		--     
		
		--   
		
		IF @SALARY_OPTIONS_OPT6_1 = 3
		BEGIN
			UPDATE #RES2
			SET
				C3 = C3 + ISNULL(@C3S,0),
				C4 = C4 + ISNULL(@C4S,0),
				C5 = C5 + ISNULL(@C5S,0),
				C6 = C6 + ISNULL(@C6S,0)			
			WHERE
				CODE_STR = '201'
		END		
	
	END	

---    2014 
	--IF @SALARY_OPTIONS_OPT6_1 = 1
	--BEGIN
	--		UPDATE #RES2
	--		SET
	--			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
	--			C4 = ISNULL(@C4NS,0),
	--			C5 = ISNULL(@C5NS,0),
	--			C6 = ISNULL(@C6NS,0)
	--		WHERE
	--			CODE_STR = '251'
	--END


	--IF @SALARY_OPTIONS_OPT6_1 = 3
	--BEGIN
	--	UPDATE #RES2
	--	SET
	--		C3 = C3 + ISNULL(@C3N,0),
	--		C4 = C4 + ISNULL(@C4N,0),
	--		C5 = C5 + ISNULL(@C5N,0),
	--		C6 = C6 + ISNULL(@C6N,0)			
	--	WHERE
	--		CODE_STR = '212'
	--END		

--END		


IF ISNULL(@PERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C3 ELSE 0 END)*/
				) * @PERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '214')
			) / (@PERCENT_OMS/100)
		),
		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C3 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C3 ELSE 0 END)*/
				) * @PERCENT_OMS/100
			)
		),
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C4 ELSE 0 END)*/
				) * @PERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '214')
			) / (@PERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C4 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C4 ELSE 0 END)*/
				) * @PERCENT_OMS/100
			)
		),
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C5 ELSE 0 END)*/
				) * @PERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '214')
			) / (@PERCENT_OMS/100)
		),
		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C5 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C5 ELSE 0 END)*/
				) * @PERCENT_OMS/100
			)
		),		
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C6 ELSE 0 END)*/
				) * @PERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '214')
			) / (@PERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 215 =
					(CASE WHEN CODE_STR = '210' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '211' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '212' THEN C6 ELSE 0 END)
					/*-(CASE WHEN CODE_STR = '213' THEN C6 ELSE 0 END)*/
				) * @PERCENT_OMS/100
			)
		)					
	FROM #RES2
	WHERE
		CODE_STR IN ('210', '211', '212'/*, '213'*/)

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE
			CODE_STR = '214'
		
	END

	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			
		WHERE
			CODE_STR = '211'
	END		
END		




--->>>--->>>>>>>
	----- 
--->>>--->>>>>>>
--    ,     ,  -  . 7    24  2009 .  212-
--  2012       ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2000',
			
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END))
FROM #SALARY_SUM2		

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2010',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND I = 1 AND E = 0 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))


--	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 6 AND FACE_GROUP = 1 AND I = 1 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO - SUMMA_NO_I - SUMMA_NO_E) FROM #SALARY_SUM2 WHERE FACE_GROUP = 1 AND MON = @nMONTH1),0)),
/* DECLARE @Res float
SET @Res = 0
exec RSA_RSV_1_13_PFR_PREPARE @Res output, '', '20130401', '20130630', 2, 2, 170
select @Res 	
*/
-----  ,   ,     7  8    24  2009  212-
----- (       ,    ,
-----      ,        , ,
-----  ,   ,        ,
-----  ,    ,          )
-----    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2020',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,	
	
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)
	
----


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT ELSE 0 END INTO #SPR_ESN1I FROM #SPR_ESN WHERE WAY_CALC = 6 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1I SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M)) - @LIMIT ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 6 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 AND I = 2  GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2I
FROM
	#SPR_ESN1I T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1I T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1I T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1
--WHERE
--	(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) > 0


--    

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2030',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH3) ,0))

--    -  
-- 

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2050',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 ) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 6 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))


---  ,    	
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2060',
	CASE WHEN @nMONTH3 > 3 THEN
		(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I) ,0)) * @IPERC1)/100
	ELSE
		((CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE  M = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH3) ,0))) * @IPERC1)/100 	
	END,	
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH1) ,0)) * @IPERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH2) ,0)) * @IPERC1)/100,
	(CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2I WHERE M = @nMONTH3) ,0)) * @IPERC1)/100	


update #RES2
	set C3 = (c3 - (select c3 from #RES2 where code_str = '2060' )) ,
	C4 = (c4 - (select c4 from #RES2 where code_str = '2060' )),
	C5= (c5 - (select c5 from #RES2 where code_str = '2060' )),
	C6= (c6 - (select c6 from #RES2 where code_str = '2060' ))
from #RES2
where code_str = '2050'

--   ,    
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2070',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 AND I = 2 and  MONTH_BASE = @nMONTH3) ,0) 		

--   ,   

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2080',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and M = 1 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 2 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 3 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 4 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 5 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 6 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 7 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 8 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 9 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 10 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 11 AND M <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = 12 AND M <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN2I where summa != 0 and  M = @nMONTH3) ,0) 	
	
-----    
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2100',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))			
				WHEN 6 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))
				WHEN 9 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I - SUMMA_ALL_E ELSE 0 END))
				WHEN 12 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MON = 1 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 2 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 3 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 4 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 5 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 6 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 7 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 8 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 9 THEN SUMMA_ALL_I ELSE 0 END))				
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 10 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 11 THEN SUMMA_ALL_I ELSE 0 END))
					 + Convert(numeric(18,2),SUM(CASE WHEN MON = 12 THEN SUMMA_ALL_I ELSE 0 END))	 					 	 					 			 					
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH1 THEN SUMMA_ALL_I ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH2 THEN SUMMA_ALL_I ELSE 0 END)),
			 Convert(numeric(18,2),SUM(CASE WHEN MON = @nMONTH3 THEN SUMMA_ALL_I ELSE 0 END))
FROM #SALARY_SUM2		


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2110',
	
	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))			
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))			
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 1),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 2),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 3),0))		
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 4) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 4),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 5) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 5),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 6) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 6),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 7) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 7),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 8) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 8),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 9) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 9),0))					
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 10) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 10),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 11) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 11),0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = 12) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = 12),0))			
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH1),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH2),0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(DED_M) + SUM(INV_M) FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0) + ISNULL( (SELECT SUM(SUMMA_NO_I) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))

----  ,   ,     7  8    24  2009  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2120',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),0)
		WHEN 6 THEN
			CONVERT(numeric(18,2),0)
		WHEN 9 THEN
			CONVERT(numeric(18,2),0)
		WHEN 12 THEN
			CONVERT(numeric(18,2),0)
	END,
		
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0),
	CONVERT(numeric(18,2),0)


SELECT MON = 1, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END INTO #SPR_ESN1IM FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND MONTH_BASE <= 1 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 2, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 2 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 3, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 3 AND @nMONTH3 >= 3 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 4, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 4 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 5, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 5 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 6, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 6 AND @nMONTH3 >= 6 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 7, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 7 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 8, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 8 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 9, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 9 AND @nMONTH3 >= 9 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 10, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 10 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 11, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 11 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS
INSERT INTO #SPR_ESN1IM SELECT MON = 12, REF_PHYS_PERS, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M)) > @LIMIT_OMS THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - @LIMIT_OMS ELSE 0 END FROM #SPR_ESN WHERE WAY_CALC = 2 AND I = 2 AND  MONTH_BASE <= 12 AND @nMONTH3 >= 12 GROUP BY REF_PHYS_PERS

SELECT DISTINCT T.REF_PHYS_PERS, M.M, SUMMA = ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)
INTO #SPR_ESN2IM
FROM
	#SPR_ESN1IM T INNER JOIN dbo.months_ex(@BYearDate, @END_DATE) M ON 1=1
	LEFT JOIN #SPR_ESN1IM T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.MON = M.M
	LEFT JOIN #SPR_ESN1IM T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.MON = M.M - 1

/*---  ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2130',

	CASE @nMONTH3
		WHEN 3 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))	
		WHEN 6 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
		WHEN 9 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 9) ,0))	
		WHEN 12 THEN
			CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 1) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 2) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 3) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 4) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 5) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 6) ,0))	
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 7) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 8) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 9) ,0))			
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 10) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 11) ,0))
			+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = 12) ,0))										
	END,	
	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN2IM WHERE M = @nMONTH3) ,0))
*/
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2140',
	CASE WHEN @nMONTH3 > 3 THEN
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3  AND I = 2) ,0))
	ELSE
		CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0))
		+ CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))	
	END,	
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH1) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH2) ,0)),
	CONVERT(numeric(18,2),ISNULL( (SELECT SUM(SUMMA) FROM #SPR_ESN WHERE WAY_CALC = 3 AND I = 2 AND MONTH_BASE = @nMONTH3) ,0))	

--   ,        
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2150',
	CASE WHEN @nMONTH3 > 3 THEN
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 1 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 2 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 3 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 4 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 5 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 6 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 7 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 8 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 9 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 10 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 11 AND MONTH_BASE <= @nMONTH3
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = 12 AND MONTH_BASE <= @nMONTH3) T
			),0)
	ELSE
		ISNULL(
			(SELECT MAX(CNT)
			FROM
				(SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH1
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH2
				UNION SELECT CNT = count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH3) T
			),0)
	END,	
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where summa <> 0 and WAY_CALC = 3 AND I = 2 and MONTH_BASE = @nMONTH3) ,0) 

--   
/*
--   
 1.           -1       .
 2.        ,   .
 3.        ,   .
    ,      ,    .
*/

	--    	
	/*  2014  */	
	
IF ISNULL(@IPERCENT,0) > 0
BEGIN
	--    	
	SELECT
		@C3S = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C3 ELSE 0 END)
				)) * @IPERCENT/100
				- CONVERT(NUMERIC(18,6), (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '2050'))
			) / (@IPERCENT/100)	
		),
		@C3SS = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C3 ELSE 0 END)
				)) * @IPERCENT/100
			)
		),
		@C4S = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C4 ELSE 0 END)
				)) * @IPERCENT/100
				- CONVERT(NUMERIC(18,6),(SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '2050'))
			) / (@IPERCENT/100)	
		),
		@C4SS = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C4 ELSE 0 END)
				)) * @IPERCENT/100
			)
		),			
		@C5S = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C5 ELSE 0 END)
				)) * @IPERCENT/100
				- CONVERT(NUMERIC(18,6),(SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '2050'))
			) / (@IPERCENT/100)	
		),		
		@C5SS = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C5 ELSE 0 END)
				)) * @IPERCENT/100
			)
		),
		@C6S = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C6 ELSE 0 END)
				)) * @IPERCENT/100
				- CONVERT(NUMERIC(18,6), (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '2050'))
			) / (@IPERCENT/100)						
		),
		@C6SS = CONVERT(NUMERIC(18,2),
			(
				CONVERT(NUMERIC(18,6), SUM( -- 2040 =
					(CASE WHEN CODE_STR = '2000' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2010' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2020' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2030' THEN C6 ELSE 0 END)
				)) * @IPERCENT/100
			)
		)			
	FROM #RES2
	WHERE
		CODE_STR IN ('2000', '2010', '2020', '2030')

	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4SS,0) + ISNULL(@C5SS,0) + ISNULL(@C6SS,0) ELSE ISNULL(@C3SS,0) END,
			C4 = ISNULL(@C4SS,0),
			C5 = ISNULL(@C5SS,0),
			C6 = ISNULL(@C6SS,0)
		WHERE
			CODE_STR = '2050'
		
	END
	
	---     

	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN		
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3S,0),
			C4 = C4 + ISNULL(@C4S,0),
			C5 = C5 + ISNULL(@C5S,0),
			C6 = C6 + ISNULL(@C6S,0)			
		WHERE
			CODE_STR = '2010'
			
	END	
	
END	
	


IF ISNULL(@IPERCENT_OMS,0) > 0
BEGIN
	--   	
	SELECT
		@C3N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C3 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C3) FROM #RES2 WHERE CODE_STR = '2140')
			) / (@IPERCENT_OMS/100)
		),

		@C3NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140  =
					(CASE WHEN CODE_STR = '2100' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C3 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C3 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C3 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
		
		@C4N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C4 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C4) FROM #RES2 WHERE CODE_STR = '2140')
			) / (@IPERCENT_OMS/100)
		),
		@C4NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C4 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C4 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C4 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
		
		@C5N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C5 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C5) FROM #RES2 WHERE CODE_STR = '2140')
			) / (@IPERCENT_OMS/100)
		),

		@C5NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C5 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C5 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C5 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		),
				
		@C6N = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C6 ELSE 0 END)
				) * @IPERCENT_OMS/100
				- (SELECT SUM(C6) FROM #RES2 WHERE CODE_STR = '2140')
			) / (@IPERCENT_OMS/100)
		),
		@C6NS = CONVERT(NUMERIC(18,2),
			(
				SUM( -- 2140 =
					(CASE WHEN CODE_STR = '2100' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2110' THEN C6 ELSE 0 END)
					-(CASE WHEN CODE_STR = '2120' THEN C6 ELSE 0 END)
					---(CASE WHEN CODE_STR = '2130' THEN C6 ELSE 0 END)
				) * @IPERCENT_OMS/100
			)
		)			
	FROM #RES2
	WHERE
		CODE_STR IN ('2100', '2110', '2120'/*, '2130'*/)


	IF @SALARY_OPTIONS_OPT6_1 = 1
	BEGIN
		UPDATE #RES2
		SET
			C3 = CASE WHEN @nMONTH3 = 3 THEN ISNULL(@C4NS,0) + ISNULL(@C5NS,0) + ISNULL(@C6NS,0) ELSE ISNULL(@C3NS,0) END,
			C4 = ISNULL(@C4NS,0),
			C5 = ISNULL(@C5NS,0),
			C6 = ISNULL(@C6NS,0)
		WHERE
			CODE_STR = '2140'
		
	END

	--     
	IF @SALARY_OPTIONS_OPT6_1 = 3
	BEGIN
		UPDATE #RES2
		SET
			C3 = C3 + ISNULL(@C3N,0),
			C4 = C4 + ISNULL(@C4N,0),
			C5 = C5 + ISNULL(@C5N,0),
			C6 = C6 + ISNULL(@C6N,0)			
		WHERE
			CODE_STR = '2110'
	END	

END		

---------------
/********         1  58.3    24  2009 .  212-**********/
/******* 2.2*********/
---     ,     ,     7    24  2009 .  212-

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '220',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0) )
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)  + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '221',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D1) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 and SP = ''	


------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '282', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'224',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 and SP = ''	

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '225',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 and SP = ''	 and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10  and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)


/********         2  58.3    24  2009 .  212-**********/
/******* 2.3*********/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '230',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''		

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '231',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUMMA_NO_D2) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 and SP = ''	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '292', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'234',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 and SP = ''	

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '235',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	 and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 and SP = ''	and  MONTH_BASE = @nMONTH3) ,0)



/********2.4.                1***********/
/******* 2.4***    - ,    - 4  ******/
---     ,     ,     7    24  2009 .  212-

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '240',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'	


--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '241',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '4'



------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '243', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'244',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '4'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '245',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)


/********         1**********/
/******* 2.4****    - ,    - 3.4  *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '246',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '247',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '249', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'250',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.4'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '251',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)


/******* 2.4***    - ,    - 3.3  ******/
---     ,     ,     7    24  2009 .  212-

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '252',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '253',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'


------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '255', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'256',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10 AND SP = '3.3'



--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '257',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)


/********         1**********/
/******* 2.4****    - ,    - 3.2 *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '258',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '259',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '261', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'262',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.2'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '263',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)

/******* 2.4****    - ,    - 3.1 *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '264',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '265',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D1_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '267', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'268',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 10	 AND SP = '3.1'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '269',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 10	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)


/********2.4.                2***********/
/******* 2.4***    - ,    - 4  ******/
---     ,     ,     7    24  2009 .  212-

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2400',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'	



--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2410',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_O4) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '4'


------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '2430', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'2440',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '4'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2450',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '4' and  MONTH_BASE = @nMONTH3) ,0)


/********         2**********/
/******* 2.4****    - ,    - 3.4  *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2460',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2470',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B34) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '249', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'2500',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.4'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2510',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.4' and  MONTH_BASE = @nMONTH3) ,0)


/******* 2.4***    - ,    - 3.3  ******/
---     ,     ,     7    24  2009 .  212-

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2520',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	AND SP = '3.3'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2530',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B33) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 10	AND SP = '3.3'


------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '2550', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'2560',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11 AND SP = '3.3'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2570',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH1) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH2) ,0) ,
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.3' and  MONTH_BASE = @nMONTH3) ,0)


/********         2**********/
/******* 2.4****    - ,    - 3.2 *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2580',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2590',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B32) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'	

------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '2610', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'2620',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.2'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2630',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.2' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11 AND SP = '3.2' and  MONTH_BASE = @nMONTH3) ,0)

/******* 2.4****    - ,    - 3.1 *****/
---     ,     ,     7    24  2009 .  212-
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2640',
			CASE @nMONTH3
				WHEN 3 THEN
					 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
				WHEN 6 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
				WHEN 9 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
				WHEN 12 THEN
					Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
			END,			
			
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
			 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA_BASE ELSE 0 END)+ ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3),0))
			
FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	

--,  - - - :
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2650',
	
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 3 ),0))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 6 ),0))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 9 ),0))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON <= 12 ),0))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH1 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH2 ),0)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN DED_M + INV_M ELSE 0 END) + ISNULL( (SELECT SUM(SUM_NO_D2_B31) FROM #SALARY_SUM2 WHERE MON = @nMONTH3 ),0))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'	



------  ,   ,     7  8    24  2009  212-
--INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
--SELECT '2670', 0, 0, 0, 0


---***           
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT
	'2680',
	CASE @nMONTH3
		WHEN 3 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 3 THEN SUMMA ELSE 0 END))
		WHEN 6 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 6 THEN SUMMA ELSE 0 END))
		WHEN 9 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 9 THEN SUMMA ELSE 0 END))
		WHEN 12 THEN
			Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE <= 12 THEN SUMMA ELSE 0 END))
	END,	
	
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH1 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH2 THEN SUMMA ELSE 0 END)),
	 Convert(numeric(18,2),SUM(CASE WHEN MONTH_BASE = @nMONTH3 THEN SUMMA ELSE 0 END))

FROM #SPR_ESN
WHERE WAY_CALC = 11	 AND SP = '3.1'

--- ***  ,            (.)
INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '2690',

	CASE @nMONTH3
		WHEN 3 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 3 ) ,0)
		WHEN 6 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 6 ) ,0)		
		WHEN 9 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 9 ) ,0)		
		WHEN 12 THEN
			ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE <= 12 ) ,0)		
	END,

	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH1) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH2) ,0),
	ISNULL((SELECT count(DISTINCT ref_phys_pers) FROM #SPR_ESN where WAY_CALC = 11	 AND SP = '3.1' and  MONTH_BASE = @nMONTH3) ,0)

--select * from #RES2
---------------
/******** **********/

DECLARE @Date1M datetime, @Date2M datetime, @Date3M datetime

SELECT @BDate = @START_DATE, @EndDate = @END_DATE
SET @EDate = dateadd(year,1,convert(varchar, YEAR(@BDate))+'0101')

if @nMONTH3 =3
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0101')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0201')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0301')
end
if @nMONTH3 =6
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0401')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0501')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0601')
end
if @nMONTH3 =9
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0701')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0801')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'0901')
end
if @nMONTH3 =12
begin
	SET @Date1M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1001')
	SET @Date2M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1101')
	SET @Date3M = dateadd(year,0,convert(varchar, YEAR(@BDate))+'1201')
end

/*            ,   3.1 -3.2   */
/*    */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))

/*INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '331',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 0, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 0, DEFAULT))	

/*     */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@START_DATE, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))

INSERT INTO #RES2(CODE_STR, C3, C4, C5, C6)
SELECT '332',@NAvgCount,
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date1M, @Date2M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date2M, @Date3M, @DEP_LINK, 0, 1, 1, DEFAULT)),
			convert(numeric(18,0), dbo.sa_ssch_empls(@Date3M, @END_DATE, @DEP_LINK, 0, 1, 1, DEFAULT))	

*/

/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferClear
EXEC dbo.BufferPush -116, @Table_Razd1

DROP TABLE #RES2

GO


GRANT EXECUTE ON dbo.[RSA_RSV_1_15_PFR_PREPARE] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BB_EXPORT_PP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BB_EXPORT_PP]

GO

CREATE PROCEDURE dbo.BB_EXPORT_PP
	@cBuffId	varchar(30) = '',
	@cFormat	varchar(30) = ''

AS

DECLARE @iLinkedKBK	tinyint,
	@iGroupKBK	tinyint,
	
		@DATE_MAX	DATETIME,
		@COUNT_DOC	INT,
		@SUM_TOTAL	NUMERIC (28,4),
		@iCity int,
		@iCityP int
		

select @iCity = BANK_CITY from dbo.DOCUMENTS_PAY_OPTIONS
select @iCityP = BANK_CITY from dbo.DOCUMENTS_PAY_OPTIONS
	
set @iLinkedKBK = isnull(dbo.sa_get_option_by_code('NASTR_PAY_LINKED_KBK'),0)
set @iGroupKBK = isnull(dbo.sa_get_option_by_code('NASTR_PAY_GROUP_KBK'),0)

if left(@cFormat,2) = 'TX'
begin 
	DECLARE @iDepLink	int
	set @iDepLink = isnull(dbo.BK_GetDepZB(),dbo.GetOwnDepLink())

	--  2 (FROM)
	SELECT 	BUDG_LEVEL  = case D.BUH_TYPE WHEN 1 then cast(replace(B.CODE_EL,'0','') as char(1)) else '6' end,
			KOD_UBP 	= BUDG,
			NAME_UBP	= left(rtrim(D.prefix) + rtrim(D.FULL_NAME) + case when charindex('(',D.prefix,0) > 0 then ')' else '' end,2000),
			0 as link,
			0 as link_up,
			--    
			KOD_TOFK  = '0000',
			NAME_TOFK = space(2000)
			
	from dbo.DEPARTMENTS D
	left join dbo.KL_ADMIN_BS V WITH (NOLOCK) on V.LINK = D.VED_LINK
	left join dbo.KL_BUDG_TYPE B WITH (NOLOCK) on V.Link_Budg = B.LINK
	where D.LINK = @iDepLink


	--  3 (TO)
	SELECT 	KOD_TOFK  = TOFK.CODE,
			NAME_TOFK = TOFK.FULL_NAME,
			0 as link,
			0 as link_up,
			--    
			BUDG_LEVEL  = '00',
			KOD_UBP 	= '00000',
			NAME_UBP	= space(2000)
	from dbo.DEPARTMENTS D
	inner join dbo.TREASURY TOFK on D.TOFK_LINK = TOFK.LINK
	where D.LINK = @iDepLink

	--  4 (PP)
	IF exists(select * from dbo.DEPARTMENTS where LINK = @iDepLink AND BUH_TYPE < 4)
		SELECT  LINK 	= 0,
			LINK_UP	= 0,
			LS = space(11),
			[DATE]	= MAX(G.DATE),
			GUID_OTCH = space(36),
			KOD_DOC = '  ',
			VID_OTCH = '1',
			KOL		= COUNT(*),
			SUM_TOTAL	= SUM(G.SUMMA)
		FROM dbo.G_PROV G
		inner join dbo.BufferGetTableByID(@cBuffId) B on B.LINK = G.LINK
	else
		SELECT  LINK 	= 0,
			LINK_UP	= 0,
			LS = space(11),
			[DATE]	= '',
			GUID_OTCH = space(36),
			KOD_DOC = '  ',
			VID_OTCH = '1',
			KOL		= 0,
			SUM_TOTAL	= 0
		where 1>2
	
--	IF OBJECT_ID ('TEMPDB..#SMETA_EXPORT_PP') IS NOT NULL
--			EXECUTE ('DROP TABLE #SMETA_EXPORT_PP')

/*	SELECT 
		@DATE_MAX	=	MAX(G.DATE),
		@COUNT_DOC	=	COUNT(*),
		@SUM_TOTAL	=	SUM(G.SUMMA)
	FROM dbo.G_PROV G
	inner join dbo.BufferGetTableByID(@cBuffId) B on B.LINK = G.LINK
*/
/*
	SELECT  LINK 	= 0,
			LINK_UP	= 0,
			LS = space(11),
			[DATE]	= MAX(G.DATE),
			GUID_OTCH = space(36),
			KOD_DOC = '  ',
			KOL		= COUNT(*),
			SUM_TOTAL	= SUM(G.SUMMA)
--	INTO #SMETA_EXPORT_PP		
	FROM dbo.G_PROV G
	inner join dbo.BufferGetTableByID(@cBuffId) B on B.LINK = G.LINK
*/
/*	INNER JOIN dbo.DEPARTMENTS DEP ON (DEP.LINK = G.DEP
		AND DEP.BUH_TYPE < 4)
*/

/*
	IF @cFormat > 'TXPP120101'
		SELECT T1.*
		FROM #SMETA_EXPORT_PP	T1
		INNER JOIN dbo.DEPARTMENTS DEP ON (DEP.LINK = T.DEP
			AND DEP.BUH_TYPE < 4)
	ELSE
			SELECT T1.*
			FROM #SMETA_EXPORT_PP	T1

	DROP TABLE #SMETA_EXPORT_PP
*/
/*	END		
	ELSE
		SELECT  LINK 	= 0,
				LINK_UP	= 0,
				LS = space(11),
				[DATE]	= MAX(G.DATE),
				GUID_OTCH = space(36),
				KOD_DOC = '  ',
				KOL		= COUNT(*),
				SUM_TOTAL	= SUM(G.SUMMA)
		FROM dbo.G_PROV G
		inner join dbo.BufferGetTableByID(@cBuffId) B on B.LINK = G.LINK
*/
		--     --
		IF OBJECT_ID ('TEMPDB..#SMETA_EXPORT_PPT') IS NOT NULL
				EXECUTE ('DROP TABLE #SMETA_EXPORT_PPT')

		SELECT  LINK 		 = PP.LINK,
				LINK_UP		 = PP.LINK,
				NOM_PP		 = PP.NUMBER,
				DATE_PP		 = PP.DATE,
				SUM_PP		 = PP.SUMMA,
				VID_PL		 = CASE	PP.KIND WHEN ''     THEN '1'
											 WHEN '' THEN '2'
											 WHEN '' THEN '3'
											 WHEN '' 	   THEN '4'
											 ELSE '0' END,
				VID_OPER	= '01', 
				INN_PAY		= PP.S_INN,
				KPP_PAY		= PP.S_KPP,
				--CNAME_PAY	= PP.S_FNAME,
				CNAME_PAY	= dbo.BB_DEP_NAME_FOR_SHABLON(isnull(APO.SHABLON_D,APOD.SHABLON_D), default, PP.S_ACC_LINK),
				BS_PAY		= case PP.S_ACC_TYPE when 1 then PP.S_ACC_NUM else PP.S_SCH_K end,
				BIC_PAY		= PP.S_BIK,
				NAME_BIC_PAY = PP.S_BANK + case isnull(@iCity,0) when 1 then ' ' + isnull(PP.S_BANK_CITY,'') else '' end,
				BS_KS_PAY	= PP.S_SCH_B,
				INN_RCP		= PP.D_INN,
				KPP_RCP		= PP.D_KPP,
				NAME_RCP	= dbo.BB_DEP_NAME_FOR_SHABLON(CASE WHEN PPA.DOH_CODE is not null or PPA.OKATO is not null or P_REASON is not null or PPA.PERIOD is not null or TREBNUM is not null or TREBDATE is not null or P_TYPE is not null or STATUS is not null THEN isnull

(APO.SHABLON_N, APOD.SHABLON_N) else isnull(APO.SHABLON_S, APOD.SHABLON_S) end, default, PP.D_ACC_LINK),
		
				--NAME_RCP	= PP.D_FNAME,
				BS_RCP		= replace(isnull(PP.D_ACC_NUM,PP.D_SCH_K),'00000000000000000000',''),
				BIC_RCP		= PP.D_BIK,
				NAME_BIC_RCP = PP.D_BANK + case isnull(@iCityP,0) when 1 then ' ' + isnull(PP.D_BANK_CITY,'') else '' end,
				BS_KS_RCP	 = PP.D_SCH_B,
				DATE_PAY	= PP.SROK, 
				ORDER_PAY   = PP.[Order],
				PURPOSE = case PP.BK_IN_TGT when 1 then rtrim(replace(replace(replace(replace(replace(replace(
													case isnull(ltrim(rtrim(PP.BO_NUM)),'') when '' then rtrim(dbo.BB_DDELIM_DEL(isnull(APO.LS_FMT, APOD.LS_FMT),'<>')) else isnull(APO.LS_FMT, APOD.LS_FMT) end, 
													'<>', isnull(ltrim(rtrim(PP.BO_NUM)),'')),
													'<>', case PP.S_ACC_TYPE when 1 then '' else rtrim(PP.S_ACC_NUM) end),
													'<_>', '
	)'),												'<>',rtrim(dbo.BB_BK_FOR_SHABLON(PP.LINK, isnull(APO.SHABLON_BK, APOD.SHABLON_BK),isnull(APO.DELIM, APOD.DELIM),isnull(APO.DELIM5, APOD.DELIM5)))),
														--'<>',/*str(P.S_ACC_LINK) + '#' +*/ APO.SHABLON_BK /*+ '#' + APO.DELIM + '#' + APO.DELIM5*/),
													'<>',rtrim(ltrim(str(floor(PP.SUMMA))))),
													'<>', right('00' + rtrim(ltrim(str((PP.SUMMA - floor(PP.SUMMA)) * 100))),2))) + ' ' 
					else '' end + ltrim(replace(replace(PP.TARGETTEXT,char(10),''),char(13),'')) + ' ' + ltrim(dbo.PrintPlatporGetNDSString(PP.LINK,0)),

				PAYSTATUS	= PPA.[STATUS],
				KBK			= case when PPA.DOH_CODE is null and (PPA.TREBNUM is not null or PPA.ZERODATE = 1 or PPA.TREBDATE is not null or PPA.OKATO is not null)  then '0' 
								else rtrim(replace(PPA.DOH_CODE,'.','')) + PPA.SGU_CODE end,
				OKATO		= PPA.OKATO,
				OSNPLAT		= PPA.P_REASON,
				NAL_PER		= PPA.[PERIOD],
				NOM_DOK		= PPA.TREBNUM,
				DATE_DOK	= case PPA.ZERODATE when 1 then /*'00.00.0000'*/ '0' else CONVERT(CHAR(10),PPA.TREBDATE,104) end,
				TYPE_PL		= PPA.P_TYPE,
				GUID_FK		= '',
				KOD_TOFK_PAY = PP.S_KAZN_CODE,
				NAME_TOFK_PAY	 = PP.S_KAZN,
				KOD_UBP_PAY	= PP.S_BUDG,
				NAME_UBP_PAY = PP.S_FNAME,
				LS_PAY	 = case PP.S_ACC_TYPE when 1 then '' else PP.S_ACC_NUM end,
				LS_PAY_RCP	 = '',
				PRINT_KPP = str(PP.PRINT_KPP),	
				PRIZ = '1',
				--    
				DATE_PP_IN = PP.DATE,
				DATE_PP_SPS = PP.DATE,
				NOM_PL_PO = '',
				SHIFR_RD_PO = '',
				NOM_RD_PO = '',
				DATE_RD_PO = PP.DATE,
				SUM_OST_PO = '',
				OPER_PO = '',
				DATE_IN_TOFK = PP.DATE,
				[GUID] = '',
				UIN_CODE = LTRIM(RTRIM(ISNULL(ppA.UIN_CODE,'')))--CASE WHEN ISNULL(ppA.UIN_CODE,'') = '' THEN CAST('0' AS VARCHAR(20)) ELSE ppA.UIN_CODE END
				--ppA.UIN_CODE
		INTO #SMETA_EXPORT_PPT	
		FROM dbo.DOCUMENTS_PAY PP
		inner join dbo.BufferGetTableByID(@cBuffId) B on B.LINK = PP.LINK
		LEFT JOIN dbo.DOCUMENTS_PAY_ADD PPA on PP.LINK = PPA.LINK
		left join dbo.BB_PAY_ACC_OPTIONS APO on APO.LINK_ACC = PP.S_ACC_LINK
		left join dbo.DOCUMENTS_PAY_ACC_OPTIONS APOD on APOD.OSN = 1
		inner join dbo.DEPARTMENT_ACCOUNTS DA on APOD.LINK_ACC = DA.LINK and PP.S_ACC_TYPE = DA.TYPE

		SELECT *,
			NAME_RCP AS CNAME_UBP_RCP,
			NOM_DOK AS NUM_DOK
		FROM #SMETA_EXPORT_PPT
--	ELSE
-- NAME_UBP_RCP
--		SELECT * 
--		FROM #SMETA_EXPORT_PP

	DROP TABLE #SMETA_EXPORT_PPT

	if @iGroupKBK = 1
	--  5 (PPST)
		select  LINK = GP.LINK,
				LINK_UP = GP.LINK,
				--KBK = left(replace(isnull(KBK1.CODE, KBK.CODE),'.','') + SGU.CODE ,20),
				KBK = left(replace(isnull(KBK1.CODE, KBK.CODE),'.',''),20),
				TYPE_KBK = case isnull(KBK1.[TYPE], KBK.[TYPE]) when 1 then '10'
												 when 2 then '20'
												 when 4 then '31'
												 when 8 then '32'
												 else '' end,
				ADD_KLASS = ISNULL(DCL.CODE,''),
				ADD_KLASS_RCP = '',
				[SUM] = sum(GP2.SUMMA),
				DIR_SUM	= '1',
				MES_FIN	= right('0' + rtrim(ltrim(convert(char(2), month(GP.DATE)))),2),
				REZERV	= '',
				KOD_FIN = case D.BUH_TYPE when '1' then SA.cSource else '' end,
				--    
				NUM_BO = '',
				 = ''

		from G_PROV GP 
		inner join dbo.BufferGetTableByID(@cBuffId) B on GP.LINK = B.LINK
		inner join G_PROV1 GP1 on GP1.LINK_UP = GP.LINK
		INNER JOIN G_PROV2 GP2 ON GP2.LINK_UP = GP1.LINK
		INNER JOIN G_PROV_AP GPA1 ON GP2.LINK = GPA1.LINK_UP AND DB_KR = 1
		INNER JOIN dbo.DEPARTMENTS D on GP.DEP = D.LINK
		INNER JOIN dbo.S_ACCOUNTS SA on GPA1.ACCOUNT = SA.LINK
		LEFT JOIN KL_KBK KBK ON GPA1.KBK = KBK.LINK
		LEFT JOIN KL_KBK_LINKED KBKL ON KBKL.LINK = KBK.LINK and @iLinkedKBK = 1
		LEFT JOIN KL_KBK KBK1 ON KBKL.LINK_KBK = KBK1.LINK
		LEFT JOIN KOSGU SGU ON isnull(GPA1.EKR,GPA1.SGU) = SGU.LINK
		LEFT JOIN DOP_CLASSIF DCL ON GPA1.AP2 = DCL.LINK
		group by GP.LINK, right('0' + rtrim(ltrim(convert(char(2), month(GP.DATE)))),2), left(replace(isnull(KBK1.CODE, KBK.CODE),'.',''), 20), ISNULL(DCL.CODE,''), isnull(KBK1.[TYPE], KBK.[TYPE]),  D.BUH_TYPE, SA.cSource
	else
		select  LINK = GP2.LINK,
				LINK_UP = GP.LINK,
				--KBK = left(replace(isnull(KBK1.CODE, KBK.CODE),'.','') + SGU.CODE ,30),
				KBK = left(replace(isnull(KBK1.CODE, KBK.CODE),'.',''),30),
				TYPE_KBK = case isnull(KBK1.[TYPE], KBK.[TYPE]) when 1 then '10'
												 when 2 then '20'
												 when 4 then '31'
												 when 8 then '32'
												 else '' end,
				ADD_KLASS = ISNULL(DCL.CODE,''),
				ADD_KLASS_RCP = '',
				[SUM] = GP2.SUMMA,
				DIR_SUM	= '1',
				MES_FIN	= right('0' + rtrim(ltrim(convert(char(2), month(GP.DATE)))),2),
				REZERV	= '',
				KOD_FIN = case D.BUH_TYPE when '1' then SA.cSource else '' end,
				--    
				NUM_BO = '',
				 = ''

		from G_PROV GP 
		inner join dbo.BufferGetTableByID(@cBuffId) B on GP.LINK = B.LINK
		inner join G_PROV1 GP1 on GP1.LINK_UP = GP.LINK
		INNER JOIN G_PROV2 GP2 ON GP2.LINK_UP = GP1.LINK
		INNER JOIN G_PROV_AP GPA1 ON GP2.LINK = GPA1.LINK_UP AND DB_KR = 1
		INNER JOIN dbo.DEPARTMENTS D on GP.DEP = D.LINK
		INNER JOIN dbo.S_ACCOUNTS SA on GPA1.ACCOUNT = SA.LINK
		LEFT JOIN KL_KBK KBK ON GPA1.KBK = KBK.LINK
		LEFT JOIN KL_KBK_LINKED KBKL ON KBKL.LINK = KBK.LINK and @iLinkedKBK = 1
		LEFT JOIN KL_KBK KBK1 ON KBKL.LINK_KBK = KBK1.LINK
		LEFT JOIN KOSGU SGU ON isnull(GPA1.EKR,GPA1.SGU) = SGU.LINK
		LEFT JOIN DOP_CLASSIF DCL ON GPA1.AP2 = DCL.LINK	


end
else
begin

	select
		P.link, 
		P.link as link_up,
		BK_IN_TGT,
		S_ACC_LINK,
		DATE,

		[NUM_PP] = NUMBER,
		[DATE_PP] = DATE,
		[VID_PL] = 
			CASE	
				WHEN KIND = ''     THEN '1'
				WHEN KIND = '' THEN '2'
				WHEN KIND = '' THEN '3'
				WHEN KIND = '' 	 THEN '4'
				ELSE '0' 
			END,
		[SUM_PP] = summa, 
		[INN_PAY] = P.S_INN,
		[KPP_PAY] = case P.PRINT_KPP when 1 then P.S_KPP else '' end,
		[KOD_BP_PAY] = P.S_BUDG,
		[NAME_BP_PAY] = convert(varchar(120), ltrim(rtrim(S_FNAME))),
		[NAME_PAY] = dbo.BB_DEP_NAME_FOR_SHABLON(isnull(APO.SHABLON_D,APOD.SHABLON_D), default, P.S_ACC_LINK), 
		[NUM_LS_PAY] = S_ACC_NUM,
		[KOD_TOFK_PAY] = P.S_KAZN_CODE,
		[INN_OK_PAY] = case P2.INN_OK_PAY when 1 THEN P.S_KAZN_INN ELSE '' END,
		[NM_OK_PAY] = CASE P2.NM_OK_PAY when 1 THEN convert(varchar(120), P.S_KAZN) ELSE '' END,
		[RS_PAY] = case P.S_ACC_TYPE when 1 then P.S_ACC_NUM else P.S_SCH_K end,
		[BIK_PAY] = P.S_BIK,
		[BANK_PAY] = P.S_BANK + case isnull(@iCity,0) when 1 then ' ' + isnull(P.S_BANK_CITY,'') else '' end,
    	[FILIAL_PAY] = case P2.FILIAL_PAY when 1 THEN P.S_BANK_FILIAL ELSE '' END,
		[KS_PAY] = P.S_SCH_B,
		[INN_RCP]=D_INN,
		[KPP_RCP]= case P.PRINT_KPP when 1 then P.D_KPP else '' end,
		[NAME_RCP]=dbo.BB_DEP_NAME_FOR_SHABLON(CASE WHEN P1.DOH_CODE is not null or P1.OKATO is not null or P_REASON is not null or P1.PERIOD is not null or TREBNUM is not null or TREBDATE is not null or P_TYPE is not null or STATUS is not null THEN isnull(APO.

SHABLON_N, APOD.SHABLON_N) else isnull(APO.SHABLON_S, APOD.SHABLON_S) end, default, P.D_ACC_LINK),
		[INN_OK_RCP]= CASE P2.INN_OK_RCP WHEN 1 THEN P.D_KAZN_INN ELSE '' END,
		[NM_OK_RCP] = CASE P2.NM_OK_RCP WHEN 1 THEN P.D_FNAME ELSE '' END,
		[RS_RCP] = case P.D_ACC_TYPE when 1 then P.D_ACC_NUM else P.D_SCH_K end,
		[LS_RCP] = case P.D_ACC_TYPE when 1 then '' else P.D_ACC_NUM end,
		[BIK_RCP] = P.D_BIK,
		[BANK_RCP]= P.D_BANK + case isnull(@iCityP,0) when 1 then ' ' + isnull(P.D_BANK_CITY,'') else '' end,
		[FILIAL_RCP]= CASE P2.FILIAL_RCP when 1 THEN P.D_BANK_FILIAL ELSE '' END,
		[KS_RCP]= P.D_SCH_B,
		[TIME_PAY] = CASE P2.TIME_PAY WHEN 1 THEN srok ELSE cast (null as datetime) END,
		[ORDER_PAY] = P.[ORDER],
		[PURPOSE] = case P.BK_IN_TGT when 1 then rtrim(replace(replace(replace(replace(replace(replace(
													case isnull(ltrim(rtrim(P.BO_NUM)),'') when '' then rtrim(dbo.BB_DDELIM_DEL(isnull(APO.LS_FMT, APOD.LS_FMT),'<>')) else isnull(APO.LS_FMT, APOD.LS_FMT) end, 
													'<>', isnull(ltrim(rtrim(P.BO_NUM)),'')),
													'<>', case P.S_ACC_TYPE when 1 then '' else rtrim(P.S_ACC_NUM) end),
													'<_>', '
	)'),												'<>',rtrim(dbo.BB_BK_FOR_SHABLON(P.LINK, isnull(APO.SHABLON_BK, APOD.SHABLON_BK),isnull(APO.DELIM, APOD.DELIM),isnull(APO.DELIM5, APOD.DELIM5)))),
														--'<>',/*str(P.S_ACC_LINK) + '#' +*/ APO.SHABLON_BK /*+ '#' + APO.DELIM + '#' + APO.DELIM5*/),
													'<>',rtrim(ltrim(str(floor(P.SUMMA))))),
													'<>', right('00' + rtrim(ltrim(str((P.SUMMA - floor(P.SUMMA)) * 100))),2))) + ' ' 
					else '' end + ltrim(replace(replace(P.TARGETTEXT,char(10),''),char(13),'')) + ' ' + ltrim(dbo.PrintPlatporGetNDSString(P.LINK,0)),

		[PRINT_KPP]='0',

		[PAYSTATUS] = P1.STATUS,
		[KBKD] = rtrim(ltrim(replace(P1.doh_code,'.',''))) + ltrim(P1.sgu_code),
		[PAYOKATO] = P1.OKATO,
		[OSNPLAT] = P1.P_REASON, 
		[NAL_PER] = P1.PERIOD,
		[N_DOK] = P1.TREBNUM, 
		[D_DOK] = CASE WHEN ISNULL(ZERODATE, 0) = 1 THEN '0' ELSE CONVERT(CHAR(10), P1.TREBDATE,104) END,
		[TYPE_PL] = P1.P_TYPE,
		[Name_Budg] = --convert(char(20), (
						(select top 1 budg.name --budg.code   ?
						FROM G_PROV1 GP1 INNER JOIN G_PROV2 GP2 ON (GP1.LINK_UP = P.LINK AND GP2.LINK_UP = GP1.LINK)
						INNER JOIN G_PROV_AP GPA1 ON GP2.LINK = GPA1.LINK_UP AND DB_KR = 0
						LEFT JOIN BI_DICTION_KBK F ON GPA1.KBK = F.LINK
						LEFT JOIN kl_admin_bs adm ON adm.link = f.link_ADM 
						LEFT JOIN kl_budg_type budg ON budg.link = adm.link_budg) /* 2005.12 */

	from dbo.documents_pay P
	inner join dbo.BufferGetTableByID(@cBuffId) B on P.LINK = B.LINK
	LEFT OUTER JOIN DOCUMENTS_PAY_ADD P1 ON P.LINK = P1.LINK
	LEFT OUTER JOIN DOCUMENTS_PAY_ADD2 P2 ON P.LINK = P2.LINK
	left join dbo.BB_PAY_ACC_OPTIONS APO on APO.LINK_ACC = P.S_ACC_LINK
	left join dbo.DOCUMENTS_PAY_ACC_OPTIONS APOD on APOD.OSN = 1
	inner join dbo.DEPARTMENT_ACCOUNTS DA on APOD.LINK_ACC = DA.LINK and P.S_ACC_TYPE = DA.TYPE
		

	--    
	/*
	  1.        
	     PPST    =   +  (20 )
	     -   !
	  2.       
	      ,   .. .
	      - 
	*/

	if @iGroupKBK = 1
	SELECT
		LINK = GP1.LINK_UP,
		LINK_UP = GP1.LINK_UP,	
		[MARKER] = 'PPST',
		[GLAVA] = LTRIM(RTRIM(COALESCE(F1.ADM_CODE, F.ADM_CODE, ''))),
		[RAZDEL] =LTRIM(RTRIM(COALESCE(F1.DIV_CODE, F.DIV_CODE, ''))),
		[STATIA] = LTRIM(RTRIM(COALESCE(F1.CSR_CODE, F.CSR_CODE, ''))),
		[VID] = LTRIM(RTRIM(COALESCE(F1.EXP_CODE, F.EXP_CODE, ''))),
	--	[KOD_FP] = '',
		[KOD_FP] = convert(varchar(3), isnull(DC.CODE,'')), 
		[E_KLASS] = LTRIM(RTRIM(ISNULL(KEK.CODE, ''))),
		[NUM_BO] =  LTRIM(RTRIM(ISNULL(P.bo_num,''))),
		[MON_FIN]='',
		[SUM_STR] = sum(GP2.summa),
		[FOND_P] = '',
		[KKIVNF] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 8 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,

		[KKIVF] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 4 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,
		[KDOH] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 2 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,

		[ADD_KLASS] = isnull(DC.CODE,''),	/* 2005.12 */
		[KOD_FIN] = (select top 1 left(code, 1) from s_accounts SA where SA.link = GPA1.Account), /* 2005.12 */
		[REZERV] = convert(varchar(40),'')	/* 2005.12 */
	FROM G_PROV1 GP1 
	inner join dbo.BufferGetTableByID(@cBuffId) B on GP1.LINK_UP = B.LINK
	inner join dbo.documents_pay P on P.LINK = B.LINK
	INNER JOIN G_PROV2 GP2 ON GP2.LINK_UP = GP1.LINK
	INNER JOIN G_PROV_AP GPA1 ON GP2.LINK = GPA1.LINK_UP AND DB_KR = 1
	LEFT OUTER JOIN BI_DICTION_KBK_FULL F ON GPA1.KBK = F.LINK
	LEFT JOIN KL_KBK_LINKED KBKL ON KBKL.LINK = F.LINK and @iLinkedKBK = 1
	LEFT JOIN BI_DICTION_KBK_FULL F1 ON KBKL.LINK_KBK = F1.LINK
	LEFT OUTER JOIN DICTIONARY_ITEM KEK ON GPA1.EKR = KEK.LINK
	LEFT OUTER JOIN KOSGU SGU ON GPA1.SGU = SGU.LINK
	LEFT OUTER JOIN BD_DOP_CLASSIF DC on DC.link = GPA1.AP2
	group by GP1.LINK_UP, LTRIM(RTRIM(COALESCE(F1.ADM_CODE, F.ADM_CODE, ''))),
		LTRIM(RTRIM(COALESCE(F1.DIV_CODE, F.DIV_CODE, ''))),
		LTRIM(RTRIM(COALESCE(F1.CSR_CODE, F.CSR_CODE, ''))),
		LTRIM(RTRIM(COALESCE(F1.EXP_CODE, F.EXP_CODE, ''))),
		convert(varchar(3), isnull(DC.CODE,'')), 
		LTRIM(RTRIM(ISNULL(KEK.CODE, ''))),
		LTRIM(RTRIM(ISNULL(P.bo_num,''))),
		CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 8 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,
		CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 4 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,
		CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 2 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,
		isnull(DC.CODE,''),
		GPA1.Account
else
	SELECT
		LINK = GP2.LINK,
		LINK_UP = GP1.LINK_UP,	
		[MARKER] = 'PPST',
		[GLAVA] = LTRIM(RTRIM(COALESCE(F1.ADM_CODE, F.ADM_CODE, ''))),
		[RAZDEL] =LTRIM(RTRIM(COALESCE(F1.DIV_CODE, F.DIV_CODE, ''))),
		[STATIA] = LTRIM(RTRIM(COALESCE(F1.CSR_CODE, F.CSR_CODE, ''))),
		[VID] = LTRIM(RTRIM(COALESCE(F1.EXP_CODE, F.EXP_CODE, ''))),
	--	[KOD_FP] = '',
		[KOD_FP] = convert(varchar(3), isnull(DC.CODE,'')), 
		[E_KLASS] = LTRIM(RTRIM(ISNULL(KEK.CODE, ''))),
		[NUM_BO] =  LTRIM(RTRIM(ISNULL(P.bo_num,''))),
		[MON_FIN]='',
		[SUM_STR] = GP2.summa,
		[FOND_P] = '',
		[KKIVNF] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 8 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,

		[KKIVF] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 4 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,
		[KDOH] = CASE COALESCE(F1.[TYPE], F.[TYPE]) WHEN 2 THEN REPLACE(COALESCE(F1.CODE, F.CODE, ''),'.','') + SGU.CODE else '' end,

		[ADD_KLASS] = isnull(DC.CODE,''),	/* 2005.12 */
		[KOD_FIN] = (select top 1 left(code, 1) from s_accounts SA where SA.link = GPA1.Account), /* 2005.12 */
		[REZERV] = convert(varchar(40),'')	/* 2005.12 */
	FROM G_PROV1 GP1 
	inner join dbo.BufferGetTableByID(@cBuffId) B on GP1.LINK_UP = B.LINK
	inner join dbo.documents_pay P on P.LINK = B.LINK
	INNER JOIN G_PROV2 GP2 ON GP2.LINK_UP = GP1.LINK
	INNER JOIN G_PROV_AP GPA1 ON GP2.LINK = GPA1.LINK_UP AND DB_KR = 1
	LEFT OUTER JOIN BI_DICTION_KBK_FULL F ON GPA1.KBK = F.LINK
	LEFT JOIN KL_KBK_LINKED KBKL ON KBKL.LINK = F.LINK and @iLinkedKBK = 1
	LEFT JOIN BI_DICTION_KBK_FULL F1 ON KBKL.LINK_KBK = F1.LINK
	LEFT OUTER JOIN DICTIONARY_ITEM KEK ON GPA1.EKR = KEK.LINK
	LEFT OUTER JOIN KOSGU SGU ON GPA1.SGU = SGU.LINK
	LEFT OUTER JOIN BD_DOP_CLASSIF DC on DC.link = GPA1.AP2

end





GO


GRANT EXECUTE ON dbo.[BB_EXPORT_PP] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BB_EXPORT_ZKR_16]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.BB_EXPORT_ZKR_16

GO


/*
  (Keysystems), 2005
*/

CREATE PROCEDURE dbo.BB_EXPORT_ZKR_16
	@cBuffId	varchar(30) = '',
	@cFormat	varchar(30) = ''

AS
DECLARE @iDepLink	int, 
	@cCodeOpt 	int,
	@iNoteDCL	tinyint,
	@cPrefDCL	varchar(10), 
	@cKorrName	varchar(254), 
	@iLongFio tinyint, 
	@iPostRuk tinyint, 
	@iPostGl tinyint,
	@iSguDop tinyint
	


set @iPostRuk = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_POST_RUK')
set @iPostGl = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_POST_GL')
set @iLongFio = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_FIO')
set @iSguDop = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_SGU_DOP')

set @iDepLink = isnull(dbo.BK_GetDepZB(),dbo.GetOwnDepLink())
select @cCodeOpt = KODBP,
	@iNoteDCL = isnull(T_DCL,0),
	@cPrefDCL = isnull(rtrim(PREF_DCL) + ' ',''),
	@cKorrName = isnull(rtrim(KOR_NAME),'<__>')
from dbo.BB_ZAYAVKA_KR_OPTIONS

--  2 (FROM)
SELECT 	BUDG_LEVEL  = case D.BUH_TYPE WHEN 1 then cast(replace(B.CODE_EL,'0','') as char(1)) else '6' end,
		KOD_UBP = case cast(replace(B.CODE_EL,'0','') as char(1)) when 1 then D.CODE_UBP else BUDG end,
		NAME_UBP	= left(rtrim(D.prefix) + rtrim(D.FULL_NAME) + case when charindex('(',D.prefix,0) > 0 then ')' else '' end,254),
		0 as link,
		0 as link_up
from dbo.DEPARTMENTS D
left join dbo.KL_ADMIN_BS V WITH (NOLOCK) on V.LINK = D.VED_LINK
left join dbo.KL_BUDG_TYPE B WITH (NOLOCK) on V.Link_Budg = B.LINK
where D.LINK = @iDepLink


--  3 (TO)
SELECT 	KOD_TOFK  = TOFK.CODE,
		NAME_TOFK = TOFK.FULL_NAME,
		0 as link,
		0 as link_up
from dbo.DEPARTMENTS D
inner join dbo.TREASURY TOFK on D.TOFK_LINK = TOFK.LINK
where D.LINK = @iDepLink



--  4 (ZR)


	SELECT  LINK 		 = ZKR.LINK,
			LINK_UP		 = ZKR.LINK,
			GUID_FK		 = '',
			[TYPE]		 = cast(ZKR.SHORT + 1 as char(1)),
			NOM_ZR		 = ZKR.NUMBER,
			DATE_ZR		 = ZKR.DATE,
			KOD_UBP_PAY	 = case @cCodeOpt when 1 then ZKR.DEP_UBP else '' end,
			NAME_UBP_PAY = ZKR.DEP_FNAME, 
			LS_UBP_PAY	 = ZKR.ACC_CODE,
			INN_UBP		 = '',
			KPP_UBP		 = '',
			GLAVA_GRS	 = case ZKR.dep_type WHEN 1 then ZKR.GRBS_CODE else '' end,
			NAME_UBP_GRS = case ZKR.SHORT when 0 then case ZKR.dep_type WHEN 1 then ZKR.GRBS_NAME else ZKR.UCHR_NAME end  else '' end,
			NAME_BUD	 = case ZKR.dep_type WHEN 1 then ZKR.BUDG_NAME else '' end,
			NAME_FO		 = case ZKR.SHORT when 0 then case ZKR.dep_type WHEN 1 then ZKR.FO_NAME else '' end else '' end,
			OKPO_FO		 = case ZKR.SHORT when 0 then case ZKR.dep_type WHEN 1 then ZKR.FO_OKPO else '' end else '' end,
			KOD_TOFK	 = ZKR.TOFK_CODE,
			NAME_TOFK	 = ZKR.TOFK_NAME,
			DATE_ISP	 = ZKR.SROK,
			GUID_SV		 = '',
			NOM_BO		 = ZKR.BO_NUM,
			KOD_ISP		 = '',
			PR_ISP		 = '',
			FAIP_CODE	 = '',
			SUM_V		 = ZKR.SUMMA,
			KOD_V		 = '643',
			SUM_DOC		 = 0,
			TYPE_AP		 = cast(ZKR.AVANSE as char(1)),
			SUM_V_NDS	 = case ZKR.SHORT when 0 then ZKR.SUMMA_NDS else 0 end,
			ORDER_PL	 = ZKR.[ORDER],
			VID_PL		 = CASE	ZKR.KIND WHEN ''     THEN '1'
										 WHEN '' THEN '2'
										 WHEN '' THEN '3'
										 WHEN '' 	   THEN '4'
										 ELSE '0' END,
			PURPOSE		 = replace(replace(ZKR.TARGETTEXT,char(10),''),char(13),''),
			VID_OSN		 = ZKR.OSN_VID,
			NOM_OSN		 = ZKR.OSN_NUM,
			DATE_OSN	 = ZKR.OSN_DATE,
			OSN			 = ZKR.OSN_COM,
			NAME_RCP	 = dbo.BB_DEP_NAME_FOR_SHABLON(@cKorrName, ZKR.KOR_LINK,  ZKR.KOR_ACC_LINK), 
			INN_RCP		 = ZKR.KOR_INN,
			KPP_RCP		 = case when len(rtrim(ZKR.KOR_INN)) > 10 then '0' else ZKR.KOR_KPP end,
			LS_UBP_RCP	 = case ZKR.SHORT when 0 then ZKR.KOR_LACC else '' end,
			BS_RCP		 = replace(ZKR.KOR_RACC,'00000000000000000000',''),
			NAME_BIC_RCP = ZKR.KOR_BANK,
			BIC_RCP		 = ZKR.KOR_BIK,
			KS_BIC_RCP	 = ZKR.KOR_KS,
			PAYSTATUS	 = ZKR.STATUS,
			KDOH		 = case when ZKR.DOH_CODE_L is null and (ZKR.TREBNUM is not null or ZKR.ZERODATE = 1 or ZKR.TREBDATE is not null or ZKR.OKATO is not null)  then '0' 
								else replace(ZKR.DOH_CODE_L,'.','') end,
			OKATO		 = ZKR.OKATO,
			OSN_PL		 = ZKR.P_REASON,
			NAL_PER		 = ZKR.[PERIOD],
			NOM_DOK		 = ZKR.TREBNUM,
			DATE_DOK	 = case ZKR.ZERODATE when 1 then /*'00.00.0000'*/ '0' else CONVERT(CHAR(10),ZKR.TREBDATE,104) end,
			TYPE_PL		 = ZKR.P_TYPE,
			DOL_RUK_UBP	 = case when ZKR.SHORT = 0 and @iPostRuk = 1 then B.POST_NAME else '' end,
			NAME_RUK_UBP = case @iLongFio when 1 then rtrim(B.FM) + ' ' + rtrim(B.IM) + ' ' + rtrim(B.OT) else B.SHORT_NAME end,
			DOL_BUH_UBP	 = case when ZKR.SHORT = 0 and @iPostGl = 1 then GB.POST_NAME else '' end,
			NAME_BUH_UBP = case @iLongFio when 1 then rtrim(GB.FM) + ' ' + rtrim(GB.IM) + ' ' + rtrim(GB.OT) else GB.SHORT_NAME end,
			DATE_POD_UBP = ZKR.DATE,
			NOM_ZR_FK	 = '',
			DATE_FK		 = cast(null as datetime),
			DOL_ISP_FK	 = '',
			NAME_ISP_FK	 = '',
			TEL_ISP_FK	 = ''
	FROM dbo.BB_ZAYAVKA_KR ZKR
	left join dbo.GetOtvFaceData(null, '') B on ZKR.DEP_LINK = B.LINK_DEP
	left join dbo.GetOtvFaceData(null, ' ') GB on ZKR.DEP_LINK = GB.LINK_DEP
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))


if @cFormat > 'TXZR100700' --or @cFormat = ''
/*	SELECT  LINK 		 = case when ZKR.OSNOV_LINK is null then ZKR.LINK else ZKR.DOG_LINK end,
			LINK_UP		 = ZKR.LINK,
			VID_OSN		 = ZKR.DOG_VID,
			NOM_OSN		 = ZKR.DOG_NUM,
			DATE_OSN	 = ZKR.DOG_DATE,
			OSN			 = case ZKR.SHORT when 0 then ZKR.DOG_COM else '' end
	FROM dbo.BB_ZAYAVKA_KR ZKR
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId)) and ZKR.DOG_NUM is not null
	union all
	SELECT  LINK 		 = ZKR.LINK,
			LINK_UP		 = ZKR.LINK,
			VID_OSN		 = ZKR.OSN_VID,
			NOM_OSN		 = ZKR.OSN_NUM,
			DATE_OSN	 = ZKR.OSN_DATE,
			OSN			 = case ZKR.SHORT when 0 then ZKR.OSN_COM else '' end
	FROM dbo.BB_ZAYAVKA_KR ZKR
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId)) and ZKR.OSN_NUM is not null 
				
*/
	SELECT  ZO.LINK, 
			ZO.LINK_UP,
			VID_OSN		 = ZO.[TYPE],
			NOM_OSN		 = ZO.NUMBER,
			DATE_OSN	 = ZO.[DATE],
			OSN			 = case ZKR.SHORT when 0 then ZO.COMMENT else '' end,
			OSN_PLAT	=	CASE ZKR.SHORT WHEN 0 THEN '' ELSE replace(str(ZO.OSN),'0','2') END
	FROM dbo.BB_ZAYAVKA_KR_OSNOV ZO
	inner join dbo.BB_ZAYAVKA_KR ZKR on ZKR.LINK = ZO.LINK_UP
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))
	union all
	SELECT  ZKR.LINK, 
			ZKR.LINK,
			VID_OSN		 = '',
			NOM_OSN		 = ZKR.UIN_CODE,
			DATE_OSN	 = NULL,
			OSN			 = '-',
			OSN_PLAT	 = CASE ZKR.SHORT WHEN 0 THEN '' ELSE '2' END
	FROM dbo.BB_ZAYAVKA_KR ZKR
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId)) and ZKR.UIN_CODE <>''
 	order by 2,1
	

--  4 (ZRST)
	select  ZT.LINK,
			LINK_UP = coalesce((select top 1 LINK from( 
								select LINK from ZAYAVKA_KR_OSNOV where LINK_UP = ZT.LINK_UP 
								union all
								SELECT  FP.LINK FROM dbo.finanse_pays FP where FP.LINK = ZT.LINK_UP and FP.UIN_CODE <>'') A
								order by LINK desc)
					,ZT.LINK_UP),
			KOD_IST_KBK	  = cast(ZT.VID_SR as char(1)),
			TYPE_KBK_PAY  = case ZT.KBK_TYPE when 1 then '10'
											 when 2 then '20'
											 when 4 then '31'
											 when 8 then '32'
											 else '' end,
			KBK_PAY		  = left(replace(replace(ZT.KBK_CODE,'.',''),'00000000000000000000',''),20),
			TYPE_KBK_RCP  = case ZKR.SHORT when 0 then case ZT.KBK_TYPE_d when 1 then '10'
																		  when 2 then '20'
																		  when 4 then '31'
																		  when 8 then '32'
																		  else '' end else '' end,
			KBK_RCP		  = case ZKR.SHORT when 0 then left(replace(ZT.BKD_CODE,'.',''),30) else '' end,
			ADD_KLASS_PAY = isnull(rtrim(case when left(DA.CODE,2) = '21' or left(DA.CODE,2) = '31' then isnull(ZT.DCL_CODE, '-') else ZT.DCL_CODE end), '') + case when @iSguDop = 1 and isnull(ZT.SGU_CODE, '') <> '' then '(' + rtrim(ZT.SGU_CODE) + ')'  else '' end,
			ADD_KLASS_RCP = ZT.DCL_CODE_D,
			SUM_V_KBK	  = ZT.SUMMA,
			SUM_R_KBK	  = 0,
			PURPOSE_KBK	  = case ZKR.SHORT when 0 then ZT.TARGET else '' end,
			NOTE_KBK	  = case ZKR.SHORT when 0 then ZT.TITLE + case @iNoteDCL when 1 then @cPrefDCL + ZT.DCL_CODE else '' end else '' end 
	from dbo.BB_ZAYAVKA_KR_TABLE ZT
	inner join dbo.FINANSE_PAYS ZKR on ZKR.LINK = ZT.LINK_UP
	inner join dbo.G_PROV G on ZKR.LINK = G.LINK
	inner join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = G.ACC
	where ZT.LINK_UP in (select LINK from dbo.BufferGetTableByID(@cBuffId))






GO


GRANT EXECUTE ON dbo.BB_EXPORT_ZKR_16 TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[sa_get_vedom_ndfl]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[sa_get_vedom_ndfl]
GO

CREATE PROCEDURE [dbo].sa_get_vedom_ndfl 
  @nLINK_NDFL INT = NULL, @nREF_EMPL INT = NULL, @nLink_VKR INT = NULL, @nLINK_EKR INT = NULL
AS 

SELECT NDFL = SUM(SUMMA)
FROM dbo.SDOC_NDFL_TABLE 
WHERE 
	LINK_UP = @nLINK_NDFL 
	AND @nREF_EMPL = LINK_EMPL
	AND @nLink_VKR = LINK_VKR
	AND @nLINK_EKR = LINK_EKR

GO

GRANT EXECUTE ON dbo.[sa_get_vedom_ndfl] TO PUBLIC
GO


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZV4_PACHKA_CALC_Buffer_2015_6]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SZV4_PACHKA_CALC_Buffer_2015_6]

GO

CREATE   PROCEDURE [dbo].SA_SZV4_PACHKA_CALC_Buffer_2015_6 (@BufferCode varchar(10), @link int, @Year int, @Month tinyint) 
AS
/*
     SA_SZV4_PACHKA_CALC_Buffer4
1.    л 
 04  2015   194              16  2014    2
. ) . 2.10.5.     :        
*/
DECLARE @SQL VARCHAR(1000)

SET @SQL = '
delete from dbo.Buffer
where RTRIM(LTRIM(ID)) = RTRIM(LTRIM( ''' + @BufferCode + ''' ))
	and link IN (select S.link_pers from dbo.SZV4_SVEDENIA S where S.link_up = ' + CONVERT(VARCHAR(20),@LINK) + ')'
--EXEC (@SQL)	--!!


CREATE TABLE #PERSON (LINK INT)	

SET @SQL = '
INSERT INTO #PERSON (LINK)
SELECT DISTINCT LINK FROM dbo.Buffer WHERE RTRIM(LTRIM(ID)) = RTRIM(LTRIM(''' + @BufferCode + '''))'
EXEC (@SQL)	

declare @DEP_LINK int
exec dbo.xd_whats_zb @DEP_LINK output

DECLARE @PER TINYINT, @MONTH_END TINYINT, @MONTH_BEG TINYINT, @VID_KOR TINYINT 

SELECT @VID_KOR = VID_KOR
FROM dbo.SZV4_PACHKA WHERE LINK = @link

IF @VID_KOR = 2
begin  
	SELECT @Year = @Year, @PER = PER_EDT, @MONTH_END = @Month
	FROM dbo.SZV4_PACHKA WHERE LINK = @link
end 
else 
begin
	SELECT @Year = YEAR_BEGIN, @PER = PER, @MONTH_END = MONTH_END
	FROM dbo.SZV4_PACHKA WHERE LINK = @link
end 
DECLARE @PeriodBegin datetime, @PeriodEnd datetime

SET @MONTH_BEG = (CASE @PER WHEN 1 THEN 1 WHEN 2 THEN 4 WHEN 3 THEN 7 WHEN 4 THEN 10 END)
SET @MONTH_END = (CASE WHEN @MONTH_END < (@MONTH_BEG+3-1) THEN @MONTH_END ELSE (@MONTH_BEG+3-1) END)

SELECT @PeriodBegin = dbo.ConvertDMY2Date(1,@MONTH_BEG,@Year), @PeriodEnd = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@MONTH_END,@Year))

--  .
--
DECLARE @LINK_OZOI INT
SET @LINK_OZOI = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 3 AND @Year BETWEEN YBEG AND YEND),1)

------	      
CREATE TABLE #PERS_INV (PERS_LINK INT, DATE_BEGIN DATETIME, DATE_END DATETIME)

INSERT INTO #PERS_INV (PERS_LINK, DATE_BEGIN, DATE_END) 
SELECT PERS_LINK, DATE_BEGIN = MIN(ISNULL(I.DATE_BEGIN,@PeriodBegin)), DATE_END = MAX(ISNULL(I.DATE_END,@PeriodEnd))
FROM dbo.PERS_INVALID I
WHERE ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin
GROUP BY PERS_LINK

--forma    2013     (1 , 2 )
insert into dbo.SZV4_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_OZOI,
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END,
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
from 
	(	SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2 
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	INNER JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		

----
DECLARE @LINK_NR INT
SET @LINK_NR = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 1 AND @Year BETWEEN YBEG AND YEND),1)

--forma    2013     (1 , 2 )	
insert into dbo.SZV4_SVEDENIA (link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
Select distinct @link, 0, DOG, B.link, 0, 0, 0, 0, 
	DIS_M = 0,
	DIS_D = 0,
	VAC_M = 0,
	VAC_D = 0,
	0,0,
	@LINK_NR,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodBegin < CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		THEN @PeriodBegin 
		ELSE CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END + 1
	END,
	CASE WHEN I.PERS_LINK IS NULL OR @PeriodEnd > CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		THEN @PeriodEnd
		ELSE CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END - 1
	END
from 
	(	
		SELECT B.LINK, DOG = 1 
		FROM 
			#PERSON B
			INNER JOIN dbo.EMPL E ON E.pers_link = B.LINK AND E.DEP_LINK = @DEP_LINK
		UNION 
		SELECT B.LINK, DOG = 2
		FROM 
			#PERSON B
			INNER JOIN dbo.SALARY_REESTR_DGH DGH ON DGH.PERS_LINK = B.LINK AND DGH.DEP_LINK = @DEP_LINK
	) B
	LEFT JOIN #PERS_INV I ON I.PERS_LINK = B.LINK AND ISNULL(I.DATE_BEGIN,@PeriodBegin) <= @PeriodEnd AND ISNULL(I.DATE_END,@PeriodEnd) >= @PeriodBegin		
WHERE --          
	I.PERS_LINK IS NULL --  
	OR --    
	CASE WHEN ISNULL(I.DATE_BEGIN,@PeriodBegin) < @PeriodBegin THEN @PeriodBegin ELSE ISNULL(I.DATE_BEGIN,@PeriodBegin) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1
	OR --    
	CASE WHEN ISNULL(I.DATE_END,@PeriodEnd) > @PeriodEnd THEN @PeriodEnd ELSE ISNULL(I.DATE_END,@PeriodEnd) END
		BETWEEN @PeriodBegin+1 AND @PeriodEnd-1	

----
DECLARE @LINK_USEN INT
SET @LINK_USEN = ISNULL((SELECT TOP 1 LINK FROM dbo.SA_PFR_KATEG WHERE LINK2 = 2 AND @Year BETWEEN YBEG AND YEND),1)		
	
insert into dbo.SZV4_SVEDENIA 
	(link_up, orders, forma, link_pers, sum_doh, sum_str, sum_nak, sum_dop, dper_vn_m, dper_vn_d,dper_oz_m, dper_oz_d, isum_str, isum_nak, LINK_KATEG, DATE_BEG, DATE_END) 
SELECT 	
	link_up, orders, forma, link_pers, ISNULL(sum_doh,0), ISNULL(sum_str,0), ISNULL(sum_nak,0), ISNULL(sum_dop,0), ISNULL(dper_vn_m,0), ISNULL(dper_vn_d,0), ISNULL(dper_oz_m,0), ISNULL(dper_oz_d,0), ISNULL(isum_str,0), ISNULL(isum_nak,0), @LINK_USEN, DATE_BEG, DATE_END
FROM
	#PERSON B INNER JOIN dbo.SZV4_SVEDENIA S ON B.LINK = S.link_pers 
WHERE
	link_up = @link
	AND
	LINK_KATEG = @LINK_NR	
	

----        
CREATE TABLE #PERS_SUM_J (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, MON INT, INCOME NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM_J (LINK_PERS, LINK_KATEG, DOG, MON, INCOME, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG, MON,
	SUM(CASE WHEN [OBJECT] = 1 THEN SUMMA ELSE 0 END), --  (INCOME)
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN [OBJECT] = 3 AND WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.EMPL E ON E.PERS_LINK = S.LINK_PERS
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_EMPL = E.LINK 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 1 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
	UNION ALL	
	SELECT 
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, P.[OBJECT], MON = MONTH(J.PERIOD_BEGIN), SUMMA_BASE = SUM(SUMMA_BASE), SUMMA = SUM(SUMMA)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.CALCULATE_JURNAL J ON J.PERS_LINK = S.LINK_PERS 
			AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
		INNER JOIN dbo.PAYS P ON P.LINK = J.LINK_PAYS
		INNER JOIN dbo.SAL_SFIN F ON F.LINK = J.LINK_VKR
	WHERE
		S.LINK_UP = @link
		AND 
		(
			P.[OBJECT] = 3 AND P.[WAY_CALC] IN (6, 7)
			OR
			P.[OBJECT] = 1
		)
		AND J.LINK_DEP = @DEP_LINK
		AND S.FORMA = 2 --  ()
		AND (LINK_KATEG = @LINK_OZOI OR (LINK_KATEG = @LINK_USEN AND F.ENVD = 1) OR (LINK_KATEG = @LINK_NR AND F.ENVD = 0))
	GROUP BY
		S.LINK_PERS, P.[WAY_CALC], S.LINK_KATEG, S.FORMA, P.[OBJECT], J.PERIOD_BEGIN
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG, MON

--
CREATE INDEX #TMP_IDX_#PERS_SUM_J ON #PERS_SUM_J (LINK_PERS, LINK_KATEG)

--ר     
-- ר         512   ר 
create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0, KATEG TINYINT, DOG TINYINT)

Insert InTo #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG = 1
FROM 
	dbo.SA_ESN_VIEW(@Year, @Month, @DEP_LINK, 0) S
WHERE 
	WAY_CALC IN (6,7,10,11)
	AND EXISTS (SELECT * FROM #PERSON B WHERE B.LINK = S.REF_PHYS_PERS)

--  
INSERT INTO #SPR_ESN 
	([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, KATEG, DOG)
SELECT 
	MONTH(G.[DATE]) AS MONTH_BASE, 
	GT.SUMMA_BASE, 0, 0, GT.SUMMA, GT.WAY_CALC, GT.PERS_LINK, 
	CASE WHEN dbo.is_invalid(GT.PERS_LINK,dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,G.[MONTH],@Year))) = 2
		THEN 3
		ELSE
		CASE WHEN F.ENVD = 1 THEN 2 ELSE 1 END
	END, 
	DOG = 2
FROM 
	dbo.DOCUMENTS_DGH G 
	INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	inner join dbo.PERSON P on GT.PERS_LINK = P.link
	INNER JOIN #PERSON B ON B.LINK = P.LINK
	inner join dbo.SAL_SFIN F on F.LINK = GT.LINK_VKR
WHERE 
	FLAG_JC = 1
	AND GT.WAY_CALC  IN (6,7,10,11)
	AND YEAR(G.[DATE]) = @Year
	AND MONTH(G.[DATE]) <= @Month
	AND LINK_DEP = @DEP_LINK

--
CREATE INDEX #TMP_IDX_SPR_ESN ON #SPR_ESN (REF_PHYS_PERS, KATEG, DOG)


--
DELETE FROM #SPR_ESN
WHERE  EXISTS (SELECT * FROM dbo.KJ_PERS_PENSION K WHERE K.PERS_LINK = REF_PHYS_PERS  and K.CHECK_SZV = 0)

--  
DECLARE @STAVKI TABLE ( LINK_PERS INT, TARIF TINYINT, PREDEL NUMERIC(15,2), [PERCENT] NUMERIC(8,2), WAY_CALC TINYINT)

INSERT INTO @STAVKI (LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC)
SELECT 
	LINK_PERS, TARIF, PREDEL, [PERCENT], WAY_CALC 
FROM 
	dbo.SA_ESN_TARIF(DEFAULT, @PeriodEnd, DEFAULT) S
WHERE 
	WAY_CALC IN (6,7)
	AND EXISTS (SELECT * FROM #PERSON P WHERE P.LINK = S.LINK_PERS)

--	
DECLARE @LIMIT NUMERIC(18,2)
SET @LIMIT = ISNULL((SELECT MIN(PREDEL) FROM @STAVKI WHERE TARIF = 1 AND WAY_CALC = 6),0)

------      ר   ר  512.
CREATE TABLE #SUM_PERSON (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT, WAY_CALC TINYINT, [PERCENT] NUMERIC(18,2), MON TINYINT, 
				BAZA NUMERIC(18,2), SUM_LIM NUMERIC(18,2), SUM_KOR NUMERIC(18,2),BAZA2 NUMERIC(18,2),  NALOG NUMERIC(20,6), M BIT)

INSERT INTO #SUM_PERSON (LINK_PERSON, KATEG, DOG, WAY_CALC, [PERCENT], MON, BAZA, NALOG, M)
SELECT
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE,
	SUM(ISNULL(SUMMA_BASE,0) - ISNULL(DED_M,0) - ISNULL(INV_M,0)) AS BAZA,
	SUM(SUMMA),
	0
FROM 
	#SPR_ESN E
	INNER JOIN @STAVKI S ON S.LINK_PERS = E.REF_PHYS_PERS AND S.WAY_CALC = E.WAY_CALC AND S.TARIF = E.KATEG
WHERE 
	S.PREDEL = @LIMIT
GROUP BY
	E.REF_PHYS_PERS, E.KATEG, E.DOG, S.WAY_CALC, S.[PERCENT], E.MONTH_BASE

-- ,     
CREATE TABLE #PERS_AFTER (LINK_PERSON INT, KATEG TINYINT, DOG TINYINT)

INSERT INTO #PERS_AFTER (LINK_PERSON, KATEG, DOG)
SELECT LINK_PERSON, KATEG, DOG
FROM #SUM_PERSON 
WHERE WAY_CALC = 6
GROUP BY LINK_PERSON, KATEG, DOG
HAVING SUM(BAZA) > @LIMIT
DECLARE @Cur2 CURSOR, @MON TINYINT, @KATEG TINYINT, @DOG TINYINT

SET @Cur2 = CURSOR FORWARD_ONLY
FOR SELECT DISTINCT MON, KATEG, DOG FROM #SUM_PERSON SP
	ORDER BY MON, KATEG ASC, DOG DESC
OPEN @Cur2
FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN

		UPDATE SP --     
		SET 
			M = 1,
			SUM_LIM = (SELECT SUM(BAZA) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.WAY_CALC = SP.WAY_CALC AND (M=1 OR SP1.MON = SP.MON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG))
		FROM #SUM_PERSON SP
		WHERE MON = @MON AND KATEG = @KATEG AND DOG = @DOG
		
		UPDATE #SUM_PERSON -- 
		SET SUM_KOR = CASE WHEN ISNULL(SUM_LIM,0) > @LIMIT THEN ISNULL(SUM_LIM,0) - @LIMIT ELSE 0 END

		UPDATE #SUM_PERSON
		SET BAZA2 = CASE WHEN (ISNULL(BAZA,0) > ISNULL(SUM_KOR,0) OR ISNULL(BAZA,0) < 0)
							THEN ISNULL(BAZA,0) - ISNULL(SUM_KOR,0) ELSE 0 END
		
		UPDATE SP
		SET NALOG = 
					CASE WHEN BAZA <> BAZA2 
						THEN 
							
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON <= SP.MON),0)
							* ISNULL([PERCENT],0) / 100)
							-
							CONVERT(NUMERIC(18,2),
							ISNULL((SELECT SUM(SP1.BAZA2) FROM #SUM_PERSON SP1 WHERE SP1.LINK_PERSON = SP.LINK_PERSON AND SP1.KATEG = SP.KATEG AND SP1.DOG = SP.DOG  AND SP1.WAY_CALC = SP.WAY_CALC AND SP1.MON < SP.MON),0)
							* ISNULL([PERCENT],0) / 100)

						ELSE 
							(SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND SP.DOG = PS.DOG AND PS.MON = SP.MON)
					END
					
					--CASE WHEN BAZA <> BAZA2 
					--	THEN ISNULL(BAZA2,0) * ISNULL([PERCENT],0) / 100
					--	ELSE (SELECT CASE WHEN SP.WAY_CALC = 6 THEN SUM(SUMMA_I) ELSE SUM(SUMMA_G) END FROM #PERS_SUM_J PS WHERE PS.LINK_PERS = SP.LINK_PERSON AND SP.KATEG = PS.LINK_KATEG AND PS.MON = SP.MON)
					--END	
		FROM
			#SUM_PERSON SP
		WHERE --  ,    
			EXISTS (SELECT * FROM #PERS_AFTER PA WHERE PA.LINK_PERSON = SP.LINK_PERSON AND PA.KATEG = SP.KATEG AND PA.DOG = SP.DOG)

	END
	FETCH NEXT FROM @Cur2 INTO @MON, @KATEG, @DOG
END

CLOSE @Cur2
DEALLOCATE @Cur2

--    
CREATE TABLE #PERS_SUM (LINK_PERS INT, LINK_KATEG INT, DOG TINYINT, SUMMA_BASE NUMERIC(18,2), SUMMA_I NUMERIC(18,2), SUMMA_G NUMERIC(18,2))
INSERT INTO #PERS_SUM (LINK_PERS, LINK_KATEG, DOG, SUMMA_BASE, SUMMA_I, SUMMA_G)
SELECT LINK_PERS, LINK_KATEG, DOG,
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA_BASE ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 6 THEN SUMMA ELSE 0 END),
	SUM(CASE WHEN WAY_CALC = 7 THEN SUMMA ELSE 0 END)	
FROM
(
	SELECT 
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, DOG = S.FORMA, SUMMA_BASE = SUM(BAZA2), SUMMA = SUM(NALOG)
	FROM 
		#PERSON B 
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.link_pers = B.LINK
		INNER JOIN dbo.SA_PFR_KATEG K ON K.LINK = S.LINK_KATEG
		INNER JOIN #SUM_PERSON SP ON SP.LINK_PERSON = S.LINK_PERS AND SP.KATEG = K.LINK2 AND S.FORMA = SP.DOG AND SP.MON BETWEEN MONTH(S.DATE_BEG) AND MONTH(S.DATE_END)
	WHERE
		S.LINK_UP = @link
		AND
		@Year BETWEEN K.YBEG AND K.YEND
	GROUP BY
		S.LINK_PERS, SP.[WAY_CALC], S.LINK_KATEG, S.FORMA
) T
GROUP BY LINK_PERS, LINK_KATEG, DOG

--
UPDATE S SET
	sum_doh = ISNULL(SUMMA_I,0), -- 10     
	sum_str = 0, -- 10      ,  ..    -  0,  
	sum_nak = ISNULL(SUMMA_G,0), --      
	sum_dop = 0 --  10      ,  ..    -  0,  
FROM
	dbo.SZV4_SVEDENIA S 
	INNER JOIN #PERS_SUM P ON P.LINK_PERS = S.LINK_PERS AND P.LINK_KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link


---   
CREATE TABLE #INCOME_T1T2 (
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_T1_M1 NUMERIC(18,2),
	INCOME_T2_M1 NUMERIC(18,2),
	INCOME_T1_M2 NUMERIC(18,2),
	INCOME_T2_M2 NUMERIC(18,2),
	INCOME_T1_M3 NUMERIC(18,2),
	INCOME_T2_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME_T1T2 (LINK_PERS, KATEG, DOG, INCOME_T1_M1, INCOME_T2_M1, INCOME_T1_M2, INCOME_T2_M2, INCOME_T1_M3, INCOME_T2_M3)
SELECT REF_PHYS_PERS, KATEG, E.DOG, 
	INCOME_T1_M1 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 2) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END), 
	INCOME_T2_M1 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 2) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M2 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M2 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = (@Month - 1) THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T1_M3 = SUM(CASE WHEN WAY_CALC = 10 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END),
	INCOME_T2_M3 = SUM(CASE WHEN WAY_CALC = 11 AND MONTH_BASE = @Month THEN SUMMA_BASE - DED_M - INV_M ELSE 0 END)
FROM #SPR_ESN E
WHERE WAY_CALC IN (10,11)	
GROUP BY REF_PHYS_PERS, KATEG, E.DOG

UPDATE S SET
	S.INCOME_T1_M1 = P.INCOME_T1_M1,
	S.INCOME_T2_M1 = P.INCOME_T2_M1,
	S.INCOME_T1_M2 = P.INCOME_T1_M2,
	S.INCOME_T2_M2 = P.INCOME_T2_M2,
	S.INCOME_T1_M3 = P.INCOME_T1_M3,
	S.INCOME_T2_M3 = P.INCOME_T2_M3
FROM
	dbo.SZV4_SVEDENIA S 
	INNER JOIN #INCOME_T1T2 P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link

--    
CREATE TABLE #INCOME(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	INCOME_M1 NUMERIC(18,2),
	INCOME_M2 NUMERIC(18,2),
	INCOME_M3 NUMERIC(18,2)
	)

INSERT INTO #INCOME (LINK_PERS, KATEG, DOG, INCOME_M1, INCOME_M2, INCOME_M3)
SELECT 
	LINK_PERS, LINK_KATEG, DOG,
	INCOME_M1 = SUM(CASE WHEN MON = (@Month - 2) THEN INCOME ELSE 0 END),
	INCOME_M2 = SUM(CASE WHEN MON = (@Month - 1) THEN INCOME ELSE 0 END),
	INCOME_M3 = SUM(CASE WHEN MON = @Month THEN INCOME ELSE 0 END)
FROM #PERS_SUM_J
GROUP BY 
	LINK_PERS, LINK_KATEG, DOG

UPDATE S SET
	S.INCOME_M1 = P.INCOME_M1,
	S.INCOME_M2 = P.INCOME_M2,
	S.INCOME_M3 = P.INCOME_M3
FROM
	dbo.SZV4_SVEDENIA S 
	INNER JOIN #INCOME P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	


--   
CREATE TABLE #BASE(
	LINK_PERS INT, 
	KATEG TINYINT,
	DOG TINYINT, 
	BASE_BEFORE_M1 NUMERIC(18,2),
	BASE_AFTER_M1 NUMERIC(18,2),
	BASE_BEFORE_M2 NUMERIC(18,2),
	BASE_AFTER_M2 NUMERIC(18,2),
	BASE_BEFORE_M3 NUMERIC(18,2),
	BASE_AFTER_M3 NUMERIC(18,2)	
	)

INSERT INTO #BASE (LINK_PERS, KATEG, DOG, BASE_BEFORE_M1, BASE_AFTER_M1, BASE_BEFORE_M2, BASE_AFTER_M2, BASE_BEFORE_M3, BASE_AFTER_M3 )
SELECT LINK_PERSON, KATEG, DOG,
	BASE_BEFORE_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M1	= SUM(CASE WHEN MON = (@Month - 2) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M2	= SUM(CASE WHEN MON = (@Month - 1) THEN BAZA - BAZA2 ELSE 0 END),
	BASE_BEFORE_M3	= SUM(CASE WHEN MON = @Month THEN BAZA2 ELSE 0 END),
	BASE_AFTER_M3	= SUM(CASE WHEN MON = @Month THEN BAZA - BAZA2 ELSE 0 END)		
FROM #SUM_PERSON 
WHERE 
	WAY_CALC = 6
GROUP BY
	LINK_PERSON, KATEG, DOG
	
UPDATE S SET
	S.BASE_BEFORE_M1 = P.BASE_BEFORE_M1,
	S.BASE_AFTER_M1 = P.BASE_AFTER_M1,
	S.BASE_BEFORE_M2 = P.BASE_BEFORE_M2,
	S.BASE_AFTER_M2 = P.BASE_AFTER_M2,
	S.BASE_BEFORE_M3 = P.BASE_BEFORE_M3,
	S.BASE_AFTER_M3 = P.BASE_AFTER_M3	
FROM
	dbo.SZV4_SVEDENIA S 
	INNER JOIN #BASE P ON P.LINK_PERS = S.LINK_PERS AND P.KATEG = S.LINK_KATEG AND P.DOG = S.FORMA
WHERE
	link_up = @link	

--   ,   
SELECT LINK_PERS, FORMA, LINK_KATEG INTO #TAB FROM dbo.SZV4_SVEDENIA WHERE LINK_UP = @link GROUP BY LINK_PERS, FORMA, LINK_KATEG HAVING SUM(sum_doh) = 0 AND SUM(sum_nak) = 0 AND SUM(INCOME_M1) = 0
--	

DELETE FROM dbo.SZV4_SVEDENIA 
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 AND LINK_KATEG NOT IN( @LINK_NR, @LINK_OZOI)

DELETE FROM dbo.SZV4_SVEDENIA
WHERE link_up = @link AND sum_doh = 0 AND sum_nak = 0 AND INCOME_M1 = 0 AND INCOME_M2 = 0 AND INCOME_M3 = 0 
	AND NOT EXISTS (SELECT LINK_PERS FROM #TAB T WHERE T.LINK_PERS = dbo.SZV4_SVEDENIA.LINK_PERS AND T.FORMA = dbo.SZV4_SVEDENIA.FORMA AND T.LINK_KATEG = dbo.SZV4_SVEDENIA.LINK_KATEG)

--  
UPDATE dbo.SZV4_SVEDENIA SET LINK_KATEG = @LINK_NR WHERE link_up = @link AND LINK_KATEG = @LINK_OZOI

----     
EXEC [dbo].SA_SZV4_PACHKA_RASPIL @link

IF @VID_KOR != 3
	begin  
	---  

	----------------------------------------------------------------------------
	CREATE TABLE #PERIODY (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] int, NUM_STAKE NUMERIC(5,2), [IS_DOP] VARCHAR(20),	[NOT_LGOT_EXPIR] INT NULL)

	--/* */
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT 	DISTINCT
		PERS_LINK, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			THEN (case when P.DATE_BEGIN >= @PeriodBegin then P.DATE_BEGIN else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
			ELSE S.DATE_END
		END,	
		0
	FROM
		#PERSON B
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.EMPL E ON S.LINK_PERS = E.PERS_LINK AND E.DEP_LINK = @DEP_LINK
		INNER JOIN dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
	WHERE
		S.LINK_UP = @link
		AND
		P.DATE_BEGIN <= @PeriodEnd
		AND
		coalesce(U.DIS_DATE,'20990101') >= @PeriodBegin

	/* */
	Select DISTINCT
		link_face = DGH.PERS_LINK, LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				THEN (case when DGH.DATE1 >= @PeriodBegin then DGH.DATE1 else @PeriodBegin end)
				ELSE S.DATE_BEG
			END,
		date2 = CASE WHEN S.DATE_END > (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				THEN (case when coalesce(DGH.DATE2,@PeriodEnd) <= @PeriodEnd then coalesce(DGH.DATE2,@PeriodEnd) else @PeriodEnd end)
				ELSE S.DATE_END
			END,
		[type] = 0
	INTO #DGH	
	FROM
		#PERSON B
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN dbo.SALARY_REESTR_DGH DGH ON S.LINK_PERS = DGH.PERS_LINK
	WHERE 
		S.LINK_UP = @link
		AND
		DGH.DEP_LINK = @DEP_LINK
		and
		DGH.DATE1 <= @PeriodEnd
		and
		coalesce(DGH.DATE2,'20990101') >= @PeriodBegin

	--       
	SELECT LINK_FACE, DB = MIN(DATE1), DE = MAX(DATE2)
	INTO #WORK
	FROM #PERIODY
	GROUP BY LINK_FACE

	UPDATE S SET 
		S.DATE_BEG = CASE WHEN W.DB < S.DATE_BEG THEN S.DATE_BEG ELSE W.DB END,
		S.DATE_END = CASE WHEN W.DE > S.DATE_END THEN S.DATE_END ELSE W.DE END
	FROM 
		dbo.SZV4_SVEDENIA S INNER JOIN #WORK W ON S.LINK_PERS = W.LINK_FACE
	WHERE 
		S.LINK_UP = @link

	--
	CREATE TABLE #ADD_TYPE (
		[type] INT IDENTITY(1,1),
		[TERR_USL_TRUD] int NULL ,
		[TERR_RK] numeric(3, 2) NULL ,
		[OSOB_USL_TRUD] int NULL ,
		[COD_POS_SPISOK] int NULL ,
		[COD_POS_SPISOK2] int NULL ,
		[USL_DOSROCH_PENS] int NULL ,
		[STAVKA_PED_MED] numeric(3, 2) NULL,
		[VID] VARCHAR(20),
		[IS_DOP] VARCHAR(20),
		[COD_SPO_USL_TRUD] INT NULL
	)	
	INSERT INTO #ADD_TYPE 
		([TERR_USL_TRUD],[TERR_RK],[OSOB_USL_TRUD],[COD_POS_SPISOK],[COD_POS_SPISOK2],[USL_DOSROCH_PENS],[STAVKA_PED_MED],[VID],[IS_DOP],[COD_SPO_USL_TRUD])
	SELECT DISTINCT 
		ISNULL(TERR_USL_TRUD,0), ISNULL(TERR_RK,0), ISNULL(OSOB_USL_TRUD,0), ISNULL(COD_POS_SPISOK,0), ISNULL(COD_POS_SPISOK2,0), ISNULL(USL_DOSROCH_PENS,0), ISNULL(STAVKA_PED_MED,0), VID = 'ADD_TYPE', IS_DOP = '', ISNULL([COD_SPO_USL_TRUD],0)
	FROM dbo.staff
	WHERE ISNULL(TERR_USL_TRUD,0) <> 0 OR ISNULL(TERR_RK,0) <> 0 OR ISNULL(OSOB_USL_TRUD,0) <> 0 OR ISNULL(COD_POS_SPISOK,0) <> 0 OR ISNULL(COD_POS_SPISOK2,0) <> 0 OR ISNULL(USL_DOSROCH_PENS,0) <> 0 OR ISNULL(STAVKA_PED_MED,0) <> 0 OR ISNULL([COD_SPO_USL_TRUD],0) <> 0

	--
	DECLARE @MAX_TYPE INT
	SET @MAX_TYPE = ISNULL((SELECT MAX(type) FROM #ADD_TYPE),0)

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('TMP_TYPE', '')
	
	/*  ( )*/
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('KOMM_TYPE', '')


	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD1', '')

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	SELECT DISTINCT
		'PERIOD2',
		ISNULL(V.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
					--AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
					) VV ON VV.LINK = IV.TYPE_LINK
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	VALUES ('PERIOD3', '')
/*
	INSERT INTO #ADD_TYPE (VID, IS_DOP)
	Select DISTINCT
		'PERIOD4',
		ISNULL(VV.IS_DOP,'')
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/
	--    
	INSERT INTO #ADD_TYPE (VID, IS_DOP) 	
	SELECT LEFT('P_' + LTRIM(RTRIM(CODE)),20), IS_DOP
	FROM dbo.VACATION_VID 
	WHERE	IS_DOP IS NOT NULL
			AND 
			NOT EXISTS (SELECT * FROM #ADD_TYPE WHERE VID = LEFT('P_' + LTRIM(RTRIM(CODE)),20))

	--    c   
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type], NUM_STAKE)
	SELECT DISTINCT 
		link_face = E.PERS_LINK, S.LINK_KATEG,
		date1 = CASE WHEN S.DATE_BEG < (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else @PeriodBegin end)
					THEN (case when st.DATE_BEGIN >= @PeriodBegin then st.DATE_BEGIN else @PeriodBegin end)
					ELSE S.DATE_BEG
				END,
		date2 = CASE WHEN 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
							> (case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					THEN 
						(case when st.DATE_END <= @PeriodEnd then st.DATE_END else @PeriodEnd end)
					ELSE 
						(CASE WHEN S.DATE_END > (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							THEN (case when coalesce(U.DIS_DATE,@PeriodEnd) <= @PeriodEnd then coalesce(U.DIS_DATE,@PeriodEnd) else @PeriodEnd end)
							ELSE S.DATE_END
						END)
				END,	
		ISNULL(T.[type],0),
		ISNULL(im.NUM_STAKE,0)--, ST.*
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		INNER JOIN dbo.sa_item_move im ON im.EMPL_LINK = e.link
		inner join dbo.staff_head sh on sh.link = STAFF_LINK
		inner join dbo.staff st on st.link_up = sh.link
		LEFT JOIN dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1	
		left join #ADD_TYPE T on 
				ISNULL(st.TERR_USL_TRUD,0) = ISNULL(T.TERR_USL_TRUD,0) 
				AND ISNULL(st.TERR_RK,0) = ISNULL(T.TERR_RK,0) 
				AND ISNULL(st.OSOB_USL_TRUD,0) = ISNULL(T.OSOB_USL_TRUD,0) 
				AND ISNULL(st.COD_POS_SPISOK,0) = ISNULL(T.COD_POS_SPISOK,0) 
				AND ISNULL(st.COD_POS_SPISOK2,0) = ISNULL(T.COD_POS_SPISOK2,0) 
				AND ISNULL(st.USL_DOSROCH_PENS,0) = ISNULL(T.USL_DOSROCH_PENS,0) 
				AND ISNULL(st.STAVKA_PED_MED,0) = ISNULL(T.STAVKA_PED_MED,0) 
				AND ISNULL(st.[COD_SPO_USL_TRUD],0) = ISNULL(T.[COD_SPO_USL_TRUD],0)
	where 
		S.LINK_UP = @link
		AND
		IM.NUM_STAKE >= 1 
		AND
		IM.[STATUS] <> 2 -- .   
		AND
		im.DATE_BEGIN <= @PeriodEnd and im.DATE_END3 >= @PeriodBegin
		and 
		st.DATE_BEGIN <= @PeriodEnd and st.DATE_END >= @PeriodBegin
		AND 
		im.DATE_end3 > st.DATE_BEGIN -- AND st.DATE_END	 --            
		AND
		T.[TYPE] IS NOT NULL AND T.VID = 'ADD_TYPE'
		AND
		COALESCE(U.DIS_DATE,'20990101') >= @PeriodBegin
	order by
		E.PERS_LINK


	---**************************************

	DECLARE @TMP_TYPE INT
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')

	/* -    ( .  )*/
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	Select DISTINCT 
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then ISNULL(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		ISNULL( (SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = LEFT('P_' + LTRIM(RTRIM(VV.CODE)),20) AND AT.IS_DOP = VV.IS_DOP ), @TMP_TYPE),
		[NOT_LGOT_EXPIR]
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_vacation iv on E.link = iv.EMPL_LINK 
		inner join dbo.orders o on iv.order_link=o.link
		--  ,   "    ", 
		--  (   )
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link /*AND NO_SAL <> 1*/
		INNER JOIN dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK AND WORK_D <> 7 --      (   )
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and ISNULL(ivb.active,0) = 1
	where
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		ISNULL(ISNULL(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin


	/* -    ( .  )*/	
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'KOMM_TYPE')
	
	INSERT INTO 
		#PERIODY (link_face, LINK_KATEG, date1, date2, [type],[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			THEN (case when T.date_begin >= @PeriodBegin then T.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			THEN (case when ISNULL(ITL.NEW_DATE_END,T.date_end) <= @PeriodEnd then ISNULL(ITL.NEW_DATE_END,T.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE,
		1
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK	
		inner join dbo.item_travel T on E.link = T.EMPL_LINK
		left join dbo.ITEM_TRAVEL_LONG ITL on ITL.TRAVEL_LINK = T.LINK and ISNULL(ITL.ACTIVE,0) = 1	
	WHERE
		S.LINK_UP = @link
		AND 	
		E.DEP_LINK = @DEP_LINK
		AND 
		T.ACTIVE = 1 
		AND 
		T.DATE_BEGIN <= @PeriodEnd
		AND 
		ISNULL(ISNULL(ITL.NEW_DATE_END,T.date_end),'20990101') >= @PeriodBegin

	/* -      */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD1')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
		INNER JOIN dbo.NETRUD N ON N.LINK = [TYPE] AND N.DEKRET = 1
	WHERE 
		S.LINK_UP = @link
		AND	
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin

	/* -  */
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'PERIOD3')

	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type)
	SELECT DISTINCT
		E.PERS_LINK, LINK_KATEG, 
		CASE WHEN S.DATE_BEG < (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			THEN (case when D.date1 >= @PeriodBegin then D.date1 else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			THEN (case when D.date2 <= @PeriodEnd then D.date2 else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		@TMP_TYPE
	FROM 
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK
		inner join dbo.SDOC_DIS D on E.LINK = D.LINK_EMPL
	WHERE
		S.LINK_UP = @link
		AND	 
		E.DEP_LINK = @DEP_LINK
		and
		D.date1 <= @PeriodEnd
		and
		coalesce(D.date2,'20990101') >= @PeriodBegin
		and
		[TYPE] not in (select LINK from dbo.NETRUD where DEKRET = 1)

	/* -     1,5   3 */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	SELECT DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD2' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(V.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK 
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID V ON V.LINK = IV.TYPE_LINK
		INNER join dbo.TYP_DAYS D on V.TYPE_LINK = D.LINK AND  WORK_D = 7 
		--INNER JOIN (SELECT VV.LINK FROM dbo.VACATION_VID VV INNER join dbo.TYP_DAYS D on VV.TYPE_LINK = D.LINK WHERE WORK_D = 7 
			----AND ISNULL(VV.NOT_LGOT_EXPIR,0) = 0
		--	) VV ON VV.LINK = IV.TYPE_LINK
		LEFT JOIN DBO.ITEM_VACATION_BREAK IVB ON IVB.VAC_LINK = IV.LINK AND COALESCE(IVB.ACTIVE,0) = 1
	WHERE 
		S.LINK_UP = @link
		AND		
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin

/*
	/* -     */
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, type,[NOT_LGOT_EXPIR])
	Select DISTINCT
		E.pers_link, LINK_KATEG,
		CASE WHEN S.DATE_BEG < (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			THEN (case when iv.date_begin >= @PeriodBegin then iv.date_begin else @PeriodBegin end)
			ELSE S.DATE_BEG
		END,
		CASE WHEN S.DATE_END > (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			THEN (case when coalesce(ivb.DATE_BREAK,iv.date_end) <= @PeriodEnd then coalesce(ivb.DATE_BREAK,iv.date_end) else @PeriodEnd end)
			ELSE S.DATE_END
		END,
		(SELECT TOP 1 TYPE FROM #ADD_TYPE AT WHERE AT.VID = 'PERIOD4' AND AT.IS_DOP = LTRIM(RTRIM(ISNULL(VV.IS_DOP,'')))),
		[NOT_LGOT_EXPIR]
	FROM
		#PERSON P
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = P.LINK
		INNER JOIN dbo.empl e on S.LINK_PERS = E.PERS_LINK  
		inner join item_vacation iv on E.link = iv.EMPL_LINK inner join orders o on iv.order_link=o.link
		INNER JOIN dbo.VACATION_VID VV ON VV.LINK = IV.type_link AND VV.NO_SAL = 1
		left join dbo.item_vacation_break ivb on ivb.vac_link = iv.link and coalesce(ivb.active,0) = 1
	WHERE
		S.LINK_UP = @link
		AND		 	
		E.DEP_LINK = @DEP_LINK
		and
		iv.active = 1 
		and
		iv.date_begin <= @PeriodEnd
		and
		coalesce(coalesce(ivb.DATE_BREAK,iv.date_end),'20990101') >= @PeriodBegin
*/


	--------------------------------------------------------------------------
	-- 2.            type.
	--- ,        , ..     
	CREATE TABLE #PERIODY3 (link int identity(1,1), link_face int, LINK_KATEG INT, date1 datetime, date2 datetime, [type] INT, orders int, i int, NUM_STAKE NUMERIC(5,2), TYPE_ADD INT)

	--    -1  ..  
	INSERT INTO #PERIODY (link_face, LINK_KATEG, date1, date2, [type])
	SELECT DISTINCT link_face, LINK_KATEG, @PeriodBegin, @PeriodEnd, [type] = -1  FROM #PERIODY



	CREATE TABLE #DAYS (ID INT IDENTITY(1,1), LINK_FACE INT, LINK_KATEG INT, [DATE] DATETIME, [TYPE] INT, NUM INT, NUM_STAKE NUMERIC(5,2), [TYPE_ADD] INT)

	INSERT INTO #DAYS (LINK_FACE, LINK_KATEG, [DATE], [TYPE], NUM, NUM_STAKE, [TYPE_ADD])
	SELECT P.LINK_FACE, P.LINK_KATEG, [DATE], [TYPE] = MAX([TYPE]), 0, 
		NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), 
		[TYPE_ADD] = MAX(CASE WHEN [TYPE] <= @MAX_TYPE THEN [TYPE] ELSE 0 END)
	FROM 
		#PERIODY P
		INNER JOIN dbo.days_ex(@PeriodBegin, @PeriodEnd) D ON 1=1
	WHERE
		D.[DATE] BETWEEN P.DATE1 AND P.DATE2
	GROUP BY
		P.LINK_FACE, P.LINK_KATEG, [date]
	ORDER BY	
		P.LINK_FACE, P.LINK_KATEG, [date]


	--   ,     
	UPDATE #DAYS SET [TYPE_ADD] = 0 
	WHERE 
		EXISTS (SELECT * FROM #PERIODY WHERE 
			#PERIODY.[NOT_LGOT_EXPIR] = 1
			AND #PERIODY.link_face = #DAYS.link_face
			AND #DAYS.[DATE] BETWEEN #PERIODY.DATE1 AND #PERIODY.DATE2)


	-- 
	DECLARE 
		@ID INT, @ID1 INT, @ID2 INT, @LINK_FACE INT, @DATE datetime, @LINK_KATEG INT, @TYPE INT, @NUM INT, @TYPE_ADD INT,
		@LINK_FACE1 INT, @LINK_KATEG1 INT, @TYPE1 INT,@TYPE_ADD1 INT,@DATE1 datetime

	--  ,      

------------------             
--------       ( -   - ) ,    ...      
--------   #ADD_TYPE    

----
	SET @TMP_TYPE = (SELECT TOP 1 TYPE FROM #ADD_TYPE WHERE VID = 'TMP_TYPE')
----


	CREATE table #TDays(link_face int, id int,  date DATETIME ,LINK_KATEG int , [TYPE] INT, [TYPE_ADD] INT)
	INSERT INTO #TDays (link_face , id ,   date,LINK_KATEG, [TYPE], [TYPE_ADD])
	SELECT d.link_face,
		   d.id,
		   d.date,
		   d.LINK_KATEG,
		   d.[TYPE],
		   d.[TYPE_ADD]
	FROM #DAYS  d	WHERE d.[type] = @TMP_TYPE AND d.[TYPE_ADD] <> 0
	ORDER BY d.link_face, d.ID ,d.[date], d.[TYPE] ,d.[TYPE_ADD]	 


	DECLARE @Cur0 CURSOR , @F_TYPE int, @F_TYPE_ADD int
	SET @Cur0 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE,[date],LINK_KATEG, [TYPE],  TYPE_ADD from  #TDays order by ID, LINK_FACE, [DATE]
	OPEN @Cur0
	FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
				

			SELECT DISTINCT @F_TYPE =[TYPE], @F_TYPE_ADD = [type_add]  
			FROM #DAYS WHERE LINK_FACE = @LINK_FACE AND LINK_KATEG = @LINK_KATEG AND [DATE] = @DATE-1 
			

			UPDATE d
			SET [TYPE] = @F_TYPE ,[type_add] = @F_TYPE_ADD 
			FROM #DAYS d
			WHERE d.ID = @ID AND d.LINK_FACE = @LINK_FACE AND d.[DATE] = @DATE  and d.LINK_KATEG=@LINK_KATEG AND d.[TYPE] = @TMP_TYPE
			
			
			UPDATE td
			SET [TYPE] = @F_TYPE ,[type_add] = @F_TYPE_ADD 
			FROM #TDays td
			WHERE ID = @ID AND LINK_FACE = @LINK_FACE AND [date] = @DATE and LINK_KATEG = @LINK_KATEG AND [TYPE]= @TYPE and type_add = @type_add 
			

		END

		FETCH NEXT FROM @Cur0 INTO @ID, @LINK_FACE,@DATE, @LINK_KATEG, @TYPE, @type_add 
	END

	CLOSE @Cur0
	DEALLOCATE @Cur0
	--
	/*		---------
				UPDATE #DAYS SET [type] = 0 WHERE [type] = @TMP_TYPE
			---------*/


		DROP TABLE #TDays 
-------------

---------------------------------------------------------------------------------
	--	
	SELECT TOP 1 @ID1 = 0, @ID2 = 0, @NUM = 0, @LINK_FACE1 = LINK_FACE, @LINK_KATEG1 =LINK_KATEG, @TYPE1 = [TYPE]
	FROM #DAYS
	order by ID
	--
	DECLARE @Cur1 CURSOR
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR SELECT ID, LINK_FACE, LINK_KATEG, [TYPE] from #DAYS order by ID
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			IF NOT (@LINK_FACE = @LINK_FACE1 AND @LINK_KATEG = @LINK_KATEG1 AND @TYPE = @TYPE1)
			BEGIN
				
				SELECT @NUM = @NUM + 1, @LINK_FACE1 = @LINK_FACE, @LINK_KATEG1 = @LINK_KATEG, @TYPE1 = @TYPE
				UPDATE #DAYS SET NUM = @NUM WHERE ID BETWEEN @ID1 AND @ID-1
				SELECT @ID1 = @ID 

			END

		END

		FETCH NEXT FROM @Cur1 INTO @ID, @LINK_FACE, @LINK_KATEG, @TYPE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1
	--
	UPDATE #DAYS SET NUM = @NUM+1 WHERE ID >= @ID1

	--


	INSERT INTO #PERIODY3 (link_face, LINK_KATEG, date1, date2, [type], orders, i, NUM_STAKE, TYPE_ADD)
	SELECT LINK_FACE, LINK_KATEG, DATE_BEG =  MIN([DATE]), DATE_END = MAX([DATE]), [TYPE], 0, 0, NUM_STAKE = MAX(ISNULL(NUM_STAKE,0)), TYPE_ADD
	FROM #DAYS	
	GROUP BY LINK_FACE, LINK_KATEG, NUM, [TYPE], TYPE_ADD
	ORDER BY LINK_FACE, LINK_KATEG, DATE_BEG, DATE_END

	--  
	DELETE FROM #PERIODY3 WHERE [TYPE] = -1

	/* */
	DECLARE @uslovie INT
	set @uslovie = 1
	while @uslovie > 0
	begin
		update #PERIODY3 set orders = @uslovie 
		from #PERIODY3 as tt
		where 	coalesce(orders,0) = 0
			and date1 = (select min(t.date1) from #PERIODY3 t where coalesce(orders,0) = 0 and t.link_face = tt.link_face AND T.LINK_KATEG = TT.LINK_KATEG)

		if @@rowcount > 0
			set @uslovie = @uslovie + 1
		else
			set @uslovie = 0
	END

	--   
	insert into dbo.SZV4_STAZH (link_up, orders, date1, date2, ter_usl, ter_koef, osob_usl, osob_k1, osob_k2, osob_k3, is_osnov, is_dop, is_dop_m, is_dop_d, ud_osnov, ud_dop_m, ud_dop_d, ud_dop_k, osob_spo)
	Select S.link, P.orders, P.date1, P.date2, 
		ter_usl = ISNULL(spr1.CODE,spr1A.CODE),
		ter_koef = ISNULL(T.TERR_RK,TA.TERR_RK),
		osob_usl = ISNULL(spr2.CODE,spr2A.CODE),
		osob_k1 = ISNULL(spr6.CODE,spr6A.CODE),
		osob_k2 = CONVERT(VARCHAR(20),left(ISNULL(spr7.CODE,spr7A.CODE),20)),
		osob_k3 = NULL,
		is_osnov = NULL, 
		is_dop = LTRIM(RTRIM(ISNULL(T.IS_DOP,TA.IS_DOP))),
		is_dop_m = NULL, 
		is_dop_d = NULL, 
		ud_osnov = ISNULL(spr5.CODE,spr5A.CODE), 
		ud_dop_m = NULL, 
		ud_dop_d = NULL, 
		ud_dop_k = ISNULL(T.STAVKA_PED_MED,TA.STAVKA_PED_MED) * P.NUM_STAKE,
		osob_spo = ISNULL(spr9.CODE,spr9A.CODE)
	 from
		#PERSON B 
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = B.LINK
		inner join #PERIODY3 P on S.link_pers = P.link_face AND S.LINK_KATEG = P.LINK_KATEG
		
		LEFT JOIN #ADD_TYPE T ON P.[TYPE] = T.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1 on spr1.spr_code = 'TERR_USL' and spr1.LINK = T.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2 on spr2.spr_code = 'OSOB_USL_TRUDA' and spr2.LINK = T.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5 on spr5.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5.LINK = T.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6 on spr6.SPR_CODE LIKE 'SPISOK%' and spr6.LINK = T.COD_POS_SPISOK
		left join dbo.szv4_spr spr7 on spr7.SPR_CODE LIKE 'SPISOK%' and spr7.LINK = T.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3
		left join dbo.szv4_spr spr9 on spr9.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9.LINK = T.[COD_SPO_USL_TRUD]

		LEFT JOIN #ADD_TYPE TA ON P.[TYPE_ADD] = TA.[TYPE] AND P.[TYPE_ADD] <> P.[TYPE]
		LEFT JOIN dbo.szv4_spr spr1A on spr1A.spr_code = 'TERR_USL' and spr1A.LINK = TA.TERR_USL_TRUD
		LEFT JOIN dbo.szv4_spr spr2A on spr2A.spr_code = 'OSOB_USL_TRUDA' and spr2A.LINK = TA.OSOB_USL_TRUD
		--left join dbo.szv4_spr spr3 on spr3.spr_code = 'ISCHISL_STAZH_OSNOV' and spr3.code = T.is_osnov
		--left join dbo.szv4_spr spr4 on spr4.spr_code = 'ISCHISL_STAZH_DOP_SV' and spr4.code = T.is_dop
		left join dbo.szv4_spr spr5A on spr5A.spr_code = 'DOSR_NAZN_PEN_OSNOV' and spr5A.LINK = TA.USL_DOSROCH_PENS
		left join dbo.szv4_spr spr6A on spr6A.SPR_CODE LIKE 'SPISOK%' and spr6A.LINK = TA.COD_POS_SPISOK
		left join dbo.szv4_spr spr7A on spr7A.SPR_CODE LIKE 'SPISOK%' and spr7A.LINK = TA.COD_POS_SPISOK2
		--left join dbo.szv4_spr spr8 on spr8.spr_code = 'LGOT_PROFES' and spr8.code = T.osob_k3	
		left join dbo.szv4_spr spr9A on spr9A.SPR_CODE LIKE 'SPO_USL_TRUDA' and spr9A.LINK = TA.[COD_SPO_USL_TRUD]
	where
		S.link_up = @link
		AND
		S.FORMA = 1
	order by
		S.link, P.orders

	--  
	CREATE TABLE #STAGE_DOG (
		LINK_PERS INT, 
		KATEG TINYINT,
		BERIOD_BEG DATETIME,
		BERIOD_END DATETIME
		)

	INSERT INTO #STAGE_DOG (LINK_PERS, KATEG, BERIOD_BEG, BERIOD_END)
	SELECT LINK_FACE, LINK_KATEG, MIN(date1), MAX(date2) 
	FROM #DGH A
	GROUP BY LINK_FACE, LINK_KATEG

	insert into dbo.SZV4_STAZH (link_up, orders, date1, date2)
	Select S.link, 1, P.BERIOD_BEG, P.BERIOD_END
	from
		#PERSON B 
		INNER JOIN dbo.SZV4_SVEDENIA S ON S.LINK_PERS = B.LINK
		INNER JOIN #STAGE_DOG P on S.link_pers = P.LINK_PERS AND S.LINK_KATEG = P.KATEG
	where
		S.link_up = @link
		AND
		S.FORMA = 2
	order by
		S.link
		
	END


--------------------------------------------------------------------------
/*    ,            
C 14     
*/	
DELETE FROM dbo.SZV4_SVEDENIA
WHERE 
LINK_UP = @link
AND
EXISTS (		
	Select  1
	from dbo.sa_szv4_svedenia S inner join  dbo.szv4_pachka p on p.link = s.link
	WHERE 
		S.LINK1 = dbo.SZV4_SVEDENIA.LINK
		AND s.sum_doh = 0 AND s.INSUR = 0 AND s.GAIN = 0 AND s.DOP = 0 and s.sum_uplata_dolga_str = 0 and s.sum_uplata_dolga_nak = 0
				 AND S.INCOME_M1 = 0 AND S.INCOME_M2 = 0 AND S.INCOME_M3 = 0 
		and p.vid_kor != 3
		AND NOT EXISTS (SELECT * FROM dbo.SZV4_STAZH ST WHERE ST.LINK_UP = S.LINK1)
)



--------------------------------------------------------------------------
exec dbo.SZV4_NUMERATOR @link





GO


GRANT EXECUTE ON dbo.[SA_SZV4_PACHKA_CALC_Buffer_2015_6] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[I_REPORT_FORMULA_ANALIT_KONVERT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[I_REPORT_FORMULA_ANALIT_KONVERT]

GO

/*
  (Keysystems), 2005
*/

CREATE PROCEDURE dbo.I_REPORT_FORMULA_ANALIT_KONVERT
	@varKSstrAnalit	varchar (250),
		
	@varKSAP_PD	INT output, 
	@varKSAP_VR	INT output, 
	@varKSAP_CS	INT output, 
	@varKSAP_EKR	INT output, 
	@varKSAP_DEP	INT output,
	@varKSAP_SUB	INT output,
	@varKSAP_EMP	INT output,
	@varKSAP_OS	INT output,
	@varKSAP_INV	INT output,
	@varKSAP_MP	INT output,
	@varKSAP_KAU	INT output,
	@varKSAP_UNI	INT output,
	@varKSAP_TMC	INT output, 
	@varKSAP_SM	INT output, 
	@varKSAP_InD	DATETIME output
AS
DECLARE @varKSI	smallint, 
	@varKScCode	varchar (200),
	@varKSRunStr	varchar (8000)
	SET @varKSstrAnalit = ltrim(@varKSstrAnalit) + ',#'
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)
	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)


SET @varKSAP_PD = case @varKScCode when 'null' then -1 else (select link from BI_DICTION_DIV where ltrim(rtrim(code)) = ltrim(rtrim(@varKScCode))) end
	SET @varKSstrAnalit = LTRIM(RIGHT(@varKSstrAnalit,LEN(@varKSstrAnalit)-@varKSI))
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)
	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)
SET @varKSAP_VR = case @varKScCode when 'null' then -1 else (select link from BI_DICTION_EXP where ltrim(rtrim(code)) = ltrim(rtrim(@varKScCode))) end
	SET @varKSstrAnalit = LTRIM(RIGHT(@varKSstrAnalit,LEN(@varKSstrAnalit)-@varKSI))
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)
	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)


SET @varKSAP_CS = case @varKScCode when 'null' then -1 else (select link from BI_DICTION_CSR where ltrim(rtrim(code)) = ltrim(rtrim(@varKScCode))) end
	SET @varKSstrAnalit = LTRIM(RIGHT(@varKSstrAnalit,LEN(@varKSstrAnalit)-@varKSI))
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)
	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)


	exec BufferClear 'EKR_ANALIT'

SET @varKSAP_EKR = (case @varKScCode when 'null' then -1 else 0 end)

	IF @varKSAP_EKR = 0 
		execute ( '
        select * into #KOSGU from KOSGU where ISNUMERIC(CODE) = 1 AND patindex(''%[A-Z-]%'', code) = 0        
        INSERT INTO BUFFER(LINK, ID) select LINK, ''EKR_ANALIT'' from #KOSGU A where '+ @varKScCode)

	SET @varKSstrAnalit = LTRIM(RIGHT(@varKSstrAnalit,LEN(@varKSstrAnalit)-@varKSI))
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)


	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)

SET @varKSAP_KAU = case @varKScCode when 'null' then -1 else coalesce((select top 1 Link_KAU from REPORT_OPTIONS where val_type = 5 and code = @varKScCode), 0) end


	SET @varKSstrAnalit = LTRIM(RIGHT(@varKSstrAnalit,LEN(@varKSstrAnalit)-@varKSI))
	SET @varKSI = CHARINDEX (',',@varKSstrAnalit)


	exec BufferClear 'SM_ANALIT'
	SET @varKScCode = LEFT(@varKSstrAnalit,@varKSI-1)


SET @varKSAP_SM = (case @varKScCode when 'null' then -1 else 0 end)
IF @varKSAP_SM = 0 
BEGIN
	SET @varKSRunStr = 'INSERT INTO BUFFER(LINK, ID) select LINK, ''SM_ANALIT'' from dictionary_sm 
		where code_grp = ' + (case when @varKScCode = '' then '1' 
					   when @varKScCode = '..' then '2 OR code_grp = 3' 
					   when @varKScCode = '..' then '4 OR code_grp = 5' 
					  else '0'
					end)
	execute (@varKSRunStr)
END

set @varKSAP_InD = '17530101'


GO


GRANT EXECUTE ON dbo.[I_REPORT_FORMULA_ANALIT_KONVERT] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[I_REPORT_FORMULA_ADTKT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[I_REPORT_FORMULA_ADTKT]

GO

CREATE PROCEDURE dbo.I_REPORT_FORMULA_ADTKT
	@varKSOUT_SUM	NUMERIC (20,2) OUTPUT,
	@varKSCODE_ACCT_DT	VARCHAR (200),	
	@varKSCODE_ACCT_KT	VARCHAR (200),	
	@varKSDATE_B		DATETIME,	
	@varKSDATE_E		DATETIME,	
	@varKSstrAnalit_DT	varchar (200),	
	@varKSstrAnalit_KT	varchar (200),
	@varKSDEP_LINK		INT	

AS

	DECLARE @DEP INT
	SET @DEP = @varKSDEP_LINK

	/*     -*/
	DECLARE @SQL NVARCHAR(4000), @STATUS INT, @BASE VARCHAR(254), @ERR_MSG VARCHAR(254)

	SET ANSI_NULLS ON
	SET ANSI_WARNINGS ON
	
	EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_IPROV @BASE = @BASE OUTPUT, @DEP_LINK = @varKSDEP_LINK OUTPUT, @ERR_MSG = @ERR_MSG OUTPUT
	
	SET ANSI_NULLS OFF
	SET ANSI_WARNINGS OFF

	IF @STATUS <> 0
	BEGIN --   -	

		SET @varKSDEP_LINK = @DEP

		DECLARE
			@varKSAP_DT_1	int,
			@varKSAP_DT_2	int,
			@varKSAP_DT_3	int,
			@varKSAP_DT_4	int,
			@varKSAP_DT_5	int,
			@varKSAP_DT_6	int,
			@varKSAP_DT_7	int,
			@varKSAP_DT_8	int,
			@varKSAP_DT_9	int,
			@varKSAP_DT_10	int,
			@varKSAP_DT_11	int,
			@varKSAP_DT_12	int,
			@varKSAP_DT_13	int,
			@varKSAP_DT_14	int,
			@varKSAP_DT_15	DateTime
			
		DECLARE
			@varKSAP_KT_1	int,
			@varKSAP_KT_2	int,
			@varKSAP_KT_3	int,
			@varKSAP_KT_4	int,
			@varKSAP_KT_5	int,
			@varKSAP_KT_6	int,
			@varKSAP_KT_7	int,
			@varKSAP_KT_8	int,
			@varKSAP_KT_9	int,
			@varKSAP_KT_10	int,
			@varKSAP_KT_11	int,
			@varKSAP_KT_12	int,
			@varKSAP_KT_13	int,
			@varKSAP_KT_14	int,
			@varKSAP_KT_15	DateTime
			
		set @varKSAP_DT_1 = -1
		set @varKSAP_DT_2 = -1
		set @varKSAP_DT_3 = -1
		set @varKSAP_DT_4 = -1
		set @varKSAP_DT_5 = -1
		set @varKSAP_DT_6 = -1
		set @varKSAP_DT_7 = -1
		set @varKSAP_DT_8 = -1
		set @varKSAP_DT_9 = -1
		set @varKSAP_DT_10 = -1
		set @varKSAP_DT_11 = -1
		set @varKSAP_DT_12 = -1
		set @varKSAP_DT_13 = -1
		set @varKSAP_DT_14 = -1
		set @varKSAP_KT_1 = -1
		set @varKSAP_KT_2 = -1
		set @varKSAP_KT_3 = -1
		set @varKSAP_KT_4 = -1
		set @varKSAP_KT_5 = -1
		set @varKSAP_KT_6 = -1
		set @varKSAP_KT_7 = -1
		set @varKSAP_KT_8 = -1
		set @varKSAP_KT_9 = -1
		set @varKSAP_KT_10 = -1
		set @varKSAP_KT_11 = -1
		set @varKSAP_KT_12 = -1
		set @varKSAP_KT_13 = -1
		set @varKSAP_KT_14 = -1

		exec dbo.BufferClear 'SM_ANALIT_DT'
		exec dbo.BufferClear 'EKR_ANALIT_DT'
		exec I_REPORT_FORMULA_ANALIT_KONVERT @varKSstrAnalit_DT, @varKSAP_DT_1 output, @varKSAP_DT_2 output, @varKSAP_DT_3 output, @varKSAP_DT_4 output, @varKSAP_DT_5 output, @varKSAP_DT_6 output, @varKSAP_DT_7 output, @varKSAP_DT_8 output, @varKSAP_DT_9 output, @varKSAP_DT_10 output, @varKSAP_DT_11 output, @varKSAP_DT_12 output, @varKSAP_DT_13 output, @varKSAP_DT_14 output, @varKSAP_DT_15 output
		update buffer set ID = 'EKR_ANALIT_DT' where ID = 'EKR_ANALIT' and SID = suser_sid()
		update buffer set ID = 'SM_ANALIT_DT' where ID = 'SM_ANALIT' and SID = suser_sid()
		exec I_REPORT_FORMULA_ANALIT_KONVERT @varKSstrAnalit_KT, @varKSAP_KT_1 output, @varKSAP_KT_2 output, @varKSAP_KT_3 output, @varKSAP_KT_4 output, @varKSAP_KT_5 output, @varKSAP_KT_6 output, @varKSAP_KT_7 output, @varKSAP_KT_8 output, @varKSAP_KT_9 output, @varKSAP_KT_10 output, @varKSAP_KT_11 output, @varKSAP_KT_12 output, @varKSAP_KT_13 output, @varKSAP_KT_14 output, @varKSAP_KT_15 output

		if exists (select * from buffer where ID = 'EKR_ANALIT_DT' and SID=suser_sid())
			SET @varKSAP_DT_4 = 0

		DECLARE @varKSCUR_AC_Link	int,
			@varKSI		int,
			@varKScSTR		varchar (200)

		exec dbo.BufferClear 'A_SALDO_DT'
		exec dbo.BufferClear 'A_SALDO_KT'

		exec I_REPORT_GET_ACCT_LINK @varKSCODE_ACCT_DT, 'A_SALDO_DT'
		exec I_REPORT_GET_ACCT_LINK @varKSCODE_ACCT_KT, 'A_SALDO_KT'

		SET @varKSOUT_SUM = 0	

		select @varKSOUT_SUM = sum(summa) 
		from AProvByBufferConditionsShort (@varKSDATE_B, @varKSDATE_E, 'A_SALDO_DT', 'A_SALDO_KT')
		where 	(@varKSAP_DT_4 = -1 or DT_SGU in (select link from dbo.BufferGetTableByID('EKR_ANALIT_DT')))
			AND (@varKSAP_KT_4=-1 OR KT_SGU in (select link from dbo.BufferGetTableByID('EKR_ANALIT')))
			AND DEP_LINK = @varKSDEP_LINK
			AND (@varKSAP_DT_11 = -1 OR DT_KAU = @varKSAP_DT_11 OR @varKSAP_DT_11 IS NULL AND DT_KAU IS NULL)
			AND (@varKSAP_KT_11 = -1 OR KT_KAU = @varKSAP_KT_11 OR @varKSAP_KT_11 IS NULL AND KT_KAU IS NULL)

		exec dbo.BufferClear 'EKR_ANALIT'
		exec dbo.BufferClear 'EKR_ANALIT_DT'
		exec dbo.BufferClear 'A_SALDO_DT'
		exec dbo.BufferClear 'A_SALDO_KT'
		exec dbo.BufferClear 'SM_ANALIT'
		exec dbo.BufferClear 'SM_ANALIT_DT'

	END
	ELSE
	BEGIN --   -
			DECLARE @DT_SGU_FILTER VARCHAR(8000), @KT_SGU_FILTER VARCHAR(8000)
			DECLARE @DT_DOP_LINE VARCHAR(1000), @KT_DOP_LINE VARCHAR(8000)
			
			SET @DT_SGU_FILTER = (SELECT TOP 1 [TXT] FROM dbo.StrToLine(@varKSstrAnalit_DT,',') WHERE ROW = 4)
			SET @KT_SGU_FILTER = (SELECT TOP 1 [TXT] FROM dbo.StrToLine(@varKSstrAnalit_KT,',') WHERE ROW = 4)

			SET @DT_DOP_LINE = (SELECT TOP 1 [TXT] FROM dbo.StrToLine(@varKSstrAnalit_DT,',') WHERE ROW = 5)
			SET @KT_DOP_LINE = (SELECT TOP 1 [TXT] FROM dbo.StrToLine(@varKSstrAnalit_KT,',') WHERE ROW = 5)


			SET @SQL = 'EXEC ' + @BASE 
			+ 'dbo.ZP_SUM_PROV 
			@SUMMA=@SUMMA OUTPUT 
			,@PERIOD_BEG=@PERIOD_BEG 
			,@PERIOD_END=@PERIOD_END 
			,@DEP_LINK=@DEP_LINK
			,@sDT_ACC_LINE = @sDT_ACC_LINE
			,@sKT_ACC_LINE = @sKT_ACC_LINE
			,@sDT_DOP_LINE = @sDT_DOP_LINE
			,@sKT_DOP_LINE = @sKT_DOP_LINE
			,@sDT_SGU_FILTER = @sDT_SGU_FILTER
			,@sKT_SGU_FILTER = @sKT_SGU_FILTER
			'

			SET ANSI_NULLS ON
			SET ANSI_WARNINGS ON
	
			EXEC SP_EXECUTESQL @SQL, N'@PERIOD_BEG DATETIME, @PERIOD_END DATETIME, @DEP_LINK INT, @SUMMA NUMERIC(18,2) OUTPUT, 
										@sDT_ACC_LINE VARCHAR(1000), @sKT_ACC_LINE VARCHAR(1000),
										@sDT_DOP_LINE VARCHAR(1000), @sKT_DOP_LINE VARCHAR(1000),
										@sDT_SGU_FILTER VARCHAR(1000), @sKT_SGU_FILTER VARCHAR(1000)', 
										@PERIOD_BEG = @varKSDATE_B, @PERIOD_END = @varKSDATE_E, @DEP_LINK = @varKSDEP_LINK, @SUMMA = @varKSOUT_SUM OUTPUT,
										@sDT_ACC_LINE = @varKSCODE_ACCT_DT, @sKT_ACC_LINE = @varKSCODE_ACCT_KT,
										@sDT_DOP_LINE = @DT_DOP_LINE, @sKT_DOP_LINE = @KT_DOP_LINE,
										@sDT_SGU_FILTER = @DT_SGU_FILTER, @sKT_SGU_FILTER = @KT_SGU_FILTER

										 
			SET ANSI_NULLS OFF
			SET ANSI_WARNINGS OFF
			
	END
	
	SET @varKSOUT_SUM = coalesce(@varKSOUT_SUM, 0)

GO


GRANT EXECUTE ON dbo.[I_REPORT_FORMULA_ADTKT] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[I_REPORT_FORMULA_KTSN]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[I_REPORT_FORMULA_KTSN]

GO

/*
c  (Keysystems), 2005
*/
CREATE PROCEDURE dbo.I_REPORT_FORMULA_KTSN
	@varKSCODE_ACC	VARCHAR (250)	,
	@varKSDATE_B		DATETIME	,
	@varKSDATE_E		DATETIME	,
	@varKSOUT_SUM	NUMERIC (20,2) OUTPUT,
	@varKSiDep_Link int
AS

	DECLARE @DEP INT
	SET @DEP = @varKSiDep_Link

	/*     -*/
	DECLARE @SQL NVARCHAR(4000), @STATUS INT, @BASE VARCHAR(254), @ERR_MSG VARCHAR(254)

	SET ANSI_NULLS ON
	SET ANSI_WARNINGS ON
	
	EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_IPROV @BASE = @BASE OUTPUT, @DEP_LINK = @varKSiDep_Link OUTPUT, @ERR_MSG = @ERR_MSG OUTPUT
	
	SET ANSI_NULLS OFF
	SET ANSI_WARNINGS OFF
	
	IF @STATUS <> 0
	BEGIN --   -
		
		SET @varKSiDep_Link = @DEP
				
		exec dbo.BufferClear 'CODE_ACCTS'
		exec dbo.I_REPORT_GET_ACCT_LINK @varKSCODE_ACC, 'CODE_ACCTS'

		if (select count(link) from dbo.BufferGetTableByID('CODE_ACCTS'))  = 0 
			return -1 

		set @varKSOUT_SUM = 0

		select @varKSOUT_SUM = coalesce(sum(k_Summa)-sum(d_Summa),0) from dbo.RestTableByDateAccounts (@varKSDATE_B, 'CODE_ACCTS') 
		where DEP_Link = @varKSiDep_Link
		exec dbo.BufferClear 'CODE_ACCTS'
	
	END
	ELSE
	BEGIN --   -
	
		SET ANSI_NULLS ON
		SET ANSI_WARNINGS ON
		
		DECLARE @REST_D NUMERIC(18,2), @REST_K NUMERIC(18,2)
		
		SET @SQL = 'EXEC ' + @BASE
		+ 'dbo.ZP_SUM_REST 
		@REST_D = @REST_D OUTPUT
		,@REST_K = @REST_K OUTPUT
		,@LINK_DEP = @LINK_DEP
		,@ACC_LINE = @ACC_LINE
		,@DATE = @DATE
		,@DOP_CODE = @DOP_CODE
		,@KAU_CODE = @KAU_CODE
		'
		--PRINT @SQL
		EXEC SP_EXECUTESQL @SQL, N'@REST_D NUMERIC(18,2) OUTPUT,@REST_K NUMERIC(18,2) OUTPUT, @LINK_DEP INT,@ACC_LINE VARCHAR(254),@DATE DATETIME,@DOP_CODE VARCHAR(254),@KAU_CODE VARCHAR(254)', 
									@REST_D=@REST_D OUTPUT, @REST_K=@REST_K OUTPUT, @LINK_DEP=@varKSiDep_Link, @ACC_LINE=@varKSCODE_ACC, @DATE=@varKSDATE_B, @DOP_CODE=NULL, @KAU_CODE=NULL
		--***

		SET @varKSOUT_SUM = coalesce(sum(@REST_K)-sum(@REST_D),0)

		SET ANSI_NULLS OFF
		SET ANSI_WARNINGS OFF	

	END

return 0

GO


GRANT EXECUTE ON dbo.[I_REPORT_FORMULA_KTSN] TO PUBLIC

GO



GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_SZVM_16_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_SZVM_16_PREPARE]

GO
CREATE PROCEDURE dbo.SA_SZVM_16_PREPARE @LSF INT
AS

DECLARE
	@START_DATE DATETIME, @EndOfMonth DATETIME, @BeginOfMonth DATETIME, @DEP_LINK INT , @PERIOD_NUM INT, 
	@BYearDate DATETIME, @nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SELECT
	@DEP_LINK = Link_Organization,
	@START_DATE = BEGIN_DATE,
	@PERIOD_NUM = PERIOD_NUMBER
FROM
	report_saved_forms
WHERE
	link_saved_form = @LSF
	
--exec dbo.RI_REPORT_FORMULA_ALL_CALCULATE '2016-02-01 00:00:00','2016-02-29 00:00:00',4,2,42451

SET @EndOfMonth = dbo.DateENDOfMONTH(@START_DATE)
SET @BeginOfMonth = dbo.DateBeginOfMonth(@START_DATE)


SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE)-2,
	@nMONTH2 = MONTH(@START_DATE)-1,
	@nMONTH3 = MONTH(@START_DATE)

DECLARE @varKSname VARCHAR(100), @varKSSQL VARCHAR(8000)
SET @varKSname = (SELECT ID FROM BUFFER WHERE LINK = -116 AND SID = SUSER_SID() )

--------------------------------------------
/******** **********/
DECLARE @NAvgCount NUMERIC(18,0)

/*      */
Set @NAvgCount = convert(numeric(18,0), dbo.sa_ssch_empls(@BeginOfMonth, @EndOfMonth, @DEP_LINK, 0, 1, 0, DEFAULT))


---      ,   
CREATE TABLE #PERS_IN_PERIOD (CHECKED tinyint, PERS_LINK INT , NAME_PERS VARCHAR(150))
INSERT INTO #PERS_IN_PERIOD  (CHECKED , PERS_LINK , NAME_PERS) 


SELECT 0 as CHECKED, E.pers_link, NAME_PERS = dbo.ku_getPersFio(E.pers_link)
FROM 
	dbo.EMPL E inner join dbo.ITEM_MOVE P on E.link = P.empl_link and P.NEW_FACE = 1 AND P.ACTIVE=1
	left join dbo.ITEM_DIS_FACE U on E.link = U.empl_link AND U.ACTIVE=1
WHERE 
	P.DATE_BEGIN <= @EndOfMonth
	and
	coalesce(U.DIS_DATE,'20990101') >= @BeginOfMonth
	And 
	E.DEP_LINK = @DEP_LINK
UNION 
Select 
	0 as CHECKED, pers_link = DFG.link, NAME_PERS = dbo.ku_getPersFio(DFG.link)
FROM PERSON DFG inner join SALARY_REESTR_DGH DGH on DFG.link = DGH.PERS_LINK
WHERE 
	DGH.DATE1 = (
		Select max(DATE1)  from SALARY_REESTR_DGH as DGH0 
				where DGH.PERS_LINK = DGH0.PERS_LINK AND DGH0.DEP_LINK = DGH.DEP_LINK
					AND
					(
						@BeginOfMonth between ISNULL(DATE1, '19000101') AND ISNULL(DATE2, '20990101') 
						OR @EndOfMonth between ISNULL(DATE1, '19000101') AND ISNULL(DATE2, '20990101')
						OR 
							( ISNULL(DATE1, '19000101') between @BeginOfMonth  AND @EndOfMonth
							 OR 
							 ISNULL(DATE2, '20990101') between @BeginOfMonth  AND @EndOfMonth
							) 
					)	 	
				)
	And 
	DGH.DEP_LINK = @DEP_LINK


CREATE  table #PERS_INFO( PERS_LINK INT, FULL_FIO VARCHAR(150), INSUR_NUM VARCHAR(14), INN varchar(12) )

INSERT INTO #PERS_INFO
SELECT pip.PERS_LINK, pip.NAME_PERS, p.INSUR_NUM, p.INN  
FROM #PERS_IN_PERIOD pip
	INNER JOIN dbo.person p ON p.link =  pip.PERS_LINK  


/*
**     ...             -1
Select e.pers_link, p.fm , p.im , p.ot, ei.period_beg, ei.period_end, p.insur_num , p.INN 

FROM 
dbo.empl e
inner join dbo.person p on p.link = e.pers_link					
inner join (select * from dbo.ku_EmplsInPeriod0(@BeginOfMonth,@EndOfMonth, @DEP_LINK, 0, 0) group by date, empl_link,status, sch,ssch,comment) s on  e.link = s.empl_link                                  
INNER JOIN dbo.SA_EMPLS_INFO_PERIOD(@BeginOfMonth,@EndOfMonth, DEFAULT, @DEP_LINK) EI ON S.EMPL_LINK = EI.EMPL_LINK AND S.[DATE] BETWEEN EI.PERIOD_BEG AND EI.PERIOD_END
where
	(0 = 0 or (0 <> 0 and sex = 0))
	and
	((1 = 0 and S.[status] <> 2) or (1 in (1,3) and S.[status] = 1))
	and
	e.dep_link = @DEP_LINK
group by
	e.pers_link, p.fm , p.im , p.ot, ei.period_beg, ei.period_end, ei.NOTwork, p.insur_num , p.INN 
UNION ALL 
-- exec  SA_SZVM_16_PREPARE 42451
SELECT distinct rd.pers_link, pe.fm , pe.im , pe.ot, rd.date1 as period_beg, rd.date2 AS period_end, pe.insur_num , pe.INN 
FROM
	/*dbo.SDOC G
	INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP*/
dbo.SALARY_REESTR_DGH rd 
left JOIN DBO.PERSON Pe on Pe.LINK = RD.PERS_LINK
WHERE
	rd.DEP_LINK = @DEP_LINK
	AND @EndOfMonth BETWEEN rd.DATE1 AND COALESCE(rd.DATE2,'29990101')
	OR @BeginOfMonth BETWEEN rd.DATE1 AND COALESCE(rd.DATE2,'29990101')
 

*/

--
CREATE TABLE #RES (LINK INT IDENTITY (1,1), COL2 VARCHAR(150),COL3 VARCHAR(14), COL4 VARCHAR(12))
SET @varKSSQL = '
	INSERT INTO #RES ( COL2, COL3, COL4)
	SELECT
		FULL_FIO,
		INSUR_NUM,
		INN
	FROM 
		#PERS_INFO
	ORDER BY
		FULL_FIO'

EXEC (@varKSSQL)

SELECT
	CODE = CONVERT(int,RANK() OVER (ORDER BY COL2)),
	COL1 = CONVERT(int,RANK() OVER (ORDER BY COL2)),
	COL2,
	COL3,
	COL4
FROM
	#RES E
ORDER BY
	COL2

DROP TABLE #PERS_IN_PERIOD
DROP TABLE #PERS_INFO
DROP TABLE #RES
--------------------------------------------
--------------------------------------------



	

RETURN 0




GO


GRANT EXECUTE ON dbo.[SA_SZVM_16_PREPARE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_BUDG_TYPE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_BUDG_TYPE]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_BUDG_TYPE (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(10), NAME VARCHAR(254), CODE_EL VARCHAR(2), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, CODE_EL, NUM)
SELECT D.LINK, LEFT(D.CODE,10), LEFT(D.FULL_NAME,254), CODE_EL = LEFT(BT.CODE_EL,2), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,10) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.DEPARTMENTS D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
	inner join ' + @DB + 'dbo.DEPARTMENT_GROUPS_REF GR on GR.DEP_LINK = D.LINK
	inner join ' + @DB + 'dbo.DEPARTMENT_GROUPS G on GR.GROUP_LINK = G.LINK and G.[SYS] = 2
	LEFT JOIN ' + @DB + 'dbo.BUDGET B ON B.BUDG = D.LINK
	LEFT JOIN ' + @DB + 'dbo.BUDGET_TYPE BT ON BT.LINK = B.[TYPE]
WHERE
	LEFT(D.CODE,10) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.[KL_BUDG_TYPE] WHERE [Code]='--') 
	INSERT INTO dbo.[KL_BUDG_TYPE](Code, Name, System, OUTCODE, CODE_EL)
	VALUES ('--', '  ', 1, '', '')

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.CODE_EL = ISNULL(T.CODE_EL,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_BUDG_TYPE A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.CODE_EL <> ISNULL(T.CODE_EL,'')	

INSERT INTO dbo.KL_BUDG_TYPE (CODE, NAME, CODE_EL, [System], [OUTCODE]) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.CODE_EL,''),
	0,
	''
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.KL_BUDG_TYPE A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_BUDG_TYPE] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BB_DICTION_PROG]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BB_DICTION_PROG]
GO

CREATE PROCEDURE dbo.SYNCH_BB_DICTION_PROG (@DB NVARCHAR(50), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/


DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(4), NAME VARCHAR(50), LNAME VARCHAR(1000), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, LNAME, NUM)

SELECT D.LINK, LEFT(D.CODE,4), LEFT(D.SNAME,50), LEFT(D.NAME,1000), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,4) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_PROG D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,4) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.KL_PROG WHERE [Code]= REPLICATE('-',4)) 
	INSERT INTO dbo.KL_PROG(CODE, NAME, LNAME)
	SELECT REPLICATE('-',4), ' ', ' '

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LNAME = ISNULL(T.LNAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_PROG A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.LNAME <> ISNULL(T.LNAME,'')	

INSERT INTO dbo.KL_PROG (CODE, NAME, LNAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.LNAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.KL_PROG A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BB_DICTION_PROG] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[KIR_EXEC_SALARY_ESN_REPORT1]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[KIR_EXEC_SALARY_ESN_REPORT1]

GO
CREATE PROCEDURE [dbo].[KIR_EXEC_SALARY_ESN_REPORT1]

	@DATE1 DATETIME,			/*   */
	@DATE2 DATETIME,			/*   */
	@CHECK1 INT	= 1,			/*   1952 . .,   1956 */
	@CHECK2 INT	= 1,			/*   1952 . .,   1956 */
	@CHECK3 INT	= 1,			/* 1967 ..   */
	@ORDERBY INT,				/*   */

	@DETAL_SUB TINYINT = 1,		/*    */
	@DETAL_FIO TINYINT = 1,		/*    */
	@DETAL_SOURCE TINYINT = 1,	/*    */
	
	@DGH TINYINT = 0,			/*   */
	@SHOW_Data TINYINT = 0 ,	/*   : 1)     , 2)     */
	@cVAL1 CHAR(1)='', @nOTBORLINK1 INT = 0, /*   */
	@cVAL2 CHAR(1)='', @nOTBORLINK2 INT = 0, /*   */
	@cVAL3 CHAR(1)='', @nOTBORLINK3 INT = 0 /*   */

AS 
BEGIN

	DECLARE @LINK_DEP INT
	EXEC DBO.XD_WHATS_ZB @LINK_DEP OUTPUT
	
	DECLARE @YEAR_BEG DATETIME
	SET @YEAR_BEG = dbo.DateBeginOfyEAR(@DATE2)	

	CREATE TABLE #EMPLS(LINK_EMPL INT)
	IF LEN(@cVAL1) <> 0 
		INSERT INTO #EMPLS
		SELECT RECORD AS LINK_EMPL FROM DBO.OBJECT_VAR_EMPL WHERE LINK_UP = @nOTBORLINK1
	ELSE
		INSERT INTO #EMPLS
		SELECT LINK AS LINK_EMPL 
 		FROM DBO.EMPL WHERE DEP_LINK = @LINK_DEP

	CREATE TABLE #SUBDIV(LINK_SUB INT)
	IF LEN(@cVAL2) <> 0 
		INSERT INTO #SUBDIV
		SELECT RECORD FROM DBO.OBJECT_VAR_SUBDIV_HEAD WHERE LINK_UP = @nOTBORLINK2

	--
	DECLARE @Y INT, @MIN_M INT, @MAX_M INT
	SELECT @Y = YEAR(@DATE2), @MAX_M = MONTH(@DATE2), @MIN_M = CASE WHEN YEAR(@DATE1) = YEAR(@DATE2) THEN MONTH(@DATE1) ELSE 1 END

	DECLARE @WAY TABLE (WAY_CALC TINYINT) 
	INSERT INTO @WAY(WAY_CALC)
	SELECT T4.way_calc
	FROM 
		dbo.DICTIONARY_MROT_TABLE4 t4
	WHERE
		t4.link_minrot = (SELECT TOP 1 link FROM dbo.DICTIONARY_MROT ss WHERE ss.period <= @DATE1 ORDER BY ss.period DESC)

	--
	CREATE TABLE #T1 (LINK_VKR INT, MONTH_BASE NUMERIC(18,2), SUMMA_BASE NUMERIC(18,2), DED_M NUMERIC(18,2), INV_M NUMERIC(18,2), SUMMA NUMERIC(18,2), WAY_CALC TINYINT, REF_PHYS_PERS INT, DGH TINYINT, SPO INT)
	
	INSERT INTO #T1 (LINK_VKR, MONTH_BASE, SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, DGH, SPO)
	SELECT 
		LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END),
		MONTH_BASE, 
		SUMMA_BASE, 
		DED_M, 
		INV_M, 
		SUMMA, 
		WAY_CALC, 
		REF_PHYS_PERS, 
		0,
		SPO = SPECO  
	FROM 
		dbo.SA_ESN_VIEW(@Y, @MAX_M, @LINK_DEP, 0) E
	WHERE 
		(@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = E.LINK_VKR))

	--	
	DECLARE @CUR1 CURSOR
	SET @CUR1 = CURSOR FORWARD_ONLY

	FOR SELECT Y, MIN(M) AS MIN_M, MAX(M) AS MAX_M FROM DBO.MONTHS_EX(@YEAR_BEG, @DATE2) WHERE Y < @Y GROUP BY Y ORDER BY Y DESC 
	
	OPEN @CUR1
	FETCH NEXT FROM @CUR1 INTO @Y, @MIN_M, @MAX_M
	WHILE (@@FETCH_STATUS <> -1)
	BEGIN
		IF (@@FETCH_STATUS <> -2)
		BEGIN

			INSERT INTO #T1 (LINK_VKR, MONTH_BASE, SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, DGH, SPO )
			SELECT 
				LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END),
				MONTH_BASE, SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, 0 , SPO = SPECO
			FROM DBO.SA_ESN_VIEW(@Y, @MAX_M, @LINK_DEP, 0) E 
			WHERE MONTH_BASE >= @MIN_M
					AND (@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = E.LINK_VKR))
		END
	
		FETCH NEXT FROM @CUR1 INTO @Y, @MIN_M, @MAX_M
	END
	
	CLOSE @CUR1
	DEALLOCATE @CUR1

	DECLARE @LINK_OBJ__DOCUMENTS_DGH INT
	SELECT @LINK_OBJ__DOCUMENTS_DGH = LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_DGH' 

	---  
	IF @DGH = 1
		INSERT INTO #T1 (LINK_VKR, MONTH_BASE, SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS, DGH)
		SELECT
			LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN GT.LINK_VKR ELSE 0 END), 
			MONTH(G.[DATE]) AS MONTH_BASE, 
			GT.SUMMA_BASE, 
			DED_M = 0, 
			INV_M = 0, 
			GT.SUMMA, 
			P.WAY_CALC, 
			GT.PERS_LINK, 
			1
		FROM 
			dbo.SDOC G
			INNER JOIN dbo.SDOC_DGH_TABLE GT ON G.LINK = GT.LINK_UP
			INNER JOIN dbo.PAYS P ON P.LINK = GT.LINK_PAY
			INNER JOIN dbo.SAL_SFIN F ON F.LINK = GT.LINK_VKR
		WHERE
			G.[OBJECT] = @LINK_OBJ__DOCUMENTS_DGH
			AND GT.[OBJECT] = 3 AND P.WAY_CALC <> 5
			AND FLAG_JC = 1
			AND P.[OBJECT] = 3
			AND YEAR(G.[DATE]) = @Y
			AND MONTH(G.[DATE]) BETWEEN MONTH(@YEAR_BEG) AND @MAX_M
			AND LINK_DEP = @LINK_DEP
			AND (@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = GT.LINK_VKR))
			
	--    
	CREATE TABLE #BASE_PAYS (WAY_CALC TINYINT, LINK_PAYS INT)
	INSERT INTO #BASE_PAYS (P.WAY_CALC, LINK_PAYS)
	SELECT DISTINCT P.WAY_CALC, R.LINK_PAYS
	FROM 
		dbo.PAYS P INNER JOIN dbo.TAX_REF R ON R.link_tax = P.LINK 
	WHERE
		P.[OBJECT] = 3
		AND EXISTS ( SELECT * FROM @WAY W WHERE W.WAY_CALC = P.WAY_CALC )

	--   
	CREATE TABLE #DGH_FAKT_BASE (PERS_LINK INT, WAY_CALC TINYINT, LINK_PAY INT, Y INT, M TINYINT, LINK_VKR INT, SUMMA NUMERIC(18,2))
	INSERT INTO #DGH_FAKT_BASE (PERS_LINK, LINK_PAY, WAY_CALC, Y, M, LINK_VKR, SUMMA)
	SELECT 
		GT.PERS_LINK, GT1.LINK_PAY, GT.WAY_CALC, Y = YEAR(G.[DATE]), M = MONTH(G.[DATE]), 
		(CASE WHEN @DETAL_SOURCE = 1 THEN GT.LINK_VKR ELSE 0 END), 
		SUMMA_BASE = sum(GT.SUMMA_BASE)
	FROM 
		dbo.DOCUMENTS_DGH G 
		INNER JOIN dbo.DOCUMENTS_DGH_T1 GT1 ON G.LINK = GT1.LINK
		INNER JOIN dbo.DOCUMENTS_DGH_T3 GT ON G.LINK = GT.LINK
	WHERE 
		FLAG_JC = 1
		AND YEAR(G.[DATE]) = @Y and MONTH(G.[DATE]) BETWEEN MONTH(@YEAR_BEG) AND @MAX_M 		
		AND (@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = GT.LINK_VKR ))
		AND LINK_DEP = @LINK_DEP
	GROUP BY G.LINK, 
		GT.PERS_LINK, GT1.LINK_PAY, GT.WAY_CALC, YEAR(G.[DATE]), MONTH(G.[DATE]), GT.LINK_VKR

	--     
	CREATE TABLE #CALC_OPER (PERS_LINK INT, LINK_PAYS INT, Y INT, M TINYINT, LINK_VKR INT, DGH TINYINT, SUMMA_ALL NUMERIC(18,2), SPO INT)
	INSERT INTO #CALC_OPER (PERS_LINK, LINK_PAYS, Y, M, LINK_VKR, DGH, SUMMA_ALL , SPO)
	--
	SELECT 
		E.PERS_LINK,
		cj.LINK_PAYS, Year(period_begin), Month(period_begin), 
		LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END),
		DGH = 0,
		SUMMA_ALL = SUM(CJ.SUMMA), 
		SPO = SPECO
	FROM 
		dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
		INNER JOIN DBO.EMPL E ON E.LINK = CJ.LINK_EMPL
	WHERE 	
		Year(period_begin) = @Y and Month(period_begin) BETWEEN @MIN_M AND @MAX_M 
		AND CJ.LINK_DEP = @LINK_DEP
		AND P.[OBJECT] = 1
		AND (@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = CJ.LINK_VKR))
		AND (LEN(@cVAL1) = 0 OR EXISTS (SELECT * FROM #EMPLS WHERE LINK_EMPL = E.LINK))
	GROUP BY
		E.PERS_LINK, cj.LINK_PAYS, period_begin, CJ.SPECO, (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END)

	
	INSERT INTO #CALC_OPER (PERS_LINK, LINK_PAYS, Y, M, LINK_VKR, DGH, SUMMA_ALL, SPO)
	--
	SELECT 
		CJ.PERS_LINK,
		cj.LINK_PAYS, Year(period_begin), Month(period_begin),
		LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END),
		DGH = 1,
		SUMMA_ALL = SUM(CJ.SUMMA),
		SPO = SPECO
	FROM 
		dbo.CALCULATE_JURNAL CJ inner join dbo.pays p on p.link = cj.LINK_PAYS
	WHERE
		@DGH = 1
		AND CJ.PERS_LINK IS NOT NULL
		AND Year(period_begin) = @Y and Month(period_begin) BETWEEN @MIN_M AND @MAX_M 
		AND CJ.LINK_DEP = @LINK_DEP
		AND P.[OBJECT] = 1
		AND (@cVAL3 = '' OR @cVAL3 <> '' AND EXISTS (SELECT RECORD FROM DBO.OBJECT_VAR_SAL_SFIN V WHERE LINK_UP = @nOTBORLINK3 AND V.RECORD = CJ.LINK_VKR))
	GROUP BY
		CJ.PERS_LINK, cj.LINK_PAYS, period_begin, CJ.SPECO, (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_VKR ELSE 0 END)

	-----------
	CREATE TABLE #CALC_OPER_W(PERS_LINK INT, LINK_PAYS INT, Y INT, M INT, LINK_VKR INT, DGH TINYINT, SUMMA NUMERIC(18,2), WAY_CALC TINYINT, WAY_NAME VARCHAR(50) , SPO int)
	INSERT INTO #CALC_OPER_W (PERS_LINK, LINK_PAYS, Y, M, LINK_VKR, DGH, SUMMA, WAY_CALC, WAY_NAME , SPO)
	SELECT 
		PERS_LINK, LINK_PAYS, Y, M, LINK_VKR, DGH, SUMMA_ALL, WC.CODE, 
		WAY_NAME = (CASE WHEN ISNULL(SPO,0) >0 
						THEN WC.NAME  + ' - ' + (SELECT CODE FROM dbo.SA_SZV4_SPR s4 WHERE s4.link = CO.SPO AND s4.spr_code LIKE 'SPO_USL_TRUDA') 
					 ELSE  WC.NAME  END), 
		CO.SPO
	FROM #CALC_OPER CO INNER JOIN dbo.WAY_CALC WC ON 1=1
	WHERE WC.[TYPE] = 2 
		AND EXISTS ( SELECT * FROM @WAY W WHERE W.WAY_CALC = WC.CODE )

	-----------
	DELETE FROM #CALC_OPER_W
	WHERE 
		DGH = 0 AND EXISTS
			(SELECT * FROM #BASE_PAYS BP WHERE #CALC_OPER_W.LINK_PAYS = BP.LINK_PAYS AND #CALC_OPER_W.WAY_CALC = BP.WAY_CALC)

	-----------
	DELETE FROM #CALC_OPER_W
	WHERE 
		DGH = 1 AND EXISTS
			(SELECT * FROM #DGH_FAKT_BASE D 
				WHERE
					D.PERS_LINK = #CALC_OPER_W.PERS_LINK
					AND D.WAY_CALC = #CALC_OPER_W.WAY_CALC
					AND D.LINK_PAY = #CALC_OPER_W.LINK_PAYS
					AND D.Y = #CALC_OPER_W.Y
					AND D.M = #CALC_OPER_W.M
					AND D.LINK_VKR = #CALC_OPER_W.LINK_VKR
			)

	----------------------------------------------------------------------------------------
	CREATE TABLE #FACT_SUMMA (LINK_PERS INT, LINK_SFIN INT, SUMMA NUMERIC(18,2), DGH TINYINT, SPO INT)
	INSERT INTO #FACT_SUMMA (LINK_PERS, LINK_SFIN, DGH , SPO, SUMMA)
	SELECT 
		PERS_LINK, 
		LINK_VKR, 
		DGH,
		SPO, 
		SUMMA_ALL = SUM(SUMMA_ALL) 
	FROM 
		#CALC_OPER
	WHERE
		M BETWEEN MONTH(@DATE1) AND MONTH(@DATE2)	 
	GROUP BY 
		PERS_LINK, 
		LINK_VKR, 
		DGH,
		SPO

	CREATE TABLE #FACT_SUMMA1 (LINK_PERS INT, LINK_SFIN INT, SUMMA NUMERIC(18,2), DGH TINYINT, SPO INT)
	INSERT INTO #FACT_SUMMA1 (LINK_PERS, LINK_SFIN, DGH , SPO, SUMMA)
	SELECT 
		PERS_LINK = (CASE WHEN @DETAL_FIO = 1 THEN LINK_PERS ELSE 0 END), 
		LINK_VKR = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_SFIN ELSE 0 END), 
		DGH = (CASE WHEN @DETAL_FIO = 1 THEN DGH ELSE 0 END),
		SPO, 
		SUMMA_ALL = SUM(SUMMA) 
	FROM 
		#FACT_SUMMA
	GROUP BY 
		(CASE WHEN @DETAL_FIO = 1 THEN LINK_PERS ELSE 0 END), 
		(CASE WHEN @DETAL_FIO = 1 THEN DGH ELSE 0 END), 
		(CASE WHEN @DETAL_SOURCE = 1 THEN LINK_SFIN ELSE 0 END), 
		SPO		

	--------------------------------------------------------------
	CREATE TABLE #PERS (LINK_PERS INT, LINK_SFIN INT, DGH TINYINT, SPO INT)

	INSERT INTO #PERS (LINK_PERS, LINK_SFIN, DGH , SPO)
	SELECT DISTINCT LINK_PERS, LINK_SFIN, DGH , SPO
	FROM
	(
		SELECT LINK_PERS = REF_PHYS_PERS, LINK_SFIN = LINK_VKR, DGH , SPO FROM #T1 WHERE MONTH_BASE BETWEEN MONTH(@DATE1) AND MONTH(@DATE2)
		UNION 
		SELECT LINK_PERS, LINK_SFIN, DGH, SPO FROM #FACT_SUMMA --     ()
	) T	
	--------------------------------------------------------------

	CREATE TABLE #PERS_INFO (
		LINK_PERS INT,REF_EMPL INT,
		TAB_NUMER VARCHAR(10),NAME_EMPL VARCHAR(254),
		LINK_SFIN INT, YEAR_B DATETIME, POL TINYINT, TYPE1 TINYINT, LINK_FACE INT, 
		NAME_SUB VARCHAR(254), CODE_SUB VARCHAR(5), DGH TINYINT, SPO INT)

	INSERT INTO #PERS_INFO (LINK_PERS, REF_EMPL, TAB_NUMER, NAME_EMPL, LINK_SFIN, YEAR_B, POL, TYPE1, LINK_FACE, NAME_SUB, CODE_SUB, DGH, SPO)
	SELECT  
		P.LINK_PERS,
		REF_EMPL = K1.LINK, 
		TAB_NUMER = CASE WHEN DGH = 0 THEN COALESCE(K1.TAB,'') ELSE '' END, 
		NAME_EMPL = RTRIM(K.FM) + ' ' + SUBSTRING(RTRIM(K.IM),1,1) + '.' + SUBSTRING(RTRIM(K.OT),1,1) + '.', 
		LINK_SFIN,
		[YEAR_B] = K.BIRTHDATE,
		[POL] = K.SEX,
		[TYPE1] = (CASE WHEN K.SEX = 1 AND YEAR(K.BIRTHDATE)<= 1952 THEN 1
					    WHEN K.SEX = 2 AND YEAR(K.BIRTHDATE)<= 1956 THEN 1
					    WHEN K.SEX = 1 AND (YEAR(K.BIRTHDATE) BETWEEN 1953 AND 1966) THEN 2
					    WHEN K.SEX = 2 AND (YEAR(K.BIRTHDATE) BETWEEN 1957 AND 1966) THEN 2
						WHEN YEAR(K.BIRTHDATE) >= 1967 THEN 3
					    ELSE 0
					END) ,
		[LINK_FACE] = K.LINK,
		NAME_SUB = CASE WHEN DGH = 0 THEN COALESCE(K1.SUBDIV_NAME,'  ') ELSE '  ' END,
		CODE_SUB = CASE WHEN DGH = 0 THEN COALESCE(K1.SUBDIV_CODE,'') ELSE '' END,
		DGH,
		P.SPO
	FROM 
		#PERS P
		INNER JOIN DBO.PERSON K ON  P.LINK_PERS = K.LINK
		LEFT JOIN DBO.SD_EMPL_FN(DEFAULT,@DATE2,DEFAULT,@LINK_DEP) K1 ON 
				P.LINK_PERS = K1.PERS_LINK
			AND
				K1.[STATUS_EMPL] IN (1,3) 
			AND 
				K1.DATE_BEGIN = 
					(SELECT MAX(K2.DATE_BEGIN) FROM DBO.SD_EMPL_FN(DEFAULT,@DATE2,DEFAULT,@LINK_DEP) K2 
					WHERE K2.[STATUS_EMPL] IN (1,3) AND K1.PERS_LINK = K2.PERS_LINK AND K2.DATE_BEGIN IS NOT NULL)
	WHERE
		P.DGH = 1
		OR
		(
			(LEN(@cVAL1) = 0 OR EXISTS (SELECT * FROM #EMPLS WHERE LINK_EMPL = K1.LINK))
			AND 
			(LEN(@cVAL2) = 0 OR EXISTS (SELECT * FROM #SUBDIV WHERE LINK_SUB = K1.SUBDIV_HEAD))	
		)
	
	--    
	CREATE TABLE #PERS_INFO1 (
		LINK_PERS INT,REF_EMPL INT,
		TAB_NUMER VARCHAR(10),NAME_EMPL VARCHAR(254),
		LINK_SFIN INT, YEAR_B DATETIME, POL TINYINT, TYPE1 TINYINT, LINK_FACE INT, 
		NAME_SUB VARCHAR(254), CODE_SUB VARCHAR(5), DGH TINYINT, SPO INT)

	INSERT INTO #PERS_INFO1 (LINK_PERS, REF_EMPL, TAB_NUMER, NAME_EMPL, LINK_SFIN, YEAR_B, POL, TYPE1, LINK_FACE, NAME_SUB, CODE_SUB, DGH, SPO)
	SELECT DISTINCT
		LINK_PERS = (CASE WHEN @DETAL_FIO  = 1 THEN LINK_PERS ELSE 0 END), 
		REF_EMPL = (CASE WHEN @DETAL_FIO  = 1 THEN REF_EMPL ELSE 0 END), 
		TAB_NUMER = (CASE WHEN @DETAL_FIO  = 1 THEN TAB_NUMER ELSE '' END),
		NAME_EMPL = (CASE WHEN @DETAL_FIO  = 1 THEN NAME_EMPL ELSE '' END),
		LINK_SFIN = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_SFIN ELSE '' END),
		YEAR_B = (CASE WHEN @DETAL_FIO  = 1 THEN YEAR_B ELSE NULL END), 
		POL = (CASE WHEN @DETAL_FIO  = 1 THEN POL ELSE NULL END),  
		TYPE1 = (CASE WHEN @DETAL_FIO  = 1 THEN TYPE1 ELSE NULL END), 
		LINK_FACE = (CASE WHEN @DETAL_FIO  = 1 THEN LINK_FACE ELSE 0 END),
		NAME_SUB = (CASE WHEN @DETAL_SUB = 1 THEN NAME_SUB ELSE '' END),
		CODE_SUB = (CASE WHEN @DETAL_SUB = 1 THEN CODE_SUB ELSE '' END),
		DGH = (CASE WHEN @DETAL_FIO  = 1 THEN DGH ELSE 0 END),
		SPO = ISNULL(SPO,0)
	FROM #PERS_INFO

	--
	DECLARE @LIMIT NUMERIC(18,2)

	SELECT DISTINCT P.WAY_CALC, LIMIT = MIN(S.PREDEL), SPECO = null
	INTO #PREDEL
	FROM 
		dbo.STAVKI S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3
	WHERE 
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI S1 INNER JOIN DBO.PAYS P1 ON S1.LINK_PAYS = P1.LINK AND P1.[OBJECT] = 3 AND P1.WAY_CALC = P.WAY_CALC AND [DATE] < @DATE2 ORDER BY [DATE] DESC) 
		AND
		S.PERCENT1 > 0
		AND EXISTS ( SELECT * FROM @WAY W WHERE W.WAY_CALC = P.WAY_CALC )
	GROUP BY P.WAY_CALC	

	INSERT INTO #PREDEL
	SELECT DISTINCT P.WAY_CALC, LIMIT = MIN(S.PREDEL) , SPECO = (CASE WHEN S.SPECO = 0 then null else s.SPECO end)
	FROM 
		dbo.STAVKI_PF S INNER JOIN DBO.PAYS P ON S.LINK_PAYS = P.LINK AND P.OBJECT = 3
	WHERE 
		[DATE] = (SELECT TOP 1 [DATE] FROM dbo.STAVKI_PF S1 INNER JOIN DBO.PAYS P1 ON S1.LINK_PAYS = P1.LINK AND P1.[OBJECT] = 3 AND P1.WAY_CALC = P.WAY_CALC AND [DATE] < @DATE2 ORDER BY [DATE] DESC) 
		AND
		(S.PERCENT1 > 0 OR S.PERCENT2 > 0 OR S.PERCENT3 > 0)
		AND EXISTS ( SELECT * FROM @WAY W WHERE W.WAY_CALC = P.WAY_CALC )		
	GROUP BY P.WAY_CALC	, S.SPECO	
	
	UPDATE #PREDEL
	SET LIMIT = 0
	WHERE LIMIT IS NULL

	SELECT MON = 1, REF_PHYS_PERS, DGH, T.WAY_CALC , T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END INTO #SPR_ESN1 FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 1 AND @MAX_M >= 1 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 2, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 2 AND @MAX_M >= 2 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 3, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 3 AND @MAX_M >= 3 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO 
	INSERT INTO #SPR_ESN1 SELECT MON = 4, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 4 AND @MAX_M >= 4 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 5, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 5 AND @MAX_M >= 5 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 6, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 6 AND @MAX_M >= 6 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 7, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 7 AND @MAX_M >= 6 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 8, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 8 AND @MAX_M >= 7 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 9, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 9 AND @MAX_M >= 8 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 10, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 10 AND @MAX_M >= 10 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 11, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 11 AND @MAX_M >= 11 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO
	INSERT INTO #SPR_ESN1 SELECT MON = 12, REF_PHYS_PERS, DGH, T.WAY_CALC, T.SPO, SUMMA = CASE WHEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) > LIMIT THEN (SUM(SUMMA_BASE) - SUM(DED_M) - SUM(INV_M)) - LIMIT ELSE 0 END FROM #T1 T INNER JOIN #PREDEL P ON T.WAY_CALC = P.WAY_CALC and ISNULL(T.SPO,0) = ISNULL(P.SPECO,0) WHERE MONTH_BASE <= 12 AND @MAX_M >= 12 GROUP BY REF_PHYS_PERS, DGH, LIMIT, T.WAY_CALC, T.SPO


	SELECT T.REF_PHYS_PERS, T.DGH, T.WAY_CALC, T.SPO, T.MON, SUMMA = SUM(SUMMA)
	INTO #SPR_ESN2
	FROM
	(
	SELECT DISTINCT T.REF_PHYS_PERS, T.DGH, T.WAY_CALC,T.SPO,  T1.MON, SUMMA = ISNULL(T1.SUMMA,0.00) - ISNULL(T2.SUMMA,0.00), 
		--       
		 S1 = ISNULL(T1.SUMMA,0.00), S2 = ISNULL(T2.SUMMA,0.00), M1 = T1.MON, M2 = T2.MON
	FROM 
		#SPR_ESN1 T INNER JOIN dbo.months_ex(@YEAR_BEG, @DATE2) M ON 1=1
		LEFT JOIN #SPR_ESN1 T1 ON T1.REF_PHYS_PERS = T.REF_PHYS_PERS AND T1.DGH = T.DGH AND T1.WAY_CALC = T.WAY_CALC AND isnull(T1.SPO,0) = isnull(T.SPO,0) AND T1.MON = M.M
		LEFT JOIN #SPR_ESN1 T2 ON T2.REF_PHYS_PERS = T.REF_PHYS_PERS AND T2.DGH = T.DGH AND T2.WAY_CALC = T.WAY_CALC AND isnull(T2.SPO,0) = isnull(T.SPO,0) AND T2.MON = M.M - 1
	WHERE
		(ISNULL(T1.SUMMA,0) - ISNULL(T2.SUMMA,0)) <> 0--> 0
		AND M.Y = YEAR(@DATE2) AND M.M BETWEEN MONTH(@YEAR_BEG) AND MONTH(@DATE2)
	)t
	WHERE EXISTS ( SELECT * FROM @WAY W WHERE W.WAY_CALC = T.WAY_CALC )
	GROUP BY T.REF_PHYS_PERS, T.DGH, T.WAY_CALC, T.SPO, T.MON

---
	CREATE TABLE #T2 (REF_PHYS_PERS INT, DGH INT, MONTH_BASE TINYINT, WAY_CALC INT, SUMMA_BASE NUMERIC(18,2) , SPO INT)
	
	INSERT INTO #T2(REF_PHYS_PERS, DGH, MONTH_BASE, WAY_CALC, SUMMA_BASE , SPO)
	SELECT REF_PHYS_PERS, DGH, MONTH_BASE, WAY_CALC, SUMMA_BASE = SUM(SUMMA_BASE) , SPO  
	FROM #T1
	WHERE MONTH_BASE BETWEEN MONTH(@DATE1) AND MONTH(@DATE2)
	GROUP BY REF_PHYS_PERS, DGH, MONTH_BASE, WAY_CALC, SPO 

	---      
	SELECT  	
		LINK_FACE1 = T2.REF_PHYS_PERS,
		T2.DGH,
		LINK_SFIN1 = T3.LINK_VKR,
		WAY_NAME  = W.NAME,  
		T2.WAY_CALC,
		T2.MONTH_BASE,
		SS = SUM(CASE WHEN T2.WAY_CALC = 2 THEN T2.SUMMA_BASE ELSE 0 END),
		[PAY] = SUM(T3.SUMMA_BASE),
		[DED] = SUM(T3.DED_M),
		[INV] = SUM(T3.INV_M),
		SUM_LIM = CASE WHEN T2.DGH = 0 THEN ISNULL(MAX(L.SUMMA),0) 
					ELSE SUM( CASE WHEN T2.DGH > 0 AND ISNULL(L.SUMMA,0) > 0 THEN  T3.SUMMA_BASE ELSE  0 END )
					END,
		BASE_ALL = ISNULL(MAX(T2.SUMMA_BASE),0),
		BASE_FIN = ISNULL(SUM(T3.SUMMA_BASE),0),
		[TAX] = SUM(T3.SUMMA),	
		T2.SPO
	INTO #TT
	FROM 
		#T2 T2 --     , ,   
		INNER JOIN dbo.WAY_CALC W ON W.CODE = T2.WAY_CALC AND W.[TYPE] = 2
		INNER JOIN #T1 T3 ON T2.REF_PHYS_PERS = T3.REF_PHYS_PERS AND T2.DGH = T3.DGH AND T2.MONTH_BASE = T3.MONTH_BASE AND T2.WAY_CALC = T3.WAY_CALC AND ISNULL(T2.SPO,0) = ISNULL(T3.SPO,0)
		LEFT JOIN #SPR_ESN2 L ON L.REF_PHYS_PERS = T2.REF_PHYS_PERS AND T2.DGH = L.DGH AND L.WAY_CALC = T2.WAY_CALC AND ISNULL(L.SPO,0) = ISNULL(T2.SPO,0) AND L.MON = T2.MONTH_BASE
	GROUP BY 
		T2.REF_PHYS_PERS, 
		T2.DGH, 
		T3.LINK_VKR, 
		W.NAME, 
		T2.WAY_CALC , 
		T2.SPO, 
		T2.MONTH_BASE

------------
	SELECT 
		LINK_FACE1, 
		DGH, 
		LINK_SFIN1, 
		WAY_NAME = (	CASE WHEN ISNULL(SPO,0) >0 
						THEN WAY_NAME + ' - ' + (SELECT CODE FROM dbo.SA_SZV4_SPR s4 WHERE s4.link = TT.SPO AND s4.spr_code LIKE 'SPO_USL_TRUDA') 
						 ELSE  ISNULL(WAY_NAME,'') END
					),
		WAY_CALC, 
		SPO, 
		SS = SUM(SS), 
		PAY = SUM(PAY), 
		DED = SUM(DED), 
		INV = SUM(INV), 
		TAX = SUM(TAX),
		LIM =	SUM(	
					CONVERT(NUMERIC(18,2),
							CASE WHEN LINK_SFIN1 = 0 THEN SUM_LIM
								ELSE SUM_LIM * CASE WHEN BASE_ALL > 0 AND BASE_FIN > 0 THEN BASE_FIN / BASE_ALL ELSE 0 END 
					END)
					)
	INTO #ESN1
	FROM
		#TT TT
	GROUP BY
		LINK_FACE1, DGH, LINK_SFIN1, WAY_NAME, WAY_CALC, SPO		


------------
	SELECT 
		LINK_FACE1 = (CASE WHEN @DETAL_FIO = 1 THEN LINK_FACE1 ELSE 0 END),
		DGH = (CASE WHEN @DETAL_FIO = 1 THEN DGH ELSE 0 END),
		LINK_SFIN1 = (CASE WHEN @DETAL_SOURCE = 1 THEN LINK_SFIN1 ELSE 0 END),
		WAY_NAME = (	CASE WHEN ISNULL(SPO,0) >0 
						THEN WAY_NAME + ' - ' + (SELECT CODE FROM dbo.SA_SZV4_SPR s4 WHERE s4.link = TT.SPO AND s4.spr_code LIKE 'SPO_USL_TRUDA') 
						 ELSE  ISNULL(WAY_NAME,'') END
					),
		WAY_CALC, 
		SPO, 
		SS = SUM(SS), 
		PAY = SUM(PAY), 
		DED = SUM(DED), 
		INV = SUM(INV), 
		TAX = SUM(TAX),
		LIM =	SUM(	
					CONVERT(NUMERIC(18,2),
							CASE WHEN LINK_SFIN1 = 0 THEN SUM_LIM
								ELSE SUM_LIM * CASE WHEN BASE_ALL > 0 AND BASE_FIN > 0 THEN BASE_FIN / BASE_ALL ELSE 0 END 
					END)
					)
	INTO #ESN
	FROM
		#TT TT
	GROUP BY
		(CASE WHEN @DETAL_FIO = 1 THEN LINK_FACE1 ELSE 0 END), 
		(CASE WHEN @DETAL_FIO = 1 THEN DGH ELSE 0 END), 
		(CASE WHEN @DETAL_SOURCE = 1 THEN LINK_SFIN1 ELSE 0 END), 
		WAY_NAME, 
		WAY_CALC, 
		SPO		

IF @SHOW_Data = '1' 
		DELETE FROM #ESN WHERE WAY_CALC IN (10, 11)

IF  @SHOW_Data = '2' 
		DELETE FROM #ESN WHERE WAY_CALC NOT IN (10, 11)
--<<<<<**********************
	---     

	DECLARE @TABLE_1 VARCHAR(5000),
			@TABLE_2 varchar(5000)

	EXEC X_GET_TABLE_NAME @TABLE_1 OUTPUT
	EXEC X_GET_TABLE_NAME @TABLE_2 OUTPUT
	DECLARE @CNT1 INT
	SELECT @CNT1 = COUNT(DISTINCT WAY_NAME ) FROM #ESN 

	EXEC M_CROSS_TABLE
		'LINK_SFIN1, LINK_FACE1, DGH',  
		'WAY_NAME', 'VARCHAR(50)', 
		'SUMMA,PAY,DED,INV,LIM,TAX' , 'NUMERIC(20,2)#NUMERIC(20,2)#NUMERIC(20,2)#NUMERIC(20,2)#NUMERIC(20,2)#NUMERIC(20,2)',  'SUM(ss) AS ss, SUM(PAY) AS PAY, SUM(DED) AS DED, SUM(INV) AS INV, SUM(LIM) AS LIM, SUM(TAX) AS TAX ',
		'#ESN', @TABLE_1
	
	DECLARE @I1 INT, @SQLS1 VARCHAR(8000), @FIELD1 VARCHAR(4000)
	SET @I1=1
	WHILE @I1 <= @CNT1 BEGIN

		SET @FIELD1= 'WAY_NAME_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = (SELECT TOP 1 '+@FIELD1+' FROM ' +@TABLE_1 + ' WHERE '+ @FIELD1+ '  IS NOT NULL ) ' 
		
		EXEC (@SQLS1)
		
		SET @FIELD1= 'SUMMA_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 
		
		EXEC (@SQLS1)

		SET @FIELD1= 'PAY_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 

		EXEC (@SQLS1)

		SET @FIELD1= 'DED_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 

		EXEC (@SQLS1)

		SET @FIELD1= 'INV_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 

		EXEC (@SQLS1)
		
		SET @FIELD1= 'LIM_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 

		EXEC (@SQLS1)				

		SET @FIELD1= 'TAX_'  +  RTRIM(LTRIM(STR(@I1)))
		SET @SQLS1= ' UPDATE '+@TABLE_1 + '  SET '+@FIELD1+ ' = 0  WHERE ' + @FIELD1+ '  IS  NULL ' 

		EXEC (@SQLS1)
						
		SET @I1=@I1+1
	END	



	--           

	DECLARE @SQL NVARCHAR(4000), @ParmDefinition NVARCHAR(500)

	SET @SQL = N'SELECT LINK_SFIN = P.LINK_SFIN,'
	--
	IF @DETAL_SUB = 1
		SET @SQL = @SQL + ' NAME_SUB, CODE_SUB,'
	ELSE
		SET @SQL = @SQL + ' NAME_SUB = '' '', CODE_SUB = '' '','	
	--	
	IF @DETAL_FIO = 1
		/*<code begin>  .. 10.10.2011         1967 ->1 ,  1967 -> 2  */
		SET @SQL = @SQL	+ ' [LINK_FACE] = P.LINK_PERS, 
							[DGH1] = P.DGH, 
							[TNum] = rtrim(ltrim(P.TAB_NUMER)), 
							[LINK_EMPL] = P.REF_EMPL, 
							[TN] = P.TAB_NUMER, 
							[FIO]= P.NAME_EMPL, 
							[SEX] = P.POL, 
							[BIRTH] = P.YEAR_B,
						    [AGE_TYPE] = (CASE	WHEN P.TYPE1 = 1 THEN 1
												WHEN P.TYPE1 = 2 THEN 1
												WHEN P.TYPE1 = 3 THEN 2
										    ELSE 0
										  END),'
		/*<code end>  ..  */							  
	ELSE
		SET @SQL = @SQL	+ ' [LINK_FACE] = 0, [LINK_EMPL] = 0, [TNUM] = 0, [TN] = '''', [FIO]= '''', [SEX] = 0, [BIRTH] = '''',[AGE_TYPE] = '''','

	IF @DETAL_SOURCE = 1
		SET @SQL = @SQL + ' [NAME_VKR] = F.CODE,'
	ELSE
		SET @SQL = @SQL + ' [NAME_VKR] = '' '','
		
	IF @CNT1 = 0 BEGIN
		SET @SQL =  @SQL + ' WAY_NAME_0 = '' '', SUMMA_0 = 0, PAY_0 =0, DED_0 =0, INV_0 = 0, LIM_0 =0, TAX_0 = 0,'
	END		
	--

--DECLARE @SQL1 NVARCHAR(4000)
--SET @SQL1 = 
--'SELECT ''!!!!'', * FROM #PERS_INFO1'
--EXECUTE sp_executesql @SQL1

--DECLARE @SQL1 NVARCHAR(4000)
--SET @SQL1 = 
--'SELECT ''!!!!'', * FROM ' + @TABLE_1
--EXECUTE sp_executesql @SQL1
--SELECT * FROM #FACT_SUMMA
	--
	SET @SQL = @SQL
			+ '
			O.*,
			SUMMA = (select sum(isnull(summa,0)) FROM #FACT_SUMMA1 where P.LINK_PERS = LINK_PERS AND P.DGH = DGH AND LINK_SFIN = P.LINK_SFIN)
		into '+ @TABLE_2 +'	
		FROM
			#PERS_INFO1 P
			LEFT JOIN dbo.SAL_SFIN F ON F.LINK = P.LINK_SFIN
			LEFT JOIN ' + @TABLE_1 + ' O ON  O.LINK_FACE1 = P.LINK_PERS AND o.LINK_SFIN1 = P.LINK_SFIN and o.dgh = p.dgh
		WHERE
			(@DETAL_FIO = 0 OR @DETAL_FIO = 1 AND ((@pCHECK1 = 1 AND TYPE1 = 1) OR (@pCHECK2 = 1 AND TYPE1 = 2) OR (@pCHECK3 = 1 AND  TYPE1 = 3)))
		GROUP BY
			'

	SET @SQL = @SQL + ' P.LINK_SFIN, F.CODE, o.LINK_SFIN1'
	
	SET @I1=1
	WHILE @I1 <= @CNT1 BEGIN
		
		SET @FIELD1 = 'o.WAY_NAME_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	
		
		SET @FIELD1 = 'o.SUMMA_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	

		SET @FIELD1 = 'o.PAY_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	
		
		SET @FIELD1 = 'o.DED_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL+ ',' + @FIELD1	
		
		SET @FIELD1 = 'o.INV_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	
		
		SET @FIELD1 = 'o.LIM_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	
		
		SET @FIELD1 = 'o.TAX_' + RTRIM(LTRIM(STR(@I1)))
		SET @SQL = @SQL + ',' + @FIELD1	
	
		
	SET @I1=@I1+1
	END	
	

	IF @DETAL_SUB = 1
		SET @SQL = @SQL + ' ,NAME_SUB, CODE_SUB'

	SET @SQL = @SQL + ' ,P.LINK_PERS, p.DGH   , O.LINK_FACE1 , o.DGH '
	
	IF @DETAL_FIO = 1
		/*<code begin>   .. 10.10.2011        ,     */
		SET @SQL = @SQL	+ ' , P.REF_EMPL ,  P.TAB_NUMER, P.NAME_EMPL, P.POL, P.YEAR_B, P.TYPE1/*, O.LINK_FACE1*/  '
		/* <coide end>  ..*/

	SET @SQL = @SQL
			+ '
		ORDER BY 
			' 
	+ CASE @ORDERBY 
		WHEN 1 THEN 'SUMMA'
		WHEN 2 then ' TNum '
		WHEN 3 then 'FIO'
		ELSE 'NAME_SUB'
	END
	+ CASE WHEN @DETAL_SOURCE = 1 THEN ',F.CODE' ELSE '' END	

	PRINT   (@SQL)

	SET @ParmDefinition	= N'@pCHECK1 TINYINT, @pCHECK2 TINYINT, @pCHECK3 TINYINT, @DETAL_FIO TINYINT'

	EXECUTE sp_executesql @SQL, @ParmDefinition, @pCHECK1 = @CHECK1, @pCHECK2 = @CHECK2, @pCHECK3 = @CHECK3, @DETAL_FIO = @DETAL_FIO

	SET @I1=1
	WHILE @I1 <= @CNT1 BEGIN
	
		SET @FIELD1= 'WAY_NAME_'  +  RTRIM(LTRIM(STR(@I1)))
		
		SET @SQLS1= ' UPDATE '+@TABLE_2 + '  SET '+@FIELD1+ ' = (SELECT TOP 1 '+@FIELD1+' FROM ' +@TABLE_2 + ' WHERE '+ @FIELD1+ '  IS NOT NULL ) ' 
		EXEC (@SQLS1)	
	SET @I1=@I1+1
	END		
	
	exec (' SELECT * FROM  ' + @TABLE_2 )

	DROP TABLE #T1
	DROP TABLE #PERS_INFO
	DROP TABLE #ESN
	DROP TABLE #FACT_SUMMA
	
	DECLARE @TABLE VARCHAR(100)
	EXEC X_GET_TABLE_NAME @TABLE OUTPUT
	DECLARE @CNT INT
	SELECT @CNT = COUNT(DISTINCT WAY_NAME) FROM #CALC_OPER_W

	
	EXEC M_CROSS_TABLE
		'PERS_LINK, LINK_PAYS, LINK_VKR, Y, M', 
		'WAY_NAME', 'VARCHAR(50)', 
		'SUMMA', 'NUMERIC(20,2)', 'SUM(SUMMA) AS SUMMA',
		'#CALC_OPER_W', @TABLE

	DECLARE @I INT, @SQLS VARCHAR(4000), @FIELD VARCHAR(100)
	SET @I=1
	WHILE @I <= @CNT BEGIN

		SET @FIELD= 'WAY_NAME_'  +  RTRIM(LTRIM(STR(@I)))
		SET @SQLS= ' UPDATE '+@TABLE + '  SET '+@FIELD+ ' = (SELECT TOP 1 '+@FIELD+' FROM ' +@TABLE + ' WHERE '+ @FIELD+ '  IS NOT NULL ) ' 

		EXEC (@SQLS)

		SET @FIELD= 'SUMMA_'  +  RTRIM(LTRIM(STR(@I)))
		SET @SQLS= ' UPDATE '+@TABLE + '  SET '+@FIELD+ ' = 0  WHERE ' + @FIELD+ '  IS  NULL ' 

		EXEC (@SQLS)

		SET @I=@I+1
	END			

	/* <coide begin>  .. 10.10.2011         1967 ->1 ,  1967 -> 2  */
	EXEC('
	IF EXISTS (SELECT * FROM ' + @TABLE + ')
		SELECT 
			NAME_EMPL = RTRIM(P.FM) + '' '' + SUBSTRING(RTRIM(P.IM),1,1) + ''.'' + SUBSTRING(RTRIM(P.OT),1,1) + ''.'',
			AGE_TYPE =  (CASE WHEN P.SEX = 1 AND YEAR(P.BIRTHDATE)<= 1952 THEN 1
					    WHEN P.SEX = 2 AND YEAR(P.BIRTHDATE)<= 1956 THEN 1
					    WHEN P.SEX = 1 AND (YEAR(P.BIRTHDATE) BETWEEN 1953 AND 1966) THEN 1
					    WHEN P.SEX = 2 AND (YEAR(P.BIRTHDATE) BETWEEN 1957 AND 1966) THEN 1
						WHEN YEAR(P.BIRTHDATE) >= 1967 THEN 2
					    ELSE 0
					END) ,
			BIRTH = P.BIRTHDATE,		
			PN.CODE, PN.NAME, SFIN_CODE = ISNULL(F.CODE,''''),
			O.*
		FROM
			dbo.PERSON P 
			INNER JOIN ' + @TABLE + ' O ON P.LINK = O.PERS_LINK
			INNER JOIN dbo.PAYS PN ON PN.LINK = O.LINK_PAYS
			LEFT JOIN dbo.SAL_SFIN F ON F.LINK = O.LINK_VKR
		ORDER BY 
			NAME_EMPL, Y, M, PN.CODE		
	ELSE		
		SELECT NAME_EMPL= '''', AGE_TYPE = '''', BIRTH = '''', CODE = '''', NAME = '''', SFIN_CODE = '''', PERS_LINK = 0, LINK_PAYS = 0, LINK_VKR = 0, Y = 0, M = 0, WAY_NAME_1  = '''', SUMMA_1 = 0	
	')	
	/* <coide end>  ..*/
END






GO


GRANT EXECUTE ON dbo.[KIR_EXEC_SALARY_ESN_REPORT1] TO PUBLIC

GO


--EXEC [dbo].[KIR_EXEC_SALARY_ESN_REPORT1] 
--	@DATE1 = '20160101',			/*   */
--	@DATE2 = '20161231',			/*   */
--	@CHECK1 = 1,			/*   1952 . .,   1956 */
--	@CHECK2 = 1,			/*   1952 . .,   1956 */
--	@CHECK3 = 1,			/* 1967 ..   */
--	@ORDERBY = 1,				/*   */

--	@DETAL_SUB = 1,		/*    */
--	@DETAL_FIO = 0,		/*    */
--	@DETAL_SOURCE = 0,	/*    */
	
--	@DGH = 0,			/*   */
--	@SHOW_Data  = 0 ,	/*   : 1)     , 2)     */
--	@cVAL1 ='', @nOTBORLINK1 = 0, /*   */
--	@cVAL2 ='', @nOTBORLINK2 = 0, /*   */
--	@cVAL3 ='', @nOTBORLINK3 = 0 /*   */
	

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_CSR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_CSR]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_CSR (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
   
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(10), NAME VARCHAR(250), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, NUM)

SELECT D.LINK, LEFT(D.CODE,10), LEFT(D.SNAME,250), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,10) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_TARGET_ITEM D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEN(LTRIM(RTRIM(D.CODE))) = 10
	AND
	LEFT(D.CODE,10) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.[KL_TARGET_ITEM] WHERE [Code]= REPLICATE('-',10)) 
	INSERT INTO dbo.[KL_TARGET_ITEM](CODE, NAME)
	SELECT REPLICATE('-',10), ' '

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.[KL_TARGET_ITEM] A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')

INSERT INTO dbo.[KL_TARGET_ITEM] (CODE, NAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.[KL_TARGET_ITEM] A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_CSR] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_DIV]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_DIV]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_DIV (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
   
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(4), NAME VARCHAR(254), LNAME VARCHAR(1000), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, LNAME, NUM)

SELECT D.LINK, LEFT(D.CODE,4), LEFT(D.SNAME,250), LEFT(D.NAME,1000), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,4) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_DIVISION D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,4) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.[KL_DIVISION] WHERE [Code]='----') 
	INSERT INTO dbo.[KL_DIVISION](CODE, NAME, LNAME)
	VALUES ('----', ' ', ' ')

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LNAME = ISNULL(T.LNAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.[KL_DIVISION] A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.LNAME <> ISNULL(T.LNAME,'')	

INSERT INTO dbo.[KL_DIVISION] (CODE, NAME, LNAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.LNAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.[KL_DIVISION] A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_DIV] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_EXP]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_EXP]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_EXP (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(3), NAME VARCHAR(254), LNAME VARCHAR(1000), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, LNAME, NUM)

SELECT D.LINK, LEFT(D.CODE,3), LEFT(D.SNAME,250), LEFT(D.NAME,1000), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,3) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_EXPEND D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,3) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.[KL_EXPEND] WHERE [Code]='---') 
	INSERT INTO dbo.[KL_EXPEND](CODE, NAME, LNAME)
	VALUES ('---', ' ', ' ')

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LNAME = ISNULL(T.LNAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.[KL_EXPEND] A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.LNAME <> ISNULL(T.LNAME,'')	

INSERT INTO dbo.[KL_EXPEND] (CODE, NAME, LNAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.LNAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.[KL_EXPEND] A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_EXP] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_INCOME]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_INCOME]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_INCOME (@DB NVARCHAR(250), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(10), NAME VARCHAR(250), LNAME VARCHAR(1000), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, LNAME, NUM)

SELECT D.LINK, LEFT(D.CODE,10), LEFT(D.SNAME,250), LEFT(D.NAME,1000), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,10) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_KD D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,10) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.KL_KD WHERE [Code]= REPLICATE('-',10)) 
	INSERT INTO dbo.KL_KD(CODE, NAME, LNAME)
	SELECT REPLICATE('-',10), ' ', ' '

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LNAME = ISNULL(T.LNAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_KD A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.LNAME <> ISNULL(T.LNAME,'')	

INSERT INTO dbo.KL_KD (CODE, NAME, LNAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.LNAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.KL_KD A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_INCOME] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_IVF]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_IVF]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_IVF (@DB NVARCHAR(250), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(10), NAME VARCHAR(250), LNAME VARCHAR(1000), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, LNAME, NUM)

SELECT D.LINK, LEFT(D.CODE,10), LEFT(D.SNAME,250), LEFT(D.NAME,1000), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,10) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_IVF D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP	
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,10) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.KL_IVF WHERE [Code]= REPLICATE('-',10)) 
	INSERT INTO dbo.KL_IVF(CODE, NAME, LNAME)
	SELECT REPLICATE('-',10), ' ', ' '

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LNAME = ISNULL(T.LNAME,'')
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_IVF A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.LNAME <> ISNULL(T.LNAME,'')	

INSERT INTO dbo.KL_IVF (CODE, NAME, LNAME) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.LNAME,'')
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.KL_IVF A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_IVF] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DICTIONARY_KOSGU]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DICTIONARY_KOSGU]
GO

CREATE PROCEDURE dbo.SYNCH_DICTIONARY_KOSGU (@DB NVARCHAR(250), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
  
*/

--set xact_abort on
--BEGIN TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(4), NAME VARCHAR(250), [Is_Ekr] tinyint, NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, [Is_Ekr], NUM)

SELECT D.LINK, LEFT(D.CODE,4), LEFT(D.SNAME,250), [Is_Ekr], NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,4) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.kosgu D
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'')	
	AND
	LEFT(D.CODE,4) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

-----     

IF NOT EXISTS (SELECT * FROM dbo.kosgu WHERE [Code]= REPLICATE('-',4)) 
	INSERT INTO dbo.kosgu(CODE, NAME, [Is_Ekr], [db_kr])
	SELECT REPLICATE('-',4), ' ',0,0

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.[Is_Ekr] = ISNULL(T.[Is_Ekr],0)
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.kosgu A ON T.CODE = A.CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	A.[Is_Ekr] <> ISNULL(T.[Is_Ekr],0)

INSERT INTO dbo.kosgu (CODE, NAME, [Is_Ekr], [db_kr]) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T.[Is_Ekr],0),
	0
FROM
	#DICT T
WHERE
	NOT EXISTS (SELECT * FROM dbo.kosgu A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--COMMIT TRAN

END

GO

GRANT EXECUTE ON dbo.[SYNCH_DICTIONARY_KOSGU] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[BK_REPORT_KSU_CARD]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[BK_REPORT_KSU_CARD]

GO


/*
  (Keysystems), 2005
*/

CREATE PROCEDURE dbo.BK_REPORT_KSU_CARD
	@varKSWorkDate	DATETIME	,
	@varKSnSel_Empl	INT		,
	@varKSnSel_Acct	INT		,
	@varKScVal1 char(1), @varKSnOtborLink1 int,
	@codeKSReport	CHAR (30)	
AS
BEGIN
	DECLARE
		@varKSBEGIN_YEAR	DATETIME,
		@varKSDEP_LINK	INT,
		@varKSDEP_NAME	VARCHAR (254),
		@varKSDEP_OKPO	VARCHAR (20),

		@varKSEMP_LINK	INT,
		@varKSEMP_CODE	VARCHAR (20),
		@varKSEMP_NAME	VARCHAR (254),
		@varKSEMP_POST	VARCHAR (60),
	
		@varKSACCT_LINK	INT,
		@varKSACCT_CODE	VARCHAR (30),
		@varKSACCT_NAME	VARCHAR (254),

		@varKScBEGIN_YEAR	VARCHAR (10)
	
	SET @varKSBEGIN_YEAR		=	dbo.DateBeginOfYear (@varKSWorkDate)
	SET @varKScBEGIN_YEAR	=	CONVERT (VARCHAR (10), @varKSBEGIN_YEAR, 104) 
	
	SELECT
		@varKSDEP_LINK	=	LINK,
		@varKSDEP_NAME	=	[NAME],
		@varKSDEP_OKPO	=	[OKPO]
	FROM dbo.DICTIONARY_DEPARTMENT
	WHERE LINK = COALESCE (dbo.BK_GetDepZB (), dbo.GetOwnDepLink())

	SELECT
		@varKSEMP_LINK	=	LINK,
		@varKSEMP_CODE	=	TAB,
		@varKSEMP_NAME	=	NAME_EMPL,
		@varKSEMP_POST	=	POST_NAME
	FROM dbo.KU_EMPL_PLACING
	WHERE LINK = @varKSnSel_Empl
	
	SELECT	@varKSACCT_LINK	=	LINK,
		@varKSACCT_CODE	=	CODE,
		@varKSACCT_NAME	=	[NAME]
	FROM dbo.S_ACCOUNTS
	WHERE LINK = @varKSnSel_Acct

	CREATE TABLE #INVENTORY (INV INT, INV_CODE VARCHAR (20),
		INV_NAME VARCHAR (254), INV_PRICE NUMERIC (20,4))

	IF LEN (@varKScVal1) > 0
	BEGIN
		IF @codeKSReport = 'INVENTORY'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				INV.BALANCE
			FROM OBJECT_VAR_INVENTORY OV, INVENTORY_CARD INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD

		IF @codeKSReport = 'NOMENCLATURE'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				0
			FROM OBJECT_VAR_NOMENCLATURE OV, BV_NOMENCLATURE INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD

		IF @codeKSReport = 'DICTIONARY_TMC'
			INSERT INTO #INVENTORY
			SELECT OV.RECORD,
				INV.CODE,
				INV.[NAME],
				0
			FROM OBJECT_VAR_DICTION OV, DICTIONARY_TMC INV
			WHERE OV.LINK_UP = @varKSnOtborLink1
				AND INV.LINK = OV.RECORD
	END
	ELSE
	BEGIN
		IF @codeKSReport = 'INVENTORY'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				INV.BALANCE
			FROM INVENTORY_CARD INV

		IF @codeKSReport = 'NOMENCLATURE'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				0
			FROM BV_NOMENCLATURE INV

		IF @codeKSReport = 'DICTIONARY_TMC'
			INSERT INTO #INVENTORY
			SELECT INV.LINK,
				INV.CODE,
				INV.[NAME],
				0
			FROM DICTIONARY_TMC INV
	END

	CREATE TABLE #REST
		(INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK INT,
		QTY NUMERIC (28, 4),
		SUMMA NUMERIC (28, 4))

	INSERT INTO #REST
	SELECT 
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		ISNULL (T1.EMP, 0),
		T1.DEP_LINK,
		SUM (T1.D_QUANTITY),
		SUM (T1.D_SUMMA)
	FROM dbo.ARestTableByDate (@varKSBEGIN_YEAR, @varKSACCT_LINK) T1
	WHERE (ISNULL (@varKSEMP_LINK, 0) = 0 OR T1.EMP = @varKSEMP_LINK)
		AND (T1.DEP_LINK = @varKSDEP_LINK)
	GROUP BY 
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		T1.EMP,
		T1.DEP_LINK

	CREATE TABLE #TABLE_OBOROT
		(LINK_DOC INT,
		DATE_PROV DATETIME,
		INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK INT,
		LINK_JO INT, COMMENT VARCHAR (254),
		DB_KR	TINYINT,
		D_QTY NUMERIC (28, 4), D_SUMMA NUMERIC (28, 4),
		K_QTY NUMERIC (28, 4), K_SUMMA NUMERIC (28, 4))

	INSERT INTO #TABLE_OBOROT
	SELECT
		T1.LINK_DOC,
		T1.DATE_PROV,
		CASE 
			WHEN @codeKSReport = 'INVENTORY' THEN ISNULL (T1.INV, 0)
			WHEN @codeKSReport = 'NOMENCLATURE' THEN ISNULL (T1.NOMEN, 0)
			WHEN @codeKSReport = 'DICTIONARY_TMC' THEN ISNULL (T1.TMC, 0)
		END,
		T1.ACCOUNT,
		T1.EMP,
		T1.DEP_LINK,
		XJ.JURN_LINK,
		T1.NAME_OPER,
		T1.DB_KR,
		CASE
			WHEN T1.DB_KR = 0 THEN T1.QTY
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 0 THEN T1.SUMMA
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 1 THEN T1.QTY
			ELSE 0
		END,	
		CASE
			WHEN T1.DB_KR = 1 THEN T1.SUMMA
			ELSE 0
		END
	FROM dbo.BK_GetTableOborotByDate1
			(@varKSBEGIN_YEAR,
			@varKSWorkDate,	
			DEFAULT,
			@varKSACCT_LINK,
			@varKSDEP_LINK)	T1
	LEFT JOIN dbo.XOZ_OPER_JURN XJ ON
		(XJ.XOZ_LINK = T1.XOZ_OPER
		AND XJ.GK = 1)
	WHERE
		ISNULL (@varKSEMP_LINK, 0) = 0 
		OR T1.EMP = @varKSEMP_LINK

--  SELECT * FROM #TABLE_OBOROT

	--  --
	CREATE TABLE #TABLE_CARD
		(INV INT,
		ACCOUNT	INT,
		EMP	INT,
		DEP_LINK	INT
		)

	INSERT INTO #TABLE_CARD
		(INV,
		ACCOUNT,
		EMP,
		DEP_LINK)
	SELECT
		INV,
		ACCOUNT,
		EMP,
		DEP_LINK
	FROM #TABLE_OBOROT
	UNION
	SELECT
		INV,
		ACCOUNT,
		EMP,
		DEP_LINK
	FROM #REST

 -- SELECT * FROM #REST

 -- SELECT * FROM #TABLE_CARD
	
	CREATE TABLE #TABLE_RES (REC_NO INT IDENTITY, DEP INT, EMP INT, LINK_ACCT INT, INV INT,
		BEGIN_DATE VARCHAR (10),
		DEP_OKPO VARCHAR (20), DEP_NAME VARCHAR (254),
		EMP_CODE VARCHAR (20), EMP_NAME VARCHAR (254),
		EMP_POST VARCHAR (60),
		ACCT_CODE VARCHAR (30), ACCT_NAME VARCHAR (254),
		INV_CODE VARCHAR (20), INV_NAME VARCHAR (254),
		DATE_PROV DATETIME, cDATE_PROV VARCHAR (10),
		JO_NUM VARCHAR (20),
		OPER_COM VARCHAR (254), PRICE NUMERIC (20,4),
		DB_KR	TINYINT,
		IN_QTY NUMERIC (28, 4), IN_SUMMA NUMERIC (28, 4),
		D_QTY NUMERIC (28, 4), D_SUMMA NUMERIC (28, 4),
		K_QTY NUMERIC (28, 4), K_SUMMA NUMERIC (28, 4),
		OUT_QTY NUMERIC (28, 4), OUT_SUMMA NUMERIC (28, 4))

	INSERT INTO #TABLE_RES (DEP, EMP, LINK_ACCT, INV,
			BEGIN_DATE,
			DEP_OKPO, DEP_NAME,
			EMP_CODE, EMP_NAME,
			EMP_POST,
			ACCT_CODE, ACCT_NAME,
			INV_CODE, INV_NAME,
			DATE_PROV, cDATE_PROV,
			JO_NUM,
			OPER_COM, PRICE,
			DB_KR,
			IN_QTY, IN_SUMMA,
			D_QTY, D_SUMMA,
			K_QTY, K_SUMMA)

	SELECT
		@varKSDEP_LINK,
		@varKSEMP_LINK,
		@varKSACCT_LINK,
		T1.INV,

		@varKScBEGIN_YEAR,
		ISNULL (@varKSDEP_OKPO, ''),
		ISNULL (@varKSDEP_NAME, ''),
		ISNULL (@varKSEMP_CODE, ''),
		ISNULL (@varKSEMP_NAME, ''),
		ISNULL (@varKSEMP_POST, ''),
		ISNULL (@varKSACCT_CODE, ''),
		ISNULL (@varKSACCT_NAME, ''),
		INV.INV_CODE,
		INV.INV_NAME,
		T2.DATE_PROV,
		ISNULL (CONVERT (VARCHAR (10), T2.DATE_PROV, 104), ''),
		ISNULL (JO.CODE, ''),
		ISNULL (T2.COMMENT, ''),
		0,
		ISNULL (T2.DB_KR, 0),
		ISNULL (R1.QTY, 0), ISNULL (R1.SUMMA, 0),
		ISNULL (D_QTY, 0), ISNULL (D_SUMMA, 0),
		ISNULL (K_QTY, 0), ISNULL (K_SUMMA, 0)

	FROM #TABLE_CARD T1
	INNER JOIN #INVENTORY INV ON (INV.INV = T1.INV)
	LEFT MERGE JOIN #TABLE_OBOROT T2 ON
		(
		T2.INV = T1.INV
		AND T2.ACCOUNT	= T1.ACCOUNT
		AND T2.EMP	= T1.EMP
		AND T2.DEP_LINK	= T1.DEP_LINK
		)
	LEFT OUTER JOIN dbo.JOURNAL_OPERATION JO ON (JO.LINK = T2.LINK_JO)
	LEFT MERGE JOIN #REST R1 ON
		(
		R1.INV = T1.INV
		AND R1.ACCOUNT	= T1.ACCOUNT
		AND R1.EMP	= T1.EMP
		AND R1.DEP_LINK	= T1.DEP_LINK
		)
	ORDER BY 
		T2.DATE_PROV,
		ISNULL (T2.DB_KR, 0)

	UPDATE #TABLE_RES
	SET PRICE = CASE 
					WHEN D_QTY <> 0 THEN D_SUMMA / D_QTY
					WHEN K_QTY <> 0 THEN K_SUMMA / K_QTY
					ELSE 0
				END

	DECLARE #UPDATE_REST CURSOR LOCAL
		FOR
			SELECT
				REC_NO,
				INV,
				IN_QTY,
				IN_SUMMA
			FROM #TABLE_RES
			ORDER BY
				DATE_PROV,
				DB_KR

	DECLARE
		@varKSintREC_NO	INT,
		@varKSintINV		INT,
		@varKSnIN_QTY	NUMERIC (28,4),
		@varKSnIN_SUMMA	NUMERIC (28,4),
		@varKSnOBOROT_QTY	NUMERIC (28,4),
		@varKSnOBOROT_SUMMA	NUMERIC (28,4)

	OPEN #UPDATE_REST
	FETCH #UPDATE_REST
		INTO @varKSintREC_NO, @varKSintINV, @varKSnIN_QTY, @varKSnIN_SUMMA
	WHILE @@FETCH_STATUS = 0 BEGIN
		
		SELECT
			@varKSnOBOROT_QTY = SUM (D_QTY) - SUM (K_QTY),
			@varKSnOBOROT_SUMMA	= SUM (D_SUMMA) - SUM (K_SUMMA)
		FROM #TABLE_RES
		WHERE INV = @varKSintINV
			AND REC_NO <= @varKSintREC_NO

		SET @varKSnOBOROT_QTY = ISNULL (@varKSnOBOROT_QTY, 0) + @varKSnIN_QTY
		SET @varKSnOBOROT_SUMMA = ISNULL (@varKSnOBOROT_SUMMA, 0) + @varKSnIN_SUMMA

		UPDATE #TABLE_RES SET OUT_QTY = @varKSnOBOROT_QTY,
					OUT_SUMMA = @varKSnOBOROT_SUMMA
		WHERE REC_NO = @varKSintREC_NO
			
		FETCH #UPDATE_REST
			INTO @varKSintREC_NO, @varKSintINV, @varKSnIN_QTY, @varKSnIN_SUMMA
		
	END
	CLOSE #UPDATE_REST
	DEALLOCATE	#UPDATE_REST
	
	SELECT *
	FROM #TABLE_RES
	ORDER BY
		INV_CODE,
		DATE_PROV,
		JO_NUM
END

GO

GRANT EXECUTE ON dbo.[BK_REPORT_KSU_CARD] TO PUBLIC

GO


-- --


GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_PREPARE_R2]

GO
-- exec [dbo].SA_6NDFL_PREPARE_R2 '2016', 1 , '1' ,95494

CREATE PROCEDURE dbo.SA_6NDFL_PREPARE_R2 @dBDATE datetime /*    */, 
									 @dEDATE DATETIME /*    */,
									 @cBUFFID_NAME VARCHAR(10), /*     */
									 @nDep_link int 	/*   */
AS




IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL 
BEGIN 


	DECLARE
		@DEP_LINK INT 
		
	SET @DEP_LINK = @nDep_link	
	set @cBUFFID_NAME = LTRIM(RTRIM(@cBUFFID_NAME))


	SET DATEFIRST 7

DECLARE @dBDATE_EMP DATETIME,
		@dEDATE_EMP datetime
	set @dBDATE_EMP  = DATEADD(MONTH , -1 ,@dBDATE)

	set @dEDATE_EMP  = DATEADD(MONTH , 1 ,@dEDATE)

		create table #S_J_C_SHORT (link int,LINK_FACE int,PERS_LINK int, link_empl int, link_doc INT, link_pays int, 
								 name_pays VARCHAR(60), link_vkr int,link_ekr int, typ_per tinyint, typ_oper tinyint, 
								 summa numeric(18,2), link_inc int, period_begin datetime,period_end datetime, date1 datetime, 
								 date2 datetime, link_dep INT ,way_calc INT, way_name VARCHAR(50), type_doc VARCHAR(100), 
								 num_doc VARCHAR(30), Dt_doc datetime, comm_doc VARCHAR(254), CODE VARCHAR(30))

		Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl,link_doc, link_pays, 
								 name_pays,link_vkr, link_ekr, typ_per, typ_oper, 
								 summa,link_inc, period_begin, period_end, date1, 
								 date2,link_dep,way_calc, way_name,type_doc, 
								 num_doc,Dt_doc,comm_doc, CODE)
		Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, JC.link_doc, P.LINK, 
				name_pays = p.name, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, 
				summa, P.LINK_INC,
			period_begin = (Case 
							when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
							then JC.DATE_BEGIN else JC.period_begin 
							end) ,
			JC.PERIOD_END,
			JC.DATE_BEGIN,
			JC.DATE_END,
			JC.LINK_DEP ,
			P.WAY_CALC ,
			way_name = w.name,
			type_doc = sd.[TYPE], 
			num_doc = sd.NUMBER,
			Dt_doc = sd.[DATE], 
			comm_doc = sd.COMMENTARY, 
			CODE = sd.CODE
		from 
			dbo.CALCULATE_JURNAL JC 
			INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
			LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
			LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = p.way_calc AND w.[TYPE] = 1 
			LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = jc.LINK_DOC
		where
			(
					(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and (JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP)
					or 
					ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
					and (JC.DATE_BEGIN between @dBDATE_EMP AND @dEDATE_EMP or JC.PERIOD_BEGIN between @dBDATE_EMP AND @dEDATE_EMP )
					

				)
			AND 
				(	-->>NEW
				E.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				or
				JC.PERS_LINK in (select LINK from dbo.BufferGetTableById(@cBUFFID_NAME) )
				)	
			AND JC.LINK_DEP = @DEP_LINK 
		
		union all --
		SELECT LINK_FACE, PERS_LINK, link_empl, link_doc, link_pays, 
				 name_pays = p.name, sjc.link_vkr, sjc.link_ekr, sjc.typ_per, sjc.typ_oper, 
				 summa,sjc.link_inc, period_begin, period_end, date1, 
				 date2,SJC.link_dep, sjc.WAY_CALC, way_name = w.name,
				 type_doc = sd.[TYPE], 
				 num_doc = sd.NUMBER,
				 Dt_doc = sd.[DATE], 
				 comm_doc = sd.COMMENTARY, 
				 CODE = sd.CODE
		from dbo.S_J_C_SHORT SJC 
			LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
			LEFT JOIN dbo.SALARY_FULL_JURNAL_DOC sd ON sd.link = SJC.LINK_DOC
			LEFT JOIN dbo.PAYS P ON SJC.LINK_PAYS = P.LINK
			LEFT JOIN dbo.WAY_CALC w ON w.CODE = sjc.way_calc AND w.[TYPE] = 1
		where 
			SJC.LINK_DEP = @DEP_LINK
			and SJC.PERIOD_BEGIN between @dBDATE AND @dEDATE
			and TYP_OPER = 2



	--  #S_J_C_SHORT             , 
	--     - , ,       ,     DIS ,       
	IF OBJECT_ID('tempdb..#FIZ_EMPL_TAB') IS NOT NULL DROP TABLE #FIZ_EMPL_TAB
	CREATE TABLE #FIZ_EMPL_TAB (LINK_FACE INT, PERS_LINK INT , LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME)
	INSERT INTO #FIZ_EMPL_TAB (LINK_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS)
	SELECT sjc.LINK_FACE,
		sjc.pers_link,
		sjc.link_empl,
		INOSTR = CASE WHEN (SELECT TOP 1 code FROM citizenship WHERE link = p.CITIZ_LINK ) NOT IN('1','2') THEN 1 
					 ELSE 0 END,
		dis = CASE WHEN IDF.empl_link IS NOT NULL THEN 1 ELSE 0 END,
		IDF.DIS_DATE
	FROM 	#S_J_C_SHORT sjc
	INNER JOIN dbo.PERSON p ON p.link = ISNULL(sjc.LINK_FACE,sjc.pers_link) 
	left JOIN dbo.item_dis_face IDF ON IDF.empl_link = sjc.link_empl AND IDF.DIS_DATE BETWEEN @dBDATE AND @dEDATE AND IDF.ACTIVE = 1
	WHERE sjc.typ_oper = 1
	GROUP BY sjc.LINK_FACE, sjc.pers_link , sjc.link_empl, IDF.DIS_DATE, IDF.empl_link , p.CITIZ_LINK 


--------------------------------------------------------
---     
--------------------------------------------------------
-------- 1)    

	----------              ,
	----------  ,       
	IF OBJECT_ID('tempdb..#FIZ_DOH') IS NOT NULL DROP TABLE #FIZ_DOH
	CREATE TABLE #FIZ_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME, link_ved int ,VID_DOH CHAR(3),
						  mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_VED DATETIME,DATE_CALC DATETIME,DATE_PAY DATETIME,
						  TYP_PAYMENT TINYINT, TYP_TAX TINYINT, LINK_VKR int, LINK_EKR INT,LINK_PD INT,CODE_PD CHAR(4),NAME_PD VARCHAR(50),
						  DATE_FACT TINYINT,  DATE_FACT_C VARCHAR(50), DATE_ENUM TINYINT,DATE_ENUM_C VARCHAR(50), LINK_NDFL INT,
						  NDFL_SUM_BASE NUMERIC(15,2), NDFL_MONTH_SK NUMERIC(15,2),NDFL_SUMMA NUMERIC(15,2),SUMMA NUMERIC(15,2),DISBURS NUMERIC(15,2), 
						  DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED tinyint )
INSERT INTO #FIZ_DOH(link_FACE , PERS_LINK, LINK_EMPL , INOSTR, DIS , DATE_DIS, link_ved,VID_DOH,
						  mon, summa_doh ,summa_nal,DATE_VED,DATE_CALC,DATE_PAY,
						  TYP_PAYMENT , TYP_TAX , LINK_VKR , LINK_EKR,LINK_PD,CODE_PD ,NAME_PD,
						  DATE_FACT ,  DATE_FACT_C , DATE_ENUM ,DATE_ENUM_C , LINK_NDFL ,
						  NDFL_SUM_BASE , NDFL_MONTH_SK ,NDFL_SUMMA ,SUMMA ,DISBURS , 
						  DATE_DOH ,DATE_NAL , DATE_ISCH , DED )
	SELECT link_FACE = null,
			f.PERS_LINK, 
			f.LINK_EMPL , 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = 'DZP', 
			mon =  MONTH(S.DATE_CALC),
			summa_doh =  CASE WHEN f.PERS_LINK IS NOT NULL 
							  THEN (CASE WHEN F.INOSTR = 1
										THEN ROUND((sum(t.SUMMA) / 0.70),0,1)--sj.summa_doh
										ELSE ROUND((sum(t.SUMMA) / 0.87),0,1)
									END) 
							ELSE  0		
						 END  ,  			
			summa_nal = CASE WHEN f.PERS_LINK IS NOT NULL  
							THEN (CASE WHEN f.INOSTR = 1
									THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,1)  
									ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,1) 
								   END)
							ELSE 0  
			            end ,
			DATE_VED = max(S.DATE),
			DATE_CALC =  dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = null,
			SD.TYP_PAYMENT, 
			TYP_TAX = 0 ,
			SD.LINK_VKR,
			SD.LINK_EKR,
			LINK_PD = NULL,
			CODE_PD = NULL,
			NAME_PD = NULL,
			DATE_FACT = NULL,
			DATE_FACT_C = NULL,
			DATE_ENUM = NULL,
			DATE_ENUM_C = NULL,
			LINK_NDFL = null,
			NDFL_SUM_BASE = null,
			NDFL_MONTH_SK = null,
			NDFL_SUMMA = null,			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),	
			date_doh = 	dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_NAL = max(S.DATE),
			DATE_ISCH = CASE WHEN ISNULL(max(S.DATE),'') <> '' THEN dbo.next_work_day(max(S.DATE)) ELSE NULL END,
			DED = 0
	  FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM_DGH sd ON sd.LINK_UP = s.LINK --AND sd.TYP_PAYMENT = 1
			INNER JOIN dbo.SDOC_VEDOM_DGH_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.PERS_LINK = f.PERS_LINK	
	  WHERE
			sd.TYP_PAYMENT IN ( 1,3)
			AND
			S.DATE_CALC BETWEEN @dBDATE AND @dEDATE
		GROUP BY	
			f.PERS_LINK, S.DATE_CALC, s.link , 
			f.LINK_EMPL,f.INOSTR,f.dis,F.date_DIS, /*S.DATE ,*/
			SD.TYP_PAYMENT,sd.LINK_VKR,sd.LINK_EKR
	UNION ALL 
	
-------- 2)    	
	SELECT  f.link_face,
		    PERS_LINK = NULL , 
		    t.link_EMPL, 
			f.INOSTR ,
			f.dis,
			F.date_DIS,
			link_ved = s.link,
			VID_DOH = CASE WHEN f.dis =1 AND month(F.date_DIS) = MONTH(S.DATE_CALC) THEN 'UV'					
						   WHEN sd.typ_payment = 1 THEN 'ZP' 
						   WHEN sd.typ_payment = 3 THEN 'DR' 
						   END , 
			mon =  MONTH(S.DATE_CALC),
			summa_doh = case when sd.typ_payment = 1
								THEN sum(isnull(t31.t3_SUM_D,0)) - (sum(isnull(t32.t3_sum_U,0)) - (CASE WHEN  sum(isnull(t32.t3_sum_U,0)) = 0 THEN 0
																										ELSE   SUM(isnull(t32.t3_sum_Av,0))
																								        END 	      
																									)
																	)
										/*(CASE WHEN f.INOSTR = 1
											THEN ROUND((sum(t.SUMMA) / 0.70),0,1) 
											ELSE ROUND((sum(t.SUMMA) / 0.87),0,1)
										   END)*/
							ELSE (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
										THEN sum(dd.summa_base)	
									   WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2    --    "  " -       
										THEN  (CASE WHEN F.INOSTR = 1
													THEN ROUND((ceiling(sum(t.SUMMA)) / 0.70),0,1) + (sum(t.SUMMA) - ROUND(sum(t.SUMMA), 0,1)) --sj.summa_doh
													ELSE ROUND((ceiling(sum(t.SUMMA)) / 0.87),0,1) + (sum(t.SUMMA) - ROUND(sum(t.SUMMA), 0,1))
												END) 
									   WHEN isnull(dd.LINK,0) = 0 and sd.typ_tax = 3  --    "   " -      
											THEN sum(isnull(t31.t3_SUM_D,0))	
										END )	
							END ,
			summa_nal = case when sd.typ_payment = 1 
								THEN	sum(isnull(t32.t3_SUM_N,0))  
									/*(CASE WHEN f.INOSTR = 1
											THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13) 
											ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0) - (sum(isnull(dd.MONTH_SK,0)) *0.13)
										   END)*/
							ELSE  (CASE WHEN  isnull(dd.LINK,0) <> 0   --     -      
											THEN sum(dd.SUMMA)
									
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 2 --    "  " -     
											THEN (CASE WHEN f.INOSTR = 1
														THEN ROUND((sum(t.SUMMA) / 0.70) - sum(t.DISBURS),0,0) 
														ELSE ROUND((sum(t.SUMMA) / 0.87)- sum(t.DISBURS) ,0,0)
													END)
										WHEN  isnull(dd.LINK,0) = 0 and sd.typ_tax = 3	--    "   " -      
											then  sum(isnull(t32.t3_SUM_N,0))
										  
							       END ) 
										
						END ,
			DATE_VED = S.DATE ,
			
			DATE_CALC = dbo.DateEndOfMonth(S.DATE_CALC),
			DATE_PAY = SD.DATE_PAY,
			SD.TYP_PAYMENT, 
			SD.TYP_TAX,
			LINK_VKR =  isnull(t.link_sfin,SD.LINK_VKR),
			LINK_EKR = isnull(t.link_ekr,SD.LINK_EKR),
			LINK_PD = sd.LINK_PD,
			CODE_PD = pd.CODE,
			NAME_PD = pd.NAME,
			DATE_FACT = pd.DATE_FACT,
			DATE_FACT_C = pd.DATE_FACT_C,
			DATE_ENUM = pd.DATE_ENUM,
			DATE_ENUM_C = pd.DATE_ENUM_C,
			LINK_NDFL = dd.LINK,
			NDFL_SUM_BASE = sum(dd.summa_base),
			NDFL_MONTH_SK = sum(dd.MONTH_SK),
			NDFL_SUMMA = sum(dd.SUMMA),			
			SUMMA = sum(t.SUMMA),
			DISBURS = sum(t.DISBURS),
			date_doh = 	case when sd.typ_payment = 1 
								then ISNULL(dbo.DateEndOfMonth(S.DATE_CALC),SD.DATE_PAY)
							 WHEN sd.typ_payment = 3  
			           			THEN ISNULL(SD.DATE_PAY, S.DATE) 
			           	END ,
			DATE_NAL = case when sd.typ_payment = 1  
								then ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC))
							WHEN sd.typ_payment = 3 
								THEN (CASE WHEN pd.DATE_FACT = 1 
												THEN dbo.DateEndOfMonth(S.DATE_CALC)
								           ELSE ISNULL(SD.DATE_PAY, S.DATE) 
									  END ) 		
						END ,
			DATE_ISCH = case when sd.typ_payment = 1   
								then dbo.next_work_day(ISNULL(SD.DATE_PAY,dbo.DateEndOfMonth(S.DATE_CALC)))
			                 WHEN sd.typ_payment = 3
								THEN (CASE WHEN pd.DATE_ENUM = 1 
												THEN dbo.DateEndOfMonth(S.DATE_CALC)
								           ELSE dbo.next_work_day(ISNULL(SD.DATE_PAY, S.DATE)) 
									  END ) 
						 END ,
	      
	    
	     /* t.link_EMPL, 
	      LINK_FACE = f.link_face, 
	      TYP_PAYMENT  = sd.TYP_PAYMENT ,
	      DATE_DV = CASE WHEN sd.TYP_PAYMENT = 1
								then dbo.DateEndOfMonth(S.DATE_CALC) 
	                     else sd.date_pay end , 
	      DATE_V = case when sd.TYP_PAYMENT = 1 
							then max(S.DATE) 
						else (case when pd.date_fact = 1 
									 then dbo.DateEndOfMonth(S.DATE_CALC) 
								   else sd.date_pay end) 
	                    end , 
		
			s.link, T.LINK_EKR, sd.TYP_PAYMENT, sum(s.SUMMA_T) AS SUMMA_T, sum(t.SUMMA) AS SUMMA, sum(t.DISBURS) AS DISBURS */
			DED = 0  
		FROM
			DBO.sdoc s 
			INNER JOIN dbo.SDOC_VEDOM sd ON sd.LINK_UP = s.LINK AND sd.TYP_PAYMENT IN( 1,3)
			INNER JOIN dbo.SDOC_VEDOM_TABLE1 T ON T.LINK_UP = s.LINK
			INNER JOIN #FIZ_EMPL_TAB f ON /*sj.LINK_FACE = f.LINK_FACE AND*/ t.LINK_EMPL = f.LINK_EMPL
			LEFT JOIN (SELECT t3_SUM_D = SUM(s3.summa),s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin from dbo.sdoc_vedom_table3 s3 
						INNER JOIN SDOC_VEDOM_TABLE1 AS svt ON svt.LINK_UP = s3.LINK_UP  AND svt.LINK_EMPL= s3.LINK_EMPL AND svt.link_ekr = s3.link_ekr AND svt.LINK_SFIN = s3.LINK_SFIN						
			           where  s3.typ_pay = 1
			           AND svt.disburs <> 0
			           GROUP BY s3.link_empl, s3.link_UP, s3.link_ekr, s3.link_sfin) AS t31 ON t31.LINK_UP = s.LINK AND  t31.link_empl = t.link_empl AND t31.link_ekr =  t.link_EKR AND t31.link_sfin = t.LINK_SFIN  --    
			LEFT JOIN (SELECT t3_sum_N = ISNULL(SUM(case when p3.way_calc = 4 then t3.summa 
												ELSE 0 end ),0),
							t3_sum_U =  ISNULL(sum(case when p3.way_calc = 1 and p3.name =' ' THEN t3.summa
												ELSE 0 end ),0), 
							t3_sum_av = ISNULL((SELECT sUM(t1.disburs) 
											   FROM  
											   DBO.sdoc s1 
											   INNER JOIN dbo.SDOC_VEDOM sd1 ON sd1.LINK_UP = s1.LINK 
											   INNER JOIN dbo.SDOC_VEDOM_TABLE1 T1 ON T1.LINK_UP = sd1.LINK_UP
											   WHERE  sd1.TYP_PAYMENT IN( 2) 
											   AND t1.LINK_EMPL = t3.link_empl AND s1.date_calc = ss.DATE_CALC AND t1.link_sfin = t3.LINK_SFIN AND t1.link_ekr = t3.link_ekr 
							            ),0),		
							link_empl, 
							link_UP, t3.LINK_SFIN,t3.link_ekr
			           FROM dbo.sdoc_vedom_table3 t3 
					   INNER JOIN dbo.pays p3 ON p3.LINK = t3.LINK_PAY 
					   LEFT JOIN DBO.sdoc ss ON ss.link = t3.LINK_UP 		
			           where t3.typ_pay = 2 AND p3.way_calc in (4 , 1)
						GROUP BY link_empl, link_UP,ss.DATE_CALC ,t3.LINK_SFIN,t3.link_ekr) AS t32 ON t32.LINK_UP = s.LINK AND  t32.link_empl = t.link_empl AND t.link_sfin = t32.LINK_SFIN AND t.link_ekr = t32.link_ekr   --    
			LEFT JOIN dbo.dict_pay_direction Pd ON PD.LINK = SD.LINK_PD
			LEFT JOIN (SELECT D.LINK,D.NUMBER,D.DATE, D.FLAG_JC,D.PERIOD,D.SUMMA AS SUM_all,D.MONTH_BASE,D.YEAR_BASE,D.RKO,D.name_dep,
						  DI.ORDERS,DI.REF_EMPL,DI.LINK_VKR,DI.SUMMA_BASE,DI.TOTAL_SK,DI.SUM_CALC,DI.SUMMA,DI.TOTAL_DED,DI.TOTAL_SUM,DI.TOTAL_TAX,
						  DI.MONTH_SK,DI.MONTH_DED,LINK_EKR,DI.NDFL_RANGE
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 ) AS DD 
							ON DD.LINK = SD.LINK_NDFL	 
							AND DD.REF_EMPL = f.LINK_EMPL 
							AND DD.LINK_VKR = T.LINK_SFIN
							AND DD.LINK_EKR = T.LINK_EKR
		WHERE
			( ((sd.TYP_PAYMENT = 1 AND t.summa = 0 AND NOT EXISTS( SELECT * FROM DBO.sdoc s_1 
																	INNER JOIN dbo.SDOC_VEDOM sd_1 ON sd_1.LINK_UP = s_1.LINK AND sd_1.TYP_PAYMENT = 3
																	INNER JOIN dbo.SDOC_VEDOM_TABLE1 T_1 ON T_1.LINK_UP = s_1.LINK 
																	LEFT JOIN dbo.dict_pay_direction Pd_1 ON Pd_1.LINK = SD_1.LINK_PD
			                                                       WHERE  t_1.LINK_EMPL = f.LINK_EMPL
			                                                       AND s_1.FLAG_JC = 1
			                                                       AND ( (isnull(SD_1.LINK_PD,0)= 0 AND S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
																			  (isnull(SD_1.LINK_PD,0)<> 0 AND (
			  																									(Pd_1.DATE_FACT = 1 and S_1.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  																									 OR  (Pd_1.DATE_FACT = 2 and SD_1.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  																								 )  
																		  )								 
																		)
																  )
			    ) 
			   OR (sd.TYP_PAYMENT = 1 AND t.summa <> 0)
			   )
			  or (sd.TYP_PAYMENT = 3 AND t.summa <> 0) 
			)
			AND 
			s.FLAG_JC = 1
			AND
			( (isnull(SD.LINK_PD,0)= 0 AND S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) OR 
			  (isnull(SD.LINK_PD,0)<> 0 AND ( (sd.TYP_PAYMENT = 1 AND SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) or
											 	
			  								 ((sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 1 and S.DATE_CALC BETWEEN @dBDATE AND @dEDATE) 
			  								 OR  (sd.TYP_PAYMENT <> 1 AND PD.DATE_FACT = 2 and SD.DATE_PAY BETWEEN @dBDATE AND @dEDATE) 
			  								 ))  
			  )								 
			)
		GROUP BY T.LINK_EMPL ,date_calc ,f.link_face,f.INOSTR ,f.dis,F.date_DIS, s.link, S.DATE,SD.DATE_PAY,SD.TYP_PAYMENT, 
			SD.TYP_TAX,SD.LINK_VKR,SD.LINK_EKR,t.LINK_EKR,t.link_sfin,sd.LINK_PD,pd.CODE,pd.NAME,pd.DATE_FACT,pd.DATE_FACT_C,pd.DATE_ENUM,pd.DATE_ENUM_C,
			dd.link, sd.LINK_NDFL


--SELECT * FROM #fiz_doh
 UPDATE doh
		SET summa_doh =  ( SELECT SUM(DI.summa_base)
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR) 
						- 
						(SELECT sum(fd.summa_doh) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)


 UPDATE doh
		SET summa_nal =  ( SELECT SUM(DI.summa)
					   FROM DOCUMENTS_INCTAX D 
							LEFT JOIN DOCUMENTS_INCTAX_table DI ON DI.LINK = D.LINK
					   WHERE D.FLAG_JC = 1 
					   AND d.MONTH_BASE = doh.mon AND d.YEAR_BASE = YEAR(doh.date_calc)	 
							AND DI.REF_EMPL = doh.link_empl
							AND DI.LINK_VKR = doh.LINK_VKR
							AND DI.LINK_EKR = doh.LINK_EKR) 
						- 
						(SELECT sum(fd.summa_nal) from #FIZ_DOH fd 
								WHERE fd.vid_doh = 'DR'	
									 AND fd.TYP_PAYMENT = 3 
									 AND fd.LINK_EMPL = doh.LINK_EMPL
									 AND fd.mon = doh.mon
									 AND fd.LINK_VKR = doh.LINK_VKR
									 AND fd.LINK_EKR = doh.link_ekr)							 	 
 FROM #FIZ_DOH doh
 WHERE 	doh.vid_doh = 'ZP'	AND doh.TYP_PAYMENT = 1 
 AND EXISTS(select * from #FIZ_DOH fd 
			WHERE fd.vid_doh = 'DR'	
			 AND fd.TYP_PAYMENT = 3 
			 AND fd.LINK_EMPL = doh.LINK_EMPL
			 AND fd.mon = doh.mon
			 AND fd.LINK_VKR = doh.LINK_VKR
			 AND fd.LINK_EKR = doh.link_ekr)			 


 
 
 INSERT INTO #FIZ_VID_DOH(link_FACE, PERS_LINK, LINK_EMPL, INOSTR , DIS, DATE_DIS, VID_DOH, mon,summa_doh,summa_nal,DATE_DOH,DATE_NAL, DATE_ISCH, DED, link_ved , sum_ded ) 
 SELECT
		link_FACE, 
		PERS_LINK, 
		LINK_EMPL, 
		INOSTR , 
		DIS = CASE when MONTH(DATE_DIS) = mon  THEN 1 ELSE 0 end, 
		DATE_DIS, 
		VID_DOH, 
		mon,
		summa_doh, 
		summa_nal, 
		DATE_DOH,
		DATE_NAL, 
		DATE_ISCH, 
		DED, 
		link_ved ,
		SUM_DED_OTHER = 0
 FROM #FIZ_DOH 	WHERE (summa_doh <> 0 )--AND summa_nal <> 0)	 

--SELECT * FROM #FIZ_VID_DOH ORDER BY link_empl, mon, date_doh
-- -- EXECUTE KIR_EXEC_QUERY 20185,'''2016'',1,20193'


	DROP TABLE #S_J_C_SHORT
	DROP TABLE #FIZ_EMPL_TAB

--DROP TABLE #FIZ_DOH

END 

RETURN 0





GO


GRANT EXECUTE ON dbo.[SA_6NDFL_PREPARE_R2] TO PUBLIC

GO




GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_PR_REKVIZIT_PROVERKA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_PR_REKVIZIT_PROVERKA]

GO

/*
  (Keysystems), 2005
*/

CREATE         PROCEDURE dbo.[SS_PR_REKVIZIT_PROVERKA]
	--@result			INT OUTPUT,
	@cBufferId		char(100),
	@intCheckDate    TINYINT, 
	@varKSDate 		VARCHAR(10) = null,
	@intCheckPAYD	TINYINT,
	@nLINK_PAYD 	int = null,
	@intCheckNDFL	TINYINT,
	@nLINK_NDFL		int = null

	
	
AS
BEGIN 
	
DECLARE @dDate_PAY datetime
if @varKSDate IS NULL 
	SET @dDate_PAY = null
ELSE 	
	SET @dDate_PAY =  CONVERT(DATETIME,@varKSDate, 104)
	
Declare @iTYP_Payment TINYINT, 
		@iTYP_TAX TINYINT,
		@xCount		int,
		@cNumber	varchar(25),
		@iDocLink	int,
		@dWorkDate	datetime



declare @tBuffer table (LINK int)
insert into @tBuffer
select LINK from dbo.BufferGetTableByID(@cBufferId)

--set @result = 0

SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckDate = 0 THEN '   .       . ;' else '' end)
WHERE @intCheckDate = 0 
UNION
SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckDate = 1 AND @varKSDate IS null THEN '  ,    .       . ;' else '' end)
WHERE @intCheckDate = 1 AND @varKSDate IS null
UNION
SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckPAYD = 0 THEN '   .         ;' else '' end)
WHERE @intCheckPAYD = 0 
UNION
SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckPAYD = 1  AND @nLINK_PAYD IS null THEN '  ,    .       .  ;' else '' end)
WHERE @intCheckPAYD = 1 AND @nLINK_PAYD IS null
UNION
SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckNDFL = 0  THEN '   .         ;' else '' end)
WHERE @intCheckNDFL = 0
UNION
SELECT num_pr = 0, msg = ' : ' + 
(case when @intCheckNDFL = 1  AND @nLINK_NDFL IS null THEN '  ,    .       . ;' else '' end)
WHERE @intCheckNDFL = 1 AND @nLINK_NDFL IS null
UNION
Select num_pr = v.NUMBER_PR, 
	   msg = '   ' + ltrim(rtrim(convert(varchar(10),v.NUMBER_PR))) + '   - ' 
				+ (CASE WHEN @intCheckDate = 1 and @varKSDate IS NOT null
							THEN '  : ' + convert(varchar(10),date_pay, 104)  + ';' 
					   ELSE '' END ) 
				+ (CASE WHEN @intCheckPAYD = 1 and isnull(@nLINK_PAYD,0) <> 0
							THEN '  : ' + (SELECT ltrim(rtrim(name)) + ';' FROM dbo.DICT_PAY_DIRECTION WHERE link = @nLINK_PAYD) 
					   ELSE '' END)  
				+ (CASE WHEN @intCheckNDFL = 1 and isnull(@nLINK_NDFL,0) <>0 
							THEN (SELECT '  :  ' + ltrim(rtrim(number)) + '  ' + convert(varchar(10),DATE , 104)+ ';'    FROM dbo.DOCUMENTS_INCTAX WHERE link = @nLINK_NDFL) + ';' 
					   ELSE '' END) 	   
from dbo.SDOC_VEDOM v
	 inner join @tBuffer b ON v.link_up = b.LINK AND v.typ_payment = 3
UNION
Select num_pr = v.NUMBER_PR, 
	   msg = '   ' + LTRIM(RTRIM(convert(varchar(10),v.NUMBER_PR))) + '    "' + (case when v.typ_payment = 1 THEN '' else '' end) +  '"  - ' 
				+ '       !' 
from dbo.SDOC_VEDOM v
	 inner join @tBuffer b ON v.link_up = b.LINK AND v.typ_payment <>  3

--set @result = 0

end
RETURN 0



GO


GRANT EXECUTE ON dbo.[SS_PR_REKVIZIT_PROVERKA] TO PUBLIC

GO


-- --


GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BB_SAVE_REPORT_CALC_ROW]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BB_SAVE_REPORT_CALC_ROW]
GO


/*
  (Keysystems), 2006
*/

CREATE             

PROCEDURE dbo.BB_SAVE_REPORT_CALC_ROW
	@iLink		int	OUTPUT,
	@iLinkCalc	int,
	@iOrder		tinyint,
	@cSign		char(4),
	@cDtMask	varchar(100),
	@cKtMask	varchar(100),
	@cDtEKR		varchar(1000),
	@cKtEKR		varchar(1000),
	@iTypeKBK	tinyint,
	@cType		varchar(100),
	@cMaskKBK	varchar(100),
	@cDtKt		char(6),
	@cOper		varchar(1000)


as
set lock_timeout 30000
set implicit_transactions on
declare @iERROR		tinyint,
		@iTrancount	int,
		@iRowCount	int,
		@iSign		tinyint,
		@iType		tinyint,
		@iDtKt		tinyint
	


set @iTrancount = @@TRANCOUNT
set @iSign = case when @cSign = '+' then 1 when @cSign = '-' then 2 else 3 end
set @iType = case when UPPER(@cType) = '' then 1 when CHARINDEX('', @cType) > 0 then 2 else 3 end
set @iDtKt = case when @cDtKt = '' then 0 else 1 end
set @cMaskKBK = replace(replace(replace(replace(replace(replace(rtrim(@cMaskKBK),'','x'),'','X'),'','0'),'','0'),'O','0'),'o','0')
set @cMaskKBK = replace(replace(replace(replace(replace(@cMaskKBK, '0',''),'0',''),'0',''), '0', '0'), 'X0', 'X') --        
set @cDtMask = replace(rtrim(ltrim(@cDtMask)),',','.')
set @cKtMask = replace(rtrim(ltrim(@cKtMask)),',','.')
if @iType > 1
begin
	if isnull(@cDtMask,'') <> '' and isnull(@cKtMask,'') <> ''
		if @iDtKt = 0
			set @cKtMask = ''
		else
			set @cDtMask = ''
	if isnull(@cDtEKR,'') <> '' and isnull(@cKtEKR,'') <> ''
		if @iDtKt = 0
			set @cKtEKR = ''
		else
			set @cDtEKR = ''
end		
	
	
		
set implicit_transactions on
begin tran
commit tran
	
		UPDATE dbo.REPORT_CALC_ROWS
		SET Link_Calc = @iLinkCalc,
			Orders = @iOrder,
			[Sign] = @iSign,
			DT_Mask = @cDtMask,
			KT_Mask = @cKtMask,
			DT_EKR = @cDtEKR,
			KT_EKR = @cKtEKR,
			Type_KBK = @iTypeKBK,
			[Type] = @iType,
			Mask_KBK = @cMaskKBK,
			DT_KT = @iDtKt,
			OPER = @cOper
		WHERE LINK = @iLink
		
		SELECT @iRowCount = @@ROWCOUNT, @iERROR = @@ERROR
		IF @iERROR <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END

		IF @iRowCount = 0
		BEGIN
			INSERT INTO dbo.REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, OPER)
			VALUES (@iLinkCalc, @iOrder, @iSign, @cDtMask, @cKtMask, @cDtEKR, @cKtEKR, @iTypeKBK, @iType, @cMaskKBK, @iDtKt, @cOper)
			SELECT @iERROR = @@ERROR, @iLink = @@IDENTITY
			IF @iERROR <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
		END	
	

if @@trancount > @iTrancount
	Commit tran
return 0

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_O_OTHER_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_O_OTHER_FILL]

GO

CREATE   PROCEDURE dbo.SD_O_OTHER_FILL
@LINK INT
AS  

DECLARE @Month int, 
		@Year int, 
		@Link1 int,
		@DEP_LINK INT,
		@Date DATETIME	

SELECT 
	@Year = YEAR(S.DATE_CALC),
	@Month = MONTH(S.DATE_CALC),
	@DEP_LINK = S.LINK_DEP,
	@Date = dbo.DATEENDOFMONTH(S.DATE_CALC)
FROM 
	dbo.SDOC S
WHERE 
	S.LINK = @LINK

IF @DEP_LINK IS NULL
	Set @DEP_LINK = Coalesce( (SELECT TOP 1 ZB_LINK FROM dbo.KS_OPTIONS_ZB), dbo.GetOwnDepLink())

--- 
--!!!         .    
CREATE TABLE #RANGE(LINK_PAYS INT, PREDEL NUMERIC(18,2), [PERCENT] NUMERIC(18,2))
INSERT INTO #RANGE (LINK_PAYS, PREDEL,  [PERCENT])
SELECT 
	DR.LINK_PAYS, PREDEL, [PERCENT]
FROM 
	dbo.PAYS P
	INNER JOIN dbo.DICTIONARY_RANGE DR ON P.LINK = DR.LINK_PAYS
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5
	AND TARIF = 1
	AND DR.[DATE]= (SELECT TOP 1 [DATE] FROM dbo.DICTIONARY_RANGE DR1 
		WHERE DR1.TARIF = DR.TARIF AND LINK_PAYS = P.LINK AND [DATE] <= @Date ORDER BY [DATE] DESC) 	

DECLARE @COLUMN_REF_PAY_MROT_T3 INT
SET @COLUMN_REF_PAY_MROT_T3 = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'COLUMN_REF_PAY_MROT_T3')

----    
CREATE TABLE #INV ([PERCENT] NUMERIC(18,2), LINK INT)
INSERT  INTO #INV ([PERCENT], LINK)
SELECT
	[PERCENT] = MP.summa, I.PERS_LINK
FROM	
	dbo.MINROT_PAYS MP
	INNER JOIN dbo.PERS_INVALID I ON 1=1
WHERE
	[OBJECT] = @COLUMN_REF_PAY_MROT_T3
	AND
	LINK_MINROT = (SELECT TOP 1 LINK FROM MINROT WHERE PERIOD<=@Date ORDER BY PERIOD DESC)
	AND
	dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@Month,@Year))
		BETWEEN I.DATE_BEGIN AND COALESCE(I.DATE_END,'29990101')	

--===ר 
--    
CREATE TABLE #SKIDKA (LINK_INC INT, PREDEL NUMERIC(18,2))
INSERT INTO #SKIDKA (LINK_INC, PREDEL)
SELECT TI.LINK, D.PREDEL
FROM 
	dbo.Salary_deduct_esn(@Date) D	
	INNER JOIN dbo.DICTIONARY_TYP_INCOMS TI ON TI.REF_DEDUCT = D.REF_PAY
	AND dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT3') = 1 --   
	
-- 
CREATE TABLE #BASE (LINK_TAX INT, LINK_PAY INT)
INSERT INTO #BASE (LINK_TAX, LINK_PAY)
SELECT T.LINK_TAX, T.LINK_PAYS 
FROM
	dbo.PAYS P  
	INNER JOIN dbo.TAX_REF T ON T.LINK_TAX = P.LINK
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5	

--         
DECLARE @LINK_EKR211 INT, @LINK_EKR212 INT, @LINK_EKR213 INT
SET @LINK_EKR211 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '211')
SET @LINK_EKR212 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '212')
SET @LINK_EKR213 = (SELECT TOP 1 LINK FROM dbo.KOSGU WHERE CODE = '213')

DECLARE @SALARY_PROV_OPT4 TINYINT
SET @SALARY_PROV_OPT4 = dbo.sa_get_option_by_code('SALARY_PROV_OPT4')

CREATE TABLE #SUMMA (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, LINK_VKR INT, LINK_EKR INT, SUMMA_M NUMERIC(18,2),SUMMA NUMERIC(18,2), LINK_VKR2 INT)
INSERT INTO #SUMMA (LINK_TAX, LINK_PERS, LINK_INC, LINK_VKR, LINK_EKR, SUMMA_M, SUMMA, LINK_VKR2)
SELECT
	B.LINK_TAX,
	ISNULL(J.PERS_LINK,E.PERS_LINK),
	P.LINK_INC,
	LINK_VKR = ISNULL(SF.LINK_SS_SFIN,J.LINK_VKR),
	CASE WHEN @SALARY_PROV_OPT4 = 0 THEN 
		CASE WHEN COALESCE(J.LINK_EKR,@LINK_EKR213) = @LINK_EKR211 THEN @LINK_EKR213 ELSE COALESCE(J.LINK_EKR,@LINK_EKR213) END
	ELSE 
		CASE WHEN COALESCE(J.LINK_EKR,@LINK_EKR213) IN (@LINK_EKR211, @LINK_EKR212) THEN @LINK_EKR213 ELSE COALESCE(J.LINK_EKR,@LINK_EKR213) END				
	END,	
	SUMMA_M = SUM(CASE WHEN MONTH(J.PERIOD_BEGIN) = @Month THEN SUMMA ELSE 0 END),
	SUMMA  = SUM(SUMMA),
	LINK_VKR2 = J.LINK_VKR
FROM
	#BASE B 
	INNER JOIN dbo.PAYS P ON P.LINK = B.LINK_PAY
	INNER JOIN dbo.CALCULATE_JURNAL J ON J.LINK_PAYS = P.LINK
	INNER JOIN dbo.EMPL E ON E.LINK = J.LINK_EMPL
	INNER JOIN dbo.SAL_SFIN SF ON SF.LINK = J.LINK_VKR
WHERE
	J.LINK_DEP = @DEP_LINK
	AND
	P.[OBJECT] = 1 
	AND
	YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) <= @Month
	--AND
	--J.LINK_EKR <> @LINK_EKR213
GROUP BY
	B.LINK_TAX, ISNULL(J.PERS_LINK,E.PERS_LINK), P.LINK_INC, LINK_VKR, J.LINK_EKR, SF.LINK_SS_SFIN

		
--        
CREATE TABLE #SUMMA2 (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, SUMMA_M NUMERIC(18,2), SUMMA NUMERIC(18,2))
INSERT INTO #SUMMA2 (LINK_TAX, LINK_PERS, LINK_INC, SUMMA_M, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_INC, SUM(SUMMA_M), SUM(SUMMA)
FROM #SUMMA
GROUP BY LINK_TAX, LINK_PERS, LINK_INC

--     ,    
DELETE FROM dbo.SDOC_DOT_SKIDKI WHERE LINK_UP = @LINK

--           
CREATE TABLE #SKIDKA_PREV (LINK_TAX INT, LINK_PERS INT, LINK_INC INT, SUMMA NUMERIC(18,2))

INSERT INTO #SKIDKA_PREV (LINK_TAX, LINK_PERS, LINK_INC, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_INC, SUM(SUMMA)
FROM 
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_SKIDKI S ON S.LINK_UP = D.LINK
WHERE
	D.LINK_DEP = @DEP_LINK
	AND 
	YEAR(DATE_CALC)	= @Year AND MONTH(DATE_CALC) < @Month
	AND
	D.FLAG_JC = 1	
GROUP BY
	LINK_TAX, LINK_PERS, LINK_INC

--
DECLARE @ESNTR_OPTIONS_OPT5 INT
SET @ESNTR_OPTIONS_OPT5 = dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT5')

--     
CREATE TABLE #PREV_DED (LINK_PERS INT, LINK_INC INT, SUMMA NUMERIC(18,2))
--
INSERT INTO #PREV_DED (LINK_PERS, LINK_INC, SUMMA)
SELECT E.PERS_LINK, LINK_INC = T.LINK, SUMMA = SUM(PD.SUMMA_DED)
FROM 
	dbo.SD_EMPL_PREV_DED PD
	INNER JOIN dbo.DICTIONARY_TYP_INCOMS T with (nolock) ON T.REF_DEDUCT = PD.LINK_DED
	INNER JOIN dbo.EMPL E with (nolock) ON E.LINK = PD.LINK_EMPL
	INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @Date
	INNER JOIN (
		SELECT E.PERS_LINK, MAX(DATE_BEGIN) AS DATE_BEGIN
		FROM 
			dbo.EMPL E with (nolock)
			INNER JOIN dbo.ITEM_MOVE IM with (nolock) ON IM.EMPL_LINK = E.LINK AND IM.ACTIVE = 1 AND IM.NEW_FACE=1 AND IM.[STATUS] IN (1,3) AND IM.DATE_BEGIN <= @Date
			LEFT JOIN DBO.ITEM_DIS_FACE IDF with (nolock) ON IDF.EMPL_LINK = E.LINK AND IDF.ACTIVE=1 AND COALESCE(IDF.DIS_DATE,'20990101') >= dbo.DateBeginOfMonth(@Date)	
		GROUP BY
			E.PERS_LINK	
	) A ON A.PERS_LINK = E.PERS_LINK AND A.DATE_BEGIN = IM.DATE_BEGIN
WHERE
	E.DEP_LINK = @DEP_LINK
	AND
	YEAR(IM.DATE_begin) = @Year --YEAR(dbo.kd_DateBeginWork(@linkEmpl,null)) = @Year
	AND
	@ESNTR_OPTIONS_OPT5 = 1 -- ,     
GROUP BY
	E.PERS_LINK, T.LINK

--            
INSERT INTO dbo.SDOC_DOT_SKIDKI (LINK_UP, LINK_TAX, LINK_PERS, LINK_INC, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA, [PERCENT])
SELECT 
	@LINK, S2.LINK_TAX, S2.LINK_PERS, S2.LINK_INC, S.LINK_VKR, S.LINK_VKR2, S.LINK_EKR,
	--     
	--CASE WHEN S2.SUMMA_M > CASE WHEN ISNULL(SP.SUMMA,0) < SK.PREDEL THEN (SK.PREDEL - ISNULL(SP.SUMMA,0)) * (S.SUMMA_M / S2.SUMMA_M) ELSE 0 END
	--	THEN CASE WHEN ISNULL(SP.SUMMA,0) < SK.PREDEL THEN (SK.PREDEL - ISNULL(SP.SUMMA,0)) * (S.SUMMA_M / S2.SUMMA_M) ELSE 0 END
	--	ELSE S2.SUMMA_M
	--END,
	(
		CASE WHEN
			--  
			(CASE WHEN ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) > ISNULL(SK.PREDEL,0) THEN ISNULL(SK.PREDEL,0) ELSE ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) END) > 0 
		THEN
		(
			--  
			(CASE WHEN ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) > ISNULL(SK.PREDEL,0) THEN ISNULL(SK.PREDEL,0) ELSE ISNULL(PD.SUMMA,0) + ISNULL(S2.SUMMA,0) END) 
			-- 
			- ISNULL(SP.SUMMA,0) - ISNULL(PD.SUMMA,0)
		)	
			----  
			* (S.SUMMA_M / S2.SUMMA_M)
		ELSE
		0 
		END	
	),
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT])
FROM 
	#RANGE DR -- 
	INNER JOIN #SUMMA2 S2 ON --        
							S2.LINK_TAX = DR.LINK_PAYS
	INNER JOIN #SUMMA S ON --         
							S.LINK_TAX = S2.LINK_TAX AND S.LINK_PERS = S2.LINK_PERS AND S.LINK_INC = S2.LINK_INC
	INNER JOIN #SKIDKA SK ON --    
							SK.LINK_INC = S.LINK_INC
	LEFT JOIN #SKIDKA_PREV SP ON --           
							SP.LINK_TAX = S2.LINK_TAX AND SP.LINK_PERS = S2.LINK_PERS AND SP.LINK_INC = S2.LINK_INC
	LEFT JOIN #PREV_DED PD ON --     
						PD.LINK_PERS = S2.LINK_PERS AND PD.LINK_INC = S2.LINK_INC								
	LEFT JOIN #INV I ON --    
						I.LINK = S2.LINK_PERS
WHERE
	S2.SUMMA_M <> 0
	

--===ר 
--    
CREATE TABLE #VYCHET (LINK_DED INT, PREDEL NUMERIC(18,2))
INSERT INTO #VYCHET (LINK_DED, PREDEL)
SELECT TI.LINK, D.PREDEL
FROM 
	dbo.Salary_deduct_esn(@Date) D	
	INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION TI ON TI.LINK = D.REF_PAY
	LEFT JOIN dbo.DICTIONARY_TYP_INCOMS TI2 ON TI2.REF_DEDUCT = D.REF_PAY
WHERE 
	TI2.REF_DEDUCT IS NULL
	AND
	dbo.SA_GET_OPTION_BY_CODE('ESNTR_OPTIONS_OPT4') = 1 --  		
	
--  ,     
CREATE TABLE #SUMMA_U (LINK_DED INT, LINK_PERS INT, SUMMA_M NUMERIC(18,2), SUMMA NUMERIC(18,2))
INSERT INTO #SUMMA_U (LINK_DED, LINK_PERS, SUMMA_M, SUMMA)
---  
SELECT 
	TA.LINK_DED, ISNULL(J.PERS_LINK,E.PERS_LINK), 
	SUMMA_M = SUM(CASE WHEN MONTH(J.PERIOD_BEGIN) = @Month THEN SUMMA ELSE 0 END),
	SUMMA  = SUM(SUMMA)
FROM 
	dbo.EMPL E inner join dbo.calculate_jurnal J ON e.link = J.link_empl
	inner join dbo.TAX2_APP TA ON TA.LINK_UP = J.LINK_PAYS
WHERE 
	J.LINK_DEP = @DEP_LINK
	AND YEAR(J.PERIOD_BEGIN) = @Year AND MONTH(J.PERIOD_BEGIN) <= @Month
	AND ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, ISNULL(J.PERS_LINK,E.PERS_LINK)

--     ,    
DELETE FROM dbo.SDOC_DOT_VYCHET WHERE LINK_UP = @LINK	

--           
CREATE TABLE #VYCHET_PREV (LINK_TAX INT, LINK_PERS INT, LINK_DED INT, SUMMA NUMERIC(18,2))

INSERT INTO #VYCHET_PREV (LINK_TAX, LINK_PERS, LINK_DED, SUMMA)
SELECT LINK_TAX, LINK_PERS, LINK_DED, SUM(SUMMA)
FROM 
	dbo.SDOC D
	INNER JOIN dbo.SDOC_DOT_VYCHET S ON S.LINK_UP = D.LINK
WHERE
	D.LINK_DEP = @DEP_LINK
	AND 
	YEAR(DATE_CALC)	= @Year AND MONTH(DATE_CALC) < @Month
	AND
	D.FLAG_JC = 1	
GROUP BY
	LINK_TAX, LINK_PERS, LINK_DED

--====            

--      
SELECT 
	LINK_TAX = P.LINK, S.LINK_PERS, S.LINK_DED,
	SUMMA_M = 
	--CASE WHEN S.SUMMA_M > CASE WHEN ISNULL(VP.SUMMA,0) < V.PREDEL THEN (V.PREDEL - ISNULL(VP.SUMMA,0)) * (S.SUMMA_M / S.SUMMA_M) ELSE 0 END
	--	THEN CASE WHEN ISNULL(VP.SUMMA,0) < V.PREDEL THEN (V.PREDEL - ISNULL(VP.SUMMA,0)) * (S.SUMMA_M / S.SUMMA_M) ELSE 0 END
	--	ELSE S.SUMMA_M
	--END,
	(
		--  
		(CASE WHEN ISNULL(S.SUMMA,0) > ISNULL(V.PREDEL,0) THEN ISNULL(V.PREDEL,0) ELSE ISNULL(S.SUMMA,0) END) 
		-- 
		- ISNULL(VP.SUMMA,0)
	),		
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT])
INTO #TMP_VYCH
FROM
	dbo.PAYS P
	INNER JOIN #RANGE DR -- 
							ON P.LINK = DR.LINK_PAYS
	INNER JOIN #SUMMA_U S --   
							ON 1=1
	INNER JOIN #VYCHET V --    
						ON V.LINK_DED = S.LINK_DED
	LEFT JOIN #VYCHET_PREV VP --       
						ON VP.LINK_PERS = S.LINK_PERS AND VP.LINK_DED = S.LINK_DED
	LEFT JOIN #INV I --    
					ON I.LINK = S.LINK_PERS
WHERE
	P.[OBJECT] = 3 AND P.WAY_CALC = 5
	AND S.SUMMA_M <> 0

--     
SELECT LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA_M = SUM(SUMMA_M)
INTO #TMP_DOH FROM #SUMMA GROUP BY LINK_TAX, LINK_PERS, LINK_VKR, LINK_EKR, LINK_VKR2

--  
SELECT LINK_TAX, LINK_PERS, SUMMA_M = SUM(SUMMA_M)
INTO #TMP_DOH2 FROM #SUMMA GROUP BY LINK_TAX, LINK_PERS

--        
INSERT INTO dbo.SDOC_DOT_VYCHET (LINK_UP, LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, LINK_DED, SUMMA, [PERCENT])
SELECT 
	@LINK, D2.LINK_TAX, D2.LINK_PERS, D.LINK_VKR, D.LINK_VKR2, D.LINK_EKR, V.LINK_DED, ISNULL(V.SUMMA_M,0) * ISNULL(D.SUMMA_M,0) / D2.SUMMA_M, V.[PERCENT]
FROM
	#TMP_DOH2 D2 
	INNER JOIN #TMP_DOH D ON D.LINK_TAX = D2.LINK_TAX AND D.LINK_PERS = D2.LINK_PERS
	INNER JOIN #TMP_VYCH V ON D2.LINK_TAX = V.LINK_TAX AND D2.LINK_PERS = V.LINK_PERS
WHERE
	ISNULL(D2.SUMMA_M,0) <> 0	

SELECT 
	[PERCENT] = ISNULL(I.[PERCENT],DR.[PERCENT]),
	DR.LINK_PAYS,
	CODE_PAYS = P.CODE,
	NAME_PAYS = P.NAME,
	S.LINK_VKR,
	[NAME_VKR] = F.CODE,
	S.LINK_EKR,
	[NAME_EKR] = G.CODE,	
	SUMMA = SUM(S.SUMMA_M),
	SKIDKA = SUM(ISNULL(SK.SUMMA,0)),
	VYCHET = SUM(ISNULL(V.SUMMA,0)),
	S.LINK_VKR2,
	[NAME_VKR2] = F2.CODE	
FROM 
	#RANGE DR
	INNER JOIN dbo.PAYS P ON P.LINK = DR.LINK_PAYS
	INNER JOIN #TMP_DOH S ON S.LINK_TAX = DR.LINK_PAYS
	INNER JOIN dbo.SAL_SFIN F ON F.LINK = S.LINK_VKR
	INNER JOIN dbo.SAL_SFIN F2 ON F2.LINK = S.LINK_VKR2
	INNER JOIN dbo.KOSGU G ON G.LINK = S.LINK_EKR
	LEFT JOIN dbo.SDOC_DOT_SKIDKI SK ON  SK.LINK_UP = @LINK AND SK.LINK_TAX = DR.LINK_PAYS AND SK.LINK_PERS = S.LINK_PERS 
					AND SK.LINK_VKR = S.LINK_VKR AND SK.LINK_VKR2 = S.LINK_VKR2 and SK.LINK_EKR = S.LINK_EKR
	LEFT JOIN 
	(
		SELECT LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR, SUMMA = SUM(SUMMA) FROM dbo.SDOC_DOT_VYCHET 
		WHERE LINK_UP = @LINK GROUP BY LINK_TAX, LINK_PERS, LINK_VKR, LINK_VKR2, LINK_EKR
	) V
	ON V.LINK_TAX = DR.LINK_PAYS AND V.LINK_PERS = S.LINK_PERS AND V.LINK_VKR = S.LINK_VKR AND V.LINK_VKR2 = S.LINK_VKR2 AND V.LINK_EKR = S.LINK_EKR
	LEFT JOIN #INV I ON I.LINK = S.LINK_PERS
GROUP BY
	ISNULL(I.[PERCENT],DR.[PERCENT]),
	DR.LINK_PAYS,
	P.CODE,
	P.NAME,
	S.LINK_VKR,
	F.CODE,
	S.LINK_EKR,
	G.CODE,
	S.LINK_VKR2,
	F2.CODE

DROP TABLE #SKIDKA
DROP TABLE #BASE
DROP TABLE #SUMMA
DROP TABLE #SUMMA2
DROP TABLE #SKIDKA_PREV
DROP TABLE #INV
DROP TABLE #TMP_VYCH
DROP TABLE #TMP_DOH
DROP TABLE #RANGE


GO


GRANT EXECUTE ON dbo.[SD_O_OTHER_FILL] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RO_CALC_NASTR]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RO_CALC_NASTR]

GO


CREATE PROCEDURE [dbo].[RO_CALC_NASTR]
	@intIS_NOT_CALC	TINYINT OUTPUT,
	@varKSiLSF		INT,
	@varKSiLT		INT = NULL,
	@varKSiOrderCol	INT = 0, --  
	@varKScCodeRow	varchar(50) = '',
	@varKSfValue	float = 0 output 
AS

DECLARE @ldEnd		  DATETIME,
		@ldBegin      DATETIME,
		@liYear       INT,
		@ADM_CODE	  CHAR(3),
		@dCALC_DATE	  DATETIME,
		@iDEP_LINK	  INT,
		@LF		int, @LT int,
		@execStr		varchar(8000),
		@LC			int,
		@bid		varchar(100),
		@nabor_filter varchar(100),
		@orderCol	int,
		@iLinkCalcForm int,
		@lbKBK_FILTER int,
		@iForm737 tinyint,
		@iKbkLen int,
		@cCodeForm VARCHAR(50)
   

SET @intIS_NOT_CALC = 0

select @cCodeForm = ltrim(rtrim(RF.CODE))
from dbo.REPORT_FORMS RF 
inner join dbo.REPORT_SAVED_FORMS RSF on RF.Link_Form = RSF.Link_Form and RSF.Link_Saved_Form = @varKSiLSF

if left(@cCodeForm,7) = '0503737' or left(@cCodeForm,7) = '0503723' or left(@cCodeForm,7) = '0503123' 
	set @iForm737 = 1
else	
	set @iForm737 = 0
	
	
declare @temp_nastr1 table (link int, [Link_Col] int NOT NULL, [Code_Row] varchar(50) NOT NULL,
	[Calc_Order] int NOT NULL , [Sign] tinyint NOT NULL, dt_z int, kt_z int, dt_mask varchar(1000), kt_mask varchar(1000), 
	dt_ekr varchar(1000), kt_ekr varchar(1000), [type] tinyint, type_kbk tinyint, mask_kbk varchar(100), dt_kt tinyint, oper varchar(1000))


declare @temp_nastr table (link int, [Link_Col] int NOT NULL, [Code_Row] varchar(50) NOT NULL,
	[Calc_Order] int NOT NULL , [Sign] tinyint NOT NULL, link_dt int, link_kt int, dt_ekr varchar(1000),
	kt_ekr varchar(1000), [type] tinyint, type_kbk tinyint, mask_kbk varchar(100), dt_kt tinyint)
declare @temp_nastr_xor table (	link int, [Link_Col] int NOT NULL , [Code_Row] varchar(50) NOT NULL,
	[Calc_Order] int NOT NULL , [Sign] tinyint NOT NULL , link_dt int, link_kt int, dt_ekr varchar(1000),
	kt_ekr varchar(1000), [type] tinyint, type_kbk tinyint, dt_kt tinyint)
declare @temp_nastr_rest table (	link int, [Link_Col] int NOT NULL , [Code_Row] varchar(50) NOT NULL,
	[Calc_Order] int NOT NULL , [Sign] tinyint NOT NULL , link_account int, ekr varchar(1000),
	[type] tinyint, type_kbk tinyint, mask_kbk varchar(100), dt_kt tinyint, oper varchar(1000))
declare @temp_nastr_rest_xor table (link int, [Link_Col] int NOT NULL , [Code_Row] varchar(50) NOT NULL,
	[Calc_Order] int NOT NULL , [Sign] tinyint NOT NULL , link_account int, ekr varchar(1000),
	[type] tinyint, type_kbk tinyint, dt_kt tinyint)

declare @filter_kbk table (kbk varchar(30))

CREATE TABLE #tTemp  (KBK varchar(50), Link_Col int, SUMMA FLOAT, Calc_Order int)
declare @t_Col table (Link_Col int, orderCol int, link_table int)

--------   
select @LF = RSF.Link_Form, 
		@iDEP_LINK 	= Link_Organization, 
		@ldEnd		= Begin_Date + 1,
		@dCALC_DATE	= Begin_Date, 
		@liYear		= YEAR(Begin_Date),
		@ldBegin	= dbo.DateBeginOfYear(Begin_Date)
from report_saved_forms RSF  where RSF.link_saved_form = @varKSiLSF

---      ---
/*
set @iLinkCalcForm = (select top 1 CF.LINK
			from dbo.REPORT_ATRIBUT_VALUES RA
			inner join dbo.REPORT_CALC_ATRIBUTE CA on RA.code_atr = CA.code_atr
			inner join dbo.REPORT_CALC_FORMS CF on CA.LINK_CALC_FORM = CF.LINK and CF.LINK_FORM = @LF
			where RA.LINK_SAVED_FORM = @varKSiLSF and CF.USED = 1 
			order by CF.[ORDER] desc)

---      ,      ---
IF @iLinkCalcForm is null 
	set @iLinkCalcForm = (select top 1 CF.LINK
				from dbo.REPORT_CALC_FORMS CF 
				where CF.LINK_FORM = @LF and CF.USED = 1 
				order by CF.[ORDER] desc)

*/
SET @iLinkCalcForm = dbo.RK_GET_NASTR_CALC_REPORT (@varKSiLSF, 0)

if @iLinkCalcForm is null 
BEGIN
	SET @intIS_NOT_CALC = 1
	RETURN 0
END

---    ---
if @varKSiLT is NULL or isnull(@varKSiOrderCol,0) = 0
BEGIN
	insert @t_Col
	select Link_Col, Export_Order, RC.Link_Table
	from report_coloumns RC
	join report_tables RT on RC.Link_Table = RT.Link_Table
	where RT.Link_Form = @LF

	DELETE FROM dbo.REPORT_DINAMICS WHERE LINK_SF = @varKSiLSF
END
ELSE
BEGIN
	SELECT @orderCol = Export_Order, @LC = Link_Col
	FROM dbo.REPORT_COLOUMNS
	WHERE link_table = @varKSiLT and orders = @varKSiOrderCol
	INSERT @t_Col 
	VALUES (@LC, @orderCol, @varKSiLT)
end

--select * from @t_Col where link_col = 57755

select @nabor_filter = dbo.rn_get_atr_value(@varKSiLSF,'REPORTS_FILTER_KBK')

select @nabor_filter = REPLACE (@nabor_filter, ' ', '')

IF EXISTS(Select LINK FROM rn_get_filter(@varKSiLSF,'REPORTS_FILTER_KBK'))
	set @lbKBK_FILTER = 1
else
	set @lbKBK_FILTER = 0

-- Olga 2011.07.19
insert @filter_kbk (kbk)   
Select RTRIM(code) FROM rn_get_filter(@varKSiLSF,'REPORTS_FILTER_KBK')

SET @ADM_CODE = dbo.rn_get_atr_value(@varKSiLSF,'REPORTS_ATR_ADM')
IF isnull(@ADM_CODE, '') <> '' and isnull(@ADM_CODE, '') <> '000' 
BEGIN 
   insert @filter_kbk (kbk)   
   Select @ADM_CODE
   set @nabor_filter = 'REPORTS_ATR_ADM'
END 


insert @temp_nastr1
select C.link, C.Link_Col, Code_Row, Calc_Order, [Sign],
	DT_Z = case when charindex('.',CR.DT_Mask,charindex('.',DT_Mask) + 1) - charindex('.',DT_Mask) = 3 or len(DT_Mask) - charindex('.',DT_Mask) = 2 then 1 else 0 end, 
	KT_Z = case when charindex('.',CR.KT_Mask,charindex('.',KT_Mask) + 1) - charindex('.',KT_Mask) = 3 or len(KT_Mask) - charindex('.',KT_Mask) = 2 then 1 else 0 end,
	CR.DT_Mask , CR.KT_Mask, dt_ekr, kt_ekr,
	[type], type_kbk, mask_kbk, dt_kt, oper
from dbo.REPORT_CALC C 
INNER JOIN @t_Col RC on RC.Link_Col = C.Link_Col
INNER JOIN dbo.report_calc_rows CR on CR.Link_calc = C.link
WHERE C.LINK_UP = @iLinkCalcForm

--   
---------------------------------------------------------------------
-----      ----
insert @temp_nastr 
select C.link, C.Link_Col, Code_Row, Calc_Order, [Sign],
	DT.link , KT.link, dt_ekr, kt_ekr,
	[type], type_kbk, mask_kbk, dt_kt
from @temp_nastr1 C
left join dbo.s_accounts DT on DT.Code like case when C.DT_Mask = '%' or rtrim (C.DT_Mask) = '' then 'x' else rtrim (C.DT_Mask) + '%' end
left join dbo.s_accounts KT on	KT.Code like case when C.KT_Mask = '%' or rtrim (C.KT_Mask) = ''then 'x' else rtrim (C.KT_Mask) + '%' end
WHERE C.[sign] in (1,2) and C.[type] = 1 
	AND (rtrim (C.DT_Mask) = '' OR C.DT_Mask = '%' OR rtrim (C.DT_Mask) <> '' AND DT.LINK IS NOT NULL and DT.zabalans = C.DT_Z)
	AND (rtrim (C.KT_Mask) = '' OR C.KT_Mask = '%' OR rtrim (C.KT_Mask) <> '' AND KT.LINK IS NOT NULL and KT.zabalans = C.KT_Z)
--select * from @temp_nastr where link_col = 57755

/*
SELECT S1.CODE AS DT, S2.CODE AS KT
FROM @temp_nastr T
LEFT JOIN S_ACCOUNTS S1 ON S1.LINK = LINK_DT
LEFT JOIN S_ACCOUNTS S2 ON S2.LINK = LINK_KT
*/
/*	AND DT.cSOURCE = KT.cSOURCE
	AND DT.ZABALANS = KT.ZABALANS
*/
-- ,    --
insert @temp_nastr_xor 
select C.link, C.Link_Col, Code_Row, Calc_Order, [Sign], DT.link , KT.link, dt_ekr, kt_ekr, [type], type_kbk, dt_kt
from @temp_nastr1 C
left join dbo.s_accounts DT on DT.Code like case when C.DT_Mask = '%' or rtrim (C.DT_Mask) = '' then 'x' else rtrim (C.DT_Mask) + '%' end
left join dbo.s_accounts KT on	KT.Code like case when C.KT_Mask = '%' or rtrim (C.KT_Mask) = ''then 'x' else rtrim (C.KT_Mask) + '%' end
where C.[sign] = 3 and C.[type] = 1
	AND (rtrim (C.DT_Mask) = '' OR C.DT_Mask = '%' OR rtrim (C.DT_Mask) <> '' AND DT.LINK IS NOT NULL and DT.zabalans = C.DT_Z)
	AND (rtrim (C.KT_Mask) = '' OR C.KT_Mask = '%' OR rtrim (C.KT_Mask) <> '' AND KT.LINK IS NOT NULL and KT.zabalans = C.KT_Z)
 

/*	AND DT.cSOURCE = KT.cSOURCE
	AND DT.ZABALANS = KT.ZABALANS
*/

--select t.* from @temp_nastr t 

/*
select t.* from @temp_nastr t
select t1.* from @temp_nastr_xor t1 -- on t1.link_col = t.link_col
*/
---    ---
/*
DELETE T1
FROM @temp_nastr T1
INNER JOIN @temp_nastr_xor T2 ON (T2.LINK = T1.LINK
	AND T2.LINK_COL = T1.LINK_COL
	AND T2.CODE_ROW = T1.CODE_ROW
	AND T2.LINK_DT = T1.LINK_DT
	AND T2.LINK_KT = T1.LINK_KT)
*/
-- select * from @temp_nastr 

if @liYear < 2016
	set @iKbkLen = 17
else
	set @iKbkLen = 20
---      ---
insert @temp_nastr_rest 
select C.link, C.Link_Col, Code_Row, Calc_Order, [Sign],
	case
		when DT.link is NULL then KT.link
		else DT.link
	end,
	case
		when DT.link is NULL then kt_ekr
		else dt_ekr
	end, [type],
	type_kbk,
	mask_kbk,
	dt_kt,
	oper
from @temp_nastr1 C
left join dbo.s_accounts DT on DT.Code like case when C.DT_Mask = '%' or rtrim (C.DT_Mask) = '' then 'x' else rtrim (C.DT_Mask) + '%' end
left join dbo.s_accounts KT on	KT.Code like case when C.KT_Mask = '%' or rtrim (C.KT_Mask) = ''then 'x' else rtrim (C.KT_Mask) + '%' end
WHERE C.[type] in (2,3) and C.[sign] in (1,2) 
	AND (rtrim (C.DT_Mask) = '' OR C.DT_Mask = '%' OR rtrim (C.DT_Mask) <> '' AND DT.LINK IS NOT NULL and DT.zabalans = C.DT_Z)
	AND (rtrim (C.KT_Mask) = '' OR C.KT_Mask = '%' OR rtrim (C.KT_Mask) <> '' AND KT.LINK IS NOT NULL and KT.zabalans = C.KT_Z)

/*
select S1.CODE, * from @temp_nastr_rest T, S_ACCOUNTS S1 
WHERE S1.LINK = T.LINK_account
*/


--- ,      ---
insert @temp_nastr_rest_xor
select C.link, C.Link_Col, Code_Row, Calc_Order, [Sign],
	case
		when DT.link is NULL then KT.link
		else DT.link
	end,
	case
		when DT.link is NULL then kt_ekr
		else dt_ekr
	end,
	[type],
	type_kbk,
	dt_kt
from @temp_nastr1 C
left join dbo.s_accounts DT on DT.Code like case when C.DT_Mask = '%' or rtrim (C.DT_Mask) = '' then 'x' else rtrim (C.DT_Mask) + '%' end
left join dbo.s_accounts KT on	KT.Code like case when C.KT_Mask = '%' or rtrim (C.KT_Mask) = ''then 'x' else rtrim (C.KT_Mask) + '%' end
WHERE C.[type] in (2,3) and C.[sign] = 3 
	AND (rtrim (C.DT_Mask) = '' OR C.DT_Mask = '%' OR rtrim (C.DT_Mask) <> '' AND DT.LINK IS NOT NULL and DT.zabalans = C.DT_Z)
	AND (rtrim (C.KT_Mask) = '' OR C.KT_Mask = '%' OR rtrim (C.KT_Mask) <> '' AND KT.LINK IS NOT NULL and KT.zabalans = C.KT_Z)
---    ---

----------------------------------------------------------------------
-- 
-- CREATE TABLE #tTemp  (KBK varchar(50), Link_Col int, SUMMA FLOAT, Calc_Order int)
----------------  ----------------------------
insert #tTemp (KBK, Link_Col, SUMMA, Calc_Order)
SELECT 
CASE WHEN TMP.Code_Row <> '' THEN TMP.Code_Row
		ELSE
			 dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', TMP.Mask_KBK) = 0 THEN ''
						ELSE LEFT (TMP.Mask_KBK, CHARINDEX ('#', TMP.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(KBK.CODE,'.','')),'') + '00000000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6)
--			+ LEFT(ISNULL(REPLACE(CASE TMP.DT_KT when 0 THEN SAD.CODE ELSE SAK.CODE END,'.',''),'') + '000000', 6) 
			+ LEFT(ISNULL(case dt_kt when 0 then DTS.CODE else KTS.CODE END, '000'), 3) 
			+ LEFT(ISNULL(case dt_kt when 0 then DTE.CODE else KTE.CODE END, '000'), 3), TMP.Mask_KBK)
		END,
	TMP.Link_Col,
	SUM(CASE [SIGN] WHEN 1 THEN G2.SUMMA WHEN 2 THEN -G2.SUMMA  ELSE 0 END), 
--CASE [SIGN] WHEN 1 THEN G2.SUMMA WHEN 2 THEN -G2.SUMMA  ELSE 0 END,
	TMP.Calc_Order

--g.*

FROM dbo.G_PROV G
INNER JOIN dbo.G_PROV1 G1 ON (G1.LINK_UP = G.LINK)
INNER JOIN dbo.G_PROV2 G2 ON (G2.LINK_UP = G1.LINK)


LEFT JOIN dbo.G_PROV_AP DT ON (DT.LINK_UP = G2.LINK
	AND DT.DB_KR = 0)
LEFT JOIN dbo.G_PROV_AP KT ON (KT.LINK_UP = G2.LINK
	AND KT.DB_KR = 1)

LEFT JOIN dbo.KOSGU DTS ON (DTS.Link = DT.SGU)
LEFT JOIN dbo.KOSGU DTE ON (DTE.Link = DT.EKR)
LEFT JOIN dbo.KOSGU KTS ON (KTS.Link = KT.SGU)
LEFT JOIN dbo.KOSGU KTE ON (KTE.Link = KT.EKR)

INNER JOIN @TEMP_NASTR TMP ON (TMP.LINK_DT = DT.ACCOUNT OR TMP.LINK_DT IS NULL)
		AND (TMP.LINK_KT = KT.ACCOUNT OR TMP.LINK_KT IS NULL)
	AND (@iForm737 = 0 and dbo.RO_LIKE_LIST(DTS.Code, TMP.DT_EKR) > 0 OR TMP.DT_EKR = '' or @iForm737 = 1)
	AND (@iForm737 = 0 and dbo.RO_LIKE_LIST(KTS.Code, TMP.KT_EKR) > 0 OR TMP.KT_EKR = '' or @iForm737 = 1)
	AND (@iForm737 = 1 and dbo.RO_LIKE_LIST(DTE.Code, TMP.DT_EKR) > 0 OR TMP.DT_EKR = '' or @iForm737 = 0)
	AND (@iForm737 = 1 and dbo.RO_LIKE_LIST(KTE.Code, TMP.KT_EKR) > 0 OR TMP.KT_EKR = '' or @iForm737 = 0)

LEFT JOIN dbo.S_ACCOUNTS SA ON (TMP.DT_KT = 0 AND SA.LINK = DT.ACCOUNT
	OR TMP.DT_KT = 1 AND SA.LINK = KT.ACCOUNT)

LEFT JOIN dbo.KL_KBK KBK ON (TMP.dt_kt = 0 AND KBK.LINK = DT.KBK
		OR TMP.DT_KT = 1 AND KBK.LINK = KT.KBK)
LEFT JOIN @filter_kbk F on KBK.Code LIKE F.kbk + '%' --  Olga 2011.07.19 
WHERE G.DATE_PROV BETWEEN @ldBegin AND @dCALC_DATE
--and tmp.link_col = 57755
	--and tmp.Code_Row = '162'
	AND G.DEP = @iDEP_LINK
	AND (F.kbk IS NOT NULL
		OR isnull(@nabor_filter, '') = '')
	AND (TMP.TYPE_KBK = 0 
		OR (TMP.TYPE_KBK & KBK.[TYPE]) / KBK.[TYPE] = 1)
	AND not exists(select top 1 *
			from @temp_nastr_xor xor
			where xor.link = tmp.link
				and xor.link_dt = dt.account and xor.link_kt = kt.account
				AND (@iForm737 = 0 and dbo.RO_LIKE_LIST(DTS.Code, xor.DT_EKR) > 0 OR xor.DT_EKR = '' or @iForm737 = 1)
				AND (@iForm737 = 0 and dbo.RO_LIKE_LIST(KTS.Code, xor.KT_EKR) > 0 OR xor.KT_EKR = '' or @iForm737 = 1)
				AND (@iForm737 = 1 and dbo.RO_LIKE_LIST(DTE.Code, xor.DT_EKR) > 0 OR xor.DT_EKR = '' or @iForm737 = 0)
				AND (@iForm737 = 1 and dbo.RO_LIKE_LIST(KTE.Code, xor.KT_EKR) > 0 OR xor.KT_EKR = '' or @iForm737 = 0))

GROUP BY case WHEN TMP.Code_Row <> '' THEN TMP.Code_Row
		ELSE
			 dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', TMP.Mask_KBK) = 0 THEN ''
						ELSE LEFT (TMP.Mask_KBK, CHARINDEX ('#', TMP.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(KBK.CODE,'.','')),'') + '00000000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6)
			+ LEFT(ISNULL(case dt_kt when 0 then DTS.CODE else KTS.CODE END, '000'), 3) 
			+ LEFT(ISNULL(case dt_kt when 0 then DTE.CODE else KTE.CODE END, '000'), 3), TMP.Mask_KBK)
		END,
	TMP.Link_Col,
	TMP.Calc_Order

-----------------  ------------------------------
while exists(select top 1 * from @temp_nastr_rest)
begin
	select top 1 @LC = Link_Col from @temp_nastr_rest

	set @bid = 'calc_col_' + LTRIM(RTRIM(STR(@LC)))


--select * from @temp_nastr_rest

	insert dbo.buffer(ID, Link)
	select @bid, link_account
	from @temp_nastr_rest
	where link_col = @LC

	--    
	INSERT #tTemp (KBK, Link_Col, SUMMA, Calc_Order)
	SELECT 
	
		CASE
			WHEN R.Code_Row <> '' THEN R.Code_Row
			ELSE
				+ replace(dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
						ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
			+ LEFT(ISNULL(S.CODE,'000'), 3) 
			+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK),'',case when CHARINDEX ('', R.Mask_KBK) <> 0 then left(rtrim(isnull(D.CODE,'')) + replicate('0', 20),20) else '' end)

		END,
			@LC,
		CASE WHEN (SA.S_PASSIVE = 1 and [sign] = 1) OR (SA.S_ACTIVE = 1 and [sign] = 2) then 1 else - 1 end *
			CASE WHEN R.OPER like '%>0%' and case SA.S_PASSIVE when 1 then sum(k_summa - d_summa) else sum(d_summa - k_summa) end > 0
					or R.OPER like '%<0%' and case SA.S_PASSIVE when 1 then sum(k_summa - d_summa) else sum(d_summa - k_summa) end < 0
					or R.OPER = '' then sum(k_summa - d_summa) else 0 end,
		--sum(CASE WHEN (SA.S_PASSIVE = 1 and [sign] = 1) OR (SA.S_ACTIVE = 1 and [sign] = 2) then 1 else - 1 end *
		--	CASE WHEN R.OPER like '%>0%' and case SA.S_PASSIVE when 1 then k_summa - d_summa else d_summa - k_summa end > 0
		--			or R.OPER like '%<0%' and case SA.S_PASSIVE when 1 then k_summa - d_summa else d_summa - k_summa end < 0
		--			or R.OPER = '' then k_summa - d_summa else 0 end),
		R.Calc_Order
	FROM dbo.ARestTableByDateAccounts(@ldBegin, @bid) A
	INNER JOIN @temp_nastr_rest R on R.link_account = A.account and R.Link_Col = @LC and R.[Type] = 2
	LEFT JOIN dbo.KL_KBK K on K.Link = A.KBK
	--		and (R.TYPE_KBK & (case K.[TYPE] when 3 then 4 when 4 then 8 else K.[TYPE] end) > 0)
	LEFT JOIN @filter_kbk F on K.Code LIKE F.kbk + '%' --  Olga 2011.07.19 
	left join dbo.KOSGU S on (S.Link = A.SGU) --and (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
	left join dbo.KOSGU E on E.Link = A.EKR
	left join dbo.DEPARTMENTS D on D.Link = A.DEP
	left join dbo.S_ACCOUNTS SA on SA.Link = A.ACCOUNT
	where dep_link = @iDEP_LINK
		AND (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
		and not exists(select top 1 * from @temp_nastr_rest_xor R1 where [type] = 2 and R1.link_account = A.account and (dbo.RO_LIKE_LIST(S.Code, R1.ekr) > 0  or R1.ekr = '') and r1.link = r.link)
		AND (R.TYPE_KBK = 0 
			OR (R.TYPE_KBK & K.[TYPE]) / K.[TYPE] = 1)
		AND (F.kbk IS NOT NULL
			OR isnull(@nabor_filter, '') = '')
	GROUP BY 
		CASE
			WHEN R.Code_Row <> '' THEN R.Code_Row
			ELSE
				+ replace(dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
						ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
			+ LEFT(ISNULL(S.CODE,'000'), 3) 
			+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK),'',case when CHARINDEX ('', R.Mask_KBK) <> 0 then left(rtrim(isnull(D.CODE,'')) + replicate('0', 20),20) else '' end)

		END,
		R.Calc_Order, R.OPER, SA.S_PASSIVE, SA.S_ACTIVE, [sign]--,
		--dbo.RA_Mask(CASE 
		--				WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
		--				ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
		--			END 
		--	+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
		--	+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
		--	+ LEFT(ISNULL(S.CODE,'000'), 3) 
		--	+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK)

	--    
	insert #tTemp(KBK, Link_Col, SUMMA, Calc_Order)
	select 
		CASE
			WHEN R.Code_Row <> '' THEN R.Code_Row
			ELSE
				+ replace(dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
						ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
			+ LEFT(ISNULL(S.CODE,'000'), 3) 
			+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK),'',case when CHARINDEX ('', R.Mask_KBK) <> 0 then left(rtrim(isnull(D.CODE,'')) + replicate('0', 20),20) else '' end)

		END,
		@LC,
			CASE WHEN (SA.S_PASSIVE = 1 and [sign] = 1) OR (SA.S_ACTIVE = 1 and [sign] = 2) then 1 else - 1 end *
			CASE WHEN R.OPER like '%>0%' and case SA.S_PASSIVE when 1 then sum(k_summa - d_summa) else sum(d_summa - k_summa) end > 0
					or R.OPER like '%<0%' and case SA.S_PASSIVE when 1 then sum(k_summa - d_summa) else sum(d_summa - k_summa) end < 0
					or R.OPER = '' then sum(k_summa - d_summa) else 0 end,
			--sum(CASE WHEN (SA.S_PASSIVE = 1 and [sign] = 1) OR (SA.S_ACTIVE = 1 and [sign] = 2) then 1 else - 1 end *
			--CASE WHEN R.OPER like '%>0%' and case SA.S_PASSIVE when 1 then k_summa - d_summa else d_summa - k_summa end > 0
			--		or R.OPER like '%<0%' and case SA.S_PASSIVE when 1 then k_summa - d_summa else d_summa - k_summa end < 0
			--		or R.OPER = '' then k_summa - d_summa else 0 end),
		R.Calc_Order
	from dbo.ARestTableByDateAccounts(@ldEnd, @bid) A
	INNER JOIN @temp_nastr_rest R on R.link_account = account and R.Link_Col = @LC and R.[Type] = 3
	LEFT JOIN dbo.KL_KBK K on K.Link = A.KBK
	--		and (R.TYPE_KBK & (case K.[TYPE] when 3 then 4 when 4 then 8 else K.[TYPE] end) > 0)
	LEFT JOIN @filter_kbk F on K.Code LIKE F.kbk + '%' --  Olga 2011.07.19  
	left join dbo.KOSGU S on (S.Link = A.SGU) --and (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
	left join dbo.KOSGU E on E.Link = A.EKR
	left join dbo.DEPARTMENTS D on D.Link = A.DEP
	left join dbo.S_ACCOUNTS SA on SA.Link = A.ACCOUNT
	where dep_link = @iDEP_LINK
		AND (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
			and not exists(select top 1 * from @temp_nastr_rest_xor R1 where [type] = 2 and R1.link_account = A.account and (dbo.RO_LIKE_LIST(S.Code, R1.ekr) > 0  or R1.ekr = '') and r1.link = r.link)
		AND (R.TYPE_KBK = 0 
			OR (R.TYPE_KBK & K.[TYPE]) / K.[TYPE] = 1)
		AND (F.kbk IS NOT NULL
			OR isnull(@nabor_filter, '') = '')

/*		join @temp_nastr_rest R on R.link_account = account and R.Link_Col = @LC and R.[Type] = 3
		left join dbo.KL_KBK K on K.Link = A.KBK and (R.TYPE_KBK & (case K.[TYPE] when 3 then 4 when 4 then 8 else K.[TYPE] end)>0)
		LEFT JOIN @filter_kbk F on F.kbk = K.Code 
		left join dbo.KOSGU S on (S.Link = A.EKR)  -- and (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
		left join dbo.KOSGU E on E.Link = A.EKR
		left join dbo.S_ACCOUNTS SA on SA.Link = A.ACCOUNT
	where dep_link = @iDEP_LINK
		and not exists(select top 1 * from @temp_nastr_rest_xor R1 where [type] = 2 and R1.link_account = A.account and (dbo.RO_LIKE_LIST(S.Code, R1.ekr) > 0 or R1.ekr =''))
		AND (dbo.RO_LIKE_LIST(S.Code, R.ekr) > 0 or R.ekr = '')
		AND (R.TYPE_KBK = 0 
			OR (R.TYPE_KBK & K.[TYPE]) / K.[TYPE] = 1)
		AND (F.kbk IS NOT NULL
			OR isnull(@nabor_filter, '') = '')
*/	group by 
		CASE
			WHEN R.Code_Row <> '' THEN R.Code_Row
			ELSE
			+ replace(dbo.RA_Mask(CASE 
						WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
						ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
					END 
			+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
			+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
			+ LEFT(ISNULL(S.CODE,'000'), 3) 
			+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK),'',case when CHARINDEX ('', R.Mask_KBK) <> 0 then left(rtrim(isnull(D.CODE,'')) + replicate('0', 20),20) else '' end)

		END,
		/*R.Code_Row, */R.Calc_Order,
		R.OPER, SA.S_PASSIVE, SA.S_ACTIVE, [sign]--,
		--dbo.RA_Mask(CASE 
		--				WHEN CHARINDEX ('#', R.Mask_KBK) = 0 THEN ''
		--				ELSE LEFT (R.Mask_KBK, CHARINDEX ('#', R.Mask_KBK))
		--			END 
		--	+ LEFT(ISNULL(LTRIM(REPLACE(K.CODE,'.','')),'') + '00000000000000000', @iKbkLen)
		--	+ LEFT(ISNULL(REPLACE(SA.CODE,'.',''),'') + '000000', 6) 
		--	+ LEFT(ISNULL(S.CODE,'000'), 3) 
		--	+ LEFT(ISNULL(E.CODE,'000'), 3), R.Mask_KBK)

-- select * from #tTemp
	
	delete @temp_nastr_rest where Link_Col = @LC

	exec dbo.BufferClear @bid	
end

if left(@cCodeForm,7) = '0503769' or left(@cCodeForm,7) = '0503169'
begin
	--SELECT * FROM #tTemp where KBK like '81111301150010000130120531000%'
	--SELECT * FROM @t_Col 
	--SELECT * FROM @temp_nastr_rest 

--    
	declare @iBegAcccCode69 int,
			@bDtForm bit 
	if right(@cCodeForm, 1) = '' or right(@cCodeForm, 1) = 'D'
		set @bDtForm = 1
	else 
		set @bDtForm = 0
	if @cCodeForm like '%169%'
		set @iBegAcccCode69 = 22
	else
		if @cCodeForm like '%%'
			set @iBegAcccCode69 = 18
		else
			set @iBegAcccCode69 = 1
	
	update #tTemp
	set KBK = left(KBK, @iBegAcccCode69 + 7)
	
	select CR.LINK_TABLE, 
			T.KBK,
			DB_REST = SUM(case when CR.orderCol = 2 and (T.SUMMA > 0 and @bDtForm = 1 or T.SUMMA < 0 and @bDtForm = 0)
								then T.SUMMA
								else 0 end),
			KB_REST = SUM(case when CR.orderCol = 2 and (T.SUMMA > 0 and @bDtForm = 0 or T.SUMMA < 0 and @bDtForm = 1)
								then T.SUMMA
								else 0 end),
			DE_REST = SUM(case when CR.orderCol = 9 and (T.SUMMA > 0 and @bDtForm = 1 or T.SUMMA < 0 and @bDtForm = 0)
								then T.SUMMA
								else 0 end),
			KE_REST = SUM(case when CR.orderCol = 9 and (T.SUMMA > 0 and @bDtForm = 0 or T.SUMMA < 0 and @bDtForm = 1)
								then T.SUMMA
								else 0 end),
			B_REST = SUM(case CR.orderCol when 2 then T.SUMMA else 0 end),
			E_REST = SUM(case CR.orderCol when 9 then T.SUMMA else 0 end)
	
	into #tabRest
	from #tTemp  T
	inner join @t_Col CR on T.LINK_COL = CR.LINK_COL and (CR.orderCol = 2 or CR.orderCol = 9)
	group by CR.LINK_TABLE, T.KBK
	
	--SELECT * FROM #tabRest where KBK = '81111301150010000130120531000'



	--#tTemp(KBK, Link_Col, SUMMA, Calc_Order)
	update T
	set T.SUMMA = case 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) < 0 and isnull(R.E_REST, 0) >= 0
										then T.SUMMA + isnull(R.KB_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.E_REST, 0) < 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0)
										then T.SUMMA - isnull(R.KB_REST, 0) + isnull(R.KE_REST, 0) 
					--when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.E_REST, 0) < 0 and isnull(R.B_REST, 0) < isnull(R.E_REST, 0)
					--					then isnull(R.KE_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) <= 0
										then 0 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) > 0 
										then isnull(R.DE_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0) 
										then isnull(R.DE_REST, 0) - isnull(R.DB_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.E_REST, 0) > 0 and isnull(R.B_REST, 0) > isnull(R.E_REST, 0) 
										then 0 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) <= 0 
										then 0 
					
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) > 0 
										then isnull(R.KE_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and (isnull(R.B_REST, 0) > 0 
													and (isnull(R.E_REST, 0) <= 0 or isnull(R.E_REST, 0) > 0 and isnull(R.E_REST, 0) < isnull(R.B_REST, 0))
												or isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) <= 0)
										then 0 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0) 
										then isnull(R.KE_REST, 0) - isnull(R.KB_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) < 0 and isnull(R.E_REST, 0) >= 0 
										then T.SUMMA + isnull(R.DB_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.E_REST, 0) < 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0) 
										then T.SUMMA - isnull(R.DE_REST, 0) + isnull(R.DB_REST, 0) 
					--when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) = 0 and isnull(R.E_REST, 0) = 0 
					--					then 0
					
					else T.SUMMA end
										
	from #tTemp T
	inner join @t_Col C on T.LINK_COL = C.LINK_COL
	left join #tabRest R on R.KBK = T.KBK and R.LINK_TABLE = C.LINK_TABLE
	where C.orderCol = 5  or C.orderCol = 6
			
--SELECT * FROM #tTemp where KBK = '81111301150010000130120531000'



	update T
	set T.SUMMA = case when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) >= 0 and isnull(R.E_REST, 0) < 0 
										then T.SUMMA + isnull(R.KE_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.E_REST, 0) < 0 and isnull(R.E_REST, 0) < isnull(R.B_REST, 0) 
										then T.SUMMA + isnull(R.KE_REST, 0) - isnull(R.KB_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) <= 0 
										then isnull(R.DB_REST, 0) 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) > 0 
										then 0 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) <= 0 
										then 0 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0) 
										then 0 
					when @bDtForm = 1 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.E_REST, 0) > 0 and isnull(R.E_REST, 0) < isnull(R.B_REST, 0) 
										then isnull(R.DB_REST, 0) - isnull(R.DE_REST, 0) 
					
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) > 0
										then 0 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) <= 0
										then isnull(R.KB_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) > 0 and isnull(R.E_REST, 0) > isnull(R.B_REST, 0)
										then 0 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.E_REST, 0) > 0 and isnull(R.B_REST, 0) > isnull(R.E_REST, 0)
										then isnull(R.KB_REST, 0) - isnull(R.KE_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) like '20[589]' and isnull(R.B_REST, 0) <= 0 and isnull(R.E_REST, 0) <= 0
										then 0 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) >= 0 and isnull(R.E_REST, 0) < 0 
										then T.SUMMA + isnull(R.DE_REST, 0) 
					when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) < 0 and isnull(R.E_REST, 0) < isnull(R.B_REST, 0)
										then T.SUMMA + isnull(R.DE_REST, 0) - isnull(R.DB_REST, 0)
					--when @bDtForm = 0 and substring(T.KBK,@iBegAcccCode69,3) = '303' and isnull(R.B_REST, 0) = 0 and isnull(R.E_REST, 0) = 0 
					--					then 0
					
					
					else T.SUMMA end
										
	from #tTemp T
	inner join @t_Col C on T.LINK_COL = C.LINK_COL
	left join #tabRest R on R.KBK = T.KBK and R.LINK_TABLE = C.LINK_TABLE
	where C.orderCol = 7  or C.orderCol = 8
			
	--SELECT * FROM #tTemp where KBK = '81111301150010000130120531000'

	
			
	delete from T
	from #tTemp T
	inner join @t_Col C on T.LINK_COL = C.LINK_COL
	where (C.orderCol = 2 or C.orderCol = 9)
		and T.SUMMA < = 0
	
	
	
end


 --select * from #tTemp
---------------------------------------------------------------------
--    
--  
delete T --     
from #tTemp T
where exists(select top 1 * from #tTemp T1 where T.Link_Col = T1.Link_Col and T.KBK = T1.KBK and T.Calc_Order < T1.Calc_Order)

delete #tTemp where KBK <> @varKScCodeRow and isnull(@varKScCodeRow, '') <> ''
	OR SUMMA = 0

UPDATE #tTemp SET KBK = REPLACE (KBK, '#', '')

if isnull(@varKScCodeRow, '') <> ''
	select @varKSfValue = sum(SUMMA)
	from #tTemp

update dbo.report_dinamics
set float_val = SUMMA
from (select KBK, Link_Col, sum(SUMMA) as SUMMA from #tTemp group by KBK, Link_Col) T join report_coloumns RC on T.Link_Col = RC.Link_Col
	join report_tables RT on RC.Link_Table = RT.Link_Table
where Link_SF = @varKSiLSF and T.Link_Col = report_dinamics.Link_Col and Code_Row = KBK and RT.Val_Type = 1

insert dbo.report_dinamics(Link_SF, Link_Col, Code_Row, Float_Val, Str_Val)
select @varKSiLSF, T.Link_Col, KBK, sum(SUMMA), ''
from #tTemp T join report_coloumns RC on T.Link_Col = RC.Link_Col
	join report_tables RT on RC.Link_Table = RT.Link_Table and RT.Val_Type = 1
where not exists(select top 1 * from dbo.report_dinamics RD where RD.Link_SF = @varKSiLSF and RD.Link_Col = T.Link_Col and RD.Code_Row = T.KBK)
group by T.Link_Col, KBK

--  
update S
set SUMMA = T.SUMMA
-- select *
from dbo.report_summa S
join dbo.i_report_rows RR on S.Link_Row = RR.Link_Row and Link_Saved_Form = @varKSiLSF
join (select KBK, Link_Col, sum(SUMMA) as SUMMA from #tTemp group by KBK, Link_Col) T on T.Link_Col = S.Link_Col and T.KBK = RR.Code

insert dbo.report_summa(Link_Saved_Form, Link_Col, Link_Row, Summa)
select @varKSiLSF, T.Link_Col, RR.Link_Row, sum(SUMMA)
from #tTemp T
join dbo.report_coloumns RC on T.Link_Col = RC.Link_Col
join dbo.i_report_rows RR on RC.Link_Table = RR.Link_Table and T.KBK = RR.Code
where not exists(select top 1 * from dbo.report_summa S where S.Link_Saved_Form = @varKSiLSF and S.Link_Col = T.Link_Col and S.Link_Row = RR.Link_Row)
group by T.Link_Col, RR.Link_Row

SELECT * FROM #tTemp-- where link_col = 57755 order by kbk, link_col



drop table #tTemp

return 0


GO


GRANT EXECUTE ON dbo.[RO_CALC_NASTR] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RN_ADD_LINKED_SERVER]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RN_ADD_LINKED_SERVER]

GO


/*
	  (Keysystems), 2006
	 ,   ,    
*/
CREATE PROCEDURE dbo.RN_ADD_LINKED_SERVER
        @cServer varchar(500),
        @cUser varchar(100),
        @cPassword varchar(100),
        @cBase varchar(100) = null
AS

declare @own_user varchar(100), @cExec VARCHAR(1000)
select @own_user = system_user

IF serverproperty('servername') = @cServer OR exists(select * from master.dbo.sysservers where SRVID = 0 AND srvname = @cServer)
	RETURN 0

BEGIN TRY

if not exists(select * from master.dbo.sysservers where (@cServer is null or srvname = @cServer))
begin
	exec sp_addlinkedserver @cServer
end

exec sp_droplinkedsrvlogin @cServer, null --  ,    
exec sp_addlinkedsrvlogin @cServer, 'false', null, @cUser, @cPassword
exec sp_serveroption @cServer, 'data access', 'true' 
END TRY
BEGIN CATCH
     PRINT '   .. ' + ISNULL(ERROR_PROCEDURE(),'') + ' : ' + ERROR_MESSAGE()
     IF @@TRANCOUNT > 0 
     BEGIN
      RETURN 2
      ROLLBACK TRANSACTION 
     END     
END CATCH


--  
IF @cBase IS NOT NULL 
   BEGIN
      BEGIN TRY
         SET @cExec = 'DECLARE @i INT SELECT TOP 1 @i = UID FROM [' + @cServer + '].[' + RTRIM(@cBase) + '].dbo.sysusers'
         --SELECT @cExec
         EXECUTE(@cExec)
      END TRY
      BEGIN CATCH
         PRINT '   .. ' + ISNULL(ERROR_PROCEDURE(),'') + ' : ' + ERROR_MESSAGE()
         RETURN 3
      END CATCH
   END
   
RETURN 0 
   


GO


GRANT EXECUTE ON dbo.[RN_ADD_LINKED_SERVER] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_4FSS_EXPORT_v09]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_4FSS_EXPORT_v09]

GO

/*EXEC dbo.BK_SELECT_EXPORT_FORMAT 2486*/
/*exec [dbo].SA_4FSS_EXPORT_v05       42251*/
CREATE      PROCEDURE [dbo].SA_4FSS_EXPORT_v09 ( @Link int /*  */ )
AS

CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

SET NOCOUNT  ON

-- 
CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))


INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))),
	@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
	+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
from dbo.DICTIONARY_TASK where CODE = 'SALARY'
--------------------------------------------
--      
DECLARE @OKATO_OR_OKTMO int
SET @OKATO_OR_OKTMO = dbo.SA_GET_OPTION_BY_CODE('NASTR_USE_OKATO_OKTMO')


DECLARE @LINK_DEP INT, @YEAR INT, @Version TINYINT, @Period_Number TINYINT, @LINK_FORM INT,
		@Begin_Date DATETIME, @End_Date DATETIME, @modify_date DATETIME
SELECT
	@LINK_DEP = LINK_ORGANIZATION,
	@YEAR = YEAR(Begin_Date),
	@Version = [Version],
	@Period_Number = Period_Number,
	@LINK_FORM = LINK_FORM,
	@Begin_Date = dbo.DateBeginOfYear(Begin_Date),
	@End_Date = dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,Period_Number*3,YEAR(Begin_Date))),
	@modify_date = modify_date
FROM dbo.REPORT_SAVED_FORMS
WHERE LINK_SAVED_FORM = @link

DECLARE
	@first_month_of_quarter TINYINT,
	@second_month_of_quarter TINYINT,
	@third_month_of_quarter TINYINT

IF @Period_Number = 1
	SELECT @first_month_of_quarter = 1, @second_month_of_quarter = 2, @third_month_of_quarter = 3
IF @Period_Number = 2
	SELECT @first_month_of_quarter = 4, @second_month_of_quarter = 5, @third_month_of_quarter = 6
IF @Period_Number = 3
	SELECT @first_month_of_quarter = 7, @second_month_of_quarter = 8, @third_month_of_quarter = 9
IF @Period_Number = 4
	SELECT @first_month_of_quarter = 10, @second_month_of_quarter = 11, @third_month_of_quarter = 12

SELECT  @first_month_of_quarter = ISNULL(@first_month_of_quarter,1), @second_month_of_quarter = ISNULL(@second_month_of_quarter,2), @third_month_of_quarter = ISNULL(@third_month_of_quarter,3)

SELECT top 1
	DD1.OKPO AS OKPO1,
	DD1.INN AS INN1, DD1.KPP AS KPP1,
	FULL_NAME = UPPER(DD1.FULL_NAME),
	UPPER(DD1.NAME) AS ORGNAME,
	DD2.NALOG AS IMNS_SONO, DD2.NAME AS IMNS_NAME,
	DD2.NALOG AS SONO,
	DD1.OGRN AS OGRN1,
	LTRIM(RTRIM(dbo.GetAddressBykladr(DD1.REF_LINK_A)))
		+ CASE WHEN ISNULL(DD1.HOUSE, '') = '' THEN '' ELSE  ' ' + LTRIM(RTRIM(DD1.HOUSE)) END
		+ CASE WHEN ISNULL(DD1.FLAT, '') = '' THEN '' ELSE ' - ' + LTRIM(RTRIM(DD1.FLAT)) END
	AS ADDR_STR,
	CAST(NULL AS DATETIME) AS DATE_END,
	UPPER(RTRIM(CHIEF.FM) + ' ' + LEFT(CHIEF.IM, 1) + '. ' + LEFT(CHIEF.OT,1) + '.') AS CHIEF_FIO,
	RTRIM(CHIEF.PHONE) AS CH_PHONE,
	UPPER(RTRIM(GLBUH.FM) + ' ' + LEFT(GLBUH.IM, 1) + '. ' + LEFT(GLBUH.OT,1) + '.') AS GLBUH_FIO,
	RTRIM(GLBUH.PHONE) AS GL_PHONE,
	DD1.OGRN,
	DD1.OKATO,
	DD1.OKTMO,
	DD1.OKVED,
	DD1.OKPO,
	DD1.FSS_REG_NUM, --  ()  
	DD1.FSS_KOD_P, --  - ,    ,     ,       ;	
	DD1.FSS_KOD_DOP, --      
	DD1.OKOPF, ---    - ;
	DD1.OKFS, ---     ;
	DD1.PFNUMBER,
	DA.PINDEX, REGION = UPPER(DA.REGION), DA.REGCODE, RAION = UPPER(DA.RAION), GOROD = UPPER(DA.GOROD),
	NASEL = UPPER(DA.NASEL), STREET = UPPER(DA.STREET), DA.HOUSE, DA.KORP, DA.FLAT,
	TFOMS_RNUM = DD1.TFOMS_REG_NUM,
	TFOMS_KT = DD1.TFOMS_KT,
	TaxType = DD1.FSS_KP_PC1,
	TaxType2 = DD1.FSS_KP_PC2,
	TaxType3 = DD1.FSS_KP_PC3
INTO #DEP_DATA	
FROM DICTIONARY_DEPARTMENT DD1
	LEFT OUTER JOIN DICTIONARY_DEPARTMENT DD2 ON DD1.IMNS_LINK = DD2.LINK
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, '') chief on chief.link_dep = dd1.link
	LEFT OUTER JOIN dbo.GetOtvFaceData(@LINK_DEP, ' ') GLBUH ON GLBUH.link_dep = dd1.link
	LEFT JOIN DBO.DEP_ADRESS(@LINK_DEP) DA ON 1=1
WHERE DD1.LINK = @LINK_DEP

DECLARE @NumDotC VARCHAR(2), @NumDot INT
SELECT @NumDotC = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_NOM_OBR'),'00')
SET @NumDot = CASE WHEN ISNUMERIC(@NumDotC) =1 THEN CONVERT(INT,@NumDotC) ELSE 0 END

DECLARE @LIKV VARCHAR(3), @nLIKV INT
SELECT @LIKV = ISNULL(dbo.RN_GET_ATR_VALUE(@LINK, 'REPORTS_ATR_LIKVID'),'00')
SET @nLIKV = CASE WHEN LTRIM(RTRIM(@LIKV)) = '' THEN 1 ELSE 0 END

DECLARE @Cur0 CURSOR, @TAB_NUM TINYINT, @TAB_NAME VARCHAR(254), @Cur CURSOR, @Cur1 CURSOR, @NUM INT, @BLOK_NAME VARCHAR(254), @RAZDEL_NUM TINYINT, @RAZDEL_NAME VARCHAR(254)

DECLARE @lcFNAME varchar(254)
SELECT @lcFNAME = FSS_REG_NUM + '_' + CONVERT(VARCHAR(4),@YEAR)  + '_' +  (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '.XML' FROM #DEP_DATA

INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, 'OEM' -- 
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?xml version="1.0" encoding="windows-1251"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<?F4FORM version="0.8"?>'
UNION ALL SELECT @lcFNAME, SPACE(0) + '<F4REPORT xmlns="http://fz122.fss.ru" xmlns:xsd="http://www.w3.org/2001/XMLSchema-instance" xsd:schemaLocation="http://fz122.fss.ru/doc/f4form_2015.xsd">'

/**  **/

	UNION ALL SELECT @lcFNAME, SPACE(1) + '<TITLE'
		+ ' REG_NUM="' + LTRIM(RTRIM(FSS_REG_NUM)) + '"'
		+ ' KPS_NUM="' + LTRIM(RTRIM(FSS_KOD_P)) + '"'
		--+ ' DOP_NUM="' + ISNULL(LTRIM(RTRIM(FSS_KOD_DOP)),'') + '"'
		+ ' YEAR_NUM="' + CONVERT(VARCHAR(4),@YEAR) + '"'
		+ ' QUART_NUM="' + (CASE @Period_Number WHEN 1 THEN '03' WHEN 2 THEN '06' WHEN 3 THEN '09' ELSE '12' END) + '"'
		+ ' NAME="' + LTRIM(RTRIM(REPLACE(FULL_NAME,'"','&quot;'))) + '"'
		+ ' INN="' + LTRIM(RTRIM(INN1)) + '"'
		+ ' KPP="' + LTRIM(RTRIM(KPP1)) + '"'
		+ ' OGRN="' + LTRIM(RTRIM(OGRN)) + '"'
		--+ ' OKOPF="' + LTRIM(RTRIM(OKOPF)) + '"'
		--+ CASE WHEN @OKATO_OR_OKTMO = 1 THEN  (' OKATO="' + REPLACE(LTRIM(RTRIM(OKATO)),' ','') + '"') ELSE (' OKTMO="' + REPLACE(LTRIM(RTRIM(OKTMO)),' ','') + '"') END
		--+ ' OKPO="' + LTRIM(RTRIM(OKPO)) + '"'
		--+ ' OKFS="' + LTRIM(RTRIM(OKFS)) + '"'
		--+ ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"'
		+ ' PHONE="' +(SELECT LTRIM(RTRIM(phone)) FROM DICTIONARY_OTV_FACE  WHERE Dep_LINK=dbo.GetOwnDepLink() and name = ' ') + '"'
		+ ' LIKV="' +LTRIM(RTRIM(CONVERT(VARCHAR(1),@nLIKV))) + '"'
		+ ' NumCorr="' + LTRIM(RTRIM(CONVERT(VARCHAR(3),@Version))) + '"' -- 
		+ ' NumDot="' + LTRIM(RTRIM(CONVERT(VARCHAR(2),@NumDot))) + '"' -- 
		+ ' TaxType="' + LEFT(LTRIM(RTRIM(TaxType)),3) + '"' -- ( )
		+ ' TaxType2="' + LEFT(LTRIM(RTRIM(TaxType2)),2) + '"' -- ( )
		+ ' TaxType3="' + LEFT(LTRIM(RTRIM(TaxType3)),2) + '"' -- ( )		
		+ ' T1R1C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 1, 3)),0)))) + '"' -- 	
		+ ' T1R2C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 2, 3)),0)))) + '"' -- : 	
		--+ ' T1R4C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 3, 3)),0)))) + '"' -- :  	
		--+ ' T1R6C2="' + LTRIM(RTRIM(CONVERT(VARCHAR(6),ISNULL((SELECT TOP 1 SUMMA FROM DBO.SA_SAVED_REPORT_VIEW (@LINK, 1, 4, 3)),0)))) + '"' -- : ,       ()   	
		+ ' CEO="' + LTRIM(RTRIM(CHIEF_FIO)) + '"'
		+ ' CRE_DATE="' + convert(varchar(10),@modify_date,120) + '"'
		--+ ' WRO="' + LEFT(FSS_REG_NUM,4) + '"'
		--+ ' CFO="' + LTRIM(RTRIM(GLBUH_FIO)) + '"'
		--+ ' AUTHOR="' + ISNULL(dbo.AdminGetUserFIO(default),'') + '"'
		+ '/>'
		FROM #DEP_DATA
--  /**  I **/


		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INF1 '

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA
		-- 1  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 1, 3) WHERE SUMMA2 <> 0				
		-- 1  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 3, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' Ch' + LTRIM(STR(ROW +1 - 5)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (5,6,7)				
		-- 1  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' N0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 9, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' N' + LTRIM(STR(ROW + 1 - 11)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (11,12,13)				
		-- 1  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 14, 3) WHERE SUMMA2 <> 0				
		-- 1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 16, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 18, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NRe2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 19, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R13="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 20, 3) WHERE SUMMA2 <> 0				
		-- 1  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F0="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 22, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 24, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2F2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 25, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R16="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 26, 3) WHERE SUMMA2 <> 0				
		-- 1  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2N="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 27, 3) WHERE SUMMA2 <> 0				
		-- 1  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' FssDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 29, 3) WHERE SUMMA2 <> 0				
		-- 1  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R18="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 31, 3) WHERE SUMMA2 <> 0				
		-- 1  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R19="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 32, 3) WHERE SUMMA2 <> 0				
		-- 1  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R20="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 34, 3) WHERE SUMMA2 <> 0				
		-- 1  15
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R21="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 36, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' Re' + LTRIM(STR(ROW + 1 - 38)) + '="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, DEFAULT, 3) WHERE SUMMA2 <> 0 AND ROW IN (38,39,40)				
		-- 1  16
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R27="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 42, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R29="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R30="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R26="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3) WHERE SUMMA2 <> 0
		-- 1  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S2R32="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 47, 3) WHERE SUMMA2 <> 0
		-- 1  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' InsDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 49, 3) WHERE SUMMA2 <> 0
		-- 1  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' InsDelDebt="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 50, 3) WHERE SUMMA2 <> 0



		-- 2  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R1C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 1, 6) WHERE SUMMA2 <> 0				
		-- 2  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R2C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 2, 6) WHERE SUMMA2 <> 0				
---------
		-- 2  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 3, 5) WHERE SUMMA2 <> 0		
		-- 2  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase6="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R10C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 4, 5) WHERE SUMMA2 <> 0		


----------
		-- 2  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R4C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 5, 6) WHERE SUMMA2 <> 0		
		-- 2  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3QCase3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R41C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 6, 6) WHERE SUMMA2 <> 0				
		-- 2  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 7, 5) WHERE SUMMA2 <> 0		
		-- 2  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 4) WHERE SUMMA2<> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 8, 5) WHERE SUMMA2 <> 0		
		-- 2  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP7="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R7C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R7C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 9, 6) WHERE SUMMA2 <> 0				

		-- 2  10
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP71="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R71C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 10, 6) WHERE SUMMA2 <> 0				
		-- 2  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3RCP72="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R72C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 11, 6) WHERE SUMMA2 <> 0				
		-- 2  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R3C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 12, 6) WHERE SUMMA2 <> 0				
		-- 2  13
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R11C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 13, 6) WHERE SUMMA2 <> 0		
		-- 2  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 4) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R8C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 14, 6) WHERE SUMMA2 <> 0				
		-- 2  16
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R12C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 5) WHERE SUMMA2 <> 0		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' S3R12C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 3, 16, 6) WHERE SUMMA2 <> 0				
	

		-- 3  1
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S1' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 1, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  2
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S2' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 2, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  3
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S4' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 3, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  5
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S6' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 5, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  6
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S7' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 6, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  7
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S8' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 7, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		-- 3  8
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' S9' + CASE WHEN COL = 3 THEN '' ELSE '_' + CONVERT(VARCHAR(3),COL-3) END +'="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 4, 8, DEFAULT) WHERE SUMMA2 <> 0 AND COL IN (3,4,5,6)
		

		/*-- 4  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 1, 6) WHERE SUMMA2 <> 0				
		-- 4  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IOO_CI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 6, 2, 6) WHERE SUMMA2 <> 0				
		
		-- 4.1  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 1, 6) WHERE SUMMA2 <> 0				
		-- 4.1  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_CI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,0),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 2, 6) WHERE SUMMA2 <> 0				
		-- 4.1  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_S3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 4, 6) WHERE SUMMA2 <> 0				
		-- 4.1  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IUK_SI3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 7, 5, 6) WHERE SUMMA2 <> 0				
*/
		--  4  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_WRK_CNT="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2WRK_CNT1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 1, 4) WHERE SUMMA2 <> 0	
		--  4  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_PRF_ALL="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2PRF_ALL="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 2, 4) WHERE SUMMA <> 0				
		--  4  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_PRF_SPC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT2PRF_SPC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 3, 4) WHERE SUMMA <> 0				
		--  4  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_ACC_DT="'
							+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
								WHEN 10 THEN
									SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
								WHEN 8 THEN
									'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
									+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
								ELSE
								''
							END	+ '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 5) WHERE ISNULL(STR_VAL,'') <> ''
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' IT_ACC_NM="' + LEFT(STR_VAL,8) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 8, 5, 6) WHERE ISNULL(STR_VAL,'') <> ''
	
		-- 4.1  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKV_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 1, 3) WHERE SUMMA <> 0				
		-- 4.1  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKV_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 9, 2, 3) WHERE SUMMA <> 0				


		-- 4.1  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 1, 4) WHERE SUMMA <> 0				
		-- 4.1  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 2, 4) WHERE SUMMA <> 0				
		-- 4.1  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 3, 4) WHERE SUMMA <> 0				
		-- 4.1  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_SP4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 3) WHERE SUMMA <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' CUL_S4="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 10, 4, 4) WHERE SUMMA <> 0				
	
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'

		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 44, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 45, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 2, 46, 4)


		/*   */
		CREATE TABLE #INOST (
			LINK INT, FIO VARCHAR(254), INN VARCHAR(12), SNILS VARCHAR(14),
			GR VARCHAR(100), GR_CODE VARCHAR(5))

		CREATE TABLE #TAB3 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
		INSERT INTO #TAB3 (ROW_CODE, COL, SUMMA, STR_VAL)
		SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

		INSERT INTO #INOST (FIO, INN, SNILS,GR)
		SELECT DISTINCT
			FIO = (SELECT TOP 1 REPLACE(STR_VAL,SPACE(1), ', ') FROM #TAB3 T WHERE T.COL = 2 AND T.ROW_CODE = T3.ROW_CODE),
			INN = (SELECT TOP 1 STR_VAL FROM #TAB3 T WHERE T.COL = 3 AND T.ROW_CODE = T3.ROW_CODE),
			SNILS = (SELECT TOP 1 STR_VAL FROM #TAB3 T WHERE T.COL = 4 AND T.ROW_CODE = T3.ROW_CODE),
			GR = (SELECT TOP 1 STR_VAL FROM #TAB3 T WHERE T.COL = 5 AND T.ROW_CODE = T3.ROW_CODE)
		FROM
			#TAB3 T3
		
		UPDATE i
			SET gr_code = (select code FROM citizenship WHERE NAME LIKE i.GR)
		FROM #INOST  i
		

		DROP TABLE #TAB3



		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME,
			SPACE(1) + ' <F4INOST'  +
				' LNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO,1,','),'')))) + '"' +
				' FNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO,2,','),'')))) + '"' +
				' MNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO,3,','),'')))) + '"' +
				' INN="' + LTRIM(RTRIM(ISNULL(INN,''))) + '"' +
				' SNILS="' + LTRIM(RTRIM(ISNULL(SNILS,''))) + '"' +
				' GR="' + LTRIM(RTRIM(ISNULL(GR_CODE,''))) + '"' +
			' />'
		FROM #INOST
		ORDER BY FIO

		DROP TABLE #INOST

		

	/*--  
		CREATE TABLE #INVALID (
			LINK INT, FIO VARCHAR(254), FIO2 VARCHAR(254), NUM_SPR VARCHAR(30), DATE_SPR VARCHAR(10),
			GRP VARCHAR(25), GRP2 VARCHAR(25), PER_BEG VARCHAR(10), PER_END VARCHAR(10),
			SM_ALL 	NUMERIC(18,2), SM_QWART NUMERIC(18,2), SM1 NUMERIC(18,2), SM2 NUMERIC(18,2), SM3 NUMERIC(18,2) )

		CREATE TABLE #TAB5 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18,2), STR_VAL VARCHAR(254))
		INSERT INTO #TAB5 (ROW_CODE, COL, SUMMA, STR_VAL)
		SELECT ROW_CODE, COL, SUMMA2, STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 5, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL

		INSERT INTO #INVALID (FIO2, DATE_SPR, PER_END, SM_ALL, SM1, SM2, SM3)
		SELECT DISTINCT
			FIO2 = (SELECT TOP 1 REPLACE(STR_VAL,SPACE(1), ', ') FROM #TAB5 T WHERE T.COL = 2 AND T.ROW_CODE = T5.ROW_CODE),
			DATE_SPR = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 3 AND T.ROW_CODE = T5.ROW_CODE),
			PER_END = (SELECT TOP 1 STR_VAL FROM #TAB5 T WHERE T.COL = 4 AND T.ROW_CODE = T5.ROW_CODE),
			SM_ALL = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 5 AND T.ROW_CODE = T5.ROW_CODE),
			SM1 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 6 AND T.ROW_CODE = T5.ROW_CODE),
			SM2 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 7 AND T.ROW_CODE = T5.ROW_CODE),
			SM3 = (SELECT TOP 1 SUMMA FROM #TAB5 T WHERE T.COL = 8 AND T.ROW_CODE = T5.ROW_CODE)
		FROM
			#TAB5 T5

		DROP TABLE #TAB5

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME,
			SPACE(1) + ' <F4INVAL'  +
				' LNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,1,','),'')))) + '"' +
				' FNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,2,','),'')))) + '"' +
				' MNAME="' + UPPER(LTRIM(RTRIM(ISNULL(dbo.SA_GET_WORD_NUM(FIO2,3,','),'')))) + '"' +
				' MSEDATE="' + CASE LEN(LTRIM(RTRIM(ISNULL(DATE_SPR,''))))
									WHEN 10 THEN
										SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),7,4)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),1,2)
									WHEN 8 THEN
										'20' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),7,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(DATE_SPR,''))),1,2)								
									ELSE
										''
								END + '"' +
				CASE WHEN ISNULL(PER_END,'') <> ''
				THEN
					' MSEDATEF="'
								+ CASE LEN(LTRIM(RTRIM(ISNULL(PER_END,''))))
									WHEN 10 THEN
										SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),7,4)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),1,2)
									WHEN 8 THEN
										'20' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),7,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),4,2)
										+ '-' + SUBSTRING(LTRIM(RTRIM(ISNULL(PER_END,''))),1,2)								
									ELSE
									''
								END + '"'
				ELSE
					''	
				END +
				' S="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM_ALL,0)))) + '"' +
				' S1="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM1,0)))) + '"' +
				' S2="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM2,0)))) + '"' +
				' S3="' + LTRIM(RTRIM(CONVERT(VARCHAR(20),ISNULL(SM3,0)))) + '"' +
			' />'
		FROM #INVALID
		ORDER BY FIO2

		DROP TABLE #INVALID

	*/	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INF1>'
		
/**  II **/

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT) SELECT @lcFNAME, SPACE(1)

	
		
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '<F4INFO '		
		-- 5  1
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C8="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 12) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C18="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 13) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C7="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 14) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 17) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C12="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 18) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C22="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 19) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R1C11="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 1, 20) WHERE SUMMA2 <> 0				

		-- 5  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 17) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C12="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 18) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C22="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 19) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R2C11="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 2, 20) WHERE SUMMA2 <> 0				

		-- 5  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R3C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 3, 15) WHERE SUMMA2 <> 0				

		-- 5  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R31C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 4, 17) WHERE SUMMA2 <> 0				

		-- 5  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 6) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 7) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 8) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 9) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 10) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 11) WHERE SUMMA2 <> 0				

		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 15) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 16) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R32C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 5, 17) WHERE SUMMA2 <> 0				

		-- 5  6
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C4="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 6) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C14="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 7) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 8) WHERE SUMMA2 <> 0				

	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C6="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 9) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C16="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 10) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C5="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 11) WHERE SUMMA2 <> 0				

	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C10="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 15) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C20="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 16) WHERE SUMMA2 <> 0				
	--	UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R4C9="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 6, 17) WHERE SUMMA2 <> 0				

		-- 5  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R5C="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7, 3) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R5C1="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7, 4) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 7,5) WHERE SUMMA2 <> 0				

		-- 5  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T5R6C2="' + CONVERT(VARCHAR(20),SUMMA2) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 12, 8, 5) WHERE SUMMA2 <> 0				


/*exec [dbo].SA_4FSS_EXPORT_v08  42483
* select *  FROM DBO.SA_SAVED_REPORT_VIEW (42483, 1, 4, 3) WHERE SUMMA2*/
		-- 6  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' OKVED="' + LTRIM(RTRIM(OKVED)) + '"' FROM #DEP_DATA
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R6C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 1, 4, 3) WHERE SUMMA2 <> 0
		-- 6  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 2, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 2, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 2, 5) WHERE SUMMA2 <> 0				
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' NC3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 2, 6) WHERE SUMMA2 <> 0				
		-- 6  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, 5) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' C3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 3, 6) WHERE SUMMA2 <> 0

		-- 6  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T1R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 4, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 4, 4) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 4, 5) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' I3="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 4, 6) WHERE SUMMA2 <> 0

		-- 6  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_MIS="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,1),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 5, 3) WHERE SUMMA2 <> 0
		-- 6  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_DEC="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 6, 3) WHERE SUMMA2 <> 0
		-- 6  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 7, 3) WHERE SUMMA2 <> 0

		-- 6  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' INC_DATE="'
					+ CASE LEN(LTRIM(RTRIM(LEFT(STR_VAL,10))))
						WHEN 10 THEN
							SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,4)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)
						WHEN 8 THEN
							'20' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),7,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),4,2)
							+ '-' + SUBSTRING(LTRIM(RTRIM(LEFT(STR_VAL,10))),1,2)								
						ELSE
						''
					END + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 8, 7) WHERE ISNULL(STR_VAL,'') <> ''

		---- 6  9
		--UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' RATE_INC="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 13, 1, 9) WHERE SUMMA2 <> 0


		-- 7  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R1C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 1, 3) WHERE SUMMA2 <> 0
		-- 7  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R3C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 3, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R5C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 5, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R6C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 6, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R7C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 7, 3) WHERE SUMMA2 <> 0
		-- 7  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R9C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 8, 3) WHERE SUMMA2 <> 0
		-- 7  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R13C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 9, 3) WHERE SUMMA2 <> 0
		-- 7  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R11C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 10, 3) WHERE SUMMA2 <> 0
		-- 7  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R16C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 11, 3) WHERE SUMMA2 <> 0
		-- 7  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R17C61="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 12, 3) WHERE SUMMA2 <> 0
		-- 7  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R18C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 14, 3) WHERE SUMMA2 <> 0
		-- 7  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R39C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 16, 3) WHERE SUMMA2 <> 0
		-- 7  12
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R19C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 17, 3) WHERE SUMMA2 <> 0
		-- 7  14
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R40C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 19, 3) WHERE SUMMA2 <> 0

		-- 7  15
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R21C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 21, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R23C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 23, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R24C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 24, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R25C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 25, 3) WHERE SUMMA2 <> 0
		-- 7  16
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R27C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 27, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R29C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 29, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R30C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 30, 3) WHERE SUMMA2 <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R31C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 31, 3) WHERE SUMMA2 <> 0
		-- 7  17
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R38C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 32, 3) WHERE SUMMA2 <> 0
		-- 7  19
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R34C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15,34, 3) WHERE SUMMA2 <> 0
		-- 7  20
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T7R35C1="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 35, 3) WHERE SUMMA2 <> 0

		-- 8  1
		UNION ALL SELECT @lcFNAME, SPACE(1)		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R3C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 1, 4) WHERE SUMMA2 <> 0
		-- 8  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 2, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R13C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 2, 4) WHERE SUMMA2 <> 0
		-- 8  3
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 3, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R4C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 3, 4) WHERE SUMMA2 <> 0
		-- 8  4
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 4, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R8C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 4, 4) WHERE SUMMA2 <> 0
		-- 8  5
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 5, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R14C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 5, 4) WHERE SUMMA2 <> 0
		-- 8  6
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 6, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R9C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 6, 4) WHERE SUMMA2 <> 0
		-- 8  7
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 7, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R5C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 7, 4) WHERE SUMMA2 <> 0
		-- 8  8
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 8, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R6C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 8, 4) WHERE SUMMA2 <> 0
		-- 8  9
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R10C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16, 9, 4) WHERE SUMMA2 <> 0
		-- 8  11
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' T6R11C2="' + CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 16,11, 4) WHERE SUMMA2 <> 0


		-- 9
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT @lcFNAME, SPACE(1) + ' M' + CONVERT(VARCHAR(2),ROW) + '="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 17, DEFAULT, 3) WHERE ROW IN (1,2,3,5) AND SUMMA <> 0

		-- 10  1
		UNION ALL SELECT @lcFNAME, SPACE(1)
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 1, 3) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 1, 4) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL3="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 1, 6) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' ATT_CL4="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 1, 7) WHERE SUMMA <> 0

		-- 10  2
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C1="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 2, 8) WHERE SUMMA <> 0
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(1) + ' MED_C2="' + CONVERT(VARCHAR(20),SUMMA) + '"' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 18, 2, 9) WHERE SUMMA <> 0
		
		UNION ALL SELECT TOP 1 @lcFNAME, SPACE(0) + ' >'

		/* I  */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 29, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@first_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 29, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 29, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 30, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@second_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 30, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 30, 4)

		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 31, 3) WHERE SUMMA2 > 0)
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT TOP 1 @lcFNAME, SPACE(1) + ' <PAYM_ORDER NUM="' + STR_VAL + '" DT="' + convert(varchar(10),dbo.DateEndOfMonth(dbo.ConvertDMY2Date(1,@third_month_of_quarter,@YEAR)),120) + '"' + ' SUM="' + (SELECT TOP 1 CONVERT(VARCHAR(20),CONVERT(NUMERIC(18,2),SUMMA2)) FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 31, 3)) + '"/>' FROM DBO.SA_SAVED_REPORT_VIEW (@link, 15, 31, 4)


		--  II  6.1
		/*   */
		IF EXISTS (SELECT * FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, 2) WHERE isnull(str_val,'') <> '' )
		BEGIN 
			CREATE TABLE #TAB6_1 (
				NPP CHAR(4), regnom_pf VARCHAR(15), INN VARCHAR(12),
				okved VARCHAR(8), COUNT_WORK NUMERIC(18), BASE_ALL NUMERIC(18,2), BASE_INV  NUMERIC(18,2), 
				MON1_ALL NUMERIC(18,2),MON1_INV NUMERIC(18,2), MON2_ALL NUMERIC(18,2),MON2_INV NUMERIC(18,2),
				MON3_ALL NUMERIC(18,2),MON3_INV NUMERIC(18,2), RISK_TAR NUMERIC(18,2), NADB_TAR NUMERIC(18,2))

			CREATE TABLE #TAB14 (ROW_CODE VARCHAR(4), COL INT, SUMMA NUMERIC(18), SUMMA2 NUMERIC(18,2), STR_VAL VARCHAR(254))
			INSERT INTO #TAB14 (ROW_CODE, COL, SUMMA,SUMMA2, STR_VAL)
			SELECT ROW_CODE = left(ROW_CODE,4), COL, isnull(SUMMA,0), isnull(SUMMA2,0), STR_VAL FROM DBO.SA_SAVED_REPORT_VIEW (@link, 14, DEFAULT, DEFAULT) T WHERE T.COL >= 2 ORDER BY T.COL


			INSERT INTO #TAB6_1 (NPP, regnom_pf, INN,
				okved, COUNT_WORK, BASE_ALL, BASE_INV, 
				MON1_ALL, MON1_INV, MON2_ALL, MON2_INV,
				MON3_ALL, MON3_INV, RISK_TAR, NADB_TAR)
			SELECT DISTINCT
				NPP = (SELECT TOP 1 ltrim(rtrim(row_CODE)) FROM #TAB14 T WHERE T.COL = 2 AND T.ROW_CODE = T14.ROW_CODE),
				regnom_pf = (SELECT TOP 1 ltrim(rtrim(STR_VAL)) FROM #TAB14 T WHERE T.COL = 2 AND T.ROW_CODE = T14.ROW_CODE),
				INN   = (SELECT TOP 1 ltrim(rtrim(STR_VAL)) FROM #TAB14 T WHERE T.COL = 3 AND T.ROW_CODE = T14.ROW_CODE),
				okved = (SELECT TOP 1 ltrim(rtrim(STR_VAL)) FROM #TAB14 T WHERE T.COL = 4 AND T.ROW_CODE = T14.ROW_CODE),
				COUNT_WORK = ISNULL((SELECT TOP 1 SUMMA FROM #TAB14 T WHERE T.COL = 5 AND T.ROW_CODE = T14.ROW_CODE),0),
				BASE_ALL = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 6 AND T.ROW_CODE = T14.ROW_CODE),0),
				BASE_INV = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 7 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON1_ALL = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 8 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON1_INV = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 9 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON2_ALL = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 10 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON2_INV = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 11 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON3_ALL = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 12 AND T.ROW_CODE = T14.ROW_CODE),0),
				MON3_INV = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 13 AND T.ROW_CODE = T14.ROW_CODE),0),
				RISK_TAR = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 14 AND T.ROW_CODE = T14.ROW_CODE),0),
				NADB_TAR = ISNULL((SELECT TOP 1 SUMMA2 FROM #TAB14 T WHERE T.COL = 15 AND T.ROW_CODE = T14.ROW_CODE),0)
			FROM
				#TAB14 T14
			
			DROP TABLE #TAB14

			
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @lcFNAME,
				isnull(SPACE(1) + ' <F4DOGOV '  +
					' REG_NUM_P="' + UPPER(LTRIM(RTRIM(ISNULL(regnom_pf,'')))) + '"' +
					' INN_P="' + UPPER(LTRIM(RTRIM(ISNULL(INN,'')))) + '"' +
					' OKVED_P="' + UPPER(LTRIM(RTRIM(ISNULL(okved,'')))) + '"' +
					' WRK_P="' +  CONVERT(VARCHAR(6),COUNT_WORK) + '"' +
					' FOT_P="' +  CONVERT(VARCHAR(16),CONVERT(NUMERIC(15,2),BASE_ALL)) + '"' +
					' FOTINV_P="' +CONVERT(VARCHAR(16),CONVERT(NUMERIC(15,2),BASE_INV)) + '"' +
					' C1 = "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON1_ALL)) +'"'+ 
					' I1= "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON1_INV)) +'"'+ 
					' C2= "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON2_ALL)) +'"'+ 
					' I2= "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON2_INV)) +'"'+ 
					' C3= "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON3_ALL)) +'"'+ 
					' I3= "'+CONVERT(VARCHAR(16),CONVERT(NUMERIC(18,2),MON3_INV)) +'"'+ 
					' RATE_MIS_P= "'+CONVERT(VARCHAR(6),CONVERT(NUMERIC(18,1),RISK_TAR)) +'"'+ 
					' MIS_ALL_P= "'+CONVERT(VARCHAR(6),CONVERT(NUMERIC(18,2),NADB_TAR)) +'"'+ 
				' />','')
			FROM #TAB6_1
			ORDER BY NPP

			DROP TABLE #TAB6_1
		END
	
		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		SELECT @lcFNAME, SPACE(0) + '</F4INFO>'
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
SELECT @lcFNAME, SPACE(0) + '</F4REPORT>'
SET NOCOUNT OFF

select * from #OUTPUT order by [ID]












GO


GRANT EXECUTE ON dbo.[SA_4FSS_EXPORT_v09] TO PUBLIC

GO




GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SVODREP_DATA_SELECT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SVODREP_DATA_SELECT]

GO
/*
:     
 :  @xmlmessage  _REPORT_REQUEST_DATA_SELECT 
 :
 :
        exec [dbo].[SVODREP_DATA_SELECT] @xmlmessage =@xmlmessage
:
:  ..
*/

CREATE PROCEDURE [dbo].[SVODREP_DATA_SELECT] 
	@dBEGIN_DATE datetime = null,
	@dEND_DATE  datetime = null,
	@cCode varchar (100) = null,
	@vCodeDep varchar(10) = null,
	@uGUID uniqueidentifier = null,
	@debug int = 0
			
AS BEGIN
    SET NOCOUNT ON
    SET QUOTED_IDENTIFIER ON
    SET ANSI_NULLS ON 
    declare @iDep int,
			@cVersion varchar(3)
    
    set @cVersion = '3.1'
   
    select @iDep = LINK 
    from dbo.DEPARTMENTS
    WHERE SVOD_CODE = @vCodeDep and ([TYPE] = 4 or ZB is not null)
    
							
	if @cCode like '0503[17]75%'
	begin
	
		SELECT	ACC		= SA.LINK
				,EKR	= GPA.EKR
				,KBK	= GPA.KBK
				,COR	= case when GPA.DEP is not null and GPA.DEP <> G.DEP then GPA.DEP else GPA1.DEP end
				,OSN	= GPA.AP1
				,SUMMA	= sum(ISNULL(CASE GPA.DB_KR WHEN 1 THEN g2.SUMMA ELSE -g2.SUMMA END,0))
				,G.DEP
		INTO #tOBOROT
		FROM dbo.G_PROV G
		INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
		INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN dbo.G_PROV_AP GPA ON GPA.LINK_UP = G2.LINK
		INNER JOIN dbo.G_PROV_AP GPA1 ON GPA1.LINK_UP = G2.LINK and GPA.DB_KR <> GPA1.DB_KR
		INNER JOIN dbo.S_ACCOUNTS sa ON sa.LINK = GPA.ACCOUNT
		--  
		WHERE G.DEP = @iDep
			and g.DATE_PROV BETWEEN @dBEGIN_DATE AND @dEND_DATE
			and not exists(select * from dbo.S_OBJECTS SO where SO.LINK = G.[OBJECT] and  (SO.CODE <> 'SHABLON_DOCUMENTS_PROV' or SO.CODE <> 'DOC_CLOSE_YEAR'))
			and (sa.cSinth = '502' and (sa.cAnalit = '11' or sa.cAnalit = '12'))
		GROUP BY SA.LINK, GPA.EKR, GPA.KBK, GPA.AP1, G.DEP, case when GPA.DEP is not null and GPA.DEP <> G.DEP then GPA.DEP else GPA1.DEP end
	
	
		UPDATE O
		SET SUMMA = O.SUMMA -  ISNULL(CASE GPA.DB_KR WHEN 1 THEN g2.SUMMA ELSE -g2.SUMMA END, 0)
		FROM #tOBOROT O
		INNER JOIN dbo.G_PROV G ON G.DEP = O.DEP
		INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
		INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN dbo.G_PROV_AP GPA ON GPA.LINK_UP = G2.LINK and GPA.AP1 = O.OSN and GPA.KBK = O.KBK and GPA.EKR = O.EKR
		INNER JOIN dbo.S_ACCOUNTS sa ON sa.LINK = GPA.ACCOUNT
		WHERE g.DATE_PROV BETWEEN @dBEGIN_DATE AND @dEND_DATE
			and not exists(select * from dbo.S_OBJECTS SO where SO.LINK = G.[OBJECT] and  (SO.CODE <> 'SHABLON_DOCUMENTS_PROV' or SO.CODE <> 'DOC_CLOSE_YEAR'))
			and (sa.cSinth = '502' and (sa.cAnalit = '11' or sa.cAnalit = '12'))
			and (sa.cSinth = '304' and sa.cAnalit = '05' or sa.cSinth = '201' and sa.cAnalit = '11' and GPA.DB_KR = 1)
		
	
		insert into dbo.SVOD_REP_CALC_DATA75
		SELECT @uGUID,
				KBK_CODE = REPLACE(KBK.CODE, '.', ''),
				KBK_TYPE = KBK.[TYPE],
				ACC_CODE = SA.CODE,
				EKR_CODE = EKR.CODE,
				DATE_B = right(convert(char(10), CH.DATE_ACCEPT,104), 7),
				DATE_I = right(convert(char(10), CH.DATE_EXEC,104), 7),
				SUMMA = O.SUMMA,
				OPERS = '',
				DEP_INN = case isnull(len(DEP.INN), 0) when 10 then DEP.INN else '0000000000' end ,
				DEP_NAME = case isnull(len(DEP.INN), 0) when 10 then DEP.NAME else '' end ,
				STAMP = 0
		FROM #tOBOROT O
		left join dbo.KL_KBK KBK on KBK.LINK = O.KBK
		left join dbo.S_ACCOUNTS SA on SA.LINK = O.ACC
		left join dbo.KOSGU EKR on EKR.LINK = O.EKR
		left join dbo.OSNOV OSN  ON OSN.LINK = GPA.AP1
		left join dbo.FINANSE_CONTRACT_HEAD CH ON CH.LINK_UP = OSN.LINK_G_PROV  
		left join dbo.DEPARTMENTS DEP on DEP.LINK = O.COR
	end
	
	insert into dbo.SVOD_REP_CALC_DATA
	select @uGUID,
			KBK_CODE_DT = REPLACE(KBK_D.CODE, '.', ''),
			KBK_TYPE_DT = KBK_D.TYPE,
			ACC_CODE_DT = SA_D.CODE,
			SGU_CODE_DT = SGU_D.CODE,
			EKR_CODE_DT = EKR_D.CODE,
			KAU_CODE_DT = KAU_D.CODE,
			DEP_CODE_DT = coalesce('#D#' + DEP_D.CODE, '#E#' + EMP_D.TAB, ''),
			DEP_NAME_DT = coalesce(DEP_D.NAME, EMP_D.NAME_EMPL, ''),
			DEP_INN_DT  = DEP_D.INN_LONG,
			DEP_OKTMO_DT = DEP_D.OKTMO,
			DEP_ADM_DT = DEP_D.VED,
			DEP_EL_BUDG_DT = BUD_D.CODE_EL,
			DEP_ACC_DT = DA_D.CODE,
			DCL_DT = DCL_D.CODE,
	        
			KBK_CODE_KT = REPLACE(KBK_K.CODE, '.', ''),
			KBK_TYPE_KT = KBK_K.TYPE,
			ACC_CODE_KT = SA_K.CODE,
			SGU_CODE_KT = SGU_K.CODE,
			EKR_CODE_KT = EKR_K.CODE,
			KAU_CODE_KT = KAU_K.CODE,
			DEP_CODE_KT = coalesce('#D#' + DEP_K.CODE, '#E#' + EMP_K.TAB, ''),
			DEP_NAME_KT = coalesce(DEP_K.NAME, EMP_K.NAME_EMPL, ''),
			DEP_INN_KT = DEP_K.INN_LONG,
			DEP_OKTMO_KT = DEP_K.OKTMO,
			DEP_ADM_KT = DEP_K.VED,
			DEP_EL_BUDG_KT = BUD_K.CODE_EL,
			DEP_ACC_KT = DA_K.CODE,
			DCL_KT = DCL_K.CODE,
	        
			[DATE] = P.DATE_PROV,
			SUMMA = P.SUMMA,
			OPERS = '',
			P.[TYPE],
			dep_inn = DEP.INN_LONG,
			DEP_INN1 = DEP.INN_LONG,
			DEP_OKTMO = DEP.OKTMO,
			DEP_ADM = DEP.VED,
			0
	from (
	select DT_VKR, DT_ACCOUNT, DT_SGU, DT_EKR, DT_KAU, DT_EMP, DT_DEP, DT_DEP_ACC, DT_AP2, 
		KT_VKR, KT_ACCOUNT, KT_SGU, KT_EKR, KT_KAU, KT_EMP, KT_DEP, KT_DEP_ACC, KT_AP2, 
		DATE_PROV = @dEND_DATE, SUMMA = sum(P.SUMMA), [TYPE] = 1
	from dbo.AProvByBufferConditionsShort(@dBEGIN_DATE, @dEND_DATE, null, null) P 
	where P.DEP_LINK = @iDep
		--and not exists(select * from dbo.G_PROV1 G1
		--				inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK and G2.LINK <> LINK_G2 and G1.LINK = LINK_G1
		--				inner join dbo.G_PROV_AP GAP on GAP.LINK_UP = G2.LINK and DB_KR = 1
		--				inner join dbo.S_Accounts SAK on SAK.link = GAP.ACCOUNT and SAK.ZABALANS = 1
		--				inner join dbo.S_Accounts SAD on SAD.CODE = SAK.CODE and P.DT_ACCOUNT = SAD.LINK and SAD.ZABALANS = 1)
		--and not exists(select * from dbo.G_PROV1 G1
		--				inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK and G2.LINK <> LINK_G2 and G1.LINK = LINK_G1
		--				inner join dbo.G_PROV_AP GAP on GAP.LINK_UP = G2.LINK and DB_KR = 0
		--				inner join dbo.S_Accounts SAD on SAD.link = GAP.ACCOUNT and SAD.ZABALANS = 1
		--				inner join dbo.S_Accounts SAK on SAK.CODE = SAD.CODE and P.KT_ACCOUNT = SAK.LINK and SAK.ZABALANS = 1)
	group by DT_VKR, DT_ACCOUNT, DT_SGU, DT_EKR, DT_KAU, DT_EMP, DT_DEP, DT_DEP_ACC, DT_AP2, 
			KT_VKR, KT_ACCOUNT, KT_SGU, KT_EKR, KT_KAU, KT_EMP, KT_DEP, KT_DEP_ACC, KT_AP2, 
			P.DEP_LINK
	union all
	select case sum(D_SUMMA) when 0 then null else KBK end, 
			case sum(D_SUMMA) when 0 then null else ACCOUNT end, 
			case sum(D_SUMMA) when 0 then null else SGU end, 
			case sum(D_SUMMA) when 0 then null else EKR end, 
			case sum(D_SUMMA) when 0 then null else KAU end, 
			case sum(D_SUMMA) when 0 then null else EMP end, 
			case sum(D_SUMMA) when 0 then null else DEP end, 
			case sum(D_SUMMA) when 0 then null else DEP_ACC end, 
			case sum(D_SUMMA) when 0 then null else AP2 end, 
			
			case sum(K_SUMMA) when 0 then null else KBK end, 
			case sum(K_SUMMA) when 0 then null else ACCOUNT end, 
			case sum(K_SUMMA) when 0 then null else SGU end, 
			case sum(K_SUMMA) when 0 then null else EKR end, 
			case sum(K_SUMMA) when 0 then null else KAU end, 
			case sum(K_SUMMA) when 0 then null else EMP end, 
			case sum(K_SUMMA) when 0 then null else DEP end, 
			case sum(K_SUMMA) when 0 then null else DEP_ACC end, 
			case sum(K_SUMMA) when 0 then null else AP2 end, 
			@dBegin_DATE,
			case sum(K_SUMMA) when 0 then sum(D_SUMMA) else sum(K_SUMMA) end, 
			[TYPE] = 2
	from dbo.ARestTableByDAte(@dBegin_DATE,null) P
	where P.DEP_LINK = @iDep
	group by KBK, ACCOUNT, SGU, EKR, KAU, DEP, DEP_ACC, DEP_LINK, AP2, EMP
	union all
	select case sum(D_SUMMA) when 0 then null else KBK end, 
			case sum(D_SUMMA) when 0 then null else ACCOUNT end, 
			case sum(D_SUMMA) when 0 then null else SGU end, 
			case sum(D_SUMMA) when 0 then null else EKR end, 
			case sum(D_SUMMA) when 0 then null else KAU end,
			case sum(D_SUMMA) when 0 then null else EMP end, 
			case sum(D_SUMMA) when 0 then null else DEP end, 
			case sum(D_SUMMA) when 0 then null else DEP_ACC end, 
			case sum(D_SUMMA) when 0 then null else AP2 end, 
			
			case sum(K_SUMMA) when 0 then null else KBK end, 
			case sum(K_SUMMA) when 0 then null else ACCOUNT end, 
			case sum(K_SUMMA) when 0 then null else SGU end, 
			case sum(K_SUMMA) when 0 then null else EKR end, 
			case sum(K_SUMMA) when 0 then null else KAU end, 
			case sum(K_SUMMA) when 0 then null else EMP end, 
			case sum(K_SUMMA) when 0 then null else DEP end, 
			case sum(K_SUMMA) when 0 then null else DEP_ACC end, 
			case sum(K_SUMMA) when 0 then null else AP2 end, 
			@dEND_DATE,
			case sum(K_SUMMA) when 0 then sum(D_SUMMA) else sum(K_SUMMA) end, 
			[TYPE] = 3
	from dbo.ARestTableByDAte(@dEND_DATE + 1,null) P
	where  P.DEP_LINK = @iDep
	group by KBK, ACCOUNT, SGU, EKR, KAU, DEP, DEP_ACC, DEP_LINK, AP2, EMP) P
	left join dbo.KL_KBK KBK_D on KBK_D.LINK = P.DT_VKR
	left join dbo.S_ACCOUNTS SA_D on SA_D.LINK = P.DT_ACCOUNT
	left join dbo.KOSGU SGU_D on SGU_D.LINK = P.DT_SGU
	left join dbo.KOSGU EKR_D on EKR_D.LINK = P.DT_EKR
	left join dbo.KAU KAU_D on KAU_D.LINK = P.DT_KAU
	left join dbo.DICTIONARY_DEPARTMENT DEP_D on DEP_D.LINK = P.DT_DEP
	left join dbo.KL_BUDG_TYPE BUD_D on DEP_D.ved_Budg = BUD_D.LINK
	left join dbo.DEPARTMENT_ACCOUNTS DA_D on DA_D.LINK = P.DT_DEP_ACC
	left join dbo.DOP_CLASSIF DCL_D on DCL_D.LINK = P.DT_AP2
	left join dbo.KU_EMPL_PLACING EMP_D	on	EMP_D.LINK  = P.DT_EMP
		

	left join dbo.KL_KBK KBK_K on KBK_K.LINK = P.KT_VKR
	left join dbo.S_ACCOUNTS SA_K on SA_K.LINK = P.KT_ACCOUNT
	left join dbo.KOSGU SGU_K on SGU_K.LINK = P.KT_SGU
	left join dbo.KOSGU EKR_K on EKR_K.LINK = P.KT_EKR   
	left join dbo.KAU KAU_K on KAU_K.LINK = P.KT_KAU
	left join dbo.DICTIONARY_DEPARTMENT DEP_K on DEP_K.LINK = P.KT_DEP
	left join dbo.KL_BUDG_TYPE BUD_K on DEP_K.ved_Budg = BUD_K.LINK
	left join dbo.DEPARTMENT_ACCOUNTS DA_K on DA_K.LINK = P.KT_DEP_ACC
	left join dbo.DOP_CLASSIF DCL_K on DCL_K.LINK = P.KT_AP2
	left join dbo.KU_EMPL_PLACING EMP_K	on	EMP_K.LINK  = P.KT_EMP
		
--  
	inner join dbo.DICTIONARY_DEPARTMENT DEP on DEP.LINK = @iDep 
		
	if @debug > 0
	begin	
		select '#DATA', * from dbo.SVOD_REP_CALC_DATA where [UID] = @uGUID
		select '#DATA75', * from dbo.SVOD_REP_CALC_DATA75 where [UID] = @uGUID
	end
	
	insert into dbo.SYS_VALUES([RID], CODE, [VARCHAR])
	values (@uGUID, 'VERSION', @cVersion)
			

END

GO


GRANT EXECUTE ON dbo.[SVODREP_DATA_SELECT] TO PUBLIC

GO


-- --


GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_SAVE_DICTIONARY_PAY_DIRECTION]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_SAVE_DICTIONARY_PAY_DIRECTION]

GO




/*
  (Keysystems), 2005
*/
/*
 KS  .., 2011     
*/
CREATE   PROCEDURE dbo.SS_SAVE_DICTIONARY_PAY_DIRECTION
	@varKSparLINK			int	OUTPUT,
	@varKSparCODE           CHAR(4) = null,
	@varKSparNAME           VARCHAR(50) = null,
	@varKSparDATE_FACT      tinyint = 1,
	@varKSparDATE_ENUM      tinyint = 1,
	@varKSparCOMMENT     VARCHAR(50) = null
AS
DECLARE @varKSSQLError	int, 
		@varKSEventText	varchar(7000),
		@varKStrancount	int,  
		@varKSObjLink int, 
		@varKSRowCount INT

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

--SET @varKSparCODE = @varKSparSNAME	

IF LEN(@varKSparCODE) = 0 or LEN(@varKSparNAME)= 0 
BEGIN
	ROLLBACK
	RETURN 5
END


SELECT @varKSObjLink = LINK FROM S_OBJECTS WHERE CODE = 'DICT_PAY_DIRECTION'

IF @varKSparLINK is null OR @varKSparLINK = 0
BEGIN
	IF  EXISTS ( select link from  dbo.DICTIONARY_PAY_DIRECTION where NAME = @varKSparNAME or CODE = @varKSparCODE )
	BEGIN 
		ROLLBACK
		RETURN 8
	END
	ELSE
	BEGIN
		INSERT INTO dbo.DICTIONARY_PAY_DIRECTION WITH (ROWLOCK) (NAME,CODE,DATE_FACT,DATE_ENUM,COMMENT) 
		VALUES (@varKSparNAME,@varKSparCODE,@varKSparDATE_FACT, @varKSparDATE_ENUM,@varKSparCOMMENT)
		SELECT @varKSSQLError = @@ERROR, @varKSparLINK = @@IDENTITY
		IF @varKSSQLError <> 0
		BEGIN
			ROLLBACK
			RETURN 7
		END
	END
END
ELSE
BEGIN
	UPDATE dbo.DICTIONARY_PAY_DIRECTION WITH (ROWLOCK) 
	SET  NAME = @varKSparNAME ,CODE = @varKSparCODE,DATE_FACT = @varKSparDATE_FACT,DATE_ENUM = @varKSparDATE_ENUM,COMMENT = @varKSparCOMMENT
	WHERE LINK =@varKSparLINK
	SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
	IF @varKSSQLError <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @varKSRowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
END	


SET @varKSEventText = ' ' + ' '+ RTRIM(CONVERT(VARCHAR(6), @varKSparCODE))+' '+ RTRIM(CONVERT(VARCHAR(254), @varKSparNAME))
EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjLink, 'DICT_PAY_DIRECTION', @varKSparLINK

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN
RETURN 0









GO


GRANT EXECUTE ON dbo.[SS_SAVE_DICTIONARY_PAY_DIRECTION] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_DOC_PAYROLL_SET_REKVIZIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_DOC_PAYROLL_SET_REKVIZIT]

GO

/*
  (Keysystems), 2005
*/

CREATE         PROCEDURE dbo.[SS_DOC_PAYROLL_SET_REKVIZIT]
	@cBufferId		char(100),
	@intCheckDate    TINYINT, 
	@varKSDate 		VARCHAR(10) = null,
	@intCheckPAYD	TINYINT,
	@nLINK_PAYD 	int = null,
	@intCheckNDFL	TINYINT,
	@nLINK_NDFL		int = null

	
	
AS
BEGIN 
	
DECLARE @dDate_PAY datetime
if @varKSDate IS NULL 
	SET @dDate_PAY = null
ELSE 	
	SET @dDate_PAY =  CONVERT(DATETIME,@varKSDate, 104)
	
Declare @iTYP_Payment TINYINT, 
		@iTYP_TAX TINYINT,
		@xCount		int,
		@cNumber	varchar(25),
		@iDocLink	int,
		@dWorkDate	datetime,

		--   --
		@dDATE_BEGIN	DATETIME,
		@dDATE_END	DATETIME

	DECLARE 
		@varKSSQLError	tinyint,
		@varKStrancount	int,
		@varKSEventText	varchar(254),
		@varKSObjLink    int,
		@varKSRowCount   int,
		@intBUH_TYPE	TINYINT 

/*IF exists(Select CODE_TASK from dbo.USER_INFO WHERE CODE_TASK IN ('STORAGE', 'OUTPUTS'))
	return 0

SELECT @dDATE_BEGIN = BEGINDATE,
	@dDATE_END = ENDDATE
FROM dbo.ADMIN_INFO

if @varKSDate is not null AND NOT (@varKSDate BETWEEN @dDATE_BEGIN AND @dDATE_END)
		return -1
*/

declare @tBuffer table (LINK int)
insert into @tBuffer
select LINK from dbo.BufferGetTableByID(@cBufferId)

set @xCount = 0

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN


DECLARE DOC_CUR CURSOR LOCAL STATIC READ_ONLY FOR
SELECT SV.LINK_UP,SV.TYP_PAYMENT, SV.TYP_TAX 
	FROM @tBuffer B
	inner join dbo.SDOC_VEDOM SV on  sv.LINK_UP = B.LINK and (sv.typ_payment = 3)
	OPEN DOC_CUR
	FETCH NEXT FROM DOC_CUR INTO @iDocLink, @iTYP_Payment, @iTYP_TAX
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SELECT @iDocLink, @iTYP_Payment, @iTYP_TAX
		UPDATE SDOC
		   SET  FLAG_JC = 0
		WHERE link =   @iDocLink 
		
		
		IF @intCheckDate = 1 
		BEGIN
			update dbo.SDOC_VEDOM 
			set date_pay = @dDate_PAY 
			where LINK_UP = @iDocLink
		
			SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
			IF @varKSSQLError <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
			IF @varKSRowCount = 0
			BEGIN
				ROLLBACK
				RETURN 2
			END
		END
		
		
		IF @intCheckPAYD = 1 
		BEGIN
			update dbo.SDOC_VEDOM 
			set link_pd = @nLINK_PAYD
			where LINK_UP = @iDocLink
		
			SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
			IF @varKSSQLError <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
			IF @varKSRowCount = 0
			BEGIN
				ROLLBACK
				RETURN 2
			END
		END
		
		IF @intCheckNDFL = 1
		BEGIN
			update dbo.SDOC_VEDOM 
			set link_ndfl = @nLINK_NDFL
			where LINK_UP = @iDocLink
			
			SELECT @varKSSQLError = @@ERROR, @varKSRowCount = @@ROWCOUNT
			IF @varKSSQLError <> 0
			BEGIN
				ROLLBACK
				RETURN 7
			END
			IF @varKSRowCount = 0
			BEGIN
				ROLLBACK
				RETURN 2
			END
		END
		
		UPDATE SDOC
		   SET  FLAG_JC = 1
		WHERE link =   @iDocLink 
			
		set @xCount = @xCount + 1
		
		FETCH NEXT FROM DOC_CUR INTO @iDocLink, @iTYP_Payment, @iTYP_TAX
	end
	close DOC_CUR


	IF @@TRANCOUNT > @varKStrancount
		COMMIT TRAN
	RETURN 0

end


return @xCount


GO


GRANT EXECUTE ON dbo.[SS_DOC_PAYROLL_SET_REKVIZIT] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_PD_NEXT_NUM]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_PD_NEXT_NUM]

GO
CREATE PROCEDURE DBO.SS_PD_NEXT_NUM (@NEXT_NUM  CHAR(4) OUTPUT)
AS

SET @NEXT_NUM = COALESCE((
SELECT TOP 1  REPLACE (MAX(REPLACE (SPACE (4 - LEN (RTRIM (code))) + RTRIM (code), ' ', '0')),'0','')  as NUM
FROM DBO.DICT_PAY_DIRECTION  
WHERE left(CODE,2) <> ''
and  ISNUMERIC(ltrim(rtrim(CODE)))=1
GROUP BY CODE
ORDER BY CODE desc

),'0')


SET @NEXT_NUM = CASE WHEN ISNUMERIC(@NEXT_NUM)=1 THEN CONVERT(CHAR(4),CONVERT(INT,@NEXT_NUM) + 1) ELSE LEFT(LTRIM(RTRIM(@NEXT_NUM))+'1',3) END
SET @next_num = (SELECT MAX (REPLACE (SPACE (4 - LEN (RTRIM (@NEXT_NUM))) + RTRIM (@NEXT_NUM), ' ', '0')))
SELECT @NEXT_NUM

RETURN 0


GO


GRANT EXECUTE ON dbo.[SS_PD_NEXT_NUM] TO PUBLIC

GO



GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_KBK]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_KBK]

GO
CREATE PROCEDURE dbo.SYNCH_BI_DICTION_KBK (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS

BEGIN
/*
   ()
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, [TYPE] INT, CODE VARCHAR(30), NAME VARCHAR(254), ADM_CODE VARCHAR(3), USED INT, NUM INT)

DECLARE @SQL NVARCHAR(4000)
DECLARE @COLLATE VARCHAR(254)

SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT


SET @SQL = 
N'	
INSERT INTO #DICT (LINK, [TYPE], CODE, NAME, ADM_CODE, USED, NUM)

SELECT 
	D.LINK, D.[TYPE], LEFT(D.CODE,30), LEFT(D.NAME,254), LEFT(ADM.CODE,3), 
	USED = CASE WHEN DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(DATEB,''19800101'') AND ISNULL(DATEE,''20490101'') 
			AND LEN(REPLACE(D.CODE,''.'','''')) = 20 
			THEN 1 ELSE 0 END, 
	NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,30) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.KL_KBK D
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS ADM ON ADM.LINK = D.LINK_ADM
WHERE
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(D.LINK_DEP = D1.LINK OR D.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

--- 

--
CREATE TABLE #TAB1 (LINK INT, CODE VARCHAR(10))
INSERT INTO #TAB1 (LINK, CODE)
SELECT LINK, CODE
FROM ( SELECT LINK, CODE, NUM = ROW_NUMBER() OVER (PARTITION BY CODE ORDER BY LINK) FROM dbo.KL_ADMIN_BS ) T
WHERE T.NUM = 1

DECLARE @DEF_ADM INT
SET @DEF_ADM = (SELECT TOP 1 LINK FROM dbo.KL_ADMIN_BS WHERE CODE = '---')

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = LEFT(ISNULL(T.NAME,''),250),
	A.LINK_ADM = ISNULL(T1.LINK,A.LINK_ADM),
	A.USED = T.USED
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_KBK A ON T.CODE = A.CODE AND T.[TYPE] = A.[TYPE]
	LEFT JOIN dbo.KL_ADMIN_BS ADM ON ADM.LINK = A.LINK_ADM
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.ADM_CODE
WHERE
	A.NAME <> LEFT(ISNULL(T.NAME,''),250)
	OR
	A.USED <> T.USED
	OR
	(ISNULL(A.LINK_ADM,0) <> ISNULL(T1.LINK,0) AND T1.LINK IS NOT NULL)


INSERT INTO dbo.KL_KBK ([TYPE], CODE, NAME, LINK_ADM, NOT_BUDJ, LNAME, USED) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.[TYPE],
	LEFT(T.CODE,30),
	LEFT(ISNULL(T.NAME,''),250),
	ISNULL(T1.LINK,@DEF_ADM),
	0,
	'',
	T.[USED]
FROM
	#DICT T
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.ADM_CODE
WHERE
	T.[USED] = 1
	AND
	NOT EXISTS (SELECT * FROM dbo.KL_KBK A WHERE A.CODE = LEFT(T.CODE,30) AND A.[TYPE] = T.[TYPE])


/*
    
*/

CREATE TABLE #DICT_KBK (KBK VARCHAR(30), DIV INT, CSR INT, EX INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_KBK (KBK, DIV, CSR, EX, NUM)
SELECT DISTINCT 
	B.CODE, 
	DIV = (SELECT TOP 1 LINK FROM dbo.KL_DIVISION T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	CSR = (SELECT TOP 1 LINK FROM dbo.KL_TARGET_ITEM T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	EX = (SELECT TOP 1 LINK FROM [dbo].[KL_EXPEND] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
	
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + 'dbo.KL_VKR A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_DIVISION D ON A.LINK_DIV = D.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_EXPEND E ON A.LINK_EXP = E.LINK
	LEFT JOIN ' + @DB + 'dbo.KL_TARGET_ITEM F ON A.LINK_CSR = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT_KBK WHERE NUM <> 1

UPDATE V SET
	V.LINK_DIV = ISNULL(T.DIV,V.LINK_DIV),
	V.LINK_CSR = ISNULL(T.CSR,V.LINK_CSR),
	V.LINK_EXP = ISNULL(T.EX,V.LINK_EXP)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_KBK T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN dbo.KL_VKR V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] = 1
	AND
	ISNULL(V.LINK_DIV,0) <> ISNULL(T.DIV,0)
	AND
	ISNULL(V.LINK_CSR,0) <> ISNULL(T.CSR,0)
	AND
	ISNULL(V.LINK_EXP,0) <> ISNULL(T.EX,0)


INSERT INTO dbo.KL_VKR (LINK_KBK, LINK_DIV, LINK_CSR, LINK_EXP)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.DIV, T.CSR, T.EX
FROM
	#DICT_KBK T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] = 1
	AND
	NOT EXISTS (SELECT * FROM dbo.KL_VKR V WHERE V.LINK_KBK = K.LINK)

/*
    
*/

CREATE TABLE #DICT_KD (KBK VARCHAR(30), KD INT, PROG INT, SGU INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_KD (KBK, KD, PROG, SGU, NUM)
SELECT DISTINCT
	KBK = B.CODE,
	KD = (SELECT TOP 1 LINK FROM [dbo].[KL_KD] T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	PROG = (SELECT TOP 1 LINK FROM [dbo].[KL_PROG] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	SGU = (SELECT TOP 1 LINK FROM [dbo].[KOSGU] T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + '[dbo].[KL_KBK_KD] A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_KD] D ON A.LINK_KD = D.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_PROG] E ON A.LINK_PROG = E.LINK
	LEFT JOIN ' + @DB + '[dbo].[KOSGU] F ON A.SGU_LINK = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''	
'

EXEC SP_EXECUTESQL @SQL

DELETE #DICT_KD WHERE NUM <> 1

UPDATE V SET
	V.Link_KD = ISNULL(T.KD,V.Link_KD),
	V.LINK_PROG = ISNULL(T.PROG,V.LINK_PROG),
	V.LINK_SGU =ISNULL( T.SGU,V.LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_KD T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN [dbo].[KL_KBK_KD] V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] = 2
	AND
	ISNULL(V.Link_KD,0) <> ISNULL(T.KD,0)
	AND
	ISNULL(V.LINK_PROG,0) <> ISNULL(T.PROG,0)
	AND
	ISNULL(V.LINK_SGU,0) <> ISNULL(T.SGU,0)

INSERT INTO dbo.[KL_KBK_KD] (LINK_KBK, Link_KD, LINK_PROG, LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.KD, T.PROG, T.SGU
FROM
	#DICT_KD T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] = 2
	AND
	NOT EXISTS (SELECT * FROM [dbo].[KL_KBK_KD] V WHERE V.LINK_KBK = K.LINK)

/*
    
*/

CREATE TABLE #DICT_IVF (KBK VARCHAR(30), IVF INT, PROG INT, SGU INT, NUM INT)

SET @SQL = 
N'	
INSERT INTO #DICT_IVF (KBK, IVF, PROG, SGU, NUM)
SELECT DISTINCT
	KBK = B.CODE,
	IVF = (SELECT TOP 1 LINK FROM [dbo].[KL_IVF] T WHERE T.CODE = D.CODE ' + @COLLATE + '),
	PROG = (SELECT TOP 1 LINK FROM [dbo].[KL_PROG] T WHERE T.CODE = E.CODE ' + @COLLATE + '),
	SGU = (SELECT TOP 1 LINK FROM [dbo].[KOSGU] T WHERE T.CODE = F.CODE ' + @COLLATE + '),
	NUM = ROW_NUMBER() OVER (PARTITION BY B.CODE ORDER BY D.CODE, F.CODE, E.CODE DESC)
FROM
	' + @DB + 'dbo.KL_KBK B
	INNER JOIN ' + @DB + '[dbo].[KL_KBK_IVF] A ON A.LINK_KBK = B.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_IVF] D ON A.LINK_IVF = D.LINK
	LEFT JOIN ' + @DB + '[dbo].[KL_PROG] E ON A.LINK_PROG = E.LINK
	LEFT JOIN ' + @DB + '[dbo].[KOSGU] F ON A.SGU_LINK = F.LINK
WHERE
	DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) BETWEEN ISNULL(B.DATEB,''19800101'') AND ISNULL(B.DATEE,''20490101'') 
	AND LEN(REPLACE(B.CODE,''.'','''')) = 20
	AND
	EXISTS (
		SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS3 D1
		WHERE
			EXISTS (SELECT * FROM dbo.DEPARTMENTS D2 WHERE D2.[TYPE] = 4 AND D2.INN = D1.INN ' + @COLLATE + ' AND D2.KPP = D1.KPP ' + @COLLATE + ')
			AND
			(B.LINK_DEP = D1.LINK OR B.LINK_DEP = D1.ZB)
			)
	AND
	LEFT(D.CODE ' + @COLLATE + ',30) <> ''''	
'

EXEC SP_EXECUTESQL @SQL

DELETE #DICT_IVF WHERE NUM <> 1

UPDATE V SET
	V.Link_IVF = ISNULL(T.IVF,V.Link_IVF),
	V.LINK_PROG = ISNULL(T.PROG,V.LINK_PROG),
	V.LINK_SGU =ISNULL( T.SGU,V.LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)	
FROM
	#DICT_IVF T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK
	INNER JOIN [dbo].[KL_KBK_IVF] V ON V.LINK_KBK = K.LINK
WHERE
	K.[TYPE] >=3
	AND
	ISNULL(V.Link_IVF,0) <> ISNULL(T.IVF,0)
	AND
	ISNULL(V.LINK_PROG,0) <> ISNULL(T.PROG,0)
	AND
	ISNULL(V.LINK_SGU,0) <> ISNULL(T.SGU,0)

INSERT INTO dbo.[KL_KBK_IVF] (LINK_KBK, Link_IVF, LINK_PROG, LINK_SGU)
OUTPUT
	'U', INSERTED.LINK_KBK INTO #PROTOKOL (OP, LINK)
SELECT
	K.LINK, T.IVF, T.PROG, T.SGU
FROM
	#DICT_IVF T
	INNER JOIN dbo.KL_KBK K ON K.CODE = T.KBK	
WHERE
	K.[TYPE] >= 3
	AND
	NOT EXISTS (SELECT * FROM [dbo].[KL_KBK_IVF] V WHERE V.LINK_KBK = K.LINK)


----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(DISTINCT A.LINK)) FROM #PROTOKOL A WHERE A.OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(DISTINCT A.LINK)) FROM #PROTOKOL A WHERE A.OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_KBK] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_BUH_REST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_BUH_REST]

GO
CREATE PROCEDURE dbo.SA_BUH_REST
	@SUM NUMERIC(18,2) OUTPUT
	,@ACT_PAS TINYINT = 0 --   =0/=1 
	,@LINK_DEP INT --   
	,@ACC_LINE VARCHAR(254) --    '%303.09%:%303.10%'
	,@DATE DATETIME --     
	,@DOP_CODE VARCHAR(254) = NULL --   'kau_RSV1_s1'
	,@KAU_CODE VARCHAR(254) = NULL --  
AS
/*
             -
*/
BEGIN

	SET ANSI_NULLS ON
	SET ANSI_WARNINGS ON

	DECLARE @REST_D NUMERIC(18,2), @REST_K NUMERIC(18,2)

	/*     -*/
	DECLARE @SQL NVARCHAR(4000), @STATUS INT, @BASE VARCHAR(254), @ERR_MSG VARCHAR(254), @DEP INT
	
	SET @DEP = @LINK_DEP

	EXEC @STATUS = dbo.SYNCH_SMETA_SMART_CHK_IPROV @BASE = @BASE OUTPUT, @DEP_LINK = @LINK_DEP OUTPUT, @ERR_MSG = @ERR_MSG OUTPUT
	PRINT @BASE
	
	SET @DEP = CASE WHEN @STATUS = 0 THEN @LINK_DEP ELSE @DEP END
	
	SET @SQL = 'EXEC ' + CASE WHEN @STATUS = 0 THEN @BASE  ELSE '' END
	+ 'dbo.ZP_SUM_REST 
	@REST_D = @REST_D OUTPUT
	,@REST_K = @REST_K OUTPUT
	,@LINK_DEP = @LINK_DEP
	,@ACC_LINE = @ACC_LINE
	,@DATE = @DATE
	,@DOP_CODE = @DOP_CODE
	,@KAU_CODE = @KAU_CODE
	'
	--PRINT @SQL
	EXEC SP_EXECUTESQL @SQL, N'@REST_D NUMERIC(18,2) OUTPUT,@REST_K NUMERIC(18,2) OUTPUT,@LINK_DEP INT,@ACC_LINE VARCHAR(254),@DATE DATETIME,@DOP_CODE VARCHAR(254),@KAU_CODE VARCHAR(254)', 
								@REST_D=@REST_D OUTPUT, @REST_K=@REST_K OUTPUT, @LINK_DEP=@LINK_DEP, @ACC_LINE=@ACC_LINE, @DATE=@DATE, @DOP_CODE=@DOP_CODE, @KAU_CODE=@KAU_CODE
	--***

	IF @ACT_PAS = 1
		SET @SUM = coalesce(sum(@REST_K)-sum(@REST_D),0)
	ELSE
		SET @SUM = coalesce(sum(@REST_D)-sum(@REST_K),0)	

	SET ANSI_NULLS OFF
	SET ANSI_WARNINGS OFF		

END	

GO

GRANT EXECUTE ON dbo.[SA_BUH_REST] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[RSA_6NDFL_01012016_PREPARE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[RSA_6NDFL_01012016_PREPARE]

GO

CREATE PROCEDURE dbo.RSA_6NDFL_01012016_PREPARE
	@Res float output, @varcStr varchar(250), @vardBegin datetime = '20150101', @vardEnd datetime = '20151231', @variCol int, @variRow int, @variLSF int


AS BEGIN

SET NOCOUNT ON

/*declare
	@varKScYear varchar(4),			
	@nPERIOD int,
	@varKSnFirstNum INT,
	@nCHECK_S int,					   /*    */
	@nSumm_For_Check numeric(18,2), /*    */			
	@varKScVal1 char(1), @varKSnOtborLink1 int,	
	@varKScVal2 char(1), @varKSnOtborLink2 int,
	@nLinkEmpl int,
	@LINK_PERS INT*/



DECLARE @DEP_LINK INT,
		@START_DATE DATETIME, 
		@END_DATE DATETIME 

DECLARE @FILTER_SUBDIV_NAME VARCHAR(254) , @FILTER_SUBDIV_LINK INT
SET @FILTER_SUBDIV_NAME = (SELECT DBO.RN_GET_ATR_VALUE(@variLSF, 'REPORTS_FILTER_SUBDIV'))

IF @FILTER_SUBDIV_NAME IS NOT NULL
	SET @FILTER_SUBDIV_LINK = 
		( SELECT TOP 1 LINK FROM DBO.REPORT_KBK 
		  WHERE 
		   ('' + CONVERT(VARCHAR(3),PROPERTY) + ' - ' +  NAME ) =  @FILTER_SUBDIV_NAME
			AND 
			CODE_FORM='FILTER_NABOR' AND CODE='REPORTS_FILTER_SUBDIV')

DECLARE @BUFFER_SUBDIV VARCHAR(20) 
DECLARE @SUBDIV TABLE (LINK INT)

IF @FILTER_SUBDIV_LINK IS NOT NULL 
BEGIN

	EXEC DBO.GETRANDSTR 20, @BUFFER_SUBDIV OUT

	INSERT INTO @SUBDIV (LINK) 
	SELECT LINK FROM DBO.RN_VIEW_FILTER WHERE LINK_SELF = @FILTER_SUBDIV_LINK

END


SELECT @DEP_LINK = Link_Organization from report_saved_forms where link_saved_form =  @variLSF
set @res = 0
SELECT @START_DATE = @vardBegin, @END_DATE = @vardEnd

DECLARE @BYearDate	datetime
SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)

declare @EndYear datetime
Set @EndYear = dbo.DateEndOfYear(@START_DATE)

DECLARE @varKSnYear INT,
		@nMonth INT 				
Set @nMonth = ISNULL(month(@vardEnd),12)

SET @varKSnYear = CAST(year(@vardBegin) AS INT)	



	CREATE TABLE #RES0 (
		ID INT IDENTITY,
		NOM_SPR INT,
		LINK_FACE INT,
		SEX INT,
		INNFIZ VARCHAR(20),
		NUMB_SERT VARCHAR(20),
		STATUS VARCHAR(1),
		FIO VARCHAR(254),
		FM VARCHAR(254),
		IM VARCHAR(254),
		OT VARCHAR(254),
		KDVD VARCHAR(4),
		SERNOM VARCHAR(254), 
		BIRTH DATETIME,
		GRAZD VARCHAR(3),
		KSTR VARCHAR(3),
		LINK_ADR INT,
		IND_ADR VARCHAR(10),
		REGION VARCHAR(4),
		RAION VARCHAR(254),
		GOROD VARCHAR(254),
		NASEL VARCHAR(254),
		STREET VARCHAR(254),
		HOUSE VARCHAR(20),
		KORP VARCHAR(10),
		FLAT VARCHAR(10),

		KSTR_ino VARCHAR(3),
		Adr_ino VARCHAR(200),

		O_OKATO VARCHAR(14),
		O_OKTMO VARCHAR(11),
		O_KPP VARCHAR(9),		

		ksv1 varchar(3), ssv1 numeric(11,2),
		ksv2 varchar(3), ssv2 numeric(11,2),
		ksv3 varchar(3), ssv3 numeric(11,2),
		ksv4 varchar(3), ssv4 numeric(11,2),
		ksv5 varchar(3), ssv5 numeric(11,2),
		ksv6 varchar(3), ssv6 numeric(11,2),
		ksv7 varchar(3), ssv7 numeric(11,2),
		ksv8 varchar(3), ssv8 numeric(11,2),
		ksv9 varchar(3), ssv9 numeric(11,2),
		ksv10 varchar(3), ssv10 numeric(11,2),
		ksv11 varchar(3), ssv11 numeric(11,2),
		ksv12 varchar(3), ssv12 numeric(11,2),
		ssv numeric(11,2), siv numeric(11,2),
		osd13 numeric(11,2), sdo13 numeric(11,2), 
		nalogn13 numeric(18), nalogu13 numeric(18),
		NALOG13S numeric(18),
		osd30 numeric(11,2), sdo30 numeric(11,2), 
		nalogn30 numeric(18), nalogu30 numeric(18),
		NALOG30S numeric(18),
		osd35 numeric(11,2), sdo35 numeric(11,2), 
		nalogn35 numeric(18), nalogu35 numeric(18),
		NALOG35S numeric(18),
		err int,
		S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2),		
		dolg_np numeric(8), dolg_na numeric(8),
		kbkcode1 varchar(30), kbkcode2 varchar(30), kbkcode3 varchar(30), kbkcode4 varchar(30), 
		kbksum1 numeric(18,2), kbksum2 numeric(18,2),kbksum3 numeric(18,2),kbksum4 numeric(18,2),
		VIFNSPL numeric(18,2),
		ZSummPL numeric(18,2),
		UdSumPL numeric(18,2),
		VzkIFNS numeric(18,2)

	)	


CREATE TABLE #FACES (LINK int,PERS_LINK int)

	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.sd_empl WHERE DEP_LINK = @DEP_LINK 
			AND (
		@BUFFER_SUBDIV IS NULL 
			OR 
		@BUFFER_SUBDIV IS NOT NULL AND SUBDIV_head IN (SELECT LINK FROM @SUBDIV)
		)
	
	INSERT INTO #FACES
	SELECT distinct PERS_LINK,PERS_LINK FROM dbo.SALARY_REESTR_DGH WHERE DEP_LINK = @DEP_LINK
		AND PERS_LINK NOT IN (SELECT PERS_LINK FROM #FACES)		

/*
declare  @Res float 
set @Res = ''
 EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20161231',2,1,553


*/

	-----------------------------
	delete  from dbo.SAL_DED_MONTH
	where 
	YEAR(DATE_DED) =@varKSnYear 
	AND
	Month(DATE_DED) <= @nMonth
	AND
	LINK_EMPL IN (Select EM.LINK from dbo.EMPL EM INNER JOIN #FACES F on EM.PERS_LINK = F.PERS_LINK)
	AND
	LINK IN 
	(
		select D.LINK 
		from dbo.SAL_DED_MONTH D inner join dbo.empl E on D.link_empl = E.link
		where YEAR(D.DATE_DED) = @varKSnYear AND Month(D.DATE_DED) <= @nMonth  
		and not exists (Select * from dbo.CALCULATE_JURNAL JC where YEAR(JC.PERIOD_BEGIN) = @varKSnYear AND Month(JC.PERIOD_BEGIN) <= @nMonth AND JC.LINK_EMPL = E.LINK AND JC.LINK_VKR = D.LINK_VKR)
	)
	

	-----------------------------

	EXEC dbo.BufferClear
	EXEC dbo.BufferPushTable '#faces', 'REP2NDFL', 'pers_link'

			
	create table #S_J_C_SHORT (LINK_FACE int,PERS_LINK int, link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)

	Insert into #S_J_C_SHORT (LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep)
	Select E.PERS_LINK, JC.PERS_LINK, JC.LINK_EMPL, P.LINK, link_vkr, ISNULL(JC.LINK_EKR,P.LINK_EKR), P.TYP_PER, P.OBJECT, summa, P.LINK_INC,
		period_begin = (Case 
						when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code = 'DOCUMENTS_ADD_TABEL'
						then JC.DATE_BEGIN else JC.period_begin 
					end) ,
		JC.DATE_BEGIN,
		JC.LINK_DEP  
	from 
		dbo.CALCULATE_JURNAL JC 
		INNER JOIN dbo.NDFL_GroupTax() T ON JC.LINK_PAYS=T.LINK_PAYS
		LEFT JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
		LEFT JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
		LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
	where
		(
				(ISNULL(d.code,'') <> 'DOCUMENTS_ADD_TABEL') and @nMonth >= month(JC.PERIOD_BEGIN) and @varKSnYear = year(JC.PERIOD_BEGIN)
				or 
				ISNULL(d.code,'') = 'DOCUMENTS_ADD_TABEL'
				and (@nMonth >= month(JC.DATE_BEGIN) or @nMonth >= month(JC.PERIOD_BEGIN) )
				and (@varKSnYear = year(JC.DATE_BEGIN) or @varKSnYear = year(JC.PERIOD_BEGIN) )

			)
		AND  
			(	-->>NEW
			E.PERS_LINK in (select PERS_LINK from #FACES )
			or
			JC.PERS_LINK in (select PERS_LINK from #FACES )
			)	
		AND JC.LINK_DEP = @DEP_LINK 
	
	union all --
	SELECT   LINK_FACE, PERS_LINK, link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep
	from dbo.S_J_C_SHORT SJC 
		LEFT JOIN DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC 
	where 
		SJC.LINK_DEP = @DEP_LINK
		and YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		and TYP_OPER = 2

CREATE TABLE #S_J_C_SHORT_RES ( link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), link_inc int, period_begin datetime, date1 datetime, link_dep int)
	
INSERT INTO #S_J_C_SHORT_RES ( link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, link_inc, period_begin, date1, link_dep) 		
SELECT link_pays,
	   link_vkr, 
	   link_ekr, 
	   typ_per, 
	   typ_oper, 
	   sum(summa), 
	   link_inc, 
	   period_begin, 
	   date1, 
	   link_dep
FROM #S_J_C_SHORT
GROUP BY link_pays,link_vkr,link_ekr,typ_per,typ_oper,link_inc,period_begin,date1,link_dep


-----------------------------------------------------------
--  
DECLARE @DATE DATETIME
SET @DATE = DBO.ConvertDMY2Date(1,@nMonth, @varKSnYear)
SET @DATE = DBO.DateEndOfMonth(@DATE)

CREATE TABLE #E_SUBDIV (EMPL_LINK INT, SUBDIV_LINK INT)
INSERT INTO #E_SUBDIV (EMPL_LINK, SUBDIV_LINK)
SELECT EMPL_LINK, SUBDIV_LINK
FROM DBO.SA_EMPLS_INFO(@DATE, DEFAULT)
WHERE [STATUS] = 1 OR [STATUS] = 3

CREATE TABLE #S_OBOSOB (SUBDIV_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #S_OBOSOB (SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP)
SELECT SUBDIV_LINK, O_OKATO,  O_OKTMO, O_KPP 
FROM [dbo].SUBDIVISION(@DATE) 
WHERE OBOSOB = 1

CREATE TABLE #P_OBOSOB (PERS_LINK INT, O_OKATO VARCHAR(14), O_OKTMO VARCHAR(11), O_KPP VARCHAR(9))
INSERT INTO #P_OBOSOB(PERS_LINK, O_OKATO, O_OKTMO, O_KPP)
SELECT E.PERS_LINK, SO.O_OKATO , SO.O_OKTMO, SO.O_KPP 
FROM 
	#S_OBOSOB SO INNER JOIN #E_SUBDIV ES ON SO.SUBDIV_LINK = ES.SUBDIV_LINK
	INNER JOIN DBO.EMPL E ON E.LINK = ES.EMPL_LINK

-----------------------------------------------------------
	INSERT INTO #RES0 (
		LINK_FACE,
		SEX,
		INNFIZ, --NALOG,
		NUMB_SERT,
		STATUS,
		FIO,
		FM, IM, OT,
		KDVD,
		SERNOM, 
		BIRTH,
		GRAZD,
		KSTR,
		LINK_ADR,
		IND_ADR,
		REGION,
		RAION,
		GOROD,
		NASEL,
		STREET,
		HOUSE,
		KORP,
		FLAT, 
		KSTR_ino,
		Adr_ino,
		ERR,
		O_OKATO,
		O_OKTMO,
		O_KPP
	)

	SELECT 	distinct 
		P.LINK, P.SEX, P.INN, /*P.IFNS,*/ P.INSUR_NUM, 
		CASE 
			WHEN P.RESIDENT  IS NULL THEN ''
			WHEN P.RESIDENT = 1 THEN '1'
			WHEN P.RESIDENT = 0 THEN '2'
			WHEN P.RESIDENT = 2 THEN '2'
		END,
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT),
		RTRIM(P.FM), RTRIM(P.IM), RTRIM(P.OT),
		[KDVD] = (SELECT TOP 1 CODE FROM FACE_DOCUMENT WHERE LINK = P.DOC_LINK),
		P.DOC_NUM,
		P.BIRTHDATE,
		GRAZD= (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK),
		KSTR= (case when (SELECT TOP 1 CODE FROM CITIZENSHIP WHERE LINK = P.CITIZ_LINK) = '1' then '643' else '' END),
		ADR.LINK_ADDR,
		ADR.IND_ADR,
		ADR.REGION,
		ADR.RAION,
		ADR.GOROD,
		ADR.NASEL,
		ADR.STREET,
		ADR.HOUSE,
		ADR.KORP,
		ADR.FLAT,
		KSTR_ino = '',
		Adr_ino = '',
		0,
		PO.O_OKATO,
		PO.O_OKTMO,
		PO.O_KPP
	FROM 
		#FACES F 
		INNER JOIN PERSON P ON P.LINK = F.PERS_LINK
		INNER JOIN (SELECT LINK_FACE from #S_J_C_Short SJC where LINK_FACE is not null
			UNION SELECT LINK_FACE= PERS_LINK from #S_J_C_Short SJC where PERS_LINK is not null) J on P.LINK = J.LINK_FACE
		LEFT OUTER JOIN dbo.NDFL_GET_ADDRESS() ADR ON P.LINK = ADR.LINK_FACE
		LEFT JOIN #P_OBOSOB PO ON PO.PERS_LINK = F.PERS_LINK
	ORDER BY 
		RTRIM(P.FM) + ',' + RTRIM(P.IM) + ',' + RTRIM(P.OT)



		
	select DISTINCT SJC.LINK_FACE, Y = year(SJC.PERIOD_BEGIN), M = month(SJC.PERIOD_BEGIN),		
					PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,  
					LINK_INC, LINK_VKR  
	into #spr_pays_kbk
	from 	#S_J_C_SHORT SJC
	LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
	 where SJC.TYP_OPER = 1

	CREATE TABLE #PAYS_0_tmp
	(
		ID INT IDENTITY,
		LINK_FACE INT,
		mes int, PERC_TAX INT , 
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	CREATE TABLE #PAYS_0
	(
		ID INT IDENTITY,
		LINK_FACE INT, 
		mes int, PERC_TAX INT ,  
		LINK_INC INT, CODE_INC VARCHAR(4), SUMMA_INC NUMERIC(13,2),
		LINK_DED INT, CODE_DED VARCHAR(3), SUMMA_DED NUMERIC(13,2)
	)

	INSERT INTO #PAYS_0_tmp
	(LINK_FACE, mes, PERC_TAX,
	LINK_INC, CODE_INC, SUMMA_INC,
	LINK_DED, CODE_DED, SUMMA_DED)
	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
						WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
						WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
						WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
						WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
					END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM 
		#S_J_C_SHORT SJC 
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.LINK_FACE = F.PERS_LINK
	WHERE 
		SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.PERS_LINK,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK 
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG

	---<<    	
	union all 

	SELECT 
		F.PERS_LINK,
		mes = MONTH(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END ,
		LINK_INC, ISNULL(DTI.SNAME,'0000'),
		SUM(SUMMA) AS SUMMA_INC,
		DTI.REF_DEDUCT AS LINK_DED, DTI.COD_DED,
		CAST(0 AS NUMERIC(20,2)) AS SUMMA_DED
	FROM #S_J_C_SHORT SJC 	
		LEFT JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC --AND DTI.SNAME <> '0000'
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 	SJC.TYP_OPER = 1
		AND
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and
		Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND
		ISNULL(SJC.LINK_FACE,0) = 0
		AND
		SJC.LINK_DEP = @DEP_LINK
	GROUP BY 
		F.PERS_LINK, SJC.TYP_PER, SJC.PERIOD_BEGIN, LINK_INC, DTI.REF_DEDUCT, ISNULL(DTI.SNAME,'0000'), DTI.COD_DED, DTI.FLAG
	ORDER BY 
		1, ISNULL(DTI.SNAME,'0000'), COD_DED

	---   ,      
	--- --------------------------------------------------
	/*create table #SPR_ESN ([MONTH_BASE] TINYINT, SUMMA_BASE numeric(12,2) default 0.00, DED_M numeric(12,2) default 0.00, INV_M numeric(12,2) default 0.00, SUMMA numeric(12,2) default 0.00, WAY_CALC int default 0.00, REF_PHYS_PERS int default 0)

	INSERT INTO #SPR_ESN ([MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS)
	Select [MONTH_BASE], SUMMA_BASE, DED_M, INV_M, SUMMA, WAY_CALC, REF_PHYS_PERS
	from dbo.SA_ESN_VIEW(@varKSnYear, @nMonth, @DEP_LINK, 0)
	
	SELECT * FROM #SPR_ESN
	*/-----------------------------------------------------
	-----------------------------------------------------
-- select( 8297996.42 - 1019455.00) * 0.13

	INSERT INTO #PAYS_0
	Select LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, sum(SUMMA_INC), LINK_DED, CODE_DED, sum(SUMMA_DED)
	from #PAYS_0_tmp
	group by LINK_FACE, mes,perc_tax, LINK_INC, CODE_INC, LINK_DED, CODE_DED
	having Sum(SUMMA_INC) <> 0

	drop table #PAYS_0_tmp

	---->>
	--
	SELECT D.LINK_FACE, D.mes, kbk.perc_tax, SUM(D.SUMMA) as SUMMA, D.REF_DED INTO #DED 
	FROM 
		dbo.SA_NDFL_MONTH_DED_ALL(@varKSnYear) D 
		inner join #spr_pays_kbk kbk on kbk.LINK_FACE = d.LINK_FACE and kbk.m = d.mes and kbk.link_inc = d.REF_INC and kbk.LINK_VKR = d.LINK_VKR
	where 
		kbk.y = @varKSnYear
		and kbk.m <= @nMonth
	GROUP BY 
		D.LINK_FACE, d.mes, d.REF_DED, kbk.perc_tax


	UPDATE #PAYS_0
	SET SUMMA_DED = 
		(SELECT SUM(SUMMA) FROM #DED D WHERE D.LINK_FACE = R.LINK_FACE AND D.REF_DED = R.LINK_DED AND D.mes = R.mes ) 
	FROM #PAYS_0 R 
	WHERE LINK_DED IS NOT NULL

	update #PAYS_0 
		Set CODE_DED = ''
		where ISNULL(SUMMA_DED,0) = 0


	CREATE TABLE #P0 (LINK_FACE INT, ID1 INT)

	--- 1
	CREATE TABLE #PAYS1_TMP (LINK_FACE INT , SM NUMERIC(18,2) , [MONTH] INT, PERC_TAX INT ) 
	INSERT INTO #PAYS1_TMP (LINK_FACE, SM, [MONTH], PERC_TAX) 
		SELECT EP.PERS_LINK, ISNULL(SUM(SJ.summa), 0) , MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , 																																
				PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
		
		FROM SALARY_JURNAL_CALCULAT_SHORT SJ 
		INNER JOIN dbo.NDFL_GroupTax() T ON SJ.link_PAYS=T.LINK_PAYS
		INNER JOIN dbo.KU_EMPL_PLACING EP ON EP.LINK = SJ.LINK_EMPL
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.dictionary_typ_incoms dti ON dti.link = SJ.LINK_INC
		WHERE 
			SJ.PERIOD_BEGIN >= @BYearDate AND SJ.PERIOD_END <=@vardEND
--			(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_BEGIN WHEN SJ.TYP_PER = 2 THEN SJ.DATE1 END) >= @varKSdDate1 
--			AND (CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END)<=@varKSdDate2
			AND EP.DEP_LINK = @DEP_LINK
		GROUP BY EP.PERS_LINK, MONTH(CASE WHEN SJ.TYP_PER = 1 THEN SJ.PERIOD_END WHEN SJ.TYP_PER = 2 THEN SJ.DATE2 END) , DTI.FLAG




	CREATE TABLE #PAYS1(LINK_FACE INT, SM NUMERIC(11,2), MONTH_NUM INT, PERC_TAX int)
	INSERT INTO #PAYS1
	SELECT LINK_FACE, SM, [MONTH], PERC_TAX 	 
	FROM #PAYS1_TMP ORDER BY  [MONTH], LINK_FACE

	DROP TABLE #PAYS1_TMP
	---<<    
	insert into #pays1

	SELECT 
		F.PERS_LINK,
		SUM(SUMMA) AS SUMMA_INC,
		Month(SJC.PERIOD_BEGIN),
		PERC_TAX = CASE WHEN ISNULL(DTI.FLAG,0) = 0 THEN 0 
				WHEN ISNULL(DTI.FLAG,0) = 1 THEN 0
				WHEN ISNULL(DTI.FLAG,0) = 2 THEN 13
				WHEN ISNULL(DTI.FLAG,0) = 3 THEN 30
				WHEN ISNULL(DTI.FLAG,0) = 4 THEN 35  
			END 
	FROM 
		#S_J_C_SHORT SJC 
		INNER JOIN dbo.DICTIONARY_TYP_INCOMS DTI ON DTI.LINK = SJC.LINK_INC
		INNER JOIN #FACES F ON SJC.PERS_LINK = F.PERS_LINK
	WHERE 
		YEAR(SJC.PERIOD_BEGIN) = @varKSnYear
		and Month(SJC.PERIOD_BEGIN) <= @nMonth
		AND ISNULL(SJC.LINK_FACE,0) = 0
		AND SJC.LINK_DEP = @DEP_LINK 
	GROUP BY F.PERS_LINK, SJC.PERIOD_BEGIN, DTI.FLAG


	---->>

	SELECT LINK_FACE, SUM(SM) AS SM, PERC_TAX
	INTO #PAYS_R
	FROM #PAYS1
	GROUP BY LINK_FACE,PERC_TAX


	INSERT INTO #PAYS1
	SELECT 
		EP.PERS_LINK, -SUM(SUMMA), MONTH(DATE_DED),NULL
	FROM    
		dbo.empl EP 
		inner join SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND [TYPE] = 2)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
	where 
		EP.DEP_LINK = @DEP_LINK	
	GROUP BY 
		EP.PERS_LINK, MONTH(DATE_DED)




	CREATE TABLE #PAYS3(ID INT IDENTITY, LINK_FACE INT, LINK_DED INT, CODE_DED VARCHAR(6), SUMMA NUMERIC(18,2), SUMMA_FAKT NUMERIC(18,2))
	--     
	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.empl EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE


	-- 
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, 
		CONVERT(NUMERIC(18,2), SUM((case when KOEF_VKR is not null then DTD.SUMMA * KOEF_VKR else DTD.SUMMA end) * ISNULL(S.KOL,0) )), 
		SUM(S.SUMMA) 
	FROM 
		dbo.REESTR_DGH EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_DGH AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND S.[TYPE] = 1)
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
		INNER JOIN dbo.Salary_deductions(@BYearDate) DTD on DTD.REF_PAY = S.REF_DED
	where 
		T.NUMBER IN (	1, --
						6 --    
						)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE
		
	--UPDATE #PAYS3
	--SET
	--	SUMMA = (Select sum(SUM_DED) from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	
	--where
	--	exists (Select * from dbo.TAX_DEDUCTIONS TD where TD.LINK_DEP = @DEP_LINK AND TD.link_person = #PAYS3.LINK_FACE and TD.LINK_DICTION = #PAYS3.LINK_DED and TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)	

	UPDATE #PAYS3
	SET
		SUMMA = ISNULL(SUMMA_FAKT,0)
	where
		ISNULL(SUMMA,0) = 0

	--  (,     .)
	INSERT INTO #PAYS3 (LINK_FACE, LINK_DED, CODE_DED, SUMMA, SUMMA_FAKT)
	SELECT 	
		EP.PERS_LINK, min(S.REF_DED), T.CODE, SUM(S.SUMMA), SUM(S.SUMMA) 
	FROM 
		dbo.EMPL EP 
		INNER JOIN SAL_DED_MONTH S ON (EP.LINK = S.LINK_EMPL AND YEAR(DATE_DED) = @varKSnYear and Month(DATE_DED) <= @nMonth AND TYPE = 1)
		--INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = EP.pers_link --: EP.LINK
		INNER JOIN dbo.DICTIONARY_TYP_DEDUCTION T ON T.LINK = S.REF_DED 
	where 
		T.NUMBER NOT IN (	1, --
							6 --    
							)
		AND			
		EP.DEP_LINK = @DEP_LINK	and S.SUMMA <> 0
	GROUP BY 
		EP.PERS_LINK, T.CODE

/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	--   . 
	update #RES0
	Set siv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0),
		ssv = ISNULL( (Select sum(P3.SUMMA_FAKT) from #PAYS3 P3 where R.LINK_FACE = P3.LINK_FACE and P3.LINK_DED NOT IN (SELECT DISTINCT LINK_DICTION FROM TAX_DEDUCTIONS td WHERE TD.LINK_DEP = @DEP_LINK AND TD.[YEAR] = @varKSnYear and TD.Month1 <= @nMonth)),0)		
	from #RES0 R

--SELECT * FROM #RES0

	--
	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV1 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV1 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV2 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV2 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV3 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV3 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV4 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV4 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV5 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV5 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV6 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV6 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV7 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV7 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R

		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV8 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV8 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV9 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV9 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV10 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV10 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV11 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV11 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS3 GROUP BY LINK_FACE

	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET KSV12 = (SELECT top 1 P00.CODE_DED FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET SSV12 = (SELECT top 1 P00.SUMMA FROM #PAYS3 P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		DELETE FROM #PAYS3 WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END



	UPDATE #RES0 SET OSD13 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 13),0) FROM #RES0 R
	UPDATE #RES0 SET OSD30 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 30),0) FROM #RES0 R
	UPDATE #RES0 SET OSD35 = ISNULL((SELECT top 1 SM FROM #PAYS_R PR WHERE PR.LINK_FACE = R.LINK_FACE AND PR.PERC_TAX = 35),0) FROM #RES0 R

	----
	UPDATE #RES0 SET SDO13 = OSD13 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 13 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	UPDATE #RES0 SET SDO30 = OSD30 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 30 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE
	
	UPDATE #RES0 SET SDO35 = OSD35 - ISNULL(SK.SUM_SK, 0.00)
			- ISNULL(SSV1,0.00) - ISNULL(SSV2,0.00) - ISNULL(SSV3,0.00) - ISNULL(SSV4,0.00)
			- ISNULL(SSV5,0.00) - ISNULL(SSV6,0.00) - ISNULL(SSV7,0.00) - ISNULL(SSV8,0.00)
			- ISNULL(SSV9,0.00) - ISNULL(SSV10,0.00) - ISNULL(SSV11,0.00) - ISNULL(SSV12,0.00)
	from #RES0 R LEFT JOIN (Select LINK_FACE, SUM_SK= SUM(SUMMA_DED) from #PAYS_0  WHERE PERC_TAX = 35 GROUP BY LINK_FACE) SK ON R.LINK_FACE = SK.LINK_FACE

	-----
	UPDATE #RES0 SET SDO13 = 0 WHERE SDO13 < 0
	UPDATE #RES0 SET SDO30 = 0 WHERE SDO30 < 0
	UPDATE #RES0 SET SDO35 = 0 WHERE SDO35 < 0
	

	CREATE TABLE #NDFL_TAX(LINK_TAX INT, PERC_TAX INT )
	INSERT INTO #NDFL_TAX
	SELECT LINK, PERC_TAX = CASE WHEN P.WAY_CALC = 4 THEN 13 
								 WHEN P.WAY_CALC = 5 THEN 30
								 WHEN P.WAY_CALC = 6 THEN 35  end	
	FROM PAYS P WHERE P.OBJECT = 2 AND P.WAY_CALC IN (4,5,6)
	
	--- 13%
	Create table #NDLF13_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF13 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF13_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 13
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 13  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF13 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF13_tmp group by LINK
	
	drop table #NDLF13_tmp


	-- 30% 
		Create table #NDLF30_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF30 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF30_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 30
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 30  
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF30 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF30_tmp group by LINK
	
	drop table #NDLF30_tmp
	
	-- 35% 
		Create table #NDLF35_tmp (LINK int, SUMMA numeric(18,2))
	Create table #NDLF35 (LINK int, SUMMA numeric(18,2))

	insert into  #NDLF35_tmp (LINK, SUMMA)
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM 
		#S_J_C_Short SJC 
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.LINK_FACE --: EP.LINK
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX  AND  T.PERC_TAX = 35
	WHERE 
		YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY 
		B.LINK
	---<<    
	union all
	SELECT B.LINK AS LINK, SUM(SUMMA) AS SUMMA
	FROM #S_J_C_Short SJC 
		INNER JOIN #NDFL_TAX T ON SJC.LINK_PAYS = T.LINK_TAX AND  T.PERC_TAX = 35
		INNER JOIN dbo.BufferGetTableById('REP2NDFL') B ON B.LINK = SJC.PERS_LINK --: EP.LINK
	WHERE YEAR(PERIOD_BEGIN) = @varKSnYear 
		and month(PERIOD_BEGIN) <= @nMonth
		and ISNULL(SJC.LINK_FACE,0) = 0
		and sjc.LINK_DEP = @DEP_LINK	
	GROUP BY B.LINK

	insert into #NDLF35 (LINK, SUMMA)
	Select LINK, Sum(SUMMA) from #NDLF35_tmp group by LINK
	
	drop table #NDLF35_tmp
	

	--->>

	UPDATE #RES0 SET NALOGU13 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF13 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN13 = SDO13 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX AND T.PERC_TAX =13 WHERE TARIF = 1)
								ELSE 0.30 END)
	
	UPDATE #RES0 SET NALOGU30 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF30 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN30 = SDO30 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =30 WHERE TARIF = 1)
								ELSE 0.30 END)	
	
	UPDATE #RES0 SET NALOGU35 = ISNULL((SELECT SUM(SUMMA) FROM #NDLF35 N WHERE N.LINK = R.LINK_FACE), 0) FROM #RES0 R
	UPDATE #RES0 SET NALOGN35 = SDO35 * (CASE WHEN STATUS = '1' THEN 
		( SELECT  top 1 [PERCENT] / 100 FROM DICTIONARY_RANGE R inner join #NDFL_TAX T on R.LINK_PAYS = T.LINK_TAX  AND T.PERC_TAX =35 WHERE TARIF = 1)
								ELSE 0.30 END)														



	--     
	DECLARE @SUMMA_PLAT_ALL NUMERIC(18,2)
		
/*	IF @nCHECK_S = 0
		BEGIN
			SET @SUMMA_PLAT_ALL =  @nSumm_For_Check 	
		END
	ELSE
		BEGIN 
*/			EXEC dbo.SA_NDFL_PLAT @varKSnYear, @DATE, @DEP_LINK, @SUMMA_PLAT_ALL OUT
/*		END */
	--     
	DECLARE @SUMMA_NACH_ALL NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL OUT
	
	--  30%    
	DECLARE @SUMMA_NACH_ALL30 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL30 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL30 OUT
	
	--  35%    
	DECLARE @SUMMA_NACH_ALL35 NUMERIC(18,2)
	EXEC dbo.SA_NDFL_NACHISL35 @varKSnYear, @DATE, @DEP_LINK, @SUMMA_NACH_ALL35 OUT
	
	--   13%	
	UPDATE #RES0 SET NALOG13S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL > 0 THEN (NALOGU13	/ @SUMMA_NACH_ALL) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG13S = CASE WHEN NALOG13S > NALOGU13 THEN NALOGU13 ELSE NALOG13S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1
	
	--   30%	
	UPDATE #RES0 SET NALOG30S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL30 > 0 THEN (NALOGU30/ @SUMMA_NACH_ALL30) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG30S = CASE WHEN NALOG30S > NALOGU30 THEN NALOGU30 ELSE NALOG30S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1

	--   35%	
	UPDATE #RES0 SET NALOG35S = CONVERT(NUMERIC(18,0), ISNULL( @SUMMA_PLAT_ALL * CASE WHEN @SUMMA_NACH_ALL35 > 0 THEN (NALOGU35	/ @SUMMA_NACH_ALL35) ELSE 0 END, 0))
	UPDATE #RES0 SET NALOG35S = CASE WHEN NALOG35S > NALOGU35 THEN NALOGU35 ELSE NALOG35S END

	UPDATE #RES0 SET NOM_SPR = ID --+ @varKSnFirstNum - 1	

	--- /      
	UPDATE A SET 
		S_5_6 = (CASE WHEN R.NDFL > 0 THEN R.NDFL ELSE 0 END),
		S_5_7 = (CASE WHEN R.NDFL <= 0 THEN - R.NDFL ELSE 0 END)
	FROM
		#RES0 A INNER JOIN 
		(SELECT E.PERS_LINK, NDFL = SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR INNER JOIN dbo.EMPL E ON E.LINK = SR.LINK_EMPL WHERE SR.YEAR_SAL = @varKSnYear GROUP BY E.PERS_LINK) R 
			ON R.PERS_LINK = A.LINK_FACE
			
		
	--	
	UPDATE #RES0 SET DOLG_NP = CASE WHEN NALOGN13 - NALOGU13 > 0 THEN NALOGN13 - NALOGU13 ELSE 0 END - ISNULL(S_5_6,0)
	UPDATE #RES0 SET DOLG_NA = CASE WHEN NALOGU13 - NALOGN13 > 0 THEN NALOGU13 - NALOGN13 ELSE 0 END - ISNULL(S_5_7,0)


	--^^^^^^^^^   ^^^^^^^^^^
	create table  #PAYS_NDFL (ID INT IDENTITY, LINK_FACE int, LINK_PAYS int, kbk_code varchar(30), SUMMA numeric(18,2))

	INSERT INTO #PAYS_NDFL (LINK_FACE, LINK_PAYS, kbk_code, SUMMA)
	SELECT LINK_FACE, SJC.LINK_PAYS, left(kbk.CODE,30), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.PERS_LINK,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)
	GROUP BY 
		LINK_FACE, LINK_PAYS, kbk.CODE

	union all ---<<    	

	SELECT  PERS_LINK, SJC.LINK_PAYS, left(kbk.CODE,20), sum(SJC.SUMMA)
	FROM #S_J_C_SHORT SJC inner join dbo.SAL_SFIN kbk on SJC.LINK_VKR = kbk.LINK
	WHERE 
			YEAR(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) = @varKSnYear
		and
			month(CASE WHEN SJC.TYP_PER = 1 THEN SJC.PERIOD_BEGIN WHEN SJC.TYP_PER = 2 THEN SJC.DATE1 END) <= @nMonth
		AND	ISNULL(SJC.LINK_FACE,0) = 0
		AND	SJC.LINK_PAYS IN (Select LINK_TAX from #NDFL_TAX)

	GROUP BY 
		PERS_LINK, LINK_PAYS, kbk.CODE
	ORDER BY 
		1, 2, 3


	DELETE FROM #P0

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode1 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum1 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode2 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum2 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode3 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum3 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	INSERT INTO #P0
	SELECT LINK_FACE, MIN(ID) FROM #PAYS_NDFL GROUP BY LINK_FACE
	IF @@ROWCOUNT <> 0 BEGIN
		UPDATE #RES0
		SET kbkcode4 = (SELECT top 1 P00.kbk_code FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
		UPDATE #RES0
		SET kbksum4 = (SELECT top 1 P00.SUMMA FROM #PAYS_NDFL P00, #P0 P0 WHERE P0.ID1 = P00.ID AND P0.LINK_FACE = R.LINK_FACE) FROM #RES0 R
	
		DELETE FROM #PAYS_NDFL WHERE ID IN (SELECT ID1 FROM #P0)
		DELETE FROM #P0
	END

	-------------------------------------
	update #res0
	set 	VIFNSPL =0, ZSummPL =0, UdSumPL =0, VzkIFNS =0


	DECLARE @varKSCNT INT

	SELECT @varKSCNT  = COUNT(*) FROM #RES0

	SELECT TOP 1 
		LTRIM(RTRIM(STR(@varKSCNT))) AS DOCCOUNT, 
		ISNULL(IMNS, '') AS NALOG,
		ISNULL(dd.INN, '') AS INN,
		ISNULL(KPP, '') AS KPP,
		ISNULL(OKATO, '')  AS OKATO,
		ISNULL(OKTMO, '')AS OKTMO,
		convert(varchar (254),(ISNULL(FULL_NAME, ''))) AS FULL_NAME,
		ISNULL(DOTF.PHONE, '') AS PHONE,
		ISNULL(RTRIM(FM), '') + ' ' + ISNULL(RTRIM(IM), '') + ' ' + ISNULL(RTRIM(OT), '') AS GLBUH,
		ISNULL(RTRIM(FM), '') AS FM,
		ISNULL(RTRIM(IM), '') AS IM, 
		ISNULL(RTRIM(OT), '') AS OT,
		ISNULL(RTRIM(DOTF.NAME), '') AS Dolzh
	INTO #DEP
	FROM DICTIONARY_DEPARTMENT DD 
	LEFT OUTER JOIN DICTIONARY_OTV_FACE DOTF ON 
		(DOTF.DEP_LINK = DD.LINK
		AND DOTF.NAME = ' ')
	LEFT OUTER JOIN KU_EMPL_PLACING EP ON DOTF.FACE_LINK = EP.LINK
	WHERE DD.link = @DEP_LINK



	DECLARE @varKScInn VARCHAR(254), @varKScKPP VARCHAR(254), @varKSFULL_NAME varchar(254), 
		@varKSNALOG VARCHAR(254), @varKSOKATO VARCHAR(254), @varKSOKTMO VARCHAR(254), @varKSPHONE VARCHAR(254), 
		@varKSGLBUH VARCHAR(254), 
		@varKSRESULT BIT

	SELECT 
		@varKScInn = INN, @varKScKPP = KPP,
		@varKSFULL_NAME = FULL_NAME, 
		@varKSNALOG = NALOG, @varKSOKATO = Replace(OKATO,' ',''), @varKSOKTMO = Replace(OKTMO,' ',''),
		@varKSPHONE = PHONE, 
		@varKSGLBUH  = GLBUH
	FROM #DEP

	/*  */  -- DED_TYPE = 1 - , 2-  
/*	CREATE TABLE #td (LINK_PERSON INT ,NUM_REF VARCHAR(15),DATE_REF DATETIME,IFNS_CODE VARCHAR(20),DED_TYPE TINYINT)
	INSERT INTO #td (LINK_PERSON ,NUM_REF,DATE_REF,IFNS_CODE,DED_TYPE)
	Select LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 1 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER ='4')  )
	UNION SELECT 
		   LINK_PERSON, 
		   NUM_REF, 
		   DATE_REF, 
		   IFNS_CODE,
		   DED_TYPE = 2 
	from dbo.TAX_DEDUCTIONS td
	where TD.LINK_DEP = @DEP_LINK AND link =  (select min(link) from dbo.TAX_DEDUCTIONS td1 where TD1.LINK_DEP = @DEP_LINK AND td1.LINK_PERSON =  td.LINK_PERSON and td1.[YEAR] = @varKSnYear and td1.Month1 <= @nMonth AND TD1.LINK_DICTION IN (SELECT  LINK FROM DICTIONARY_TYP_DEDUCTION  WHERE NUMBER IN('11','12','13')) )
*/

	declare @KBK_DEFAULT varchar(254)
	Set @KBK_DEFAULT = (select Top 1 CODE_KBK from dbo.sd_empl where LINK_KBK > 0)

	UPDATE #RES0 Set kbkcode1 = @KBK_DEFAULT, kbksum1 = 0 where ISNULL(kbksum1,0) = 0

/*	/*  */
	INSERT INTO #LOG (LINK, NUMBER, DETAIL)
	SELECT LINK_FACE, '',  '        '  + ' ' + ISNULL(FM, '') + ' ' + ISNULL(IM, '') + ' '  + ISNULL(Ot, '')
	FROM #RES0 inner join  #td on #RES0.LINK_FACE = #td.LINK_PERSON 
	WHERE rtrim(ltrim(ISNULL(NUM_REF,''))) = '' or rtrim(ltrim(ISNULL(IFNS_CODE,''))) = '' or DATE_REF is null AND OSD13 > 0 

*/	CREATE TABLE #RES_OUT (ID INT,LINK_FACE INT,mes INT,LINK_INC INT,CODE_INC VARCHAR(4),SUMMA_INC NUMERIC(18,2),LINK_DED INT,CODE_DED VARCHAR(3),SUMMA_DED NUMERIC(18,2),ID2 INT)

	INSERT INTO #RES_OUT (ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2)
	SELECT ID, LINK_FACE, mes, LINK_INC, CODE_INC, SUMMA_INC, LINK_DED, CODE_DED, SUMMA_DED, ID2 = 0 
	FROM #PAYS_0 
	ORDER BY LINK_FACE, MES, CODE_INC
	
	---
	CREATE TABLE #RES_OUT_ORD (NUM_PP INT IDENTITY(1,1), ID INT, LINK_FACE INT)
	INSERT INTO #RES_OUT_ORD (ID, LINK_FACE)
	SELECT ID, LINK_FACE FROM #PAYS_0 ORDER BY LINK_FACE, MES, CODE_INC
	--
	CREATE TABLE #RES_OUT_ORD2 (LINK_FACE INT, MIN_NUM INT)
	INSERT INTO #RES_OUT_ORD2 (LINK_FACE, MIN_NUM)
	SELECT LINK_FACE, MIN(NUM_PP) FROM #RES_OUT_ORD GROUP BY LINK_FACE
	---   
	UPDATE R
	SET R.ID2 = O.NUM_PP - O2.MIN_NUM + 1
	FROM 
		#RES_OUT R 
		INNER JOIN #RES_OUT_ORD O ON O.ID = R.ID
		INNER JOIN #RES_OUT_ORD2 O2 ON O2.LINK_FACE = R.LINK_FACE


	CREATE TABLE #ORDERS (ID int)
	DECLARE @SQL VARCHAR(1000)
	SET @SQL = 'ALTER TABLE #ORDERS ADD [NOM_SPR] INT IDENTITY(' + RTRIM(str(ISNULL(1,1))) + ',1)'
	EXEC(@SQL)

	INSERT INTO #ORDERS (ID) 
	SELECT DISTINCT ID 
	FROM #RES0 
	WHERE LINK_FACE IN ( Select DISTINCT LINK_FACE from #RES_OUT where [ID2]%2 = 1 )
			--AND ISNULL(OSD13,0) > 0
	ORDER BY ID

	--UPDATE #ORDERS SET NOM_SPR = NOM_SPR + @varKSnFirstNum - 1

	---   
	UPDATE #DEP SET DOCCOUNT = ISNULL((SELECT MAX(NOM_SPR) FROM #ORDERS),0)
	-------------------
	/*SELECT 
		R.ID, O.NOM_SPR, R.LINK_FACE, R.SEX, R.INNFIZ, R.NUMB_SERT, R.STATUS, 
		R.FIO, R.FM, R.IM, R.OT, R.KDVD, R.SERNOM, R.BIRTH, R.GRAZD, R.KSTR, 
		R.LINK_ADR, R.IND_ADR, R.REGION, R.RAION, R.GOROD, R.NASEL, R.STREET, 
		R.HOUSE, R.KORP, R.FLAT, R.KSTR_ino, R.Adr_ino, 
		R.ksv1, R.ssv1, R.ksv2, R.ssv2, R.ksv3, R.ssv3, R.ksv4, R.ssv4, R.ksv5, R.ssv5, R.ksv6, R.ssv6, 
		R.ksv7, R.ssv7, R.ksv8, R.ssv8, R.ksv9, R.ssv9, R.ksv10, R.ssv10, R.ksv11, R.ssv11, R.ksv12, R.ssv12, 
		R.ssv, R.siv, R.osd13, R.sdo13, R.nalogn13, R.nalogu13, R.nalog13s, R.err, R.S_5_6, R.S_5_7, R.dolg_np, R.dolg_na, 
		R.kbkcode1, R.kbkcode2, R.kbkcode3, R.kbkcode4, R.kbksum1, R.kbksum2, R.kbksum3, R.kbksum4, 
		R.VIFNSPL, R.ZSummPL, R.UdSumPL, R.VzkIFNS, 
		--ndoc_td = td1.NUM_REF , --   
		--ddoc_td = td1.DATE_REF,
		--ifnsdoc_td = td1.ifns_code,
		--nDoc_SD = td2.NUM_REF, --    
		--dDoc_SD = td2.DATE_REF,
		--ifnsdoc_sd = td2.ifns_code,
		--nalog	= @varKSNALOG,
		KPP1 = ISNULL(R.O_KPP,@varKScKPP),
		OKATO1 = replace(ISNULL(R.O_OKATO,@varKSOKATO),' ',''),
		OKATO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKATO else '' end),
		OKATO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKATO else '' end),
		OKATO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKATO else '' end),
		OKTMO1 = replace(ISNULL(R.O_OKATO,@varKSOKTMO),' ',''),
		OKTMO2 = (Case when ISNULL(kbksum2,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO3 = (Case when ISNULL(kbksum3,0) <> 0 then @varKSOKTMO else '' end),
		OKTMO4 = (Case when ISNULL(kbksum4,0) <> 0 then @varKSOKTMO else '' end),
		T.M1, T.CINC1, T.SINC1, T.CDED1, T.SDED1, T.M2, T.CINC2, T.SINC2, T.CDED2, T.SDED2--,
		--td1.LINK_PERSON/*, #td.NUM_REF, #td.DATE_REF, #td.IFNS_CODE*/
	FROM #RES0 R 
		INNER JOIN #ORDERS O ON O.ID = R.ID
		INNER JOIN ( 
			Select	T1.LINK_FACE, M1= T1.MES, CINC1= T1.CODE_INC, SINC1= T1.SUMMA_INC, CDED1= T1.CODE_DED, SDED1= T1.SUMMA_DED, M2= T2.MES, CINC2= T2.CODE_INC, SINC2= T2.SUMMA_INC, CDED2= T2.CODE_DED, SDED2= T2.SUMMA_DED
			from	(Select * from #RES_OUT where [ID2]%2 = 1) T1 left join (Select * from #RES_OUT where [ID2]%2 = 0) T2 on T1.link_FACE = T2.LINK_FACE AND T1.[ID2] = (T2.[ID2]-1)
		) T on R.LINK_FACE = T.LINK_FACE
	--	LEFT OUTER JOIN   #td td1 on R.LINK_FACE = td1.LINK_PERSON AND td1.DED_TYPE = 1 /* */
	--	LEFT OUTER JOIN   #td td2 on R.LINK_FACE = td2.LINK_PERSON AND td2.DED_TYPE = 2 /* */
	--where OSD13 > 0 
	ORDER BY O.NOM_SPR, T.M1, T.CINC1, T.M2, T.CINC2
	
	*/

	-------------------------------------------
	---        
	------------------------------------------
	CREATE TABLE #RES_OUT_MAIN (ID INT IDENTITY(1,1),PERC_TAX INT,SUMMA_INC NUMERIC(18,2),SUMMA_DED NUMERIC(18,2))

	INSERT INTO #RES_OUT_MAIN (PERC_TAX, SUMMA_INC, SUMMA_DED)
	SELECT PERC_TAX, SUM(SUMMA_INC), SUM(SUMMA_DED)
	FROM #PAYS_0 
	GROUP BY PERC_TAX
	ORDER BY PERC_TAX
	
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 30)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 30 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL
	IF NOT EXISTS (SELECT * FROM #RES_OUT_MAIN WHERE PERC_TAX = 35)
	   INSERT INTO #RES_OUT_MAIN(PERC_TAX, SUMMA_INC, SUMMA_DED)
	   SELECT PERC_TAX = 35 ,
			  SUMMA_INC = NULL, 
			  SUMMA_DED = NULL		  
	-------------------


/*
declare  @Res float 
set @Res = ''
  EXEC RSA_6NDFL_01012016_PREPARE @Res output, '', '20160101', '20160331',1 ,0  ,703

*/	

	CREATE TABLE  #RES0_PERC (ID INT , PERC_TAX INT, COUNT_FIZL INT, SUMMA_INC NUMERIC(18,2), SUMMA_DED NUMERIC(18,2)  ,ssv NUMERIC(18,2), siv NUMERIC(18,2), osd NUMERIC(18,2), sdo NUMERIC(18,2), nalogn NUMERIC(18,2), nalogu NUMERIC(18,2), nalogs NUMERIC(18,2), S_5_6 NUMERIC(18,2), S_5_7 NUMERIC(18,2), dolg_np NUMERIC(18,2),dolg_na NUMERIC(18,2)  )
	INSERT INTO  #RES0_PERC(ID, PERC_TAX,COUNT_FIZL,SUMMA_INC, SUMMA_DED, ssv, siv, osd, sdo, nalogn, nalogu, nalogs, S_5_6, S_5_7, dolg_np,dolg_na)
	SELECT ID = 1 , 
		   PERC_TAX = 13,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd13),NULL), 
		   sdo = ISNULL(SUM(sdo13),NULL), 
		   nalogn = ISNULL(SUM(nalogn13),NULL), 
		   nalogu = ISNULL(SUM(nalogu13),NULL), 
		   nalogs = ISNULL(SUM(nalog13s),NULL), 
		  ISNULL( SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd13,0) <> 0
	UNION ALL 
		SELECT ID = 2 , 
		   PERC_TAX = 30,
		    ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		    ISNULL(SUM(ssv),NULL), 
		    ISNULL(SUM(siv),NULL), 
		   osd =  ISNULL(SUM(osd30),NULL), 
		   sdo =  ISNULL(SUM(sdo30),NULL), 
		   nalogn =  ISNULL(SUM(nalogn30),NULL), 
		   nalogu =  ISNULL(SUM(nalogu30),NULL), 
		   nalogs =  ISNULL(SUM(nalog30s),NULL), 
		    ISNULL(SUM(S_5_6),NULL) , 
		    ISNULL(SUM(S_5_7),NULL) , 
		    ISNULL(SUM(dolg_np),NULL),
		    ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd30,0) <> 0	
	UNION ALL 
		SELECT ID = 3 , 
		   PERC_TAX = 35,
		   ISNULL(COUNT(LINK_FACE),NULL),
		   SUMMA_INC = NULL,
		   SUMMA_DED = NULL,
		   ISNULL(SUM(ssv),NULL), 
		   ISNULL(SUM(siv),NULL), 
		   osd = ISNULL(SUM(osd35),NULL), 
		   sdo = ISNULL(SUM(sdo35),NULL), 
		   nalogn = ISNULL(SUM(nalogn35),NULL), 
		   nalogu = ISNULL(SUM(nalogu35),NULL), 
		   nalogs = ISNULL(SUM(nalog35s),NULL), 
		   ISNULL(SUM(S_5_6),NULL) , 
		   ISNULL(SUM(S_5_7),NULL) , 
		   ISNULL(SUM(dolg_np),NULL),
		   ISNULL(SUM(dolg_na),NULL)
	FROM #RES0  r
	WHERE isnull(osd35,0) <> 0	
	
	update  P
	SET   SUMMA_INC = RO.SUMMA_INC ,
		SUMMA_DED = RO.SUMMA_DED
	FROM #RES0_PERC P 
	INNER JOIN #RES_OUT_MAIN RO ON RO.PERC_TAX = P.PERC_TAX 

	
CREATE TABLE #RES2(CODE_STR VARCHAR(10), COL3 NUMERIC(20,2))

	
INSERT INTO #RES2 SELECT '010', ISNULL(PERC_TAX,13) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '025', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 1 ---isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '045', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '050', 0 FROM #RES0_PERC WHERE  ID = 1 
INSERT INTO #RES2 SELECT '1010',ISNULL(PERC_TAX,30) FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1025', 0 FROM #RES0_PERC WHERE  ID = 2
INSERT INTO #RES2 SELECT '1030',ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 2 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1045', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '1050', 0 FROM #RES0_PERC WHERE  ID = 2 
INSERT INTO #RES2 SELECT '2010', ISNULL(PERC_TAX,35) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2020', isnull(OSD,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2025', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2030', ISNULL(OSD,0) -  ISNULL(SDO,0)  FROM #RES0_PERC WHERE  ID = 3 --isnull(ssv,0)+isnull(siv,0)+isnull(SUMMA_DED,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2040', isnull(nalogn,0) FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2045', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '2050', 0 FROM #RES0_PERC WHERE  ID = 3 
INSERT INTO #RES2 SELECT '3060', SUM(isnull(COUNT_FIZL,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3070', SUM(isnull(nalogu,0)) FROM #RES0_PERC   
INSERT INTO #RES2 SELECT '3080', SUM(isnull(dolg_np,0)) FROM #RES0_PERC  
INSERT INTO #RES2 SELECT '3090', SUM(isnull(dolg_na,0)) FROM #RES0_PERC 

SELECT * FROM #RES2
/*  -      */
DECLARE @Table_Razd1 VARCHAR(100)
EXEC dbo.X_GET_TABLE_NAME @Table_Razd1 OUTPUT
EXEC ('select * INTO ' + @Table_Razd1 + ' from #RES2 order by code_str')
EXEC dbo.BufferPush -116, @Table_Razd1

	-----------------------------------------------------
	---------------------------------------------------

	---
	--SELECT *, CAST(  (CAST (DOCCOUNT AS INT) - @varKSCNT) AS VARCHAR(254) ) AS DOCCOUNT2 FROM #DEP 
	---	

/*	UPDATE L SET
		NUMBER = O.NOM_SPR
	FROM 
		#LOG L
		INNER JOIN #RES0 R ON L.LINK = R.LINK_FACE
		INNER JOIN #ORDERS O ON O.ID = R.ID
	
	SELECT * FROM #LOG ORDER BY LINK, ERR
*/	---
--	EXEC dbo.BufferClear

	DROP TABLE #FACES
	DROP TABLE #S_J_C_SHORT
	DROP TABLE #S_J_C_SHORT_RES
/*	DROP TABLE #E_SUBDIV
	DROP TABLE #S_OBOSOB
	DROP TABLE #P_OBOSOB	
	DROP TABLE #LOG	
*/	DROP TABLE #RES0	
	DROP TABLE #ORDERS				

END












GO


GRANT EXECUTE ON dbo.[RSA_6NDFL_01012016_PREPARE] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SS_DICTIONARY_PAY_DIRECTION_DEL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SS_DICTIONARY_PAY_DIRECTION_DEL]

GO



/*
  (Keysystems), 2005
*/
/* .. 2011     */
CREATE PROCEDURE dbo.SS_DICTIONARY_PAY_DIRECTION_DEL
	@varKSintLINK	int
AS

DECLARE @varKStrancount	int,
		@varKSObjectLink	int,
		@varKSEventText	varchar(254)

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	
	IF EXISTS(
		SELECT * 
		FROM dbo.DICTIONARY_PAY_DIRECTION WHERE LINK = @varKSintLINK AND FLAG_SYS = 1
	) BEGIN
		RAISERROR('   ', 11, 1)
		ROLLBACK
		RETURN
	END
	
	SELECT @varKSEventText = '  ' + ' ' + CODE + ' ' + NAME FROM dbo.DICTIONARY_PAY_DIRECTION WITH (UPDLOCK) WHERE LINK = @varKSintLINK
	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	DELETE FROM dbo.DICTIONARY_PAY_DIRECTION WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = LINK FROM S_OBJECTS WHERE CODE = 'DICTIONARY_PAY_DIRECTION'
		EXECUTE WF_GENERATEEVENT '  ', @varKSEventText, @varKSObjectLink, 'DICTIONARY_PAY_DIRECTION', @varKSintLINK
		COMMIT TRAN
	END
RETURN 0







GO


GRANT EXECUTE ON dbo.[SS_DICTIONARY_PAY_DIRECTION_DEL] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[TEST157N]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[TEST157N]

GO
CREATE PROCEDURE dbo.TEST157N
AS

IF OBJECT_ID('TEMPDB..#ACC','U') IS NOT NULL   DROP TABLE #ACC

CREATE TABLE #ACC (
	cSinth varchar(3) NULL,
	cAnalit varchar(2) NULL)

--SELECT cSinth, cAnalit
--INTO ACC
--FROM
--	dbo.S_ACCOUNTS 
--WHERE
--	LINK_DEP = 21 AND ZABALANS = 0 AND cAnalit <> ''

--SELECT 'INSERT INTO #ACC([cSinth], [cAnalit])'+char(13)+char(10)+
--'VALUES ('+COALESCE('''' + RTRIM(REPLACE([cSinth],'''','''''')) + '''','NULL')+', '+COALESCE('''' + RTRIM(REPLACE([cAnalit],'''','''''')) + '''','NULL') +')'+char(13)+char(10)
--+ CASE WHEN (ROW_NUMBER() OVER (ORDER BY [cSinth],[cAnalit] )) % 25 = 0 THEN CHAR(13) + CHAR(10) + '--GO' + CHAR(13) + CHAR(10) ELSE '' END
--FROM dbo.[ACC]	

INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '44')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('101', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('102', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('103', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '18')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '27')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '48')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '58')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '58')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '58')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '59')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '59')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('104', '59')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '28')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '38')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('105', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '31')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('106', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('107', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '54')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '55')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('108', '56')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '70')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '80')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('109', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('201', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '31')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('202', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '15')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('203', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '51')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('204', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '61')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '73')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('205', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '33')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('206', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('207', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '63')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('208', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '71')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '74')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '81')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '82')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('209', '83')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('210', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('211', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('212', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('215', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '33')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('301', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '51')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '52')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '53')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '61')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '62')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '63')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '72')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '72')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '73')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '75')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('302', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '08')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('303', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('304', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('306', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('307', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('308', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('309', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '50')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('401', '60')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('402', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '09')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '16')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '16')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '25')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '44')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '93')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('501', '93')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '02')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '07')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '17')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '27')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '37')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '41')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '47')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '91')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '97')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('502', '99')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '01')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '02')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '03')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '04')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '04')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '05')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '06')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '09')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '13')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '14')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '15')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '16')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '16')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '19')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '21')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '22')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '22')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '23')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '24')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '25')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '26')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '29')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '31')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '32')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '33')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '34')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '35')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '36')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '39')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '41')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '41')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '42')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '43')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '44')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '45')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '46')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '49')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '93')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('503', '93')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '11')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '12')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '30')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('504', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('506', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '00')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '30')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '40')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('507', '90')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '10')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')


INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')
INSERT INTO #ACC([cSinth], [cAnalit])
VALUES ('508', '20')



DECLARE @dDATE DATETIME
SET @dDATE = DATEADD(YEAR, DATEDIFF(YEAR, 0, GETDATE()), 0) --   

-- 
DECLARE @MISSED_ACCOUNTS TABLE (cSource VARCHAR(10), cSinth VARCHAR(10), cAnalit VARCHAR(10), msg varchar(254))

INSERT INTO @MISSED_ACCOUNTS (cSource, cSinth, cAnalit, msg)
SELECT DISTINCT sa.cSource, sa.cSinth, sa.cAnalit, sa.CODE + '   .: ' + ' : ' + ISNULL(D.CODE,'') + '  : ' + ISNULL(D.INN,'') + ' .: ' + LEFT(ISNULL(D.NAME,''),100) 
FROM 
	dbo.ARestTableByDate(@dDATE,DEFAULT) R
	INNER JOIN dbo.S_ACCOUNTS SA ON R.ACCOUNT = SA.LINK AND SA.ZABALANS = 0
	INNER JOIN dbo.DEPARTMENTS D ON D.LINK = R.DEP_LINK AND (D.[TYPE] = 4 OR D.ZB = 1)
WHERE
	NOT EXISTS (SELECT * FROM #ACC A WHERE A.cSinth = SA.cSinth AND A.cAnalit = SA.cAnalit)

INSERT INTO @MISSED_ACCOUNTS (cSource, cSinth, cAnalit, msg)
SELECT DISTINCT sa.cSource, sa.cSinth, sa.cAnalit, sa.CODE + ' : ' + ' : ' + ISNULL(D.CODE,'') + '  : ' + ISNULL(D.INN,'') + ' .: ' + LEFT(ISNULL(D.NAME,''),100)
FROM 
	(SELECT DISTINCT gpa.ACCOUNT, G.DEP FROM dbo.G_PROV g
					INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = g.LINK
					INNER JOIN dbo.G_PROV2 g2 ON g2.LINK_UP = g1.LINK
					INNER JOIN dbo.G_PROV_AP gpa ON gpa.LINK_UP = g2.LINK
					WHERE g.[DATE] > @dDATE) R
	INNER JOIN dbo.S_ACCOUNTS SA ON R.ACCOUNT = SA.LINK AND SA.ZABALANS = 0
	INNER JOIN dbo.DEPARTMENTS D ON D.LINK = R.DEP AND (D.[TYPE] = 4 OR D.ZB = 1)
WHERE
	NOT EXISTS (SELECT * FROM #ACC A WHERE A.cSinth = SA.cSinth AND A.cAnalit = SA.cAnalit)
	
SELECT * FROM @MISSED_ACCOUNTS

GO


GRANT EXECUTE ON dbo.[TEST157N] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_REESTR_FSS_PREPARE_DATA]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_REESTR_FSS_PREPARE_DATA]

GO

CREATE     PROCEDURE dbo.SD_REESTR_FSS_PREPARE_DATA 
		   @BUFFER_ID VARCHAR(20) = NULL
AS

BEGIN

	DECLARE @str VARCHAR(7000),
			@nLink INT, 
			@nMode INT,
			@SortMode INT,
			@GroupMode INT,
			@WrapMode INT,
			@FIOShort tinyint

	CREATE TABLE #REC1 (LINK INT)
	CREATE INDEX #TMP_IDX_REC ON #REC1 (LINK)
	
	INSERT INTO #REC1 (LINK)
	SELECT LINK FROM DBO.BUFFER WITH (NOLOCK) WHERE ID = @BUFFER_ID
	
	DECLARE @WORK_DATE DATETIME, @DEP_LINK INT, @SID VARBINARY(85)
	SELECT @WORK_DATE = WORKDATE, @DEP_LINK = DEP_LINK, @SID = [SID] FROM dbo.USER_INFO
--SELECT 	@WORK_DATE, @DEP_LINK , @SID
	CREATE TABLE #OUTPUT (ID int identity(1,1), F_NAME VARCHAR(254), OUT_TEXT TEXT)

	SET NOCOUNT ON
	-- 
	CREATE TABLE #TASK_PROP (ID int identity(1,1), VAL VARCHAR (254))

	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MAJOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_MINOR',1
	INSERT INTO #TASK_PROP (VAL) exec dbo.X_GET_PROP_CLIENT 'PROJECT','VERSION_FIX',1

	declare @NAME_PROG varchar(254), @VERS_PROG VARCHAR(254)
	Select @NAME_PROG = UPPER(RTRIM(LTRIM([NAME]))), 
		@VERS_PROG = (SELECT RTRIM(LTRIM(VAL)) FROM #TASK_PROP WHERE [ID] = 1)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 2)
		+ (SELECT REPLACE(STR(RTRIM(LTRIM(VAL)),2),' ','0') FROM #TASK_PROP WHERE [ID] = 3)
	from dbo.DICTIONARY_TASK where CODE = 'SALARY'


	CREATE TABLE #DOC_REESTR_FSS_TABLE1( ROW int IDENTITY(1,1), CHECKED tinyint, UPD tinyint, DEL tinyint, LOCKED tinyint,
			[LINK] int,[NUMBER] varchar(30), [DATE] DATETIME, [COMMENTARY] varchar (254) , [FLAG_JC] tinyint,   
			[LINK_DEP] int , [name_dep] varchar (254), [MDEP_NAME] varchar (90), MDEP_ADDR varchar (254), 
			ADR_MED_DEP_LINK varchar (100), HOUSE_MED_DEP  varchar (30), INDEX_MED_DEP  varchar (6), OGRN_MED_DEP  varchar (15),
			[TAB_NUMER] varchar (10), [NAME_EMPL] varchar (150), [REF_EMPL] int, BIRTH_EMPL datetime , SEX tinyint, [DAYS] int, 
			[HOURS] numeric (18,2),	[DATE1] DATETIME, [DATE2] DATETIME, [NEPR_YEAR] int,[NEPR_MONTH] int,
			[NEPR_DAY] int,[CODE_TYP_ARHE] varchar (5),	[NAME_TYP_ARHE] varchar (150),[REF_TYP_ARHE] int ,[DOC_TYPE] CHAR(2),[NUM_DOC] varchar (30),
			[REF_DOC] int,[DECRET] tinyint, LINK_PAYS int,CODE_PAYS varchar (10),NAME_PAYS varchar (60), KIDS_FLAG tinyint, 
			REF_PERS_KID int,[PERS_KID] varchar (304),FAMILY_NAME varchar (35), BIRTHDATE DATETIME ,AGE_E int,AGE_M int,PERS_LINK int,[INSTRUCT] tinyint,
			INSUR_NUM varchar (14),INN varchar (12),FM varchar(100),IM varchar (100),OT varchar (100),RESIDENT tinyint,
			DOC_CODE varchar (2),[DOC_NAME] VARCHAR(150),DOC_NUM varchar (20),DOC_DATE DATETIME,DOC_WHOM varchar (254),[ADR_REAL_LINK] int,
			[ADR_REAL] varchar (254),[REGION_REAL] varchar (254),[HOUSE_REAL] varchar (30),[CORP_REAL] varchar (30),[FLAT_REAL] varchar (30),
			[INDEX_REAL] varchar (6),[BIK] varchar (9),[BANK_NAME] varchar (80),[LIC_SCHET] varchar (25),
			[ADR_OFIC_LINK] int, [ADR_OFIC] varchar (254),[REGION_OFIC] varchar (254),[HOUSE_OFIC] varchar (30),[CORP_OFIC] varchar (30),
			[FLAT_OFIC] varchar (30),[INDEX_OFIC] varchar (6),[STATUS_EMPL] int, [STATUSC_EMPL] varchar(20),[OGRN] varchar (15),
			[FSS_REG_NUM] varchar (10),[FSS_KOD_P] varchar (10),[KPP_dep] varchar (9),[INN_dep] varchar (12),[dep_tel] varchar (20),[dep_mail] varchar (30),
			[FIO_RUK] varchar (90), [DOLG_RUK] varchar (90), [FIO_BUH] varchar (90),[DATE_BEGIN] DATETIME, 
			[DATE_END] DATETIME, [OKLAD] numeric (18,2) ,[REG_KOEF] numeric (3),LINK_EXCH int,REF_BL int ,REF_RBL int,
			LINK_SOST int, FIO_SOST varchar (120),EMAIL_SOST varchar (40),TEL_SOST varchar (30),STAT_EXCH tinyint,
			STAT_NAME varchar (30),DATE_OUT DATETIME,TYPE_INFO tinyint, RECALC_REASON_CODE tinyint,OWNER_FLAG tinyint, 
			PAYMENT_TYPE tinyint,YEAR_CHANGE_FLAG tinyint, FILE_NUMBER tinyint, [YEAR1_OLD] varchar (4),[YEAR2_OLD] varchar (4) ,
			[YEAR1] varchar (4),[YEAR2] varchar (4),[BASE_SUM1] numeric (18,2), [BASE_SUM2] numeric (18,2), [LINK_R] int, [NUMBER_R] varchar(30),[DATE_R] DATETIME,
			[COMMENTARY_R] varchar (254),[CODE_PAY_R] varchar (10),[NAME_PAY_R] varchar (60),[REF_PAY_R] int,[FLAG_JC_R] tinyint,
			SYST_PAY tinyint,[SUMMA_R] numeric (18,2),[SR_PREM_R] numeric (18,2),
			[TYP_PER_R] tinyint ,[DATE1_R] DATETIME,[DATE2_R] DATETIME,[DATE_B_R] DATETIME,[DATE_E_R] DATETIME,[LIMIT_R] tinyint,/*[PER_ARHE_R],[NUM_ARHE_R],*/
			[REF_ARHE_R] int,/*[CODE_TYP_ARHE_BL],[NAME_TYP_ARHE_BL],[REF_TYP_ARHE_BL],*/ [STAG_R] int,[STAG_MONTH_R] int,
			[SUMA_BASE0_R] numeric (18,4),[LINK_DEP_R] int, RAB_SUM_R numeric(18,2), RAB_DAYS_R numeric(18,2), FSS_SUM_R numeric(18,2), 
			FSS_DAYS_R numeric(18,2), DOHOD_R  numeric(18,2),ITOGO_DNI_R numeric(18,2), ITOGO_CH_R numeric(18,2), 
			RP_DAYS_R numeric(18,2),RP_HOURS_R numeric(18,2),RP_DAYS_N_R numeric(18,2), RP_HOURS_N_R numeric(18,2), 
			RP_SUMMA_PREM_R numeric(18,2),  RP_SUMMA_R numeric(18,2), DEKRET tinyint,INSTRUCT_R tinyint)

		INSERT INTO #DOC_REESTR_FSS_TABLE1 ( CHECKED, UPD, DEL, LOCKED, LINK ,NUMBER,  [DATE], COMMENTARY, FLAG_JC,LINK_DEP, 
											 name_dep, MDEP_NAME, MDEP_ADDR, ADR_MED_DEP_LINK,HOUSE_MED_DEP, INDEX_MED_DEP, OGRN_MED_DEP, TAB_NUMER,NAME_EMPL, REF_EMPL,
											BIRTH_EMPL, SEX, [DAYS],[HOURS],DATE1,DATE2, NEPR_YEAR,NEPR_MONTH,NEPR_DAY,CODE_TYP_ARHE,	
											NAME_TYP_ARHE,REF_TYP_ARHE,[DOC_TYPE],NUM_DOC,REF_DOC,DECRET,LINK_PAYS,CODE_PAYS,NAME_PAYS,KIDS_FLAG,REF_PERS_KID,
											PERS_KID,FAMILY_NAME,BIRTHDATE,AGE_E,AGE_M,PERS_LINK,INSTRUCT,INSUR_NUM,INN,FM,
											IM,OT,RESIDENT,DOC_CODE,[DOC_NAME],DOC_NUM,DOC_DATE,DOC_WHOM,ADR_REAL_LINK,ADR_REAL,REGION_REAL,
											HOUSE_REAL,CORP_REAL,FLAT_REAL,INDEX_REAL,BIK,BANK_NAME,LIC_SCHET,ADR_OFIC_LINK, ADR_OFIC,REGION_OFIC,
											HOUSE_OFIC,CORP_OFIC,FLAT_OFIC,INDEX_OFIC,[STATUS_EMPL], [STATUSC_EMPL],[OGRN],[FSS_REG_NUM],[FSS_KOD_P],[KPP_dep],
											[INN_dep],DEP_TEL,DEP_MAIL,[FIO_RUK], [DOLG_RUK], [FIO_BUH],[DATE_BEGIN],[DATE_END], [OKLAD],[REG_KOEF],
											LINK_EXCH,REF_BL,REF_RBL,LINK_SOST,FIO_SOST,EMAIL_SOST,TEL_SOST,STAT_EXCH,STAT_NAME,DATE_OUT,
											TYPE_INFO, RECALC_REASON_CODE ,OWNER_FLAG ,PAYMENT_TYPE ,YEAR_CHANGE_FLAG , FILE_NUMBER, [YEAR1_OLD],[YEAR2_OLD],[YEAR1] ,[YEAR2] ,
											[BASE_SUM1] , [BASE_SUM2] , [LINK_R] , [NUMBER_R] ,[DATE_R] ,[COMMENTARY_R] ,[CODE_PAY_R] ,[NAME_PAY_R] ,[REF_PAY_R] ,[FLAG_JC_R] ,
											SYST_PAY,[SUMMA_R] ,[SR_PREM_R] ,[TYP_PER_R] ,[DATE1_R] ,[DATE2_R] ,[DATE_B_R],[DATE_e_R] ,[LIMIT_R] ,[REF_ARHE_R],
											[STAG_R],[STAG_MONTH_R],[SUMA_BASE0_R],[LINK_DEP_R], RAB_SUM_R, RAB_DAYS_R, FSS_SUM_R,FSS_DAYS_R, DOHOD_R,ITOGO_DNI_R,
											 ITOGO_CH_R,RP_DAYS_R,RP_HOURS_R,RP_DAYS_N_R, RP_HOURS_N_R,RP_SUMMA_PREM_R , RP_SUMMA_R, DEKRET,INSTRUCT_R) 
		exec dbo.DOCUMENTS_REESTR_FSS_LIST @BUFFER_ID = @BUFFER_ID, @MODE = 1
	
	--SELECT * FROM #DOC_REESTR_FSS_TABLE1
		---
		select ID = b.ROW , a.* 
		into #DOC_REESTR_FSS_TABLE2 
		FROM 
			DOCUMENTS_ADD_ARCHE_TABLE0 a
			inner join  #DOC_REESTR_FSS_TABLE1 b on a.link =  b.link_r
 
		--
		DECLARE @Cur1 CURSOR,
			@FNAME varchar(254),
			@ROW int ,
			@ID int,
			@ROW_NAME varchar(254) , 
			@name_dep VARCHAR(254), --  
			@DOC_DATE DATETIME,	 --   
			@DOC_DATE1 varchar(10), --       
			@FIO_SOST varchar (120),  --  
			@EMAIL_SOST varchar (40), -- Email 
			@TEL_SOST varchar (30),	   --  
			@OWNER_FLAG tinyint,	   -- ,    1- 0- 
			@TYPE_INFO tinyint,	   -- : 0    (    ), 1-
 			@RECALC_REASON_CODE tinyint, --  
 			@DEP_REG_NUM varchar (10), --    			
 			@DEP_KOD_P varchar (10),   --   
 			@KPP_dep varchar (9),  --  
 			@INN_dep varchar (12), --  
 			@DEP_OGRN VARCHAR(15), --   
			@FIO_RUK varchar (90), --    
			@DOLG_RUK varchar (90),--    
			@FIO_BUH varchar (90), --   
			@LastFileNumber  numeric (2) 
			
		SELECT  top 1 
				@name_dep 	= LEFT(DEP.[NAME],254), 
				@INN_dep	= LEFT(INN,12), 
				@KPP_dep = LEFT(KPP,9),  
				@DEP_OGRN = LEFT(OGRN,13) , 
				@DEP_REG_NUM = left(FSS_REG_NUM,10), 
				@DEP_KOD_P = left(FSS_KOD_P,0)
		FROM dbo.DICTIONARY_DEPARTMENT DEP WHERE DEP.LINK = @DEP_LINK

 		DECLARE @LINK_SOST INT
 		SELECT @LINK_SOST = USER_REF FROM dbo.WHO_IS_WHO WHERE [SID] = @SID

		SELECT 
			@FIO_SOST = LEFT(LTRIM(RTRIM(COALESCE(LTRIM(RTRIM(FM)) + ' ' + LTRIM(RTRIM(IM)) + ' ' + LTRIM(RTRIM(OT)),' '))),100),
			@EMAIL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (2,0,E.link)) )),' '),254),
			@TEL_SOST = LEFT(ISNULL(LTRIM(RTRIM((select DBO.ConcatEmplPhoneValues (1,3,E.link)) )),' '),254)
		FROM 
			dbo.PERSON P
			INNER JOIN dbo.EMPL E ON P.LINK = E.PERS_LINK
		WHERE
			E.LINK = @LINK_SOST

		SET	@LastFileNumber =
			isnull(
				(select max(FILE_NUMBER) 
				from 
					#REC1 R
					INNER JOIN dbo.REESTR_FSS_EXCH_INFO I ON R.LINK = I.REF_BL
				WHERE
					I.DATE_OUT = @WORK_DATE
				),0) + 1

		SET @DOC_DATE = @WORK_DATE

	set @ROW  = 0
	DECLARE @Cur2  CURSOR


	--   
	-----

		SELECT top 1 @FNAME = 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
								  + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
								  + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
								  + case  when len(convert(varchar(2),(@LastFileNumber))) = 1 then ('0' + convert(varchar(2),(@LastFileNumber))) else (convert(varchar(2),(@LastFileNumber))) end +'.xml'
		FROM  #DOC_REESTR_FSS_TABLE1 

		INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
		 SELECT @FNAME, 'UTF-8' --  
				UNION ALL SELECT @FNAME, SPACE(0) + '<?xml version="1.0" encoding="UTF-8"?>'																								
				UNION ALL SELECT @FNAME, SPACE(0) + '<ROWSET version="'+ substring(@VERS_PROG, 1,2) +'.'+substring(@VERS_PROG, 3,2)+'" software="'+rtrim(ltrim(@NAME_PROG))+'" version_software="SP'+substring(@VERS_PROG, 5,2)+'" author="'+isnull(RTRIM(LTRIM(@FIO_SOST)),' ')+'" phone="'+isnull((RTRIM(LTRIM(@TEL_SOST))),' ')+'" email="'+isnull((RTRIM(LTRIM(@EMAIL_SOST))),' ')+'" EMPL_KPP="'+ltrim(rtrim(@KPP_dep))+'" EMPL_INN="'+ltrim(rtrim(@INN_dep))+'" EMPL_OGRN="'+ltrim(rtrim(@DEP_OGRN))+'" EMPL_REG_NO="'+ltrim(rtrim(@DEP_REG_NUM))+'"  xsi:noNamespaceSchemaLocation="XSD.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">' 

	--- 
	--  
	---

	
	SET @Cur1 = CURSOR FORWARD_ONLY
	FOR select ROW from #DOC_REESTR_FSS_TABLE1 order by ROW

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @ROW

	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME, 
				SPACE(1) + '<ROW>' + CHAR(10)
				  + SPACE(2) + '<BATCH_NO>'+ 'E_'+ ltrim(rtrim(FSS_REG_NUM))+'_'+ CONVERT(VARCHAR(4),  YEAR(@DOC_DATE))+'_' 
				  						   + case  when len(convert(varchar(2), MONTH(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), MONTH(@DOC_DATE))) else ( convert(varchar(2), MONTH(@DOC_DATE))) end +'_'
										   + case  when len(convert(varchar(2), day(@DOC_DATE))) = 1 then ('0' + convert(varchar(2), day(@DOC_DATE))) else (convert(varchar(2), day(@DOC_DATE))) end  + '_' 
										   + convert(varchar(2),(@LastFileNumber))+':'+convert(varchar(2),ROW) 
							 + '</BATCH_NO>' + CHAR(10)
				  + SPACE(2) + '<TYPE_INFO>'+ convert(varchar(1),isnull([TYPE_INFO],0))+'</TYPE_INFO>' + CHAR(10)  
				  + SPACE(2) + '<RECALC_REASON_CODE>'+  case when convert(varchar(1),isnull(RECALC_REASON_CODE,'')) = '0' 
															 then ''
															 else convert(varchar(1),isnull(RECALC_REASON_CODE,'')) 
														end
							 +'</RECALC_REASON_CODE>' + CHAR(10) 
				 + SPACE(2) + '<DOC_TYPE>' + case 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2)  = '01' or  substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) ='04' then '1'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '05' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '06' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '07' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '08' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '09' 
														or substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '10'  
												then '5'	 
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '02' then '2'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '03' then '6'
												when substring(ltrim(rtrim(CODE_TYP_ARHE)),2,2) = '11' then '13' 
											  else '01'
											  end
							 + '</DOC_TYPE>' + CHAR(10)
				  + SPACE(2) + '<DOC_DT1>' + convert(varchar(10),[DATE],120) + '</DOC_DT1>' + CHAR(10) 
				  + SPACE(2) + '<SNILS>' + convert(varchar(11),replace(replace(INSUR_NUM,' ',''),'-','')) + '</SNILS>' + CHAR(10) 
				  + SPACE(2) + '<INN_PERSON>' + LEFT(ltrim(rtrim(INN)),12) + '</INN_PERSON>' + CHAR(10)
				  + SPACE(2) + '<SURNAME>' + LEFT(UPPER(ltrim(rtrim(FM))),30) + '</SURNAME>' + CHAR(10)
				  + SPACE(2) + '<NAME>' + LEFT(UPPER(ltrim(rtrim(IM))),30) + '</NAME>' + CHAR(10)
				  + SPACE(2) + '<PATRONIMIC>'+ LEFT(UPPER(ltrim(rtrim(OT))),30) +'</PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_FLAG>'+ case 
												when convert(varchar (1), RESIDENT) = '2' THEN '1'
												WHEN convert(varchar (1), RESIDENT) = '3' THEN '2'
												ELSE '0' end
												  +'</RESIDENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<RESIDENT_FLAG>'+ convert(varchar (1), RESIDENT) +'</RESIDENT_FLAG>' + CHAR(10)
				  + SPACE(2) + '<ID_TYPE>'  +RTRIM(LTRIM(COALESCE(DOC_CODE,'')))+ '</ID_TYPE>' + CHAR(10) 
				  + SPACE(2) + '<ID_NO>' + RTRIM(LTRIM(COALESCE(DOC_NUM,''))) + '</ID_NO>' + CHAR(10)
				  + SPACE(2) + '<ID_DT>' + convert(varchar(10),DOC_DATE, 120) + '</ID_DT>' + CHAR(10)
				  + SPACE(2) + '<ID_DEPT>' +RTRIM(LTRIM(COALESCE(DOC_WHOM,'')))+ '</ID_DEPT>' + CHAR(10)
			
				  --+ SPACE(2) + '<ADDR>'+ RTRIM(LTRIM(COALESCE(ADR_REAL,'')))+'</ADDR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_KLADR>' + CASE 
												 WHEN isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_REAL_LINK)))),'') = ''
												 THEN '' 
												 ELSE '#'+ isnull(RTRIM(LTRIM(convert(varchar(20),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_REAL_LINK)))),'')
												END 
											  + '</ADDR_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR_HOUSE>'+ RTRIM(LTRIM(COALESCE(HOUSE_REAL,'')))+'</ADDR_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR_BUILDING>'+ RTRIM(LTRIM(COALESCE(CORP_REAL,'')))+'</ADDR_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR_FLAT>'+ RTRIM(LTRIM(COALESCE(FLAT_REAL,'')))+'</ADDR_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST_INDEX>'+ RTRIM(LTRIM(COALESCE(INDEX_REAL,'')))+'</POST_INDEX>' + CHAR(10)
				  
				  + SPACE(2) + '<OWNER_FLAG>'+ convert(varchar(1),OWNER_FLAG) +'</OWNER_FLAG>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT_TYPE>'+ convert(varchar(1),PAYMENT_TYPE) +'</PAYMENT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_BIC>'+ RTRIM(LTRIM(COALESCE(BIK,'')))+'</ACCOUNT_BIC>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT_NAME>'+ RTRIM(LTRIM(COALESCE(BANK_NAME,'')))+'</ACCOUNT_NAME>' + CHAR(10)
				  + SPACE(2) + '<ACCOUNT>'+ RTRIM(LTRIM(COALESCE(LIC_SCHET,'')))+'</ACCOUNT>' + CHAR(10)
				  
				  + SPACE(2) + '<ADDR2>'+ RTRIM(LTRIM(COALESCE(ADR_OFIC,'')))+'</ADDR2>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_KLADR>' + CASE when isnull(RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_OFIC_LINK)))),'') = ''
													  THEN ''
													  ELSE '#'+ RTRIM(LTRIM(convert(varchar(99),(select ltrim(rtrim(CODE)) FROM dbo.kladr where link = ADR_OFIC_LINK))))
													  END  + '</ADDR2_KLADR>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_HOUSE>'+ RTRIM(LTRIM(COALESCE(HOUSE_OFIC,'')))+'</ADDR2_HOUSE>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_BUILDING>'+ RTRIM(LTRIM(COALESCE(CORP_OFIC,'')))+'</ADDR2_BUILDING>' + CHAR(10)
				  + SPACE(2) + '<ADDR2_FLAT>'+ RTRIM(LTRIM(COALESCE(FLAT_OFIC,'')))+'</ADDR2_FLAT>' + CHAR(10)
				  + SPACE(2) + '<POST2_INDEX>'+ RTRIM(LTRIM(COALESCE(INDEX_OFIC,'')))+'</POST2_INDEX>' + CHAR(10)
	
				  + SPACE(2) + '<EMPLOYER>'+ UPPER(ltrim(rtrim(name_dep)))+'</EMPLOYER>' + CHAR(10)
				  + SPACE(2) + '<EMPL_FLAG>'+convert(varchar(1),STATUS_EMPL)+'</EMPL_FLAG>' + CHAR(10)
				  + SPACE(2) + '<EMPL_OGRN>'+ ltrim(rtrim(OGRN)) +'</EMPL_OGRN>' + CHAR(10)
				  + SPACE(2) + '<EMPL_REG_NO>'+ ltrim(rtrim(FSS_REG_NUM)) +'</EMPL_REG_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_PARENT_NO>'+ ltrim(rtrim(FSS_KOD_P)) + '</EMPL_PARENT_NO>' + CHAR(10)
				  + SPACE(2) + '<EMPL_KPP>'+ ltrim(rtrim(KPP_dep)) +'</EMPL_KPP>' + CHAR(10)
				  + SPACE(2) + '<EMPL_INN>'+ ltrim(rtrim(INN_dep)) +'</EMPL_INN>' + CHAR(10)
				   
				  + SPACE(2) + '<APPROVE1>'+ isnull(UPPER(ltrim(rtrim(FIO_RUK))),'') +'</APPROVE1>' + CHAR(10)
				  + SPACE(2) + '<APPROVE1_ROLE>'+ isnull(UPPER(ltrim(rtrim(DOLG_RUK))),'') +'</APPROVE1_ROLE>' + CHAR(10)
				  + SPACE(2) + '<APPROVE2>'+ isnull(UPPER(ltrim(rtrim(FIO_BUH))),'') +'</APPROVE2>' + CHAR(10)
				  
				  + SPACE(2) + '<WORK_CONTRACT_START_DT>'+convert(varchar(10),[DATE_BEGIN],120)+'</WORK_CONTRACT_START_DT>' + CHAR(10)
				  + SPACE(2) + '<WORK_CONTRACT_FINISH_DT>'+isnull(convert(varchar(10),[DATE_END],120),'')+'</WORK_CONTRACT_FINISH_DT>' + CHAR(10)
				   
				  + SPACE(2) + '<ROLE_WAGE>'+ RTRIM(LTRIM(STR(COALESCE(OKLAD,0),18,2)))   + '</ROLE_WAGE>' + CHAR(10)
				  + SPACE(2) + '<BASE_CALC_DAYS>'+ 
								RTRIM(LTRIM(STR(COALESCE(datediff(day , dbo.ConvertDMY2Date(1,1,YEAR1), (dbo.DateEndOfYear(dbo.ConvertDMY2Date(1,1,YEAR2))+1)),3,0))))		  
							 + '</BASE_CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_SAL>'+RTRIM(LTRIM(STR(COALESCE((BASE_SUM1+BASE_SUM2),0),18,2)))+'</BASE_AVG_SAL>' + CHAR(10)
				  + SPACE(2) + '<BASE_AVG_DAILY_SAL>'+ RTRIM(LTRIM(STR(COALESCE([SUMA_BASE0_R],0),15,2))) +'</BASE_AVG_DAILY_SAL>' + CHAR(10)
				  + SPACE(2) + '<YEAR_CHANGE_FLAG>'+ isnull(convert(varchar(1),YEAR_CHANGE_FLAG), '') +'</YEAR_CHANGE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<YEAR1_ODL></YEAR1_ODL>' + CHAR(10)
				  + SPACE(2) + '<YEAR2_ODL></YEAR2_ODL>' + CHAR(10)
				  + SPACE(2) + '<YEAR1>'+ ltrim(rtrim(isnull(YEAR1,''))) +'</YEAR1>' + CHAR(10)
				  + SPACE(2) + '<YEAR2>'+ ltrim(rtrim(isnull(YEAR2,''))) +'</YEAR2>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM1>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM1,0),18,2))) +'</BASE_SUM1>' + CHAR(10)
				  + SPACE(2) + '<BASE_SUM2>'+ RTRIM(LTRIM(STR(COALESCE(BASE_SUM2,0),18,2))) +'</BASE_SUM2>' + CHAR(10)
				  + SPACE(2) + '<KF_REG>'+ RTRIM(LTRIM(STR(COALESCE(REG_KOEF,0),3,0))) +'</KF_REG>' + CHAR(10)
				  + SPACE(2) + '<KF_SHORT_DAY></KF_SHORT_DAY>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND_FLAG></LIVE_COND_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LIVE_COND></LIVE_COND>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_START></CALC_MH_PERIOD_START>' + CHAR(10)
				  + SPACE(2) + '<CALC_MH_PERIOD_FINISH></CALC_MH_PERIOD_FINISH>' + CHAR(10)
				  + SPACE(2) + '<DOWNTIME_START></DOWNTIME_START>' + CHAR(10)
				  + SPACE(2) + '<DOWNTIME_FINISH></DOWNTIME_FINISH>' + CHAR(10)
				  + SPACE(2) + '<INSUR_YY>'+ convert(varchar(2),isnull(STAG_R,'')) +'</INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<INSUR_MM>'+convert(varchar(2),isnull(STAG_MONTH_R,'')) +'</INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_YY></NOT_INSUR_YY>' + CHAR(10)
				  + SPACE(2) + '<NOT_INSUR_MM></NOT_INSUR_MM>' + CHAR(10)
				  + SPACE(2) + '<LN_CODE>'+ convert(varchar(12),replace(replace(NUMBER,' ',''),'-','')) +'</LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PREV_LN_CODE>'+ ltrim(rtrim(NUM_DOC)) +'</PREV_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<PRIMARY_FLAG>'+ (case when REF_DOC is not null then '1' else '0' end)  +'</PRIMARY_FLAG>' + CHAR(10)
				  + SPACE(2) + '<DUPLICATE_FLAG>0</DUPLICATE_FLAG>' + CHAR(10)
				  + SPACE(2) + '<LN_DATE>'+ convert(varchar(10),[DATE], 120) +'</LN_DATE>' + CHAR(10)
				  + SPACE(2) + '<LPU_NAME>'+isnull(ltrim(rtrim(MDEP_NAME)),'') +'</LPU_NAME>' + CHAR(10)
				  + SPACE(2) + '<LPU_ADDRESS>'+isnull(ltrim(rtrim(MDEP_ADDR)),'') +'</LPU_ADDRESS>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDRESS_KLADR>'+ltrim(rtrim(ADR_MED_DEP_LINK)) +'</LPU_ADDRESS_KLADR>' + CHAR(10)
				  --+ SPACE(4) + '<LPU_ADDR_A1>'+ RTRIM(LTRIM(STR(COALESCE([s2_7],0),15,2))) +'</LPU_ADDR_A1>'
				  --+ SPACE(3) + '<LPU_ADDR_A3>'+ +'</LPU_ADDR_A3>'
				  --+ SPACE(3) + '<LPU_ADDR_A5>' ++ '</LPU_ADDR_A5>'
				 -- + SPACE(2) + '<LPU_ADDR_HOUSE>'+isnull(ltrim(rtrim(HOUSE_MED_DEP)),'') +'</LPU_ADDR_HOUSE>' + CHAR(10)
				 -- + SPACE(2) + '<LPU_ADDR_POST_INDEX>'+ltrim(rtrim(INDEX_MED_DEP)) +'</LPU_ADDR_POST_INDEX>' + CHAR(10)
				  + SPACE(2) + '<LPU_OGRN>'+ltrim(rtrim(OGRN_MED_DEP)) +'</LPU_OGRN>' + CHAR(10)
				  + SPACE(2) + '<BIRTHDAY>'+ convert(varchar(10),[BIRTH_EMPL], 120) +'</BIRTHDAY>' + CHAR(10)
				  + SPACE(2) + '<GENDER>' + convert(varchar(1),[sex]) + '</GENDER>' + CHAR(10)
				  + SPACE(2) + '<REASON1>' + convert(varchar(1),CODE_TYP_ARHE)+'</REASON1>' + CHAR(10)
				  + SPACE(2) + '<REASON2></REASON2>' + CHAR(10)
				  + SPACE(2) + '<REASON3></REASON3>' + CHAR(10)
				  + SPACE(2) + '<PARENT_CODE></PARENT_CODE>' + CHAR(10)
				  + SPACE(2) + '<DATE1></DATE1>' + CHAR(10)
				  + SPACE(2) + '<DATE2></DATE2>' + CHAR(10)    
				  + SPACE(2) + '<VOUCHER_NO></VOUCHER_NO>' + CHAR(10)
				  + SPACE(2) + '<VOUCHER_OGRN></VOUCHER_OGRN>' + CHAR(10)    

				  + SPACE(2) + '<SERV1_AGE>'+ case when BIRTHDATE is not null then 
												convert(varchar(3),((datediff(year, BIRTHDATE,[DATE] )*12 ) - (month(BIRTHDATE) -  month([DATE])))/12) 
											  else '' end	
							 +' </SERV1_AGE>' + CHAR(13) + CHAR(10)  /*convert(varchar(3),((convert(numeric(5,0),datediff(year, BIRTHDATE,[DATE] ))*12 - (month(BIRTHDATE) -  month([DATE])))/12))*/
				  + SPACE(2) + '<SERV1_MM>'+ case when BIRTHDATE is not null then 
											 convert(varchar(3),(case when (month([DATE]) - month(BIRTHDATE))  < 0 then  12 - ABS(month([DATE]) - month(BIRTHDATE))  else  (month([DATE]) - month(BIRTHDATE)) end))
											 else '' end
							 +' </SERV1_MM>' + CHAR(10)
				  + SPACE(2) + '<SERV1_RELATION_CODE>'+ case when ltrim(rtrim(FAMILY_NAME)) = ''  
															 then (case when [sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 	   
															 when ltrim(rtrim(FAMILY_NAME)) = '' 
															 then (case when [sex] = 1 
																	   then '39'
																	   else '38'
																  end)	 			   
															 when ltrim(rtrim(FAMILY_NAME)) = '' or ltrim(rtrim(FAMILY_NAME)) = '' 
															 then '40'
															 else '41'
															 end	 		
							 +'</SERV1_RELATION_CODE>' + CHAR(10)
				  + SPACE(2) + '<SERV1_FIO>'+ ltrim(rtrim(PERS_KID)) +'</SERV1_FIO>' + CHAR(10)
				  + SPACE(2) + '<SERV2_DAYS></SERV2_DAYS>' + CHAR(10)
				  + SPACE(2) + '<PREGN12W_FLAG></PREGN12W_FLAG>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT1></HOSPITAL_DT1>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_DT2></HOSPITAL_DT2>' + CHAR(10)	
				  + SPACE(2) + '<HOSPITAL_BREACH_CODE></HOSPITAL_BREACH_CODE>' + CHAR(10)
				  + SPACE(2) + '<HOSPITAL_BREACH_DT></HOSPITAL_BREACH_DT>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT1></MSE_DT1>' + CHAR(10)
				  + SPACE(2) + '<MSE_DT2></MSE_DT2>' + CHAR(10)	
				  + SPACE(2) + '<MSE_DT3></MSE_DT3>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_GROUP></MSE_INVALID_GROUP>' + CHAR(10)
				  + SPACE(2) + '<MSE_INVALID_DAYS></MSE_INVALID_DAYS>' + CHAR(10)
				  + SPACE(2) + '<MSE_RESULT></MSE_RESULT>' + CHAR(10)	
				  
				  + SPACE(2) + '<TREAT1_DT1>'+ convert(varchar(10),DATE1, 120) +'</TREAT1_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DT2>'+ convert(varchar(10),DATE2, 120) +'</TREAT1_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR_ROLE></TREAT1_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR></TREAT1_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC_ID></TREAT1_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOCTOR2_ROLE></TREAT1_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_CHAIRMAN_VK></TREAT1_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT1_DOC2_ID></TREAT1_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT1></TREAT2_DT1>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DT2></TREAT2_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR_ROLE></TREAT2_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR></TREAT2_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC_ID></TREAT2_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOCTOR2_ROLE></TREAT2_DOCTOR2_ROLE>' + CHAR(10)					  				  
				  + SPACE(2) + '<TREAT2_CHAIRMAN_VK></TREAT2_CHAIRMAN_VK>' + CHAR(10)
				  + SPACE(2) + '<TREAT2_DOC2_ID></TREAT2_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DT1></TREAT3_DT1>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DT2></TREAT3_DT2>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR_ROLE></TREAT3_DOCTOR_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR></TREAT3_DOCTOR>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOC_ID></TREAT3_DOC_ID>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_DOCTOR2_ROLE></TREAT3_DOCTOR2_ROLE>' + CHAR(10)
				  + SPACE(2) + '<TREAT3_CHAIRMAN_VK></TREAT3_CHAIRMAN_VK>' + CHAR(10)		
				  + SPACE(2) + '<TREAT3_DOC2_ID></TREAT3_DOC2_ID>' + CHAR(10)
				  + SPACE(2) + '<OTHER_STATE_DT></OTHER_STATE_DT>' + CHAR(10)
				  + SPACE(2) + '<RETURN_DATE_LPU></RETURN_DATE_LPU>' + CHAR(10)
				  + SPACE(2) + '<NEXT_LN_CODE></NEXT_LN_CODE>' + CHAR(10)
				  + SPACE(2) + '<CALC_METHOD>1</CALC_METHOD>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION1></CALC_CONDITION1>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION2></CALC_CONDITION2>' + CHAR(10)
				  + SPACE(2) + '<CALC_CONDITION3></CALC_CONDITION3>' + CHAR(10)
				  + SPACE(2) + '<FORM1_DT></FORM1_DT>' + CHAR(10)

				  + SPACE(2) + '<RETURN_DATE_EMPL>'+ convert(varchar(10),DATE2+1,120)+'</RETURN_DATE_EMPL>' + CHAR(10)
				  + SPACE(2) + '<DT1>'+ convert(varchar(10),DATE1,120)+'</DT1>' + CHAR(10)
				  + SPACE(2) + '<DT2>'+ convert(varchar(10),DATE2,120) +'</DT2>' + CHAR(10)
				  + SPACE(2) + '<CALC_DAYS>'+ convert(varchar(3),[DAYS])+'</CALC_DAYS>' + CHAR(10)
				  + SPACE(2) + '<DT2_FACT></DT2_FACT>' + CHAR(10)
				  --+ SPACE(2) + '<CALC_PERIOD></CALC_PERIOD>' + CHAR(10)				  
		  
				  + SPACE(2) + '<EMPL_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R],0),18,2))) +'</EMPL_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<FSS_PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([FSS_SUM_R],0),18,2))) +'</FSS_PAYMENT>' + CHAR(10)
				  + SPACE(2) + '<PAYMENT>'+ RTRIM(LTRIM(STR(COALESCE([RAB_SUM_R] + [FSS_SUM_R],0),18,2))) +'</PAYMENT>' + CHAR(10)
  
  				 -- + SPACE(2) + '<CERT_TYPE></CERT_TYPE>' + CHAR(10)
				  + SPACE(2) + '<CERT_NO></CERT_NO>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT></CERT_DT>' + CHAR(10)
				  + SPACE(2) + '<CERT_BR></CERT_BR>' + CHAR(10)
				  + SPACE(2) + '<CERT_DT_DATE></CERT_DT_DATE>' + CHAR(10)
				  + SPACE(2) + '<CERT_SURNAME></CERT_SURNAME>' + CHAR(10)
				  + SPACE(2) + '<CERT_NAME></CERT_NAME>' + CHAR(10)		
				  + SPACE(2) + '<CERT_PATRONIMIC></CERT_PATRONIMIC>' + CHAR(10)
				  + SPACE(2) + '<REF_24_NO></REF_24_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_24_DT></REF_24_DT>' + CHAR(10)
				  + SPACE(2) + '<CHILD_SER></CHILD_SER>' + CHAR(10)
				  + SPACE(2) + '<MH_OUT></MH_OUT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_ORD_NO></HOLID_ORD_NO>' + CHAR(10)		
				  + SPACE(2) + '<HOLID_ORD_DT></HOLID_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_ST></HOLID_DT_ST>' + CHAR(10)
				  + SPACE(2) + '<HOLID_DT_FN></HOLID_DT_FN>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_NO></HOLID_CH_ORD_NO>' + CHAR(10)
				  + SPACE(2) + '<HOLID_CH_ORD_DT></HOLID_CH_ORD_DT>' + CHAR(10)
				  + SPACE(2) + '<WARD_FLAG></WARD_FLAG>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_NO></WARD_REF_NO>' + CHAR(10)
				  + SPACE(2) + '<WARD_REF_DT></WARD_REF_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_FAMILY_NO></REF_FAMILY_NO>' + CHAR(10)
	  			  + SPACE(2) + '<REF_FAMILY_DT></REF_FAMILY_DT>' + CHAR(10)		
				  + SPACE(2) + '<OTHER_CHILD_FLAG_DT></OTHER_CHILD_FLAG_DT>' + CHAR(10)
				  + SPACE(2) + '<OTHER_CHILD_FLAG_BR></OTHER_CHILD_FLAG_BR>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_NO></REF_NPAY_FATHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_FATHER_DT></REF_NPAY_FATHER_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_NO></REF_NPAY_MOTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_MOTHER_DT></REF_NPAY_MOTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_NO></REF_NPAY_OTHER_NO>' + CHAR(10)
				  + SPACE(2) + '<REF_NPAY_OTHER_DT></REF_NPAY_OTHER_DT>' + CHAR(10)
				  + SPACE(2) + '<PERIODS>' 
				 FROM
					#DOC_REESTR_FSS_TABLE1
				 WHERE 
					ROW = @ROW 
				
				---
				--  
				---

				SET @Cur2 = CURSOR FORWARD_ONLY
				FOR select ORDERS from #DOC_REESTR_FSS_TABLE2 WHERE id = @ROW
				
				OPEN @Cur2
				FETCH NEXT FROM @Cur2 INTO @ID

				WHILE (@@fetch_status <> -1)
				BEGIN
					IF (@@fetch_status <> -2)
					BEGIN
						INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
							SELECT @FNAME, 
								SPACE(3) + '<PERIOD>'	
										+ SPACE(4) + '<START_DATE>'+convert(varchar(10),DATE1,120)+'</START_DATE>'
										+ SPACE(4) + '<END_DATE>'+convert(varchar(10),DATE2,120)+'</END_DATE>'
										+ SPACE(4) + '<IDLE_AVERAGE>'+ RTRIM(LTRIM(STR(COALESCE(summa,0),18,2)))+'</IDLE_AVERAGE>'
								+ SPACE(3) + '</PERIOD>'

							 FROM
								#DOC_REESTR_FSS_TABLE2
							WHERE 
								ID = @ID 

					END


					FETCH NEXT FROM @Cur2 INTO @ID
				END

			CLOSE @Cur2
			DEALLOCATE @Cur2

			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
						SPACE(2) + '</PERIODS>'
			INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
			SELECT @FNAME,	
				 + SPACE(1) + '</ROW>'
		END

		FETCH NEXT FROM @Cur1 INTO @ROW	

	END
	
	INSERT INTO #OUTPUT (F_NAME, OUT_TEXT)
	SELECT @FNAME, SPACE(0) + '</ROWSET>'

	CLOSE @Cur1
	DEALLOCATE @Cur1


	select * from #OUTPUT  order by [ID]	
		

END 



GO


GRANT EXECUTE ON dbo.[SD_REESTR_FSS_PREPARE_DATA] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SALARY_DELETE_SDOC]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SALARY_DELETE_SDOC]

GO
CREATE     PROCEDURE dbo.SALARY_DELETE_SDOC

	@varKSintLINK	int
AS
DECLARE @varKStrancount	int, @varKSObjectLink	int, @varKSEventText varchar(254), @MSG VARCHAR(254)
DECLARE @CODE_SOBJ VARCHAR(30)

IF (SELECT FLAG_JC FROM SDOC WHERE LINK = @varKSintLINK) = 1
	RETURN 30

SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN
	
	SELECT @varKSEventText =(select rtrim(name) from s_objects where link =S1.object)+
		'  ' + RTRIM(LTRIM(s1.NUMBER)) + '  ' + CONVERT(VARCHAR(10),S1.DATE,104),
		@varKSObjectLink =  S1.OBJECT
	FROM SDOC S1 WITH (UPDLOCK) WHERE S1.LINK = @varKSintLINK

	SET @CODE_SOBJ = (SELECT TOP 1 RTRIM(CODE) FROM dbo.S_OBJECTS WHERE LINK = @varKSObjectLink)	

	IF @@RowCount = 0 OR @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
	IF @CODE_SOBJ = 'DOCUMENTS_KADR_WRIT'
	BEGIN 	
		IF EXISTS (SELECT * FROM dbo.OSNOV WHERE LINK_SDOC = @varKSintLINK )
		BEGIN
			raiserror('  , ..      .',11,1)
			ROLLBACK
			RETURN 7	
		END
	END

	/*  */
	declare @varKSparREF_EMPL int, @varKSparDate1 datetime, @varKSparDate2 datetime

	IF @CODE_SOBJ = 'ORDER_DISABILITY_SHEET'
		SELECT @varKSparREF_EMPL = REF_EMPL, @varKSparDate1 = DATE1, @varKSparDate2 = DATE2 FROM dbo.DIS where link = @varKSintLINK

	IF @CODE_SOBJ = 'DOCUMENTS_ADD_TABEL'
		/*     ,       */
		UPDATE dbo.SDOC 
		SET FLAG_JC = 0
		WHERE 
			[OBJECT] = (SELECT TOP 1 LINK FROM S_OBJECTS WHERE CODE = 'SA_TABELS')
			AND LINK IN (
				SELECT REF_DOC FROM dbo.SDOC_TABEL 
				WHERE 
					REF_DOC IN (SELECT REF_DOC FROM dbo.SDOC_TABEL WHERE LINK_UP = @varKSintLINK)
				GROUP BY REF_DOC
				HAVING COUNT(*) = 1
			)
	IF @CODE_SOBJ = 'DOCUMENTS_INCOME_TAX'
		/*    ,         ( )*/
		UPDATE dbo.SDOC_VEDOM
		SET LINK_NDFL = NULL
		WHERE LINK_NDFL = @varKSintLINK
	
	/**/
	DELETE FROM SDOC WHERE LINK = @varKSintLINK
	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	
	/* */
	IF @CODE_SOBJ = 'ORDER_DISABILITY_SHEET'
	BEGIN
		SET @MSG = LEFT(' ' + @varKSEventText, 254)
		exec dbo.SA_SET_DAYS_IN_TABELS @varKSparREF_EMPL, @varKSparDate1, @varKSparDate2, @MSG
	END

	IF @@ERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END

IF @@TRANCOUNT > @varKStrancount
	BEGIN
		SELECT @varKSObjectLink = object FROM SDOC WHERE link = @varKSintLINK
		EXECUTE WF_GENERATEEVENT ' ', @varKSEventText, @varKSObjectLink, 'SDOC',@varKSintLINK
		COMMIT TRAN
	END
RETURN 0







GO


GRANT EXECUTE ON dbo.[SALARY_DELETE_SDOC] TO PUBLIC

GO


-- --


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_SMETA_SMART_CHK_BASE]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_SMETA_SMART_CHK_BASE]

GO
CREATE PROCEDURE dbo.SYNCH_SMETA_SMART_CHK_BASE(@BASE VARCHAR(254) OUTPUT, @ERR_MSG  VARCHAR(254) OUTPUT) 
AS

DECLARE @SQL NVARCHAR(4000)
DECLARE @SAL_OPT_SERVER_NAME VARCHAR(254)

SET @SAL_OPT_SERVER_NAME = 
(
SELECT TOP 1 VALUE 
FROM dbo.S_OPTIONS 
WHERE 
	[OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME')
	AND SID IS NULL 
)	

IF LTRIM(RTRIM(ISNULL(@SAL_OPT_SERVER_NAME,''))) = ''
BEGIN
	SET @ERR_MSG = '     SQL-.'
	RETURN 3
END

DECLARE @SAL_OPT_BASE_NAME VARCHAR(254)

SET @SAL_OPT_BASE_NAME = 
(
SELECT TOP 1 VALUE 
FROM dbo.S_OPTIONS 
WHERE 
	[OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME')
	AND SID IS NULL 
)

IF LTRIM(RTRIM(ISNULL(@SAL_OPT_BASE_NAME,''))) = ''
BEGIN
	SET @ERR_MSG = '        -.'
	RETURN 3
END
--------------------

SET @SAL_OPT_SERVER_NAME = REPLACE(@SAL_OPT_SERVER_NAME,'[','')
SET @SAL_OPT_SERVER_NAME = QUOTENAME(REPLACE(@SAL_OPT_SERVER_NAME,']',''))

SET @SAL_OPT_BASE_NAME = REPLACE(@SAL_OPT_BASE_NAME,']','')
SET @SAL_OPT_BASE_NAME = QUOTENAME(REPLACE(@SAL_OPT_BASE_NAME,']',''))

IF QUOTENAME(CONVERT(VARCHAR(254),serverproperty('servername'))) <> @SAL_OPT_SERVER_NAME
	SET @SAL_OPT_SERVER_NAME = @SAL_OPT_SERVER_NAME + '.' + @SAL_OPT_BASE_NAME + '.'
ELSE
BEGIN

	DECLARE @MY_DB SYSNAME
	SET @MY_DB = DB_NAME()
	
	DECLARE @MY_USER SYSNAME
	SET @MY_USER = SUSER_SNAME()

     BEGIN TRY
         SET @SQL = 'USE ' + @SAL_OPT_BASE_NAME
         EXECUTE(@SQL)
      END TRY
      BEGIN CATCH
      
		SET @ERR_MSG = ' ' + @MY_USER + '      ' +  @SAL_OPT_BASE_NAME
		RETURN 3
			
      END CATCH

	SET @SAL_OPT_SERVER_NAME = @SAL_OPT_BASE_NAME + '.'	
	
END

SET @BASE = @SAL_OPT_SERVER_NAME

RETURN 0

GO


GRANT EXECUTE ON dbo.[SYNCH_SMETA_SMART_CHK_BASE] TO PUBLIC

GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SD_U_NDFL_FILL]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SD_U_NDFL_FILL]

GO

CREATE PROCEDURE [dbo].[SD_U_NDFL_FILL]
	@varKSlinkEmpl	 int,  
	@varKSRef_Pay  int, 	 
	@varKSDate datetime, 	 
	@varKSLinkVKR int,
	@varKSLinkEKR int,	
	@varKSfl int = 0

AS 
SET NOCOUNT ON
DECLARE @varKSMonth int, 
	  @varKSYear int, 
	  @varKSLINK_FACE int, 
	  @varKSPred_Mesto_Rab numeric(15,2), 
	  @varKSFlagD int,
	  @Status int	-->>NEW

IF @varKSfl>0
	SET @varKSfl = 1

DECLARE @NDFL_OPT8 TINYINT --   
SET @NDFL_OPT8 = dbo.sa_get_option_by_code('NDFL_OPT8')

SET @varKSMonth= month(@varKSDate)
SET @varKSYear = year(@varKSDate)

declare @DEP_LINK int
SELECT @DEP_LINK = DEP_LINK, @varKSLINK_FACE = PERS_LINK FROM DBO.EMPL WHERE LINK = @varKSlinkEmpl

DECLARE @Link211EKR int
Set @Link211EKR = ISNULL((SELECT TOP 1 LINK FROM KOSGU WHERE CODE = '211'),0)

if @varKSfl = 1
	Select [] = [NAME] from dbo.DEPARTMENTS where link = @DEP_LINK

Select @Status= [STATUS] from dbo.ITEM_MOVE where ACTIVE = 1 and EMPL_LINK = @varKSlinkEmpl	-->>NEW

SET @varKSFlagD = 0

DECLARE @DIS_DATE DATETIME
SET @DIS_DATE = COALESCE((SELECT TOP 1 IDF.DIS_DATE FROM DBO.ITEM_DIS_FACE IDF with (nolock) WHERE IDF.EMPL_LINK = @varKSlinkEmpl AND IDF.ACTIVE=1),'29990101')

SET @varKSPred_Mesto_Rab = 0
IF YEAR(dbo.kd_DateBeginWork(@varKSlinkEmpl,@varKSDate)) = @varKSYear
BEGIN

	SET @varKSPred_Mesto_Rab =(SELECT ISNULL(SUM(SUMMA_TYP_INCOMS),0) FROM dbo.SD_EMPL_PREV_DOHOD WHERE LINK_EMPL = @varKSlinkEmpl)
			- (SELECT ISNULL(SUM(SUMMA_DED),0) FROM dbo.SD_EMPL_PREV_DED WHERE LINK_EMPL = @varKSlinkEmpl and 
					LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )
	IF @varKSPred_Mesto_Rab IS null or @varKSPred_Mesto_Rab < 0
		SET @varKSPred_Mesto_Rab = 0
	SET @varKSFlagD = 1
END


IF @varKSfl = 1 
	SELECT Case @Status when 1 then ' ' when 2 then ' ' else ' ' end + 
	': '+rtrim(TAB)+ ' ' +rtrim(dbo.sd_GetEmplName(LINK))+  ',  ' + rtrim(convert(varchar(100),@varKSMonth))+ 
			 ',  ' +rtrim( convert(varchar(100),@varKSYear )) as ' '  FROM dbo.EMPL WHERE LINK = @varKSlinkEmpl   
IF  @varKSfl = 1 
	SELECT ' : '+ rtrim(isnull(convert(varchar(100),(select sum(summa_TYP_INCOMS) from dbo.SD_EMPL_PREV_DOHOD where link_empl =@varKSlinkEmpl)),'0')) + ' ,  : '+
	 rtrim( isnull( convert(varchar(100),(select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED NOT IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )),'0'))
	+ ' ,  : '+
	 rtrim( isnull( convert(varchar(100),(select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where link_empl =@varKSlinkEmpl and LINK_DED IN (SELECT distinct REF_DEDUCT FROM DICTIONARY_TYP_INCOMS where REF_DEDUCT is not null) )),'0'))  as '    '


/**/
Declare @isPrevPreiod tinyint
--        ,     .                   
Set @isPrevPreiod = dbo.sa_get_option_by_code('NDFL_OPT6')
Set @isPrevPreiod = 1 - ISNULL(@isPrevPreiod,0)

Declare @SJC table (link_empl int, link_pays int, link_vkr int, link_ekr int, typ_per tinyint, typ_oper tinyint, summa numeric(18,2), period_begin datetime, date1 datetime)

Insert into @SJC (link_empl, link_pays, link_vkr, link_ekr, typ_per, typ_oper, summa, period_begin, date1)
Select 
	JC.LINK_EMPL, P.LINK, link_vkr, S.LINK, P.TYP_PER, P.[OBJECT], summa, 
	period_begin = (case when @isPrevPreiod = 0 then JC.period_begin 
			else (Case 
					when JC.DATE_BEGIN < JC.period_begin and year(JC.DATE_BEGIN) = year(JC.period_begin) and d.code <> 'DOCUMENTS_ADD_PREMIUM' and d.code <> 'DOCUMENTS_ADD_PERCENT'
					then JC.DATE_BEGIN else JC.period_begin 
				end) 
			end),
	JC.DATE_BEGIN
from 
	dbo.CALCULATE_JURNAL JC 
	INNER JOIN dbo.EMPL E ON JC.LINK_EMPL = E.LINK
	INNER JOIN dbo.PAYS P ON JC.LINK_PAYS = P.LINK
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = 'R211') R211
	CROSS APPLY (SELECT LINK FROM dbo.KOSGU T WHERE T.CODE = '211') T211
	INNER JOIN dbo.KOSGU S ON S.LINK = (CASE WHEN R211.LINK = ISNULL(JC.LINK_EKR,P.LINK_EKR) THEN T211.LINK ELSE ISNULL(JC.LINK_EKR,P.LINK_EKR) END)	
	LEFT JOIN (Select d.link, o.code from sdoc d inner join dbo.s_objects o on d.object = o.link) d on jc.LINK_DOC = d.link
where
	P.OBJECT = 1
	AND
	P.LINK in (Select TAX_LINK from dbo.group_tax(@varKSRef_Pay)) 
	AND (
			@isPrevPreiod = 0 and @varKSMonth >= month(JC.PERIOD_BEGIN) and @varKSYear = year(JC.PERIOD_BEGIN)
		or 
			@isPrevPreiod = 1 
			and (@varKSMonth >= month(JC.DATE_BEGIN) or @varKSMonth >= month(JC.PERIOD_BEGIN) )
			and (@varKSYear = year(JC.DATE_BEGIN) or @varKSYear = year(JC.PERIOD_BEGIN) )
		)
	AND  
		(	-->>NEW
		@Status <> 1 AND JC.LINK_EMPL = @varKSlinkEmpl /*   ,      */
		or
		@Status = 1 AND E.PERS_LINK = @varKSLINK_FACE /*  ,      */
		)	
	AND JC.LINK_DEP = @DEP_LINK 
	

DECLARE @Val TABLE 
([MONTH] 		[int],
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2)
 --[SUMMA_M_VKR1]		[numeric](19, 2)
)

INSERT INTO @Val([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR])--,[SUMMA_M_VKR1])
SELECT T.NUM AS [MONTH],  
		[SUMMA] = SUM(SJ.SUMMA), 
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR   AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_211] = SUM(CASE WHEN Month(sj.period_begin) = T.NUM AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @Link211EKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M_VKR] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
--		[SUMMA_M_VKR1] = SUM(CASE WHEN Month(sj.period_begin) =T.NUM AND SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 AND T.NUM <= @varKSMonth
		AND T.NUM >= Month(sj.period_begin)
		AND  @varKSYear = Year(sj.period_begin)
GROUP BY  T.NUM

if @varKSfl = 1 
	select [month] as [], [summa] as [     ],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val

/*  */
DECLARE @Val2 TABLE 
([MONTH] 		[int],
 [SUMMA] 		[numeric](19, 2),
 [EMPL_SUMMA] 		[numeric](19, 2),
 [SUMMA_VKR]		[numeric](19, 2),
 [EMPL_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]		[numeric](19, 2))


INSERT INTO @Val2([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
SELECT T.NUM AS [MONTH],
		[SUMMA] = SUM(SJ.SUMMA),
		[EMPL_SUMMA] = SUM(CASE WHEN SJ.LINK_EMPL = @varKSlinkEmpl THEN SJ.SUMMA ELSE 0 END),
		[SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END),
		[EMPL_SUMMA_VKR] = SUM(CASE WHEN SJ.LINK_VKR = @varKSLinkVKR AND (SJ.LINK_EMPL = @varKSlinkEmpl) AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END), 
		[SUMMA_M] = SUM(CASE WHEN (CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num AND SJ.LINK_EMPL = @varKSlinkEmpl then sj.summa else 0 end),
		[SUMMA_M_VKR] = SUM(CASE WHEN ((CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(sj.DATE1) END)=T.num)
							AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EMPL = @varKSlinkEmpl AND SJ.LINK_EKR = @varKSLinkEKR THEN SJ.SUMMA ELSE 0 END)
FROM dbo.MONTHS T, @SJC SJ
WHERE SJ.TYP_OPER = 1 
		AND T.NUM <= @varKSMonth AND
		T.NUM >=(CASE WHEN SJ.TYP_PER=1 THEN Month(sj.period_begin) ELSE MONTH(SJ.DATE1) END)
		AND @varKSYear =(case WHEN SJ.TYP_PER=1 THEN Year(sj.period_begin) ELSE YEAR(sj.DATE1) END)
GROUP BY  T.NUM

insert into @Val2 ([MONTH],[SUMMA],[EMPL_SUMMA], [SUMMA_VKR], [EMPL_SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR])
select T.NUM, 0, 0, 0, 0, 0, 0  from dbo.MONTHS T where T.NUM < (Select min([month]) from @Val2)

if @varKSfl = 1 
	select [month] as [], [summa] as [    ], @varKSPred_Mesto_Rab as [     ], summa_vkr as [       ], summa_m as [   ], 
	summa_m_vkr as [     ]  from @Val2 order by [month]

/*  */
if @varKSfl=1 
   select code as [ ], LEFT(name,50) as [ ], SUMMA as [] from dbo.Salary_deductions(@varKSDate) WHERE TYPE = 5

/*
    ,          
   ,  
*/

/*   .*/
DECLARE @varKSTemp1 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2),
 [PREDEL]		[numeric](19, 2))

-- 
INSERT INTO @varKSTemp1 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL])
SELECT m.num,T1.REF_PAY,
	/*      .*/
	[mp] = SUM(case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end), 
	/*      .*/
	[mp_m] = sum(case when Month(sj.period_begin)=m.num then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	/*      .     */
	[mp_m_vkr] = sum(case when Month(sj.period_begin) = m.num AND sj.link_vkr = @varKSLinkVKR AND SJ.LINK_EKR = @varKSLinkEKR then (case when Month(sj.period_begin)<=m.num then SJ.summa else 0 end) else 0 end),
	[PREDEL] = T1.SUMMA -(case when @varKSFlagD = 1 then isnull((select sum(summa_ded) from dbo.SD_EMPL_PREV_DED where LINK_DED = T1.REF_PAY and  link_empl=@varKSlinkEmpl),0)  else 0 end) 
FROM 
	dbo.MONTHS M, @SJC SJ, dbo.Salary_deductions(@varKSDate) T1
WHERE  
	Year(sj.period_begin) = @varKSYear and m.num <= @varKSMonth AND T1.TYPE = 6 --  "   "
	AND T1.REF_PAY = (select ref_deduct  from dbo.DICTIONARY_TYP_INCOMS where link = (select LINK_INC from dbo.PAYS where LINK = SJ.LINK_PAYS)) 
	AND @Status in (1 /**/, 3 /* */) AND SJ.LINK_EMPL = @varKSlinkEmpl
	AND T1.SUMMA > 0 
GROUP BY m.num, T1.REF_PAY, T1.SUMMA

IF @varKSfl=1 
	select [num] as [], [] = (select CODE from diction where link = ref_pay), [mp] as [    ], mp_m as [   ], 
	mp_m_vkr as [     ], predel as []  from @varKSTemp1

DECLARE @varKSTemp2 TABLE 
([NUM] 			[int],
 [REF_PAY]		[int],	
 [MP]		 	[numeric](19, 2),
 [MP_M]			[numeric](19, 2),
 [MP_M_VKR]		[numeric](19, 2), [PREDEL]		[numeric](19, 2),
 [SALDO]		[numeric](19, 2),
 [KOEF] 		[numeric](19, 10))

--
INSERT INTO @varKSTemp2 ([NUM],[REF_PAY],[MP],[MP_M],[MP_M_VKR],[PREDEL],[SALDO],[KOEF])
SELECT 
	T1.NUM,T1.REF_PAY,T1.MP,T1.MP_M,T1.MP_M_VKR,T1.PREDEL, 
	[SALDO] = (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL((select sum(mp_m) from @varKSTemp1 T2 where T2.num < T1.num and T2.REF_PAY = T1.REF_PAY),0),
	[KOEF] =  (CASE WHEN MP_M = 0 THEN 0 ELSE MP_M_VKR/MP_M END)
FROM @varKSTemp1 T1

--  
DECLARE @varKSTemp3 TABLE 
(
	[NUM] 			[int],
	[REF_PAY]		[int],	
	[MP_M]			[numeric](19, 2),
	[MP_M_VKR]		[numeric](19, 2),
	[KOEF] 		[numeric](19, 10),
	[DED]			[numeric](19, 2)
)
INSERT INTO @varKSTemp3 ([NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF],[DED])
SELECT [NUM],[REF_PAY],[MP_M],[MP_M_VKR],[KOEF], 
	   [DED] = 	case when SALDO < 0 then 
				- case when (CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) > 0	then
					(CASE WHEN PREDEL < 0 THEN 0 ELSE PREDEL END) - ISNULL(MP,0) 
					else 0
				end
			else
				(CASE WHEN MP_M > SALDO THEN SALDO ELSE MP_M END)
			end
FROM @varKSTemp2 

/*  :       ,        .
           2*/
DELETE
FROM 
	dbo.SAL_DED_MONTH
WHERE
	YEAR(dbo.SAL_DED_MONTH.DATE_DED) = YEAR(@varKSDate)
	and
	not exists (
		SELECT j.LINK 
		FROM dbo.calculate_jurnal j
		WHERE 
			YEAR(j.PERIOD_BEGIN) = YEAR(@varKSDate)
			and j.link_empl = dbo.SAL_DED_MONTH.link_empl 
			and j.LINK_VKR = dbo.SAL_DED_MONTH.LINK_VKR
			and j.LINK_EKR = dbo.SAL_DED_MONTH.LINK_EKR
			AND EXISTS (SELECT LINK_PAYS FROM dbo.PAYS P 
						INNER JOIN dbo.TAX_REF R ON R.LINK_TAX = P.LINK 
						WHERE P.OBJECT = 2 AND P.WAY_CALC = 4 AND R.LINK_PAYS = j.link_pays)
	)

/*      ,     */
DELETE FROM dbo.SAL_DED_MONTH
WHERE 
	LINK_EMPL = @varKSlinkEmpl 
	AND LINK_VKR = @varKSLinkVKR 
	AND ISNULL(LINK_EKR,@varKSLinkEKR) = @varKSLinkEKR 
	AND YEAR(DATE_DED) = YEAR(@varKSDate) 
	AND MONTH(DATE_DED) <= MONTH(@varKSDate) 

/*   */
INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE)
SELECT [LINK_EMPL] = @varKSlinkEmpl,
		 [REF_DED]   = T.REF_PAY,
		 [SUMMA] 	 = ISNULL(T.DED,0) * ISNULL(T.KOEF,1),
		 [DATE_DED]  = dbo.ConvertDMY2Date(1,t.num,year(@varKSDate)),
		 [LINK_VKR]	 = @varKSLinkVKR,
		 [LINK_EKR]	 = @varKSLinkEKR,
		 [TYPE] = 2
FROM @varKSTemp3 T WHERE T.MP_M_VKR <> 0 AND T.DED <> 0 

/*  */

DECLARE @TotTab TABLE
([MONTH] 		[int],
 [EMPL_SUMMA]		[numeric](19, 2), --
 [EMPL_SUMMA_VKR]	[numeric](19, 2), --
 [SUMMA_VKR]		[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_211]  [numeric](19, 2), --        211 
 [SUMMA_M_VKR]		[numeric](19, 2), --  , 
 [DED_M_ALL] 		[numeric](19, 2),
 --[DED_M_ALL_211] 	[numeric](19, 2), --        211 
 [DED]			[numeric](19, 2),
 [DED_M]		[numeric](19, 2),
 [DED0]			[numeric](19, 2)
 ) 

/*          */
INSERT INTO @TotTab([MONTH], [EMPL_SUMMA], [EMPL_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_211],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],DED0)
SELECT 	
		M.[NUM], 
		ISNULL(T1.EMPL_SUMMA,0), 
		ISNULL(T1.[EMPL_SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_VKR],0), 
		ISNULL(T1.[SUMMA_M],0),
		ISNULL(T1.[SUMMA_M_211],0),	 
		ISNULL(T1.[SUMMA_M_VKR],0),
	 	[DED_M_ALL] = ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM=M.[NUM]),0),
		[DED] 		= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0),
		[DED_M] 	= ISNULL((SELECT SUM(T2.DED * T2.KOEF) FROM @varKSTemp3 T2 WHERE T2.NUM = M.[NUM]),0),
		[DED0] 		= ISNULL((SELECT SUM(T2.DED) FROM @varKSTemp3 T2 WHERE T2.NUM <= M.[NUM]),0)
FROM  dbo.months M LEFT JOIN @Val T1 on M.num = T1.[MONTH] 
WHERE M.NUM <= @varKSMonth
GROUP BY M.[NUM], T1.[EMPL_SUMMA], T1.[EMPL_SUMMA_VKR], T1.SUMMA_VKR, T1.SUMMA_M_VKR, T1.SUMMA_M, T1.SUMMA_M_211

IF @varKSfl=1 
select [month] as [],summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [    ], ded_m_all as [ ], ded as [   ], ded_m as [    ]  from @TotTab

DECLARE @varKSTT TABLE
([REF_PAY] 	[int],
 [PREDEL]	[numeric](19, 2),
 [SUMMA]		[numeric](19, 2),
 [MONTHEND]	[int])

---   :   
INSERT INTO @varKSTT ([REF_PAY],[PREDEL],[SUMMA],[MONTHEND])
SELECT TD.REF_PAY,TD.PREDEL,TD.SUMMA, 
		[MonthEnd] =  (SELECT TOP 1 T1.[MONTH] FROM  @Val2 T1 
 							WHERE (SUMMA+ISNULL(@varKSPred_Mesto_Rab,0) - ISNULL((select sum(ded) from @varKSTemp3 where num<=T1.[MONTH]),0))
							<(CASE WHEN TD.PREDEL = 0 THEN 999999999999 ELSE TD.PREDEL END)
							ORDER BY T1.[MONTH] DESC)
FROM 
	dbo.Salary_deductions(@varKSDate ) as TD where TYPE = 1

DECLARE @varKSTotal TABLE
( link int not null IDENTITY(1,1),
 [REF_PAY] 	[int],
 [MONTH_BEGIN]	[int],
 [MONTH_END]	[int],		
 [SUMMA]	[numeric](19, 2),
[SUMMA_V] numeric(18,2), [SUMMA_D] numeric(18,2), [Ostatok_V] numeric(18,2)--    
)

--  
--',     ,      '
declare @NDFL_OPT5 tinyint
SET @NDFL_OPT5 =  ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT5')),1)

INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
SELECT 		
	[REF_PAY] 		= TT.REF_PAY, 
	[MONTH_BEGIN]	= M.[NUM],--SDE.MONTH_BEGIN,
	[MONTH_END] 	= M.[NUM],--(CASE WHEN TT.MonthEnd> SDE.MONTH_END THEN SDE.MONTH_END ELSE TT.MonthEnd END),
	[SUMMA] 		= TT.SUMMA,
	[SUMMA_V]		= TT.SUMMA,	--    
	[SUMMA_D]		= ISNULL(D.[summa_m],0)	--    
				- ISNULL((select sum(ded) from @varKSTemp3 where num = M.[NUM]),0)
FROM 
	@varKSTT TT
	INNER JOIN (SELECT link_ded, month_begin,month_end FROM DBO.salary_ded_empl(@varKSlinkEmpl,@varKSMonth, @varKSYear)T1 WHERE t1.month_begin<=t1.month_end) SDE
		ON SDE.LINK_DED =TT.REF_PAY
	INNER JOIN dbo.Months M ON TT.MonthEnd >= M.[NUM] AND M.[NUM] between SDE.MONTH_BEGIN and SDE.MONTH_END
	LEFT JOIN @Val2 D ON M.NUM = D.[month] --    
WHERE 
	@Status in (1 /**/, 3 /* */)	-->>NEW
	AND 
		(@NDFL_OPT5 = 1 or @NDFL_OPT5 = 2 and D.SUMMA_M <> 0 or @NDFL_OPT5 = 3 and D.SUMMA_M > 0)
	AND -- ,           .
		(D.SUMMA_M <> 0 OR dbo.DateEndOfMonth(@DIS_DATE) >= dbo.DateEndOfMonth( dbo.ConvertDMY2Date(1,M.[NUM],@varKSYear)))
ORDER BY
	M.NUM

---     
INSERT INTO @varKSTotal ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA],[SUMMA_V],[SUMMA_D])
select 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN), MONTH(cj.PERIOD_BEGIN), SUM(SUMMA),SUM(SUMMA), (SELECT MAX(A.SUMMA_D) FROM @varKSTotal A WHERE A.MONTH_BEGIN = MONTH(cj.PERIOD_BEGIN))
from 
	dbo.EMPL E inner join dbo.calculate_jurnal cj on e.link = cj.link_empl
	inner join dbo.TAX2_APP TA on TA.LINK_UP = CJ.LINK_PAYS
where 
	year(period_begin) = @varKSYear
	and
	E.LINK = @varKSlinkEmpl	
	and
	@Status in (1 /**/, 3 /* */) and MONTH(cj.PERIOD_BEGIN) <= Month(@varKSDate) 
	and
	ISNULL(TA.LINK_DED,0) > 0
GROUP BY 
	TA.LINK_DED, MONTH(cj.PERIOD_BEGIN)

/*
    ,     :      
*/
declare @VychOpt1 int --     
declare	@VychOpt2 int  --       (   ,        )

if @NDFL_OPT5 > 1 begin
	Set @VychOpt1 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT1')),0)
	Set @VychOpt2 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT2')),0)
end
else
	Select @VychOpt1 = 0, @VychOpt2 = 0

IF @VychOpt1 = 1 --     
BEGIN

	DECLARE @Cur1 CURSOR, @MES tinyint, @REF_V int, @SUMMA_V numeric(18,2), @SUMMA_D numeric(18,2), @Ostatok_V numeric(18,2), @Ostatok numeric(18,2), @Ostatok_m numeric(18,2), @link int
	Declare @SumVPred numeric(18,2) --      
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR select link, MONTH_BEGIN, REF_PAY, SUMMA_V, SUMMA_D, Ostatok_V from @varKSTotal order by link
	
	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN
			Set @Ostatok = ISNULL((Select Sum(Ostatok_V)  from @varKSTotal 
				where ((@VychOpt2 = 1 and MONTH_BEGIN <= @MES) --         (   )
					or (@VychOpt2 = 0 and MONTH_BEGIN = @MES)) --        
					and link < @link and REF_PAY = @REF_V) ,0)
				
			Set @Ostatok_m = ISNULL((Select Sum(Ostatok_V)  from @varKSTotal where Ostatok_V > 0 and MONTH_BEGIN = @MES and link < @link),0)
			Set @SUMMA_V = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link <= @link),0)
			Set @SumVPred = ISNULL((Select Sum(SUMMA_V)  from @varKSTotal where MONTH_BEGIN = @MES and link < @link),0)
	
			update @varKSTotal
			Set 	SUMMA_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0) 
					then ISNULL(SUMMA_D,0) - @SumVPred
					else (case when @Ostatok_m = 0 then ISNULL(@SUMMA_V,0) + @Ostatok - @SumVPred else 0 end) 
				end),
				Ostatok_V = (case when ISNULL(@SUMMA_V,0) + @Ostatok > ISNULL(SUMMA_D,0)
							then ISNULL(@SUMMA_V,0) - ISNULL(SUMMA_D,0)
							else  - @Ostatok
						end)
			where link = @link

		END
	
		FETCH NEXT FROM @Cur1 INTO @link, @MES, @REF_V, @SUMMA_V, @SUMMA_D, @Ostatok_V
	END
	
	CLOSE @Cur1
	DEALLOCATE @Cur1

	IF @varKSfl=1 
	select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),100) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
		month_begin as [ ], month_end as [ ], summa as [   ], summa_v as [  ], Ostatok_V as [  ] from @varKSTotal order by month_begin,  REF_PAY
	
	update @varKSTotal 
	Set summa = summa_v
END
/**/

/* ^^^^^^   -   ^^^^^^^^*/

declare @VychOpt9 int --       
Set @VychOpt9 = ISNULL((SELECT top 1 CONVERT(INT,VALUE) FROM dbo.S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = 'NDFL_OPT9')),0)

declare @SprOtherDed table(LINK_DICTION int, MONTH1 TINYINT, Summa numeric(18,2))

insert into @SprOtherDed
Select LINK_DICTION, MONTH1, SUM(SUM_DED) 
from 
	EMPL E 
	inner join TAX_DEDUCTIONS TD on E.PERS_LINK = TD.LINK_PERSON AND E.DEP_LINK = TD.LINK_DEP
where 
	E.LINK = @varKSlinkEmpl 
	and [YEAR] = @varKSYear 
	AND @Status in (1 /**/, 3 /* */) 
	and MONTH1 <= Month(@varKSDate) --DATE_REF <= dbo.DateEndOfMonth(@varKSDate)
	AND E.DEP_LINK = @DEP_LINK
Group by 
	LINK_DICTION, MONTH1

IF @varKSfl=1 
	select []= rtrim(SNAME), [ ] = LEFT(rtrim(name),50), [ ] = ISNULL(OD.summa,0) 
	from @SprOtherDed OD inner join dbo.DICTIONARY_TYP_DEDUCTION  D on D.link = OD.LINK_DICTION

declare @TMP Table ([REF_PAY] int, [MONTH_BEGIN] int, [MONTH_END] int, [SUMMA] numeric(18,2))
Insert into @TMP
Select [REF_PAY], M.NUM, M.NUM, SUM([SUMMA]) 
from dbo.Months M, @varKSTotal T1 
 where M.[NUM] between [MONTH_BEGIN] and [MONTH_END] and [REF_PAY] not in (select LINK_DICTION from @SprOtherDed) 
group by [REF_PAY], M.NUM

DECLARE @REF_PAY int, @MONTH_BEGIN int, @SUMMA numeric(18,2), @Saldo numeric(18,2), @STD_VYCH NUMERIC(18,2), @MONTH1 TINYINT

DECLARE @Cur CURSOR
SET @Cur = CURSOR FORWARD_ONLY
FOR 
	Select M.NUM, LINK_DICTION, [SUMMA], MONTH1 = (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) 
	from @SprOtherDed OD, dbo.Months M 
	WHERE M.NUM BETWEEN (CASE WHEN @VychOpt9 = 1 THEN OD.MONTH1 ELSE 1 END) AND @varKSMonth

OPEN @Cur
FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @REF_PAY, @SUMMA, @MONTH1
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		Set @Saldo = ISNULL(@SUMMA,0) - ISNULL((Select Sum(Summa) from @tmp T where T.REF_PAY = @REF_PAY),0)

		SET @STD_VYCH = ISNULL((SELECT SUM(SUMMA) FROM @varKSTotal WHERE [MONTH_BEGIN] < @MONTH1),0)

		INSERT INTO @TMP ([REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
		Select --
			@REF_PAY, @MONTH_BEGIN, @MONTH_BEGIN, 
			(Case When @Saldo > (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
								- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
								- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
				then (ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0) 
						- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH)
						- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0))
			else
				@Saldo
			end)
		from
			@TotTab DS
			LEFT JOIN @TotTab DS2 ON DS2.[Month] = @MONTH1-1 
		where
			DS.[Month] = @MONTH_BEGIN
			and
			(ISNULL(DS.EMPL_SUMMA,0) - ISNULL(DS.DED0,0)
				- (ISNULL(DS2.EMPL_SUMMA,0) - ISNULL(DS2.DED0,0) - @STD_VYCH) 
				- ISNULL((Select SUM(summa) from @TMP where MONTH_BEGIN <=  @MONTH_BEGIN ),0)) > 0
			and 
			@Saldo > 0

	END
	FETCH NEXT FROM @Cur INTO @MONTH_BEGIN, @REF_PAY, @SUMMA, @MONTH1
END

CLOSE @Cur
DEALLOCATE @Cur

INSERT INTO @varKSTotal ( [REF_PAY], [MONTH_BEGIN], [MONTH_END], [SUMMA])
Select * from @TMP where [REF_PAY] in (select LINK_DICTION from @SprOtherDed)

/* vvvvvv   -   vvvvvvv */

IF @varKSfl=1 
select [] = (select  rtrim(sname) + ' ' + LEFT(rtrim(name),50) from dbo.DICTIONARY_TYP_DEDUCTION where link = REF_PAY),
	month_begin as [ ], month_end as [ ], summa as [ ]  from @varKSTotal T1  order by month_begin, REF_PAY

DECLARE @varKSTotal1 TABLE
([KOL]			[int],
 [REF_PAY] 		[int],
 [MONTH_BEGIN]		[int],
 [MONTH_END]		[int],		
 [SUMMA]		[numeric](19, 2))

INSERT INTO @varKSTotal1 ([KOL],[REF_PAY],[MONTH_BEGIN],[MONTH_END],[SUMMA])
SELECT COUNT(*) AS [KOL],REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA
FROM @varKSTotal 
GROUP BY REF_PAY,MONTH_BEGIN,MONTH_END,SUMMA

DECLARE @vych TABLE
([MONTH] 	[int],
 [REF_PAY] 	[int],
 [DEDUCT]	[numeric] (19, 2),
 [COMMENT]  [varchar] (254),
 [KOEF_VKR] [numeric] (18,10),
 [kol] [numeric] (18,2),
 [SPR_SUM]  NUMERIC(18,2)	
)

DECLARE @NDFL_OPT7 int
SET @NDFL_OPT7 = dbo.sa_get_option_by_code('NDFL_OPT7')

DECLARE @Koef table (Mon int, koef NUMERIC(18,10), doh tinyint, koef2 NUMERIC(18,10))
insert into @Koef (Mon, Koef, doh, koef2)
Select 	T2.[Month], 
	CASE WHEN @NDFL_OPT7 = 1 --      211 
	THEN 
		CASE WHEN @varKSLinkEKR = @Link211EKR 
		THEN --  
			CONVERT(NUMERIC(18,10), case when t2.summa_m_211 <> 0 then (v.summa_m_vkr/t2.summa_m_211) else 0 end )
		ELSE 
			0 
		END
	ELSE --    
		CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
	END,
	(Case when t2.summa_m <> 0 then 1 else 0 end),
	CONVERT(NUMERIC(18,10), case when t2.summa_m <> 0 then (t2.summa_m_vkr/t2.summa_m) else 0 end)
from 
	@TotTab T2 
	inner join @Val V on T2.[month] = V.[month]

--   
DECLARE @DICT_TAX_DEDUCTIONS TABLE (LINK INT)
INSERT INTO @DICT_TAX_DEDUCTIONS (LINK)
SELECT LINK FROM dbo.DICTIONARY_TYP_DEDUCTION WHERE NUMBER = 4

/*   .   ,    .  ,    */
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
				case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0) end)
	,[COMMENT] = 
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+ 
				'*'+ rtrim(ltrim(convert(varchar(100), CONVERT(NUMERIC(18,4), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end)) )) +')'
	,[KOEF_VKR] =
				 CONVERT(NUMERIC(18,10), case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef from @Koef K where K.Mon >= T1.MONTH_BEGIN and K.Koef <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef from @Koef K where K.Mon = T1.MONTH_BEGIN and doh <> 0 order by Mon),0) end )
	,T1.KOL,
	T1.KOL*T1.SUMMA
FROM @varKSTotal1 t1 left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	NOT EXISTS (SELECT * FROM @DICT_TAX_DEDUCTIONS IM WHERE IM.LINK = T1.REF_PAY)
ORDER BY 1

/* .   ,           */
IF @NDFL_OPT7 = 1
BEGIN

--SELECT * FROM @Koef
--SELECT * FROM @TotTab
--SELECT * FROM @vych
--select * from @varKSTotal1

	UPDATE K SET K.koef2 = CONVERT(NUMERIC(18,10), case when (T2.summa_m - T2.ded_m_all - Y.SPR_SUM) <> 0 then (T2.summa_m_vkr - (T2.ded_m_all + Y.SPR_SUM)*K.KOEF) /(T2.summa_m - T2.ded_m_all - Y.SPR_SUM) else 0 end )
	FROM 
		@Koef K
		INNER JOIN @TotTab T2 ON K.Mon = T2.[Month]
		INNER JOIN (SELECT [MONTH], SPR_SUM = SUM(ISNULL(KOL * SPR_SUM,0)) FROM @vych GROUP BY [MONTH]) Y ON K.Mon = Y.[MONTH]
END		

IF @varKSfl=1 
	select [] = Mon, [_] = koef, [__] = koef2 from @Koef T1  order by Mon

-- 
INSERT INTO @vych ([MONTH],[REF_PAY],[DEDUCT],[COMMENT],[KOEF_VKR],[KOL], [SPR_SUM])
SELECT [MONTH] = T1.MONTH_BEGIN, T1.REF_PAY,
	[DEDUCT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					>= ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN 
					ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)	
				ELSE 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)						
				END
	
	,[COMMENT] = 
				CASE WHEN 
					CONVERT(NUMERIC(18,10), T1.KOL*T1.SUMMA * 
					case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
					else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end)
					>= ISNULL(D.SUMMA_M_VKR,0) - ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)
				THEN
				'('+RTRIM(LTRIM(STR(T1.KOL)))+'*'+RTRIM(LTRIM(CONVERT(VARCHAR(100),T1.SUMMA)))+ 
				+'*' + convert( varchar(20), CONVERT(NUMERIC(18,4),(
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
						))
					)
				+')'
				ELSE
				'('+convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL(D.SUMMA_M_VKR,0)))
				+'-' + convert( varchar(20), CONVERT(NUMERIC(18,2),ISNULL((SELECT SUM(DEDUCT) FROM @vych WHERE [MONTH] = T1.MONTH_BEGIN),0)))
				+')'
				END
	,[KOEF_VKR] = 
						case when D.summa_m = 0 then ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon >= T1.MONTH_BEGIN and doh <> 0 order by Mon),0)
						else ISNULL((Select top 1 K.Koef2 from @Koef K where K.Mon = T1.MONTH_BEGIN and K.Koef2 <> 0 order by Mon),0) end
	,T1.KOL
	,T1.KOL*T1.SUMMA
FROM
	@DICT_TAX_DEDUCTIONS IM 
	INNER JOIN @varKSTotal1 t1 ON IM.LINK = T1.REF_PAY
	INNER JOIN @Koef K ON K.Mon = T1.MONTH_BEGIN
	left join @TotTab D on T1.MONTH_BEGIN = D.[Month]
WHERE
	T1.SUMMA > 0	
ORDER BY 1

INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
			[REF_DED] 	= T.REF_PAY,
			[SUMMA] 	= T.DEDUCT,
			[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
			[LINK_VKR]	= @varKSLinkVKR,
			[LINK_EKR]	= @varKSLinkEKR,
			[TYPE] 		= 1, 
			[KOEF_VKR],
			[KOL]
FROM @vych T WHERE T.DEDUCT <> 0 

--========================================================================================
--    ,        
SELECT S.REF_DED, MONTH(DATE_DED) AS MN, V.SPR_SUM - SUM(SUMMA) AS SUMMA
INTO #CORRECT
FROM dbo.SAL_DED_MONTH S INNER JOIN @vych V ON V.[MONTH] = MONTH(S.DATE_DED) AND S.REF_DED = V.REF_PAY
WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl
GROUP BY S.REF_DED, MONTH(DATE_DED), V.SPR_SUM
HAVING ABS(V.SPR_SUM - SUM(SUMMA)) BETWEEN 0.01 AND 0.02

IF EXISTS(SELECT * FROM #CORRECT) BEGIN

	UPDATE V
	SET V.DEDUCT = ISNULL(V.DEDUCT,0) + ISNULL(C.SUMMA,0)
	FROM @vych V INNER JOIN #CORRECT C ON V.[MONTH] = C.MN AND C.REF_DED = V.REF_PAY

	DELETE FROM dbo.SAL_DED_MONTH 
	WHERE YEAR(DATE_DED) = year(@varKSDate) AND LINK_EMPL = @varKSlinkEmpl AND [LINK_VKR] = @varKSLinkVKR AND [LINK_EKR] = @varKSLinkEKR
		AND REF_DED IN (SELECT REF_PAY FROM @vych)

	INSERT INTO dbo.SAL_DED_MONTH (LINK_EMPL,REF_DED,SUMMA,DATE_DED,LINK_VKR,LINK_EKR,TYPE, KOEF_VKR, KOL )
	SELECT 	[LINK_EMPL] = @varKSlinkEmpl,
				[REF_DED] 	= T.REF_PAY,
				[SUMMA] 	= T.DEDUCT,
				[DATE_DED] 	= dbo.ConvertDMY2Date(1,t.[month],year(@varKSDate)),
				[LINK_VKR]	= @varKSLinkVKR,
				[LINK_EKR]	= @varKSLinkEKR,
				[TYPE] 		= 1, --convert(NUMERIC(3,0),B.VALUE)
				[KOEF_VKR],
				[KOL]
	FROM @vych T WHERE T.DEDUCT <> 0 

END

----------------------------------------------------------------------------------------
IF @varKSfl=1 
	SELECT 
		[] = MONTH([DATE_DED]), [] = S.CODE, [] = LEFT(S.NAME,50), [] = D.SUMMA, [] = CONVERT(NUMERIC(18,4),D.KOEF_VKR)
	FROM 
		dbo.SAL_DED_MONTH D
		INNER JOIN dbo.[DICTIONARY_TYP_DEDUCTION] S ON S.LINK = D.REF_DED
	WHERE 
		LINK_EMPL = @varKSlinkEmpl
		AND YEAR([DATE_DED]) = @varKSYear
		AND [LINK_VKR]	= @varKSLinkVKR
		AND [LINK_EKR]	= @varKSLinkEKR
	ORDER BY
		MONTH([DATE_DED]), S.CODE	

-----------------------------------------------------------------------------------------
DECLARE @varKSTota TABLE
([MONTH] 		[int],
 [PERS_SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_VKR]	[numeric](19, 2),
 [SUMMA_M]		[numeric](19, 2),
 [SUMMA_M_VKR]	[numeric](19, 2),
 [DED_M_ALL] 	[numeric](19, 2),
 [DED]			[numeric](19, 2),
 [DED_M]			[numeric](19, 2),
 [VYCH]			[numeric](19, 2),
 [VYCH_M]		[numeric](19, 2),
 [DOHOD_ALL]	[numeric](19, 2),
 [VICHET_ALL]	[numeric](19, 2)
 ) 

INSERT INTO @varKSTota([MONTH], [PERS_SUMMA_VKR], [SUMMA_VKR],[SUMMA_M],[SUMMA_M_VKR],[DED_M_ALL],[DED],[DED_M],[VYCH],[VYCH_M],[DOHOD_ALL],[VICHET_ALL])
SELECT T1.[MONTH],T1. [SUMMA_VKR], T1.[EMPL_SUMMA_VKR],T1.[SUMMA_M],T1.[SUMMA_M_VKR],T1.[DED_M_ALL],T1.[DED],T1.[DED_M],
		[VYCH]	=ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0),
		[VYCH_M] =ISNULL((SELECT SUM(V.DEDUCT) FROM @vych v WHERE V.[MONTH] = T1.[MONTH]),0),
		[DOHOD_ALL] = T1.[EMPL_SUMMA],
		[VICHET_ALL] = ISNULL((SELECT SUM(V.SPR_SUM) FROM @vych v WHERE V.[MONTH]<= T1.[MONTH]),0)
FROM @TotTab T1

IF @varKSfl=1 
	select [month] as [],pers_summa_vkr as [      ], summa_vkr as [      ], summa_m as [   ], 
	summa_m_vkr as [     ], ded_m_all as [ ], ded as [   ], ded_m as [    ], 
	vych as [ ], vych_m  as [  ] from @varKSTota

----
declare @varKSSumDed numeric(15,2), @varKSRange  numeric(15,2), @varKSResid int, @varKSStrCom varchar(1000)

SET @varKSSumDed = ISNULL(
	(SELECT sum(summa) 
	FROM
		dbo.PAYS P INNER JOIN dbo.CALCULATE_JURNAL SJ ON P.LINK = SJ.LINK_PAYS
	WHERE
		SJ.LINK_PAYS = @varKSRef_Pay
		AND YEAR(SJ.PERIOD_BEGIN) = @varKSYear
		AND MONTH(SJ.PERIOD_BEGIN) <=@varKSMonth 
		AND SJ.LINK_EMPL = @varKSlinkEmpl 
		AND SJ.LINK_VKR = @varKSLinkVKR
		AND SJ.LINK_DEP = @DEP_LINK 
		AND ISNULL(SJ.LINK_EKR,P.LINK_EKR) = @varKSLinkEKR)
	,0)	
	
SET @varKSSumDed = @varKSSumDed + ISNULL( (SELECT SUM(SR.NDFL) FROM dbo.SAL_REMAIN SR WHERE SR.LINK_EMPL = @varKSlinkEmpl AND SR.YEAR_SAL = @varKSYear AND SR.LINK_VKR = @varKSLinkVKR AND SR.LINK_EKR = @varKSLinkEKR), 0)

set @varKSRange =  dbo.SalaryGetNDFLRange (@varKSlinkEmpl,@varKSDate)
set @varKSResid = dbo.GetEmplResident(@varKSlinkEmpl)

IF @varKSfl=1 
	select [   ] = @varKSSumDed, [ ] = @varKSRange, [] = (case when @varKSResid = 1  then '' else ' ' end)


set @varKSStrCom = ''
DECLARE @varKSCurs CURSOR,
		  @varKSCurCOMMENT varchar(255)

SET @varKSCurs = CURSOR FORWARD_ONLY
FOR SELECT COMMENT FROM @vych WHERE DEDUCT <> 0 and [month]=@varKSMonth
OPEN @varKSCurs
FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @varKSStrCom = @varKSStrCom + ' ' + isnull(@varKSCurCOMMENT,'0')+ ' +'
	FETCH NEXT FROM @varKSCurs INTO @varKSCurCOMMENT
END 
CLOSE @varKSCurs
DEALLOCATE @varKSCurs
IF LEN(@varKSStrCom) > 2
	SET @varKSStrCom = LEFT(@varKSStrCom,LEN(@varKSStrCom)-2) 


IF @varKSfl=1 
BEGIN	
	PRINT '      '
	
	SELECT T.*,
	[sum_ded]=  isnull(@varKSSumDed,0),
	[summa] = 	case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,2),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END,
	[comment] = @varKSStrCom
	FROM @varKSTota T
	WHERE [MONTH] = @varKSMonth
	
END

/*,         /    */
IF @varKSfl<>1 
SELECT 
	[MONTH],
	PERS_SUMMA_VKR= convert(numeric(18,2), [PERS_SUMMA_VKR]),
	SUMMA_VKR= convert(numeric(18,2), [SUMMA_VKR]),
	SUMMA_M= convert(numeric(18,2), [SUMMA_M]),
	SUMMA_M_VKR= convert(numeric(18,2), [SUMMA_M_VKR]),
	DED_M_ALL= convert(numeric(18,2), [DED_M_ALL]),
	DED= convert(numeric(18,2),[DED]),
	DED_M= convert(numeric(18,2),[DED_M]),
	VYCH= convert(numeric(18,2), [VYCH]),
	VYCH_M= convert(numeric(18,2), [VYCH_M]),
	[sum_ded]=  convert(numeric(18,0), isnull(@varKSSumDed,0)), 
	[summa] = 	case when convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100) > 0
			then 
				case when DOHOD_ALL > VICHET_ALL THEN
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				ELSE
					0
				END					
			else 
				CASE WHEN @NDFL_OPT8 = 0 
				THEN 
					0
				ELSE
					convert(numeric(18,0),(summa_vkr -ded - (case when @varKSResid = 1 then vych else 0 end))*@varKSRange/100)
				END
			end,
	[comment] = Case when len(rtrim(ltrim(@varKSStrCom))) > 0 then '{' + RTRIM(LTRIM(@varKSStrCom)) + '}' else '' end,
	[RANGE] = @varKSRange/100
FROM @varKSTota T
WHERE [MONTH] = @varKSMonth

GO


GRANT EXECUTE ON dbo.[SD_U_NDFL_FILL] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[ZP_SUM_REST]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[ZP_SUM_REST]
GO
CREATE PROCEDURE dbo.ZP_SUM_REST 
	@REST_D NUMERIC(18,2) OUTPUT
	,@REST_K NUMERIC(18,2) OUTPUT
	,@LINK_DEP INT
	,@ACC_LINE VARCHAR(254)
	,@DATE DATETIME
	,@DOP_CODE VARCHAR(254) = NULL
	,@KAU_CODE VARCHAR(254) = NULL
AS
/*
-

           .
:
DECLARE @REST_D NUMERIC(18,2),@REST_K NUMERIC(18,2)
EXEC dbo.ZP_SUM_REST @REST_D = @REST_D OUTPUT, @REST_K = @REST_K OUTPUT, @LINK_DEP = 74578, @DATE = '20160812', @ACC_LINE = '%303.09%,%303.10%', @KAU_CODE = 'kau_RSV1_s1'
SELECT @REST_D, @REST_K

     !

*/
BEGIN

DECLARE 
	@BufferIdACC varbinary(85)
	,@DOP_CLASSIF INT
	,@KAU INT

IF @DOP_CODE IS NOT NULL
	SET @DOP_CLASSIF = 
	ISNULL((
		SELECT T.LINK FROM dbo.DOP_CLASSIF T WHERE T.CODE LIKE @DOP_CODE
	),-1)

IF @KAU_CODE IS NOT NULL
	SET @KAU = 
	ISNULL((
		SELECT T.LINK FROM dbo.KAU T WHERE T.CODE LIKE @KAU_CODE
	),-1)

SET @BufferIdACC = NEWID()

INSERT INTO dbo.BUFFER ([SID], ID, LINK)
SELECT SUSER_SID(), @BufferIdACC, SA.LINK
FROM
	dbo.S_ACCOUNTS SA
	INNER JOIN dbo.StrToLine(@ACC_LINE,':') L ON SA.CODE LIKE L.[TXT]  

SELECT @REST_D = SUM(D_SUMMA), @REST_K = SUM(K_SUMMA) 
FROM dbo.ARestTableByDateAccounts(@DATE,@BufferIdACC)
WHERE DEP_LINK = @LINK_DEP
	AND (@KAU IS NULL OR KAU = @KAU)
	AND (@DOP_CLASSIF IS NULL OR AP2  = @DOP_CLASSIF)

DELETE dbo.BUFFER WHERE ID = @BufferIdACC

SELECT @REST_D = ISNULL(@REST_D,0), @REST_K = ISNULL(@REST_K,0)

END

GO

GRANT EXECUTE ON dbo.[ZP_SUM_REST] TO PUBLIC
GO

GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_6NDFL_16_PREPARE_R2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_6NDFL_16_PREPARE_R2]

GO
CREATE PROCEDURE dbo.SA_6NDFL_16_PREPARE_R2 @LSF INT
AS

DECLARE
	@START_DATE DATETIME, @END_DATE DATETIME, @DEP_LINK INT, @BYearDate DATETIME,
	@nYEAR INT, @nMONTH1 INT, @nMONTH2 INT, @nMONTH3 INT

SET DATEFIRST 7

SELECT
	@DEP_LINK = Link_Organization,
	@START_DATE = BEGIN_DATE
FROM
	report_saved_forms
WHERE
	link_saved_form = @LSF
	

SET @BYearDate = dbo.DateBeginOfYear (@START_DATE)


SELECT
	@nYEAR = YEAR(@START_DATE),
	@nMONTH1 = MONTH(@START_DATE)-2,
	@nMONTH2 = MONTH(@START_DATE)-1,
	@nMONTH3 = MONTH(@START_DATE)
DECLARE @BDATE DATETIME , @EDATE DATETIME

SET @BDATE = dbo.ConvertDMY2Date(1,@nMONTH1,@nYEAR)
SET @EDATE = @START_DATE

DECLARE @varKSname VARCHAR(100), @varKSSQL VARCHAR(8000)
SET @varKSname = (SELECT ID FROM BUFFER WHERE LINK = -116 AND SID = SUSER_SID() )




--------------------------------------------
IF OBJECT_ID('tempdb..#FIZ_VID_DOH') IS NOT NULL DROP TABLE #FIZ_VID_DOH
CREATE TABLE #FIZ_VID_DOH(link_FACE INT, PERS_LINK INT, LINK_EMPL INT, INOSTR int, DIS TINYINT , DATE_DIS DATETIME 
							, VID_DOH CHAR(3), mon int,summa_doh NUMERIC(18,2),summa_nal NUMERIC(18,2),DATE_DOH DATETIME,DATE_NAL datetime, DATE_ISCH DATETIME , DED TINYINT, link_ved INT , SUM_DED NUMERIC(18,2) )


EXEC dbo.SA_6NDFL_PREPARE_R2 @BDATE,@EDATE,'REP2NDFL', @DEP_LINK

-- EXEC SA_6NDFL_16_PREPARE_R2        3195 

-- exec dbo.RI_REPORT_FORMULA_ALL_CALCULATE '2016-01-01 00:00:00','2016-03-31 00:00:00',2,1,3195
SELECT 
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_ZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'ZP'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	  


SELECT 
	  PERS_LINK
	  , DGH  = 1
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_DZP	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DZP'
GROUP BY  link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
INTO #TAB_UV	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'UV'
GROUP BY link_FACE,LINK_EMPL,PERS_LINK,DIS, INOSTR, VID_DOH, mon,DATE_DOH, DATE_NAL, DATE_ISCH	


SELECT
	  PERS_LINK = LINK_FACE
	  , DGH  = 0
	  ,INOSTR 
	  ,DIS
	  ,VID_DOH
	  ,SUMMA_DOH = SUM(SUMMA_DOH)
	  ,SUMMA_NAL = SUM(SUMMA_NAL)
	  ,MON= MON
	  ,DATE_DOH 
	  ,DATE_NAL
	  ,DATE_ISCH
	  ,DED
INTO #TAB_DR	  
FROM #FIZ_VID_DOH 
WHERE VID_DOH = 'DR'
AND isnull(DATE_DOH,'') <> '' 
GROUP BY link_FACE,DIS, INOSTR, VID_DOH, mon, DATE_DOH, DATE_NAL, DATE_ISCH,DED



/*

-- EXEC SA_6NDFL_16_PREPARE_R2        3195

*/CREATE TABLE #PAYS_TMP (VID_DOH CHAR(3), SUMMA_DOH NUMERIC(18,2), SUMMA_NAL NUMERIC(18,2), MON tinyint, DATE_DOH datetime, DATE_NAL datetime, DATE_ISCH DATETIME)
INSERT INTO #PAYS_TMP(VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH)

--SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
--FROM #TAB_DR TDR

SELECT TB.VID_DOH, SUMMA_DOH = SUM(TB.SUMMA_DOH), SUMMA_NAL = SUM(TB.SUMMA_NAL),MON,TB.DATE_DOH,TB.DATE_NAL, TB.DATE_ISCH
FROM 
(SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_ZP TZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DZP TDZP
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_UV TUV
UNION ALL
SELECT VID_DOH, SUMMA_DOH, SUMMA_NAL,MON, DATE_DOH, DATE_NAL, DATE_ISCH
FROM #TAB_DR TDR)  TB
GROUP BY TB.VID_DOH,MON, TB.DATE_DOH, TB.DATE_NAL, TB.DATE_ISCH--, TB.SUMMA_DOH, TB.SUMMA_NAL

-- EXEC SA_6NDFL_16_PREPARE_R2    565

CREATE TABLE #RAZD2 (LINK INT IDENTITY (1,1), COL2 VARCHAR(10),COL3 VARCHAR(10), COL4 VARCHAR(10), COL5 NUMERIC(18,2), COL6 NUMERIC(18,2))
INSERT INTO #RAZD2 ( COL2, COL3, COL4, COL5, COL6)
SELECT
	CONVERT (VARCHAR (10), A.DATE_DOH,104),
	CONVERT(VARCHAR (10), A.DATE_NAL,104),
	CONVERT(VARCHAR (10), A.DATE_ISCH,104),
	sum(A.SUMMA_DOH),
	SUM(A.SUMMA_NAL)
FROM 
	#PAYS_TMP  A
GROUP BY A.[mon],A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH /*, B.PERIOD_ndfl*/
ORDER BY
	A.DATE_DOH, A.DATE_NAL,A.DATE_ISCH

SELECT
	CODE = REPLICATE( '0', 3-len(CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ))+CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)) ,
	COL1 = CONVERT(VARCHAR(4),RANK() OVER (ORDER BY link)),
	COL2,
	COL3,
	COL4,
	COL5,
	COL6
FROM
	#RAZD2 E
ORDER BY
	month(convert(datetime,COL2,104))

DROP TABLE #FIZ_VID_DOH
DROP TABLE #RAZD2


	

RETURN 0




GO


GRANT EXECUTE ON dbo.[SA_6NDFL_16_PREPARE_R2] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_DOCUMENTS_SALARY]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_DOCUMENTS_SALARY]

GO

CREATE  PROCEDURE [dbo].[SYNCH_DOCUMENTS_SALARY] @DB NVARCHAR(254), @LINK_JOURN_TAB INT
/*
      -
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_SERVER_NAME') AND SID IS NULL 
SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_BASE_NAME') AND SID IS NULL 


declare @p2 varchar(8000)
set @p2=''
declare @p3 float
set @p3=0
exec SYNCH_SMETA_SMART 29,@p2 output,@p3 output
select @p2, @p3


SELECT * FROM [SYNCH_SMETA_SMART_TAB] WHERE LINK = 125
*/
AS
BEGIN

DECLARE @varKStrancount	int
DECLARE @err INT
DECLARE @SQL NVARCHAR(4000)
DECLARE @ERR_MSG VARCHAR(256)
DECLARE @COLLATE VARCHAR(254)


SET @SQL = 
N'	
SET @COLLATE = (SELECT TOP 1 ''COLLATE '' + CAST (SERVERPROPERTY(''Collation'') AS VARCHAR(100)) FROM ' + @DB + 'dbo.DEPARTMENTS_DATE)
'	
EXEC SP_EXECUTESQL @SQL, N'@COLLATE VARCHAR(254) OUTPUT', @COLLATE = @COLLATE OUTPUT

--   -
CREATE TABLE #DEPARTMENTS_DATE (
	[CODE] varchar(20),
	[INN] varchar(13),
	[KPP] varchar(9),
	[BEGINDATE] datetime,
	[ENDDATE] datetime)

SET @SQL = 
N'	
INSERT INTO #DEPARTMENTS_DATE ([CODE],[INN],[KPP],[BEGINDATE],[ENDDATE])
SELECT D.CODE, D.INN, D.KPP, DD.[BEGINDATE], DD.[ENDDATE]
FROM 
	' + @DB + 'dbo.DEPARTMENTS_DATE DD
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = DD.DEP_LINK
WHERE
	ISNULL(D.INN ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.KPP ' + @COLLATE + ','''') <> ''''
	AND
	ISNULL(D.CODE ' + @COLLATE + ','''') <> ''''	
'	

EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = 
	SUBSTRING((
			SELECT ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM #DEPARTMENTS_DATE
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
			FOR XML PATH('')
		), 2, 3000)

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 101
END

------------------
DECLARE @PERIOD DATETIME
SET @PERIOD = 
	(SELECT TOP 1 PERIOD
	FROM 
		[dbo].[SYNCH_SMETA_SMART_JOURN] J
		INNER JOIN [dbo].[SYNCH_SMETA_SMART_TAB] T ON T.[LINK_UP] = J.[LINK]
	WHERE
		T.LINK = @LINK_JOURN_TAB)

---------------------
DECLARE @iOBJECT INT
SET @SQL = 
N'	
SELECT @iOBJECT = LINK FROM ' + @DB + 'dbo.S_OBJECTS so WHERE so.CODE ' + @COLLATE + ' = ''DOC_SALARY''
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT OUTPUT', @iOBJECT = @iOBJECT OUTPUT

------------------
DECLARE @LINK_DOCUMENTS_SALARY INT
SET @LINK_DOCUMENTS_SALARY = (SELECT TOP 1 LINK FROM dbo.S_OBJECTS WHERE CODE = 'DOCUMENTS_SALARY')

------------------
CREATE TABLE #DOC (DEP INT, LINK INT, DATE_PROV DATETIME,[GUID] uniqueidentifier)
SET @SQL = 
N'	
INSERT INTO #DOC (DEP, LINK, DATE_PROV,[GUID])
SELECT G.DEP, G.LINK, G.DATE_PROV, G.[GUID]
FROM
	dbo.G_PROV G
WHERE
	G.[OBJECT] = @LINK_DOCUMENTS_SALARY
	AND
	YEAR(G.[DATE_PROV]) = YEAR(@PERIOD)
	AND
	MONTH(G.[DATE_PROV]) = MONTH(@PERIOD)
	AND
	EXISTS (SELECT * FROM dbo.G_PROV1 G1 INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK WHERE G1.LINK_UP = G.LINK)
'	
EXEC SP_EXECUTESQL @SQL, N'@LINK_DOCUMENTS_SALARY INT, @PERIOD DATETIME', @LINK_DOCUMENTS_SALARY=@LINK_DOCUMENTS_SALARY, @PERIOD=@PERIOD

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
				WHERE
					NOT EXISTS (SELECT * FROM #DEPARTMENTS_DATE DD WHERE DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP)
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
	
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  . //: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 102
END

----
CREATE TABLE #DEPARTMENTS_SMETA_KS (LINK1 INT, LINK2 INT)

SET @SQL = 
N'
INSERT INTO #DEPARTMENTS_SMETA_KS (LINK1, LINK2)
SELECT D1.LINK, D2.LINK
FROM 
	dbo.DEPARTMENTS D1 
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D2 ON D1.CODE = D2.CODE ' + @COLLATE + ' AND D1.INN = D2.INN ' + @COLLATE + ' AND D1.KPP = D2.KPP ' + @COLLATE + ' 
WHERE
	(D1.TYPE = 4 OR D1.ZB =1)
	AND
	(
		EXISTS (SELECT * FROM #DOC T WHERE D1.LINK = T.DEP) 
	OR
		EXISTS (
			SELECT *
			FROM ' + @DB + 'dbo.G_PROV G
				INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
				INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
			WHERE
				G.DEP = D2.LINK 
		)
	)
	AND
	EXISTS (SELECT * FROM ' + @DB + 'dbo.DEPARTMENTS_DATE DD2 WHERE DD2.DEP_LINK = D2.LINK) 	
	AND
	EXISTS (SELECT * FROM dbo.DEPARTMENTS_OBJECT DD1 WHERE DD1.DEPARTMENT = D1.LINK) 		
'
EXEC SP_EXECUTESQL @SQL


---,            
DECLARE @LOGIN VARCHAR(254)

SET @LOGIN = (SELECT TOP 1 VALUE FROM dbo.S_OPTIONS WHERE [SID] IS NULL AND ISNULL(VALUE,'') <> ''
						AND [OBJECT] = (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'SAL_OPT_USER_NAME'))

SET @SQL = 
N'
SET @RES = 0
IF EXISTS (SELECT * FROM 
			' + @DB + 'dbo.DEPARTMENTS_OBJECT A 
			INNER JOIN ' + @DB + 'dbo.S_USERS SU ON SU.UID = A.[USER_ID] 
			INNER JOIN ' + @DB + 'dbo.DEPARTMENTS3 D ON D.LINK = A.DEPARTMENT
		WHERE 
			SU.LOGINAME = @LOGIN )	

	SET @RES = 1
'
DECLARE @RES TINYINT
EXEC SP_EXECUTESQL @SQL, N'@RES TINYINT OUTPUT, @LOGIN VARCHAR(254)', @RES = @RES OUTPUT, @LOGIN = @LOGIN

IF @RES = 0
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT('      -   "' + @LOGIN + '"  .',256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 103
END

--     
SET @SQL = 
N'
CREATE TABLE #CHOICE (LINK INT)

--   
INSERT INTO #CHOICE (LINK)
SELECT G.LINK
FROM ' + @DB + 'dbo.G_PROV G
	INNER JOIN ' + @DB + 'dbo.G_PROV_STATES S ON G.LINK = S.LINK_UP
	INNER JOIN ' + @DB + 'dbo.DOC_STATES2 S2 ON S2.LINK = S.LINK_STATE AND S2.CODE = ''SALARY'' -- ,    
WHERE 
	EXISTS (SELECT * FROM #DEPARTMENTS_SMETA_KS T WHERE T.LINK2 = G.DEP)
	AND
	(
		[OBJECT] = @iOBJECT AND NOT EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])
			OR
		[OBJECT] IS NULL AND EXISTS (SELECT * FROM #DOC T WHERE T.[GUID] = G.[GUID])	
	)
	AND
	(
		YEAR([DATE_PROV]) = YEAR(@PERIOD) AND MONTH([DATE_PROV]) = MONTH(@PERIOD)
		OR --,        
		YEAR([DATE]) = YEAR(@PERIOD) AND MONTH([DATE]) = MONTH(@PERIOD)
	)	

---     
UPDATE G SET G.DATE_PROV = NULL
FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

UPDATE T SET T.AP1 = NULL
FROM
	#CHOICE C
	INNER JOIN ' + @DB + '[dbo].[G_PROV_AP] T ON C.LINK = T.AP1

--  
DELETE G FROM ' + @DB + 'dbo.G_PROV G INNER JOIN #CHOICE C ON C.LINK = G.LINK

---    
DELETE T
FROM 
	#DOC T
WHERE
	 EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = T.[GUID])
'
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT, @PERIOD DATETIME', @iOBJECT=@iOBJECT, @PERIOD=@PERIOD

--
CREATE TABLE #ACCOUNT (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #ACCOUNT (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(ACCOUNT.CODE)), ACCOUNT
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[S_ACCOUNTS] ACCOUNT ON ACCOUNT.LINK = GAP.ACCOUNT

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#ACCOUNT K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[S_ACCOUNTS] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE )
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 104
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#ACCOUNT  K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 105
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#ACCOUNT K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[S_ACCOUNTS] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KBK (DEP INT, CODE VARCHAR(30), LINK1 INT, LINK2 INT)
INSERT INTO #KBK (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KBK.CODE)), KBK
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KL_KBK] KBK ON KBK.LINK = KBK

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KL_KBK] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT


IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 106
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KBK K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KBK K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KL_KBK] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #EKR (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #EKR (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(EKR.CODE)), EKR
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] EKR ON EKR.LINK = EKR	

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#EKR K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 107
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#EKR K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 108
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#EKR K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL


--
CREATE TABLE #SGU (DEP INT, CODE VARCHAR(4), LINK1 INT, LINK2 INT)
INSERT INTO #SGU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(SGU.CODE)), SGU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KOSGU] SGU ON SGU.LINK = SGU

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#SGU K
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + '[dbo].[KOSGU] A WHERE LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 109
END


--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#SGU K
				INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	

EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 110
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#SGU K
	INNER JOIN ' + @DB + '[dbo].[KOSGU] A ON LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--
CREATE TABLE #KAU (DEP INT, CODE VARCHAR(10), LINK1 INT, LINK2 INT)
INSERT INTO #KAU (DEP, CODE, LINK1)
SELECT DISTINCT G.DEP, LTRIM(RTRIM(KAU.CODE)), KAU
FROM
	#DOC A
	INNER JOIN dbo.G_PROV G ON A.LINK = G.LINK
	INNER JOIN dbo.G_PROV1 G1 ON G1.LINK_UP = G.LINK
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
	INNER JOIN [dbo].[KAU] KAU ON KAU.LINK = KAU		

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT DISTINCT '','' + K.CODE
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
			WHERE
				NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.[KAU] A WHERE A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE)
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -   : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 111
END

--   
SET @ERR_MSG = NULL
SET @SQL = 
N'
SET @ERR_MSG = 
	SUBSTRING((
			SELECT CODE
			FROM
			(
			SELECT DISTINCT '','' + K.CODE AS CODE, A.LINK_DEP, A.LINK
			FROM
				#KAU K
				INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
				INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
				INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
			) T	
			GROUP BY
				 CODE, LINK_DEP
			HAVING
				COUNT(*) > 1		
			FOR XML PATH('''')
		), 2, 3000)
'	
EXEC SP_EXECUTESQL @SQL, N'@ERR_MSG VARCHAR(256) OUTPUT', @ERR_MSG = @ERR_MSG OUTPUT

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -  : ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 112
END

--  
SET @ERR_MSG = NULL
SET @SQL = 
N'
UPDATE K SET LINK2 = A.LINK
FROM
	#KAU K
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = K.DEP
	INNER JOIN ' + @DB + 'dbo.V_DEP VD ON VD.LINK = T.LINK2
	INNER JOIN ' + @DB + 'dbo.[KAU] A ON A.LINK_DEP = VD.LINK_CB AND LTRIM(RTRIM(A.CODE ' + @COLLATE + ' )) = K.CODE
'	
EXEC SP_EXECUTESQL @SQL

--     -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))
				FROM
					dbo.DEPARTMENTS D
				WHERE
					EXISTS ( SELECT * FROM #DOC G WHERE D.LINK = G.DEP )
				GROUP BY CODE, INN, KPP
				HAVING COUNT(*) > 1
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(INN)) + '/' + LTRIM(RTRIM(KPP))	
			FOR XML PATH('')
		), 2, 3000)
		
IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -    /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 113
END


--      -
SET @ERR_MSG = NULL
SET @ERR_MSG = 
	SUBSTRING((
				SELECT ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))
				FROM
					dbo.DEPARTMENTS D
					INNER JOIN #DOC G ON D.LINK = G.DEP
					INNER JOIN #DEPARTMENTS_DATE DD ON DD.CODE = D.CODE AND DD.INN = D.INN AND DD.KPP = D.KPP
				WHERE
					NOT G.[DATE_PROV] BETWEEN DD.[BEGINDATE] AND DD.[ENDDATE]
				GROUP BY D.CODE, D.INN, D.KPP
				ORDER BY ',' + LTRIM(RTRIM(D.CODE)) + '/' + LTRIM(RTRIM(D.INN)) + '/' + LTRIM(RTRIM(D.KPP))	
			FOR XML PATH('')
		), 2, 3000)
		

IF @ERR_MSG IS NOT NULL
BEGIN
	UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
		COMENT = LEFT(' -     . /: ' + @ERR_MSG,256)
		,[STATUS] = 3
	WHERE LINK = @LINK_JOURN_TAB
	
	RETURN 114
END

----------
CREATE TABLE #G_DOC ([NUMBER] varchar(30),[DATE] datetime,[OBJECT] int,[DATE_PROV] datetime,[SUMMA] numeric(19, 2),[COMMENT] varchar(254),[GET_STORE] int,[DEP] int,[ACC] int,[GUID] uniqueidentifier,[LINK_INS] int)
CREATE TABLE #G_PROV ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV1 ([LINK1] int ,[LINK2] int, [DEP1] INT, [DEP2] INT)
CREATE TABLE #G_PROV2 ([LINK1] int ,[LINK2] int, [ACC_DT] INT, [ACC_KT] INT, [DEP1] INT, [DEP2] INT)
CREATE TABLE #VIBOR_ECON_OPER ([ACC_DT] INT, [ACC_KT] INT, [DEP] INT, [ECON_OPER] INT)

--SET @varKStrancount = @@TRANCOUNT
--SET IMPLICIT_TRANSACTIONS ON
--BEGIN TRAN
--COMMIT TRAN

CREATE TABLE #EXEC (text varchar(8000), id int identity(1,1))

INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO #G_DOC (NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT 
	 NUMBER     = LTRIM(RTRIM(g.NUMBER))
	,DATE       = g.DATE
	,[OBJECT]   = ' + CONVERT(VARCHAR(20),@iOBJECT) + '
	,DATE_PROV  = g.DATE_PROV
	,SUMMA      = g.SUMMA
	,COMMENT    = g.COMMENT
	,GET_STORE  = 0
	,DEP        = T.LINK2
	,ACC        = D.MAIN_LINK
	,[GUID] = G.[GUID]
	,LINK_INS   = g.LINK
FROM 
	dbo.G_PROV g
	INNER JOIN #DOC R ON R.LINK = G.LINK
	INNER JOIN #DEPARTMENTS_SMETA_KS T ON T.LINK1 = G.DEP
	INNER JOIN ' + @DB + 'dbo.DEPARTMENTS D ON D.LINK = T.LINK2
WHERE
	 NOT EXISTS (SELECT * FROM ' + @DB + 'dbo.G_PROV G2 WHERE G2.[OBJECT] IS NOT NULL AND G2.[GUID] = G.[GUID])

INSERT INTO ' + @DB + 'dbo.G_PROV
	(NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS)
SELECT NUMBER, DATE, [OBJECT], DATE_PROV, SUMMA, COMMENT, GET_STORE, DEP, ACC, [GUID], LINK_INS
FROM #G_DOC

INSERT INTO #G_PROV ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G_1.LINK, G_2.LINK, G_1.DEP, G_2.DEP
FROM 
	#DOC R
	INNER JOIN dbo.G_PROV G_1 ON G_1.LINK = R.LINK
	INNER JOIN ' + @DB + 'dbo.G_PROV G_2 ON G_2.LINK_INS = G_1.LINK
WHERE
	 G_2.[OBJECT] IS NOT NULL 
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV1 (LINK_UP, NAME_OPER, ORDERS, [LINK_INS])
SELECT DISTINCT
	LINK_UP     = T.LINK2
	,NAME_OPER  = g1.NAME_OPER
	,ORDERS     = 1
	,[LINK_INS] = g1.LINK
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 g1 ON g1.LINK_UP = T.LINK1

INSERT INTO #G_PROV1 ([LINK1],[LINK2], [DEP1], [DEP2])
SELECT G1_1.LINK, G1_2.LINK, T.[DEP1], T.[DEP2]
FROM 
	#G_PROV T
	INNER JOIN dbo.G_PROV1 G1_1 ON G1_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1_2 ON G1_2.LINK_INS = G1_1.LINK
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	

DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV2 (LINK_UP, SUMMA, QUANTITY, PRICE, STORNO, NAME, ORDERS, [LINK_INS])
SELECT
	LINK_UP     = T.LINK2
	,SUMMA      = G2.SUMMA
	,QUANTITY   = G2.QUANTITY
	,PRICE      = CASE WHEN G2.QUANTITY <> 0 THEN G2.SUMMA / G2.QUANTITY ELSE 0 END
	,STORNO     = G2.STORNO
	,[NAME]     = G2.NAME
	,ORDERS     = 1
	,[LINK_INS] = G2.LINK
FROM
	#G_PROV1 T 
	INNER JOIN dbo.G_PROV2 G2 ON G2.LINK_UP = T.LINK1
	
INSERT INTO #G_PROV2 ([LINK1],[LINK2], [DEP1], [DEP2], [ACC_DT], [ACC_KT])
SELECT G2_1.LINK, G2_2.LINK, T.[DEP1], T.[DEP2], ACCOUNT0.LINK2, ACCOUNT1.LINK2
FROM 
	#G_PROV1 T
	INNER JOIN dbo.G_PROV2 G2_1 ON G2_1.LINK_UP = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2_2 ON G2_2.LINK_INS = G2_1.LINK
	LEFT JOIN dbo.G_PROV_AP GAP0 ON GAP0.LINK_UP = G2_1.LINK AND GAP0.DB_KR = 0	
	LEFT JOIN #ACCOUNT ACCOUNT0 ON ACCOUNT0.LINK1 = GAP0.ACCOUNT AND ACCOUNT0.DEP = T.DEP1
	LEFT JOIN dbo.G_PROV_AP GAP1 ON GAP1.LINK_UP = G2_1.LINK AND GAP1.DB_KR = 1
	LEFT JOIN #ACCOUNT ACCOUNT1 ON ACCOUNT1.LINK1 = GAP1.ACCOUNT AND ACCOUNT1.DEP = T.DEP1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
-- 
INSERT INTO #VIBOR_ECON_OPER ([ACC_DT], [ACC_KT], [DEP])
SELECT DISTINCT [ACC_DT], [ACC_KT], [DEP2]
FROM #G_PROV2


DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @ACC_DT INT, @ACC_KT INT, @DEP INT, @XO INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select [ACC_DT], [ACC_KT], [DEP] from #VIBOR_ECON_OPER order by [ACC_DT], [ACC_KT], [DEP]

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		SET @XO = 0
			EXECUTE ' + @DB + 'dbo.LOCATE_ECON_OPER
						@Found_XO = @XO OUTPUT, @intDt = @ACC_DT, @intKt = @ACC_KT, @iObj = ' + CONVERT(VARCHAR(20),@iOBJECT) + ', @iDep = @DEP
		UPDATE #VIBOR_ECON_OPER SET [ECON_OPER] = @XO WHERE ACC_DT= @ACC_DT AND ACC_KT= @ACC_KT AND DEP= @DEP			
	END

	FETCH NEXT FROM @Cur1 INTO @ACC_DT, @ACC_KT, @DEP
END

CLOSE @Cur1
DEALLOCATE @Cur1

-----------------
UPDATE G2 SET
	G2.ECON_OPER = B.[ECON_OPER]
FROM
	#G_PROV2 T
	INNER JOIN dbo.G_PROV2 C ON C.LINK = T.LINK1
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK = T.LINK2
	INNER JOIN #VIBOR_ECON_OPER B ON T.[DEP2] = B.[DEP] 
									AND ISNULL(T.[ACC_DT],0) = ISNULL(B.[ACC_DT],0)
									AND ISNULL(T.[ACC_KT],0) = ISNULL(B.[ACC_KT],0)
WHERE
	C.ECON_OPER IS NOT NULL															
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'
	
---------------------------------------------------------
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
INSERT INTO ' + @DB + 'dbo.G_PROV_AP 
(LINK_UP, DB_KR, ACCOUNT, KBK, EKR, DEP, KAU, INDATE, SGU)
SELECT 
	LINK_UP     = T.LINK2
	,DB_KR      = GAP.DB_KR
	,ACCOUNT    = ACCOUNT.LINK2
	,KBK        = KBK.LINK2
	,EKR        = EKR.LINK2
	,DEP        = DEP.LINK2
	,KAU        = KAU.LINK2
	,INDATE     = GAP.INDATE
	,SGU        = SGU.LINK2
FROM 
	#G_PROV2 T
	INNER JOIN dbo.G_PROV_AP GAP ON GAP.LINK_UP = T.LINK1
	INNER JOIN #ACCOUNT ACCOUNT ON ACCOUNT.LINK1 = GAP.ACCOUNT AND ACCOUNT.DEP = T.DEP1
	LEFT JOIN #KBK KBK ON KBK.LINK1 = GAP.KBK AND KBK.DEP = T.DEP1
	LEFT JOIN #EKR EKR ON EKR.LINK1 = GAP.EKR AND EKR.DEP = T.DEP1
	LEFT JOIN #SGU SGU ON SGU.LINK1 = GAP.SGU AND SGU.DEP = T.DEP1
	LEFT JOIN #KAU KAU ON KAU.LINK1 = GAP.KAU AND KAU.DEP = T.DEP1
	LEFT JOIN #DEPARTMENTS_SMETA_KS DEP ON DEP.LINK1 = GAP.DEP
'
IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR select LINK2 from #G_PROV

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		----    -  ,      G_PROV_FIELDS
		--EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK

		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_STATE
			@LINK_DOC = @LINK, --    
			@STATE_CODE = ''SALARY'', -- 
			@VALUE = 1, -- 1- , 0- 
			@RPS = 1 -- @VALUE = 1        		
		
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1


----   
UPDATE G SET G.SUMMA = ISNULL(T.SUMMA,0)
FROM 
(
SELECT D.LINK2, SUM(G2.SUMMA) AS SUMMA 
FROM #G_PROV D
	INNER JOIN ' + @DB + 'dbo.G_PROV1 G1 ON G1.LINK_UP = D.LINK2
	INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
WHERE 
	G2.LINK_SELF IS NULL
GROUP BY 	
	D.LINK2
) T
INNER JOIN ' + @DB + 'dbo.G_PROV G ON G.LINK = T.LINK2	

'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'


-- 
SET @ERR_MSG = NULL
SET @SQL = 
N'
	DECLARE @RID uniqueidentifier
	SET @RID = NEWID()
	INSERT INTO ' + @DB + 'dbo.SYS_LINK(RID,LINK,OBJECT)
	SELECT @RID, LINK2, @iOBJECT FROM #G_PROV 
	
	EXEC ' + @DB + 'dbo.GEN_JURN_BO @RID = @RID, @cMode=''all''
	
	DELETE ' + @DB + 'dbo.SYS_LINK WHERE RID = @RID
'	
EXEC SP_EXECUTESQL @SQL, N'@iOBJECT INT', @iOBJECT = @iOBJECT

------  G_PROV_FIELDS
DELETE #EXEC
INSERT INTO #EXEC ([text]) SELECT
'
DECLARE @Cur1 CURSOR, @LINK INT
SET @Cur1 = CURSOR FORWARD_ONLY

FOR 
	SELECT GAP.AP1
	FROM 
		' + @DB + 'dbo.G_PROV1 G1 
		INNER JOIN ' + @DB + 'dbo.G_PROV2 G2 ON G2.LINK_UP = G1.LINK
		INNER JOIN ' + @DB + 'dbo.G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK
		INNER JOIN #G_PROV T ON T.LINK2 = GAP.AP1

OPEN @Cur1
FETCH NEXT FROM @Cur1 INTO @LINK
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status <> -2)
	BEGIN
		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KAU_1 @LINK_DOC = @LINK

		--    .   ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOP_CLASSIF_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_EKR_1 @LINK_DOC = @LINK

		--       ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_FIN_SOURCE_1 @LINK_DOC = @LINK

		--      ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_KBK_1 @LINK_DOC = @LINK

		--    -  ,      G_PROV_FIELDS
		EXEC ' + @DB + 'dbo.XA_UPDATE_G_PROV_DOCBASE_1 @LINK_DOC = @LINK

		--    , ,  "-"   ""
		EXEC ' + @DB + 'dbo.XA_UPDATE_DOC_NAME_1 @LINK_DOC = @LINK				
	END

	FETCH NEXT FROM @Cur1 INTO @LINK
END

CLOSE @Cur1
DEALLOCATE @Cur1
'

IF EXISTS (SELECT text FROM #EXEC)
	EXEC @err = dbo.ssp_execresultset 'select text from #EXEC order by id'

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV) 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #G_PROV2) 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB

--  
DELETE S FROM #G_PROV T INNER JOIN dbo.GP_EXCH_STATUS S ON S.LINK_GP = T.LINK1

INSERT INTO dbo.GP_EXCH_STATUS (LINK_GP,[STATUS],[DATE],[COMMENT])
SELECT LINK1, 1, GETDATE(), suser_sname() + '; ' + host_name() FROM #G_PROV

--IF @@TRANCOUNT > @varKStrancount
--	COMMIT TRAN

END


GO


GRANT EXECUTE ON dbo.[SYNCH_DOCUMENTS_SALARY] TO PUBLIC

GO


GO
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SYNCH_BI_DICTION_ADMIN_BS]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SYNCH_BI_DICTION_ADMIN_BS]
GO

CREATE PROCEDURE dbo.SYNCH_BI_DICTION_ADMIN_BS (@DB NVARCHAR(254), @LINK_JOURN_TAB INT)
AS
BEGIN
/*
   
*/

DECLARE @varKStrancount	int
		
SET @varKStrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
BEGIN TRAN
COMMIT TRAN

-------
CREATE TABLE #DICT (LINK INT, CODE VARCHAR(3), NAME VARCHAR(254), BUDG_CODE VARCHAR(10), NUM INT)

DECLARE @SQL NVARCHAR(4000)

SET @SQL = 
N'	
INSERT INTO #DICT (LINK, CODE, NAME, BUDG_CODE, NUM)
SELECT D.LINK, LEFT(D.CODE,3), LEFT(D.FULL_NAME,254), LEFT(DB.CODE,10), NUM = ROW_NUMBER() OVER (PARTITION BY LEFT(D.CODE,3) ORDER BY D.LINK)
FROM
	' + @DB + 'dbo.DEPARTMENTS D
	INNER join ' + @DB + 'dbo.DEPARTMENT_GROUPS_REF GR on GR.DEP_LINK = D.LINK
	INNER join ' + @DB + 'dbo.OWNDEPLINK OD on OD.LINK = D.LINK_DEP
	INNER join ' + @DB + 'dbo.DEPARTMENT_GROUPS G on GR.GROUP_LINK = G.LINK and G.[SYS] = 10
	LEFT JOIN ' + @DB + 'dbo.ADMIN_BS A ON A.LINK_UP = D.LINK
	LEFT JOIN ' + @DB + 'dbo.DEPARTMENTS DB ON DB.LINK = A.BUDG_LINK
WHERE
	LEFT(D.CODE,3) <> ''''
'	
EXEC SP_EXECUTESQL @SQL

DELETE #DICT WHERE NUM <> 1

----- 

-- ( )
CREATE TABLE #TAB1 (LINK INT, CODE VARCHAR(10))
INSERT INTO #TAB1 (LINK, CODE)
SELECT LINK, CODE
FROM ( SELECT LINK, CODE, NUM = ROW_NUMBER() OVER (PARTITION BY CODE ORDER BY CODE_EL DESC, LINK) FROM dbo.KL_BUDG_TYPE ) T
WHERE T.NUM = 1

DECLARE @DEF_BUDG INT
SET @DEF_BUDG = (SELECT TOP 1 LINK FROM dbo.[KL_BUDG_TYPE] WHERE CODE = '--')

-----     

IF NOT EXISTS (SELECT * FROM dbo.[KL_ADMIN_BS] WHERE [Code]='---') 
	INSERT INTO dbo.[KL_ADMIN_BS](Code, Name, Link_Budg)
	VALUES ('---', '  ', @DEF_BUDG)

-----
CREATE TABLE #PROTOKOL (OP VARCHAR(1), LINK INT)

UPDATE A SET
	A.NAME = ISNULL(T.NAME,''),
	A.LINK_BUDG = ISNULL(T1.LINK,A.LINK_BUDG)
OUTPUT
	'U', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
FROM
	#DICT T
	INNER JOIN dbo.KL_ADMIN_BS A ON T.CODE = A.CODE
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.BUDG_CODE
WHERE
	A.NAME <> ISNULL(T.NAME,'')
	OR
	(ISNULL(A.LINK_BUDG,0) <> ISNULL(T1.LINK,0) AND T1.LINK IS NOT NULL)


INSERT INTO dbo.KL_ADMIN_BS (CODE, NAME, LINK_BUDG ) 
OUTPUT
	'A', INSERTED.LINK INTO #PROTOKOL (OP, LINK)
SELECT
	T.CODE,
	ISNULL(T.NAME,''),
	ISNULL(T1.LINK,@DEF_BUDG)
FROM
	#DICT T
	LEFT JOIN #TAB1 T1 ON T1.CODE = T.BUDG_CODE
WHERE
	NOT EXISTS (SELECT * FROM dbo.KL_ADMIN_BS A WHERE A.CODE = T.CODE)

----  
UPDATE dbo.SYNCH_SMETA_SMART_TAB SET 
	COMENT = 
		(SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'A') 
		+ '; ' + (SELECT ': ' + CONVERT(VARCHAR(5),COUNT(*)) FROM #PROTOKOL WHERE OP = 'U') 
	,[STATUS] = 1
WHERE LINK = @LINK_JOURN_TAB


IF @@TRANCOUNT > @varKStrancount
	COMMIT TRAN

END

GO


GRANT EXECUTE ON dbo.[SYNCH_BI_DICTION_ADMIN_BS] TO PUBLIC

GO

GO

--AFTER CODE 26.09.2016
update EXPORT_MODELS set DATE_END   = '20150331' where MODEL_VER = '2012.02' AND CODE = 'BR'
delete from EXPORT_MODELS where MODEL_VER = '2015.04' AND CODE = 'BR'
DECLARE @varKSModelLink INT,
	@varKSBlockLink INT
SELECT @varKSModelLink = LINK_MODEL FROM dbo.EXPORT_MODELS WHERE MODEL_VER = '2015.04' AND CODE = 'BR'
IF @varKSModelLink is null
begin
	INSERT INTO EXPORT_MODELS(CODE, NAME, MODEL_VER, ISONCE, NORM_DOC, FILE_NAME_MASK, FILE_NAME_PROC, PROC_EXP, PROC_DOP_PARAM, DEP_NAME, PROG_SAVE, DATE_END)
	SELECT 'BR','','2015.04',0,'','XXXXXDNN.TTM','fb_file_name_doc','FB_EXPORT_BR_15','cObjCode','KOD_BP','bb_import_br16()',NULL 
	SET @varKSModelLink = @@IDENTITY
end
else
	update EXPORT_MODELS
	set 	ISONCE = 0,
		NAME   = '',
		NORM_DOC   = '',
		FILE_NAME_MASK   = 'XXXXXDNN.TTM',
		FILE_NAME_PROC   = 'fb_file_name_doc',
		PROC_EXP   = 'FB_EXPORT_BR_15',
		PROC_DOP_PARAM   = 'cObjCode',
		PROG_SAVE   = 'bb_import_br16()',
		DEP_NAME   = 'KOD_BP',
		DATE_END   = NULL
	where LINK_MODEL = @varKSModelLink
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'KS'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'KS',1,0,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 1,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NUM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NUM_VER','  ','STRING',10,0,1,1,'NUM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORMER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'FORMER','  ,  ','STRING',50,0,0,1,'FORMER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'FORM_VER','  ','STRING',10,0,0,1,'FORM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ,   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NORM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NORM_DOC','  ,   ','STRING',250,0,0,0,'NORM_DOC','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FROM'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FROM',2,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 2,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_BP','   ','STRING',5,0,0,0,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NM_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_BP','   ','STRING',512,0,0,0,'NM_BP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'TO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'TO',3,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 3,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_BP','  - ','STRING',5,1,0,0,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '   - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NM_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_BP','   - ','STRING',512,0,0,0,'NM_BP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RL'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RL',4,2,'   ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 4,
			ISONCE = 2,
			NAME   = '   ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'GUID',
		VAL_LEN 	= 36,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'GUID','  ','GUID',36,1,0,0,'GUID','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PERIOD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'PERIOD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PERIOD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'PERIOD',' ','STRING',1,1,1,1,'PERIOD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_RL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_RL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_RL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'TYPE_RL',' ','STRING',1,1,1,1,'TYPE_RL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_RL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_RL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_RL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'VID_RL',' ','STRING',1,1,1,1,'VID_RL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUMBER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NUMBER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUMBER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'NUMBER',' ','STRING',15,0,0,0,'NUMBER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= '',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'DATE','','DATE',NULL,1,1,1,'DATE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_EXEC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_EXEC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_EXEC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'DATE_EXEC','   ','DATE',NULL,1,1,0,'DATE_EXEC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_RBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_RBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_RBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'KOD_RBS',' ','STRING',5,1,0,0,'KOD_RBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_RBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'NAME_RBS',' ','STRING',512,0,0,0,'NAME_RBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_NUM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ACC_NUM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_NUM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'ACC_NUM','  ','STRING',20,0,0,1,'ACC_NUM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_SEND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'ACC_SEND','  ','STRING',20,0,0,0,'ACC_SEND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND_KIND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 12,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_SEND_KIND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND_KIND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 12,'ACC_SEND_KIND','   ','STRING',1,1,0,0,'ACC_SEND_KIND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'IST')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'IST',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'IST'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'IST',' ','STRING',20,0,0,0,'IST','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= ' 1- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR01',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'SUM_YEAR01',' 1- ','NUMBER2',NULL,0,1,2,'SUM_YEAR01','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= ' 2- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR02',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'SUM_YEAR02',' 2- ','NUMBER2',0,0,1,2,'SUM_YEAR02','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= ' 3- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR03',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'SUM_YEAR03',' 3- ','NUMBER2',0,0,1,2,'SUM_YEAR03','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PRIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'PRIM','  ','STRING',512,0,0,0,'PRIM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_IZM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'VID_IZM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_IZM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'VID_IZM',' ','STRING',10,0,0,0,'VID_IZM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'NAME_BUD',' ','STRING',512,0,0,0,'NAME_BUD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOP_UKAZ')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOP_UKAZ',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOP_UKAZ'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'DOP_UKAZ',' ','STRING',512,0,0,0,'DOP_UKAZ','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_SIGN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_SIGN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_SIGN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'DATE_SIGN','  ','DATE',0,0,0,0,'DATE_SIGN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS_DOL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BOSS_DOL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS_DOL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'BOSS_DOL',' ','STRING',100,0,0,0,'BOSS_DOL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BOSS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'BOSS',' ','STRING',50,0,0,0,'BOSS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_DOL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_DOL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_DOL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'ISP_DOL',' ','STRING',100,0,0,0,'ISP_DOL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_FIO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_FIO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_FIO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'ISP_FIO',' ','STRING',50,0,0,0,'ISP_FIO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_PHONE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_PHONE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_PHONE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'ISP_PHONE',' ','STRING',20,0,0,0,'ISP_PHONE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CORRECTION')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'CORRECTION',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CORRECTION'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'CORRECTION',' ','NUMBER',2,0,0,0,'CORRECTION','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ANALITICS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ANALITICS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ANALITICS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'ANALITICS',' ','STRING',250,0,0,0,'ANALITICS','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RLO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RLO',5,2,' ',0
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 5,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 0
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 30,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NOM_OSNOV',' ','STRING',30,0,1,1,'NOM_OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'DATE_OSNOV',' ','DATE',0,0,0,1,'DATE_OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'OSNOV',' -','STRING',254,0,0,1,'OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PRIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'PRIM','','STRING',254,0,0,0,'PRIM','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RLST'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RLST',6,2,'      ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 6,
			ISONCE = 2,
			NAME   = '      ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'TYPE_KBK',' ','STRING',2,1,1,1,'TYPE_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KBK','','STRING',20,1,1,1,'KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_IST_RF')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK_IST_RF',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_IST_RF'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'KBK_IST_RF','   ','STRING',10,0,0,0,'KBK_IST_RF','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '. ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'ADD_KLASS','. ','STRING',20,0,0,0,'ADD_KLASS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LOCAL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'LOCAL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LOCAL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'LOCAL',' ','STRING',20,0,0,0,'LOCAL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SERVICE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= ', ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SERVICE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SERVICE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'SERVICE',', ','STRING',20,0,0,0,'SERVICE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PURPOSE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'PURPOSE','   ','STRING',20,0,0,0,'PURPOSE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PROGRAM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PROGRAM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PROGRAM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'PROGRAM','   ','STRING',20,0,0,0,'PROGRAM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM1')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM1',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM1'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'SUM1','  ','NUMBER2',NULL,1,0,0,'SUM1','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM2')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM2',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM2'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'SUM2','  ','NUMBER2',NULL,1,0,0,'SUM2','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM3')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM3',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM3'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'SUM3','  ','NUMBER2',NULL,1,0,0,'SUM3','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM4')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM4',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM4'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'SUM4','  ','NUMBER2',NULL,1,0,0,'SUM4','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM5')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM5',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM5'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'SUM5','  ','NUMBER2',NULL,1,0,0,'SUM5','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM6')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM6',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM6'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'SUM6','  ','NUMBER2',NULL,1,0,0,'SUM6','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM7')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM7',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM7'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'SUM7','  ','NUMBER2',NULL,1,0,0,'SUM7','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM8')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM8',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM8'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'SUM8','  ','NUMBER2',NULL,1,0,0,'SUM8','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM9')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM9',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM9'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'SUM9','  ','NUMBER2',NULL,1,0,0,'SUM9','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM10')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM10',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM10'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'SUM10','  ','NUMBER2',NULL,1,0,0,'SUM10','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM11')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM11',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM11'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'SUM11','  ','NUMBER2',NULL,1,0,0,'SUM11','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM12')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM12',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM12'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'SUM12','  ','NUMBER2',NULL,1,0,0,'SUM12','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR01',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'SUM_YEAR01','   ','NUMBER2',0,1,0,0,'SUM_YEAR01','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR02',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'SUM_YEAR02','   ','NUMBER2',NULL,1,0,0,'SUM_YEAR02','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR03',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'SUM_YEAR03','   ','NUMBER2',NULL,1,0,0,'SUM_YEAR03','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'KOD_BP','  ','STRING',5,1,1,1,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 29,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 29,'NAME_BP',' ','STRING',512,0,1,1,'NAME_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 30,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ACC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 30,'ACC_RCP','  ','STRING',20,0,1,1,'ACC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP_KIND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 31,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_RCP_KIND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP_KIND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 31,'ACC_RCP_KIND','   ','STRING',1,1,0,0,'ACC_RCP_KIND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_CODE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 32,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SRO_CODE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_CODE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 32,'SRO_CODE','  ','STRING',100,0,0,0,'SRO_CODE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_NAME')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 33,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 6000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SRO_NAME',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_NAME'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 33,'SRO_NAME','  ','STRING',6000,0,0,0,'SRO_NAME','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'STR_TYPE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 34,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'STR_TYPE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'STR_TYPE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 34,'STR_TYPE',' ','STRING',2,1,0,0,'STR_TYPE','',''
GO

GO
update EXPORT_MODELS set DATE_END   = '20150331' where MODEL_VER = '2012.02' AND CODE = 'LB'
delete from EXPORT_MODELS where MODEL_VER = '2015.04' AND CODE = 'LB'
DECLARE @varKSModelLink INT,
	@varKSBlockLink INT
SELECT @varKSModelLink = LINK_MODEL FROM dbo.EXPORT_MODELS WHERE MODEL_VER = '2015.04' AND CODE = 'LB'
IF @varKSModelLink is null
begin
	INSERT INTO EXPORT_MODELS(CODE, NAME, MODEL_VER, ISONCE, NORM_DOC, FILE_NAME_MASK, FILE_NAME_PROC, PROC_EXP, PROC_DOP_PARAM, DEP_NAME, PROG_SAVE, DATE_END)
	SELECT 'LB','  ','2015.04',0,'','XXXXXDNN.TTM','fb_file_name_doc','FB_EXPORT_BR_15','cObjCode','KOD_BP','bb_import_br16()',NULL 
	SET @varKSModelLink = @@IDENTITY
end
else
	update EXPORT_MODELS
	set 	ISONCE = 0,
		NAME   = '  ',
		NORM_DOC   = '',
		FILE_NAME_MASK   = 'XXXXXDNN.TTM',
		FILE_NAME_PROC   = 'fb_file_name_doc',
		PROC_EXP   = 'FB_EXPORT_BR_15',
		PROC_DOP_PARAM   = 'cObjCode',
		PROG_SAVE   = 'bb_import_br16()',
		DEP_NAME   = 'KOD_BP',
		DATE_END   = NULL
	where LINK_MODEL = @varKSModelLink
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'KS'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'KS',1,0,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 1,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NUM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NUM_VER','  ','STRING',10,0,1,1,'NUM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORMER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'FORMER','  ,  ','STRING',50,0,0,1,'FORMER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'FORM_VER','  ','STRING',10,0,0,1,'FORM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ,   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NORM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NORM_DOC','  ,   ','STRING',250,0,0,0,'NORM_DOC','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FROM'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FROM',2,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 2,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_BP','   ','STRING',5,0,0,0,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NM_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_BP','   ','STRING',512,0,0,0,'NM_BP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'TO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'TO',3,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 3,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_BP','  - ','STRING',5,1,0,0,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '   - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NM_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_BP','   - ','STRING',512,0,0,0,'NM_BP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RL'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RL',4,2,'   ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 4,
			ISONCE = 2,
			NAME   = '   ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'GUID',
		VAL_LEN 	= 36,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'GUID','  ','GUID',36,1,0,0,'GUID','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PERIOD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'PERIOD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PERIOD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'PERIOD',' ','STRING',1,1,1,1,'PERIOD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_RL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_RL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_RL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'TYPE_RL',' ','STRING',1,1,1,1,'TYPE_RL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_RL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_RL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_RL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'VID_RL',' ','STRING',1,1,1,1,'VID_RL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUMBER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NUMBER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUMBER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'NUMBER',' ','STRING',15,0,0,0,'NUMBER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= '',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'DATE','','DATE',NULL,1,1,1,'DATE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_EXEC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_EXEC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_EXEC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'DATE_EXEC','   ','DATE',NULL,1,1,0,'DATE_EXEC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_RBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_RBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_RBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'KOD_RBS',' ','STRING',5,1,0,0,'KOD_RBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RBS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_RBS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RBS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'NAME_RBS',' ','STRING',512,0,0,0,'NAME_RBS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_NUM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ACC_NUM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_NUM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'ACC_NUM','  ','STRING',20,0,0,1,'ACC_NUM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_SEND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'ACC_SEND','  ','STRING',20,0,0,0,'ACC_SEND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND_KIND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 12,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_SEND_KIND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_SEND_KIND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 12,'ACC_SEND_KIND','   ','STRING',1,1,0,0,'ACC_SEND_KIND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'IST')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'IST',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'IST'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'IST',' ','STRING',20,0,0,0,'IST','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= ' 1- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR01',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'SUM_YEAR01',' 1- ','NUMBER2',NULL,0,1,2,'SUM_YEAR01','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= ' 2- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR02',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'SUM_YEAR02',' 2- ','NUMBER2',0,0,1,2,'SUM_YEAR02','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= ' 3- ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 2,
		ALIAS_CODE	= 'SUM_YEAR03',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'SUM_YEAR03',' 3- ','NUMBER2',0,0,1,2,'SUM_YEAR03','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PRIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'PRIM','  ','STRING',512,0,0,0,'PRIM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_IZM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'VID_IZM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_IZM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'VID_IZM',' ','STRING',10,0,0,0,'VID_IZM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'NAME_BUD',' ','STRING',512,0,0,0,'NAME_BUD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOP_UKAZ')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOP_UKAZ',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOP_UKAZ'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'DOP_UKAZ',' ','STRING',512,0,0,0,'DOP_UKAZ','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_SIGN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_SIGN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_SIGN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'DATE_SIGN','  ','DATE',0,0,0,0,'DATE_SIGN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS_DOL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BOSS_DOL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS_DOL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'BOSS_DOL',' ','STRING',100,0,0,0,'BOSS_DOL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BOSS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BOSS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'BOSS',' ','STRING',50,0,0,0,'BOSS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_DOL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_DOL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_DOL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'ISP_DOL',' ','STRING',100,0,0,0,'ISP_DOL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_FIO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_FIO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_FIO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'ISP_FIO',' ','STRING',50,0,0,0,'ISP_FIO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_PHONE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ISP_PHONE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ISP_PHONE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'ISP_PHONE',' ','STRING',20,0,0,0,'ISP_PHONE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CORRECTION')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'CORRECTION',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CORRECTION'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'CORRECTION',' ','NUMBER',2,0,0,0,'CORRECTION','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ANALITICS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ANALITICS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ANALITICS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'ANALITICS',' ','STRING',250,0,0,0,'ANALITICS','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RLO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RLO',5,2,' ',0
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 5,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 0
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 30,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NOM_OSNOV',' ','STRING',30,0,1,1,'NOM_OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'DATE_OSNOV',' ','DATE',0,0,0,1,'DATE_OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNOV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'OSNOV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNOV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'OSNOV',' -','STRING',254,0,0,1,'OSNOV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PRIM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'PRIM','','STRING',254,0,0,0,'PRIM','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'RLST'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'RLST',6,2,'      ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 6,
			ISONCE = 2,
			NAME   = '      ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'TYPE_KBK',' ','STRING',2,1,1,1,'TYPE_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KBK','','STRING',20,1,1,1,'KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_IST_RF')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK_IST_RF',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_IST_RF'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'KBK_IST_RF','   ','STRING',10,0,0,0,'KBK_IST_RF','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '. ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'ADD_KLASS','. ','STRING',20,0,0,0,'ADD_KLASS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LOCAL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'LOCAL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LOCAL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'LOCAL',' ','STRING',20,0,0,0,'LOCAL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SERVICE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= ', ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SERVICE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SERVICE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'SERVICE',', ','STRING',20,0,0,0,'SERVICE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PURPOSE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'PURPOSE','   ','STRING',20,0,0,0,'PURPOSE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PROGRAM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PROGRAM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PROGRAM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'PROGRAM','   ','STRING',20,0,0,0,'PROGRAM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM1')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM1',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM1'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'SUM1','  ','NUMBER2',NULL,1,0,0,'SUM1','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM2')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM2',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM2'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'SUM2','  ','NUMBER2',NULL,1,0,0,'SUM2','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM3')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM3',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM3'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'SUM3','  ','NUMBER2',NULL,1,0,0,'SUM3','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM4')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM4',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM4'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'SUM4','  ','NUMBER2',NULL,1,0,0,'SUM4','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM5')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM5',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM5'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'SUM5','  ','NUMBER2',NULL,1,0,0,'SUM5','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM6')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM6',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM6'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'SUM6','  ','NUMBER2',NULL,1,0,0,'SUM6','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM7')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM7',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM7'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'SUM7','  ','NUMBER2',NULL,1,0,0,'SUM7','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM8')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM8',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM8'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'SUM8','  ','NUMBER2',NULL,1,0,0,'SUM8','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM9')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM9',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM9'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'SUM9','  ','NUMBER2',NULL,1,0,0,'SUM9','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM10')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM10',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM10'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'SUM10','  ','NUMBER2',NULL,1,0,0,'SUM10','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM11')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM11',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM11'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'SUM11','  ','NUMBER2',NULL,1,0,0,'SUM11','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM12')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM12',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM12'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'SUM12','  ','NUMBER2',NULL,1,0,0,'SUM12','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR01',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR01'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'SUM_YEAR01','   ','NUMBER2',0,1,0,0,'SUM_YEAR01','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR02',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR02'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'SUM_YEAR02','   ','NUMBER2',NULL,1,0,0,'SUM_YEAR02','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_YEAR03',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_YEAR03'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'SUM_YEAR03','   ','NUMBER2',NULL,1,0,0,'SUM_YEAR03','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'KOD_BP','  ','STRING',5,1,1,1,'KOD_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 29,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_BP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 29,'NAME_BP',' ','STRING',512,0,1,1,'NAME_BP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 30,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ACC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 30,'ACC_RCP','  ','STRING',20,0,1,1,'ACC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP_KIND')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 31,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ACC_RCP_KIND',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ACC_RCP_KIND'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 31,'ACC_RCP_KIND','   ','STRING',1,1,0,0,'ACC_RCP_KIND','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_CODE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 32,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SRO_CODE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_CODE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 32,'SRO_CODE','  ','STRING',100,0,0,0,'SRO_CODE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_NAME')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 33,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 6000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SRO_NAME',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SRO_NAME'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 33,'SRO_NAME','  ','STRING',6000,0,0,0,'SRO_NAME','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'STR_TYPE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 34,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'STR_TYPE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'STR_TYPE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 34,'STR_TYPE',' ','STRING',2,1,0,0,'STR_TYPE','',''
GO

GO
update EXPORT_MODELS set DATE_END   = '20160327' where MODEL_VER = 'TXPP150101' AND CODE = 'PP'
DECLARE @varKSModelLink INT,
	@varKSBlockLink INT
SELECT @varKSModelLink = LINK_MODEL FROM dbo.EXPORT_MODELS WHERE MODEL_VER = 'TXPP160328' AND CODE = 'PP'
IF @varKSModelLink is null
begin
	INSERT INTO EXPORT_MODELS(CODE, NAME, MODEL_VER, ISONCE, NORM_DOC, FILE_NAME_MASK, FILE_NAME_PROC, PROC_EXP, PROC_DOP_PARAM, DEP_NAME, PROG_SAVE, DATE_END)
	SELECT 'PP',' ','TXPP160328',0,'','XXXXXDNN.TTM','fb_file_name_doc','BB_EXPORT_PP','cModelVer','KOD_UBP','bb_import_PP()',NULL 
	SET @varKSModelLink = @@IDENTITY
end
else
	update EXPORT_MODELS
	set 	ISONCE = 0,
		NAME   = ' ',
		NORM_DOC   = '',
		FILE_NAME_MASK   = 'XXXXXDNN.TTM',
		FILE_NAME_PROC   = 'fb_file_name_doc',
		PROC_EXP   = 'BB_EXPORT_PP',
		PROC_DOP_PARAM   = 'cModelVer',
		PROG_SAVE   = 'bb_import_PP()',
		DEP_NAME   = 'KOD_UBP',
		DATE_END   = NULL
	where LINK_MODEL = @varKSModelLink
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FK'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FK',1,0,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 1,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NUM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NUM_VER','  ','STRING',10,0,1,1,'NUM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORMER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'FORMER','  ,  ','STRING',50,0,0,1,'FORMER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'FORM_VER','  ','STRING',10,0,0,1,'FORM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ,   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NORM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NORM_DOC','  ,   ','STRING',250,0,0,0,'NORM_DOC','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FROM'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FROM',2,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 2,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BUDG_LEVEL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'BUDG_LEVEL',' ','STRING',1,1,0,1,'BUDG_LEVEL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KOD_UBP',' ','STRING',5,1,1,1,'KOD_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'NAME_UBP',' ','STRING',254,0,1,1,'NAME_UBP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'TO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'TO',3,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 3,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_TOFK',' ','STRING',4,1,1,1,'KOD_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_TOFK',' ','STRING',2000,0,1,1,'NAME_TOFK','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'PP'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'PP',4,0,'',0
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 4,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 0
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'DATE','','DATE',0,0,1,1,'DATE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KOL',' ','NUMBER',5,1,1,1,'KOL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_TOTAL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUM_TOTAL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_TOTAL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'SUM_TOTAL',' ','NUMBER2',0,0,1,1,'SUM_TOTAL','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'PPT'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'PPT',5,2,' ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 5,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_PP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_PP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_PP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NOM_PP','  ','STRING',10,0,1,1,'NOM_PP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_PP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_PP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_PP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'DATE_PP','  ','DATE',0,1,1,1,'DATE_PP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_PP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUM_PP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_PP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'SUM_PP','  ','NUMBER2',0,1,1,1,'SUM_PP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'VID_PL',' ','STRING',1,1,1,1,'VID_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_OPER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' .',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_OPER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_OPER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'VID_OPER',' .','STRING',2,1,1,1,'VID_OPER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 12,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'INN_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'INN_PAY',' ','STRING',12,0,1,1,'INN_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KPP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'KPP_PAY',' ','STRING',9,1,1,1,'KPP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CNAME_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'CNAME_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CNAME_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'CNAME_PAY',' ','STRING',160,0,1,1,'CNAME_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BS_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'BS_PAY','  ','STRING',20,1,1,1,'BS_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BIC_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'BIC_PAY','  ','STRING',9,1,1,1,'BIC_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 12,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_BIC_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 12,'NAME_BIC_PAY','  ','STRING',160,0,1,1,'NAME_BIC_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_KS_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= '    ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BS_KS_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_KS_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'BS_KS_PAY','    ','STRING',20,1,1,0,'BS_KS_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 12,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'INN_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'INN_RCP',' ','STRING',12,0,0,0,'INN_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KPP_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'KPP_RCP',' ','STRING',9,0,0,0,'KPP_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'CNAME_UBP_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'CNAME_UBP_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'CNAME_UBP_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'CNAME_UBP_RCP',' ','STRING',160,0,1,1,'CNAME_UBP_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BS_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'BS_RCP','  ','STRING',20,0,0,0,'BS_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BIC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'BIC_RCP','  ','STRING',9,1,1,1,'BIC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_BIC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'NAME_BIC_RCP','  ','STRING',160,0,1,1,'NAME_BIC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_KS_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BS_KS_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_KS_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'BS_KS_RCP','  ','STRING',20,1,0,0,'BS_KS_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= ' ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'DATE_PAY',' ','DATE',0,0,0,0,'DATE_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ORDER_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ORDER_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ORDER_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'ORDER_PAY',' ','STRING',1,1,1,1,'ORDER_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'UIN_CODE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 25,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'UIN_CODE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'UIN_CODE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'UIN_CODE','','STRING',25,0,0,0,'UIN_CODE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 210,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'PURPOSE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'PURPOSE',' ','STRING',210,0,1,1,'PURPOSE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PAYSTATUS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PAYSTATUS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PAYSTATUS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'PAYSTATUS','   ','STRING',2,0,0,0,'PAYSTATUS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'KBK','  ','STRING',20,0,0,0,'KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OKATO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OKATO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OKATO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'OKATO',' ','STRING',11,0,0,0,'OKATO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNPLAT')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OSNPLAT',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSNPLAT'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'OSNPLAT','  ','STRING',2,0,0,0,'OSNPLAT','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAL_PER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 29,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAL_PER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAL_PER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 29,'NAL_PER','  ','STRING',10,0,0,0,'NAL_PER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_DOK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 30,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NUM_DOK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_DOK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 30,'NUM_DOK','  ','STRING',15,0,0,0,'NUM_DOK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 31,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_DOK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 31,'DATE_DOK','  ','STRING',10,0,0,0,'DATE_DOK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 32,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TYPE_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 32,'TYPE_PL',' ','STRING',2,0,0,0,'TYPE_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 33,
		NAME   		= ' - ',
		VAL_TYPE 	= 'GUID',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 33,'GUID_FK',' - ','GUID',0,0,0,0,'GUID_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 34,
		NAME   		= '   -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 34,'KOD_TOFK_PAY','   -','STRING',4,1,1,1,'KOD_TOFK_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 35,
		NAME   		= '  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 35,'NAME_TOFK_PAY','  - ','STRING',2000,0,1,1,'NAME_TOFK_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 36,
		NAME   		= '  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 36,'KOD_UBP_PAY','  - ','STRING',5,1,1,1,'KOD_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 37,
		NAME   		= '   - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 37,'NAME_UBP_PAY','   - ','STRING',2000,0,1,1,'NAME_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 38,
		NAME   		= '/  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'LS_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 38,'LS_PAY','/  - ','STRING',11,1,0,0,'LS_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 39,
		NAME   		= '/  - ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'LS_PAY_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_PAY_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 39,'LS_PAY_RCP','/  - ','STRING',11,1,0,0,'LS_PAY_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRINT_KPP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 40,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PRINT_KPP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRINT_KPP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 40,'PRINT_KPP','  ','STRING',1,1,0,0,'PRINT_KPP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIZ')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 41,
		NAME   		= '     ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'PRIZ',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PRIZ'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 41,'PRIZ','     ','STRING',1,1,1,1,'PRIZ','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'PPST'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'PPST',6,2,'     ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 6,
			ISONCE = 2,
			NAME   = '     ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KBK','  ','STRING',20,1,0,0,'KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'TYPE_KBK',' ','STRING',2,1,1,1,'TYPE_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'ADD_KLASS','  ','STRING',20,0,0,0,'ADD_KLASS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'ADD_KLASS_RCP','  ','STRING',20,0,0,0,'ADD_KLASS_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= '',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'SUM','','NUMBER2',0,1,1,1,'SUM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DIR_SUM')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DIR_SUM',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DIR_SUM'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'DIR_SUM',' -','STRING',1,1,1,1,'DIR_SUM','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'MES_FIN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'MES_FIN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'MES_FIN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'MES_FIN',' -','STRING',2,1,0,0,'MES_FIN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'REZERV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 40,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'REZERV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'REZERV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'REZERV',' ','STRING',40,0,0,0,'REZERV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_FIN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_FIN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_FIN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'KOD_FIN','  ','STRING',1,1,0,0,'KOD_FIN','',''
GO

GO
update EXPORT_MODELS set DATE_END   = '20160327' where MODEL_VER = 'TXZR160101' AND CODE = 'ZR'
DECLARE @varKSModelLink INT,
	@varKSBlockLink INT
SELECT @varKSModelLink = LINK_MODEL FROM dbo.EXPORT_MODELS WHERE MODEL_VER = 'TXZR160328' AND CODE = 'ZR'
IF @varKSModelLink is null
begin
	INSERT INTO EXPORT_MODELS(CODE, NAME, MODEL_VER, ISONCE, NORM_DOC, FILE_NAME_MASK, FILE_NAME_PROC, PROC_EXP, PROC_DOP_PARAM, DEP_NAME, PROG_SAVE, DATE_END)
	SELECT 'ZR','   ','TXZR160328',0,'','XXXXXDNN.TTM','fb_file_name_doc','BB_EXPORT_ZKR_16','cModelVer','KOD_UBP','bb_import_zkr()',NULL 
	SET @varKSModelLink = @@IDENTITY
end
else
	update EXPORT_MODELS
	set 	ISONCE = 0,
		NAME   = '   ',
		NORM_DOC   = '',
		FILE_NAME_MASK   = 'XXXXXDNN.TTM',
		FILE_NAME_PROC   = 'fb_file_name_doc',
		PROC_EXP   = 'BB_EXPORT_ZKR_16',
		PROC_DOP_PARAM   = 'cModelVer',
		PROG_SAVE   = 'bb_import_zkr()',
		DEP_NAME   = 'KOD_UBP',
		DATE_END   = NULL
	where LINK_MODEL = @varKSModelLink
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FK'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FK',1,0,'',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 1,
			ISONCE = 0,
			NAME   = '',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NUM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NUM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'NUM_VER','  ','STRING',10,0,1,1,'NUM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ,  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORMER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORMER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'FORMER','  ,  ','STRING',50,0,0,1,'FORMER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'FORM_VER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FORM_VER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'FORM_VER','  ','STRING',10,0,0,1,'FORM_VER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ,   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NORM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NORM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'NORM_DOC','  ,   ','STRING',250,0,0,0,'NORM_DOC','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'FROM'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'FROM',2,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 2,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'BUDG_LEVEL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BUDG_LEVEL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'BUDG_LEVEL',' ','STRING',1,1,0,1,'BUDG_LEVEL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'KOD_UBP',' ','STRING',5,1,1,1,'KOD_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'NAME_UBP',' ','STRING',254,0,1,1,'NAME_UBP','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'TO'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'TO',3,0,'    ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 3,
			ISONCE = 0,
			NAME   = '    ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_TOFK',' ','STRING',4,1,1,1,'KOD_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'NAME_TOFK',' ','STRING',2000,0,1,1,'NAME_TOFK','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZR'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZR',4,2,' ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 4,
			ISONCE = 2,
			NAME   = ' ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 36,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'GUID_FK','  ','STRING',36,0,0,0,'GUID_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'TYPE',' ','STRING',1,1,1,1,'TYPE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZR')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_ZR',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZR'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'NOM_ZR',' ','STRING',15,0,1,1,'NOM_ZR','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ZR')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_ZR',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ZR'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'DATE_ZR',' ','DATE',0,1,1,1,'DATE_ZR','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 5,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'KOD_UBP_PAY',' ','STRING',5,0,0,0,'KOD_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'NAME_UBP_PAY',' ','STRING',2000,0,1,1,'NAME_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_UBP_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   .',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'LS_UBP_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_UBP_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'LS_UBP_PAY','   .','STRING',11,1,1,1,'LS_UBP_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'INN_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'INN_UBP',' ','STRING',10,1,0,0,'INN_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KPP_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'KPP_UBP',' ','STRING',9,1,0,0,'KPP_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GLAVA_GRS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 3,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GLAVA_GRS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GLAVA_GRS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'GLAVA_GRS','  ','STRING',3,1,0,0,'GLAVA_GRS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_GRS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '  ()',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_UBP_GRS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_UBP_GRS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'NAME_UBP_GRS','  ()','STRING',2000,0,1,0,'NAME_UBP_GRS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 12,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUD',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUD'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 12,'NAME_BUD',' ','STRING',512,0,0,0,'NAME_BUD','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_FO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 13,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_FO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_FO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 13,'NAME_FO','  ','STRING',2000,0,1,0,'NAME_FO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OKPO_FO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 14,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 8,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OKPO_FO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OKPO_FO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 14,'OKPO_FO','  ','STRING',8,1,0,0,'OKPO_FO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 15,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 4,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 15,'KOD_TOFK','  ','STRING',4,1,1,1,'KOD_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 16,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2000,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_TOFK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_TOFK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 16,'NAME_TOFK','  ','STRING',2000,0,1,1,'NAME_TOFK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ISP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 17,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_ISP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_ISP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 17,'DATE_ISP','  ','DATE',0,1,1,0,'DATE_ISP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_SV')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 18,
		NAME   		= '  "-    -",   ',
		VAL_TYPE 	= 'GUID',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'GUID_SV',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'GUID_SV'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 18,'GUID_SV','  "-    -",   ','GUID',0,0,0,0,'GUID_SV','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_BO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 19,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 19,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_BO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_BO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 19,'NOM_BO',' ','STRING',19,1,0,0,'NOM_BO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_ISP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 20,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KOD_ISP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_ISP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 20,'KOD_ISP','  ','STRING',1,1,0,0,'KOD_ISP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PR_ISP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 21,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 250,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PR_ISP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PR_ISP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 21,'PR_ISP',' ','STRING',250,0,0,0,'PR_ISP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'FAIP_CODE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 22,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 14,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'FAIP_CODE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'FAIP_CODE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 22,'FAIP_CODE','   ','STRING',14,1,0,0,'FAIP_CODE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_V')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 23,
		NAME   		= '    ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUM_V',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_V'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 23,'SUM_V','    ','NUMBER2',0,1,0,1,'SUM_V','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_V')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 24,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 3,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_V',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_V'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 24,'KOD_V','   ','STRING',3,1,0,1,'KOD_V','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_DOC')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 25,
		NAME   		= ' ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_DOC',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_DOC'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 25,'SUM_DOC',' ','NUMBER2',0,1,1,0,'SUM_DOC','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_AP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 26,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'TYPE_AP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_AP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 26,'TYPE_AP','  ','STRING',1,1,0,1,'TYPE_AP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ORDER_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 27,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'ORDER_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ORDER_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 27,'ORDER_PL',' ','STRING',1,1,1,1,'ORDER_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 28,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 28,'VID_PL',' ','STRING',1,1,1,1,'VID_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 29,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 210,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'PURPOSE',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 29,'PURPOSE',' ','STRING',210,0,1,1,'PURPOSE','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 30,
		NAME   		= ' /  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 30,'NAME_RCP',' /  ','STRING',160,0,1,1,'NAME_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 31,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 12,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'INN_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'INN_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 31,'INN_RCP',' ','STRING',12,0,1,1,'INN_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 32,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 1,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KPP_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KPP_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 32,'KPP_RCP',' ','STRING',9,0,1,1,'KPP_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_UBP_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 33,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'LS_UBP_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'LS_UBP_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 33,'LS_UBP_RCP','  ','STRING',11,1,0,0,'LS_UBP_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 34,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 34,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BS_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BS_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 34,'BS_RCP','  ','STRING',34,0,0,0,'BS_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 35,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 160,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_BIC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BIC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 35,'NAME_BIC_RCP','  ','STRING',160,0,0,1,'NAME_BIC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 36,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 9,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'BIC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'BIC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 36,'BIC_RCP','  ','STRING',9,1,0,0,'BIC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KS_BIC_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 37,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 34,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KS_BIC_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KS_BIC_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 37,'KS_BIC_RCP','  ','STRING',34,0,0,0,'KS_BIC_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PAYSTATUS')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 38,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PAYSTATUS',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PAYSTATUS'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 38,'PAYSTATUS',' ','STRING',2,1,0,0,'PAYSTATUS','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KDOH')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 39,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KDOH',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KDOH'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 39,'KDOH','  ','STRING',20,0,0,0,'KDOH','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OKATO')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 40,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 11,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OKATO',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OKATO'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 40,'OKATO',' ','STRING',11,0,0,0,'OKATO','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 41,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OSN_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 41,'OSN_PL','  ','STRING',2,0,0,0,'OSN_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAL_PER')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 42,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAL_PER',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAL_PER'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 42,'NAL_PER','  ','STRING',10,0,0,0,'NAL_PER','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_DOK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 43,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_DOK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_DOK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 43,'NOM_DOK','  ','STRING',15,0,0,0,'NOM_DOK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 44,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 10,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_DOK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_DOK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 44,'DATE_DOK','  ','STRING',10,0,0,0,'DATE_DOK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_PL')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 45,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TYPE_PL',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_PL'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 45,'TYPE_PL',' ','STRING',2,0,0,0,'TYPE_PL','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_RUK_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 46,
		NAME   		= '  (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_RUK_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_RUK_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 46,'DOL_RUK_UBP','  (  )','STRING',100,0,0,0,'DOL_RUK_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RUK_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 47,
		NAME   		= '  (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NAME_RUK_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_RUK_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 47,'NAME_RUK_UBP','  (  )','STRING',50,0,0,1,'NAME_RUK_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_BUH_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 48,
		NAME   		= '   (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_BUH_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_BUH_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 48,'DOL_BUH_UBP','   (  )','STRING',100,0,0,0,'DOL_BUH_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUH_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 49,
		NAME   		= '   (  )',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_BUH_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_BUH_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 49,'NAME_BUH_UBP','   (  )','STRING',50,0,0,0,'NAME_BUH_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_POD_UBP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 50,
		NAME   		= '  ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'DATE_POD_UBP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_POD_UBP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 50,'DATE_POD_UBP','  ','DATE',0,0,0,1,'DATE_POD_UBP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZR_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 51,
		NAME   		= '      /  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 15,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOM_ZR_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_ZR_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 51,'NOM_ZR_FK','      /  ','STRING',15,0,0,0,'NOM_ZR_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 52,
		NAME   		= '      /    ',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 52,'DATE_FK','      /    ','DATE',0,1,0,0,'DATE_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 53,
		NAME   		= '      /   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DOL_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DOL_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 53,'DOL_ISP_FK','      /   ','STRING',100,0,0,0,'DOL_ISP_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 54,
		NAME   		= '      /   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NAME_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NAME_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 54,'NAME_ISP_FK','      /   ','STRING',50,0,0,0,'NAME_ISP_FK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TEL_ISP_FK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 55,
		NAME   		= '      /   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TEL_ISP_FK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TEL_ISP_FK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 55,'TEL_ISP_FK','      /   ','STRING',50,0,0,0,'TEL_ISP_FK','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZROSN'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZROSN',5,2,' -',0
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 5,
			ISONCE = 2,
			NAME   = ' -',
			OBLIGATORY = 0
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN_PLAT')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OSN_PLAT',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN_PLAT'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'OSN_PLAT','  ','STRING',1,0,0,0,'OSN_PLAT','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_OSN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 50,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'VID_OSN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'VID_OSN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'VID_OSN',' -','STRING',50,0,0,1,'VID_OSN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 100,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'NOM_OSN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOM_OSN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'NOM_OSN',' -','STRING',100,0,0,1,'NOM_OSN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= ' -',
		VAL_TYPE 	= 'DATE',
		VAL_LEN 	= NULL,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'DATE_OSN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'DATE_OSN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'DATE_OSN',' -','DATE',NULL,0,0,0,'DATE_OSN','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= ' -',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 512,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'OSN',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'OSN'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'OSN',' -','STRING',512,0,0,0,'OSN','',''
set @varKSBlockLink = NULL
select 	@varKSBlockLink = LINK_BLOCK from dbo.EXPORT_BLOCKS where LINK_MODEL = @varKSModelLink and CODE = 'ZRST'
if @varKSBlockLink is null
begin
	INSERT INTO EXPORT_BLOCKS(LINK_MODEL,CODE, ORDERS, ISONCE, NAME, OBLIGATORY)
	SELECT @varKSModelLink,'ZRST',6,2,'       ',1
	SET @varKSBlockLink = @@IDENTITY
end
else
	update EXPORT_BLOCKS
	set 	ORDERS = 6,
			ISONCE = 2,
			NAME   = '       ',
			OBLIGATORY = 1
	where LINK_BLOCK = @varKSBlockLink
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_IST_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 1,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 1,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'KOD_IST_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KOD_IST_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 1,'KOD_IST_KBK',' ','STRING',1,1,0,1,'KOD_IST_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 2,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TYPE_KBK_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 2,'TYPE_KBK_PAY','  ','STRING',2,1,1,0,'TYPE_KBK_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 3,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 3,'KBK_PAY','   ','STRING',20,1,1,0,'KBK_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 4,
		NAME   		= '  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 2,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'TYPE_KBK_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'TYPE_KBK_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 4,'TYPE_KBK_RCP','  ','STRING',2,1,0,0,'TYPE_KBK_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 5,
		NAME   		= '   ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'KBK_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'KBK_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 5,'KBK_RCP','   ','STRING',20,1,0,0,'KBK_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_PAY')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 6,
		NAME   		= '   /  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS_PAY',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_PAY'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 6,'ADD_KLASS_PAY','   /  ','STRING',20,0,0,0,'ADD_KLASS_PAY','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_RCP')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 7,
		NAME   		= '   /  ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 20,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'ADD_KLASS_RCP',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'ADD_KLASS_RCP'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 7,'ADD_KLASS_RCP','   /  ','STRING',20,0,0,0,'ADD_KLASS_RCP','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_V_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 8,
		NAME   		= '   ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 0,
		OBLIGATORY	= 1,
		ALIAS_CODE	= 'SUM_V_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_V_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 8,'SUM_V_KBK','   ','NUMBER2',0,1,0,1,'SUM_V_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_R_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 9,
		NAME   		= '  ',
		VAL_TYPE 	= 'NUMBER2',
		VAL_LEN 	= 0,
		VAL_LEN_EQ	= 1,
		NEED_CHECK	= 1,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'SUM_R_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'SUM_R_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 9,'SUM_R_KBK','  ','NUMBER2',0,1,1,0,'SUM_R_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 10,
		NAME   		= ' ',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 210,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'PURPOSE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'PURPOSE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 10,'PURPOSE_KBK',' ','STRING',210,0,0,0,'PURPOSE_KBK','',''
if exists(select * from EXPORT_FIELDS where LINK_BLOCK = @varKSBlockLink and CODE = 'NOTE_KBK')
	UPDATE EXPORT_FIELDS
	SET 	ORDERS 		= 11,
		NAME   		= '',
		VAL_TYPE 	= 'STRING',
		VAL_LEN 	= 254,
		VAL_LEN_EQ	= 0,
		NEED_CHECK	= 0,
		OBLIGATORY	= 0,
		ALIAS_CODE	= 'NOTE_KBK',
		CHECK_PROC	= '',
		VAL_LIST	= ''
	where LINK_BLOCK = @varKSBlockLink and CODE = 'NOTE_KBK'
else		
	INSERT INTO EXPORT_FIELDS (LINK_BLOCK, ORDERS, CODE, NAME, VAL_TYPE, VAL_LEN, VAL_LEN_EQ, NEED_CHECK, OBLIGATORY, ALIAS_CODE, CHECK_PROC, VAL_LIST)
	SELECT @varKSBlockLink, 11,'NOTE_KBK','','STRING',254,0,0,0,'NOTE_KBK','',''
GO

GO
/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICTIONARY_PAY_DIRECTION')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_PAY_DIRECTION'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_PAY_DIRECTION')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICTIONARY_PAY_DIRECTION', ' ', 39, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICTIONARY_PAY_DIRECTION', NAME = ' ', ORDERS = '39', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICTIONARY_PAY_DIRECTION'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_P_D', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_P_D', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_FLAG_SYS_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_FLAG_SYS_P_D', ' ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_FLAG_SYS_P_D', NAME = ' ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_FLAG_SYS_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_CODE_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_CODE_P_D', '  ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_CODE_P_D', NAME = '  ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_CODE_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_P_D', '', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_P_D', NAME = '', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_FACT_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_FACT_P_D', '   ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_FACT_P_D', NAME = '   ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_FACT_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_ENUM_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_ENUM_P_D', '   ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_ENUM_P_D', NAME = '   ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICTIONARY_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_ENUM_P_D'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICTIONARY_PAY_DIRECTION")'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICTIONARY_PAY_DIRECTION", "SS_DICTIONARY_PAY_DIRECTION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_PAY_DIRECTION'', m.cAlias," CODE, NAME,  DATE_FACT, DATE_ENUM","DICTIONARY_PAY_DIRECTION")'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'EDIT_OBJECT_METHOD', 'x_brow()'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICTIONARY_PAY_DIRECTION'')'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'TITLE_COLUMN_PROP', ' '
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICTIONARY_PAY_DIRECTION'')'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'OPEN_CODE', 'SNAME'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'TYPE_COLUMN_LENGTH', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'DICTIONARY_PAY_DIRECTION', 'HISTORY_DOC_FIELD_NUMBER', 'NULL'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_FLAG_SYS_P_D', 'CONTROLSOURCE', 'm.cAlias + ".FLAG_SYS"'
GO
EXEC X_SET_PROP 'COLUMN_FLAG_SYS_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".FLAG_SYS"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'TITLE', '  '
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROLSOURCE', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'TYPE_FIELD_DICT', 'VARCHAR(2)'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'SHORT_CODE_OBJ', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROL_NAME_EDIT', 'Atxt1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROLSOURCE', 'm.cAlias + ".NAME"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'SHORT_CODE_OBJ', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'TITLE', '   '
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'NAME', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROLSOURCE', 'm.cAlias + ".DATE_FACT"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'ROWSOURCE', '''1.   , 2.  '''
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'TYPE_FIELD_DICT', 'NUMERIC(1,0)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'SHORT_CODE_OBJ', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE_FACT"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROL_NAME_EDIT', 'ACmb3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'REFERENCE_TO_FIELD', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'TITLE', '   '
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'NAME', 'DATE_ENUM'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROLSOURCE', 'm.cAlias + ".DATE_ENUM"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'ROWSOURCE', '''1.   , 2.     '''
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'TYPE_FIELD_DICT', 'NUMERIC(1,0)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'SHORT_CODE_OBJ', 'DATE_ENUM'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE_ENUM"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROL_NAME_EDIT', 'ACmb4'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'REFERENCE_TO_FIELD', 'DATE_ENUM'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICTIONARY_PAY_DIRECTION', '-', 63,0
GO

/****************     " "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICTIONARY_PAY_DIRECTION')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_DICTIONARY_PAY_DIRECTION'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'NV_DICTIONARY_PAY_DIRECTION', ' ', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO


GO
/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'DICT_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_PAY_DIRECTION')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'DICT_PAY_DIRECTION')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'DICT_PAY_DIRECTION'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_PAY_DIRECTION')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'DICT_PAY_DIRECTION', ' ', 39, (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'),1,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'DICT_PAY_DIRECTION', NAME = ' ', ORDERS = '39', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='CATALOG_DICT_SALARY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_DEDUCT'), MANAGED = 1, INHERITED = 1
	WHERE CODE ='DICT_PAY_DIRECTION'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_MARKER_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_MARKER_P_D', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_MARKER_P_D', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_MARKER_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_FLAG_SYS_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_FLAG_SYS_P_D', ' ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_FLAG_SYS_P_D', NAME = ' ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_FLAG_SYS_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_CODE_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_CODE_P_D', '', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_CODE_P_D', NAME = '', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_CODE_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NAME_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NAME_P_D', '', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NAME_P_D', NAME = '', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NAME_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_FACT_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_FACT_P_D', '   ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_FACT_P_D', NAME = '   ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_FACT_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_ENUM_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_ENUM_P_D', '   ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_ENUM_P_D', NAME = '   ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_ENUM_P_D'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_FACT_C_PD')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_FACT_C_PD', '  ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_FACT_C_PD', NAME = '  ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_FACT_C_PD'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_ENUM_C_PD')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_ENUM_C_PD', '  - ', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_ENUM_C_PD', NAME = '  - ', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_ENUM_C_PD'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_COMMENT_P_D')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_COMMENT_P_D', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_COMMENT_P_D', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DICT_PAY_DIRECTION'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_COMMENT_P_D'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'TITLE', ' '
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'INIT_OBJECT_METHOD', 'X_SPISOK("DICT_PAY_DIRECTION")'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'REMOVE_OBJECT_METHOD', 'I_DELETE_RECORDS(m.oForm.Alias, "DICT_PAY_DIRECTION", "SS_DICTIONARY_PAY_DIRECTION_DEL", 4, .F., .F.)'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'SAVE_OBJECT_METHOD', 'X_SAVE(''SS_SAVE_DICTIONARY_PAY_DIRECTION'', m.cAlias," CODE, NAME,  DATE_FACT, DATE_ENUM,COMMENT","DICT_PAY_DIRECTION")'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'EDIT_OBJECT_METHOD', 'X_BROW()'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'SELECT_RECORDS_METHOD', 'X_SELECT_DICTIONS(''DICT_PAY_DIRECTION'')'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'TITLE_COLUMN_PROP', ' '
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'SELECT_RECORDS_METHOD_EDIT', 'X_SELECT_DICTIONS(''DICT_PAY_DIRECTION'')'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'OPEN_CODE', 'SNAME'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'TYPE_COLUMN_LENGTH', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'DICT_PAY_DIRECTION', 'OPERATION_MASK', '24'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'ORDER_NUMBER', '1'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'VISIBLE', '9'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'CONTROLSOURCE', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_MARKER_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CHECKED"'
GO
EXEC X_SET_PROP 'COLUMN_FLAG_SYS_P_D', 'CONTROLSOURCE', 'm.cAlias + ".FLAG_SYS"'
GO
EXEC X_SET_PROP 'COLUMN_FLAG_SYS_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".FLAG_SYS"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROLSOURCE', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'TYPE_FIELD_DICT', 'VARCHAR(2)'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'SHORT_CODE_OBJ', 'CODE'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".CODE"'
GO
EXEC X_SET_PROP 'COLUMN_CODE_P_D', 'CONTROL_NAME_EDIT', 'Atxt1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROLSOURCE', 'm.cAlias + ".NAME"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'SHORT_CODE_OBJ', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME"'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'CONTROL_NAME_EDIT', 'Atxt2'
GO
EXEC X_SET_PROP 'COLUMN_NAME_P_D', 'REFERENCE_TO_FIELD', 'NAME'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'NAME', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROLSOURCE', 'm.cAlias + ".DATE_FACT"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'ROWSOURCE', '''1.   , 2.  '''
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'TYPE_FIELD_DICT', 'NUMERIC(1,0)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'SHORT_CODE_OBJ', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE_FACT"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROL_NAME', '   '
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'CONTROL_NAME_EDIT', 'ACmb3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_P_D', 'REFERENCE_TO_FIELD', 'DATE_FACT'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'NAME', 'DATE_ENUM'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROLSOURCE', 'm.cAlias + ".DATE_ENUM"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'ROWSOURCE', '''1.   , 2.     '''
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'TYPE_FIELD_DICT', 'NUMERIC(1,0)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'SHORT_CODE_OBJ', 'DATE_ENUM'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE_ENUM"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'CONTROL_NAME_EDIT', 'ACmb4'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_P_D', 'REFERENCE_TO_FIELD', 'DATE_ENUM'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'CONTROLSOURCE', 'm.cAlias + ".DATE_FACT_C"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'CONTROL_TYPE', '0'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'FIELD_IN_ALIAS', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'TYPE_FIELD_DICT', 'varchar(50)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_FACT_C_PD', 'CONTROL_NAME', '   '
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'CONTROLSOURCE', 'm.cAlias + ".DATE_ENUM_C"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'TYPE_FIELD_DICT', 'varchar(50)'
GO
EXEC X_SET_PROP 'COLUMN_DATE_ENUM_C_PD', 'CONTROL_NAME_EDIT', '
'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'NAME', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'CONTROLSOURCE', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'STORAGE', 'DICTION_APP'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'SHORT_CODE_OBJ', 'COMMENT'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMMENT"'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'CONTROL_NAME_EDIT', 'Atxt5'
GO
EXEC X_SET_PROP 'COLUMN_COMMENT_P_D', 'REFERENCE_TO_FIELD', 'COMMENT'
GO

/****************     *************/
EXEC DBO.W_SPERM_WRITE 'DICT_PAY_DIRECTION', '-', 63,0
GO

/****************     " "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = '')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'DICT_PAY_DIRECTION')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SAL_DICTIONS' AND NAME = ''))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_DICTIONARY_PAY_DIRECTION'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'NV_DICTIONARY_PAY_DIRECTION', ' ', @ORD, NULL, 1, @LINK_SELF, 'DICTIONARY', @OBJECT, @LINK_VAR, 3
GO


GO
/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_DATE_PAY_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_DATE_PAY_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_DATE_PAY_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_DATE_PAY_PR')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_DATE_PAY_PR'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_DATE_PAY_PR')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_DATE_PAY_PR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_DATE_PAY_PR', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_DATE_PAY_PR', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_DATE_PAY_PR'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'CONTROLSOURCE', 'm.cAlias + ".DATE_PAY"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'TYPE_FIELD_DICT', 'datetime'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".DATE_PAY"'
GO
EXEC X_SET_PROP 'COLUMN_DATE_PAY_PR', 'CONTROL_NAME_EDIT', 'Aseldate03'
GO

/****************     *************/

GO

/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PAY_DIRECT_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PAY_DIRECT_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PAY_DIRECT_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PAY_DIRECT_PR')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PAY_DIRECT_PR'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PAY_DIRECT_PR')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_PAY_DIRECT_PR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_PAY_DIRECT_PR', ' ', 41, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_PAY_DIRECT_PR', NAME = ' ', ORDERS = '41', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_PAY_DIRECT_PR'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DICT_PAY_DIRECTION'', oForm.ALIAS, ''LINK,CODE,NAME'', ''LINK_PD,CODE_PD,NAME_PD'', '''', '''', '''', .T., 1, oForm, oObj, "")'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'CONTROLSOURCE', 'm.cAlias + ".NAME_PD"'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'OPERATE_METHOD', 'x_edit_rec(''DICT_PAY_DIRECTION'',EVALUATE(m.cAliasOperate+''.LINK_PD''))'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'TYPE_FIELD_DICT', 'VARCHAR(50)'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NAME_PD"'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'CONTROL_NAME_EDIT', 'Apageframe1.Page1.Asel_spr12'
GO
EXEC X_SET_PROP 'COLUMN_PAY_DIRECT_PR', 'COMMENTARY', '     " ".       ,     .     6'
GO

/****************     *************/

GO


-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NUM_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NUM_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NUM_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NUM_PR')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NUM_PR'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NUM_PR')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NDFL_NUM_PR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NDFL_NUM_PR', ' ', 42, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NDFL_NUM_PR', NAME = ' ', ORDERS = '42', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NDFL_NUM_PR'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'EDIT_OBJECT_METHOD', 'A_VIBOR_01 (''DOCUMENTS_INCOME_TAX'', oForm.ALIAS,"LINK,NUMBER,''''+LTRIM(RTRIM(NUMBER))+''  '' +CONVERT(VARCHAR(10),DATE,104)+ '',''+LTRIM(RTRIM(NAME_PAY))+'',  :''+LTRIM(RTRIM(STR(MONTH_BASE)))+'' .''+LTRIM(RTRIM(STR(year_base)))+'' ''",''LINK_NDFL,NUM_NDFL, NDFL_C'','''',''''," link in ( SELECT link FROM dbo.documents_inctax_table WHERE  ref_empl IN ( select LINK from DBO.BUFFER WHERE ID = ''"+''SELECT_DOC_NDFL''+"'')) and  month_base =  " + alltrim(STR(EVALUATE(oform.alias+".month_base"))) + "  and year_base =  " + alltrim(STR(EVALUATE(oform.alias+".year_base"))) + " ", .T., 1, oForm, oObj, "")
'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'CONTROLSOURCE', 'm.cAlias + ".NUM_NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'OPERATE_METHOD', 'x_edit_rec(''DOCUMENTS_INCOME_TAX     '',EVALUATE(m.cAliasOperate+''.LINK_NDFL''))'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'TYPE_FIELD_DICT', 'VARCHAR(10)'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUM_NDFL"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'CONTROL_NAME_EDIT', 'Apageframe1.Page1.Asel_spr13'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'COMMENTARY', '       ,     6.       ,   6      13%.      -               .'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NUM_PR', 'ASPTYPE', '    ,     " ".     6.'
GO

/****************     *************/
GO



/****** :  ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NAME_DED_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NAME_DED_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NAME_DED_PR')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_NDFL_NAME_DED_PR')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NAME_DED_PR'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_NDFL_NAME_DED_PR')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_NDFL_NAME_DED_PR')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_NDFL_NAME_DED_PR', ' ', 43, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_NDFL_NAME_DED_PR', NAME = ' ', ORDERS = '43', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_DED_PAYROLL'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_NDFL_NAME_DED_PR'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'TITLE', ' '
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'VISIBLE', '2'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'CONTROLSOURCE', 'm.cAlias + ".NDFL_C"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'OPERATE_METHOD', 'x_edit_rec(''DOCUMENTS_INCOME_TAX'',EVALUATE(m.cAliasOperate+''.LINK_NDFL''))'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'TYPE_FIELD_DICT', 'VARCHAR(60)'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NDFL_C"'
GO
EXEC X_SET_PROP 'COLUMN_NDFL_NAME_DED_PR', 'CONTROL_NAME_EDIT', 'Apageframe1.Page1.Atextbox12'
GO

/****************     *************/

GO

EXEC X_SET_PROP 'COLUMN_NUMBER_PAYROLL_DED_PR', 'VISIBLE', '2'
GO

GO
---        sa_select_document_list_zb1  -  sd_select_document_list_zb1

EXEC X_SET_PROP 'DOCUMENTS_INCOME_TAX', 'SELECT_RECORDS_METHOD', 'sd_select_document_list_zb1(''DOCUMENTS_INCTAX'')'
GO
---       sa_select_document_list_zb1  -  sd_select_document_list_zb1
EXEC X_SET_PROP 'DOCUMENTS_DED_PAYROLL', 'SELECT_RECORDS_METHOD', 'sd_select_document_list_zb1(''DOCUMENTS_DED_PR'')'
GO

GO
----------  -------------
/****** :   -******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_STATUS_EXCHANGE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_STATUS_EXCHANGE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_STATUS_EXCHANGE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COL_DOC_RKO_STATUS_EXCHANGE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COL_DOC_RKO_STATUS_EXCHANGE', '  -', 29, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_RKO'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COL_DOC_RKO_STATUS_EXCHANGE', NAME = '  -', ORDERS = '29', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_RKO'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COL_DOC_RKO_STATUS_EXCHANGE'
GO
EXEC X_SET_PROP 'COL_DOC_RKO_STATUS_EXCHANGE', 'TITLE', '  -'
GO
EXEC X_SET_PROP 'COL_DOC_RKO_STATUS_EXCHANGE', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COL_DOC_RKO_STATUS_EXCHANGE', 'CONTROLSOURCE', 'm.cAlias + ".STATUS_EX_NAME"'
GO

/****************     *************/

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_RKO_ST_EX_COMM')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_ST_EX_COMM'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_RKO_ST_EX_COMM')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COL_DOC_RKO_ST_EX_COMM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COL_DOC_RKO_ST_EX_COMM', '', 30, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_RKO'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COL_DOC_RKO_ST_EX_COMM', NAME = '', ORDERS = '30', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_RKO'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COL_DOC_RKO_ST_EX_COMM'
GO
EXEC X_SET_PROP 'COL_DOC_RKO_ST_EX_COMM', 'TITLE', ''
GO
EXEC X_SET_PROP 'COL_DOC_RKO_ST_EX_COMM', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COL_DOC_RKO_ST_EX_COMM', 'CONTROLSOURCE', 'm.cAlias + ".ST_EX_COMMENT"'
GO

/****************     *************/

------   
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/****** :   -******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_STATUS_EXCHANGE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_STATUS_EXCHANGE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_STATUS_EXCHANGE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_PROV_STATUS_EXCHANGE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_PROV_STATUS_EXCHANGE', '  -', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_PROV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_PROV_STATUS_EXCHANGE', NAME = '  -', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_PROV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_PROV_STATUS_EXCHANGE'
GO
EXEC X_SET_PROP 'COLUMN_PROV_STATUS_EXCHANGE', 'TITLE', '  -'
GO
EXEC X_SET_PROP 'COLUMN_PROV_STATUS_EXCHANGE', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_PROV_STATUS_EXCHANGE', 'CONTROLSOURCE', 'm.cAlias + ".STATUS_EX_NAME"'
GO

/****************     *************/


--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COLUMN_PROV_ST_EX_COMM')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_ST_EX_COMM'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COLUMN_PROV_ST_EX_COMM')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COLUMN_PROV_ST_EX_COMM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COLUMN_PROV_ST_EX_COMM', '', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_PROV'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COLUMN_PROV_ST_EX_COMM', NAME = '', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='SALARY_PROV'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COLUMN_PROV_ST_EX_COMM'
GO
EXEC X_SET_PROP 'COLUMN_PROV_ST_EX_COMM', 'TITLE', ''
GO
EXEC X_SET_PROP 'COLUMN_PROV_ST_EX_COMM', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COLUMN_PROV_ST_EX_COMM', 'CONTROLSOURCE', 'm.cAlias + ".ST_EX_COMMENT"'
GO

/****************     *************/



-------   ---------------------
--/****** :   -******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_STATUS_EXCHANGE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_STATUS_EXCHANGE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_STATUS_EXCHANGE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COL_DOC_PAY_STATUS_EXCHANGE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COL_DOC_PAY_STATUS_EXCHANGE', '  -', 46, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_PAY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COL_DOC_PAY_STATUS_EXCHANGE', NAME = '  -', ORDERS = '46', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_PAY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COL_DOC_PAY_STATUS_EXCHANGE'
GO
EXEC X_SET_PROP 'COL_DOC_PAY_STATUS_EXCHANGE', 'TITLE', '  -'
GO
EXEC X_SET_PROP 'COL_DOC_PAY_STATUS_EXCHANGE', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COL_DOC_PAY_STATUS_EXCHANGE', 'CONTROLSOURCE', 'm.cAlias + ".STATUS_EX_NAME"'
GO

/****************     *************/

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'COL_DOC_PAY_ST_EX_COMM')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_ST_EX_COMM'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'COL_DOC_PAY_ST_EX_COMM')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='COL_DOC_PAY_ST_EX_COMM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'COL_DOC_PAY_ST_EX_COMM', '', 47, (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_PAY'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'COL_DOC_PAY_ST_EX_COMM', NAME = '', ORDERS = '47', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='DOCUMENTS_PAY'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='COL_DOC_PAY_ST_EX_COMM'
GO
EXEC X_SET_PROP 'COL_DOC_PAY_ST_EX_COMM', 'TITLE', ''
GO
EXEC X_SET_PROP 'COL_DOC_PAY_ST_EX_COMM', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'COL_DOC_PAY_ST_EX_COMM', 'CONTROLSOURCE', 'm.cAlias + ".ST_EX_COMMENT"'
GO

/****************     *************/

-----------------------     ------------------------
--/****** :   -******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR_STATUS_EXCHANGE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_ZAYAVKA_KR_STATUS_EXCHANGE', '  -', 38, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_ZAYAVKA_KR_STATUS_EXCHANGE', NAME = '  -', ORDERS = '38', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_ZAYAVKA_KR_STATUS_EXCHANGE'
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_STATUS_EXCHANGE', 'TITLE', '  -'
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_STATUS_EXCHANGE', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_STATUS_EXCHANGE', 'CONTROLSOURCE', 'm.cAlias + ".STATUS_EX_NAME"'
GO

/****************     *************/

/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR_ST_EX_COMM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_ZAYAVKA_KR_ST_EX_COMM', '', 39, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_ZAYAVKA_KR_ST_EX_COMM', NAME = '', ORDERS = '39', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_ZAYAVKA_KR'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_ZAYAVKA_KR_ST_EX_COMM'
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_ST_EX_COMM', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_ST_EX_COMM', 'VISIBLE', '3'
GO
EXEC X_SET_PROP 'BB_ZAYAVKA_KR_ST_EX_COMM', 'CONTROLSOURCE', 'm.cAlias + ".ST_EX_COMMENT"'
GO

/****************     *************/


GO
/****** : ******/

IF EXISTS( SELECT * FROM DBO.S_OBJECTS WHERE CODE = 'EXPIR_DOP_COM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[SDOC] D INNER JOIN [dbo].[S_OBJECTS] O ON D.[OBJECT] = O.[LINK] WHERE O.CODE = 'EXPIR_DOP_COM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[OBJECT_VAR] V INNER JOIN [dbo].[S_OBJECTS] O ON V.[OBJECT] = O.[LINK] WHERE O.CODE = 'EXPIR_DOP_COM')
	AND NOT EXISTS( SELECT O.LINK FROM [dbo].[DICTION] C INNER JOIN [dbo].[S_OBJECTS] O ON C.[OBJECT] = O.[LINK] WHERE O.CODE = 'EXPIR_DOP_COM')
	
	DELETE FROM DBO.S_OBJECTS WHERE CODE = 'EXPIR_DOP_COM'
ELSE
	DELETE FROM DBO.S_OBJECTS WHERE LINK_SELF IN (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'EXPIR_DOP_COM')	

GO

IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='EXPIR_DOP_COM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'EXPIR_DOP_COM', '', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='KI_EXPIR_DOP'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'EXPIR_DOP_COM', NAME = '', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='KI_EXPIR_DOP'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='EXPIR_DOP_COM'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'TITLE', ''
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'VISIBLE', '15'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'CONTROLSOURCE', 'm.cAlias + ".COMENT"'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'STORAGE', 'DICTION'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'TYPE_FIELD_DICT', 'varchar(254)'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'SHORT_CODE_OBJ', 'COMENT'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".COMENT"'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'CONTROL_NAME_EDIT', 'aedit5'
GO
EXEC X_SET_PROP 'EXPIR_DOP_COM', 'COMMENTARY', ''
GO

/****************     *************/


GO
/****************     "   6"*************/ 

IF EXISTS(SELECT * FROM s_navigator WHERE CODE = 'NV_SQL_REP_6NDFL' AND link_self = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_ESN' AND NAME = '    . ')) 
    DELETE s_navigator WHERE CODE = 'NV_SQL_REP_6NDFL' AND link_self = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_ESN' AND NAME = '    . ')
GO
 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = (SELECT LINK FROM OBJECT_VAR WHERE CODE = 'SQL_REP_6NDFL')

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_MNS' AND NAME = ' ')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'QUERY_SQL')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'SALARY_MNS' AND NAME = ' '))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'NV_SQL_REP_6NDFL'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'NV_SQL_REP_6NDFL', '   6', @ORD, NULL, 1, @LINK_SELF, 'REPORT', @OBJECT, @LINK_VAR, 3
GO


GO

UPDATE dbo.SYNCH_SMETA_SMART_OPT 
SET OPT_NAME = ' ,,', [order] = 3, ACTIVE = 1
WHERE OPT_CODE = 'SAL_OPT_INTEGR_PP_ZKR_EXP'
GO

IF NOT EXISTS (SELECT * FROM dbo.[SYNCH_SMETA_SMART_OPT] WHERE [opt_code]='SAL_OPT_INTEGR_PP_ZKR_EXP') 
INSERT INTO dbo.[SYNCH_SMETA_SMART_OPT]([order], [opt_name], [opt_code], [Active])
VALUES (3, ' ,,', 'SAL_OPT_INTEGR_PP_ZKR_EXP', 1)
GO

UPDATE dbo.SYNCH_SMETA_SMART_OPT 
SET OPT_NAME = '    -', [order] = 4, ACTIVE = 1
WHERE OPT_CODE = 'SAL_OPT_INTEGR_PROV_PERECH_IMP'
GO

IF NOT EXISTS (SELECT * FROM dbo.[SYNCH_SMETA_SMART_OPT] WHERE [opt_code]='SAL_OPT_INTEGR_PROV_PERECH_IMP') 
INSERT INTO dbo.[SYNCH_SMETA_SMART_OPT]([order], [opt_name], [opt_code], [Active])
VALUES (4, '    -', 'SAL_OPT_INTEGR_PROV_PERECH_IMP', 1)
GO

GO
UPDATE dbo.[SYNCH_SMETA_SMART_OPT2] SET CODE = 'DOCUMENTS_SALARY' WHERE CODE = 'SAL_DOC_PROV_EXP'
GO

IF NOT EXISTS (SELECT * FROM dbo.[SYNCH_SMETA_SMART_OPT2] WHERE [code]='BB_ZAYAVKA_KR') 
INSERT INTO dbo.[SYNCH_SMETA_SMART_OPT2]([LINK_UP], [order], [name], [code], [command], [Active])
SELECT A.LINK, 1, ' ', 'BB_ZAYAVKA_KR', 'SYNCH_BB_ZAYAVKA_KR', 1
FROM dbo.[SYNCH_SMETA_SMART_OPT] A 
WHERE A.OPT_CODE = 'SAL_OPT_INTEGR_PP_ZKR_EXP'
GO

IF NOT EXISTS (SELECT * FROM dbo.[SYNCH_SMETA_SMART_OPT2] WHERE [code]='DOCUMENTS_PAY') 
INSERT INTO dbo.[SYNCH_SMETA_SMART_OPT2]([LINK_UP], [order], [name], [code], [command], [Active])
SELECT A.LINK, 2, ' ', 'DOCUMENTS_PAY', 'SYNCH_BB_ZAYAVKA_KR', 1
FROM dbo.[SYNCH_SMETA_SMART_OPT] A 
WHERE A.OPT_CODE = 'SAL_OPT_INTEGR_PP_ZKR_EXP'
GO

IF NOT EXISTS (SELECT * FROM dbo.[SYNCH_SMETA_SMART_OPT2] WHERE [code]='DOCUMENTS_RKO') 
INSERT INTO dbo.[SYNCH_SMETA_SMART_OPT2]([LINK_UP], [order], [name], [code], [command], [Active])
SELECT A.LINK, 3, ' ', 'DOCUMENTS_RKO', 'SYNCH_DOCUMENTS_RKO', 1
FROM dbo.[SYNCH_SMETA_SMART_OPT] A 
WHERE A.OPT_CODE = 'SAL_OPT_INTEGR_PP_ZKR_EXP'
GO


GO
DELETE DBO.S_NAVIGATOR WHERE CODE = 'ADM_REPORT_VIEW_FTP'
GO

/****************     " "*************/ 
 
DECLARE @LINK_VAR INT
SET @LINK_VAR = NULL

DECLARE @LINK_SELF INT 
SET @LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'ADMIN' AND NAME = '-')

DECLARE @OBJECT INT
SET @OBJECT = (SELECT LINK FROM DBO.S_OBJECTS WHERE CODE = 'REPORT_VIEW_FTP')

DECLARE @ORD INT, @LINK_SNAVIGATOR INT
SET @ORD = (SELECT COALESCE(MAX(ORDERS),0) + 1 FROM DBO.S_NAVIGATOR WHERE LINK_SELF = (SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'ADMIN' AND NAME = '-'))
SET @LINK_SNAVIGATOR = COALESCE((SELECT LINK FROM DBO.S_NAVIGATOR WHERE CODE = 'ADM_REPORT_VIEW_FTP'),0)

IF COALESCE(@LINK_SELF,0) > 0  AND COALESCE(@OBJECT,0) > 0  
 		EXEC DBO.W_ESN_UPDATEDOCUMENT @LINK_SNAVIGATOR, 'ADM_REPORT_VIEW_FTP', ' ', @ORD, NULL, 1, @LINK_SELF, 'RUN', @OBJECT, @LINK_VAR, 3
GO

GO

----------------   " "      ------------- 
IF EXISTS(SELECT * FROM dbo.SDOC_VEDOM WHERE DATE_PAY IS NULL OR LINK_PD IS NULL )
BEGIN 
	DECLARE @iDocLink int , @dDATE_v datetime,@iTYP_Payment TINYINT ,@iLINK_PD INT ,@dDATE_PAY datetime
	DECLARE DOC_CUR CURSOR LOCAL STATIC READ_ONLY FOR

	SELECT SV.LINK_UP,SV.TYP_PAYMENT,SV.LINK_PD,SV.DATE_PAY , SD.[DATE] 
	from dbo.SDOC_VEDOM SV 
		 INNER JOIN  dbo.SDOC sd ON sd.LINK = SV.LINK_UP	
	WHERE (SV.DATE_PAY IS NULL OR sv.LINK_PD IS NULL) AND sd.FLAG_JC = 1  AND SV.TYP_PAYMENT IN (1,3)
		OPEN DOC_CUR
		FETCH NEXT FROM DOC_CUR INTO @iDocLink,@iTYP_Payment,@iLINK_PD,@dDATE_PAY,@dDATE_v
		WHILE @@FETCH_STATUS = 0
		BEGIN
			IF @dDATE_PAY IS NULL  OR @iLINK_PD IS NULL 
			BEGIN
				UPDATE dbo.SDOC
				   SET  FLAG_JC = 0
				WHERE link =   @iDocLink 
				
				update dbo.SDOC_VEDOM 
				set date_pay = @dDATE_v,
					LINK_PD =  (CASE WHEN @iTYP_Payment IN (1)
									 THEN (SELECT link FROM dbo.DICTIONARY_PAY_DIRECTION WHERE NAME LIKE '% %' AND flag_sys = 1)
									ELSE (SELECT link FROM dbo.DICTIONARY_PAY_DIRECTION WHERE NAME LIKE '%%' AND flag_sys = 1)
								end) 
				where LINK_UP = @iDocLink
				
				UPDATE SDOC
				   SET  FLAG_JC = 1
				WHERE link =   @iDocLink 
			END 	
			
			FETCH NEXT FROM DOC_CUR INTO @iDocLink,@iTYP_Payment,@iLINK_PD,@dDATE_PAY,@dDATE_v
		end
		close DOC_CUR
		DEALLOCATE DOC_CUR
END	

GO


GO
--  "   . ., .  ,   ."
--   scriptObjectVar 'SQL_REP_REESTR_FSS_BL'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REP_REESTR_FSS_BL'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REP_REESTR_FSS_BL'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'   . ., .  ,   .',NULL, 
	(Select link from object_var where code = 'KADRY_SQL_CATALOG'),
	'SQL_REP_REESTR_FSS_BL',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_BL') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec  DOCUMENTS_REESTR_FSS_LIST @cText1 , 1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SQL_REP_REESTR_FSS_BL'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"SS_REESTR_FSS_BL.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SQL_REP_REESTR_FSS_BL
	@cText1 varchar(20)	/* ID  */
AS
BEGIN

exec DOCUMENTS_REESTR_FSS_LIST @cText1, 1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'SS_REESTR_FSS.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_BL'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_BL_GROUP' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL'),
		'SQL_REP_REESTR_FSS_BL_GROUP',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'ID ',2, 
					(Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_GROUP'),
					'SQL_REP_REESTR_FSS_BL_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'ID '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(20)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_BL_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
GO



GO
--  " "
--   scriptObjectVar 'SQL_REP_REESTR_FSS_OPIS'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REP_REESTR_FSS_OPIS'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REP_REESTR_FSS_OPIS'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	' ',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REP_REESTR_FSS_OPIS',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_OPIS') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec DOCUMENTS_REESTR_FSS_LIST @cText1 ,1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SQL_REP_REESTR_FSS_OPIS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"SS_REESTR_FSS_OPIS.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SQL_REP_REESTR_FSS_OPIS
	@cText1 varchar(20)	/*    */
AS
BEGIN

exec DOCUMENTS_REESTR_FSS_LIST @cText1, 1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KirRepCommon.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_OPIS'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_OPIS_G1' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS'),
		'SQL_REP_REESTR_FSS_OPIS_G1',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'',2, 
					(Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_G1'),
					'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'ID '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(20)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_OPIS_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO


GO
--  "    "
--   scriptObjectVar 'SQL_REP_REESTR_FSS_ROJD'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REP_REESTR_FSS_ROJD'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REP_REESTR_FSS_ROJD'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'    ',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REP_REESTR_FSS_ROJD',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_ROJD') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''		
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec dbo.DOCUMENTS_REESTR_FSS_LIST @cText1 , 1 '
	
	

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'			
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property WHERE code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SQL_REP_REESTR_FSS_ROJD'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKER.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.T.,"SS_REESTR_FSS_ROJD.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SQL_REP_REESTR_FSS_ROJD
	@cText1 varchar(20)	/* ID  */
AS
BEGIN

exec dbo.DOCUMENTS_REESTR_FSS_LIST @cText1, 1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
		
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''		

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
		
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
		
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'KIRREPCOMMON.BAS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''

	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_ROJD'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'

	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_ROJD_G1' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD'),
		'SQL_REP_REESTR_FSS_ROJD_G1',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'ID_',2, 
					(Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_G1'),
					'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'ID '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(20)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_ROJD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE_TEXT'),
							''
						
GO

GO
--  "     "
--   scriptObjectVar 'SQL_REP_REESTR_FSS_UHOD'

/***   ***/

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var

CREATE TABLE #UPD_object_var (link_navigator int)

INSERT INTO #UPD_object_var (link_navigator)
SELECT  SN.LINK
FROM S_NAVIGATOR SN,OBJECT_VAR OV
WHERE SN.LINK_VAR = OV.LINK AND OV.CODE= 'SQL_REP_REESTR_FSS_UHOD'  

 
GO
    
	DELETE FROM OBJECT_VAR WHERE CODE = 'SQL_REP_REESTR_FSS_UHOD'
	INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
	Select (Select link from s_objects where code = 'QUERY_SQL'),
	'     ',NULL, 
	(Select link from object_var where code = 'SQL_REPORT_CATALOG_SALARY'),
	'SQL_REP_REESTR_FSS_UHOD',NULL, NULL, 1
	

	UPDATE S_NAVIGATOR
	SET LINK_VAR = (SELECT TOP 1 LINK FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_UHOD') 
	FROM S_NAVIGATOR S INNER JOIN #UPD_object_var U on S.LINK = U.link_navigator
GO

if object_id('tempdb..#UPD_object_var') is not null
	drop table #UPD_object_var
GO
/***   ***/
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'INIT_OBJECT_METHOD')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'INIT_OBJECT_METHOD'),
	VALUE= 'm_print_query(nLink_Var)'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'VISIBLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'VISIBLE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'CHECK_VALUE_IN_TABLE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'BEFORE_CHANGE_PROG_NASTR'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_CENTER_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FOOTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_LEFT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'NASTR_XL_RIGHT_HEADER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDFROM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDFROM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDINTO')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDINTO'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDSELECT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDSELECT'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADDWHERE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADDWHERE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AFTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AFTER'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_BEFORE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_BEFORE'),
	VALUE= 'exec DOCUMENTS_REESTR_FSS_LIST @cText1, 1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATETIME')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATETIME'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DISTINCT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DISTINCT'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FOOTER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FOOTER'),
	VALUE= '="                               " & User_FIO
                                 '
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_FREEZEPANES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_FREEZEPANES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_HEADER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_HEADER'),
	VALUE= '=User_Name'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PAGES')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PAGES'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_PROCEDURE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_PROCEDURE'),
	VALUE= '#SQL_REP_REESTR_FSS_UHOD'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPMAKER')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPMAKER'),
	VALUE= 'KIRREPMAKERMULTISHEET.XLS'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT'),
	VALUE= 'IIF(.t.,"SS_REESTR_FSS_UHOD.XLT","")'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_REPORT_PATH')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_REPORT_PATH'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SQL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SQL'),
	VALUE= 'CREATE PROCEDURE #SQL_REP_REESTR_FSS_UHOD
	@cText1 varchar(20)	/* ID_ */
AS
BEGIN

exec DOCUMENTS_REESTR_FSS_LIST @cText1, 1

END'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_SYSTEM')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_SYSTEM'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOP')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOP'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTAL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTAL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_TOTALROW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_TOTALROW'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_AP_LIST')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_AP_LIST'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'EOD_PROTOCOL')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'EOD_PROTOCOL'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'AFTER_REPORT_PROG')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'AFTER_REPORT_PROG'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_ADD_MODULE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_ADD_MODULE'),
	VALUE= 'SS_REESTR_FSS.bas'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_CODE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_CODE'),
	VALUE= ''
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'QUERY_DATE_TYPE')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'QUERY_DATE_TYPE'),
	VALUE= '0'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'SQUERY_NO_SHOW')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'SQUERY_NO_SHOW'),
	VALUE= '1'
	
	
	DELETE  FROM object_var_values WHERE LINK_UP = ( Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD') and  PROPERTY = (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR')
	INSERT INTO object_var_values (LINK_UP, PROPERTY, VALUE)
	Select  LINK_UP= (Select link from object_var OV where code = 'SQL_REP_REESTR_FSS_UHOD'),
	PROPERTY= (Select LINK from s_property where code = 'REPORT_EXTERNAL_GENERATOR'),
	VALUE= '0'
	
/***        ***/
     
		DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_UHOD_G1' 
		INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
		Select (Select link from s_objects where code = 'QUERY_NASTRS'),
		' ',1, 
		(Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD'),
		'SQL_REP_REESTR_FSS_UHOD_G1',NULL, NULL, 1
		
GO
/***        ***/
		
					DELETE FROM object_var WHERE CODE = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM' 
					INSERT INTO object_var (OBJECT, NAME, ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS) 
					Select (Select link from s_objects where code = 'NASTR_QUERY_LSEL_SPR'),
					'',2, 
					(Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_G1'),
					'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM',NULL, NULL, 1
					
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_OPTIONAL'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'EDITABLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'EDITABLE'),
							'0'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'SQUERY_NASTR_NON_VISIBLE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'FORMAT') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'FORMAT'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CAPTION') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CAPTION'),
							'ID '
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_CONTROL') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_CONTROL'),
							'TEXTBOX'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NOTE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NOTE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_NUMPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_NUMPARAM'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SAVE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SAVE'),
							'1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SOURCE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SOURCE'),
							''
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLPARAM') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLPARAM'),
							'@cText1'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_SQLTYPE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_SQLTYPE'),
							'varchar(20)'
						
GO
						
						DELETE FROM OBJECT_VAR_VALUES WHERE PROPERTY = (Select link from s_property where code = 'QUERY_NASTR_VALUE') and LINK_UP = (Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM') 
						INSERT INTO OBJECT_VAR_VALUES(LINK_UP, PROPERTY, VALUE)
						Select ( Select link from object_var where code = 'SQL_REP_REESTR_FSS_UHOD_MAIN_PARAM'),
							(Select link from s_property where code = 'QUERY_NASTR_VALUE'),
							''
						
GO


GO
		CREATE TABLE #T_OV (LINK int, NAME varchar(254), OBJECT int, CODE varchar(60), USERS VARCHAR(85), ORDERS int, LINK_SELF int, LINK_STATE int, CODE_OBJ varchar(60), CODE_SELF varchar(60), CODE_STATE varchar(60), SYS BIT)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82531.00, '  ,   ', 2688.00, 'SYS_2452576_0SR0TQVWA', NULL, 0.00, 76107.00, NULL, 'SQUERY_USER', 'SYS_KADRY_REPORTS_CATALOG', NULL, 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82532.00, ' - ', 2686.00, 'SYS_2452576_0SR0TRR3C', NULL, 999.00, 82531.00, 81439.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82564.00, '  ', 2686.00, 'SYS_2452576_0SR0TSIXC', NULL, 999.00, 82531.00, 79820.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92036.00, '', 2686.00, 'SYS_2452576_0SR0TRYIX', NULL, 999.00, 82531.00, 90576.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92044.00, '   - ', 2686.00, 'SYS_2452576_0SR0TS5Z2', NULL, 999.00, 82531.00, 90806.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TQVWA', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (93671.00, ' ', 2698.00, 'SYS_3454631_312472571', NULL, 1.00, 82531.00, 93643.00, 'SQUERY_NASTR', 'SYS_2452576_0SR0TQVWA', 'SYS_2452362_0MT0KEIXO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82533.00, '', 2693.00, 'SYS_2452576_0SR0TRR5L', NULL, 0.00, 82532.00, 81439.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82534.00, '', 2691.00, 'SYS_2452576_0SR0TRR65', NULL, 0.00, 82532.00, 81439.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YEMO0', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82535.00, '', 2695.00, 'SYS_2452576_0SR0TRR6Y', NULL, 0.00, 82532.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRR3C', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82536.00, ' ', 2686.00, 'SYS_2452576_0SR0TRR95', NULL, 999.00, 82532.00, 81442.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRR3C', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82565.00, '', 2693.00, 'SYS_2452576_0SR0TSIZ1', NULL, 0.00, 82564.00, 79820.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82566.00, '', 2691.00, 'SYS_2452576_0SR0TSIZL', NULL, 0.00, 82564.00, 79820.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NQUS9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82567.00, '', 2695.00, 'SYS_2452576_0SR0TSJ04', NULL, 0.00, 82564.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSIXC', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82568.00, '', 2686.00, 'SYS_2452576_0SR0TSJ2N', NULL, 999.00, 82564.00, 79821.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82572.00, '', 2686.00, 'SYS_2452576_0SR0TSMN5', NULL, 999.00, 82564.00, 79825.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TSIXC', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82577.00, '', 2694.00, 'SYS_2452576_0SR0TT0KP', NULL, 0.00, 82564.00, 81415.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452554_0S50QSXCK', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82578.00, '', 2694.00, 'SYS_2452576_0SR0TT0KZ', NULL, 1.00, 82564.00, 81417.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TSIXC', 'SYS_2452554_0S50QUJM1', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82993.00, '', 2694.00, 'SYS_2452587_0T20VAZ5M', NULL, 0.00, 82532.00, 81979.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TRR3C', 'SYS_2452565_0SG128RND', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92037.00, '', 2693.00, 'SYS_2452576_0SR0TRYKN', NULL, 0.00, 92036.00, 90576.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92038.00, '', 2691.00, 'SYS_2452576_0SR0TRYL7', NULL, 0.00, 92036.00, 90576.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IROM7', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92039.00, '', 2695.00, 'SYS_2452576_0SR0TRYLQ', NULL, 0.00, 92036.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRYIX', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92040.00, '', 2686.00, 'SYS_2452576_0SR0TRYO7', NULL, 999.00, 92036.00, 90581.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92045.00, '', 2693.00, 'SYS_2452576_0SR0TS60R', NULL, 0.00, 92044.00, 90806.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92046.00, '', 2691.00, 'SYS_2452576_0SR0TS612', NULL, 0.00, 92044.00, 90806.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K604U', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92047.00, '', 2695.00, 'SYS_2452576_0SR0TS61M', NULL, 0.00, 92044.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92048.00, ' ', 2686.00, 'SYS_2452576_0SR0TS644', NULL, 999.00, 92044.00, 90810.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92052.00, ' ', 2686.00, 'SYS_2452576_0SR0TS7JL', NULL, 999.00, 92044.00, 90809.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92056.00, '', 2686.00, 'SYS_2452576_0SR0TSAM1', NULL, 999.00, 92044.00, 90812.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92060.00, '', 2694.00, 'SYS_2452576_0SR0TSSMP', NULL, 0.00, 92036.00, 90837.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TRYIX', 'SYS_2452566_0SH0LVXGW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92061.00, '. ', 2686.00, 'SYS_2452576_0SR0TUAK5', NULL, 999.00, 92036.00, 90582.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TRYIX', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92065.00, '', 2694.00, 'SYS_2452587_0T20V8NWJ', NULL, 0.00, 92044.00, 90910.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452587_0T20RSP0Q', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92066.00, '', 2694.00, 'SYS_2452587_0T20V8O3K', NULL, 1.00, 92044.00, 90879.00, 'SQUERY_LINK_STATE', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452573_0SO0XKTJX', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92067.00, '  ', 2686.00, 'SYS_2452749_0XM0VLIS5', NULL, 999.00, 92044.00, 90918.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92074.00, '', 2686.00, 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', NULL, 999.00, 92044.00, 90811.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92941.00, '', 2686.00, 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', NULL, 999.00, 92044.00, 90811.00, 'SQUERY_FIELD', 'SYS_2452576_0SR0TS5Z2', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82537.00, '', 2693.00, 'SYS_2452576_0SR0TRRAT', NULL, 0.00, 82536.00, 81442.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRR95', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82538.00, '', 2691.00, 'SYS_2452576_0SR0TRRB5', NULL, 0.00, 82536.00, 81442.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRR95', 'SYS_2452558_0S90YIGV9', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82539.00, '', 2695.00, 'SYS_2452576_0SR0TRRBP', NULL, 0.00, 82536.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRR95', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82569.00, '', 2693.00, 'SYS_2452576_0SR0TSJ4J', NULL, 0.00, 82568.00, 79821.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82570.00, '', 2691.00, 'SYS_2452576_0SR0TSJ4V', NULL, 0.00, 82568.00, 79821.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452364_0MV0NSE3G', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82571.00, '', 2695.00, 'SYS_2452576_0SR0TSJ5F', NULL, 0.00, 82568.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSJ2N', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82573.00, '', 2693.00, 'SYS_2452576_0SR0TSMOT', NULL, 0.00, 82572.00, 79825.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSMN5', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82574.00, '', 2691.00, 'SYS_2452576_0SR0TSMPD', NULL, 0.00, 82572.00, 79825.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSMN5', 'SYS_2452364_0MV0NX5SA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (82575.00, '', 2695.00, 'SYS_2452576_0SR0TSMPY', NULL, 0.00, 82572.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSMN5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92041.00, '', 2693.00, 'SYS_2452576_0SR0TRYPX', NULL, 0.00, 92040.00, 90581.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TRYO7', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92042.00, '', 2691.00, 'SYS_2452576_0SR0TRYQ7', NULL, 0.00, 92040.00, 90581.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TRYO7', 'SYS_2452328_0LV0IUCIO', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92043.00, '', 2695.00, 'SYS_2452576_0SR0TRYQR', NULL, 0.00, 92040.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TRYO7', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92049.00, '', 2693.00, 'SYS_2452576_0SR0TS65R', NULL, 0.00, 92048.00, 90810.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS644', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92050.00, '', 2691.00, 'SYS_2452576_0SR0TS663', NULL, 0.00, 92048.00, 90810.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS644', 'SYS_2452468_0PR0KA2WT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92051.00, '', 2695.00, 'SYS_2452576_0SR0TS66N', NULL, 0.00, 92048.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS644', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92053.00, '', 2693.00, 'SYS_2452576_0SR0TS7L9', NULL, 0.00, 92052.00, 90809.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TS7JL', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92054.00, '', 2691.00, 'SYS_2452576_0SR0TS7LT', NULL, 0.00, 92052.00, 90809.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TS7JL', 'SYS_2452468_0PR0K9ZJT', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92055.00, '', 2695.00, 'SYS_2452576_0SR0TS7MC', NULL, 0.00, 92052.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TS7JL', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92057.00, '', 2693.00, 'SYS_2452576_0SR0TSANX', NULL, 0.00, 92056.00, 90812.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TSAM1', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92058.00, '', 2691.00, 'SYS_2452576_0SR0TSAO9', NULL, 0.00, 92056.00, 90812.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TSAM1', 'SYS_2452468_0PR0KA9FL', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92059.00, '', 2695.00, 'SYS_2452576_0SR0TSAOT', NULL, 0.00, 92056.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TSAM1', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92062.00, '', 2693.00, 'SYS_2452576_0SR0TUAMD', NULL, 0.00, 92061.00, 90582.00, 'SQUERY_LINK_BASE', 'SYS_2452576_0SR0TUAK5', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92063.00, '', 2691.00, 'SYS_2452576_0SR0TUAMX', NULL, 0.00, 92061.00, 90582.00, 'SQUERY_LINK_SOURCE', 'SYS_2452576_0SR0TUAK5', 'SYS_2452328_0LV0IUPQW', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92064.00, '', 2695.00, 'SYS_2452576_0SR0TUANQ', NULL, 0.00, 92061.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452576_0SR0TUAK5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92068.00, '', 2693.00, 'SYS_2452749_0XM0VLIXL', NULL, 0.00, 92067.00, 90918.00, 'SQUERY_LINK_BASE', 'SYS_2452749_0XM0VLIS5', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92069.00, '', 2691.00, 'SYS_2452749_0XM0VLIZ9', NULL, 0.00, 92067.00, 90918.00, 'SQUERY_LINK_SOURCE', 'SYS_2452749_0XM0VLIS5', 'SYS_2452587_0T20S0DVA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92070.00, '', 2695.00, 'SYS_2452749_0XM0VLJ0W', NULL, 0.00, 92067.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_2452749_0XM0VLIS5', 'SYS_2452576_0SR0TQVWA', 1)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92072.00, '', 2691.00, 'SYS_88790678-AD39-4FE9-AEA5-1BD81CA2D92E', NULL, 0.00, 92074.00, 90811.00, 'SQUERY_LINK_SOURCE', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92073.00, '', 2693.00, 'SYS_A52E8F10-0EB3-4DBC-A1BD-4CD07DA6DCFF', NULL, 0.00, 92074.00, 90811.00, 'SQUERY_LINK_BASE', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92075.00, '', 2695.00, 'SYS_BCECACF7-301F-4AA4-822F-32C8A2D1A519', NULL, 0.00, 92074.00, 82531.00, 'SQUERY_LINK_SQUERY', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452576_0SR0TQVWA', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92939.00, '', 2691.00, '88790678-AD39-4FE9-AEA5-1BD81CA2D92E', NULL, 0.00, 92941.00, 90811.00, 'SQUERY_LINK_SOURCE', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92940.00, '', 2693.00, 'A52E8F10-0EB3-4DBC-A1BD-4CD07DA6DCFF', NULL, 0.00, 92941.00, 90811.00, 'SQUERY_LINK_BASE', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452468_0PR0KA699', 0)
		INSERT INTO #T_OV(LINK,  NAME,  OBJECT,  CODE,  USERS,  ORDERS,  LINK_SELF,  LINK_STATE,  CODE_OBJ,  CODE_SELF,  CODE_STATE,  SYS) VALUES (92942.00, '', 2695.00, 'BCECACF7-301F-4AA4-822F-32C8A2D1A519', NULL, 0.00, 92941.00, 82531.00, 'SQUERY_LINK_SQUERY', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SYS_2452576_0SR0TQVWA', 0)

GO

		CREATE TABLE #T_OVV (LINK_UP int, PROPERTY int, USERS VARCHAR(85), ORDERS int, VALUE varchar(8000), CODE_UP varchar(60), CODE_PROP varchar(30))
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 324.00, NULL, NULL, '', 'SYS_2452576_0SR0TQVWA', 'SQUERY_CHANGED')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 344.00, NULL, NULL, '=chief_our', 'SYS_2452576_0SR0TQVWA', 'SQUERY_FOOTER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 346.00, NULL, NULL, 'REPMAKER_Q.XLS', 'SYS_2452576_0SR0TQVWA', 'SQUERY_GENERATOR')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 347.00, NULL, NULL, '= "                                        ,     " & (dDate_1;0) & " "
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_HEADER')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 361.00, NULL, NULL, 'IIF(.T.,"REPQUERY_2.XLT","")', 'SYS_2452576_0SR0TQVWA', 'SQUERY_REPORT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 362.00, NULL, NULL, 'LAST_CHIN=1', 'SYS_2452576_0SR0TQVWA', 'SQUERY_RES_WHERE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 4.00, '
	CREATE TABLE #STAFF 
( 
	num_otd INT, 
	LNK INT,
	LINK_OTD INT,
	SUBDIV_CODE VARCHAR(5),
	SUBDIV_NAME VARCHAR(254), 
	LINK_DOL INT,  
	POST_CODE VARCHAR(6),
	POST_NAME VARCHAR(254), 
	NORM  NUMERIC(20,2),
	FACT NUMERIC(20,2),  
	VAC  NUMERIC(20,2), 
	OKLAD NUMERIC(20,2), 
	FOT NUMERIC(20,2), 
	LEVEL_OTD INT, 
	CHIN_LINK INT,
	CHIN_CODE VARCHAR(10),
	CHIN VARCHAR(254),
	CONFIRMED NUMERIC(20,2),
	DEYAT_TYPE_LINK INT,
	DEYAT_TYPE VARCHAR(80),
	KATEG_LINK INT,
	KATEG_CODE VARCHAR(3),
	KATEG_DOL VARCHAR(40),
	GOSSL BIT,
	FEDERAL BIT, 
	FOND BIT,
	LINK_DEP INT, 
	LINK_PARENT INT, 
	NUM_PARENT INT,
	KAT_GOS_LINK INT,
	KAT_GOS_CODE VARCHAR(3),
	KAT_GOS_NAME VARCHAR(254),
	GR_GOS_LINK INT,
	GR_GOS_CODE VARCHAR(3),
	GR_GOS_NAME VARCHAR(254)
)


EXEC K_FILL_T_STAFF


', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 5.00, '
	CREATE TABLE #T_RES (LAST_CHIN TINYINT /*  */,
		S_21700 INT /* - */,
		S_21705 VARCHAR(120) /* */,
		S_21709 INT /**/,
		S_21714 VARCHAR(150) /**/,
		S_21718 INT /*   - */,
		S_21723 VARCHAR(254) /* */,
		S_21727 DATETIME /* */,
		S_21731 VARCHAR(254) /**/,
		S_21735 int /*  */,
		S_21740 VARCHAR(254) /**/,
		S_21744 VARCHAR(254) /**/,
		S_21754 VARCHAR(15) /*. */,
		S_43383 Numeric(20,2) /**/, SQUERY int)
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 6.00, '
	INSERT #T_RES (S_21740, S_21744, S_21700, S_21709, S_21718, S_21735, SQUERY) /*  */
	SELECT #staff.SUBDIV_NAME, #staff.POST_NAME, DEP.LINK, #workers.face, #CHIN.ID, #STAFF.LNK, 21699
	FROM #STAFF, #WORKERS, #CHIN, DICTIONARY_DEPARTMENT DEP
	WHERE #STAFF.LINK_DEP=DEP.LINK
		AND #WORKERS.FACE=#CHIN.FACE
		AND #WORKERS.LINK_DEP=DEP.LINK
		AND (#staff.lnk=#workers.staff)
		AND (#workers.start_date <=@dDate_1) and (#workers.end_date>@dDate_1 or #workers.end_date is null)
		AND DEP.LINK=isnull(dbo.BK_getDepZB(), dbo.getowndeplink())
		AND LAST_CHIN IS NOT NULL
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 15.00, '
	SELECT S_21700 AS S_21700 /* - */,
		S_21705 AS S_21705 /* */,
		S_21709 AS S_21709 /**/,
		S_21714 AS S_21714 /**/,
		S_21718 AS S_21718 /*   - */,
		S_21723 AS S_21723 /* */,
		S_21727 AS S_21727 /* */,
		S_21731 AS S_21731 /**/,
		S_21735 AS S_21735 /*  */,
		S_21740 AS S_21740 /**/,
		S_21744 AS S_21744 /**/,
		S_21754 AS S_21754 /*. */,
		LAST_CHIN AS LAST_CHIN /*  */,
		S_43383 AS S_43383 /**/
	INTO #T_RES2
	FROM #T_RES T
	GROUP BY S_21700, S_21705, S_21709, S_21714, S_21718, S_21723, S_21727, S_21731, S_21735, S_21740, S_21744, S_21754, LAST_CHIN, S_43383


', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 18.00, '
	DROP TABLE #CHIN

	DROP TABLE #WORKERS

	DROP TABLE #STAFF

	SET TRANSACTION ISOLATION LEVEL READ COMMITTED

END', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 7.00, '
	UPDATE #T_RES
	SET	S_21705 = (SELECT NAME FROM DICTIONARY_DEPARTMENT WHERE LINK=S_21700) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 8.00, '
	UPDATE #T_RES
	SET	S_21714 = (SELECT ( rtrim(P.FM) +'' '' +rtrim(substring( (P.IM),1,1))+''. ''+ rtrim(substring((P.OT),1,1) )+''. ''  ) FROM PERSON P WHERE P.LINK=(SELECT PERS_LINK FROM EMPL WHERE LINK = S_21709)) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 9.00, '
	UPDATE #T_RES
	SET	S_21754 = (SELECT TAB FROM EMPL WHERE LINK=S_21709) /*. */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 10.00, '
	UPDATE #T_RES
	SET	S_21723 = (SELECT CHIN_NAME FROM #CHIN WHERE ID=S_21718) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 1.00, 'CREATE PROCEDURE #P_SQUERY
		@dDate_1 DATETIME /* */,
		@varKScTableInto varchar(20) = ''''
AS
BEGIN

	SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 3.00, '
	CREATE TABLE  #WORKERS (FACE INT, START_DATE DATETIME, END_DATE DATETIME, STAFF INT,  LINK_DEP INT)
EXEC K_FILL_T_WORKERS @dDate_1

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 13.00, '
	UPDATE #T_RES
	SET	LAST_CHIN = (SELECT LAST_CHIN FROM #CHIN WHERE ID=S_21718) /*  */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 14.00, '
	UPDATE #T_RES
	SET	S_43383 = (SELECT PAY FROM #CHIN WHERE ID=S_21718) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 16.00, '	
SELECT * FROM #T_RES2 
	WHERE LAST_CHIN=1

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 17.00, '
	DROP TABLE #T_RES
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 11.00, '
	UPDATE #T_RES
	SET	S_21727 = (SELECT DATE_SOB FROM #CHIN WHERE ID=S_21718) /* */ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 12.00, '
	UPDATE #T_RES
	SET	S_21731 = (SELECT REASON FROM #CHIN WHERE ID=S_21718) /**/ FROM #T_RES T 
', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 363.00, NULL, 2.00, '
		CREATE TABLE #CHIN (
		ID INT IDENTITY,
		FACE INT,
		DATE_SOB DATETIME,  /**/
		CHIN_LINK INT, 
		CHIN_CODE VARCHAR(10),
		CHIN_NAME VARCHAR(254), 	/**/
		CHIN_LINK_EX INT,
		CHIN_CODE_EX VARCHAR(10),
		CHIN_NAME_EX VARCHAR(254), 	/**/
		PAY NUMERIC(10,2),		/**/
		REASON VARCHAR(254),		/**/
 LAST_CHIN TINYINT,
		NUMBER INT, CHIN_PRIOR BIT, CHIN_HIGHER BIT )
EXEC K_FILL_T_CHIN

', 'SYS_2452576_0SR0TQVWA', 'SQUERY_SQL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82531.00, 552.00, NULL, NULL, 'REPMAKERSTANDARD.BAS', 'SYS_2452576_0SR0TQVWA', 'QUERY_ADD_MODULE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82532.00, 326.00, NULL, NULL, 'S_21700', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82532.00, 335.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82532.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TRR3C', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82536.00, 326.00, NULL, NULL, 'S_21705', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82536.00, 335.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82536.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRR95', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82564.00, 326.00, NULL, NULL, 'S_21735', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82564.00, 335.00, NULL, NULL, '0', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82564.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSIXC', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 326.00, NULL, NULL, 'S_21740', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 329.00, NULL, NULL, '', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 335.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82568.00, 343.00, NULL, NULL, '30', 'SYS_2452576_0SR0TSJ2N', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 326.00, NULL, NULL, 'S_21744', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 329.00, NULL, NULL, '', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 335.00, NULL, NULL, '4', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (82572.00, 343.00, NULL, NULL, '25', 'SYS_2452576_0SR0TSMN5', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92036.00, 326.00, NULL, NULL, 'S_21709', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92036.00, 335.00, NULL, NULL, '0', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92036.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TRYIX', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 326.00, NULL, NULL, 'S_21714', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 329.00, NULL, NULL, '', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 335.00, NULL, NULL, '2', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92040.00, 343.00, NULL, NULL, '22', 'SYS_2452576_0SR0TRYO7', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92044.00, 326.00, NULL, NULL, 'S_21718', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92044.00, 335.00, NULL, NULL, '0', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92044.00, 342.00, NULL, NULL, '1', 'SYS_2452576_0SR0TS5Z2', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 326.00, NULL, NULL, 'S_21723', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 329.00, NULL, NULL, '', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 335.00, NULL, NULL, '5', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92048.00, 343.00, NULL, NULL, '30', 'SYS_2452576_0SR0TS644', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 326.00, NULL, NULL, 'S_21727', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 329.00, NULL, NULL, '..', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 335.00, NULL, NULL, '6', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92052.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TS7JL', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 326.00, NULL, NULL, 'S_21731', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 327.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 328.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_FORMAT_C_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 329.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_FORMAT_D_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 332.00, NULL, NULL, '', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_HEIGHT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 335.00, NULL, NULL, '7', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92056.00, 343.00, NULL, NULL, '25', 'SYS_2452576_0SR0TSAM1', 'SQUERY_FIELD_WIDTH_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92061.00, 326.00, NULL, NULL, 'S_21754', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92061.00, 327.00, NULL, NULL, '1', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92061.00, 335.00, NULL, NULL, '1', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92061.00, 338.00, NULL, NULL, '2', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_SORT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92061.00, 342.00, NULL, NULL, '3', 'SYS_2452576_0SR0TUAK5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92067.00, 326.00, NULL, NULL, 'LAST_CHIN', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92067.00, 335.00, NULL, NULL, '0', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92067.00, 342.00, NULL, NULL, '3', 'SYS_2452749_0XM0VLIS5', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 326.00, NULL, NULL, 'S_43383', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 327.00, NULL, NULL, '3', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 331.00, NULL, NULL, '0', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 334.00, NULL, NULL, '', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 335.00, NULL, NULL, '8', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92074.00, 342.00, NULL, NULL, '3', 'SYS_A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 326.00, NULL, NULL, 'S_43383', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_CODE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 327.00, NULL, NULL, '3', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_DIRECT_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 331.00, NULL, NULL, '0', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_GROUP_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 333.00, NULL, NULL, '1', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_HIDE_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 334.00, NULL, NULL, '', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_NOT_RESULT')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 335.00, NULL, NULL, '8', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_ORDER_XL')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (92941.00, 342.00, NULL, NULL, '3', 'A8C5BF4A-F902-4292-9C34-F07AFAAFE083', 'SQUERY_FIELD_TYPE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (93671.00, 353.00, NULL, NULL, '', 'SYS_3454631_312472571', 'SQUERY_NASTR_SAVE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (93671.00, 355.00, NULL, NULL, ' ', 'SYS_3454631_312472571', 'SQUERY_NASTR_VALUE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (93671.00, 406.00, NULL, NULL, '0', 'SYS_3454631_312472571', 'SQUERY_NASTR_NON_VISIBLE')
		INSERT INTO #T_OVV(LINK_UP,  PROPERTY,  USERS,  ORDERS,  VALUE,  CODE_UP,  CODE_PROP) VALUES (93671.00, 558.00, NULL, NULL, '0', 'SYS_3454631_312472571', 'SQUERY_NASTR_OPTIONAL')

GO

		exec KIR_UPGRADE_OV 4 
GO

		DROP TABLE #T_OV
GO

		DROP TABLE #T_OVV
GO


GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20160101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VIDDEYAT=1'


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20160101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VIDDEYAT=1'

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'1'
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20160101' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VIDDEYAT', '1', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.210.02','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.304.05','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.201.34','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.206.__','1.304.05','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.206.__','1.210.02','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.304.05','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.210.02','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.201.34','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.206.__','1.210.02','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.206.__','1.304.05','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.303.__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 6
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.201.34','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.20[589].__','1.210.02','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.303.__','1.304.05','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.303.__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.206.__','1.210.02','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',2,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,2,'','1.303.__','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',12,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 9
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',2,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 9
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',12,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 9
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'1.20[589].__','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,2,'','1.303.__','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'1.206.__','','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 8
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '1'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.210.02','1.20[589].__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.304.05','1.20[589].__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.201.34','1.20[589].__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.304.05','1.206.__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.210.02','1.206.__','','',2,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 8
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '3'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.210.02','1.20[589].__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.304.05','1.20[589].__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.201.34','1.20[589].__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.304.05','1.206.__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.210.02','1.206.__','','',12,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 8
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.201.34','1.20[589].__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.210.02','1.20[589].__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.304.05','1.303.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,3,'1.304.05','1.20[589].__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.20[589].__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 1,1,'','1.303.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,1,'','1.206.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.304.05','1.206.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 2,3,'1.210.02','1.206.__','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
GO
DECLARE @iCalcFormLink INT,
			@iCalcLink INT
			
	delete RCF
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 0
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20160101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VIDDEYAT=3'


	UPDATE RCF 
	set [ORDER] = 1
	FROM dbo.REPORT_CALC_FORMS RCF
	inner join dbo.REPORT_CALC RC on RC.LINK_UP = RCF.LINK and RC.[isUSER] = 1
	inner join dbo.REPORT_FORMS RF on RCF.LINK_FORM = RF.Link_Form 
	WHERE RF.CODE = '0503169M_' AND RF.START_DATE = '20160101' and RCF.[ORDER] = 0 and dbo.BB_CALC_GET_ATR_VAL(RCF.LINK,RF.Link_Form ,1) = 'REPORTS_ATR_VIDDEYAT=3'

	INSERT INTO dbo.REPORT_CALC_FORMS(LINK_FORM, USED, [ORDER], COMMENT)
	SELECT LINK_FORM, 1,0,'3'
	from dbo.REPORT_FORMS where CODE = '0503169M_' AND [START_DATE] = '20160101' 
	SET @iCalcFormLink = @@IDENTITY
	
INSERT INTO dbo.REPORT_CALC_ATRIBUTE(LINK_CALC_FORM, CODE_ATR, STR_VAL, INT_VAL)
	VALUES(@iCalcFormLink, 'REPORTS_ATR_VIDDEYAT', '3', NULL)
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 9
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 3,1,'','3.304.01','','',1,3,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 2
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 3,1,'','3.304.01','','',1,2,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 5
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 3,1,'3.201.11','3.304.01','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',1,''
set @iCalcLink = NULL
			INSERT INTO dbo.REPORT_CALC(LINK_UP, Link_Col, Code_Row, IsUser, Calc_Order, Comment)
			SELECT @iCalcFormLink, RC.LINK_COL, '',1,0,''
			from dbo.REPORT_TABLES RT 
			inner join dbo.REPORT_COLOUMNS RC on RC.Link_Table = RT.Link_Table and RC.EXPORT_ORDER = 7
			inner join dbo.REPORT_CALC_FORMS CF on CF.LINK = @iCalcFormLink AND CF.Link_Form = RT.Link_Form and RT.ORDERS = '2'
			
			SET @iCalcLink = @@IDENTITY
		
	INSERT INTO REPORT_CALC_ROWS (Link_Calc, Orders, [Sign], DT_Mask, KT_Mask, DT_EKR, KT_EKR, Type_KBK, [Type], Mask_KBK, DT_KT, oper)
		SELECT @iCalcLink, 3,1,'3.304.01','3.201.11','','',1,1,'XXXXXXXXXXXXXXXXXXXXXXXXXX000',0,''
GO

GO
